Getting Started

If you want to get up and running quickly, see the following topics:

Tutorials--A set of tutorials tailored to learning specific tasks in SONAR. If you are new to Cakewalk products, you may want to start at the beginning. If you have used previous versions of Cakewalk, or you want to do a specific task, choose from one of the following tutorials:

  • Tutorial 1--The Basics
  • Tutorial 2--Recording MIDI
  • Tutorial 3--Recording Digital Audio
  • Tutorial 4--Editing MIDI
  • Tutorial 5--Editing Audio
  • Tutorial 6--Using Groove Clips
  • Tutorial 7--Mixing
  • Tutorial 8--Drum Maps
  • Tutorial 9--Using Soft Synths
  • Tutorial 10--Cyclone DXi

Glossary--A list of defined terms.

Introduction--An overview of SONAR's features and functionality.

Troubleshooting--Answers to some frequently asked questions.

Cakewalk
http://www.cakewalk.com
Cakewalk Support
http://www.cakewalk.com/Support/
Voice: (617) 423-9004
Fax: (617) 423-9007
sonarsupport@cakewalk.com
sales@cakewalk.com


Introduction

SONAR is a professional tool for authoring sound and music on your personal computer. It's designed for musicians, composers, arrangers, audio and production engineers, multimedia and game developers, and recording engineers. SONAR supports Wave, MP3, ACIDized waves, WMA, AIFF and other popular formats, providing all the tools you need to do professional-quality work rapidly and efficiently.

SONAR is more than an integrated MIDI and digital audio authoring software package--it's an expandable platform that can function as the central nervous system of your recording studio. With drivers for common high-end audio hardware, full support for DirectX audio plug-ins, DXi software synthesizers, StudioWare, MFX MIDI plug-ins, and MIDI Machine Control (MMC) of external MIDI gear, and the Cakewalk Applicaion Language (CAL), SONAR can handle your most demanding projects.

See the following topics:

About SONAR

SONAR Basics

Windows Taskbar Indicators

Screen Colors and Wallpaper

Starting to Use SONAR

Cakewalk
http://www.cakewalk.com
Cakewalk Support


About SONAR

SONAR is the flagship product of the Cakewalk line of integrated MIDI and digital audio sequencers for the Windows platform. SONAR has a comprehensive feature set that makes it the single most productive tool for sound and music authoring. Here are some of the ways you can use SONAR.

Next topic: Music Composition and Exploration.

Cakewalk
http://www.cakewalk.com


Music Composition and Exploration

SONAR is a powerful music-composition tool, providing tools to record your own musical performances; enhance or improve the quality of those performances; and edit, arrange, and experiment with the music. With a few simple clicks of the mouse, you can arrange, orchestrate, and audition your composition. Fully integrated sequencing allows you to combine the convenience and flexibility of MIDI composition with the high-quality sound and subtlety of digital audio sound recording and reproduction. Change the feel of a piece by locking it to a musical groove, or add delicate delays, anticipations, or echoes that add richness to the music.

SONAR displays and lets you edit your music using standard musical notation and guitar tablature, so you can adjust individual notes, add performance markings, and print individual parts or full scores. You can graphically draw tempo and volume changes, or add lyrics to display on-screen or to include with printed scores.

Next topic: Remixing.


Remixing

SONAR's Groove clips allow you to import, create, export and edit loops, making it possible to quickly change tempos and keys for an entire project. The new Loop Explorer view lets you preview loops in the project's tempo and key before dragging and dropping them onto a track.

Next topic: Game Sound Development.


Game Sound Development

There's no better tool than SONAR for composing music for electronic games. Clip-based sequencing lets you create and reuse musical themes freely, so you can associate musical sections with game characters, locations, objects, and actions. Your creations can be saved and replayed using the compact MIDI file format, which adapts its sound automatically to the target hardware for the best possible sound reproduction.

Next topic: Sound Production and Engineering.


Sound Production and Engineering

If you want to produce music CDs or master tapes, SONAR has virtually everything you need from recording to mixing and mastering. Multichannel recording lets you capture studio or live performances track by track. Reconfigurable buses provide full control over your mix. Real-time stereo effects like chorus, flange, reverb, parametric EQ, and delay/echo can be applied as track inserts, in effects loops, or to the master mix. SONAR supports 44.1 KHz sampling for CD-quality sound and lets you choose from lower or higher sample rates as well. All audio effects are 32-bit floating point for faster processing and high-quality sound reproduction.

Next topic: Web Authoring.


Web Authoring

SONAR is the ideal tool for developing and producing music and sound for the World Wide Web, because it lets you save your work in the formats that are most commonly used on web sites: MIDI, RealAudio, MP3, and Windows Media Advanced Streaming Format. Any SONAR project--musical composition, audio clip, commercial spot, jingle with voice-over--can be stored in a web-compatible format with a few simple mouse clicks.

Next topic: Film and Video Scoring and Production.


Film and Video Scoring and Production

SONAR has many of the tools you need to execute audio post-production projects quickly and efficiently. SONAR provides chase lock sync to time code for frame-by-frame accuracy when synchronizing audio or MIDI to film or video. Or, you can turn chase lock off to conserve CPU power. SONAR provides high-quality time stretching and sample-accurate editing with zero-crossing detection so you can make the fine adjustments you need in record time. In addition, SONAR's support for video files gives you convenient synchronized access to digitized video, making film and video scoring easier than ever.

Next topic: Flexibility.


Flexibility

SONAR works the way you want to work--you can customize screen layouts, toolbars, and audio and MIDI system configurations to make your work more efficient. SONAR integrates with other sound editing tools so you can access them in an instant without leaving SONAR.There are custom software modules to support specialized audio devices from Roland and Yamaha. SONAR's unique StudioWare technology provides software interfaces for common studio hardware and lets you create your own custom software interfaces to any external MIDI-equipped gear. You can even create a single control panel to manage your entire studio.

Next topic: SONAR Basics.


Computers, Sound, and Music

This section provides some background on the different ways that computers store and play sound and music. Computers work with sound and music in two different forms: MIDI and digital audio.

Next topic: MIDI.


MIDI

MIDI (short for Musical Instrument Digital Interface) is the way computers communicate with most sound cards, keyboards, and other electronic instruments. MIDI refers to both the type of cables and plugs used to connect the computers and instruments, and to the language those computers and instruments use to talk to each other. The MIDI standard is accepted and used worldwide. Almost any electronic instrument you buy today will have MIDI connectors and can be used with other MIDI instruments and with your computer's MIDI interface.

The MIDI language conveys information and instructions, both from the computer to the instrument and from the instrument to the computer. For example, if your computer wants your keyboard to play a note, it sends a MIDI "Note On" message and tells the keyboard which note to play. When your computer wants the keyboard to stop playing that note, it sends another message that stops the note from playing.

The MIDI language has many other instructions, such as messages to change the sound that is used to play the notes (the bank and patch), messages used to work the sustain pedal and the pitch-bend wheel, and others. By sending the right messages at the right times, your computer can control your electronic instrument and make it play music.

MIDI information can be sent on 16 different channels. You can set up your MIDI equipment to listen for messages on all channels or on only a few.

MIDI files contain all the MIDI messages and timing information that are needed to play a song. MIDI files can be read and played by many different programs, including SONAR, and can even be played by programs on other types of computers. MIDI files have the extension .mid.

There are several important advantages of the MIDI format:

  • Large amounts of music can be stored in a very compact form
  • Different parts of a piece can easily be assigned to any instrument you can imagine
  • The music contains information on notes, tempos, and key signatures that makes it possible to display and edit the piece using standard musical notation

The primary disadvantage of MIDI is that the quality of the music a listener hears will vary depending on the MIDI equipment the listener is using. For example, MIDI usually sounds much better on an expensive synthesizer than it does on an inexpensive sound card.

Next topic: Digital Audio.


Digital Audio

Digital audio is a simple way to record and play sounds of any type. It works like a tape recorder--you record something, then later play it back. Digital audio stores the sound as a long series of numbers.

Sound Waves

Sound waves are vibrations in the air. Sound waves are generated by anything that vibrates; a vibrating object causes the air next to it to vibrate, and the vibration is passed through the air in all directions. When the vibrating air enters your ear, it makes your eardrum vibrate, and you hear a sound. Likewise, if the vibrating air hits a microphone, it causes the microphone to vibrate and send electrical signals to whatever it's connected to.

These vibrations are very fast. The slowest vibration frequency you can hear is about 20 vibrations per second, and the fastest is around 16,000 to 20,000 vibrations per second.

Recording Digital Audio

To record digital audio, your computer monitors the electrical signal generated by a microphone, an electric guitar, or another source. At equal intervals of time (for CD-quality sound, this means 44,100 times a second), the computer measures and saves the strength of the electrical signal from the microphone, on a scale from 0 to 65,535.

That's it. Digital audio data is just a long series of numbers. The computer sends these numbers, in the form of electrical signals, to a speaker. The speaker then vibrates and generates the same sound that was recorded.

The primary advantage of digital audio is the quality of the sound. Unlike MIDI, a digital audio recording is very rich, capturing all the nuances, overtones, and other characteristics of the sound exactly as performed. The main drawback of digital audio is that it takes up a lot of disk space. To record a 1-minute segment of stereo, CD-quality digital audio, you need about 10 megabytes of disk space.

On the PC, digital audio is usually stored in Wave files (extension .wav). There are many programs available that let you create, play, and edit these files. SONAR reads, writes, and lets you edit Wave files.

More information about digital audio can be found in Editing Audio.

Next topic: Setup.


Setup

You can install SONAR on any computer that runs Windows 98, 2000, ME, or XP and has a sound card or built-in sound module. If you want to hook up other devices, like a MIDI keyboard, an electric guitar, or a microphone, you need the right cables, and you need to find the right connectors on your computer.

Before you install SONAR, take a minute to register the software so we can let you know when updates become available and provide you with technical support. To register your copy of SONAR, fill in the registration card in your product package and mail or FAX (617-423-9007) it back to us. Or, register at our web site: www.cakewalk.com.

To connect a MIDI keyboard to your computer, you need standard MIDI cables or a MIDI adapter cable, such as the one available in Cakewalk's PC Music Pack. One end of the adapter cable should have two 5-pin DIN connectors that connect to your keyboard or other MIDI device. At the other end, you need a 15-pin connector to connect to a sound card through its MIDI/joystick port.

If you have a dedicated MIDI interface, lots of electronic music gear, or work with many different music software packages, you should read Hardware Setup.

Before you attach or detach any cables from your computer, you should shut down your computer and turn off the power to all your equipment. This greatly reduces the chance of electrical damage to your equipment while plugging and unplugging cables.

To Connect a MIDI Keyboard to Your Computer

  1. One of the 5-pin connectors on the MIDI cable is labeled Out. Plug this connector into the MIDI In jack on your electronic keyboard.
  2. The other 5-pin connector on the MIDI cable is labeled In. Plug this connector into the MIDI Out jack on your electronic keyboard.
  3. If you are using a MIDI adaptor cable, plug the 15-pin connector on the MIDI cable into the MIDI/joystick port on your sound card. If you have a joystick, unplug it, plug in the MIDI cable, and plug the joystick into the pass-through connector on the MIDI cable.
OR
If you are using standard MIDI cables, plug the cable connected to the MIDI Out on your MIDI instrument into the MIDI In of your sound card or MIDI interface. Plug the cable connected to the MIDI In on your MIDI instrument into the MIDI Out of your sound card or MIDI interface.

To Connect an Electric Guitar to Your Computer

  1. Plug your 1/4" mono guitar cable into a 1/8" stereo adapter.
  2. Plug the 1/8" adapter into the microphone input or line input jack on your computer sound card.

To Connect a Microphone to Your Computer

  1. If your microphone does not have a 1/8" mono or stereo plug, plug the microphone into a 1/8" adapter.
  2. Plug the 1/8" adapter into the microphone input jack on your computer sound card.

That's it! Now that your instruments are all set to go, you can restart your computer and turn on your keyboard, guitar, and microphone.


Starting SONAR

There are many different ways to start SONAR. Here are a few:

  • Click on the SONAR icon on your desktop.
  • Click on the Start button, and choose Programs-Cakewalk-SONAR 2-SONAR 2.
  • Click the Start button, point to Documents, and choose a SONAR project from the menu.
  • Double-click the SONAR program or any SONAR document from the Windows Explorer or the Find menu.

When you start SONAR, you see the Quick Start dialog box.

The Quick Start dialog box has several options:

Option... | How to use it...
Open a Project | Choose a project from the Open File dialog box to open it
Open a Recent Project | Select a project from the list, and click this button to open it
Create a New Project | Click here to create a new project.
Getting Started | Click here to view the Getting Started topic in the help file. This topic has links to a glossary of terms, as well as some basic procedures.

If you don't want to see the Quick Start dialog box in the future, uncheck the box at the bottom of the dialog box, and click Close. You can see the Quick Start dialog box later by choosing Help-Quick Start.

Migrating Preferences

If you have a previous version of Cakewalk installed, SONAR will detect it and give you the option of migrating certain preferences from a single earlier version.

When you choose to migrate preferences, SONAR migrates the following settings from an earlier Cakewalk version:

Setting... | Description...
Global Options | Settings in the Global Options dialog. Open by selecting Options-Global.
Key Bindings | Your customized key bindings for controlling SONAR using your MIDI keyboard or computer keyboard.
Instrument Definitions | Files used to control specific MIDI instruments.
Audio data directory (WaveData folder) and Picture Cache directory locations | SONAR uses the Data directory and Picture Cache directories from the previous Cakewalk version for storing project Wave files and their waveforms.

Important Note About Migration:

The following settings are not migrated:

  • Colors
  • Toolbars
  • Audio Options dialog settings

Running Wave Profiler

The first time you start SONAR, it automatically runs the Wave Profiler utility. Wave Profiler determines the proper MIDI and Audio timings for your sound card and writes them to a file that SONAR refers to when using the card. Wave Profiler does not change the sound card's DMA, IRQ, or port address settings.

Wave Profiler detects the make and model of your sound card, which determine the card's audio characteristics. If Wave Profiler finds a card that has a WDM driver, it only profiles that card. If you want to use more than one sound card at a time, and they don't both have WDM drivers, you must force the one with the WDM driver to use that driver as an older, MME driver. It is not necessary to run the Wave Profiler for a sound card using an ASIO driver. For more information about Wave Profiler, WDM, and MME, see The Wave Profiler When Wave Profiler determines the kind of card you have, always accept the default settings.

Note:

You can run the Wave Profiler again at a later time (for example, if you install a new sound card or driver) by choosing the Options-Audio General tab command and clicking Wave Profiler.

Setting Up the MIDI In and MIDI Out Devices

When you start SONAR for the first time, it checks your computer to find all the MIDI input and output devices you have installed (such as sound cards and MIDI interfaces). However, sometimes you need to tell SONAR exactly which devices you want it to use. If you're not getting sound from your sound card or MIDI keyboard, or if you just want to change the MIDI outputs and devices that you are using, follow the steps in this section.

Choose Options-MIDI Devices to open a dialog box in which you select the MIDI In and MIDI Out devices that SONAR will use. Each item in the list is a MIDI Input or MIDI Output from drivers installed using the Windows Control Panel.

  1. Select Options-MIDI Devices. You will see the MIDI Devices dialog box, which lets you choose instruments on MIDI inputs and outputs.
  2. Look at the left window. Notice that it shows devices on MIDI Inputs; make sure that all devices in this window are highlighted. If a device isn't highlighted, click on it once to select it for MIDI Input.
  3. Look at the window on the right. Notice that it shows devices on MIDI Outputs. SONAR numbers its MIDI Outputs by the order of the devices in this window. The device on top is on Output 1, the one below it is on Output 2, and so on.
  4. Highlight one device at a time in the Outputs window and click Move Selected Devices to Top to change its order. Then highlight all the devices that appear in the window to select them for output.

Tip!

Be sure to choose MIDI output devices from Options-MIDI Devices. If you don't do this, you won't hear any of your MIDI instruments when you play songs in SONAR.

See MIDI Devices dialog.

Using MIDI Devices After Making Driver Changes

If you later add or remove drivers using the Drivers icon of the Windows Control Panel, SONAR reacts in the following way:

  • If you remove a Control Panel driver, SONAR will not use the device it belongs to the next time you run the program. Any other devices you had selected using the Options-MIDI Devices command will remain selected.
  • If you add a driver through the Control Panel, SONAR does not automatically use it. You must use the Options-MIDI Devices command to enable the new driver in SONAR's list.

Note:

After you add or remove a driver with the Drivers icon in the Windows Control Panel, you must restart Windows for the change to take effect.

Defining Your MIDI Instrument or Sound Card

Once you have selected your MIDI Input and Output devices,SONAR, by default, plays back MIDI sequences using a General MIDI instrument definition. If you are using a synthesizer or sound card that does not adhere to the General MIDI standard, you may want to define that instrument. For information about instrument definitions, see Using Instrument Definitions.


SONAR Basics

SONAR looks and acts like many other Microsoft Windows programs. The menus and toolbars give you quick access to all the features of SONAR. Some menu choices and tools display dialog boxes that let you choose among various options, or type in the values you want. If you click in most views, in time rulers, or on certain other items with the right mouse button, you see a popup menu that provides quick access to many common operations.

The project is the center of your work in SONAR. If you're a musician, a project might contain a song, a jingle, or a movement of a symphony. If you're a post-production engineer, a project might contain a 30-second radio commercial or a lengthy soundtrack for a film or videotape production. By default, every project is stored in a file (known as a project file). The normal file extension for a SONAR work file is .cwp.

SONAR organizes the sound and music in your project into tracks, clips, and events.

Tracks are used to store the sound or music made by each instrument or voice in a project. For example, a song that is arranged for four instruments and one vocalist may have 5 tracks--one for each instrument and one for the vocals. Each project can have an unlimited number of tracks. Some of these tracks may be used in your finished project, while others can hold alternate takes, backup tracks, and variations that you might want to keep for future use. Each track can be made up of one or many clips.

Clips are the pieces of sound and music that make up your tracks. A clip might contain a horn solo, a drum break, a bass or guitar riff, a voice-over, a sound effect like the hoot of an owl, or an entire keyboard performance. A track can contain a single clip or dozens of different clips, and you can easily move clips from one track to another.

Groove clips are audio clips which have tempo and pitch information embedded within them, allowing them to follow changes to the project tempo or project pitch. You can click on either edge of a Groove clip and drag out repetitions in the track.

Events are MIDI data (in MIDI tracks) or automation data.


SONAR File Types

Projects in SONAR can be saved as a project file with the extension .cwp or as a Cakewalk bundle file with the extension .cwb.

Note that these file extensions are different from SONAR 1.0 and earlier Cakewalk products, and projects saved in this version are not backward compatible with older versions which use the .wrk and .bun file extensions.

For a complete description of the differences between project files and bundle files, see "Project Files and Bundle Files" on page 18-2 Project Files and Bundle Files.

Next topic: Other Types of Files.

Other Types of Files

SONAR lets you create and work with several other types of files, in addition to the work files that store your projects:
File type... | Description...
MIDI files (extension .mid) | Standard MIDI files.
Play List | To play a series of SONAR projects and standard MIDI files, one after another
CAL | To write, edit, and run CAL programs that extend the capabilities of SONAR. See the online help for an explanation of CAL.
StudioWare | To control external MIDI devices from SONAR
OMF | Open Media Framework format files.


Opening a File

Use the following procedure to open a file.

To Open a File in SONAR

  1. If you haven't already done so, start SONAR.
  2. Choose File-Open.
  3. In the Open dialog box, navigate to the directory where the project you want to open is located and select it.
  4. Click the Open button.
  5. If you are opening an OMF file, the Unpack OMF dialog appears. Set the initial tempo and specify the directory where you want to save the file and its audio. For more information about opening OMF files, see Unpack OMF dialog.

SONAR loads the project.


Views

SONAR displays your project in windows on the screen that are known as views. You can have many views open at once, all showing the same project. When you edit a project in one view, the other related views are updated automatically.

The Track View

The Track view is the main window that you use to create, display, and work with a project. When you open a project file, SONAR displays the Track view for the project. When you close the Track view for a project, SONAR closes the file.

The Track view is divided into three sections: the Track pane, the Clips pane, and the Bus pane. You can change the size of each of the three panes by dragging the splitter bars that separate them.

The Track pane lets you see and change the initial settings for each track. By default, the current track is displayed in gold. To change the current track, move the highlight using the mouse or the keyboard as follows:

Key... | What it does...
Left/Right Arrow | Moves the highlight to the next or previous control.
Up/Down Arrow | Moves to the same control in the adjacent track, or the next track of the same type if the control only applies to a specific track type (for example, the Patch control only applies to MIDI tracks).
Page Down | Displays the next page of tracks.
Page Up | Displays the previous page of tracks.
Home | Moves the highlight to the first track.
End | Moves the highlight to the last track.

The Clips pane shows the clips in your project on a horizontal timeline called the Time Ruler that helps you visualize how your project is organized. Clips contain markings that indicate their contents. The Clips pane lets you select, move, cut and copy clips from place to place to change the arrangement of music and sound in your project.

The Bus pane shows the main buses and aux buses in the project. The Show/Hide Mains and Aux Buses button [image] allows you to show or hide the Bus pane at the bottom of the Track view.

The Track view makes it easy to select tracks, clips, and ranges of time in a project. These are the most common selection methods:

To... | Do this...
Select tracks | Click on the track number, or drag over several track numbers
Select clips | Click on the clip, or drag a rectangle around several clips
Select time ranges | Drag in the Time Ruler, or click between two markers
Select partial clips | Hold down the Alt key while dragging over a clip

As with most other Windows programs, you can also use the Shift-click and Ctrl-click combinations when selecting tracks and clips. Holding the Shift key while you click adds tracks or clips to the current selection. Holding the Ctrl key while you click lets you toggle the selection status of tracks or clips. For more information, see Track View and Configuring the Display of Tracks in the Track View.

The Console View

The Console view is a place where you can mix the sounds on all the different tracks to create the final mix of your project. While the Track view provides the same controls, you may want to use the more familiar interface of the Console view for mixing.

You use the Console view to adjust the levels of sound for the different tracks in your project, to change the stereo panning, and to apply real-time effects to an individual track, combinations of tracks, or the final mix.

The Console view contains several groups of controls. There is one module for each track in your project, and one module for each aux and virtual main bus. You can use auxiliary sends (or aux sends) to direct certain tracks to special modules that are known as aux buses.

As in the Track view, you can change track settings or record new music or sound in the Console view. You may choose to use one view or the other, or the choice you make may depend on which project you are working on. For more information, see Console View.

Other Views

SONAR has a number of other views you can use to display and work on your project. To display these views, select one or more tracks, by Ctrl-clicking their track numbers and:

  • Click the icon for the view in the Views toolbar
OR
  • Choose the view you want from the View menu

The Piano Roll view [image] : shows the notes from a MIDI track or track as they would appear on a player-piano roll. You can move the notes around, make them longer or shorter, and change their pitches by just dragging them with the mouse. You can also use the Piano Roll view to display and edit MIDI velocity, controllers, and other types of information. The Piano Roll view also contains the Drum Editor, which allows you to "paint" drum patterns using the Pattern Brush tool and play different drum modules from a single track. For more information, see Piano Roll View.

The Staff view [image] : displays the notes from one or more MIDI tracks using standard music notation, similar to the way the notation would appear on a printed page. You can add, edit, or delete notes; create percussion parts; add guitar chords and other notation markings; display guitar tablature; display the Fretboard pane; and print whole scores or individual parts to share with other musicians. For more information, see Staff View.

The Loop Construction view [image] : allows you to create and edit Groove clips (SONAR loops that "know" the tempo and key in which they were recorded), and export these clips as ACIDized files. For more information, see Loop Construction view.

The Loop Explorer view [image] : allows you to preview ACIDized files and other Wave files; and drag and drop them into your project. For more information, see Loop Explorer View.

The Event List view [image] : displays the events in a project individually, so that you can make changes at a very detailed level. For more information, see Event List View.

SONAR has several other views that are used for very specific purposes:

View... | How you use it...
Meter/Key | To change the meter (time signature) or key signature, or to insert changes in the meter or key signature at specific times in a project. For more information, see Meter/Key View.
Big Time | To display the Now time in a large, resizable font that you can read more easily. For more information, see Big Time View.
Markers | To add, move, rename, or delete labels for parts of your project that make it easier to move from one point to another. For more information, see Markers View.
Lyrics | To add and display lyrics for a track. For more information, see Lyrics view.
Video | To display a loaded video file. For more information, see Video View.
Sysx | To create, display, store, and edit System Exclusive MIDI messages used to control instruments and other gear that are MIDI capable. For more information, see SYSX View.
StudioWare | To use custom software interfaces to control your MIDI gear. For more information, see StudioWare View.
Tempo | To view and edit the project's tempo changes. For more information, see Tempo View.

Zoom Controls

Many of the views contain Zoom tools that let you change the horizontal and vertical scale of the view:

The zoom tools are used as described in the following table:

Tool... | How you use it...
Zoom out | Click to zoom out incrementally, or press Shift and click to zoom all the way out
Zoom in | Click to zoom in incrementally, or press Shift and click to zoom all the way in
Zoom fader | Click and drag to zoom continuously
Zoom tool | Click to arm, then click and drag in the view to select the zoom area

The Zoom tool is automatically disarmed after use. Double-click the Zoom tool to make the selection stick. You can also zoom with the keyboard:

Key... | What it does...
Ctrl+up arrow | Zoom out vertically
Ctrl+down arrow | Zoom in vertically
Ctrl+right arrow | Zoom in horizontally
Ctrl+left arrow | Zoom out horizontally
G | Go to (center) the Now time, without zooming
Z | Arm the Zoom tool
U | Undo the current zoom
F | Fit tracks to window
A | Show all tracks
Shift+F | Fit project to window
Shift+Double Click | Maximize track height

Locking Views

By default SONAR allows only one instance of each view, but you can lock the contents of most views, preserving the current view by forcing a new instance of the view to appear if necessary. Locking views is the only way you can have multiple instances of the same view open. Only the Track and Console views cannot be locked.

To lock a view, just click the lock button at the top right of the view. An unlocked view looks like this [image] , and a locked view looks like this [image] . A view can be locked automatically by pressing the Ctrl key when opening the view.

Floating Views

When a view is float enabled, you can move it outside of the confines of SONAR. This is particularly useful if you take advantage of SONAR's dual monitor support. Using dual monitor support, you can keep the Track or Console view on one monitor and "float" other views to the other monitor by dragging them to the second screen.

For more information, see Floating Views and Dual Monitor Support.

Layouts

You may spend a lot of time making sure that all the views are laid out on the screen just the way you want. When you save your work, you can save the screen layout along with it. You can also save the layout by itself and then use the layout with other projects. See Layouts.

Next topic: Working on a Project.


Working on a Project

Much of your time in SONAR is spent recording and listening to your project as it develops. The Transport toolbar, shown below, contains the most important tools and other pieces of information you'll need to record and play back your project.

Every project has a current time, known as the Now time (see: The Now Time and How to Use It). As you record or play back a project, the Now time shows your current location in the project. When you create a project, the Now time is set to the beginning of the project. The current Now time is saved with your project.

You control recording and playback using tools on the Transport toolbar, which work a lot like the ones on your tape deck or CD player:

As you work with a project, you can use SONAR's mute and solo features to choose which tracks are played, or you can create loops to play a particular section over and over again. You can also create markers, which are named time points you add to your project to make it easy to jump to a particular location.

Next topic: SONAR File Types.

See Also:

Transport toolbar


Windows Taskbar Indicators

When SONAR is running, you'll normally see two indicators in your Windows Taskbar, right next to the clock:

The MIDI activity monitor contains two lights that indicate MIDI input and output. When you play your MIDI keyboard, the first light flashes when each note is pressed, and it flashes again when each note is released. When you play back a project that contains MIDI, the second indicator lights up.

The volume control is used to control the playback and record volumes on your sound card. Double-click on this indicator to open a dialog box that lets you control the levels for audio, MIDI, CD playback, and record.

The volume control is available only if your sound card is using a native Windows driver. If your sound card does not use a native Windows driver, no volume control will be displayed in the taskbar. In this case, your sound card probably came with a separate program to control input and output levels. See your sound card documentation for more information.


Screen Colors and Wallpaper

SONAR lets you customize the colors that are used for virtually all parts of the program using the Options-Colors command. This command also lets you change the background bitmap that is displayed in the SONAR window.

For any SONAR screen element, you can assign a color in two ways:

  • Choose one of the colors that is part of your Windows color scheme.
  • Assign a custom color.

To Assign Custom Colors

  1. Choose Options-Colors to display the Colors dialog box.
  2. Choose the screen element whose color you want to change from the Screen Element list.
  3. Assign a color to the screen element in one of two ways:
    • To use a color from the Windows color scheme, choose one of the options in the Follow System Color list
    • To use a custom color, check Use Specific Color, click the Choose Color button, and select the color you want
  4. To save these changes from session to session, check the Save Changes for Next Session box.
  5. Click OK when you are done.

SONAR uses the colors you have chosen.

To Restore the Default Colors

  1. Choose Options-Colors to display the Colors dialog box.
  2. Click the Defaults button.
  3. Click OK.

SONAR uses the default colors for all screen elements.

To Change the Wallpaper

  1. Choose Options-Colors to display the Colors dialog box.
  2. Choose the desired wallpaper according to the table:
    To do this...

    Do this...
    Use the default wallpaper

    Check Default in the Wallpaper list
    Not use any wallpaper

    Check None in the Wallpaper list
    Use a custom bitmap

    Check Custom, choose a bitmap, and click Open
  3. Click OK when you are done.

See: Colors dialog Dialog.


Starting to Use SONAR

This chapter has provided you with an overview of SONAR and basic information on how to install the software and configure your system. To get started with SONARyou can try the Tutorials. When you're finished with the tutorials, move on to Controlling Playback to learn the details of how you can use SONAR to create your projects.


Getting Started

Now that you've learned some of the basics, it's time to put that knowledge to work. These tutorials will give you some hands-on practice in playing, recording, and mixing your projects.

Note:

If, during installation, you chose not to install the Tutorials folder in the Select Components dialog, you will not have access to the sample tutorial files needed to follow these tutorials. To access these files, insert your product CD and copy the files to your hard drive.

Tutorials

Tutorial 1--The Basics

Tutorial 2--Recording MIDI

Tutorial 3--Recording Digital Audio

Tutorial 4--Editing MIDI

Tutorial 5--Editing Audio

Tutorial 6--Using Groove Clips

Tutorial 7--Mixing

Tutorial 8--Drum Maps

Tutorial 9--Using Soft Synths

Tutorial 10--Cyclone DXi


Tutorial 1--The Basics

The first tutorial teaches you the basics of SONAR. You'll learn how to:

  • Open and play a project file
  • Make the project repeat automatically
  • Use markers
  • Speed or slow the tempo
  • Mute a track and play a track solo
  • Change a track's instrument
  • Play a track on a MIDI instrument

If you have not already done so, please read Introduction , for basic background information about projects, tracks, clips, the Track view, and the Console view.

Next Step: Opening a Project File.


Opening a Project File

SONAR stores MIDI and digital audio data in project files. The first thing you need to do is load a project file.

To Open a Project File

  1. If you haven't already done so, start SONAR.
  2. Choose File-Open.
  3. In the Open dialog box, navigate to the directory in which you installed SONAR, double-click the Tutorials folder to open it and select the file tutorial1.cwp.
  4. Click the Open button.

SONAR loads the project and opens the Track view. Feel free to move and resize the Track view to better fit your screen.

Next Step: Setting Outputs


Setting Outputs

Before you can play a project, you must set the outputs. By setting the outputs, you are telling SONAR from which output you want to hear the sound. You may have a sound card with just one output or several sound cards, each with several outputs.

Before we assign a track to an output, let's make sure the outputs we want to use are available.

To Enable MIDI Outputs

  1. Select Options-MIDI Devices from the menu to open the MIDI Devices dialog box.
  2. In the MIDI Devices dialog in the Outputs field, arrange the outputs by doing the following:
    To do this...

    Do this...
    Select a device

    Click on it
    Move a device to the top of the list

    Select it, temporarily deselect all other selected devices, and click the Move Selected Devices to Top button
  3. Select the devices you want enabled--all enabled devices are highlighted.
  4. Click OK.

Note: If you have a large number of MIDI outputs enabled, you may occasionally get MIDI transmission errors or an out-of-memory message. You can try either deselecting some outputs, or lowering the number of Sysx buffers by using the Options-Global command to open the Global Options dialog box: on the MIDI tab, lower the value in the Number of Buffers field to 16.

To Enable Audio Outputs

  1. Select Options-Audio from the menu.
The Audio Options dialog box appears.
  2. Click on the Drivers tab in the Audio Options dialog box.
  3. In the Output Drivers field, select the drivers you want enabled. All enabled drivers appear highlighted.
  4. Click OK.

To Set MIDI Outputs for Your Project's Tracks

  1. In the Track view, click the Out dropdown menu in a track. You may need to enlarge the track to show the Out control: In Track 1, click the Restore Strip Size button [image] to expand the track.
A popup menu appears.
  2. Select the output you want to use for that track.
  3. Press the down arrow on your computer keyboard to move to the Out field for the next track and choose an output.
  4. Repeat step 3 for each track.

Let's play the project!

Next Step: Playing the Project.


Playing the Project

Buttons in the Large Transport toolbar, shown in the following picture, can control most of SONAR's basic playback functions.

If you don't see the Large Transport toolbar, then choose View-Toolbars and check Transport (Large).

To Start Playback

  1. To play the project, click the Play button [image] , or press the Spacebar.

Do you hear music? If you don't hear anything, see Troubleshooting for some troubleshooting tips.

To Restart the Project

When SONAR gets to the end of the project, it stops. To play the project again, do the following:

  1. Click the Rewind button [image] , or press w to go back to the first measure.
  2. Click the Play button, or press the Spacebar.

To Pause Playback

  1. To temporarily pause playback, click the Play button
    or the Stop button [image] , or press the Spacebar. Click the Play button [image] again to resume playback.

Certain SONAR functions can only be used when the project is paused. If a function or command does not seem to work, try pausing the project.

The Now Time

The Now time is the current time in the project. In the Clips pane of the Track view, the Now time is indicated by a vertical line. The Now time is also shown in the Transport toolbar, both in MBT (measure/beat/tick) format and in time code format (hour/minute/second/frame). During playback, the Now time increases in accordance with the progress of the project.

You can set the Now time of the project by clicking in the Time Ruler in the Clips pane, or (when playback is paused) by dragging the Now slider in the Large Transport toolbar.

While you are playing the project, you may want to keep an eye on the Now time. The Big Time view displays the Now time in a large font so you can more easily see it from a distance. To open this view, choose View-Big Time. You can change the time format displayed in the Big Time window by clicking on it. You can change its font by right-clicking on it.

Starting from a Marker

Markers make it easier to find certain points within the project. You may want to set markers at the beginning of each section of your project or at times with which some event must be synchronized. The Markers toolbar lets you move the Now time to a marker, add a new marker at the Now time, and edit the marker list. If you don't see the Markers toolbar, then choose View-Toolbars and check Markers.

The current project contains several markers. Let's try starting playback from the marker labeled C:

  1. If the project is playing, pause playback by clicking the Stop button [image] .
  2. In the Current Marker dropdown menu in the Markers toolbar (the larger dropdown menu, on the left), select the marker labeled C. The Now time moves to the start of measure 17.
  3. Click the Play button [image] .

You can jump to the next or previous marker by pressing Ctrl+Shift+ Page Down or Ctrl+Shift+Page Up.

For more information on markers, see Creating and Using Markers.

Next Step: Restarting the Project Automatically.


Restarting the Project Automatically

Wouldn't it be easier to practice your solo if you didn't have to rewind and restart the project each time it ended? Rather than manually rewinding and restarting the project, you can make SONAR automatically jump back to the beginning and keep playing.

Looping Over the Entire Project

To control looping, use the tools in the Loop/Auto Shuttle toolbar. If you don't see this toolbar, choose View-Toolbars and check Loop.

To loop over the entire project, do the following:

  1. In the Loop toolbar, click the Loop From time. The time display changes to an edit box with spin controls.
  2. To loop over the entire project, the loop must start at 1:01:000. If the Loop From time is not already set to 1:01:000, use the keyboard or spin controls to enter this value. To set it to 1:01:000, enter 1 and press Enter.
  3. In the Loop toolbar, click the Loop Thru time.
  4. Press F5 to open the Markers dialog box.
  5. Select the marker named <End> and click OK. The Loop Thru time is set to the end of the project.
  6. Click the Loop button [image] to enable looping.
  7. Click Play.

When looping is enabled, the Time Ruler displays special flag markers that indicate the loop start and end times. You can drag these markers to change the loop start and end times.

To turn looping off, click the Loop button again.

Looping Over a Section of the Project

Maybe you would like to practice one section of the project over and over. Or, maybe you'd like one section played repeatedly so you can practice an extended solo. In either case, you need to set the start and end times of the loop section. Let's have SONAR loop over the section between markers C and D:

  1. In the Loop toolbar, click on the Loop From time.
  2. Press F5 to open the Markers dialog box.
  3. In the Markers dialog box, select marker C and click OK. The loop start time is set to the marker time.
  4. In the Loop toolbar, click on the Loop Thru time.
  5. Press F5 to open the Markers dialog box.
  6. In the Markers dialog box, select marker D and click OK.
  7. Click the Loop button [image] to enable looping.
  8. Click Rewind. The project rewinds to the Loop From time.
  9. Click Play.

A quicker way of selecting the loop times in the preceding example would be to simply click in the area between the markers at the top of the Clips pane, then click [image] to copy the selection start and end times to the Loop/Auto Shuttle toolbar.

Next Step:

Changing the Tempo.


Changing the Tempo

If the project is having trouble keeping up with you (or if you're having trouble keeping up with the project!), you can easily speed up or slow down the project, since it contains only MIDI data. There are two ways to do this: you can change the tempo, or you can change the tempo ratio, which determines the tempo by multiplying it by a user-defined amount. The controls for either method are found on the Tempo toolbar. If you don't see this toolbar, choose View-Toolbars and check Tempo.

Setting the Tempo

Let's pick up the pace a little. Do the following:

  1. With the project playing, click on the tempo value in the Tempo toolbar. The tempo will be highlighted and spin controls will appear.
  2. Use the spin controls to increase the tempo to 100 beats per minute.
  3. Press Enter. The project will play a little faster.

Changing the Tempo with the Tempo Ratio Buttons

By default, the Tempo Ratio buttons let you play the project at half or double tempo. Try this:

  1. Click the first button [image] . The project slows to half its normal tempo. Note that the displayed project tempo has not changed.
  2. Click the third button [image] . The project speeds to twice its normal tempo.
  3. Click the middle button [image] . The project returns to its normal tempo.

Note: The Tempo Ratio buttons do not function in projects containing audio clips.

Setting the Tempo Ratios

Tempo ratios can be changed by Shift-clicking on them in the Tempo toolbar and entering a new number in the dialog box. By default, tempo ratios are set to 0.50, 1.00, and 2.00, respectively.

Advanced Tempo Control

This project is a special case in that it has only one tempo for the entire project. If you need to vary the project's tempo, SONAR lets you insert tempo changes. Tempo changes can be inserted individually so that different sections can be played at different tempos, or they can be inserted graphically in the Tempo view. For more information, see Changing Tempos.

Tempo ratios affect the entire project, even if there are tempo changes. SONAR always multiplies the current tempo in the project by the tempo ratio to determine the playback tempo.

Next Step: Muting and Soloing Tracks.


Muting and Soloing Tracks

Muting a track causes it not to sound when you play your project. Soloing a track mutes all the tracks except the ones that are soloed.

You can change a track's mute or solo status while your project is playing.

Muting a Track

Frequently you will want to temporarily turn off one or more instruments in your ensemble. SONAR makes it easy to mute the parts you don't want to hear.

For example, suppose that you are practicing the piano part for this project and want to hear only the other instruments. Let's mute the piano part. With the project playing, do the following:

  1. In the Track pane, click the Mute button [image] in the Piano track (track 1). The button turns yellow, and the piano part drops out of the project.
  2. To turn the piano back on, click the Mute button again.

Note that the yellow MUTE indicator lights up in the Status bar whenever a track is muted (the Status bar is located at the bottom of the SONAR window). This can be very helpful if there are muted tracks that aren't visible.

Let's try using a different method to mute two tracks simultaneously:

  1. In the Track pane, click the track number (the left-most column) of the Piano track. The track is selected.
  2. While pressing Ctrl, click the track number in the Sax track. The Piano and Sax tracks are selected.
  3. Choose Track-Mute. Both tracks are muted.

You can also mute or unmute tracks by using the popup menu:

  1. In the Track pane, click the track number of the Piano track.
  2. While pressing Ctrl, click the track number of the Sax track. The piano and sax tracks are selected.
  3. Right-click on either track to bring up the popup menu.
  4. Choose Mute (which should have a check mark beside it).

SONAR unmutes the tracks. You can also unmute all tracks by clicking the Mute indicator on the Status bar.

Playing a Track Solo

If you want to hear one track by itself, you could mute all other tracks. But there's a quicker way to do it--the Solo button. For example, to play the drum part by itself, do the following:

  1. Click the Solo button [image] in the Drum track (track 5). Voila, a percussion solo!
  2. To let the other instruments back into the project, click the Drum track's Solo button again.

Solo is not exclusive--you can let as many instruments as you like into the solo. Note that the green SOLO indicator lights up in the Status bar whenever a track is soloed.

Let's use a different method to solo all three percussion tracks:

  1. In the Track pane, click the track number in the Drums track. The track is selected.
  2. While pressing Shift, click the track numbers in the Shaker and Triangle tracks. All three percussion tracks are selected.
  3. Choose Track-Solo.

When you want to let the entire ensemble back into the project, click the Solo indicator on the Status bar to unsolo all the tracks, or select all soloed tracks and choose Track-Solo. As a third option, right-click, bring up the popup menu, and turn off the solo from there.

Note that Solo takes priority over Mute. If both buttons are selected in a track, the track still plays.

Mute and Solo in the Console View

The Console view contains Mute and Solo buttons identical to those in the Track view. The two sets of buttons are synchronized. To see this, do the following:

  1. In the Console view, mute the Bass, Sax, and Drums tracks.
  2. Solo the Piano track.
  3. In the Track view, check that the first track is soloed and that tracks 2, 3, and 5 are muted. Click the selected Solo and Mute buttons to return the tracks to normal.

Next Step: Changing a Track's Instrument.


Changing a Track's Instrument

If your sound card is like most, its internal synthesizer is capable of producing at least 128 different instrument sounds, plus several dozen percussion sounds. Now you'll find out how to get some of those other instruments into the act. Let's try changing the instrument playing the piano line.

Changing the Patch in the Track View

With the project playing, do the following:

  1. Solo the Piano track so you can hear the piano part more clearly. To do this, click the Solo button [image] in the Piano track (track 1).
  2. Loop the project, or a part of the project and click Play.
  3. In the Piano track in the Track pane, find the Pch control. Click the down arrow that is at the end of the patch name (the patch name should be something like Acoustic Grand Piano).
  4. To change the patch, select a new patch from the menu that appears. SONAR closes the menu and immediately starts playing the piano part with that new instrument.
  5. Have fun trying all the different patches!
  6. Click the Solo button in track 1 again to unsolo the Piano track.

You can change the patch at other times in the project besides the beginning by using the Insert-Bank/Patch Change command:

  1. Stop playback.
  2. Select the track in which you want to insert a patch change by clicking on its track number.
  3. Move the Now time to the place where you want to insert the patch change.
  4. Use the Insert-Bank/Patch Change command.
The Bank/Patch Change dialog box appears.
  5. Choose a patch from the Patch field and click OK.
SONAR inserts the patch change that you selected at the Now time.
  6. Move the Now time to a place before the patch change and play the project so that the Now time moves through the place where you put the patch change. You may want to solo the track to hear it clearly.
  7. Listen to the sound change when the Now time reaches the patch change.

You may want to experiment with changing all the instruments used by the project. One thing you should know: Changing the instrument on a percussion track (such as the Drum, Shaker, and Triangle tracks in this project) may have no effect. Percussion instruments are played on MIDI channel 10, which in General MIDI is dedicated to percussion. The note determines the instrument, and the patch is irrelevant.

Changing the Patch in the Console View

You can also change a track's patch in the Console view. For example, to change the Piano track's patch, click the Patch button in the Piano module and choose a new patch from the menu.

Next Step: Playing Music on a Keyboard.


Playing Music on a Keyboard

If you've connected a MIDI keyboard (or another instrument) to your external MIDI interface or the MIDI interface of your sound card, you can play one or more parts of the project on the keyboard instead of the sound card's internal synthesizer. For instructions on connecting a keyboard to your computer, see To Connect a MIDI Keyboard to Your Computer. For this section, we assume that you want to connect the keyboard to the MIDI In and Out of your sound card.

Checking Your MIDI Device Settings

First, let's make sure that SONAR is set up to send MIDI output to your keyboard.

  1. Choose Options-MIDI Devices to open the MIDI Devices dialog box.
  2. In the Outputs field, two devices should be selected. The first should be your sound card synthesizer device; the second should be the MIDI output your MIDI device is connected to (it should say something like "SB Live MIDI Out"). The uppermost selected device will correspond to Output 1, the second device to Output 2, and so on. For help with these settings, see Setting Up Output Devices.
  3. Click OK.

Routing MIDI Data to the Keyboard

Let's play back the Piano track through your MIDI keyboard. First, turn your keyboard on and make sure it is set up to receive MIDI input on channel one. Then, do the following:

  1. In the Track view, in the Piano track (track 1), click the Out field to open the menu of outputs.
  2. Select the output that your keyboard is attached to.
  3. Click the Play button or press the Spacebar to play your project.

SONAR plays the piano part through your keyboard.

Or, if you prefer, the procedure is similar in the Console view:

  1. In the Console view, click the Output button in the Piano module to open the menu of outputs. The Output button is just below the effects patch point.
  2. Select the output that your keyboard is attached to.

Play your project. If you don't hear anything from your keyboard, see Troubleshooting for some hints on troubleshooting.

Go to the next tutorial: Tutorial 2--Recording MIDI.

Back to Tutorials.


Tutorial 2--Recording MIDI

This tutorial teaches you how to record MIDI data with SONAR. You'll learn how to:

  • Set up the metronome
  • Record MIDI tracks
  • Use loop recording
  • Use punch recording

First Step: Creating a New Project.


Creating a New Project

If you haven't already done so, the first thing you need to do is create a project file:

  1. Start SONAR.
  2. Choose File-New.
  3. In the New Project File dialog box, select the MIDI tracks template.
  4. Click OK.

SONAR opens a new project, containing only MIDI tracks.

Next Step: Recording a MIDI Track.


Recording a MIDI Track

Let's record a new MIDI track in the project.

Setting Up the Metronome

Musicians often use a metronome to keep track of the beat. SONAR's metronome is more versatile than most real metronomes. You can configure it to sound on playback or recording; it can count off any number of lead-in measures or beats; it can use the PC speaker or MIDI notes to produce sounds; and it can accent the first beat of each measure. It also quickly and accurately follows any tempo changes that happen in the project.

You can set up the metronome with the Metronome toolbar. If you don't see the Metronome toolbar, choose View-Toolbars and select Metronome.

Let's set up the metronome to play two count-in measures on the PC speaker when recording. Here's what to do:

  1. In the Metronome toolbar, click in the Count-in box.
  2. Use the + or - buttons to set the count-in value to 2.
  3. Click the Count-in Measures option [image] to select it.
  4. Deselect the Metronome During Record option [image] .
  5. Select the Use PC Speaker option [image] .
  6. Deselect the Use MIDI Metronome option [image] .

By disabling the Metronome During Record option, you cause the metronome to turn off after the count-in measures. If you would prefer to hear the metronome during the entire project while recording, enable this option instead.

In this example, the metronome counts in for recording, not for playback.

Setting MIDI Inputs

Let's make sure that SONAR is set up to receive MIDI data from your instrument.

  1. Choose Options-MIDI Devices to open the MIDI Devices dialog box.
  2. In the Inputs column, select your sound card's MIDI In device or the MIDI In for your external MIDI interface. For help with these settings, see Setting Up the MIDI In and MIDI Out Devices.
  3. Click OK.

Setting Up Playback

During recording, SONAR will play the rest of a project as usual. Depending on what instrumental part of the project you are going to record, you may want to mute one or more tracks, or solo certain tracks. For example, if you are going to record a new piano part, you might want to mute the old piano part so that you're not competing with it while recording (you can also record over the old piano part--arm the piano track and make sure Overwrite is the selected mode in the Record Options dialog box, which you open with the Transport-Record Options command). To mute any track, click the track's Mute button [image] .

Since this is a new project, there is no need to mute or solo any track.

You can also set other playback options, such as the tempo ratio (see Changing the Tempo with the Tempo Ratio Buttons), to make your recording session easier.

Recording MIDI

Now you'll record a track in the project. Do the following:

  1. Make sure your instrument is turned on and set up to transmit MIDI data.
  2. If you don't have an unused MIDI track in the project, create a new MIDI track by right-clicking in the Track pane and selecting Insert MIDI Track from the menu that appears.
  3. In a MIDI track, click the Arm button [image] (arming a track automatically sets the In field to MIDI Omni, meaning that this track will record incoming MIDI data from any channel).
  4. On the Transport toolbar, click Record [image] , or press r.
The metronome counts off two measures, then SONAR starts recording.
  5. Play your MIDI instrument.
  6. When you finish recording, click the Stop button [image] , or press the Spacebar.

If you've played any notes, a new clip appears in the Clips pane in the track you recorded on. If no new clip appears, see I Can't Record from My MIDI Instrument for some troubleshooting hints.

Listening to the Recording

Let's play back your performance on your sound card. For an added dimension, we'll open a few other views in the process. Do the following:

  1. Display the controls of the track you recorded by clicking its Restore Strip Size button [image] , or by dragging the Vertical Zoom control that's located at the lower right corner of the Clips pane.
  2. Click the Out dropdown arrow to display the menu of available outputs.
  3. Select your sound card's MIDI synthesizer (if you don't see the outputs you expect to see, use the Options-MIDI Devices command and enable the correct outputs--see Setting Outputs).
  4. In the Ch field, click the dropdown arrow to select a MIDI channel, and select an unused channel.
  5. In the Pch field, select any patch.
  6. Choose View-Piano Roll to open the Piano Roll view.
  7. Choose View-Staff to open the Staff view.
  8. Choose View-Event List to open the Event List view.
  9. Choose Window-Tile in Rows to tile the views.
  10. To return to the start of the project, click the Rewind button, or press w.
  11. Click Play [image] or press the Spacebar.

It's almost as easy to listen to your performance on your MIDI instrument. For instructions on how to play a track on a MIDI keyboard, refer to Tutorial 1.

The Piano Roll, Staff, and Event List views all show the same basic information--the notes that you recorded. The Piano Roll view displays the track as a player-piano roll. The Staff view shows notes in traditional music notation. The Event List view lists all MIDI events for the track. When you need to edit a track, you can work in any of these views. On different occasions you may have reason to use different views.

When you're ready to continue, close the Piano Roll, Staff, and Event List views.

Recording Another Take

Maybe your first attempt at recording resulted in a perfect performance, but maybe not. If you'd like to remove your first take and try again, do the following:

  1. Choose Edit-Undo Recording or press Ctrl+Z to undo your recording.
  2. Click Rewind [image] , or press w. The track is still armed for recording, so you don't need to re-arm it.
  3. Click Record [image] , or press r.
  4. When you finish recording, click the Stop button in the Transport toolbar or press the Spacebar.

Alternatively, you could record your next attempt on a new track. That way you can keep all the takes and select the best one later (or combine the best parts of each!). If you record on a new track, be sure to arm the new track for recording and to disarm the previous track. See Loop Recording for a convenient way to record multiple takes.

Next Step: Saving Your Work.


Saving Your Work

When you have something you'd like to keep, you can save the project by doing the following:

  1. Choose File-Save As.
  2. In the File Name box, type a new file name, such as My Project.
  3. Click OK.

SONAR saves the project under the new name. From now on, you can click the Save button [image] to save your work.

Next Step: Loop Recording.


Loop Recording

If you'd like to record several takes successively, you can set up SONAR to loop over the entire project, or just some section of it. SONAR will record a new take during each loop, storing that take in a new clip. You can set SONAR to place each clip in a new track or to pile all clips in one track.

Let's try recording a few takes of the first four measures of a project, placing each take in a new track.

Setting Up Looping

First, let's set up SONAR to loop over the first four measures:

  1. Click the down arrow in the Snap to Grid combo button [image] to open the Snap to Grid dialog box.
  2. In the Snap to Grid dialog box, click the Musical Time button and select Measure from the list of durations. In the Mode field, select Move To, and click OK to close the dialog box.
Now you can only select exact one-measure blocks of time in the Time Ruler, which is located at the top of the Clips pane.
  3. In the Time Ruler, drag through the first four measures to select them.
  4. In the Loop/Auto Shuttle toolbar, click the Set Loop to Selection button [image] to set the Loop From and Loop Thru times.

Clicking [image] enables looping automatically.

Setting Up the Tracks

Now let's set up the first of the tracks where the takes will be stored:

  1. Arm a MIDI track by making sure its Arm [image] button is red.
  2. Click the track's Out field to set its output to your sound card's MIDI synthesizer.
  3. Use the track's Ch field to set its Channel to an unused channel.
  4. Use the track's Pch field to select any patch.

As usual, you could set the tracks to play back on your MIDI keyboard instead by specifying the appropriate output and channel.

Loop Recording

Finally, let's record our takes:

  1. Choose Transport-Record Options to display the Record Options dialog box.
  2. Choose the Store Takes in Separate Tracks option to store each new take in a separate track. Each time a new take starts, the settings from the first track will be copied to the new track.
  3. Click OK.
  4. Click Rewind [image] .
  5. Click Record [image] .
SONAR loops over the designated section and records your takes to successive tracks. If you want to erase the most recent take during loop recording, choose Transport-Reject Loop Take.
  6. To stop recording, click Stop [image] , or press the Spacebar.

Now you can listen to each take individually by muting the other ones.

Next Step: Punch-In Recording.


Punch-In Recording

Imagine that one of your takes was close to ideal, except for one or two notes in one measure. Rather than recording another full take, you'd prefer to keep the take but replace that measure.

Punch-in recording lets you replace a section of a track. The way it works is this: First, you set the start and end times of the punch to the section you want to replace, and turn on punch recording. Then, you arm the track and start recording. You can play along with the original take to get the rhythm and feeling. However, nothing will be recorded until the Now time reaches the punch start time. During the punch, the material already in the track will be replaced with what you record. When the punch ends, the project will continue to play, but recording will stop.

Let's try it. Suppose you want to replace several measures in the recording you made earlier in this tutorial.

  1. Display the Record toolbar by choosing View-Toolbars-Record.
  2. In the Record toolbar, click the Punch In Time.
  3. Type the number of the measure at which you want to begin punch recording and press Enter.
  4. Click the Punch Out Time.
  5. Type the number of the measure at which you want to end punch recording and press Enter.
  6. Select Auto Punch from the Record Mode dropdown list.
  7. Arm the track in which you want to punch record.
  8. If looping is still on, click the Loop button [image] to turn it off.
  9. Click Rewind [image] .
  10. Click Record [image] .

Play along until you are past the punch end time, then click Stop [image] . Replay your take to hear the difference. If it's still not right, try again!

An alternative method is to select measures by dragging in the Time Ruler. Then right-click the Time Ruler and choose Set Punch Points. This automatically enables punch recording.

You can combine loop recording with punch recording; see Punch Recording for details.

When Auto Punch is enabled, the Time Ruler displays special markers that indicate the punch in and punch out times. You can drag these markers to change the punch in and punch out times.

Go to the next tutorial: Tutorial 3--Recording Digital Audio.

Back to Tutorials.


Tutorial 3--Recording Digital Audio

To record digital audio, you need some sort of device hooked up to your sound card's line or mic input--an electric guitar, a preamp, or a mixer, for example. If nothing else, try playing or singing into a microphone!

If you have never connected an instrument to your sound card, see To Connect an Electric Guitar to Your Computer.

First Step: Setting the Sampling Rate.

  • Setting the Sampling Rate
  • Setting the Audio Driver Bit Depth
  • Setting the File Bit Depth
  • Opening a Project File
  • Setting Up an Audio Track
  • Checking the Input Levels
  • Recording Digital Audio
  • Listening to the Recording
  • Recording Another Take
  • Input Monitoring
  • Loop and Punch-In Recording
  • Recording Multiple Channels


Setting the Sampling Rate

Each SONAR project has a parameter that specifies the sampling resolution for all digital audio data in the project. You should set this rate before recording any digital audio.

To set the sampling rate:

  1. Choose Options-Audio to open the Audio Options dialog box.
  2. Click the General tab.
  3. Under Default Settings for New Projects, select a Sampling Rate. For CD-quality sound, use 44100 Hz.
  4. Click OK.

Lower sampling rates will save disk space but will result in lower-quality audio. Before embarking on any major project, try sampling at different rates to determine which one best suits your needs.

Next Step: Setting the Audio Driver Bit Depth.


Setting the Audio Driver Bit Depth

The drivers for most sound cards use anywhere from 16 to 24 bits to handle the data and calculations for audio processing. CD's use 16 bits. You can possibly get better sound quality by recording at a higher bit depth and converting to 16 bits when it's time to master your project, but keep in mind that 24 bit audio takes 50% more memory than 16 bit audio, possibly straining your computer's storage capability and speed of operation.

Your sound card's documentation could have some advice on choosing an audio driver bit depth.

To set the audio driver bit depth:

  1. Use the Options-Audio command to open the Audio Options dialog box.
  2. On the General tab, find the Audio Driver Bit Depth field and select one of the options.
  3. Click OK.

For more information about audio driver bit depth, see Configuring SONAR for 18-, 20-, and 24-bit Operation.

Next Step: Setting the File Bit Depth.


Setting the File Bit Depth

The file bit depth is the size of the blocks of memory that SONAR allocates to store your project's audio data. SONAR allocates memory in 8-bit bytes. If you are using an audio driver bit depth of 16, choose a file bit depth of 16. If you are using an audio driver bit depth that's greater than 16, use a file bit depth of 24.

To set the file bit depth:

  1. Use the Options-Audio command to open the Audio Options dialog box.
  2. On the General tab, find the File Bit Depth field and select either 16 or 24.
  3. Click OK.

Next Step: Open a New Project.


Open a New Project

Let's open a new project for this tutorial.

  1. Select File-New from the menu.
  2. Select the Normal template and click OK.

Next Step: Setting Up an Audio Track.


Setting Up an Audio Track

Let's set up a track for digital audio:

  1. Insert a new track by doing the following: in the Track pane, right-click below the last track, or wherever you want to insert a track, and choose Insert Audio Track from the popup menu.
SONAR inserts a new audio track.
  2. In the track's Out field, click the dropdown arrow and select an audio output from the menu.
  3. In the track's In field, choose an audio input. Usually you select the left channel of one of your sound card's inputs to record a mono track, or the stereo input to record a stereo track.

Next Step: Checking the Input Levels.


Checking the Input Levels

Before trying to record, you need to check and adjust the audio input levels. If your audio input is too low, it will be lost in the background noise. If it is too high, it will overload the input channel and be distorted/clipped. Before you check input levels, make sure that the Record Meters are set to be displayed in the Track view. Click the right arrow next to the Show/Hide Meters button [image] and in the menu that appears, select the Record Meters command if it is not already checked.

You may need to drag the splitter bar that separates the Track pane from the Clips pane to the right to see all the buttons in the Track view toolbar.

Note: SONAR has a button called the Audio Engine button [image] in the Transport toolbar, which you click to stop any feedback you may experience if there is a loop somewhere in your mixer setup. Whenever you play a project, SONAR automatically enables the audio engine, which you can tell by watching the Status bar--whenever the audio engine is running, the Audio Running indicator in the Status bar lights up. The Status bar is located at the bottom of the SONAR window.

To check the audio input levels:

  1. Click the Arm button [image] in your new audio track. The track's meter becomes a record meter. You may need to use the Vertical Zoom Control in the lower right corner of the Clips pane to see the track's meter.
  2. Perform as you would during recording. Watch the meter respond to the sounds you produce. If the meter does not respond, you may need to raise the volume of your plugged-in instrument. Also, make sure that the Audio Engine button [image] in the Transport toolbar is depressed.
If you still don't see any movement of the audio meters, you may have an audio input problem. Refer to I Can't Record Any Audio for troubleshooting hints.
  3. If the meter never comes even close to the maximum, increase the input level by using the Windows mixer or your sound card's software mixer (or if you are recording your instrument through an amplifier or mic preamp, turn up the amp or preamp).
  4. If the meters even occasionally reach the maximum, decrease the input level.

The idea is to try to get the input level to rise as high as possible, but without ever reaching the maximum. That way, you get the strongest possible signal without distortion.

SONAR's meters are extremely adjustable for the kind and range of data they display. For more information, see Metering.

Next Step: Recording Digital Audio.


Recording Digital Audio

It's time to record!

  1. If you haven't already set up the metronome, follow the directions in Setting Up the Metronome to set the metronome for a two-measure count-in.
  2. The track is already armed for recording.
  3. In the Transport toolbar, click Record [image] , or press r on your computer keyboard.
You'll hear two measures counted in by the metronome, then playback and recording begin.
  4. Go ahead and perform!
  5. When you finish recording, click the Stop button [image] , or press the Spacebar.

A new clip appears in the Clips pane. If no new clip appears, see I Can't Record Any Audio for some trouble-shooting hints. Also, right-click in the Clips pane and choose View-Options to open the Track View Options dialog box--make sure Display Clip Names and Display Clip Contents are checked.

Next Step: Listening to the Recording.


Listening to the Recording

Let's play back your performance. Do the following:

  1. In the track's Out field, click the dropdown arrow to display the menu of available outputs, and select a pair of your sound card's stereo outputs (if your sound card only has two outputs, just select the name of your sound card).
  2. To return to the start of the project, click the Rewind button.
  3. Disarm your audio track by clicking its Arm button again--this changes the track's meter to a playback meter. The track is disarmed when its Arm button is not red.
  4. Click Play [image] .
  5. Watch the track's meter. If the level is not what you want, record your track again.

Next Step: Recording Another Take.


Recording Another Take

If you'd like to delete your performance and try again, do the following:

  1. Choose Edit-Undo Recording to undo your recording, or press Ctrl+Z (Undo).
  2. Click Rewind [image] or press w.
  3. Make sure the track is still armed for recording.
  4. Click Record [image] .
  5. When you finish recording, click the Stop button [image] , or press the Spacebar.

Alternatively, you could record your next attempt on a new track.

Next Step: Input Monitoring.


Input Monitoring

SONAR has a feature called input monitoring, which allows you to hear any instrument that is plugged into your sound card whether you are currently recording the instrument or not. You can hear your instrument, including any plug-in effects, whenever input monitoring is enabled and the Audio Engine button [image] in the Transport toolbar is depressed. You enable input monitoring by using the Options-Audio command to open the Audio Options dialog box and highlighting the name of your sound card on the Input Monitoring tab. After you close the dialog box, you can click the Audio Engine button [image] in the Transport toolbar to turn input monitoring on or off.

Caution: If you have any kind of a loop in your mixer setup that causes the output of your sound card to be fed back into the input, you can get feedback, and input monitoring can make it very intense because both the direct signal and the processed signal are coming out of your sound card. Turn your speakers off whenever you enable input monitoring, and then try turning them up very gradually to try it out. If you hear feedback, click the Audio Engine button [image] in the Transport toolbar to turn input monitoring off. With single-port sound cards, using the What-you-hear option as a recording input sets up a loop whenever input monitoring is enabled.

For more information on Input Monitoring, see Input Monitoring.

Next Step: Loop and Punch-In Recording.


Loop and Punch-In Recording

Loop and Punch-in work the same for digital audio recording as they did for MIDI recording. For more information, refer to the relevant sections preceding, or to Loop Recording or Punch Recording.

Next Step: Recording Multiple Channels.


Recording Multiple Channels

If you can gather the entire band around your computer, and if you have the proper equipment, you can record a full multiple-instrument performance all at once. If you have several MIDI instruments, you can route their input into your sound card through a MIDI merger--data that arrives on different MIDI channels can be routed to different tracks. Likewise, a typical sound card can record audio on both right and left channels--each can be recorded on a different track by choosing the right channel as an input for one track, and the left channel as an input for another. Multiple sound cards and multi-I/O sound cards can expand the number of possible inputs. For more information, see System Configuration.

That completes the audio recording tutorial. Now you've learned the basics of playing and recording material for your projects. In the following tutorials you'll learn about basic editing techniques for both MIDI and audio.

Go to the next tutorial: Tutorial 4--Editing MIDI.

Back to Tutorials.


Tutorial 4--Editing MIDI

SONAR has too many powerful MIDI features to look at in one tutorial, so let's look at some of the most basic features and also cover some exciting new ones, such as slip editing and MIDI envelopes.

In this tutorial, start by opening the file tutorial4.cwp in the Tutorials folder where SONAR is installed. We will be doing the following tasks:

  • Transposing
  • Copying Clips with Drag and Drop
  • Editing Notes in the Piano Roll View
  • Slip Editing
  • Drawing MIDI Envelopes
  • Converting MIDI to Audio

First Step: Transposing.


Transposing

Here are two ways to transpose MIDI data in SONAR:

  • You can apply the eTranspose command to selected data (see the procedure below).
  • You can use the Key+ control for a specific track--the Key+ control is located with the other track parameter controls in the Track pane. This method causes a track to play higher or lower by the number of half steps you enter in the Key+ control. This is a non-destructive form of editing that leaves the pitch of the original data unchanged, but adds an "offset" when the track plays back.

To Transpose our Tutorial File

  1. Select all the notes in the bass track by clicking the bass track's track number. The track number should appear highlighted when it is selected.
  2. Select all the notes in the organ track by Ctrl-clicking (holding down the Ctrl key while you click) the organ track's track number. Ctrl-clicking allows you to make multiple selections.
  3. Use the Process-Transpose command to open the Transpose dialog box.
  4. Enter -2 (negative 2) in the Amount field and click OK.
  5. Ctrl-click both track numbers again to deselect them.

SONAR transposes the selected data down a whole step (2 half steps). Choose MIDI outputs for your tracks and play the project. You can undo the transposition by pressing Ctrl+z, and redo the transposition by pressing Ctrl+Shift+z.

Next Step: Copying Clips with Drag and Drop.


Copying Clips with Drag and Drop

The first clip in the bass track is two measures long; we can easily drag-copy it to make it eight measures long. When we drag-copy some of the clips, we can make them into linked clips. When you edit a linked clip, SONAR performs the exact same edits on all other clips that the clip is linked to.

To Copy Clips Using Drag and Drop

  1. In the Track view toolbar, click the Snap to Grid button's down arrow to open the Snap to Grid dialog box.
  2. Make sure that the Musical Time radio button is selected, and in the list to the right of it, select Measure.
  3. In the Mode field, select Move By and click OK. Now we can only move clips in the Clips pane by distances of an exact measure or measures.
  4. While holding down the Ctrl key, drag the first clip in the bass track to the right and release the mouse when the start of the clip is at measure three. The Drag and Drop Options dialog box appears. Click OK--SONAR places a copy of the clip in measures three through four. Ctrl-dragging a clip copies and moves it, while dragging without holding down any extra keys moves a clip without making a copy of it.
  5. Now let's make a linked clip copy of the new clip in measure three: Ctrl-drag the clip from measure three to measure five. When the Drag and Drop Options dialog box appears, click the Copy Entire Clips as Linked Clips checkbox and click OK. SONAR places a linked clip copy into measures five and six. The two linked clips have dotted outlines to show they are linked.
  6. Make another linked copy of one of the linked clips and place it in measures seven and eight. Because this copy overlaps the clip that's in measure 9, make sure that the Blend Old and New option is checked in the Drag and Drop dialog box. Because none of the notes in the two clips overlap, blending the two clips does not change any of their data.

Now you have linked clip copies in measures three through eight: when you edit any of these three clips, SONAR performs the exact same edits on the other two.

Next Step: Editing Notes in the Piano Roll View.


Editing Notes in the Piano Roll View

SONAR's Piano Roll view gives you complete control of individual note properties. Let's edit a couple of notes.

To Edit Notes in the Piano Roll View

  1. Open the Piano Roll view of the first bass clip by double-clicking the clip. In the Piano Roll view, you may have to use the Up Arrow and Down Arrow keys on your computer keyboard to display the note data (the Right and Left Arrow keys scroll the display in the horizontal direction).
  2. Drag the Piano Roll's Horizontal Zoom control that's at the lower right corner of the Notes pane to make the note data large enough for easy editing.
  3. In the Piano Roll toolbar, right-click the Snap to Grid button [image] to open the Snap to Grid dialog box (Snap to Grid settings in each view are independent of each other).
  4. Make sure the Musical Time radio button is selected, and in the window to the right of it, select Eighth.
  5. In the Mode field, make sure that the Move By radio button is selected and click OK. Now we can only move data in the Piano Roll view by exact distances of one or more eighth notes.
  6. In the Piano Roll toolbar, click the Draw tool [image] to activate it.
  7. Find the note that starts at the beginning of measure three and drag it to the left by a half beat, and release the mouse.
SONAR moves the note to the left by a half beat, and also moves the identical notes that are at the beginnings of the other two linked clips in the same way.
  8. Now drag the right end of the same note to the right by a half beat.
SONAR lengthens the note by a half beat, and also lengthens the identical notes that are at the beginnings of the other two linked clips in the same way.
  9. Close the Piano Roll view when you finish editing.

If you want to unlink clips when you're through editing them, select the clips you want to unlink, right-click one of them, and choose Unlink from the Clips pane popup menu. Select Independent, Not Linked At All in the Unlink Clips dialog box and click OK.

You can also use the Draw tool to drag notes up or down in pitch, or to enter new ones. See Selecting and Editing Notes.

Next Step: Slip Editing.


Slip Editing

Now let's take advantage of one of the most convenient new features of SONAR: slip editing. Slip editing lets you drag the beginning or ending borders of a clip to hide the notes or other MIDI data that are in the area that you drag through (slip editing also works on audio clips). SONAR does not delete these notes or data, but does not play them either. As soon as you drag the clip borders to display the data again, SONAR plays them again. Slip editing is a very fast and convenient way to try out different sounds, without destroying any data. You can also leave the clip borders unchanged and only drag the data that's within the clip, which is called scroll-trimming. Scroll-trimming changes the rhythmic placement of data without changing the clip's borders.

To Slip Edit Tutorial4.cwp

  1. Drag the horizontal zoom controls in the Clips pane so that a space of about 2 measures fills up the Clips pane.
  2. Click the down arrow in the Snap to Grid combo button to open the Snap to Grid dialog box, change the Musical Time resolution to Eighth, make sure Move By is selected in the Mode field, and click OK. Now we can only drag the borders of clips by units of eighth notes.
  3. In the organ track in the Clips pane, move the cursor over the right end of the first clip until the cursor changes to a square. Drag the right border to the left until the MIDI data at the end of the clip is hidden.
Now you can't hear those notes.
  4. Drag the end of the second clip to the left until just the "tail" or glissando of the data is hidden.
  5. In the third clip, hold down both the Alt and Shift keys and drag only the data inside the clip to the left by about one eighth note.

You can experiment as much as you want with slip editing, all without destroying any data! For more information about Slip Editing, see Slip Editing (Non-Destructive Editing).

Next Step: Drawing MIDI Envelopes.


Drawing MIDI Envelopes

MIDI envelopes are lines and curves you can draw on MIDI data in the Clips pane. Each envelope produces continuous control over one of the following track parameters: volume, pan, chorus, reverb, automated mute, or a MIDI controller. You can show or hide any envelope you create, but the envelope still functions when it is hidden. For our tutorial, let's create a MIDI volume envelope.

To Draw and Edit a MIDI Volume Envelope

  1. In the Clips pane in the organ track, right-click and choose Envelopes-Create Track Envelope-Volume (default Ch. 1) from the Clips pane popup menu.
SONAR creates a blue line through the organ track, with a small square dot (a node) at the beginning of the line. The line shows the initial volume of the track, if it has an initial volume. Otherwise, it shows a default value.
  2. Scroll the Now Time to the next marker by pressing Ctrl+Shift+Page Down; the marker is called Verse, and is located just before measure nine. Drag the Horizontal zoom control so that the beat markers are visible in the Time Ruler.
  3. At the fourth beat of measure eight, add a node to the envelope by moving the cursor over it until a double-ended, vertical arrow appears under it, right-clicking to open the Envelope Editing menu, and choosing Add Node from the menu. A shortcut to add a node is to double-click the line.
  4. At the start of measure nine, add another node.
  5. Move the cursor over the newest node until a cross appears under it, and drag the node downwards until it's just below the MIDI data that's at the start of the clip.
  6. At the fourth beat of measure twelve, add another node and drag it up to the top of the track. Now you have a gradual volume increase in the organ track for almost four measures.
  7. At the start of measure thirteen, add another node and drag it downward just below the MIDI data at the start of the measure.
  8. Right-click the line that's between the last two nodes, and choose Slow Curve from the Envelope Editing menu. SONAR changes the line to a curve. Now the drop in volume is a little more gradual.

Now you have some interesting dynamics in your track. You can add a lot more to your envelope, and add more envelopes if you wish. You can also copy and paste envelopes. For more information, see Automation Methods.

Next Step: Converting MIDI to Audio.


Converting MIDI to Audio

When you finally get your MIDI project into the shape you want. You can convert the MIDI tracks to audio for export as Wave, MP3, or other file formats. If you are using external MIDI modules, just record the outputs of your modules into your sound card. If you are using DXi soft synths, use the File-Export-Audio command, or the Edit-Bounce to Track(s) command. If you are using the built-in synthesizer in your sound card to produce MIDI sounds, you can use your sound card's "what you hear" or wave capture function to convert the MIDI tracks, if your sound card can function this way. See the following procedure:

To Convert MIDI to Audio

  1. Make sure that the Audio Engine button [image] in the Transport toolbar is in the up (disabled) position.
  2. Select Options-Audio to open the Audio Options dialog and click the Input Monitoring tab. Make sure the audio device you are using to record the MIDI is not selected and click OK.
  3. Pick a destination audio track (or create a new one) and set the In field to Stereo (name of your sound card).
Note: If you have more than one sound card installed, select the one that has the built-in synth that your MIDI tracks use.
  4. Arm the destination track.
  5. Mute or archive any tracks that you don't want to record to the destination track.
  6. If SONAR's metronome is set to use any software synth to produce a click, disable the metronome during recording option in the Project Options dialog box. To do this, select Options-Project to open the Project Options dialog box, select the Metronome tab and uncheck Recording in the General section. Alternatively, you could set the metronome to use the PC speaker and not use a MIDI note.
  7. Open your sound card's mixer device. This is normally done by double-clicking the speaker icon on your Windows taskbar, or by choosing Start-Programs-Accessories-Entertainment-Volume Control-Options-Properties.
Note: Some sound cards, such as the SoundBlaster Live, have their own proprietary mixer. If yours has one, please use it instead.
  8. If you're using the Windows mixer, use its Options-Properties command to open the Properties dialog box, click Recording (in the Adjust Volume For field), and make sure all boxes in the Show the Following Volume Controls field are checked.
  9. Click OK, and locate the slider marked MIDI, Synth, Mixed Input, or What You Hear. Check the Select box at the bottom, then close the window.
  10. In SONAR, rewind to the beginning of your project, click the Record button, and click the Stop button when you're done recording.
SONAR records all the MIDI tracks that are assigned to your sound card synth as a stereo audio track.

After you finish recording, mute the MIDI tracks that you just recorded so you don't hear them and the new audio track at the same time.

Go to the next tutorial: Tutorial 5--Editing Audio.

Back to Tutorials.

See also:

Changing the Timing of a Recording

Editing MIDI Events and Controllers


Tutorial 5--Editing Audio

In this tutorial we will be editing a bundle file with drums, bass, guitar and organ. We will add some additional percussion, and edit some of the existing tracks. This tutorial covers the following:

  • Importing wave files
  • Dragging and looping clips
  • Slip editing
  • Using automatic crossfades
  • Bouncing tracks

First Step: Opening the Project.


Opening the Project

  1. In SONAR select File-Open from the menu.
  2. In the Open dialog, select Tutorial5.cwb and click OK.
The audio data is loaded into SONAR and Tutorial5.cwb opens.

Next Step: Importing a Wave File.


Importing a Wave File

Now that you have the file open, click the Play button to hear the project. The project contains drums, bass, and two guitar tracks. Let's import an organ track:

To Import a Wave File

  1. Click the down arrow in the Snap to Grid combo button located in the Track view toolbar.
The Snap to Grid dialog appears.
  2. In the Snap to Grid dialog, click the Musical Time radio button, select Measure from the list of durations and click OK.
  3. Make sure the Snap to Grid button is depressed (on).
  4. In the Track pane, right-click below the bottom track and select Insert Audio Track from the menu that appears.
  5. Click the track number of the new track to select it.
  6. We want to insert the new part at measure 18, so click in the Time Ruler at measure 18. The Time Ruler is at the top of the Clips pane above the drum track.
  7. Select File-Import-Audio from the File menu.
The Open dialog appears.
  8. Open the Tutorials folder located in the directory where SONAR is installed.
  9. Select organ.wav and click Open.
A new clip appears in the selected track at the specified Now Time--measure 18.
  10. Double-click the track name, and type in a new name: "Organ," and press Enter.
  11. Move the Now time to the beginning, insert another audio track, import the file maracas.wav, and name the track.
After you import maracas.wav, notice that the clip has beveled or rounded corners instead of sharp ones. That means it's a Groove clip, and contains tempo and pitch information. We'll learn more about Groove clips in the next tutorial.
  12. Insert another audio track, import the file congas.wav (which is also a Groove clip) and name the track.

Next Step: Moving and Looping the Clips.


Moving and Looping the Clips

When you drag and drop clips in the Clips pane, the Snap to Grid setting determines the resolution to which the clips "snap to." If your Snap to Grid setting is Measures and you drop a clip between two measures, the clip appears aligned to the closest measure.

We have just dropped two percussion clips into our project, and we could have dropped them where we wanted, but then we wouldn't get a lesson on how to move clips in SONAR.

Let's move both clips to the 18th measure of the project.

  1. Click and drag the maracas clip to measure 18 (the Snap Grid is still set to Measure).
The Drag and Drop Options dialog appears. The Drag and Drop Options dialog box has options for how the clip you are dragging affects existing clips. Since the clip we are dragging is not being moved onto an existing clip, we can just accept the default setting. For more about the Drag and Drop Options dialog, see Drag and Drop Options dialog.
  2. Click OK to accept the default settings.
The clip now appears at the 18th measure.
  3. Now move the congas clip to the 18th measure by using the same method.

Now let's loop the two percussion clips to make copies of them by using their Groove clip characteristics:

  1. Move the cursor over the end of the maracas clip until the cursor looks like this [image] .
  2. When the cursor changes, click the end of the clip and drag it to the right until you have created repetitions of the clip through the end of measure 28.
  3. Copy the congas clip the same way until it reaches the end of measure 28.

Next Step: Slip Editing a Clip.


Slip Editing a Clip

Solo the two guitar tracks and listen to the project. We are going to combine these two tracks and create an automatic crossfade between them. Before we do, we have to hide the beginning of the second guitar part so it doesn't affect the crossfade. We'll do this using slip editing.

  1. Click the Snap to Grid button to turn off Snap to Grid. The Snap to Grid settings control slip editing as well as drag and drop.
  2. Move the cursor over the beginning of the second guitar clip.
  3. When the cursor turns into a rectangle, click and drag the beginning of the clip until you have reached the beginning of the waveform.
The beginning of the clip is now hidden. The data is not lost, as you will see if you drag the beginning to where it was originally. Slip-edited data is still in the project, but it is not seen or heard.

Next Step: Automatic Crossfades.


Automatic Crossfades

Let's combine these two tracks and create a crossfade.

  1. Enable automatic crossfades by clicking (depressing) the
    Enable/Disable Automatic Crossfades combo button [image] located next to the Snap to Grid button on the Track view toolbar.
  2. Click the down arrow on the Enable/Disable Automatic Crossfades combo button, select Default Crossfade Curves and select a crossfade curve.
  3. Make sure no clips are currently selected by clicking in the Clips pane outside of any clips.
  4. Hold down the Shift key and drag the second guitar clip on top of the first guitar track and drop it there; make sure that Blend Old and New is selected in the Drag and Drop dialog box before you click OK. Shift-dragging ensures that a clip can only move vertically and not horizontally, so you don't need to enable the Snap to Grid button to keep the same exact rhythmic placement of a dragged clip.

The two clips appear on the same track with a crossfade marker on the overlapping data. The first guitar track fades out as the second guitar fades in. For more information about crossfades, see Using Fades and Crossfades in Real Time.

Next Step: Bouncing Tracks.


Bouncing Tracks

When you finish editing a certain number of audio tracks, you can conserve memory and simplify your mix by bouncing (combining) some tracks down to one or two tracks. You can choose to include any effects and automation in the new track that are on the tracks that you want to combine, greatly reducing the load on your CPU.

Let's bounce, or combine our two percussion tracks together:

  1. Make sure no time range is selected by clicking in the Clips pane outside of any clips.
  2. Select the tracks that you want to combine: in this case, Maracas and Congas. You can also solo tracks instead of selecting them.
  3. Click the Snap to Grid button to turn it on (the Snap to Grid setting is still set to Measure).
  4. In the Time Ruler, select measures 18 through 28.
  5. Use the Edit-Bounce to Track(s) command to open the Bounce to Track(s) dialog box.
  6. In the Destination field, choose <8> New Track.
  7. In the Format field, since our two original percussion tracks are in stereo, choose Mix To Single Track Stereo Event(s), since this way we preserve their stereo quality.
  8. In the Source Bus(es) field, make sure the name of the sound card that the relevant tracks use to play back on is highlighted.
  9. In the Mix Enables field, check everything except Master FX--you can include the master effects when you do your final mix. By checking the Track Mute/Solo option, you make sure that SONAR only mixes down the unmuted tracks. If any tracks are soloed, this option causes SONAR to mix down only the soloed tracks.
  10. Click OK.

SONAR creates a new, stereo track that combines both percussion tracks. Now you can archive the old percussion tracks so that they don't consume memory. Do this by right-clicking each track number and choosing Archive from the popup menu.

Go to the next tutorial: Tutorial 6--Using Groove Clips.

Back to Tutorials.


Tutorial 6--Using Groove Clips

Groove clips are audio clips that "know" their tempo and root note pitch. SONAR uses this information to stretch the clips to match changes in tempo and to transpose the root note pitch to match the project's pitch and pitch changes.

You can create repetitions, or loops of Groove clips simply by dragging their ends in the Track view, creating as many repetitions as you want.

You can change the pitch of your Groove clips by inserting pitch markers in the Time Ruler. The default project pitch for Groove clips in a new project is C. The root note of your Groove clips is transposed to the default for any part of the Groove clips that come before the first pitch marker, or if you do not have pitch markers in your project. You can change the default pitch of the current project in the Markers toolbar.

You can create and edit Groove clips in the Loop Construction view.

This tutorial covers the following:

  • Adding Groove clips to a project
  • Looping Groove clips
  • Changing the pitch of Groove clips
  • Making Groove clips follow the project tempo

First Step: Adding Groove Clips to a Project.


Adding Groove Clips to a Project

There are two ways to add a Groove clip to your project. Let's use both.

To Import a Groove Clip

  1. Select File-New to create a new project.
  2. Set the default pitch to E by clicking the dropdown arrow in the Markers toolbar and choosing E (if you don't see the Markers toolbar, use the View-Toolbars command and check Markers).
  3. Click the Rewind button in the Transport toolbar to move the Now Time to the beginning of the project.
  4. Select track 1 by clicking its track number.
  5. Select File-Import-Audio from the menu.
The Open dialog appears.
  6. Navigate to the Tutorials folder in the directory where you installed SONAR.
  7. Select 100fx.wav and click Open.

The clip appears on the track at the beginning of your project--the clip's corners are beveled instead of sharp, indicating that it is a Groove clip.

Before we import another loop, let's give this track a name. In the track titlebar, double-click on the track name and enter the name Sound Effect and press Enter.

Let's add some more Groove clips:

To Drag and Drop a Groove Clip into a Project

  1. Click the down arrow in the Snap to Grid combo button located in the Track view toolbar.
The Snap to Grid dialog appears.
  2. In the Snap to Grid dialog, select the Musical Time radio button and the duration Measure.
  3. In the mode section, select the Move To radio button.
  4. Click OK to close the Snap to Grid dialog.
  5. Make sure Snap to Grid is on. When Snap to Grid is on, the button is depressed.
  6. Open the Loop Explorer view by clicking the Loop Explorer icon in the Views toolbar [image] .
  7. Navigate to the Tutorials folder in the directory where you installed SONAR.
  8. Select 100onetwo.wav and drag it into the Clips pane below the Sound Effect track at measure 3.

Repeat step 8 by dragging 100beat2.wav below Track 2 at measure 7 and 100organ.wav below Track 3 at measure 1, and close the Loop Explorer view. SONAR automatically creates any necessary audio tracks when you import audio data.

You now have a four track project. If you haven't done so yet, click the play button to take a listen to your project before we begin to arrange the clips.

Next Step: Looping Groove Clips.


Looping Groove Clips

Here's where Groove clips get real fun. You need only drag the beginning or end of a Groove clip to create repetitions or loops.

First, though, lets copy the Groove clip in Track 2.

To Copy a Groove Clip

  1. Press the Ctrl key and click and drag the clip until the beginning is at measure 8 and release.
The Drag and Drop Options dialog appears.
  2. Make sure the Copy Entire Clips as Linked Clips option is not checked and click OK.
A copy of the Groove clip now appears on the same track at measure 8.

To Loop a Groove Clip

  1. Move the cursor over the end of the first Groove clip in Track 2 until the cursor looks like this [image] .
  2. When the cursor changes, click the end of the clip and drag it to the right until you have created one repetition of the clip (through the end of measure 6).

You can also create a partial loop of a Groove clip if the Snap to Grid setting is set to less than one measure. You can create a partial loop as small as the Snap to Grid setting allows. For example, if your Snap to Grid setting is set to quarter notes, you can create partial repetitions as small as a quarter of a measure.

Now lets edit the clip we copied on Track 2.

To Crop a Groove Clip

  1. Right-click the Snap to Grid button to open its dialog box, set the Musical Time duration to Quarter, and click OK to close the dialog box.
  2. Move your cursor over the beginning of the second clip in Track 2 until it looks like this [image] .
  3. "Crop" the beginning of the clip one and a quarter measure (you may want to expand the Clips pane a little by dragging the Horizontal Zoom slider that's in the lower right corner).
Like this:

  4. Crop the end of the clip by one quarter measure.
Like this:

  5. Click on the clip and drag it one measure to the left.
Like this:
The Drag and Drop Options dialog appears.
  6. In the Drag and Drop Options dialog, click Blend Old and New and click OK.

Let's take a listen to what we have. Click the Play button in the Transport toolbar.

Next Step: Changing the Pitch of Groove Clips.


Changing the Pitch of Groove Clips

Now that you have heard what your project sounds like, let's change some pitch settings.

To Set a Groove Clip to Not Follow the Project Pitch

  1. Double-click on the Groove clip in Track 4.
The Loop Construction view appears.
  2. Deselect the Follow Project Pitch button [image] .
  3. Close the Loop Construction view and listen to your project again.
It sounds different because the Groove clip on Track 4 is no longer following the default project pitch of E, instead it follows the root note of C.

Next, let's add some pitch markers.

To Add Pitch Markers

  1. Click the Solo button [image] in Track 4 to solo the track.
  2. Right-click in the Time Ruler at the beginning of measure 1 and select Insert Marker from the menu.
The Marker dialog appears.
  3. In the Groove Clip Pitch dropdown, select C and click OK.
  4. Create another pitch marker at the beginning of measure 2, this time selecting F from the Groove Clip Pitch Change dropdown.
  5. Double-click on the clip in track 4 to open the Loop Construction view.
  6. In the Loop Construction view, click the Follow Project Pitch button to enable it.
Listen to the project. Because the default pitch of the project is now C at measure 1, the clip in track 4 sounds at its original pitch, because its original root note is C. When the Now time reaches measure 2, the project pitch changes to F, which forces the clip to transpose all of its data up a perfect 4th, from a root note of C to a root note of F.

Now let's change the tempo of the project.

Next Step: Changing the Tempo of Your Project.


Changing the Tempo of Your Project

Groove clips follow the project's tempo, so we can change the tempo, either for the entire project or just one part, and still have all our clips playing in time with each other.

To Change the Project Tempo

  1. Select Insert-Tempo Change from the menu.
  2. In the Tempo field, enter 110 and click OK.
The project's tempo is now 110.

Play your project. Do you hear the difference? Try other tempos.

Now that we have created a project that uses existing Groove clips, let's take the next step and learn how to create our own Groove clips.

Next Step: Creating Your Own Groove Clips.


Creating Your Own Groove Clips

Any audio clip (of a reasonable size) can be a Groove clip.

We are going to take a clip, slip-edit it so that it contains just the parts we want, and open it in the Loop Construction view to add tempo and pitch information to it.

To Create a Groove Clip (example 1)

In this example we will import a short clip of a bass guitar, slip-edit it and convert it to a Groove clip.

  1. Select File-New to create a new project.
  2. Right-click the Snap to Grid button to open its dialog box, set the Musical Time duration to Measure, and click OK to close the dialog box.
  3. Click [image] in the Views toolbar to open the Loop Explorer view.
  4. In the Explorer view, navigate to the Tutorials folder in the directory where you installed SONAR.
  5. Drag and drop the bass.wav file into the new project at measure 1.
  6. Double-click the clip.
The Loop Construction view appears. You see that there is silence at both the beginning and end of the clip. We are going to slip-edit the clip so that the clip begins with the attack of the first note and ends as the last note tails off.
  7. Move you cursor to the beginning of the clip.
  8. When the cursor changes to look like this [image] , drag the beginning of the clip until you reach the edge of the first rise in the waveform.
  9. Slip-edit the end of the clip until you reach the end of the last notes decay.
Note: You can not slip edit a clip that has its Groove clip characteristics enabled. You can turn a clip's Groove clip characteristics on or off either in the Loop Construction view, or in the Clips pane. In the Clips pane, right-click the clip and choose Groove-Clip Looping from the popup menu.
  10. Click the Enable Looping button [image] on the Loop Construction view toolbar to enable the clip's Groove clip characteristics.
SONAR automatically slices the clip and assigns in a number of beats. Notice that SONAR has sliced this clip at eighth note intervals. This is a clip with a waveform that does not have dramatic transients (sharp rises in volume). For clips like this, markers at beat intervals work best.

The bass track is now a Groove clip, so you can move it where you want and create repetitions by dragging it out.

Let's create another Groove clip.

To Create a Groove Clip (example 2)

For this example we are going to use a clip that does not need to be slip-edited.

  1. In the Explorer view, navigate to the Tutorials folder in the directory where you installed SONAR.
  2. Drag and drop the drums.wav file into the new project below your bass track at measure 1.
  3. Double-click the clip.
  4. Click the Enable Looping button [image] .
SONAR automatically slices the clip and assigns in a number of beats. Notice that SONAR has sliced this clip at eighth notes and at the beginning of some transients. This has dramatic transients. For clips like this, transient markers work best.

The markers in the Loop Construction view are used to tell SONAR where to preserve timing. The idea is to preserve the clip while being able to change the tempo. When a clip has a lot of transients, as this one does, it is a good idea to make sure that the slicing markers fall at the beginning of the transients, thus preserving their timing. This clip has several markers which can be fine tuned to give better results. Let's move some markers to better preserve the timing of this clip.

To Fine Tune the Slicing Markers in a Groove Clip

  1. Identify the markers which are close to the beginning of a transient.
An example of transients that should be moved:

  2. Click the Select tool [image] .
  3. Click and drag the slicing markers that need to be fine tuned so that they are at the very beginning of the transient.
Like this:

Use the two projects you have created to experiment with Groove clips further. Try new loops, change tempos, add pitch markers, record clips and use them to create your own loops. For more information about Groove clips, see Using Loops.

Go to the next tutorial: Tutorial 7--Mixing.

Go back to Tutorials.


Tutorial 7--Mixing

SONAR has an almost unlimited number of tools to help you mix down. You can automate almost any knob, fader, or button by using any of several methods. You can even automate the internal settings of some effects--not just the aux bus controls but the controls on some individual effects. When your project sounds the way you want, you can save it and export it in Wave, MP3, Real Audio, or Windows Media Advanced Streaming format.

Let's do some more work on tutorial5.cwb, and explore the following tasks:

  • Adding real-time audio effects
  • Automating an individual effect's settings
  • Grouping controls
  • Automating your mix
  • Exporting an MP3 file

First Step: Adding Real-Time Audio Effects.


Adding Real-Time Audio Effects

Let's add some flanging to the first guitar track in tutorial5.cwb:

  1. Add the flange effect to a guitar track by right-clicking its Fx field, and choosing Audio Effects-Cakewalk-FxFlange from the popup menu.
The effect's dialog box appears.
  2. Choose a preset flange setting from the Presets field.
  3. Play the project to hear what it sounds like. You can continue to adjust the effect while the project plays; there is a slight delay before your adjustments are audible.

Close the dialog box. You can add effects to aux and main buses with the same method (right-click the Fx field in a bus, and choose an effect from the popup menu).

You can delete an effect from an FX field by right-clicking the effect's name and choosing Delete from the popup menu. Instead of moving the controls manually, let's automate them by drawing an envelope in the Clips pane.

Next Step: Automating an Individual Effect's Settings.


Automating an Individual Effect's Settings

Let's draw an envelope to automate one of the flanger's controls:

  1. In the Clips pane, right-click in the first guitar track (the track you added the FxFlange effect to) and choose Envelopes-Track-Cakewalk FxFlange from the popup menu.
The Cakewalk FxFlange dialog box appears.
  2. Let's create only one envelope, even though we could create many: in the Envelope Exists field, check the Voice 1 Feedback option to create an envelope that controls the level of feedback on voice 1 of the FxFlange effect.
  3. Click OK (you could choose a color for the envelope before you click OK by clicking the Choose Color button).
A dotted line with a node (rectangular dot) at the beginning appears on top of the guitar clip. A dotted line means there is no automation data in that area of a track--only nodes and solid lines represent actual values.
  4. Let's add a node at measure 17 of the guitar track: move the cursor over the dotted line at measure 17 until a vertical, double-ended arrow appears under it, and right-click the dotted line.
The Envelope Editing menu appears.
  5. Choose Add Node from the menu.
A new node appears on the envelope at measure 17.
  6. Move the cursor over the node until a cross appears under it, and drag the node up to the top of the track. Now you have a gradual increase in the level of Voice 1 Feedback. Notice that the line between the two nodes is solid, indicating that there is automation data everywhere between the two nodes.
  7. Change the straight line between the two nodes, which is called a Linear shape, into a Slow Curve shape, by moving the cursor over the straight line until the vertical, double-ended arrow appears, then right-clicking the dotted line, and choosing Slow Curve from the Envelope Editing menu.

Now you have a gradual, but not linear increase in the Voice 1 Feedback level of your flange effect. You can drag linear and curve shapes vertically, but not horizontally. To change their horizontal positions, drag the node at either end of a shape. You can drag a node in any direction.

Next Step: Grouping Controls.


Grouping Controls

To assist in manipulating the controls, you can tie faders to one another. For example, if you want to increase the volume level on several tracks at the same time, you can assign them to a group. Then, when you move one volume fader, you move them all. You can even have the controls move in opposite directions. For example, you can fade one track in and another out.

To group faders:

  1. In the Track view (you can use the Console view if you want), right-click the volume fader for track 2 (bass).
  2. In the popup menu, choose Group and select A from the dropdown list. This assigns the fader to group A. A red marker appears next to the volume fader, indicating that it belongs to group A, whose color is red.
  3. Repeat steps 1 and 2 for tracks 3 and 4.

Now you've grouped the volume faders of three tracks. When you move one fader, all of the others follow. If you want to move a single fader independently of the others, hold the Ctrl key while moving the fader. To ungroup a fader, right-click it and choose Ungroup from the popup menu. See the online help topic Using Control GroupsUsing Control Groups.

Next Step: Automating Your Mix.


Automating Your Mix

You can record the fader movements of the mix, which is called automating them. To do so:

  1. Rewind to the beginning of the project.
  2. Move the faders, pans, and any other controls to the initial settings you desire. You should set up a good balance between the tracks.
  3. Arm the volume fader for track 4 by right-clicking it and choosing Arm for Automation from the popup menu. A highlighted rectangle appears around the armed fader.
  4. Display the Automation toolbar by using the View-Toolbars-Automation command.
  5. Make sure that the Enable Automation Playback button [image] in the Automation toolbar is in the depressed position.
  6. To start recording the automation, click the Record Automation button [image] in the Transport toolbar, and move the armed fader as needed so that the balance between the guitar and other instruments is optimized throughout the project.
  7. Stop recording by clicking the Stop button or by pressing the Spacebar.

You've now automated the volume fader of track 4 of your project--SONAR draws a graph (an envelope) of the automation in the Clips pane of track 4. You can hide or show envelopes by using the dropdown arrow that's on the side of the Envelope tool button [image] in the Track view toolbar, or by using the Clips pane popup menu, or the Envelope Editing menu. Now let's listen to the project again and watch the fader move automatically:

  1. Rewind to the beginning.
  2. Press the Spacebar to start playing the project.

You'll see the fader move just the way it moved when you recorded its movements. You can compare this mix to a mix with no automation by clicking the Enable Automation Playback button [image] and playing your project again. Clicking the Enable Automation Playback button toggles the automation off and on.

When you're done tweaking the mix, to make sure you don't accidentally erase any automation data, you can disarm any armed controls by clicking the Disarm all automation controls button [image] that's in the Automation toolbar, or the red Aut indicator that's in the Status bar.

For more information, see Using Automation.

Next Step: Exporting an MP3 File.


Exporting an MP3 File

When your project finally sounds the way you want, you can export it in any or all of several file formats, including:

  • Wave (CD format)
  • MP3
  • Real Audio
  • Windows Media Advanced Streaming Format

When you export a file from SONAR, you can choose to include any or all of the effects, automation, and mute and solo settings that your project contains.

Let's export our project as an MP3:

  1. Make sure all the tracks you want to export are unmuted and unarchived. If you only want to export one or two tracks, it's easier to solo these tracks instead of muting all the others.
  2. Make a time selection, if necessary. If any tracks use real-time effects such as reverb or delay, select your whole project plus an extra measure or two at the end so you won't cut off the reverb "tail."
  3. Choose File-Export-Audio to display the Export Audio dialog box.
  4. Select a destination folder using the Look In field.
  5. Enter a file name.
  6. Choose MP3 from the Files of type dropdown list.
  7. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks are mixed down to a single stereo file.
    • Export to Separate Left and Right Files--All exported tracks are mixed down to two mono files, left and right.
    • Export to Mono File(s)--All exported tracks are mixed down to a single mono file.
  8. In the Bit Depth field, select the bit depth that you want your exported file to use. For MP3s use 16.
  9. In the Source Bus(es) field, select a sound card or sound cards from the list. If you select more than one, you can select the Each Source to Separate Submix checkbox to create separate files for each device selected in the Source Bus(es) field.
  10. In the Mix Enables field, select the effects you want to include in your new file--usually, you select all the listed options.
Note: Selecting the Track Mute/Solo option causes muted tracks to be left out of the exported mix, and soloed tracks to be the only tracks exported.
  11. Click Export.
The Cakewalk MP3 Encoder (Trial Version) dialog box appears.

To use the Cakewalk MP3 Encoder:

  1. You don't need an unlock code until the trial period is up, so for now click Continue.
A new dialog box appears.
  2. Choose the options you want for your new MP3 file--for help choosing options click the Help button in the dialog box.
  3. When you finish choosing options, click the Encode button.

SONAR compresses and mixes your project to a file with the extension .mp3 that is located in the folder you chose in the Look In field of the Export Audio dialog box.

That's the end of the mixing tutorial. You can find out a lot more by reading Mixing and Effects Patching and Using Automation.

Go to the next tutorial: Tutorial 9--Using Soft Synths.

Back to Tutorials.


Tutorial 8--Drum Maps

In SONAR drum maps allow you to assign a single MIDI track to multiple outputs. MIDI drum tracks appear in the Piano Roll view's Drum Grid pane. In the Note Map pane you can map pitches to notes in any number of software or hardware outputs.

In this tutorial we are going to create a drum map, create a MIDI drum track using the Pattern Brush, and use the drum map to map drum notes to several different outputs.

First step: Create a New Project


Create a New Project

First, we need to create a new project.

  1. Select File-New from the menu.
The New Project dialog appears.
  2. Select the Normal template and click OK.

Now that you have created a project with a MIDI track, let's create a drum map.

Next step: Creating a Drum Map


Creating a Drum Map

Drum maps allow you to map note pitches from the same track to different output devices, either hardware or software.

Note: Before you begin, make sure you have some MIDI devices selected. To check, select Options-MIDI Devices. For more information about selecting MIDI devices, see To Choose MIDI Devices.

To Create a New Drum Map

  1. In a MIDI track, click the Out dropdown and choose Drum Map Manager from the menu that appears.
The Drum Map Manager dialog appears.
  2. Click the Create New Drum Map button [image] .
A new drum map appears in the Drum Maps Used in Current Project field.
  3. Click the Presets dropdown arrow and select GM Drums (Complete Kit).
  4. In the Out Port column, click one of the down arrows, hold down the Ctrl and Shift keys, and click the name of the port or instrument that you want to hear drums on.
All the Out Port entries change to the port or instrument you selected. Later, we'll start sending individual notes to different outputs.
  5. In the Chn column, make sure all entries are set to 10, or whatever MIDI channel your drum sounds are on.
  6. Close the Drum Map Manager.

Go to the nex step: Create a Drum Track


Create a Drum Track

You can use any blank MIDI track for your drums. If you don't have a MIDI track, create using the Insert-MIDI Track command.

To Assign a MIDI Track to a Drum Map

  1. Display the Track view if it is minimized.
  2. In the track you want to assign to a drum map, click the Out dropdown and select DM1-GM Drums (Complete Kit) from the options in the menu that appears.

To Create a Drum Track Using the Pattern Brush

  1. Select the track you have assigned to a drum map and select View-Piano Roll.
The blank drum track appears in the Drum Grid pane of the Piano Roll view.
  2. In the Piano Roll view, click on the down arrow to the right of the Pattern Brush tool [image] and select Kick+Snare Patterns (R-T)-Stacy 7.
  3. Click the down arrow again and select Use Pattern Polyphony. This option tells SONAR to use the original pitch values when "painting" notes in the Drum Grid pane.
  4. Click on the Pattern Brush to select it.
  5. Starting at the beginning of your track, click and drag the Pattern Brush tool for a few measures in the Drum Grid pane.
A series of notes, at different pitch values appears in the Drum Grid pane. If you don't see any notes, scroll down in the Drum Grid to see the notes.
  6. Click the Pattern Brush down arrow again and select Cymbal Patterns (C-F)-Fill 4.
  7. Repeat step 5.
  8. Listen to your drum track. Make a mental note of the drum sounds your hear, because they are about to change.

Now it is time to mix things up a bit. Lets send some of your drum sounds to a different output.

Next step: Map Drum Notes to Different Outputs


Map Drum Notes to Different Outputs

First, we need to create an output to use, so lets open the EDIROL VSC and use that soft synth for this part of the tutorial.

To Open the EDIROL VSC

  1. Select View-Synth Rack from the menu.
  2. Click the Insert DXi button [image] in the Synth Rack toolbar and select EDIROL VSC from the menu that appears.
The Insert DXi Synth Options dialog appears.
  3. Make sure that the MIDI Source Track option in the Create These Tracks section is unchecked.
  4. In the Create These Tracks section, check the First Synth Output (Audio) option. This option creates a single audio output track.
  5. In the Open These Windows section, check the Synth Property Page option. This option opens the EDIROL VSC when we close the Insert DXi Synth Options dialog.
  6. Click OK.
  7. An audio output track for the EDIROL VSC appears in the Track view and the EDIROL VSC appears. If you don't see the track, scroll down in the Track pane to find it.

Now, we can map notes to different outputs.

To Map a Note to a New Output

  1. Select your drum track and open the Piano Roll view by selecting View-Piano Roll from the menu.
  2. Right-click in the Note Map pane (the list of drum names on the far left of the Piano Roll view) and select Drum Map Manager from the right-click menu.
The Drum Map Manager appears.
  3. In the Drum Map Manager, change the Out Port for the In Note 46 (Bb3) to EDIROL VSC.
The new Port/Channel pair EDIROL VSC 1 / 1 appears in the Port/Channel field at the bottom of the Drum Map Manager.
  4. In the Drum Map Manager, change the Channel setting for In Note 46 (Bb3) to Channel 1.
  5. In the Bank column for the Port/Channel pair EDIROL VSC 1 / 1 select 15360-GM2 Drum Set.
  6. In the Patch column for the Port/Channel pair EDIROL VSC 1 / 1 select Jazz.
  7. In the Drum Map Manager, change the Out Port setting for In Note 38 (D3) to EDIROL VSC.
The new Port/Channel pair EDIROL VSC 1 / 10 appears in the Port/Channel field at the bottom of the Drum Map Manager.
  8. In the Bank column for the Port/Channel pair EDIROL VSC 1 / 10 select 15360-GM2 Drum Set.
  9. In the Patch column for the Port/Channel pair EDIROL VSC 1 / 10 select Standard 1.
  10. Close the Drum Map Manager and play your project to listen to the different drum sounds.

To Change Other Drum Map Settings

You can open the Drum Map Manager from either a MIDI track's Out menu, or with the Options-Drum Map Manager command.

Change map settings in the Drum Map Manager as described in the following table:
To do this... | Do this...
Add a row (a mapped pitch) | Click the Create New Row button [image] .
Change In Note value | Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.
Change the Name setting | Double click on the appropriate cell and enter a new name.
Change the Channel setting | Click the appropriate channel cell's down arrow and select a channel from the menu that appears.
Change the Out Port setting | Click the appropriate Out Port cell's down arrow and select an output port from the menu that appears.
Change the Vel+ setting | Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.
Change the V Scale setting | Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.

When you are happy with the drum sounds you have mapped, you can mixdown to an audio file. For more information, see Converting MIDI to Audio.

For more information about drum maps and editing drum tracks in the Piano Roll view, see Chapter 8, Drum Maps and the Drum Grid Pane.


Tutorial 9--Using Soft Synths

A software synthesizer is a software program that produces various sounds through your audio interface when the soft synth program receives MIDI data from a MIDI controller or sequencer program. SONAR supports all major varieties of software synthesizers, including DX instruments, or DXi's for short, and ReWire instruments. SONAR has a Synth Rack view to make inserting a DXi or ReWire instrument a one-step process.

The EDIROL VSC is a great example of a DXi, so let's use it for our tutorial. Because this DXi supports the DXi2 format, it has multiple outputs (4), and you can record the movement of some of its controls as automation. You probably installed the VSC when you installed SONAR. To make sure, open a project that has at least one audio track, right-click the Fx field of an audio track to open the plug-in popup menu, and look under DXi Synth. You should see the EDIROL VSC listed. If you don't, insert your SONAR CD into your CD drive, copy the software synthesizers including the EDIROL VSC to your hard drive, and restart SONAR.

This tutorial covers the following:

  • Inserting the VSC into a project
  • Playing MIDI tracks through a DXi
  • Adding effects to a DXi
  • Playing a DXi in real time
  • Converting DXi tracks to audio
  • Recording some automation from the EDIROL VSC interface into SONAR

First Step: Inserting the VSC into a Project.


Inserting the VSC into a Project

Inserting a DXi into a project means that the name of the DXi appears in the dropdown menus of MIDI track Out fields and audio track In fields.

To Insert the VSC into a Project

  1. Open a MIDI project--for this tutorial use tutorial8.cwp.
  2. Use the Insert-DXi Synth command and click EDIROL VSC from the popup menu.
The Insert DXi Synth Options dialog appears.
  3. In the Create These Tracks fields, deselect MIDI Source Track, because we want to patch some pre-existing tracks into the VSC.
  4. Select All Synth Outputs (Audio) because we're going to use a different audio track for each of the VSC's 4 outputs. The new audio tracks have the VSC already patched to them as audio inputs.
  5. In the Open These Windows fields, select both Synth Property Page and Synth Rack view. These two options open the VSC's property page (interface), and the Synth Rack view, respectively.
  6. Click OK.

SONAR inserts 4 audio tracks that each have one of the VSC's outputs as an input, opens the Synth Rack view with the VSC displayed in the first row, and opens the VSC's property page.

Next step: Playing MIDI Tracks through a DXi


Playing MIDI Tracks through a DXi

Now that you have verified that the VSC is installed, let's try some of its sounds on some pre-recorded MIDI data.

To Play MIDI Tracks through the VSC

  1. Drag the VSC property page out of the way for now, and in the first MIDI track (Guitar 1), click the dropdown arrow in the track's Out field, and choose the VSC as an output.
Notice that when you choose the VSC as a track's output, the patch for that track's MIDI channel in the VSC interface changes to the same one that the track displays.
  2. Set the Out fields in all the other MIDI tracks to the VSC. Note: When the cursor is in the Out field of one track, pressing the Up or Down arrow key moves the cursor to the same field in the next track.
  3. Let's insert a patch change in track 1: click the track number of the Guitar 1 track to select it, and move the Now time to the Verse 1 marker by clicking the Next Marker button [image] once (the Next Marker button is in the Markers toolbar; if you don't see it, use the View-Toolbars command and check Markers).
  4. Use the Insert-Patch/Bank Change command to open the Bank/Patch Change dialog box.
  5. In the Bank field, select 15488-GM2 Bank 0, and in the Patch field, select Overdrive Gt, and click OK.

Now you've routed your MIDI tracks through the EDIROL VSC, and inserted a patch change. Rewind the project and play it to hear the project through the EDIROL VSC.

Next Step: Adding Effects to a DXi.


Adding Effects to a DXi

You can add effects to the EDIROL VSC in both its own interface and in SONAR.

Let's use SONAR's effects, to take advantage of the VSC's multiple output feature.

To Use Effects on Multiple Outputs

  1. If the VSC's interface is not open, open it by clicking the Properties button [image] in the Synth Rack view. You can also open the interface by double-clicking the EDIROL VSC name in a MIDI track's Out field or an audio track's In field.
  2. In the lower right corner of the VSC interface, find the Setup button and click it. The VSC Settings dialog appears.
  3. On the Output Assign tab, make these output assignments:
    • In the Output 1 row, click column 1. This assigns the VSC instrument on channel 1 to VSC output 1.
    • In the Output 2 row, click column 2. This assigns the VSC instrument on channel 2 to VSC output 2.
    • In the Output 3 row, click column 3. This assigns the VSC instrument on channel 3 to VSC output 3.
    • In the Output 4 row, click column 4. This assigns the VSC instrument on channel 4 to VSC output 4.
    • In the Output 3 row, click column 10. This assigns the VSC instrument on channel 10 to VSC output 3. We'll put the bass and drums through the same output.
  4. Click OK to close the VSC Settings dialog.
  5. In Track 6 (EDIROL VSC), notice that the In field lists EDIROL VSC 1 Output 1 as its input. Patch an effect to this track to change the sound of Guitar 1.
  6. Patch effects into Tracks 7, 8, and 9. Since both the Bass and Drums are patched to output 3 which is patched to Track 8, use an effect on Track 8 that both the Bass and Drums can use, such as compression.

Play the project and adjust the effects. If you want to use more than 4 outputs for the VSC, you can insert another instance of it by using the Insert-DXi Synth command again. This gives you a whole extra VSC and 4 more outputs to work with.

You can also use just one audio track for the VSC. In the EDIROL VSC's output assign tab, all channels are patched to output 1 by default.

Next Step: Playing the VSC in Real Time.


Playing the VSC in Real Time

If you have installed a WDM or an ASIO driver for your audio interface, you can play a DXi in real time from a MIDI controller. Using the older, MME driver type, the response is too slow.

To Play the VSC in Real Time

  1. Make sure your MIDI controller is plugged into your MIDI interface and turned on.
  2. Insert a new MIDI track (right-click in the Track pane and choose Insert MIDI Track from the popup menu).
  3. In the track's Out field, choose the VSC, and also choose a MIDI channel and patch (do not choose the same MIDI channel that any other track uses--this can cause the other track to change patches).
  4. Make sure that the Audio Engine button [image] in the Transport toolbar is depressed.
  5. Play your controller--you should hear the patch that you selected for the new MIDI track.

You can move the Now time to the marker that's called Solo, and play along with the project. If you want, you can arm the new track and record your solo.

Next Step: Converting Your DXi Tracks to Audio.


Converting Your DXi Tracks to Audio

Once your project sounds the way you want it, it's extremely easy to convert your DXi MIDI tracks to either new audio tracks, or Wave, MP3, or other exportable files.

To Convert Your DXi Tracks to New Audio Tracks

  1. Mute all tracks that you don't want to convert; make sure you don't mute the audio track(s) that the DXi is patched into, or the MIDI track(s) that you are using as a source.
  2. Use the Edit-Bounce to Track(s) command.
The Bounce to Track(s) dialog box appears.
  3. Choose a destination track and a format.
  4. In the Mix Enables field, make sure all choices are selected.
  5. Click OK.

SONAR creates a new audio track from the MIDI tracks you selected. When you're through converting, don't forget to mute your DXi tracks so you won't hear them and the new audio track(s) at the same time.

To Export Your DXi Tracks as Wave, MP3, or Other Type Files

  1. Mute all tracks that you don't want to export; make sure you don't mute the audio track that the DXi is patched into, or the MIDI track(s) that you are using as a source.
  2. Use the File-Export-Audio command.
The Export Audio dialog box appears.
  3. In the Look in field, choose the location where you want the exported file to be.
  4. Type a file name in the File name field.
  5. Choose the type of file, the format, and the bit depth of the new file you are creating.
  6. In the Mix Enables field, make sure all choices are selected.
  7. Click OK.

SONAR creates a new audio file of the type you specified. Find the file in the folder you specified, and double-click it to listen to it. That's the end of Tutorial 8. For more information, see Working with Software Synthesizers.

Next Step: Recording Automation from the VSC.

Recording Automation from the VSC

You can record automation from the VSC's interface into SONAR.

To Record Automation from the VSC

  1. For this tutorial, open a new project (File-New command).
  2. Insert the EDIROL VSC by using the Insert-DXi Synth command; in the Insert DXi Synth Options dialog, select the First Synth Output (Audio) option, and under Open These Windows select Synth Property Page, and click OK.
  3. Enable automation recording in the VSC by clicking its Setup button: on the Misc. tab, check the Record VSC Panel operations checkbox, and click OK.
  4. In the MIDI track that you want to record automation in, set the Out field to the EDIROL VSC.
  5. Arm the MIDI track whose Out field you just set to the EDIROL VSC, and start recording.
  6. In the VSC interface, move any of these sliders:
    • Volume
    • Panpot
    • Expression
    • Reverb
    • Chorus
    • Delay
    • Master Volume
  7. Click the Stop button to stop recording.

SONAR records the automation data and displays it in the Clips pane in the track that you armed. Make sure the MIDI track lists the EDIROL VSC in its Out field and play it back. You should see the slider that you moved in the VSC moving in response to the automation data that you're playing back. If you use any of the effects in the VSC interface, this is a very convenient way to control their levels.

Note: By default, you can only record automation from a DXi into a track that lists the DXi in its Out field. If you want to record DXi automation to any armed MIDI track, select Options-Global to open the Global Options dialog, and on the MIDI tab check the Echo DXi Input to All MIDI Tracks option. But be careful, because this also makes it possible to move a fader in one DXi and change a setting in some other DXi if the focus is on the MIDI track that is patched to the second DXi.

Back to Tutorials.


Tutorial 10--Cyclone DXi

This tutorial explains how to use Cyclone DXi. You will learn how to open, play and edit loops as you create a short song.

Next step: Cyclone Overview


Cyclone Overview

Cyclone DXi allows you to trigger individual parts or "slices" of Riff Wave files and ACIDized files. There are 16 pads, and you can assign a file to each pad. You can trigger pads with a MIDI file, your mouse or a MIDI keyboard. You can edit the content and length of each file all while syncing to SONAR's tempo changes and pitch markers.

Let's start by opening Cyclone.

To Open Cyclone DXi

  1. Open a new project by selecting File-New and selecting the Normal template.
  2. Select View-Synth Rack.
The Synth Rack appears.
  3. In the Synth Rack click the Insert DXi Instrument button [image] and select Cyclone from the menu that appears.
The Insert DXi Synth Options dialog appears.
  4. For the purposes of this tutorial, select First Synth Output (Audio) in the Create These Tracks section and Synth Property Page in the Open These Windows section.
  5. Click OK.
Cyclone DXi and the Cyclone DXi's audio output track appear.

Now let's add some files.

Next step: Adding Files to a Pad Group


Adding Files to a Pad Group

There are several ways to assign a file to a Pad Group.

To Import Files to a Pad Group

  1. Click the Load Files button in pad group 1.
The Open dialog appears.
  2. Open the Tutorials folder located in the directory where you installed SONAR.
  3. In the Tutorials folder select 100beat2.wav and click Open.
The loop 100beat2 appears in the Loop bin and Loop view.

To Import Files to the Loop Bin

  1. Click the Load Files button in the Loop Bin.
The Open dialog appears.
  2. Open the Tutorials folder located in the directory where you installed SONAR.
  3. In the Tutorials folder select 100FX.wav and click Open.
The loop 100FX.wav appears in the Loop bin and the Loop view.

To Drag Files from the Loop Bin to a Pad Group

  • Click on 100FX in the Loop bin and drag it onto pad 2.

To Drag Files from Loop Explorer to the Loop Bin

  1. Select View-Loop Explorer.
  2. In the Loop Explorer, navigate to the Tutorials folder located in the directory where you installed SONAR.
  3. Click and drag the loop 100onetwo.wav onto pad 3.
  4. Click and drag the loop 100organ.wav onto pad 4.

Click the Preview button to listen to the song so far.

Now let's make some changes.

Next step: Setting a Pad's Volume and Pan


Setting a Pad's Volume and Pan

Now let's tweak some of the pad groups' controls.

To Change the Volume and Pan in a Pad Group

  1. In pad group two, click on the Volume knob and drag your mouse down to lower the volume until the volume level indicator is vertical.
  2. Repeat step 1 for the Volume knob in pad group 3.
  3. In pad group two click the Pan knob and drag the mouse up until it is panned hard left.
  4. In pad group four, click the Pan knob and drag the mouse down until it is panned hard right.

Click Play to hear all the pad groups together.

Now let's explore the different ways you can use Cyclone.

Next step: Playing Cyclone


Playing Cyclone

Now that we have added loops and adjusted some of the pad group controls, let's play use Cyclone as a real-time instrument and as a synth device.

To Play an Existing MIDI Track Through Cyclone

First, we'll create a MIDI track which will trigger the pads in Cyclone.

  1. In the Track view, select an empty MIDI track. If you don't have a blank MIDI track, select Insert-MIDI Track.
  2. In the MIDI track's Out field, select Cyclone 1.
  3. Select the MIDI track and open the Piano Roll view.
  4. In the Piano Roll view, right-click on the Snap to Grid button to open the Snap to Grid dialog.
  5. In the Snap to Grid dialog, click the Musical Time radio button and select Measure.
  6. In the Mode section of the Snap to Grid dialog, select the Move To radio button and click OK.
  7. Click the Draw tool button.
  8. Use your mouse to move the Draw tool over the Notes pane in the Piano Roll view.
  9. Enter a C5 note at the beginning.
  10. Enter a D5 note at the fifth measure.
  11. Enter a E5 note at the beginning.
  12. Enter a F5 note at the beginning and fifth measure.
  13. Drag the ends of the notes on C5 and E5 until their duration is eight measures. (If you have Auto Erase enabled, you have to disable it to drag out the duration of the note. Disable Auto Erase by clicking on the black arrow to the right of the Draw tool and clicking the Auto Erase command. The command appears unchecked when disabled.)
  14. Drag the end of the D5 note until its duration is four measures (through measure eight).
  15. Drag the ends of the F5 notes until their duration is two measures (through measures two and six, respectively).
  16. Rewind the project and play it back.
  17. Experiment by changing the note start times and durations.

You can "play" Cyclone either using your mouse to trigger pads and clicking them once again to shut them off, or by using an external. Let's try both.

To Play Cyclone with Your Mouse

As soon as you click on a pad in Cyclone the first loop begins to play. Simply click pads to turn them on and click on them again to turn them off.

To Play Cyclone with a MIDI Keyboard or Controller

For the purposes of this part of the tutorial we assume you have an external MIDI controller like a keyboard. If you don't, just move on to the next part of the tutorial, Editing Loops in the Loop Editor. There's plenty more to know about Cyclone!

  1. Make sure your MIDI device is hooked up properly.
  2. Select the MIDI track that is assigned to Cyclone DXi.
  3. On your MIDI keyboard press and hold C5, D5, E5 or F5 (the C, D, E or F keys in the center of your keyboard.
The appropriate loop plays through Cyclone DXi.

Now let's create new loops by substituting slices.

Next step: Editing Loops in the Loop Editor


Editing Loops in the Loop Editor

Each beat of a loop, as it appears in the Loop view or the Pad Editor can be replaced with a beat from another loop.

To Replace Slices

  1. Click the Load Files button in pad 5 and select maracas.wav from the Tutorials folder.
  2. In the Cyclone DXi toolbar, click the Auto Preview button.
  3. Select the maracas loop in the Loop Bin.
The maracas loop appears in the Loop view.
  4. Click the first slice of the maracas loop in the Loop view. We are going to use this slice as a substitute for some of the slices in pad 1.
  5. Click and drag the first slice of the maracas loop into the Pad Editor over the slices in the pad 1.
  6. Drop the loop on the third slice, a cymbal hit.
  7. Listen to the other slices in pad 1, and substitute all the cymbal hits with the first slice from the maracas loop.
  8. Click Play in Cyclone DXi to hear the changes.

There is much more to the Cyclone DXi. For more information, see Using Cyclone DXi.


Controlling Playback

Controlling playback is simple with SONARTM. When you play your project, you have full control over the tempo or speed of playback, which tracks are played, which sound cards or other devices are used to produce the sound, and what the tracks sound like.

Note: SONAR has a button called the Audio Engine button [image] in the Transport toolbar which you click to stop any feedback you may experience if there is a loop somewhere in your mixer setup. Whenever you play a project, SONAR automatically enables the audio engine, which you can tell by watching the Status bar--whenever the audio engine is running, the Audio Running indicator in the Status bar lights up. If you enable Input Monitoring you can use the Audio Engine button to turn Input Monitoring on or off. See Input Monitoring.

See:

The Now Time and How to Use It

Controlling Playback

Track-by-Track Playback

Changing Track Settings

Playing Files in Batch Mode

Video Playback

Locating Missing Audio


The Now Time and How to Use It

Every project has a current time, known as the Now time, which keeps track of where you are in a project. The Now time is displayed in both the Large Transport toolbar and the Position toolbar, in two formats: The measure, beat, and tick number (MBT) identifies the Now time in musical time units. Ticks are subdivisions of quarter notes and indicate the timebase of the project. For more information about the timebase, see Setting the MIDI Timing ResolutionThe other time format is the SMPTE format, expressed in hours, minutes, seconds, and frames.

Here are some examples of times expressed in measure, beat, and tick (MBT) format:

Time... | What it means...
1:01:000 | First beat of the first measure
9:04:000 | Fourth beat of the ninth measure
4:02:060 | The 60th tick of the second beat of the fourth measure

The second time format is commonly referred to as the SMPTE time. SMPTE is the acronym for the Society of Motion Picture and Television Engineers. In this format, time is measured in hours, minutes, seconds, and frames. It's not necessary for a project to begin at time zero in this format--any time can be used to represent the start of a project. If you are synchronizing SONAR with an external device whose start time is not 0, you must offset SONAR to match the external device's start time. For more information, see Synchronizing Your Gear

Here are some examples of times expressed in this format (assuming that zero is the start time):

Time... | What it means...
00:00:00:00 | The beginning of the project
00:05:10:00 | Five minutes and ten seconds from the beginning of the project
01:30:00:00 | One hour and thirty minutes into the project
00:00:00:05 | Five frames into the project

SONAR provides many ways to set the Now time. Here are just a few:

To Change the Now Time

  • Click the desired time on Time Ruler in the Track view, Piano Roll view, or Staff view
  • Click on the Now time in the Large Transport toolbar, enter the desired time, and press Enter
  • Choose Go-Time or press F5, enter the desired time, and click OK
  • Click on an event in the Event List view

You can also set the Now Time by right-clicking in the Clips pane if you enable the Right Click Sets Now option in the Track View Properties dialog. Right-click a clip and select View Options from the menu that appears to open the Track View Properties dialog.

When entering a time in MBT format, the beat and tick values are optional. You can use a colon, space, decimal point, or vertical bar to separate the parts of the Now time:

You enter... | The Now time is set to...
2 | 2:00:000
2|1 | 2:01:000
4 2 0 | 4:02:000
9:1 | 9:01:000
5|1:30 | 5:01:030

When entering a time in SMPTE format, you can enter a single number (hour), two numbers (hour and minutes), three numbers (hour, minutes, and seconds), or all four numbers.

If you click in Time Ruler while the snap grid is enabled, the Now time will be snapped to the nearest point in the grid. By setting the grid size to a whole note or quarter note, you can easily set the Now time to a measure or beat boundary.

You can also use the buttons and the scroll bar in either the Transport toolbar or Large Transport toolbar to adjust the time.

The Large Transport toolbar differs from the Transport toolbar because it displays the Now time (which you can set by entering numbers into the display fields in either MBT or SMPTE time) and the Meter/Key Signature display. The Meter/Key Signature display shows the current meter and key signature, which you can edit by clicking the display to open the Meter/Key Signature dialog box. You can display the Large Transport toolbar by selecting the View-Toolbars command to open the Toolbars dialog box, and checking Transport (Large).

See:

Displaying the Now Time in Large Print

Other Ways to Set the Now Time


Displaying the Now Time in Large Print

SONAR can display the Now time in large print so that it's easier to see when you are far from your monitor (for example, when you're at your keyboard or another instrument) or when several people need to read the Now time from a distance. Here's how:

To Display the Big Time View

  1. Choose View-Big Time to display the Big Time view.
  2. Change the settings according to the table:
    To do this...

    Do this...
    Switch time format

    Click on the view to toggle between MBT and SMPTE time
    Change font or color

    Right-click on the view, choose the font and color you want, and click OK
    Change the size of the view

    Drag any corner of the view to change its size

Note that SONAR ignores font styles and effects such as strikeout and underline.


Other Ways to Set the Now Time

There are a variety of commands and keyboard shortcuts you can use to set the Now time:

Command... | Shortcut... | What it does...
Go-Time | F5 | Lets you enter the Now time in the Position toolbar or in a dialog box
Go-From | F7 | Sets the Now time to the From time (the start time of the current time selection)
Go-Thru | F8 | Sets the Now time to the Thru time (the end time of the current time selection)
Go-Beginning | Ctrl+Home | Sets the Now time to the beginning of the project
Go-End | Ctrl+End | Sets the Now time to the end of the project
Go-Previous Measure | Ctrl+PgUp | Sets the Now time to the start of the current measure if the Now time is not on a barline, or to the start of the previous measure if the Now time is on a barline.
Go-Next Measure | Ctrl+PgDn | Sets the Now time to the start of the next measure

If your project has markers, you can use the Marker toolbar to set the Now time:

To do this... | Do this...
Skip to the next marker | Click [image] on the Markers toolbar (or press Ctrl+Shift+PgDn).
Skip to the previous marker | Click [image] on the Markers toolbar (or press Ctrl+Shift+PgUp).
Jump to any marker | Click [image] on the Markers toolbar to open the Markers view. Click on the marker you want to jump to in the Markers view.

For more information about markers, see Creating and Using Markers.


Time Ruler

The Time Ruler appears in the Track view, Tempo view, Staff view and Piano Roll view. It has several functions, including:

  • Making a Time Selection
The Time Ruler follows the Snap to Grid settings, if enabled. For more information about using the Snap to Grid, see Defining and Using the Snap Grid.
  • Changing the Now time
For more information about the Now time, see The Now Time and How to Use It.
  • Adding loop, punch, and pitch markers
You can right-click in the Time Ruler to add markers. For more information, see Creating and Using Markers and Using Pitch Markers in the Track View.

In the Track view, the Time Ruler has the following time display options or formats:

  • Measures, Beats and Ticks (M:B:T)
  • Hours, Minutes, Seconds and Frames (H:M:S:F--also called SMPTE)
  • Samples

The M:B:T setting follows your settings in the Meter/Key view. If you project is set to 4/4 time, you have four beats in the Time Ruler for each measure. If your project is set to 6/8 time, you have six beats in the Time Ruler for each measure.

To Set the Time Ruler Format to M:B:T

  1. Right-click in the Track view Time Ruler.
  2. In the menu that appears, select Time Ruler Format-M:B:T.

To Set the Time Ruler Format to H:M:S:F (SMPTE)

  1. Right-click in the Track view Time Ruler.
  2. In the menu that appears, select Time Ruler Format-H:M:S:F.

To Set the Time Ruler Format to Samples

  1. Right-click in the Track view Time Ruler.
  2. In the menu that appears, select Time Ruler Format-Samples.

Note:

The Display All Times as SMPTE checkbox in the General tab of the Global Options dialog forces all times in the project to be displayed in SMPTE time, regardless of your setting in the Time Ruler.


Controlling Playback

To control playback, you have your choice of tools, menu commands, and shortcut keys for most common operations.

When you start playback, the Now time updates continuously to show the current time. When you stop playback, the Now time stops at the time you stopped. When you start playback again, it continues from the same point.

If the Now time is advancing but you don't hear any sound, see Troubleshooting.If you are using MIDI sync or syncing to MIDI time code, SONAR waits to receive external timing data before it begins playing. If the various views are not updating during playback, make sure the Scroll Lock key on your computer keyboard is not enabled. For more information, see Synchronizing Your Gear

Note: If your Windows setup uses any system sounds that are associated with any typical activity, such as minimizing a window, etc., you should disable these sounds. They can sound extremely loud through your monitors, and also interrupt playback and recording, if you open any dialog boxes or do anything that has a system sound attached to it while a project plays. The quickest way to disable all system sounds is to open the Control Panel (Start-Settings-Control Panel), double-click the Sounds icon to open the Sounds Properties dialog box, and in the Schemes field select No Sounds. Click Apply, and then click OK.

To Start and Stop Playback

To do this... | Do this...
Start playback | Press the Spacebar, click , or choose Transport-Play
Stop playback | Press the Spacebar, click , or choose Transport-Stop
Rewind to the start of the project | Click , press the w key, or choose Transport-Rewind
Skip to the end of the project | Click


Handling Stuck Notes

Under MIDI, the events that turn notes on are separate from the events that stop notes from playing. Normally, when you stop playback, SONAR attempts to turn off all notes that are still playing. Depending on how your equipment is configured, it's possible for notes to get stuck in the "on" position. The Transport-Reset command is used to stop all notes from playing. The Transport-Reset command also stops feedback from input monitoring.

Note:

You can control the MIDI messages that are sent by the Transport-Reset command. See Initialization Files for more information.

To Clear Stuck Notes

  • Choose Transport-Reset, or click [image] on the Large Transport toolbar.

See:

The Transport-Reset command

See also:

Transport toolbar toolbar


Looping

Sometimes you want to listen to one portion of a project over and over, either so you can play along and rehearse or because you want to edit that section of the project while it is playing and hear the results as you make changes. SONAR has a playback looping feature that makes this simple.

Looping is defined in the Loop/Auto Shuttle toolbar, as shown here:

To set up a loop, you do three things:

  • Set the start time of the loop
  • Set the end time of the loop
  • Enable looping

That's all there is to it. From then on, SONAR will automatically jump back to the start of the loop when it reaches the end.

When looping is enabled, the loop times are indicated by special markers in the Time Ruler.

The Loop/Auto Shuttle dialog box, which appears when you use the Transport-Loop and Auto Shuttle command or click the Loop and Auto Shuttle button [image] in the Loop toolbar, contains three additional settings that affect the details of how looping operates:
Option... | How it works...
Rewind to start time on stop | Whenever you stop playback for any reason, SONAR rewinds immediately to the start of the loop (this option is off by default)
Stop at the end time | Playback does not proceed beyond the end of the loop
Loop continuously | When playback reaches the end of the loop and rewinds to the start, playback continues automatically (this option is on by default)

With the default option settings, SONAR will play the loop over and over again, continuously. You can stop and resume playback at any point during the loop.

If you start playback before the loop start time, SONAR will play until the loop end time is reached, then jump back to the loop start time. If you start playback after the loop end time, the loop is ignored.

The Rewind command operates slightly differently when looping is in effect. The first time you rewind, the Now time is set to the start of the loop. If the Now time is already at the start of the loop, Rewind takes you to the beginning of the project. From then on, Rewind switches back and forth between the loop start time and the start of measure 1.

To Set Up a Playback Loop

  1. Set the loop start and end times in one of the following ways:
    • Drag the mouse between two points in the Time Ruler of the Track view, Staff, or Piano Roll view to select a range of times, then click [image] in the Loop/Auto Shuttle toolbar to copy the selection time to the loop time.
    • Click between two markers in the Track, Staff, or Piano Roll view to select a range of times, then click [image] in the Loop/Auto Shuttle toolbar to copy the selection time to the loop time.
    • Type the loop start and end times directly into the toolbar.
    • Select a range of times, then right-click in the Time Ruler and choose Set Loop Points (this method makes the second option unnecessary).

Looping is automatically turned on when you use the Set Loop to Selection command.

To Change the Loop Settings

  1. Click [image] , or choose Transport-Loop and Auto Shuttle to display the Loop/Auto Shuttle dialog box.
  2. Check the options you want to use.
  3. Click OK.

To Cancel a Playback Loop

  • Click [image] on the toolbar to disable looping.

See:

Loop toolbar

Transport toolbar


Track-by-Track Playback

SONAR lets you play back any combination of tracks at one time by changing each track's status. You can control the status of each track with the individual controls that are on every track, or with the global controls on the Playback State toolbar or the Status bar that's at the bottom of the SONAR window. For more information on the Status bar, see Status Bar/CPU Meter/Disk Meter. For more information on the Playback State toolbar, see The Playback State Toolbar.

There are several different status settings for each track:

Status... | What it means...
Normal | The track plays unless one or more of your other tracks is soloed.
Muted | The track is not played, but you can turn it on while playback is in progress.
Archived | The track is not played, and you must stop playback to re-enable it. Archived tracks do not tax your CPU during playback so they can be used to store alternate takes.
Soloed | Only those tracks that are designated as solo tracks are played; all others are muted.
Armed | The track is armed for recording.
Mono/Stereo | The track plays back in either mono or stereo, depending on what the individual track setting is, and whether the Play in Mono button in the Playback State toolbar is depressed.
Phase normal or inverted | If a track was accidentally recorded out of phase with another track, the Phase button lets you reverse the phase of a track.

While playback is in progress, you can mute and unmute tracks in any combination, which means you can hear only the tracks that you want. You can change the status of a track in the Track view, the Console view, the Track menu, the Playback State toolbar, or the Status bar.

If a track is both muted and soloed, it does not play. Mute has precedence.

The track status is saved with the SONAR project file. If you save a SONAR project as a standard MIDI file, however, all tracks are saved without mute, solo, or archive indicators.

See:

The Playback State Toolbar

Silencing Tracks

Soloing Tracks

Inverting the Phase of a Track

Changing Tracks' Mono/Stereo Status


The Playback State Toolbar

To display the Playback State toolbar, use the View-Toolbars command to open the Toolbars dialog box, and make sure Playback State is checked. The Playback State toolbar is a global control that allows you to mute or unmute, solo or unsolo, arm or disarm, and play in mono all tracks in a project.

See:

Silencing Tracks

Soloing Tracks


Silencing Tracks

When a track is muted, SONAR processes the track while playback is in progress so that you can unmute the track without stopping playback. If you have lots of muted tracks, this can place a heavy load on your computer. Archived tracks, on the other hand, don't place any load on your computer. Therefore, if there are tracks you want to keep but don't need to play, you should archive them instead. Archived tracks are indicated by the letter A in the Mute button that is displayed in the Track and Console views.

When you mute or unmute a track while playback is in progress, there may be a slight delay before you hear the effect of the change. This is to be expected and does not indicate a hardware or software problem.

To Mute or Unmute Individual Tracks

  • To mute or unmute a track, click its M button in the Track or Console view.
  • To mute or unmute several tracks at once, select the tracks and choose Track-Mute, or select the tracks, right-click, and choose Mute from the popup menu.

To Unmute All Tracks

  • Click the M button in the Playback State toolbar or the Mute label in the Status bar.

To Mute All Tracks

  • If no tracks are currently muted, click the M button in the Playback State toolbar.

To Archive or Unarchive Tracks

  1. Select one or more tracks in the Track view.
  2. Choose Track-Archive, or right-click and choose Archive from the menu to toggle the archive status of the selected tracks.


Soloing Tracks

Sometimes you want to hear a single track, or a few tracks at once, without having to mute all the other tracks. You can do this by soloing the tracks you want to hear.

As soon as any track is marked as a solo track, SONAR ignores all mute settings and plays only the track or tracks that are set to solo. Any number of tracks at one time can be marked as solo. All these tracks will play together. As soon as the solo status of the final solo track is turned off, SONAR once again plays back tracks based on their mute settings.

To Solo or Unsolo Individual Tracks

  • To solo or unsolo a track, click the Solo button in the Track or Console view
  • To solo or unsolo several tracks at once, select the tracks and choose Track-Solo, or right-click, and choose Solo from the popup menu.

To Unsolo All Tracks

  • Click the S button in the Playback State toolbar or the Solo label in the Status bar.

To Solo All Tracks

  • If no tracks are currently soloed, click the S button in the Playback State toolbar.


Inverting the Phase of a Track

A waveform's exact opposite is called an inversion. It is a shift of 180 degrees. A waveform and its inversion cancel each other out completely, so it is usually not desirable to have two track recordings of the same source if one is phase inverted. It can lead to reduced volume, lowered or distorted response in certain frequencies, or even silence in the case of two tracks which are exactly identical (i.e. cloned tracks).

Occasionally, for example when recording a source using two microphones, one of the microphones may be recording an inversion of the other, the resulting tracks may, to some degree, be cancelling each other out. SONAR allows you to invert the phase of a track to match another.

To Invert the Phase of a Track

  1. Open the Track view or Console view.
  2. In the track you want to invert the phase, click the phase inversion button [image] .


Changing Tracks' Mono/Stereo Status

SONAR has a mono/stereo button in each track module in the Track and Console views, and a global Play in Mono button in the Playback State toolbar. The buttons in the track modules force each track to play in either stereo or mono, but preserve the tracks' pan positions in the stereo mix. The Play in Mono button in the Playback State toolbar flips all the mono/stereo buttons in the virtual main buses to either mono or stereo, which, if you choose mono, causes SONAR to ignore any panning you may have done. If you use more than one virtual main, you can then manually change some of the virtual mains' mono/stereo buttons, if you want.

The Mono/Stereo button in each track forces the track's audio signal to enter any patched plug-ins as either mono or stereo, whether or not the tracks are mono or stereo. This allows you to use either mono effects on a stereo track or stereo effects on a mono track. There is also an Auto setting which lets SONAR automatically send audio to the first plug-in in the required format.

Note: You may lose important stereo data by using mono effects with stereo tracks because your stereo tracks are summed to mono in order to pass through the effect. If you never want your stereo data to be summed to mono, select stereo.

To Use a Track's Stereo/Mono Button

  1. Display the Track view or Console view.
  2. In the track you want to force to either mono or stereo for processing effects, click the Stereo/Mono button [image] to the desired position:
    • A--This choice lets SONAR auto-select either stereo or mono, depending on what kind of data SONAR finds in the track.
    • Speaker icon pointing left--This choice means that you manually selected mono for this track.
    • Speaker icon pointing left and right--This choice means that you manually selected stereo for this track.


Changing Track Settings

Each track in a project contains MIDI or audio information and has a variety of settings that determine how the track sounds. By changing these settings, you can change the sound of your project. For audio tracks, you control the volume, the stereo panning, and the output device that is used to produce the sound. For MIDI tracks, you control many additional settings, including the type of instrument sound that is used to play the notes stored in the track.

Here is a summary table of the different track parameters and how they are used. For more information on any setting, click on its link.

Audio Track Parameters

The following parameters apply to audio tracks:

Setting... | What it means...
Number | A sequential track number used only for reference
Name | A name that you assign the track for easy reference. Please note that if you do not assign a track a name to a track, the default name is the track number. This track number will change if you change the order of your tracks.
In | The input source for the track, used in recording
Out | The output bus through which the track is played
Vol (volume) | The starting volume level for the track, ranging from -INF (silent) to +6 dB (maximum volume).
Pan | The stereo distribution of the output, ranging from 100% left (hard left) to 100% right (hard right); a value of "C" indicates sound that is centered left-to-right. On stereo tracks, pan acts as balance.
Trim (volume trim) | Volume Trim is a pre-fader control which allows the fine tuning of a single track's volume. For example, let's say you have four tracks, three tracks have their volume fader set to 0 dB while the fourth track's fader is set to +10 dB. You want to group the faders and do a slow fade out, but the slightly higher level of the fourth track causes its volume to be higher in relation to the other tracks towards the end of the fade out. To balance the fader levels, reduce the fader level for the fourth track to 0 dB and raise the Volume Trim value for that track to +10 dB. The resulting volume levels for the project are the same, but now you can group the faders and perform a fade out with no track standing out disproportionately at the end of the fade out.
Aux Enable | Allows the track to be sent to the aux bus.
Aux Send Level | Each track has an Aux Send Level for each Aux Bus in the project. The default number of Aux Buses for a new project is 2.
Aux Send Pan | Each track has an Aux Send Pan for each Aux Bus in the project. The Aux Send Pan adjusts the send pan setting.
Aux Pre/Post | Each track has an Aux Send Pre/Post for each Aux Bus in the project. Pre (pre-fader) means that the signal goes to the aux bus prior to the track's volume fader.
Mono/Stereo | A switch that determines whether a track's signal enters an effect or chain of effects as mono or stereo, regardless of the nature of the track.
Phase In/Out | A switch that inverts the phase of the track.
Effects bin | The patch point for a track's DirectX plug-ins or DXi soft synths.
Meters | The recording and playback levels are displayed in the Playback and Record meters.

MIDI Track Parameters

The following parameters apply to MIDI tracks:

Setting... | What it means...
Number | A sequential track number used only for reference
Name | A name that you assign the track for easy reference. Please note that if you do not assign a track a name, the default name is the track number. This track number will change if you change the order of your tracks.
In | The input source for the track, used in recording
Out | The output device through which the track is played
Vol (volume) | The starting volume level for the track, ranging from 0 (silent) to 127 (maximum volume).
Pan | The stereo distribution of the output, ranging from 100% left (hard left) to 100% right (hard right); a value of "C" indicates sound that is centered left-to-right.
Ch (channel) | The MIDI channel through which the notes will be played
Bnk (bank) | The set of patch names available for the track
Pch (patch) | The instrument sound that will be used for playback.
Vel+ | The change in velocity (volume) that will be applied to notes in this track on playback; ranges from -127 to +127
Key+ | The number of steps by which the notes in the track are transposed on playback (e.g., 12 to transpose up one octave)
Time+ | An offset applied to the start time of the events in the track

To Change a Track Name

  1. Double-click on the current track name.
  2. Enter the new track name.
  3. Click Enter.

The default track names (Track 1, Track 2, etc.) are not actually names, but placeholders until you name a track. If you reorder the tracks these placeholders change.

You can rearrange and resize the panes in the Track view as shown in the following table:

To do this... | Do this...
Change the size of the Track pane | Drag to the left or right the divider that separates the Track and Clips panes
Change the Size of the Mains/Buses pane | Drag up or down the divider that separates the Track and Clip panes from the Bus pane

You can customize which tracks are displayed or not displayed, and enlarge or maximize individual tracks while other tracks remain minimized. You can also manually set the exact size of a track's display. The following table shows how to customize the appearance of tracks in the Track pane:

To do this... | Do this...
Maximize a track | Click the Maximize button in the track
Restore a track to its default size | Click the Restore button in the track
Minimize a track | Click the Minimize button in the track
Change the default size of a track using splitter bars | Move the cursor over the gap below a track until the cursor looks like this [image] . Click and drag until the track is the size you want.

You can display subsets of the Track pane's controls by selecting one of the tabs located at the bottom of the Track view. The following table lists the controls displayed when each tab is selected:

Tab

Controls displayed when selected
All

  • All controls are displayed
Mix

  • Volume
  • Pan
  • Volume Trim
  • Phase (audio tracks only)
  • Key+ (MIDI tracks only)
  • Time+ (MIDI tracks only)
FX

  • FX
  • Aux enable/disable (audio tracks only)
  • Aux Send Level (audio tracks only)
  • Aux Send Pan (audio tracks only)
  • Aux Pre/Post Fader (audio tracks only)
  • Mono/Stereo (audio tracks only)
  • Chorus (MIDI tracks only)
  • Reverb (MIDI tracks only)
I/O

  • In
  • Output
  • Channel (MIDI tracks only)
  • Bank (MIDI tracks only)
  • Patch (MIDI tracks only)

Changing Audio Track Settings in the Track Pane

You can change the values in the Track pane in a number of ways:

Control | How to change the setting
Volume, Pan, Volume Trim, Aux Send Level, and Aux Send Pan | Click on the control and move your cursor left or right to adjust values, or press Enter and type a value.
Input and Output | Click on the black arrow on the right of the control and select a driver from the menu that appears, or double-click on the control and select a driver from the menu.

Changing MIDI Track Settings in the Track Pane

Control | How to change the value
Channel | Click on the black arrow on the right of the control and select a channel from the menu that appears, or double-click on the control and enter a value.
Bank | Click on the black arrow on the right of the control and select a bank from the menu that appears, or double-click on the control and enter a value.
Patch | Click on the black arrow on the right of the control and select a patch from the menu that appears, or double-click on the control and enter a value.
Volume, Pan, Volume Trim, Chorus and Reverb | Click on control and move your cursor left or right to adjust values, or double-click on the control and enter a value.
Key+ and Time+ | Double-click the control or click on the black arrow on the right of the control and enter a new value, or double-click on the control and enter a value.
Input | Click on the black arrow on the right of the control and select a MIDI channel from the menu that appears, or double-click on the control and select a driver from the menu.
Output | Click on the black arrow on the right of the control and select a driver from the menu that appears, or double-click on the control and select a driver from the menu.

You can change numeric values in MIDI tracks as shown in the following table:

To do this... | Do this...
Change the value by 1 | Press the - or + key on your numeric keypad, or click on the spinner control
Change the value by 10 (for Key+, by 12) | Press the [ or ] key, or right-click on the spinner control
Enter a new value | Press Enter and type the new value using the keyboard, and press Enter

For numeric fields, you can press and hold both mouse buttons to change the value by increments of 10 (12, a full octave, for Key+).

You can also edit Track properties in the Track Properties dialog box. To open this dialog box, right-click on the Track bar and select Track Properties.

You can change the value of a track parameter for several tracks at once using commands on the Track-Property menu. For example, to assign a group of tracks to the same output, select the tracks you want to assign, then choose Track-Property-Output. These menu commands can also be used to change the settings for individual tracks.

All track parameters are saved with a SONAR project. However, if you export a project to a standard MIDI file, several of the parameters (Key+, Vel+, Time+, and Chan) are applied to the MIDI data as the file is being exported. Other parameters, including Input, Output, Mute, Solo, and Archive, are lost when you export the project to a MIDI file.

The following sections contain more information about many of the parameters in the Track view. For more information on the track inputs and the track Arm button, see Preparing to Record.


Setting Up Output Devices

The output setting for a track determines which piece of hardware will be used to produce the sound stored in your project. In a very simple equipment setup, you might have only a computer equipped with a basic sound card. In this case, you want to play all MIDI and audio output through the sound card on your computer.

If your equipment setup also includes a MIDI keyboard attached to the MIDI port on your sound card, you can choose to route MIDI data directly to the sound card or through the sound card MIDI port to the keyboard. If you choose the former, the music will play from your computer speakers. If you choose the latter, the sound will play from the speaker attached to your keyboard. You can even choose to send some MIDI information to each of these devices so that they both play at once.

You can purchase MIDI interfaces that plug into your parallel, serial, or USB port to add MIDI ports to your computer. For more information on complex system configurations, see Hardware Setup.

If your computer has several MIDI outs, choose the ones you want to use and put them in a particular order using the Options-MIDI Devices command. The order in which your MIDI devices appear in the Output menus in the Track and Console views is based solely on the order in which the selected outs appear in the MIDI Devices dialog box. As a result, the order in which your devices appear in a track's output control may not match the port numbers that appear on your external multiport MIDI device.

When you first run SONAR it asks you to select MIDI devices. You may want to change these selections in the future. You can do so by selecting different devices in the MIDI Devices dialog box.

Your computer is usually equipped with at least one audio device--your computer sound card. Your setup may have several different audio output devices, or you may have a multichannel sound card that presents itself to your computer as though it were several different devices, one for each stereo pair. In SONAR, audio tracks are assigned to virtual main buses. Virtual main buses are assigned to hardware devices. You use the Output control to assign a track in a project to the virtual main bus you want to use.

While you need to choose the MIDI output devices you want to use before you assign them to tracks, all of your audio devices can be assigned to tracks freely. You do not need to configure them the way you do MIDI devices. If you have a voice modem or speakerphone in your computer, however, you might want to set up SONAR so that it won't use those devices. Also, note that some dedicated audio equipment has specific setup requirements. For more information, see Improving Audio Performance.

To Choose MIDI Devices

  1. Choose Options-MIDI Devices to display the MIDI Devices dialog box.
  2. Click on any MIDI device in the Outputs list.
  3. To move any device to the top of the list, deselect all other devices and click Move to Top to move the selected device to the top of the list.
  4. When all devices are selected in the order you want, click OK.

See:

MIDI Devices dialog


Assigning Tracks to Outputs

You assign each track to a MIDI or an audio output using the Output dropdown in the Track view. From then on, material on that track will be sent to the appropriate output device.

Note:

If you rearrange your MIDI output devices after making output assignments, you may find MIDI information being sent to different instruments than you expect. Also, SONAR allows you to define instruments that are associated with certain outputs and channels. If you use this feature, the name of the Channel changes to reflect the instrument you have chosen. For more information about instrument definitions, see Using Instrument Definitions.

To Assign a Track to an Output

  1. Click the Output dropdown of the track you want to assign.
  2. Select the output you want to use.

To change the output setting for more than one track at a time, select the tracks you want to change and choose Track-Property-Output.


Choosing the Instrument Sound (Bank and Patch)

Electronic keyboards and synthesizers often contain hundreds or thousands of different sounds. Each sound is known as a patch. The name comes from the early days of synthesizers, for which you physically rewired (using patch cords) the oscillators and modulators to produce different sounds. Patches are normally organized into groups of 128, called banks. Most instruments have between 1 and 8 banks, but MIDI supports up to 16,384 banks of 128 patches each (that's over 2 million patches).

The bank and patch settings in the Track view control the initial bank and patch of a track during playback. Every time SONAR starts playback at the beginning of a project, the bank and patch settings for the track are set to these initial values. Many instruments have descriptive names for their banks and patches. SONAR stores these names in an instrument definition. For more information about instrument definitions, see Using Instrument Definitions. If you are using an instrument that supports General MIDI, your patch list will contain the 128 sounds that are defined by the General MIDI specification.

Tip:

If your bank name is too long to fit in the bank field, hold your cursor over the bank name. A tooltip appears with the complete bank name.

Note to Experts:

Different MIDI instruments use different types of commands to change banks. Cakewalk supports four common methods for changing banks. For information about the bank selection method you should use with your MIDI gear, see your MIDI equipment's documentation.

Note that a single MIDI channel can only play one patch at a time on each instrument assigned to that channel. Therefore, if two or more MIDI tracks are set to the same output and channel but have different bank and patch settings, the patch of the highest-numbered track will be used for all the tracks.

In some projects you want the sound played by a track to change while playback is in progress. You can accomplish this using the Insert-Bank/Patch Change command. When you start playback in the middle of a project, SONAR searches back through the track to find the correct patch to use--either the initial bank and patch or the most recent bank/patch change. Note that the Track view only shows the initial bank and patch, even while a different bank and patch are being played back. The only way to see and edit a bank/patch change is in the Event List view. For more information, see The Event List View.

To Assign an Initial Bank and Patch to a Track

  1. Right-click on the Track titlebar (the top of the track which contains the track name) and select Track Properties.
The Track Properties dialog box appears.
  2. In the Track Properties dialog box, choose the desired bank and patch from the dropdown lists.
  3. To search for a patch containing specific text, click the Patch Browser button to the right of the dropdown lists. You can also open the Patch Browser by right-clicking a bank or patch control in the Track or Console views.
  4. Click OK.

Another Way to Assign a Patch to a Track

  1. Select the patch you want from the Patch dropdown.

To change the bank and patch settings for more than one track at a time, select the tracks you want to change and choose Track-Property-Bank or Track-Property-Patch.

To Insert a Bank/Patch Change

  1. Highlight the track whose bank and patch you want to change by clicking on the track number.
  2. Set the Now time to the time at which you want the change to occur.
  3. Choose Insert-Bank/Patch Change to display the Bank/Patch Change dialog box.
  4. Choose a bank and patch from the lists.
  5. Click OK.

SONAR inserts a change in bank and patch. When you play back the project, the initial bank and patch shown in the Track view will be used to the point at which the bank/patch change takes place. You can remove a bank/patch change in the Event List view.

To Choose Patches with the Patch Browser

  1. In the Track view or Console view, right-click the patch name in the track module you want to change patches in.
The Patch browser dialog box appears, displaying a list of all the Instrument patch names that have been installed.
  2. Search for a patch name, if desired, by filling in text in the search field at the top of the dialog box.
  3. When you find the right patch, click its name and click OK.
SONAR changes the patch of the track you selected.

See:

Patch Browser dialog


Adding Effects

You can add both MIDI and audio effects directly from the Track view. SONAR adds these effects in real-time, preserving your track's original data.

To Add an Audio Effect in the Track Pane

  1. In an audio track, right-click in the FX field, choose Audio Effects-Cakewalk, and select an effect from the menu that appears.

See:

Audio Effects (Audio Plug-ins)


Adjusting Volume and Pan

The Volume and Pan settings control the initial volume and pan of a track during playback. Every time SONAR starts playback, the Volume and Pan settings for the track are set to these initial levels.

In some projects you want the volume or panning of a track to change while playback is in progress. You can accomplish this by drawing a volume or pan envelope in the Track view, or by recording automation. For more information, see Using Automation, Mixing and Effects Patching, and Editing MIDI Events and Controllers.

Note to Experts:

SONAR processes the volume and pan settings by transmitting MIDI volume and pan events (controllers 7 and 10, respectively) when playback starts. If two or more MIDI tracks are set to the same output and channel but have different volume or pan settings, the settings for the highest-numbered track will prevail.

Note also that not all keyboards and synthesizers respond to these events. Check your instrument's manual for more information.

To Set the Initial Volume Setting

  1. Move your cursor to the Volume control of the track you want to change.
  2. Click and drag to the left to lower the volume or the right to raise the volume.

You can also change the volume settings in a variety of other ways. To change the volume settings for more than one track at a time, select the tracks you want to change and choose Track-Property-Volume.

To Set the Initial Pan Setting

  1. Move your cursor to the Pan control of the track you want to change.
  2. Click and drag to the left to adjust the pan to the left or to the right to adjust the pan to the right.
Hard left is 100% left. Hard right is 100% right. Pan is centered at C.

You can also change the pan and volume settings in a variety of other ways. To change the pan settings for more than one track at a time, select the tracks you want to change and choose Track-Property-Pan.


Adjusting Volume Trim

Volume Trim acts like the trim control on a mixer, raising or lower the level prior to the volume fader. Volume Trim is useful for calibrating your faders to match a dB reference level or for aligning your faders for grouping. The Volume Trim control has a range of -18dB to +18dB. Raising or lowering the Volume Trim raises or lowers the apparent volume of the track by that amount without affecting the actual fader level.

To Set the Volume Trim Level

  1. Move your cursor to the Volume Trim control of the track you want to change.
  2. Click and drag to the left to lower Volume Trim level or to the right to raise Volume Trim level.


Assigning a MIDI Channel (Chn)

MIDI transmits information on 16 channels, numbered 1 through 16. Every MIDI event is assigned to a particular channel. Some MIDI equipment can accept MIDI information on only a single channel. This channel may be preassigned, or you may be able to change it. Other MIDI equipment, including many electronic keyboards and synthesizers, can accept information on several different MIDI channels at once. Usually, these devices use a different instrument sound for each channel.

On playback, the channel number is used to direct the MIDI information to a particular piece of equipment.

The Chn parameter in the Track view redirects all events in the track to the specified channel, ignoring the channel number stored with each event. If this parameter is left blank, all events in the track are sent to their original channels.

This parameter does not affect the channel information that is stored with each MIDI event. When the track is displayed in other views, like the Piano Roll or Event List view, you will see the original channel that is stored in the file. You can edit the channel values in those views or use the Process-Interpolate command.

To Set the Channel for a Track

  1. In the track you want to change, click on the black arrow to the right of the Chn field and select the channel you want to use.

You can also change the channel setting in a variety of other ways. To change the channel assignment for more than one track at a time, select the tracks you want to change and choose Track-Property-Channel.


Adjusting the Key/Transposing a Track (Key+)

Each MIDI note event has a key number, or pitch. On playback, the key offset (Key+) parameter transposes all notes in the track by the designated number of half-steps. The value can range from -127 to +127. A value of 12 indicates that notes will be played back one octave higher than they are written.

This parameter does not affect the note number that is stored for each note event. When the clip is displayed in other views, like the Piano Roll, Staff, or Event List view, you will see the original notes as they are stored in the file. To permanently change the pitches, you can edit them individually or use the Process-Transpose command.

If the key offset value transposes the key number (MIDI note) outside the allowable MIDI range (0-127), the key number will be transposed to the lowest or highest octave within that range.

You can use the Key+ parameter to assist in preparing scores for instruments whose music is written in something other than "concert" key (such as Bb trumpet). For more information, see Music Notation for Non-concert-key Instruments.

When you edit the Key+ parameter, pressing [ or ] changes the value by 12 instead of by 10. This makes it easy to transpose by octaves.

To Set the Key Offset for a Track

  1. In the track you want to change, click on the Key+ control.
  2. Enter a value (1 = a semitone), or press the + or - key to change the key by a single semitone. Use the [ or ] key to change the key by 12 semitones (one octave).

You can also change the key offset in a variety of other ways. To change the key offset for more than one track at a time, select the tracks you want to change and choose Track-Property-Key+.


Adjusting the Note Velocity (Vel+)

Each MIDI note event has a velocity, which represents how fast the key was struck when the track was recorded. On playback, the velocity offset parameter adjusts the velocity data for all notes in the track by the designated amount. The value can range from -127 to +127. The effect of changing velocities depends on the synthesizer. Some synthesizers do not respond to velocity information. For others, the effect varies depending on the sound or patch you have chosen. Normally, higher velocities result in louder and/or brighter-sounding notes.

This parameter does not affect the velocity that is stored for each note event. When the clip is displayed in other views, like the Piano Roll view, Staff view, or Event List view, you will see the original velocities as they are stored in the file. You can edit the velocity values in those views, or use the Process-Scale Velocity or Process-Interpolate command.

Velocity is different from volume in that it is an attribute of each event, rather than a controller that affects an entire MIDI channel. Here's an example of where this distinction might be important. Suppose you have several tracks containing different drum parts. All of these parts would probably be assigned to MIDI channel 10 (that's the default channel for percussion in General MIDI). If you change the volume setting for any track that uses channel 10, all the different drum parts--regardless of what track they're in--would be affected. If you change the note velocity for one drum track, it will be the only one whose volume is affected.

To Set the Velocity Offset for a Track

  • In the track you want to change, click and drag the Vel+ control to the desired setting.

You can also change the velocity offset in a variety of other ways. To change the velocity offset for more than one track at a time, select the tracks you want to change and choose Track-Property-Vel+.


Adjusting the Time Alignment of a MIDI Track (Time+)

Each event takes place at a known point in the project. On playback, the time offset (Time+) parameter adjusts the times for MIDI events in the track by the designated amount. The value can be as small as a single clock tick or as large as you want.

This parameter can be used to make a part play behind the beat or in front of it or to compensate for tracks that sound rushed or late. The time shift can be used to create a chorus or slap-back echo effect by making a copy of a track and then applying a small offset to the copy. You can use larger time offsets to shift a track earlier or later by several beats or measures.

Note that you cannot shift any event earlier than 1:01:000. For example, if the first event in the track starts at 2:01:000, you cannot shift its start time earlier by more than one measure.

This parameter does not affect the time that is stored for each note event. When the clip is displayed in other views, like the Piano Roll, Staff, or Event List view, you will see the original times as they are stored in the file.

To Set the Time Offset for a Track

  1. In the track you want to change, click on the Time+ control.
  2. Enter a value, or press the + or - key until you reach the value you want.

You can also change the time offset in a variety of other ways. To change the time offset for more than one track at a time, select the tracks you want to change and choose Track-Property-Time+.


Other MIDI Playback Settings

Two other MIDI settings can affect what happens when you play back your project, as described in the following table:

Option... | How it works...
Zero Controllers When Play Stops | If this option is enabled, SONAR zeroes (resets) the pitch wheel, the pedal Controller, and the modulation wheel Controller on all 16 MIDI channels whenever playback is stopped. It also sends a "Zero All Continuous Controllers" MIDI message, which turns off other continuous Controllers on newer synthesizers. If you experience frequent stuck notes when playback stops, try checking this option.
Patch/Controller Searchback Before Play Starts | If this option is enabled, SONAR searches for and sends the most recent patch change, wheel, and pedal events on each output and MIDI channel before starting playback. This ensures that all these settings are correct, even if you start playback at an arbitrary point in your project.

To set these options, choose Options-Project and click the MIDI Out tab. If you have set up a playback loop, enabling either of these options can cause an audible delay when the loop is restarted.


Playing Files in Batch Mode

SONAR allows you to play several files in sequence automatically using the Play List view. You can use this feature in live performance applications or just for fun.

SONAR's Play List view lets you create and work with a series of project, MIDI, and bundle files. As each file plays, SONAR loads it and displays it in the Track view and other views like any other project file.


The Play List View

The Play List view lets you create, edit, and save a play list (or set) of up to 999 projects. Once you've created the list, you can play back the entire sequence automatically. You can even program the list to pause between songs for a fixed amount of time or to wait for a keystroke before proceeding.

Play lists can be saved for future use. Play list files have the extension .set.

To Create and Edit a Play List

To create and edit a play list in the Play List view, follow the instructions in the table:

  • To do this...

    Do this...
    Open an existing play list

    Choose File-Open, choose Play List from the Files of Type list, choose the file you want and click Open
    Create a new play list

    Choose File-New, choose Play List Set from the list, and click OK
    Add songs to the play list

    Click [image] or press Insert, choose a file from the Add Song to Play List dialog box, and click Open
    Set the delay after a song

    Click on the song in the play list, click [image] , enter the delay you want, and click OK
    Change the order of songs

    Drag the file to a new location in the play list
    Copy a song to another location in the play list

    Ctrl-drag the file to a new location in the play list
    Remove a song from the play list

    Select the song and click [image] or press the Delete key
    Save the play list

    Choose File-Save; or choose File-Save As, enter a file name, and click Save

To Play Files from the Play List View

To play back files from the Play List view, follow the instructions in the table.

  • To do this...

    Do this...
    Activate the play list

    Click [image] in the Play List view toolbar so that the button is pressed. If this button is not pressed, only a single file will play when you start playback.
    Choose the starting song

    Double-click the file you want to start with. The project is opened and displayed as usual.
    Start playback

    Click [image] , choose Transport-Play, or press the Spacebar.
    Stop playback

    Click [image] , choose Transport-Stop, or press the Spacebar.
    Skip to the next file

    Click [image] in the Play List view toolbar.
    Loop continuously over the play list

    Click the [image] button in the Play List view toolbar.
    Show or hide file name extensions and folder names (path)

    Click the [image] button to enable or disable the display of folders.


Video Playback

SONAR's File-Import-Video command lets you include an AVI, MPEG or QuickTime video in your project. This video is shown in real time as your project plays.

You open the Video view by choosing View-Video. The Video view displays the Now time (as in the Big Time view) and the video itself. The display in the Video view is synchronized with the Now time, giving you convenient random access to the video stream. This makes it easy to align music and digitized sound to the video.

Commands in the Video view's popup menu let you set the time display format, the size and stretch options for the video display,the video start and trim times, and other options. Your project's video and digital audio data can be saved together in a new AVI file with File-Export to AVI. For more information, see Preparing Audio for Distribution

At this time, SONAR does not support QuickTime 3 or later.

See:

Optimizing Video Performance


Optimizing Video Performance

Here are a few tips to optimize video performance:

  • If you intend to do a lot of seeking around or looping and editing while a video file is loaded, make sure that your video file has sufficient keyframes. Since each frame has to be computed from the last keyframe encountered, if you have very few keyframes in the video, performance may be slow. To change the number of keyframes, you may recompress the file using File-Export Video to AVI and specify more frequent keyframes. Choose a suitable video compressor such as "Indeo Video 5.04" and change the KeyFrame Rate parameter to a number between 1-5. A value of 1 makes every frame a keyframe, and higher numbers insert a keyframe after that many frames.
  • Changing the video properties of an AVI file, such as Trim and Start time, imposes some degree of overhead. You can apply any changes made here by using File-Export Video to AVI.

To Load a Video File Into the Project

  1. Choose File-Import-Video, or choose Insert from the Video view's popup menu.
  2. Select a file.
  3. Check the Show File Info option to see information about the file.
  4. Check the Import Audio Stream option if you want to load the file's audio data.
  5. Click Open.

SONAR loads the video file and displays it in the Video view. If you choose to import audio data, SONAR inserts a new track above the currently selected track, and puts the data in a clip or clips on the new track. If the video includes a stereo stream, you can select Import Audio Stream to place the stereo audio into a single track, or you can select Import Audio Stream and check Stereo Split if you want to place the left and right channels in different tracks.

To Delete the Video From the Project

  1. Open the Video view by choosing View-Video.
  2. Right-click in the Video view and choose Delete.

SONAR removes the video from the project. Note that imported audio data is not deleted.

To Enable or Disable Video Playback

  1. Open the Video view by choosing View-Video.
  2. Right-click in the Video view and choose Animate.

If your computer is not fast enough to play back video efficiently, you can get better performance by temporarily disabling video animation during playback.

To Set the Time Display Format

  • Click the time display to cycle between MBT, SMPTE, Frames and None
OR
  • Right-click in the Video view and choose an option from the Time Display Format menu:
    To do this...

    Do this...
    Select a time format

    Choose MBT, SMPTE, Frames or None
    Change font or font color

    Choose Font and select new font characteristics
    Turn off the time display

    Choose None

To Set the Video Display Format

Right-click in the Video view and choose an option from the Stretch Options menu:

To do this... | Do this...
Display the video in its original size | Choose Original Size
Stretch the video to fill the Video view | Choose Stretch to Window
Stretch the video as much as possible while preserving the original aspect ratio | Choose Preserve Aspect Ratio
Make the video display as large as possible, but only enlarge by integral multiples | Choose Integral Stretch
Display the video in full screen mode | Choose Full Screen

SONAR adjusts the video display according to the selected option. The stretch option is used to recalculate the video display size whenever you resize the Video view.

To Set the Background Color

  • Right-click in the Video view and choose a color option from the Background Color menu.

To Set the Start and Trim Times (AVI files only)

  • Right-click in the Video view and choose Video Properties.
Set options as described in the table:
Option... | What it means...
Start Time | The time in the project at which the video starts to play
Trim-in Time | The offset into the video file at which playback begins
Trim-out Time | The offset into the video file at which playback ends

SONAR synchronizes the video to the project according to the specified Start and Trim times.

Note:

The project's video file is saved in the project by reference only, the actual video data remains in the original file. Video data is not saved in bundle files, so it must be backed up on its own.


Locating Missing Audio

If you try to open a project and SONAR is unable to locate all the audio files that the project references, the Find Missing Audio dialog appears. The Find Missing Audio dialog helps you find any missing audio in your project.

See:

The Find Missing Audio File Dialog

Restoring Missing Audio Files

Managing Shared and External Files


The Find Missing Audio File Dialog

Use the Locate Missing Audio File dialog to find missing audio in your project. The following is a brief description of the options you have in this dialog:

  • Open--Click this button once you have searched for and found the missing audio file.
  • Skip--Click this button to move to the next missing file. When you skip and audio file your project opens without that piece of missing audio.
  • Skip All--Click this button to skip all missing audio files. When you skip all missing audio files, you project opens without those pieces of missing audio
  • Search--Click this button to begin a search of all available hard drives for your missing audio file.
  • After locating the file Options--You can choose to either move an audio file to the project's audio data folder, copy an audio file to the project's audio data folder, or leave an audio file in its current folder.

For more information, see Find Missing Audio File dialog.


Restoring Missing Audio Files

When you open a project file that references audio files which SONAR can not find, the Locate Missing Audio dialog appears. Use the following procedure to restore the missing audio files to your project.

To Restore Missing Audio Files

  1. In the Locate Missing Audio dialog, click the Search button.
The Search for Missing Audio dialog appears and SONAR begins searching all available hard drives for the missing file or files.
  2. When SONAR is finished searching, the files that it has found appear in the dialog.
  3. Select the file or files that SONAR has found and click OK.
The Locate Missing Audio dialog appears.
  4. Select one of the following options:
    • Move file to Project Audio Folder--Use this option if you are sure that no other projects are referencing this file in its present location.
    • Copy file to Project Audio Folder--Use this option if the missing file is shared with another project and you want to keep all of your project's audio files together.
    • Reference file from present location--Use this option if you want to leave the missing file in its current location now that SONAR knows where it is.
  5. Click Open.

SONAR moves, copies or references the missing file or files as you instructed.


Managing Shared and External Files

You may want to share files between projects. The files you want to share may be frequently used sound effects or drum loops. SONAR allows you to choose whether to copy imported audio files to your project's audio data directory or to link to them in their current (external) location.

Note: External files are defined as any file not in the project's audio data folder (or a subfolder within the project's audio data folder).

To Configure SONAR to Always Copy Files to the Project Audio Data Folder

Use this procedure if you want to keep all of your project's audio in one folder (your project's audio data directory).

  1. Select Options-Global and click on the Audio Data tab.
  2. In the All Projects section, click the Always Copy Imported Audio Files option.

To Configure SONAR to Share External Files

SONAR allows you to share external files (files not in the project's audio data directory). There are some exceptions, however. Files that have a different sampling rate or bit depth are always copied to the project's audio data directory. Also, if the Always Copy Imported Audio Files option in the Audio Data tab of the Global Options dialog is checked, imported audio is always copied to your project's audio data directory.

Do the following to ensure that you are sharing files:

  1. Uncheck the Always Copy Imported Audio Files option in the Global Options dialog.
  2. In the Open dialog, when importing audio, make sure the Copy Audio to Project Folder option is unchecked.


Recording

You can add sound or music to a SONARTM project in many different ways. You can record your own material using a MIDI-equipped instrument, use a microphone or another audio input to record digital audio information, or import sound or music data from an existing digital data file. With the input monitoring feature, you can hear your audio instruments exactly the way SONAR records them, including any plug-in effects.

You can also input new material using your computer keyboard or mouse. For more information on entering music using musical notation, see Working with Notation and Lyrics.

See:

Creating a New Project

Preparing to Record

Recording Music from a MIDI Instrument

Recording Audio

Input Monitoring

Loop Recording

Punch Recording

Step Recording

Recording Channel by Channel

Importing Music and Sound

Saving Your Work

MIDI Input and Echo Controls


Creating a New Project

You can add music and sound to an existing project or to a new project. Just as in any Windows program, you open an existing project file using the File-Open command, and create a new project file using the File-New command.

When you create a new SONAR project, there are some additional parameters you can set to make it easier to work on your project. These include:

  • Meter and key signature
  • Metronome and tempo settings
  • Audio sampling rate
  • MIDI timing resolution

See:

Creating a New Project

Setting the Meter and Key Signatures

Setting the Metronome and Tempo Settings

Setting the Audio Sampling Rate and Bit Depth


Using Per-Project Audio Folders

For ease of backing up your audio files in a project, SONAR allows you to use a separate audio folder for each project. This feature is off by default.

To Enable Per-Project Audio

Use the following procedure to enable the use of per-project audio folders:

  1. Select Options-Global.
The Global Options dialog appears.
  2. Click the Audio Data tab.
  3. In the Audio Data tab, click the Use Per-Project Audio Folders option.
  4. Click OK.

Note: If you use the default project that is created when you open SONAR, you are not using per-project audio. You must use the Copy All Audio with Project option in the Save As dialog to create a per-project audio folder. For more information, see Per-project Audio Folders.


Creating a New Project File

When you create a new project you are asked to choose a template to use for your new file. If you have per-project audio folders enabled (for more information, see Using Per-Project Audio Folders), you are also asked to specify a file name, the folder where you want to store the file, and the folder where you want to store the file's audio. You can override per-project audio by unchecking the Store Project Audio in its Own Folder option.

SONAR includes a set of templates you can use to create a new project. These templates include common types of ensembles, such as rock quartets, jazz trios, and classical full orchestras. When you create a new project using one of these templates, SONAR creates a project that has MIDI settings predefined so that one track is set up for each of the instruments in the ensemble. SONAR also includes a template with two MIDI and two audio tracks (called the Normal template). If you are creating a new project that will contain only audio material, use the Audio Only template. If you are creating a new project that will contain only MIDI material, use the MIDI Only template.

You can create your own template files and use them as the basis for other new projects. For more information, see "Templates" on page 13-457 Templates.

To Create a New Project File

  1. Choose File-New to display the New Project File dialog box.
  2. If you have the per-project audio folders option enabled, enter a file name, set the folder where you want to store the new file, and set the folder where you want to store the new file's audio.
  3. Choose a template from the list.
  4. Click OK.

SONAR creates the new project file and displays it with the Track view open.


Setting the Meter and Key Signatures

By default, a new SONAR project is in 4/4 time and the key of C major. You can change these settings to any desired meter or key. These settings apply to all the tracks in a project. You cannot set different meter or key signatures for different tracks.

The meter or key signature of a project can change at any measure boundary. To insert changes in the meter or key signature, use the View-Meter/Key command to display the Meter/Key view, or use the Insert-Meter/Key Change command.

If you are creating a new project that will contain only audio material (no MIDI material), you do not need to set the meter and key signature.

Note:

Groove clips do not follow your project's key. Groove clips follow the project pitch (in the Markers toolbar and pitch markers in the Time Ruler. For more information, see Working with Groove Clips.

The key signature controls how SONAR displays notes in the Staff view, the Event view, and elsewhere. The meter, tells SONAR the number of beats per measure and the note value of each beat. Common meters include:

  • 2/4 (two beats per measure, each quarter note gets a beat)
  • 4/4 (four beats per measure, each quarter note gets a beat)
  • 3/4 (three beats per measure, each quarter note gets a beat)
  • 6/8 (six beats per measure, each eighth note gets a beat)

The top number of a meter, the number of beats per measure, can be from 1 through 99. The bottom number of a meter is the value of each beat. You can pick from a list of values ranging from a whole note to a thirty-second note.

The meter determines the following:

  • Where the metronome accents are placed
  • How the Now time is displayed
  • How the Staff view is drawn
  • How grid lines are displayed in the Piano Roll view

To Set the Meter and Key Signature

  1. Display the View toolbar by choosing View-Toolbars-Views.
  2. Select Insert-Meter/Key Change.
  3. Click [image] on the View toolbar to open the Meter/Key view.
  4. Select the first (and only) meter/key change in the list.
  5. Click [image] to open the Meter/Key Signature dialog box.
The Meter/Key Signature dialog appears.
  6. Enter the top and bottom meter values in the Beats per Measure and Beat Value fields.
  7. Choose the key signature from the Key Signature list.
  8. Click OK.

You can also set the meter and key signature in the Large Transport toolbar display.


Setting the Metronome and Tempo Settings

The metronome counts off each beat in a measure, so you can hear the tempo of your project. You can choose to have the metronome sound during recording, during playback, or both. When you start recording, SONAR can play any number of beats or measures of metronome clicks before recording begins. This can help you "get in the groove" before you start performing. These beats or measures are called the count-in.

When you create a new project, you should set the metronome to play during the count-in and while recording. If you are adding material to an existing project, you might only need the metronome for the count-in.

You can customize the metronome sound to use your PC speaker or any note on a MIDI instrument. By default, SONAR uses a hi-hat cymbal sound from a General MIDI drum kit for the metronome, but you can change this setting to anything you like by changing the MIDI output, MIDI channel, and duration. You can also choose the note and velocity (volume) to use for the first beat of each measure and for all other beats. The metronome settings are stored separately with each project, so you can use different settings for each one.

Most metronome options can be set in the Metronome toolbar:

If you don't see the Metronome toolbar, use the View-Toolbars command to open the Toolbars dialog box, and check the Metronome checkbox. The metronome MIDI note parameters must be set in the Metronome Settings dialog box.

Note:

If you are synchronized to an external clock source, you cannot use the count-in feature. For more information, see Synchronizing Your Gear.

To Set the Tempo and Metronome for a New Project

  1. In the Metronome toolbar, select the Metronome during Recording [image] and Metronome during Playback [image] options.
  2. If you want to hear a count-in before recording begins, set the count-in to 1 or more. Select Count-in Measures [image] or Count-in Beats [image] .
  3. Select Use PC Speaker [image] and/or Use MIDI Metronome [image] .
  4. Arm at least one track.
  5. Press r or click [image] to start recording. The count-in will play, and the Now time will start to advance.
  6. If necessary, stop playback and adjust the tempo using the tempo controls in the toolbar and restart playback. Repeat until the metronome plays the tempo you want.
  7. Press the Spacebar or click [image] to stop recording.
  8. Press w, or click [image] to rewind to the beginning of the piece.

Your tempo and metronome settings are now ready. When you save the project file, the metronome and tempo settings will be saved as well.

To Change Your Metronome Settings

  1. Open the Metronome Settings dialog box in one of the following ways:
    • Click Metronome Settings [image] in the Metronome toolbar.
    • Choose Options-Project and click the Metronome tab.
  2. Change the metronome settings as indicated in the following table:
    To do this...

    Do this...
    Enable the metronome during playback

    Check Playback
    Enable the metronome during recording

    Check Recording
    Enable the count-in

    Enter the number of clicks for the count-in in the Count-in box, and select Measures or Beats
    Accent the first beat of each measure

    Check Accent First Beat
    Use the PC Speaker sound

    Check Use PC Speaker
    Use a MIDI note as the sound

    Check Use MIDI Note and choose the output, channel, and other settings
  3. Click OK.

Your metronome settings will be saved with the project file.

To Set the MIDI Metronome Sounds from your MIDI Instrument

  1. Select a track in the Track view that is assigned to the MIDI device you want to use for the metronome sound.
  2. Click Metronome Settings [image] in the Metronome toolbar to open the Project Options dialog box.
  3. Make sure that the settings in the Output and Channel fields match those for the track in the Track view.
  4. Click on the Key box in the First Beat or the Other Beats section.
  5. Play a note on your MIDI instrument. The note number is entered automatically. The velocity is not updated.
  6. Click OK.

Your metronome settings will be saved with the project file.


Setting the Audio Sampling Rate and Bit Depth

Each project has an audio sampling rate and an audio driver bit depth that indicate the level of accuracy with which audio data are sampled and processed. The same parameters are used for all the digital audio in a project. When you create a new project, if you do not want to use the default setting, you must choose a sampling rate before you start recording audio.

SONAR lets you choose from five different sampling rates: 11025 Hz, 22050 Hz, 44100 Hz, 48000 Hz, and 96000 Hz. The default is 44100 Hz, the same rate as audio CDs. A higher sampling rate produces better quality sound. However, a higher sampling rate also means that each audio clip takes up more memory and disk space and requires more intensive processing by your computer. If you have an older computer, or a slow hard drive, you might be better off with a lower sampling rate. For more information, see Improving Performance with Digital Audio.

By default, the audio driver bit depth of audio data is 16 bits. If your sound card supports 18, 20, 22, or 24 bit audio, you can choose to take advantage of these higher resolutions.

If you are creating a new project that will contain only MIDI material (no audio), you do not need to set the audio sampling rate or bit depth. If you import audio from a Wave file or another digital audio file, the sampling rate and audio driver bit depth of the wave file are converted to your default setting, if necessary.

Note for Experts:

If you are planning to move your project to a Digital Audio Tape (DAT) or to some other media via a digital transfer, set your sampling rate and bit depth to match the target unit. For example, use 44100Hz/16 bit for a project that will be mastered to a CD, so that no sample rate conversion is required.

To Set the Sampling Rate and Audio Driver Bit Depth for New Projects

  1. Choose Options-Audio to display the Audio Options dialog box.
  2. In the Default Settings for New Projects section, select a value in the from the Sampling Rate dropdown menu and a value from the Audio Driver Bit Depth dropdown menu.
  3. If you choose an audio driver bit depth of 16, also choose 16 in the File Bit Depth field. If you choose an audio driver bit depth higher than 16, choose a File Bit Depth of 24.
  4. Click OK.

The sampling rate and audio driver bit depth are saved with the project file.


Setting the MIDI Timing Resolution

Each SONAR project has a setting for the timing resolution, or timebase, that indicates the resolution of MIDI data. This resolution is measured in ticks or pulses per quarter note and is often abbreviated as PPQ. The default resolution is 960PPQ, which is accurate enough for most applications. In this timebase, each quarter note is represented by 960 ticks, each eighth note by 480 ticks, each eighth-note triplet by 320 ticks, and so on.

In some projects you may need a different timebase. For example, if you wanted to use eighth-note septuplets (7 eighth notes per quarter note) and represent them accurately, you would need to have a timebase that is divisible by 7, such as 168PPQ. SONAR uses the timebase you choose for a project to determine the range of tick values in the Now time.

To Set the Timebase for a Project

  1. Choose Options-Project and click the Clock tab.
  2. Choose the timebase you want from the Ticks per Quarter Note list.
  3. Click OK.

The timebase will be saved with the project file.


Preparing to Record

To prepare for recording, you need to do the following:

  • Set the recording mode.
  • Choose your input(s).
  • Arm one or more tracks for recording.
  • Check your recording levels (audio only).
  • Tune your instrument if necessary (audio only).
  • Set the Now time to the point where recording should start.
  • Start recording.

After you record, you can use the Edit-Undo command to erase the most recently recorded material. You can use the Edit-Redo command to restore the recording and toggle between Undo and Redo as many times as you like.

If you are using MIDI Sync or time code sync for the clock source, SONAR waits to receive external timing data before it begins recording. For more information see Synchronizing Your Gear.

See:

Recording Modes

Choosing an Input

Arming Tracks for Recording

Auto Arming


Recording Modes

Any material you record is stored in a new clip. If you record into several tracks at once, one clip is created in each track. If you record into a track that already contains clips, you can choose one of three recording modes to determine what happens to those clips. When you save your project, you also save whatever recording mode you choose together with that project:

Recording mode... | How it works...
Sound on Sound | The new material is merged with any existing material. This means that any existing clips on the track are left unchanged and all newly recorded material is stored in new clips. While recording, you will be able to hear material from existing clips.
Overwrite | The new material replaces (overwrites) any existing material. This means that portions of existing clips may be "wiped clean" to make room for newly recorded material. While recording, you will not be able to hear material from existing clips.
Auto Punch | Recording only takes place between the punch-in and punch-out times. The new material replaces (overwrites) any existing material.

To Choose a Recording Mode

  • Select a mode from the dropdown list in the Record toolbar.
OR
  • Choose Transport-Record Options or click [image] to display the Record Options dialog box, then select the desired mode.

SONAR saves your recording options with each project, so you can save a different recording mode with each of your projects.


Choosing an Input

To record into a track, you must choose an input for the music or sound to be recorded. Usually, you choose MIDI Omni to record material from a MIDI instrument, or the left or right channel of a digital audio device (such as a sound card) to record audio material, or stereo if you want to record stereo audio in a single track. The input for each track is displayed in the track's In field and at the bottom of each module in the Console view.

When you choose MIDI Omni as the input for a track, SONAR merges material from all MIDI inputs and instruments. This means you don't have to worry about input, channel, or other MIDI settings. Sometimes, you may want to record different MIDI channels into different tracks. To learn how to do this, see Recording Channel by Channel.

While each track can have a different input, it is also possible for several tracks to have the same input. If you record the same material into several different tracks at once, the resulting material will be stored in linked clips. For more information about linked clips, see Splitting and Combining Clips.

To Choose a MIDI Input in the Track View

  1. Click the dropdown arrow of an In field of a MIDI track.
A dropdown menu of MIDI channels appears.
  2. Choose an input from the following:
    • None--This is not really a valid choice. As soon as you arm a track that has None as an input, the In field changes to MIDI Omni.
    • MIDI Omni--This is the most common choice. If you select MIDI Omni, SONAR records any incoming MIDI data on any MIDI track that is armed and has MIDI Omni as an input.
    • MIDI Ch. (1-16)--If you select a specific MIDI channel for a track, SONAR only records MIDI data on the track if your MIDI instrument is sending it on the channel you selected for that track.

To Choose an Audio Input in the Track View

  1. Click the dropdown arrow of the In field of an audio track.
A dropdown menu of audio drivers appears.
  2. Select the audio driver for the sound card you want to record with from these options:
    • None--This choice ensures that you do not record to the track in question. It also turns off input monitoring for this track.
    • Left (name of your sound card)--Choose this if you want to record a mono signal on the left channel of your sound card.
    • Right (name of your sound card)--Choose this if you want to record a mono signal on the right channel of your sound card.
    • Stereo (name of your sound card)--Choose this if you want to record a stereo signal.

To Choose an Audio Input in the Console View

  1. At the bottom of an audio track module, click the Input button.
A popup menu of audio drivers appears.
  2. Select the audio driver for the sound card you want to record with from these options:
    • None--This choice ensures that you do not record to the track in question. It also turns off input monitoring for this track.
    • Left (name of your sound card)--Choose this if you want to record a mono signal on the left channel of your sound card.
    • Right (name of your sound card)--Choose this if you want to record a mono signal on the right channel of your sound card.
    • Stereo (name of your sound card)--Choose this if you want to record a stereo signal.

To Choose a MIDI Input in the Console View

  1. At the bottom of a MIDI track module, click the Input button.
A popup menu of MIDI channels appears.
  2. Choose an input from the following:
    • None--This is not really a valid choice. As soon as you arm a track that has None as an input, the input changes to MIDI Omni.
    • MIDI Omni--This is the most common choice. If you select MIDI Omni, SONAR records any incoming MIDI data on any MIDI track that is armed and has MIDI Omni as an input.
    • MIDI Ch. (1-16)--If you select a specific MIDI channel for a track input, SONAR only records MIDI data on the track if your MIDI instrument is sending it on the channel you selected as an input for that track.


Arming Tracks for Recording

SONAR lets you record any number of tracks at one time. You indicate the tracks you want to record by arming the tracks. You can arm a single track or several tracks at one time. Each track records material received though its selected input.

To Arm One or More Tracks for Recording

  • To arm a track in the Track view, click [image] .
OR
  • To arm a track in the Console view, click [image] .
OR
  • To arm several tracks at the same time, select one or more tracks in the Track view, then right-click and choose Arm from the popup menu.

The Track Arm buttons in the Track view and Console view are displayed in red to indicate that the track is armed for recording.

To Disarm All Tracks at Once

  • Click the red Arm label that's located in the Status bar at the bottom of the SONAR window.
OR
  • Click the red Arm button in the Playback State toolbar, which you can display by using the View-Toolbars command and checking Playback State in the Toolbars dialog box.


Auto Arming

You must arm tracks in order to record. To safeguard your data, there is no automatic arming of any tracks.

If you want to record MIDI tracks without arming a track, choose Options-Global, and select the General tab. Click the Allow MIDI Recording without an Armed Track checkbox.

This feature lets you start recording a new track simply by making it the current track and pressing R or clicking the Record button in the toolbar. Auto-arming makes it possible to inadvertently record over existing material in the current track, however.


Recording Music from a MIDI Instrument

Once you have set your tempo, metronome, and armed one or more tracks, you are ready to start recording.

To Record MIDI

  1. Set the Now time to the point in the project where you want to start recording.
  2. Click [image] , press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in.
  3. Play or perform the material you want to record.
  4. Click [image] , press the Spacebar, or choose Transport-Stop to stop recording.

SONAR displays a clip containing the new material in the Clips pane. To listen to the new material, set the Now time to the start of the clip and press the Spacebar or click [image] . If you're not happy with the recording, use Edit-Undo or press Ctrl+Z to erase the new material.

If you do not see a new clip in the Clips pane, you may have a problem with MIDI input. See Troubleshooting for more information.

See:

Recording Channel by Channel


Recording Audio

Before you record audio, you should check your input levels. If the levels are too low, you may end up with too much hiss and background noise in your recording. If the levels are too high, your recording will be inaccurate or distorted. To check your audio levels, use the audio meters in the either the Track view or Console view. To adjust the input levels, you must use your sound card's software mixer program (or the Windows 98, Me, or 2000 mixer) or an external hardware mixer for certain sound cards.

The audio meters indicate the volume at which the audio will be recorded, in units called decibels (dB). The meter values range from -INF (silent) to 0dB (maximum volume). You can change many options in the way SONAR's meters display data: see Metering. To maximize the dynamic range of your recording, you want to set the levels as high as possible without clipping.

When the audio level exceeds 0dB, some of the audio information is lost. This is known as overload. Many sound cards use clipping to deal with an overloaded signal, but clipping can distort the audio signal. As a result, you should avoid letting the meter level exceed 0dB.

Note to Experts:

Because SONAR is a digital recorder, a level of 0dB indicates digital zero. Digital distortion will occur at 0dB. You will not get analog compression or warmth from pushing the input levels. If you are transferring data from a DAT or another device, you may want to calibrate the input levels of your sound card with the output levels of other devices in your studio. This will ensure that 0dB on one unit will appear as 0dB in SONAR.

To Check the Input Levels

  1. In the Track view, choose the inputs for the tracks you want to record, and arm the tracks for recording. Make sure that the Show Record VU Meter button at the top of the Track view is enabled.
  2. The default meter range is from 0 dB to -60 dB. To change the range, right-click on the meter and choose a new range from the menu.
  3. Perform at the loudest level at which you plan to record.
Watch the meters respond. Increase the input volume as high as possible without ever letting the meters move all the way to 0dB, even for an instant, or letting the Clipping indicator turn red. If either of these things happen, reduce the input volume just enough to avoid them during the entire performance. Note that some kinds of audio, such as percussive or plucked musical instruments, can produce very short, high-level "transients" when struck or plucked aggressively, which can lead to clipping if the input volume is set too high. Consider the possibility of these transients when examining the meters and setting your record level.
Note: If the Clipping indicator is illuminated, click on it to reset.

Once you have set your sampling rate and input levels, you are ready to start recording. If the meters do not move, check your sound card software's mixer program and make sure that you have the proper input enabled for recording.

When you record audio, SONAR stores each audio clip in a separate file. These files have the same format as a Wave (.wav) file, but they have special names and are stored in a separate directory on your hard disk. SONAR automatically manages these audio files for you, making it easier for you to manage your projects. If you want to work with these files directly, or to learn more about how SONAR stores audio data, see Audio File Management.


Tuning an Instrument

SONAR's Chromatic Tuner analyzes any input signal from the sound card and displays the intonation (in cents) on the meter. The tuner automatically determines which string/pitch you are trying to tune, so that you can keep both hands on the instrument while tuning. The VU Meter shows how loud your input signal is-a strong signal is essential for accurate tuning.

The Tuner works with multiple sound cards and/or multiple drivers by sensing what audio input is record-enabled and tuning from that source. The Tuner displays the name of the current audio source in the titlebar.

Note: The sound card you use to tune with must support multiple instances of audio applications. The Tuner is a separate audio application from SONAR. If your preferred sound card doesn't support this, use the Input control in the track that has the signal you want to tune.

The Tuner can help you to tune any electronic instrument--just plug it into your sound card. With a microphone, you can also tune acoustic instruments.

To Tune an Instrument

  1. Disarm all tracks. The Chromatic Tuner will not work if you have any tracks armed.
  2. Display the Tuner by choosing Tools-Tuner.
  3. Make sure the active track is using the sound card you want to tune as a input.
  4. With your instrument plugged into your sound card and turned up, play a note.
The Tuner displays the intonation reading on the cents meter and the name of the note you played between the three arrows. One of the three arrows lights up, indicating one of the following:
  • Up arrow indicates the note is in tune.
  • Right arrow indicates the note is sharp.
  • Left arrow indicates the note is flat.
  5. Adjust the pitch if necessary and repeat for the rest of the pitches you need to tune.

To Record Audio

  1. Choose the audio inputs for the track(s) you want to record.
  2. Arm the tracks for recording.
  3. Set the Now time to the point in the project where you want to start recording.
  4. Click [image] , press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measures or beats.
  5. Play or perform the material you want to record.
  6. Click [image] , press the Spacebar, or choose Transport-Stop to stop recording.
SONAR displays a clip containing the new material in the Track window. To listen to the new material, set the Now time to the start of the clip and press the Spacebar or click [image] . If you're not happy with the recording, use Edit-Undo to erase the new material.
If you do not see a new clip in the Clips pane, you may have a problem with audio input. See Troubleshooting for more information.
Important: Make sure you have enough space on your hard disk when recording digital audio. Running out of hard disk space when recording can lead to unpredictable results.


Input Monitoring

Being able to hear plug-in audio effects applied to a live signal is one of the most exciting features in SONAR. However, there are two issues that users commonly stumble upon when using the input monitoring feature. The first is that the monitored signal seems to have an echo associated with it. The second is that live input monitoring can lead to nasty feedback problems, particularly if you have an outboard audio mixer, or you record from a different sound card from the one you are playing back with. SONAR has a button to turn input monitoring on and off called the Audio Engine button [image] , which is located in the Transport toolbar. If you hear feedback, click this button to turn off input monitoring.

Note: Input monitoring is not available when you record in Overwrite mode. Use Auto Punch or Sound on Sound instead.

Note: When you use input monitoring, make sure that the track you're playing through uses the same audio interface (sound card) for both input and output. Using different audio interfaces for a track's input and output can produce distortion during input monitoring.

To understand the echo and feedback problems, let's look at how audio signals travel through your sound card, the drivers, and SONAR. The following diagram depicts a simplified version of this signal flow.

The bottom block of the picture represents the sound card. The shaded area above it represents the audio drivers. The unshaded area at the top represents the main environment of the operating system.

As the diagram shows, analog audio flows into the card's line input (on the left), and is immediately split in two. One branch goes up through the analog-to-digital converter (ADC), where the audio is digitized, buffered and fed to the driver (labeled Wave In in the diagram).

The digital audio data buffers are read by SONAR from the Wave In driver, processed, and then sent out to the Wave Out driver. The driver passes the digital audio buffers through a digital-to-analog converter (DAC), where the audio data is converted back to an analog signal.

Finally, this analog output signal is mixed with the original branch of the input analog signal, and the summed result is presented to the sound card's line output.

With this information in hand, let's follow a simple audio signal through the system to understand how echoes get introduced into the input monitor path.

Suppose you are counting "1, 2, 3" into your sound card very quickly. When you say the first "1," this sound immediately appears in all the places indicated in the illustration above. In other words, the analog audio signal is pure electrical signal traveling at the speed of light, so it is immediately present across all analog audio paths inside the sound card.

Next, you say "2." In the time it takes you do that, the ADC has converted the "1" to digital form and the Wave In driver has fed it to SONAR for processing. SONAR processes the buffer right away and passes the processed data right back to the Wave Out driver.

Finally, you say "3." By this time the original "1" has been converted back to analog audio by the DAC, and that analog signal is mixed in with the "3" you have just said. The ultimate result is that you hear a "1" and "3" mixed together at the line output of card--seemingly sounding like an echo, but actually just an artifact of the signal flow through the system.

You can eliminate the echo by muting the line-in from playing back (see To Eliminate the Echo from Input Monitoring); you'll send only the processed signal to the sound card outputs. This technique introduces a little extra latency to what you hear coming out of your sound card, but if you use WDM or ASIO drivers with your sound cards, the latency is negligible.

The feedback problem results whenever you have a loop in your mixer path: the output of your mixer is patched into the input of your sound card. Feedback can happen with or without input monitoring, but since input monitoring can add several levels of gain to the signal flow, it's of greater concern when you have input monitoring enabled. Input monitoring is disabled by default when you install SONAR, and you enable it with the following procedure.

To Enable Input Monitoring

  1. Turn your speakers down, in case you have a loop in your mixer path.
  2. Arm the track you want to play through.
  3. Use the Options-Audio command to open the Audio Options dialog box.
  4. On the Input Monitoring tab, highlight the name(s) of the sound card(s) that you want to use for input monitoring. Sound cards with WDM or ASIO drivers work best because of their lower latency.
  5. Click OK.
  6. Make sure that the Audio Engine button [image] is depressed (it's in the Transport toolbar). Notice that when the button is depressed the Audio Running indicator appears in the Status Bar at the bottom of the SONAR window. If you hear feedback, click the button [image] to turn off input monitoring, turn your amp off, and repatch your cables so that your mixer output is not patched into your sound card input.
  7. Play an audio instrument that's patched through an audio track that uses the same input monitoring sound card for both input and output. Using different cards for input and output can produce distortion.
  8. Gradually turn your speakers up to a reasonable level. If you hear feedback, turn your amp off and repatch your cables so that your mixer output is not patched into your sound card input.

Now you can hear your instrument in real time with any plug-in effects that you want to patch into the current track. You might also hear an echo, because the dry signal is coming out of your sound card slightly ahead of the processed signal. To eliminate the dry signal, see the next procedure.

To Eliminate the Echo from Input Monitoring

  1. Open the software mixer that controls your sound card. If your sound card uses the Windows mixer, open the mixer by using the Start-Programs-Accessories-Entertainment-Volume Control command, or double-clicking the speaker icon on the Windows taskbar.
  2. In the Play Control window of the mixer, check the Mute checkbox in the Line-In column, or in the column of whatever jack your instrument is plugged into, and close the mixer window.

Now you can hear only the processed sound when you use input monitoring. Using WDM or ASIO drivers for your sound card keeps latency to a negligible amount.

Note: This procedure does not eliminate feedback from you system, only the echo. If you experience feedback, you have a feedback loop somewhere in your mixer setup.


The Audio Engine Button

SONAR has a button in the Transport toolbar called the Audio Engine button [image] . This button lets you turn on SONAR's audio engine when the transport is stopped. This makes input monitoring possible when playback or recording are stopped (provided that input monitoring is already enabled in the Audio Options dialog), and also makes it possible to play DXi soft synths when playback or recording are stopped. When playback or recording are in progress, SONAR enables the button automatically--however, the button appears greyed-out during playback or recording because you can't control the button at that time. Whenever the button is enabled, the Audio Running message lights up on the Status bar that's at the bottom of the SONAR window.

If you experience feedback during input monitoring, you can click the Audio Engine button to turn off the audio engine. However, if playback or recording are in progress, the button is unavailable, and you should click the Reset button [image] that's just to the right of it instead, or else stop recording or playback first and then click the Audio Engine button.

You may experience slightly better playback and recording performance by turning the Audio Engine button off before you press the Play or Record buttons. This happens if your computer's resources are already stretched to the limit. When you start recording or playback with the audio engine already functioning, there is still some processing that SONAR has to do that's left over when you start the transport. This places an extra load on your system that can cause dropouts if your system is already stretched thin. A more effective solution than disabling the audio engine before starting the transport is to reduce the load on your system by hiding some meters, increasing latency slightly, reducing the number of plug-ins and/or tracks, etc.

See also:

Input Monitoring


Loop Recording

When recording a vocal or an instrumental section, you might want to record several different takes so that you can choose the one you like best. You might even want to record several takes to double a part or merge the best parts of each.

Normally, to record each take you would have to arm a track, start recording, perform the take, and then stop recording. You can record multiple takes more easily using a feature called loop recording. Loop recording lets you start recording and record as many takes as you like, all in a single step.

SONAR loops between the loop start and loop end time, allowing you to record one take on each pass. SONAR creates a clip for each take. You have three choices for where these clips are stored:

  • All clips can be recorded in Sound on Sound mode and stored in a single track, where they are stacked on top of one another.
  • All clips can be recorded in Overwrite mode in a single track, where each take overwrites the previous one.
  • Each clip can be recorded to a different track. SONAR automatically places each take into a new, empty track. No existing tracks are changed in any way.

When you stack takes, using the Sound on Sound record mode, you hear all the previous takes as you record each new take. When you store takes in different tracks, each take is automatically muted as you record the next one. You choose the option you want from the Record Options dialog box.

When you finish recording, you can use the Edit-Undo command to erase all your takes in a single step.

To Use Loop Recording

  1. Choose the input for the track(s) you want to record, and arm the track(s) for recording.
  2. Set the loop start and end times in either the Loop/Auto Shuttle dialog box or in the Loop toolbar.
  3. Choose Transport-Record Options, or click [image] on the Record toolbar, to display the Record Options dialog box.
  4. Choose to stack all takes in a single track or to store them in separate tracks.
  5. If you choose to stack all takes in a single track, choose either Sound on Sound or Overwrite mode.
  6. Click OK to close the Record Options dialog, and set the Now time to the point in the project where you want to start recording.
  7. Click [image] , or press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measure.
  8. Play or perform the material you want to record. At the end of the loop, SONAR will return to the start of the loop and you can record the next take.
  9. If you want to erase the most recent take while loop recording is underway, choose Transport-Reject Loop Take or press Ctrl+Spacebar.
  10. Click [image] , or press the Spacebar, or choose Transport-Stop when you want to stop recording.

The takes are stored in the manner you requested.


Punch Recording

Suppose you are happy with most of a track but want to replace one small section--perhaps as small as a couple of notes. This is where punch recording comes in handy, because it lets you record new material only within a specified range of times.

For example, suppose you recorded a 32-bar keyboard solo but made some mistakes in the 24th and 25th bars. With punch recording, you can play the entire solo again, so you make sure you can get the feel you want. However, only the bars you want to correct are actually recorded. That way, you don't have to worry about introducing new mistakes elsewhere in the recording. When you use punch recording, SONAR deletes any pre-existing material between the start and end times of the punch.

To use punch recording, follow these steps:

  • Enable punch recording.
  • Set the start and end times of the punch.
  • Start recording by pressing r or clicking the [image] button on the Transport toolbar.

When punch recording is enabled, the punch times are indicated by special markers in the Time Ruler, which is at the top of the Clips pane:

After you punch record, choosing Edit-Undo both discards any new material you recorded and restores the original material that had been deleted.

You can also combine loop and punch recording to record several takes of a punch. Say you are working on that perfect take of a guitar solo and you need to hear a couple of bars of the project as "pre-roll" before you punch in. By combining looping with punch, you can have each take begin before you start to play and still have the solo cut in at the appropriate instant.

In the example mentioned previously, you could loop from bar 17 to bar 26 but record only bars 24 and 25.

To Punch Record

  1. Choose the input(s) for the track(s) you want to record, and arm the track(s) for recording.
  2. Select Auto Punch from the Record Mode dropdown list in the Record toolbar.
  3. Set the start and end times in one of the following ways:
    • Enter the times directly on the toolbar
    • Select a range of time and click [image] on the Record toolbar
    • Select a range of time, then right-click in the Time Ruler and choose Set Punch Points
  4. Set the Now time to a point where you want to start playback.
  5. Click [image] , or press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measures or beats.
  6. Play or perform the material you want to record.
  7. Click [image] , or press the Spacebar, or choose Transport-Stop to stop recording.

The material you play during the punch time is recorded in the chosen track, replacing any existing material.

To Use Punch While Looping

  1. Choose the input for the track(s) you want to record, and arm the track(s) for recording.
  2. Set the loop start and end times.
  3. Set the punch start and end times, as described previously.
  4. Choose Transport-Record Options, or click [image] on the Record toolbar, to display the Record Options dialog box.
  5. Choose to stack all takes in a single track or to store them in separate tracks.
  6. Set the Now time to the beginning of the loop.
  7. Click [image] , or press r, or choose Transport-Record. If your metronome count-in is turned on, it will play the count-in measures.
  8. Play or perform the material you want to record. At the end of the loop, SONAR will return to the start of the loop and you can record the next take.
  9. If you want to erase the most recent take while loop recording is underway, choose Transport-Reject Loop Take or press Ctrl+Spacebar.
  10. Click [image] , or press the Spacebar, or choose Transport-Stop when you want to stop recording.

The takes are stored in the manner you requested.


Step Recording

Sometimes you may want to record MIDI material that is too difficult to play. One way to make this easier is to slow the tempo of the project while you are recording until it is slow enough to play. Step recording is another method that lets you record from a MIDI instrument without having to worry at all about your timing.

To use step recording, you set a step size, such as a quarter note. Then, you simply record one step at a time, taking as much time as you need to play each step. You can also set a note duration that is independent of the step size. If the duration is shorter than the step size, rests will be inserted between each note and the next step. If the duration is longer than the step size, the notes will overlap with the notes recorded at the next step.

MIDI data is recorded using Step Record even if the track is not armed, loop markers are ignored, and Step Record always uses the Sound on Sound (blend) record mode, regardless of the current record mode.

The step size and the duration can each be set to one of three things:

Setting... | How to use it...
A particular note value | Simply choose the note value from the list
A dotted note value | Choose the note value and check the Dotted option
A number of MIDI ticks | Click Other, enter the number of MIDI ticks, and click OK

The Auto Advance option automatically advances recording to the next step when all MIDI input stops. For example, if you press the three keys that make up a C major chord, as soon as you release all three keys, SONAR automatically advances to the next step. This makes it very easy to record a series of chords that are spaced at regular intervals.

With Auto Advance disabled, you must click Advance each time you want to advance to the next step. While this requires more effort, it also provides you with more flexibility. For example, with Auto Advance disabled, you do not even need to play the notes at a single step at the same time! You can play any number of notes one at a time, and they will all be recorded at the same step until you click the Advance button. You can even record notes of different durations at the same step - simply record the notes of one duration, change the duration, and play more notes, without clicking Advance.

You can click Delete to erase the notes you recorded in a single step. If Auto Advance is enabled, the Delete button deletes the notes played at the prior step, and it also backs up a step so you can rerecord the notes at that step. With Auto Advance disabled, the Delete button erases any notes you have recorded at the current step.

To Use Step Recording

  1. Choose the input for the track you want to record.
  2. Click in the Track pane in the track you want to record. You can only step record in the current track--the track that has the focus.
  3. Set the Now time to the point in the project where you want to start recording.
  4. Choose Transport-Step Record, or click [image] in the Record toolbar to display the Step Record dialog box.
  5. Follow the instructions in the following table:
    To do this...

    Do this...
    Record the next step

    Play the note(s) you want on your MIDI instrument
    Erase the most recent step

    Click Delete
    Skip a step (add rests)

    Click Advance without playing any notes
    Move forward or backward one step

    Click the scroll arrows in the scroll bar
    Move forward or backward one measure

    Drag the indicator in the scroll bar
    Jump to a particular Now time

    Enter the measure, beat, and tick number next to the scroll bar
    Change the step size

    Pick the step size you want from the Step Size list
    Change the note duration

    Pick the duration you want from the Duration list
    Stop recording and save your work

    Click Keep or press Enter
    Stop recording and discard your work

    Click Close or press Esc
    Advance to the next step

    With Auto Advance disabled, click the Advance button
  6. Click OK.

As always, you can use the Edit-Undo and Edit-Redo commands after you have finished recording. Note that these commands erase or restore all the material you recorded while in step record mode. Remember that Step Record always uses the Sound on Sound (blend) record mode, regardless of the current record mode.

See:

Step Pattern Recording


Step Pattern Recording

The Pattern option lets you define a repeating rhythmic pattern of notes and rests so that you can use step recording more efficiently. For example, suppose your project is in 4/4 time, and one track has a pattern that is two measures long: quarter notes in the first measure and on the first two beats of the second measure, followed by a half-note rest on the last two beats. This pattern has six quarter notes followed by two quarter-note rests.

When you use step recording with Auto Advance, you can play the six quarter notes and SONAR will automatically advance to the next step. However, to skip over the rests, you need to click the Advance button two times.

With pattern recording, you define a pattern that indicates where the rests appear in the pattern. SONAR will then skip over the rests automatically, so you don't need to click the Advance button at all.

SONAR displays patterns as a combination of digits (which represent beats that contain notes) and dots (which represent beats that contain rests). The pattern described previously looks like this:

1 2 3 4 5 6 . .

Here is another example:

1 2 . 4

This pattern automatically skips over every third beat; SONAR interprets this pattern as "one, two, rest, four."

Here is one final example based on 4/4 time, with a step size of eighth-note triplets (twelve steps per measure):

1 2 3 4 . 6 7 . 9 0 . 2

No matter how you enter a pattern, SONAR displays the digits in sequence, with periods replacing digits at each step where a rest would occur. You can create patterns with up to 64 steps.

To Use Pattern-Based Step Recording

  1. Choose the input for the track(s) you want to record.
  2. Set the Now time to the point in the project where you want to start recording.
  3. Choose Transport-Step Record to display the Step Record dialog box.
  4. Click in the Pattern box.
  5. Press any number key to indicate a beat at which notes will be played.
  6. Press the Spacebar, period, or the letter r to indicate a beat on which there is a rest.
  7. When the pattern is complete, click elsewhere in the dialog box.
  8. Step record as before.

From now on, after you record each step, SONAR automatically advances past all rests to the next step on which notes will be played. To stop pattern-based step recording, simply delete the pattern from the Pattern box.


Recording Channel by Channel

Most MIDI instruments are capable of sending information on several different channels at once. When you choose MIDI Omni as the input for a track, SONAR records into that one track MIDI data from all the different MIDI devices and channels that are hooked up to your computer. However, you have the option to be more selective, recording material from different MIDI channels into different tracks. You can even group some of the channels or record some channels in several different tracks at once.

Here are some examples of when this feature might be useful:

  • There are several performers, each playing a different MIDI instrument. By setting each instrument to transmit MIDI on a different channel, you can record each player's performance into a separate track, even though they are all playing at the same time.
  • You are using a MIDI guitar controller and want to record the notes played on each string on a separate track.
  • Your electronic keyboard has a built-in auto accompaniment feature that plays a drum part and an accompaniment while you play lead. You want to record each of these three parts into a different track in a SONAR project.
  • You have a MIDI sequence stored on your synthesizer's built-in sequencer, and you want to record each channel onto a different track.

The Track Inputs dialog box is used to set individual MIDI channels or groups of channels as the inputs for one or more tracks. Once you have set specific channels as the input for a track, you can change back to MIDI Omni or some other input using the + and - keys in the Track view or by using the Track Inputs dialog box.

To Assign Channels to Different Tracks

  1. Use the Track-Property-Inputs command to display the Track Inputs dialog box.
  2. In the Track column, select a track or tracks that you want to choose inputs for. Set the input for each track as follows:
    To do this...

    Do this...
    Choose None as an audio input

    In the Audio field in the lower half of the dialog box, check the None box.
    Use MIDI Omni as the input

    Check the Omni box.
    Choose an audio input

    In the Audio field in the lower half of the dialog box, select either Left (name of your sound card), Right (name of your sound card), or Stereo (name of your sound card).
    Use one or more MIDI channels as the input

    Check as many MIDI channels as you want to record on the selected track(s).
  3. Click OK.

SONAR shows new track inputs in the Input control in the Track pane.

Note for Experts:

You can use external MIDI synchronization to automate the process of loading multichannel sequences from other MIDI devices. For more information, see Synchronizing Your Gear.


Importing Music and Sound

While recording is perhaps the most common way of adding material to a SONAR project, there are several other methods you can also use. SONAR lets you import music into a project from several different types of digital data files, including MIDI files; audio files in Wave, MP3, AIFF, and other formats; and other SONAR project files.

See:

Importing Audio Files

Importing Material from Another SONAR Project

Importing MIDI Files


Importing Audio Files

SONAR lets you insert digital audio information into any track of a project. If the audio file you are importing is in stereo, then it can be imported into a single stereo track, a pair of mono tracks or a single mono track.

The File-Import-Audio command supports the following digital audio file types:

  • Wave (extension .wav)
  • MPEG (extensions .mpeg, .mpg, .mp2, and .mp3)
  • Apple AIFF (extensions .aif and .aiff)
  • Active Streaming (extension .asf)
  • Next/Sun (extensions .au and .snd)

The sampling rate and bit depth for a project is set based on your default settings in the Audio Options dialog. If the sampling rate from the Wave file does not match the sampling rate in your project, then it will be converted to the current project's sampling rate and bit depth.

To Import an Audio File

  1. Set the Now time and current track to indicate where the audio should be placed.
  2. Choose File-Import-Audio to display the Open dialog box.
  3. Choose the audio file you want to import. SONAR displays information about the file at the bottom of the dialog box.
  4. Click Play to listen to the audio file before importing.
  5. If the new file is stereo, check the Stereo Split option if you want to insert the file into two separate tracks.
  6. Click Open.

SONAR loads the audio data from the audio file and places it in the selected track at the Now time.

To Import a Broadcast Wave File

Broadcast Wave files are wave files with some additional information stored in them. Broadcast Wave files have the following information:

  • Description--A brief description of the contents of the Broadcast wave. Limited to 256 characters.
  • Originator--The author of the Broadcast wave. This information is taken from the Author field in the File Info dialog.
  • Originator Reference--A unique reference identifier created by SONAR.
  • Origination Date--The date the file was created.
  • Origination Time--The time the file was created.
  • Time Reference--The SMPTE time stamp for the beginning of broadcast wave.
  • If you want SONAR to import Broadcast Wave files always at their timestamped location, select Options-Global, click the Audio Data tab and check the Always Import Broadcast Waves At Their Timestamp option. Otherwise, set the Now Time and current track to indicate where the audio should be placed.
  • Choose File-Import-Audio to display the Open dialog box.
  • Choose the audio file you want to import. SONAR displays information about the file at the bottom of the dialog box.
  • Click Play to listen to the audio file before importing.
  • If the new file is stereo, check the Stereo Split option if you want to insert the file into two separate tracks.
  • Click Open.

If the Always Import Broadcast Waves At Their Timestamp option is selected in the Global Options dialog, the imported Broadcast Wave file appears at its timestamp on the selected track. Otherwise, the file appears at the Now Time on the selected track.


Importing Material from Another SONAR Project

You use the Edit-Copy and Edit-Paste commands to import material from one project to another using the Windows clipboard. The project that contains the material you want to import is the source project. The project into which the material is imported is the target project.

Normally, if you copy material from several different tracks to the Windows clipboard, the information will be pasted back into separate tracks. You can choose to paste all the material from the clipboard into a single destination track in the target project.

You can also copy material from one project to another by displaying the Track view for both projects side by side, then using drag-and-drop editing.

To Import Material from Another Project

  1. Open the source project, or click in the Track view for that project.
  2. In the Track view, select the material you want to import.
  3. Choose Edit-Copy to display the Copy dialog box.
  4. Make sure that Events in Tracks is checked, and click OK.
  5. Open the target project, or click in the Track view for that project.
  6. Set the Now time and current track to indicate where the material should be placed.
  7. Choose Edit-Paste to display the Paste dialog box.
  8. Check Paste to One Track if you want all material imported into the current track.
  9. Click OK.

SONAR imports the material and displays it in the Track view.


Importing MIDI Files

You can create a new SONAR project from a MIDI file simply by opening the file. SONAR takes material from the file and places it into one or more tracks in the Track view.

To Import Information from a MIDI File into a Project

  1. Open the MIDI file as a new, separate project.
  2. Choose Edit-Select-All.
  3. Choose Edit-Copy to display the Copy dialog box.
  4. Make sure that Events in Tracks is checked, and click OK.
  5. Open the target project, or click in the Track view for that project.
  6. Set the Now time and current track to indicate where the material should be placed.
  7. Choose Edit-Paste to display the Paste dialog box.
  8. Check Paste to One Track if you want all material imported into the current track.
  9. Click OK.

SONAR imports the material and displays it in the Track view.


Saving Your Work

Like most Windows programs, you use the File-Save and File-Save As commands to save your work. Normally, you save your projects in the standard project file format, with a file extension of .cwp. This file contains all your MIDI data and all your project settings. Any digital audio that is part of your project is stored in a separate file, as described in Audio File Management.

SONAR also lets you save files in several other formats, as described in the table:

File type... | Format... | Explanation...
Standard MIDI | .mid | Used to transfer MIDI-only projects to other software products that support Standard MIDI files.
Bundle | cwb | A single file that includes all the material in your project: MIDI data, project settings, and audio data. This format is used for projects that contain digital audio, when you want to back up your work or transfer a project to a different computer. See Backing Up Projects with Digital Audio for more information.
Template | .cwt | A file that is used as a pattern to create another. Templates make it easy to create and configure new projects. See Layouts, Templates and Key Bindings for more information.

If you have made changes to a project and then attempt to close the project, either by closing the Track view or by choosing File-Close, SONAR asks if you want to save the changes you have made. This prevents you from accidentally losing your work. You can tell whether changes have been made to a project by looking for an asterisk (*) after the project name in the SONAR title bar.

SONAR has an Auto Save feature that periodically saves your work into a special backup file. You can request automatic backups at fixed time intervals or every time a certain number of changes have been made to the file. When the limit is reached, the file is saved automatically. If your original project is called myproject.cwp, the Auto Save version is called auto save version of myproject.cwp.

If there is a power failure or if you make a significant mistake, you can recover the last-saved version of your project by opening this file. You should then save your project under a different name by using the File-Save As command.

To Save a Project

  1. Choose File-Save As to display the Save As dialog box.
  2. Choose the type of file you want to save from the Save as Type list.
  3. Enter a file name and click Save.

SONAR saves the file.

To Change the Auto Save Settings

  1. Choose Options-Global and click the General tab.
  2. To enable Auto Save, set either the number of minutes or the number of changes between saves.
  3. To disable Auto Save, set both values to zero.
  4. Click OK.

From now on, your projects are saved automatically according to the settings you entered.


Labeling Your Projects

SONAR lets you attach subtitles, composer credits, copyright, and other information to your projects, as shown in the following table:

Title | The title for your project; prints automatically at the top of a Staff view printout.
Subtitle | For a subtitle or dedication; prints directly below the title in a Staff view printout.
Instructions | Use for performance instructions; prints flush left in a Staff view printout.
Author | Put your name here if you are the composer. Prints flush right in a Staff view printout.
Copyright | Copyright information prints flush right, under the author name, in a Staff view printout.
Keywords | Put keywords describing the project here for future reference.
Comments | Free text comments. Type as much as you like. You can enter approximately the same amount of text as you can in Windows Notepad.

This information is shown in the File Info dialog box, which is displayed using the File-Info command. If the File Info window is open when you save a file, then this window is displayed automatically the next time the file is opened. This is useful if you:

  • Share files with others and want them to see special instructions when they open the file
  • Want your copyright information to be displayed automatically

If the File Info window is closed when you save the file, it will not be automatically displayed the next time the file is opened.

Although you cannot use Edit menu commands while working in the File Info window, standard Windows hot keys like Ctrl+X, Ctrl+C, and Ctrl+V can be used to cut, copy, and paste text.

To Display and Edit Project Information

  1. Choose File-Info to display the File Info window.
  2. Edit the information as desired.
  3. If you want the File Info window to display automatically, save the file.
  4. Click Stats to see statistics about the contents of the file.
  5. Choose File-Print Preview if you want to print the project information
  6. Close the File Info window.


File Statistics

The File Statistics dialog box displays the following information about the contents of the project file:

Statistic... | What it means...
Created | The date the project was first saved.
Editing time | The total time you've had the project open, from the time it was created to the last time it was saved. This does not include time spent editing the project since you last saved it. If you want to update this value, save the project.
Revision | Each time you save a file that has been changed, this number is incremented. If you open a project, make no changes, then save it, the revision number is not changed.
Events | The total number of events in the project.
Sample rate | The sample rate for digital audio.
Bit depth | The audio driver bit depth of digital audio.
File version | The SONAR version number.


MIDI Input and Echo Controls

SONAR gives you fine control over a variety of MIDI settings. You can filter out MIDI input information to eliminate information you don't want to record, and you can control the way SONAR echoes MIDI input to any connected output devices.

See:

Input Filtering

MIDI Echo

Local Control


Input Filtering

SONAR lets you filter out specific types of MIDI messages or filter the MIDI input stream channel by channel. Any MIDI information that is filtered out is neither recorded nor echoed to any other MIDI devices.

You can use the message type filter to screen out resource-intensive MIDI messages like key and channel aftertouch. By default, SONAR records all types of events except these two.

You can use message-type filtering to record short System Exclusive (Sysx) messages in real-time. These will end up in the track as Sysx data events, which can hold System Exclusive messages up to 255 bytes. Leave the Buffers setting at 128 unless you experience data not being recorded. For more information about Sysx, see Using System Exclusive Data.

To Filter Event Types

  1. Choose Options-Global and click the MIDI tab.
  2. Check the message types you want recorded.
  3. Click OK.

From now on, SONAR records only the types of events you have chosen.

To Filter by Channel

  1. Choose Options-Project and click the MIDI Input tab.
  2. Check the channel numbers from which you want to record.
  3. Click OK.

SONAR records events from the channels you have chosen and excludes events from the other channels.


MIDI Echo

SONAR lets you control the echo of MIDI data from your MIDI inputs to your MIDI outputs--that is, from your master keyboard to one or more of your sound modules. This function is known as MIDI thru and is configured using the Project Options dialog box.

There are three different echo modes, as shown in the following table:

Mode... | How it works
None | Disables MIDI echo.
Manual | Enables MIDI echo and lets you manually control the mapping of inputs to outputs.
Auto (default) | Enables MIDI echo and maps data automatically by following the parameters of the current track. The Auto mode allows you to use the Track view as a list of selectable MIDI echo-mapping destinations.

If you choose the manual echo mode, you can control the routing and processing of MIDI echo data, as shown in the following table:

Setting... | What it means...
Port | The desired destination port. Blank means the port is not mapped.
Channel | The desired destination channel. Blank means that the channel is not mapped.
Key+ | The desired note transposition, if any.
Velocity+ | The desired velocity transposition, if any.
Local On Port | If you can't turn off the Local On setting on your master keyboard, and you keep getting double notes every time you press a key on it, then enter the port number of your master keyboard into this field, and SONAR will stop echoing MIDI data back to it.

To Configure MIDI Echo

  1. Choose Options-Project and click the MIDI Input tab.
  2. Choose the echo mode you want (None, Manual, or Auto) from the Echo Mode list.
  3. If you chose the Manual echo mode, configure the mapping the way you want.
  4. Click OK.

From now on, SONAR echoes MIDI according to these settings.

Note: By default, MIDI input from a DXi's interface (for example when you move one of its faders), is not echoed, but can be recorded in any track that uses the DXi as an output. To echo input from an DXi to any MIDI track that has the focus, use the Options-Global command to open the Global Options dialog, and in the MIDI tab, check the Echo DXi Input to All MIDI Tracks option.


Local Control

You should normally disable the Local Control setting on your master keyboard to prevent notes from being doubled. If you disable Local Control, your keyboard sends notes that you play to SONAR, which echoes them to the synthesizer, which plays them only once.

When SONAR starts, it sends a special MIDI message that attempts to disable Local Control automatically. Most modern synthesizers respond to this message. If yours does not, you will need to disable Local Control every time you turn it on for use with SONAR.

If your synthesizer does not let you disable Local Control (this is rare), you can use the Local On Port setting in the Input tab of the Project Options dialog box to indicate the number of the output port connected to your synthesizer. SONAR will then refrain from sending MIDI echo data to that port. In this configuration, you may need to turn your synthesizer's volume control up and down from time to time to avoid hearing it play along with your other modules. If this situation doesn't apply to you, the Local On Port should be set to 0.

Note: You can set SONAR to automatically disable Local Control on all connected MIDI devices when you launch SONAR. You can also set SONAR to automatically re-enable Local Control when you close SONAR. You control both functions by changing the values of the SendLocalOff and/or SendLocalOn lines in the ttseq.ini initialization file (see following procedures).

To Automatically Disable All Local Control Whenever You Launch SONAR

  1. In the directory where SONAR is installed, double-click on the ttseq.ini file to open it.
  2. In the Options section, add the line:
SendLocalOff=1
  3. Save the file and close it.
  4. When you launch SONAR, it automatically sends a Local Off message to your keyboard.
Note: Not all keyboards respond to this message.


Arranging Tracks and Clips

Arranging Tracks and
Clips

The Track view makes it easy to arrange and mix your projects from a single view. From one location, you can select, copy, move, mix, and rearrange the parts of your project, using menu commands or drag-and-drop tools. You can add real-time audio and MIDI effects from the Effects bin and buses. Markers provide easy-to-use reference points and labels for the different parts of your project, and the snap grid makes it easy to align your clips to the desired time points. Slip Editing allows you to non-destructively change the start and/or end time of a clip, just by dragging its borders. With slip editing, you can easily create repetitions of your audio clips using your mouse (see Slip Editing (Non-Destructive Editing)). The Track view has a full set of record and playback meters, which you can configure in several ways. SONARTM also has a variety of tools and commands for changing the tempo of your project.

Arranging Tracks

Arranging Clips

Working with Partial Clips

Markers and the Snap Grid

Working with Linked Clips

Splitting and Combining Clips

Adding Effects in the Track View

Changing Tempos

Undo, Redo, and the Undo History


Arranging Tracks

SONAR provides a variety of commands that let you work with the tracks in your project. Here are some of the things you can do:

You can... | Here's why...
Rearrange the tracks in the Track view so that they appear in a different order | This makes it easier to see and work with a subset of tracks, like the rhythm section, or the vocals and vocal backing tracks, or all muted tracks.
Hide individual tracks | This makes it easier to work in a large project. You can display only the tracks you want to see at a given time.
Make copies of a track | Copying a track and then adding a time offset or changing the patch is an easy way to double a part. You can also copy and then transpose a track to add harmony.
Erase or delete a track | Tracks and clips that you are no longer using in your project are distracting and take up space in your project file.

All the commands you use to arrange tracks work on selected tracks. The current track (the one containing the highlight) is always selected. You can select additional tracks as shown in the table:

To do this... | Do this...
Select a track | Click the track number in the Track view. The track is selected, and all other tracks--except the current track--are deselected.
Select several adjacent tracks | Click the track number for the first track in the group, drag the mouse to the last track in the group, and release the mouse button.
Select/deselect all tracks | Click the Select All Tracks button that's located in the top left corner of the Track pane.
Add or remove a single track from the selection | Hold the Shift key and click the track number to add it to the selection; hold the Ctrl key and click the track number to toggle its selection status.

Changing the Order of Tracks

Configuring the Display of Tracks in the Track View

Copying Tracks

Erasing Tracks


Changing the Order of Tracks

There are several ways you can change the order of tracks in the Track view:

  • Drag a track to a new position in the Track view.
  • Use the Track-Sort command to rearrange the tracks in order based on the track name, status, or other setting.
  • Insert new, blank tracks between existing tracks.

To Drag a Track to a New Position

  1. Position the mouse just to the right of the track number, over the track icon of the track you want to move.
The cursor changes to an up/down arrow.
  2. Drag the track to its new location, and release the mouse button.

SONAR rearranges and renumbers the tracks.

You can sort the tracks in a project based on several parameters, in either ascending or descending order:

Sort by... | What happens...
Name | Ascending puts track in alphabetic order, descending puts them in reverse order
Size, output, or channel | Ascending puts them in increasing numeric order, descending puts them in decreasing numeric order
Muted, archived, selected | Ascending puts qualifying tracks at the end, descending puts them at the beginning

No matter how you sort, blank tracks always go to the end of the list.

Note that track numbers are used for reference only. When you re-arrange the order of tracks, they are automatically assigned sequential numbers based on the order in which they are displayed in the Track view.

To Sort the Tracks

  1. Choose Track-Sort to display the Sort Tracks dialog box.
  2. Choose the attribute by which to sort from the Sort By list:
    Attribute...

    How it works...
    Name

    If you choose this attribute, SONAR puts the tracks into alphabetical order, either ascending or descending, depending on what you choose in the Order list.
    Muted

    If you choose this attribute, SONAR puts all the muted tracks at either the top or bottom of the Tracks window, depending on whether you choose descending (top) or ascending (bottom) in the Order list.
    Archived

    If you choose this attribute, SONAR puts all the archived tracks at either the top or bottom of the Tracks window, depending on whether you choose descending (top) or ascending (bottom) in the Order list.
    Selected

    If you choose this attribute, SONAR puts all the selected tracks at either the top or bottom of the Tracks window, depending on whether you choose descending (top) or ascending (bottom) in the Order list.
    Size

    If you choose this attribute, SONAR puts the tracks in order by size, either in descending or ascending order.
    Output

    If you choose this attribute, SONAR sorts the tracks by output number, either in descending or ascending order. SONAR considers non-numbered outputs to have lower numbers than numbered outputs.
    Channel

    If you choose this attribute, SONAR sorts the tracks by channel number, either in descending or ascending order:
    • If you choose ascending order, SONAR puts all MIDI tracks at the bottom of the Tracks window, with the lower channel numbers first.
    • If you choose descending order, SONAR puts all MIDI tracks at the top of the Tracks window, with the higher channel numbers first.
  3. Choose the order in which to sort from the Order list.
  4. Click OK.

SONAR sorts the tracks according to the settings you chose.

To Insert a Blank Track

  1. Right-click in the Track pane at the place where you want to insert a track, and select Insert Audio Track to add an audio track or Insert MIDI Track to add a MIDI track.
OR
  1. Press Insert to add a track of the same type (audio or MIDI) as the current track.

SONAR shifts the current track and all tracks below it down by one, and inserts a blank, new track at the location of the highlight.


Configuring the Display of Tracks in the Track View

There are several commands in SONAR that allow you to configure the appearance of your tracks in the track view. You can use these commands to zoom in or out, show or hide any combination of tracks, and revert back to previous display settings. The following table lists each of these commands and provides an explanation of each:

Command... | Description... | Shortcut...
Show and Fit Selection | This command hides all tracks which are not selected. The remaining tracks are adjusted in size vertically and horizontally to fit in the Track view, without scrolling if possible. All tracks selections are lost after this command is executed. | Shift+S
Fit Tracks to Window | All currently displayed tracks are adjusted in size vertically to fit in the Track view, without scrolling if possible. | F
Fit Project to Window | This command resizes all tracks both vertically and horizontally to fit in the Tracks view. | Shift+F
Show Only Selected Tracks | This command hides all tracks which are not selected. The remaining tracks are adjusted in size vertically. | H
Hide Selected Tracks | Hides all selected tracks. | Shift+H
Show All Tracks | Shows all tracks in your project, including these hidden using the Track Manager. | A
Track Manager | Opens the Track manager dialog. For more information about the Track Manager dialog, see Track Manager dialog. | M
Undo View Change | This command restores the view to its previous state. There are up to 16 levels of undo. | U
Redo View Change | This command restores the view to the state prior to the Undo View Change command. | Shift+U

For more information about zooming, see Views.


Copying Tracks

When you copy a track using the Track-Clone command, you can choose any of the following options:

  • Events
  • Properties
  • FX
  • Link to Original Clip(s)

By default, SONAR copies the entire track to the next blank track, which is usually below the last track in the Track view. For more information on linked clips, see Working with Linked Clips.

To Copy a Track

  1. Select a track. You can only clone one track at a time.
  2. Choose Track-Clone to display the Clone dialog box.
  3. Check the Events, Properties, and/or FX boxes to indicate which items you want to copy.
  4. Click OK.

SONAR copies the entire track to the next blank track, which is usually below the last track in the Track view.


Erasing Tracks

You can easily delete an entire track, including all of the track properties and all of its clips and events. Sometimes, you only want to erase, or wip e, the contents of a track, leaving the track properties as they are. If you delete or wipe a track by mistake, you can use Edit-Undo to restore the deleted material.

When you delete or wipe a track, the track information is not placed on the SONAR clipboard. To remove material from a track and place it on the clipboard, use the Edit-Cut command instead.

To Delete Tracks

  1. Select the tracks you want to delete.
  2. Choose Track-Delete.

SONAR deletes the selected tracks. You can also right-click individual tracks and choose Delete Track from the popup menu.

To Wipe Tracks

  1. Select the tracks you want to wipe.
  2. Choose Track-Wipe.

SONAR deletes all clips and events from the selected tracks, but leaves the track properties intact.


Arranging Clips

The Track view provides many ways for you to rearrange, copy, and paste clips to arrange your music the way you want. The easiest is to select the clips or portions of clips you want to arrange and then drag and drop them wherever you want. You can drag and drop clips in the Track view even while playback is in progress. You can also arrange clips via the clipboard using the Edit-Cut, Edit-Copy, and Edit-Paste commands, which work like those in almost all Windows programs.

The Snap Grid enables you to move clips to or by an exact amount of time, such as a quarter note or whole measure. See To Change the Snap Options .

Displaying Clips

Double-Clicking Clips

Selecting Clips

Moving and Copying Clips


Displaying Clips

Clips are displayed as rectangles in the Clips pane. Their position and length show you at a glance their starting times and lengths. You can control four aspects of their appearance:

  • Color--By default, each successive clip is drawn in a different color. The clip colors restart at the tenth track. You can customize the default colors of clips in the Colors dialog or change the color of any individual clip in the Clip Properties dialog.
Note: In audio clips, the waveform changes color, unless no clip contents are displayed. In MIDI clips, the clip background changes color.
  • Name--You can also assign each clip a descriptive name, which is displayed in the upper-left corner of the clip.
  • Contents--At your option, clips can be displayed with a graphical representation of the events in the clip. The effect is slightly different for MIDI and audio information.

To inspect the clip contents more closely, use the zoom tools to increase the size in which clips are displayed. Note that displaying the contents of each clip makes your computer work a little harder. As a result, if your computer has an older, slower CPU you may want to turn off the display of clip contents.

To Zoom Horizontally

  • Click the horizontal zoom buttons to zoom in or out by a fixed percentage each time you click.
OR
  • Drag the horizontal zoom slider to zoom in or out by the amount you drag.
OR
  • Hold down the Ctrl key and press the right arrow key (to zoom in) or the left arrow key (to zoom out).

To Zoom Vertically

  • Click the vertical zoom buttons to zoom in or out by a fixed percentage each time you click.
OR
  • Drag the vertical zoom slider to zoom in or out by the amount you drag.
OR
  • Hold down the Ctrl key and press the up arrow key (to zoom out) or the down arrow key (to zoom in).

To Zoom into a Selected Area

  • Use the Zoom tool to drag-select an area of a clip or clips that you want to zoom to. When you release the mouse, the area you selected expands to fill the Clips pane window.

Zoom command keyboard shortcuts:

To do this... | Use this shortcut...
Zoom in vertically | Ctrl+down arrow
Zoom in horizontally | Ctrl+right arrow
Zoom out vertically | Ctrl+up arrow
Zoom out horizontally | Ctrl+left arrow
Undo Zoom | U
Redo Zoom | Shift+U
Turn On Zoom tool (use the Zoom tool to select the area to zoom to) | Z
Turn Off Zoom tool | Z
Display Now Time in Center of Clips Pane | G

To Display Clip Names and Contents

  1. Right-click in the Clips pane, and choose View Options from the menu.
  2. Check the Display Clip Names option to show clip names, or leave it unchecked to hide them.
  3. Check the Display Clip Contents option to show clip contents, or leave it unchecked to hide them.
  4. Click OK.

SONAR modifies the clips pane to show the information you want.

To Change Clip Names

  1. Select the clips you want to rename.
  2. Right-click on one of the selected clips and choose Clip Properties. SONAR opens the Clip Properties dialog box.
  3. Enter a name for the selected clips, and click OK.

SONAR renames the selected clips.

To Change Clip Colors

  1. Select the clips whose color you want to change.
  2. Right-click on one of the selected clips and choose Clip Properties. SONAR opens the Clip Properties dialog box.
  3. Choose a color as follows:
    To do this...

    Do this...
    Use the default color

    Check the Default Color box
    Use a custom color

    Click the Choose Color button and pick a color from the Color dialog box
  4. Click OK.

SONAR changes the color of the selected clips.


Double-Clicking Clips

By default, double-clicking a MIDI clip in the Clips pane opens a Piano Roll view for that track, and double-clicking an Audio clip opens the Loop Construction view for that track. You can set the type of view opened when a clip is double-clicked. For example, you may want to open MIDI tracks in a Staff view rather than in a Piano Roll view.

To Set the View Opened by Double-Clicking

  1. Right-click in the Clips pane and choose View Options.
  2. Select the types of view opened by double-clicking MIDI and audio clips.
  3. Click OK.


Selecting Clips

Before you move, copy, edit, or delete clips you need to select them. There are several ways to select whole clips, as shown in the table:

To do this... | Do this...
Select a single clip | Click on the clip in the Clips pane.
Select several clips at once | Drag a rectangle around the clips.
Select all the clips in a track | Click on the track number in the Track view.
Select a portion of one or more clips | Press and hold the Alt key and drag across the clips. The Snap to Grid setting determines the size portion you can select.
Add clips to the selection | Hold the Shift key and either click on the clips or drag a rectangle around the clips.
Add or remove clips from the selection | Hold the Ctrl key and either click on the clips or drag a rectangle around the clips.
Add or remove all clips in a track from the selection | Hold the Ctrl key and click on the track number.


Moving and Copying Clips

You can copy or move clips using drag-and-drop editing or the Cut, Copy, and Paste commands. If you copy or move clips into tracks that contain existing material, you need to let SONAR know how to combine the two.

You have these options:

Option... | How it works...
Blend Old and New | Events in the copied or moved clip are placed into a new clip that overlaps with the existing clip. This is the same effect as sound-on-sound recording.
Replace Old with New | Events in the copied or moved clip are placed into a new clip, and any overlapping events in the existing clip are erased. This is the same effect as overwrite recording.
Slide Over to Make Room | The existing clips are shifted in time to make room for the new clips, so they will not overlap. If you check the Align to Measures option, shifted clips are always aligned to measure boundaries; otherwise, the clips are placed end to end.

When you use the Edit-Paste command to add information to a track that contains existing material, there is one final option you can choose.

Option... | What it means...
Paste as New Clips | New clips are created containing the events on the clipboard, exactly as described in the preceding table.
Paste into Existing Clips (MIDI clips only) | The events on the clipboard are merged into any existing clips that occupy the same region of time. This means you will never end up with clips that overlap.

Note that if you copy or move clips to new, empty tracks, you don't have to worry about these settings. In this case, the track properties that go with the clips are automatically applied to the new track.

When you use drag-and-drop editing:

  • You can set the above options every time you perform an edit, or you can set them once and have the same settings carry over automatically. Check or uncheck the Ask This Every Time box in the Drag and Drop Options dialog to indicate your preference. Open the Drag and Drop Options dialog by right-clicking in the Clips pane and choosing Drag and Drop Options from the popup menu.
  • If you drag to the edge of the Clips pane, it will scroll automatically in the direction you drag.
  • If you change your mind while dragging clips, press the Escape key to cancel the operation.

SONAR also lets you move and copy clips between projects.

To Move Clips Using Drag and Drop

  1. Select the clips you want to move.
  2. If you want to move the clips by an exact amount of time, enable the Snap Grid (see To Change the Snap Options).
  3. Position the mouse over one of the selected clips.
  4. Press and hold down the left mouse button. A rectangle is displayed around the selected clips.
  5. Drag the clips to their new location, and release the mouse button.
  6. If necessary, choose the options you want from the Drag and Drop Options dialog box (use Options-Global and open the Editing tab, or right-click in the Clips Pane and select Drag & Drop Options from the menu that appears), and click OK

SONAR moves the clips to their new location.

Note:

Moving an audio clip (other than a Groove clip) to a part of your project that has a different tempo changes the size of the clip.

To Move Clips Using Cut and Paste

  1. Select the clips you want to move.
  2. Choose Edit-Cut to display the Cut dialog box
  3. Choose the options you want and click OK. SONAR cuts the clips from the project and places them on the Windows clipboard.
  4. Click in the Track pane to set the current track to be the one where clips should be pasted.
  5. Set the Now time to be the time at which the clips should be pasted.
  6. Choose Edit-Paste to display the Paste dialog box
  7. Choose the options you want and click OK.

SONAR places the clips in their new location.

To Move a Clip to a Specific Start Time

  1. Select the clip you want to move.
  2. Right-click on the selected clip and choose Clip Properties. SONAR opens the Clip Properties dialog box.
  3. Enter a new start time, or use the spinners or keyboard to change the start time.
  4. Click OK when you are done.

SONAR moves the clip to the start time you chose.

To Copy Clips Using Drag and Drop

  1. Select the clips you want to copy.
  2. Enable the Snap Grid, if desired.
  3. Position the mouse over one of the selected clips.
  4. Press and hold down the left mouse button. A rectangle is displayed around the selected clips.
  5. Drag the clips to the new location, and release the mouse button.
  6. If necessary, choose the options you want from the Drag and Drop Options dialog box, and click OK.

SONAR copies the clips to their new location.

To Copy Clips Using Copy and Paste

  1. Select the clips you want to copy.
  2. Choose Edit-Copy to display the Copy dialog box.
  3. Choose the options you want and click OK. SONAR copies the clips to the Windows clipboard.
  4. Click in the Track pane to set the current track to be the one where clips should be pasted.
  5. Set the Now time to be the time the clips should be pasted.
  6. Choose Edit-Paste to display the Paste dialog box.
  7. Choose the options you want and click OK.

SONAR copies the clips to their new location.

To Delete Clips

  1. Select the clips you want to delete.
  2. Do one of the following:
    • Choose Edit-Delete, which brings up a dialog box--choose options and click OK.
    • Press the Delete key.

SONAR deletes the selected clips.

See:

Splitting and Combining Clips

Working with Partial Clips

Working with Linked Clips


Working with Partial Clips

SONAR lets you select, copy, move, and delete portions of a project even if they do not match clip boundaries. There are two ways to do this:

  • Directly select portions of one or more clips.
  • Select a range of times and one or more tracks. SONAR automatically selects the portions of clips that are in both the selected time range and the selected tracks.

You can then copy, move, or delete the material the same way you do with whole clips.

When you select portions of a clip, SONAR may round off the start and end times of your selection based on the Snap Grid. For more information, see Defining and Using the Snap Grid.

To Select a Portion of a Clip

  1. Press and hold the Alt key.
  2. Drag the mouse across part of a clip.

SONAR highlights the selected portion of the clip. You can edit this portion of the clip using all the normal editing commands.

To Select a Portion of Several Clips

  1. Press and hold the Alt key.
  2. Drag the mouse across part of several clips in adjacent tracks.

SONAR highlights the selected portions of all the clips. You can edit these portions of clips using all the normal editing commands.

To Select Partial Clips Using Time Ranges and Tracks

  1. Select a range of time in one of the following ways:
    • Drag the mouse in the Time Ruler.
    • Click between two markers to select the time between the markers.
    • Use the F9 and F10 keys to set the beginning and end selection times.
    • Select a clip (SONAR selects the range of time covered by the clip).
    • Choose Edit-Select-By Time, enter the start and end time, and click OK.
  2. Select one or more tracks by clicking, Shift-clicking, or Ctrl-clicking on the track numbers in the Track view.
  3. To adjust the start and end time of the selection, hold the Shift key while clicking on the Time Ruler.

The relevant portions of clips in the selected tracks are highlighted. You can edit these portions of clips using all the normal editing commands.

To Clear the Partial Clip Selection

You can clear the time-restricted selection in any of the following ways:

  • Click in an empty area of the Clips pane to completely clear the selection.
  • Choose Edit-Select-None or press Ctrl+Shift+A to completely clear the selection.
  • Click on a single clip in the Clips pane to clear the time selection and select the clip.


Markers and the Snap Grid

SONAR has a collection of features you can use to simplify and speed the work you do arranging your projects. Here are a few of the most important things you can do:

  • Show gridlines on measure boundaries in the Track view.
  • Define and use the Snap Grid to make drag-and-drop editing more accurate.
  • Create markers to identify and work with key time points in your project.

See:

Showing Gridlines

Defining and Using the Snap Grid

Snap Offsets

Creating and Using Markers


Showing Gridlines

Displaying gridlines, or vertical rules, in the Clips pane of the Track view makes it easy to see at a glance how clips align with each other, how they align with measure boundaries, and when they start and end.

To Show or Hide Gridlines

  1. Right-click in the Clips pane and choose View-Options from the popup menu.
  2. To show gridlines, check the Display Vertical Rules box. To hide gridlines, make sure the Display Vertical Rules box is not checked.
  3. Click OK.

SONAR displays the Track view as you requested.


Defining and Using the Snap Grid

SONAR lets you define a snap grid that makes it easier to arrange clips and select time ranges. To use the Snap Grid, enable the snap feature and set an interval, such as a whole note, half note, or quarter note; a marker; an event; the start or end of a clip; or a user-defined number of frames, seconds or samples. From then on, when you move or copy clips or markers, items will be snapped to the nearest point on the Snap Grid. The Musical Time and Absolute Time options also apply when you perform a selection using the Time Ruler,

You can also use the Snap Grid to move clips by a certain interval, rather than snap them to the interval. Moving by an interval can be useful during drag-and-drop operations, if your events are not exactly aligned with measure or note boundaries.

The Snap Grid in each view is independent. For example, you can enable the Snap Grid in the Track view without enabling it in the Piano Roll or Staff views. You can also enable the Snap Grid in several different views, with different grid intervals in each one.

To Enable or Disable the Snap Grid

  1. To enable the Snap to Grid, click the Snap to Grid combo button [image] in the Track view toolbar.
  2. To disable the Snap to Grid, click the Snap to Grid combo button [image] once again.
OR
  1. Press N to toggle the Snap to Grid on or off.

To Change the Snap Options

  1. Click the down arrow in the Snap to Grid combo buttonRight-click the Snap to Grid button [image] or right-click on the Time Ruler and select Snap Properties from the popup menu to display the Snap to Grid dialog box.
  2. Select one of the following options:
    • Musical Time--note intervals (whole, half, etc.)
    • Events--any data in a clip
    • Markers--any marker in a project
    • Clip Boundaries--the start or end of any clip
    • Absolute Time--a number of samples, frames, or seconds set by you
  3. If you selected Musical Time or Absolute Time, select Move To to align selections and clips to the grid, or Move By to move clips by the grid interval.
  4. Click OK.

All time selections and drag-and-drop editing operations use the new Snap Grid interval.


Snap Offsets

Snap offsets allow you to set a point other than the beginning of a clip as the "snap" point used by the Snap to Grid. A snap offset is the number of samples from the beginning of the clip. Snap offsets affect all edits that obey the Snap to Grid setting. Once the snap offset is added, you can set the Timer Ruler to SMPTE or MBT time.

Note: You cannot set a snap offset for a Groove clip.

Creating a Snap Offset

Use the following to add a snap offset to a clip:

  1. Locate the place in the clip where you want to put the snap offset, and set the Now Time to that location. Use the Scrub tool if necessary.
  2. Right-click on the clip and select Set Snap Offset to Now Time from the menu that appears.

Edits to that clip, when the Snap to Grid button is depressed, now snap to the snap offset rather than the beginning of the clip.

Deleting a Snap Offset

  1. Right-click on the clip and select Clip Properties from the menu that appears.
  2. In the Snap Offset field enter 0 (zero) and click OK.


Creating and Using Markers

Markers are a way of associating a name with a time point in your project. You use markers to name sections of a project, to mark hit points in a film score, or simply to provide a shortcut for working with any time point in a project. Markers make it easy to:

  • Jump to a specific time point in a project
  • Select a portion of a project
  • Enter a time in any dialog box, by pressing F5 and choosing the marker you want

You can see and work with markers in four ways:

  • They are displayed in the Time Ruler at the top of the Track, Staff, and Piano Roll view.
  • The Markers toolbar lets you add markers and jump to specific marker locations.
  • The Markers view displays all markers and lets you add, edit, and delete markers.
  • You can press F11 while playback is in progress to add a marker on the fly.

The time associated with a marker can be expressed in musical time or as a locked SMPTE time. If a marker has a musical time (measures, beats, and ticks), the marker stays at that musical time regardless of changes in tempo. If a marker has a locked SMPTE time (hours, minutes, seconds, and frames), the marker stays at the same time even when the tempo is changed. Locked markers are useful for projects that require you to sync the music or sound with film scores or multimedia presentations. See To Add a Marker.

SONAR takes the current Snap Grid settings into account when you move or copy markers. For example, if the Snap Grid is set to even measure boundaries, any time you move or copy a marker, the marker will be snapped to the beginning of the nearest measure. You are allowed to have any number of markers at a single time point.

To display the Marker view, choose View-Markers or click [image] on the Views toolbar. From the Markers view, you can use the File-Print and File-Print Preview commands to print a listing of markers.

You can add markers while playback is stopped or while playback is in progress (on the fly). When you add a marker while playback is stopped, you can enter a name for the marker and either use the Now time or enter a different time. When you add a marker on the fly, the marker is named automatically and assigned the Now time. Using the Markers view, you can edit the names and times whenever you want.

To Add a Marker

  1. Open the Markers dialog in one of the following ways:
    • Click [image] in the Markers toolbar.
    • Press F11.
    • Choose Insert-Marker.
    • Click [image] in the Markers view.
    • Ctrl-click in the marker section of the Time Ruler.
    • Right-click in the Time Ruler and select Insert Marker.
SONAR displays the Marker dialog box.
  2. Enter a name for the marker in the Name box.
  3. The time is set to the Now time. If you want, use the spinners to change the time or type in a new marker time.
  4. Check the Locked to SMPTE box if you want to lock the marker to the SMPTE time.
  5. Click OK.

SONAR adds the marker and displays it in the Time Ruler, the Markers view, and the Markers toolbar.

To Add a Marker on the Fly

  • Click [image] in the Markers toolbar, or Press F11.

SONAR adds a marker at the Now time and displays it in the Time Ruler, the Markers view, and the Markers toolbar.

To Edit a Marker

  1. Either right-click on the marker in the Time Ruler, or choose a marker in the Markers view and click [image] . SONAR displays the Marker dialog box.
  2. Change the marker name, time, or other settings as desired.
  3. Click OK.

SONAR updates the marker in the Time Ruler and the Markers view.

To Copy a Marker

  1. Press and hold the Ctrl key.
  2. Drag a marker in the Time Ruler of the Track view, Staff view, Tempo view, or Piano Roll view. SONAR displays the Marker dialog box.
  3. Enter the desired marker settings and click OK.

SONAR copies the marker and displays it in the Time Ruler and the Markers view. You can also cut and paste markers directly from the Markers view.

To Lock or Unlock Several Markers

  1. In the Markers view, select one or more markers. Use the Ctrl and Shift keys if necessary to modify the selection.
  2. Select or deselect [image] .

SONAR updates the markers.

To Move a Marker

  • Drag the marker in the Time Ruler.

SONAR updates the marker time and shows it at the new location.

To Delete a Marker

  1. Press and hold the left mouse button while pointing to a marker in the Time Ruler.
  2. Press Delete, and release the mouse button.

SONAR deletes the marker. You can use Edit-Undo if you make a mistake.

To Delete Markers from the Markers View

  1. In the Markers view, select one or more markers. Use the Ctrl and Shift keys if necessary to modify the selection.
  2. Click [image] or press Delete.

SONAR deletes the selected markers. You can use Undo if you make a mistake.

To Jump to a Marker

There are many different ways to jump to a specific marker:

  • Choose a marker from the dropdown list in the Markers toolbar to jump to that marker.
  • Click the Now time in the Position toolbar, press F5 to display a list of markers, choose the marker you want, and click OK.
  • Press F5 twice to display a list of markers, choose the marker you want, and click OK.
  • Click on a marker in the Markers view to set the Now time to that marker.
  • Click [image] or [image] in the Markers toolbar to jump to the next or previous marker.
  • Choose Go-Next Marker or Go-Previous Marker to jump to the next or previous marker.

To Select a Time Range Using Markers

You can select a range of times by clicking in the marker section of the Time Ruler:

  • Click to the left of the first marker to select the time between the start of the project and the first marker.
  • Click to the right of the last marker to select the time between the marker and the end of the project.
  • Click between two markers to select the time between the markers.
  • If looping is enabled, click to the right of the Loop Start marker to select the loop region
  • If punch recording is enabled, click to the right of the Punch In marker to select the punch region


Working with Linked Clips

SONAR makes it easy to repeat a pattern over and over using a feature called linked clips. Linked clips always have the same contents, name, and display color. Any change you make to the internal contents of one of the clips, such as adding or editing notes or effects, automatically applies to all of them. Any number of clips may be linked with each other.

To create linked clips, copy the clips and when pasting, check the linked clips option in the Paste dialog box or the Drag and Drop Options dialog box. Linked clips are displayed with a dotted border, so they are easy to spot. You can also identify linked clips using the Clip Properties dialog box or the Select All Siblings (available in the Clips pane popup menu) command.You can easily unlink linked clips, and then edit them individually. You have two options when unlinking linked clips:

Option... | How it works...
New linked group | The clips you selected will still be linked to each other, but won't be linked to any clips that are not selected
Independent | Every selected clip will be completely independent

Once you have unlinked linked clips, you cannot re-link them except by using Edit-Undo.

If you attempt to copy only a portion of a linked clip, the copy will not be linked to the original. Copies of a clip can be linked to the original only when you select and copy the entire clip.

To Make Linked Copies of a Clip Using Drag and Drop

  1. Right-click in the Clips pane and choose Drag & Drop Options to display the Drag and Drop Options dialog box.
  2. Check the option labeled Copy Entire Clips as Linked Clips.
  3. Click OK.
  4. Select the clips you want to copy.
  5. Position the mouse over one of the selected clips.
  6. Press and hold down the Ctrl key.
  7. Press and hold down the left mouse button. A rectangle is displayed around the selected clips.
  8. Drag the clips to their new location, and release the mouse button.
  9. If necessary, confirm the options in the Drag and Drop Options dialog box, and click OK.

SONAR creates copies of the selected clips that are linked to the originals. Any change you make to one of the clips is applied to all linked clips, including the original clip.

To Make Linked Copies of a Clip Using Copy and Paste

  1. Select the clips you want to copy.
  2. Choose Edit-Copy to display the Copy dialog box.
  3. Choose options as desired and click OK. SONAR copies the clips to the Windows clipboard.
  4. Click in the Track pane to set the current track to be the one where clips should be pasted.
  5. Set the Now time to be the time at which the clips should be pasted.
  6. Choose Edit-Paste to display the Paste dialog box.
  7. In the Paste dialog, choose one of two options:
    • Linked Repetitions--If you choose this option, only the new copies of the original clip are linked together. Edits you make to the new copies do not affect the original, and vice versa.
    • Link to Original Clip(s)--If you choose this option, the new copies and the original clip are linked together. Edits you make to any of the linked clips, including the original, affect all other linked clips in the group.
  8. Choose the other options you want and click OK.

SONAR creates copies of the selected clips that are linked in the way you chose.

To Unlink Linked Clips

  1. In the Clips pane, select the clips you want to unlink.
  2. Right-click on any selected clip and choose Unlink from the popup menu. SONAR displays the Unlink Clips dialog box.
  3. Choose the unlink option you want, and click OK.

SONAR unlinks the clips and updates the Clips pane accordingly. From now on, any changes you make to one of the clips are applied only to remaining linked clips, if any.

To Select the Clips That Are Linked to Another Clip

  1. Select one or more clips in the Track view.
  2. Right-click on any selected clip and choose Select All Siblings from the popup menu.

SONAR selects any clip that is linked to one of the currently selected clips.


Splitting and Combining Clips

SONAR provides several commands that are used to split and combine clips. Specifically, you can:

  • Split a clip into several smaller clips
  • Create a new clip from a selected portion of an existing clip
  • Combine adjacent or overlapping clips into a single, longer clip

The following table summarizes the commands you can use:

To do this... | Use this command... | Notes...
Split clips into parts | Edit-Split | Works on all selected clips. You can also press the s key to split all selected clips at the Now Time.
Combine several clips into one | Edit-Bounce to Clip(s) | If the selected clips are in separate tracks, one clip is created for each track. All clip automation is applied destructively to the new clip.

Note:

Combining a stereo and mono clip always produces a stereo clip.

The Split command lets you split clips four different ways:

Option... | How it works...
Split at Time | Splits selected clips at a specific point in time. By default, the split occurs at the Now time, but you can choose any time you want.
Split Repeatedly | Splits selected clips at regular intervals, beginning at a specified time, with a specified duration. For example, you could split a long clip into 4-bar clips starting at measure 5.
Split at Markers | Splits selected clips at any marker location. This option is available only if your project has markers.
Split when Silent | Removes "silent" stretches of one measure or more from selected clips. The presence in a measure of any event--including those that make no sound, such as a patch change or lyric event--will cause that measure to be retained.

While the Split command works for both MIDI and audio clips, for audio clips, the Split command provides sample accurate editing and snap-to-zero capability.

Note that the Edit-Undo and Edit-Redo commands work with all three of these editing commands.

To Split Clips into Smaller Clips

  1. Select the clips you want to split.
  2. Right-click on any selected clip, and choose Split from the popup menu. SONAR shows the Split dialog box or press the S key to split the clip(s) at the Now Time.
  3. Choose the Split option you want to use, and enter the settings you want to use.
  4. Click OK.
OR
  1. Select the clips you want to split.
  2. Set the Now Time to the time you want to split the clips.
  3. Press the s key.

SONAR splits the selected clips according to your instructions.

To Combine Clips

  1. Select the clips you want to combine (the clips must be on the same track).
  2. Select Bounce to Clip(s) from the popup menu.

SONAR combines the selected clips into a single, new clip.


Adding Effects in the Track View

You can add both MIDI and audio effects directly from the Track view. SONAR adds these effects in real-time, preserving your track's original data.

To Add Effects in the Track View

  1. Right-click in the Effects bin of the track you want to add effects to.
An effects popup menu appears. SONAR displays MIDI effects if you are editing a MIDI track, and audio effects for an audio track.
  2. Select an effect from the menu.
The name of the effect appears in the Effects bin and the effect's property page appears. To delete the effect, right-click the effect name and choose Delete from the popup menu.
  3. Set the effects parameters or choose a preset.

Play your track and listen to the effect(s).

Note:

If you use the same effects for more than one track, it's more efficient to add the effects to an aux or main bus. See To Patch a Track Through an Aux Bus.


Changing Tempos

Your project can incorporate all kinds of tempo changes, including step changes from one tempo to another, gradual increases (accelerandos) or decreases (ritardandos), and almost any other type of change you can imagine. The tempo changes you add to your project become part of the project and are saved with the project file.

You can add tempo changes to your project in the following ways:

  • Using the Tempo toolbar
  • Using the Insert-Tempo Change and Insert-Series of Tempos commands
  • By drawing tempo changes graphically in the Tempo view
  • Inserting tempo changes in the Tempo view's Tempo List pane

The Process-Fit to Time and Process-Fit Improvisation commands can also be used to introduce tempo changes into your work file. For more information, see Stretching and Shrinking Events and Fit Improvisation.

When you change the tempo of a project that contains audio, SONAR allows you to stretch or shrink audio clips when you have converted them to Groove clips and have enabled the Follow Project Pitch option in the Loop Construction view. Otherwise, the MIDI tracks will speed up or slow down while the audio tracks will play at the same speed. For more information about Groove clips, see Working with Groove Clips. Audio clips that are not Groove clips change in size when moved to a part of your project that has a different tempo.

Sometimes you don't want to adjust the speed of your audio. Here are some examples:

  • If your project contains background music and a voice-over, you might want to change the tempo of the background music without altering the voice-over.
  • If you're trying to modify the speed of some MIDI tracks to match a sampled drum groove, you want to leave the audio unchanged.

When you change the tempo of your project, clips having stretching enabled change tempo along with the project, while those that do not have stretching enabled do not. For more information on stretch enabling clips, see Enable Stretching.

Tempos set when the clock source is set to MIDI Sync do not have any effect, because SONAR follows the external tempo. For more information, see Synchronizing Your Gear.

See:

Using the Tempo Toolbar

Using the Tempo Commands

Using the Tempo View


Using the Tempo Toolbar

The Tempo toolbar displays the current tempo and lets you change the tempo as shown below:

When you enter a new tempo directly in the toolbar, you change the most recent tempo setting in the project.

The tempo ratio buttons temporarily change the speed of playback, without affecting the actual tempo that is stored with your project (see Note, below). During playback, the tempo is multiplied by the current tempo ratio. By default, the three tempo ratios are 0.50 (half speed), 1.00 (normal speed), and 2.00 (double speed). You can change the tempo ratios that are associated with each button.

Note: Tempo ratios can only be used in projects that contain no audio tracks and cannot be used when using any form of synchronization. For more information, see Synchronizing Your Gear

To Change the Current Tempo in the Tempo Toolbar

  1. Enable Groove clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove clip Looping on any selected clip that has Groove clip Looping enabled.
  2. Click the current tempo in the Tempo toolbar.
  3. Type a new value and press Enter, or use the spinners to change the tempo value.

SONAR changes the current tempo to the desired value.

To Set the Tempo Ratio

You can set the tempo ratio in several ways (remember, this function is not available if you have audio clips in your project):

  • Click one of the tempo ratio buttons.
  • Choose Transport-Tempo Ratio 1, 2, or 3.
  • Press Ctrl+1, Ctrl+2, or Ctrl+3.

SONAR changes the speed of playback.

To Change the Tempo Ratio

  1. Shift-click one of the tempo ratio buttons to display the Tempo Ratio dialog box.
  2. Enter a new value for the tempo ratio.
  3. Click OK.

From now on, that tempo ratio button uses the ratio you entered.


Using the Tempo Commands

The Insert-Tempo Change and Insert-Series of Tempos commands can be used to change the existing tempo of a project or to introduce one or more tempo changes at various points in a project. You can enter tempo values directly, introduce smooth increase or decreases in tempo, or even use your mouse to tap out the tempo you want for some portion of a project.

To Insert a Tempo Change

  1. Enable Groove clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove clip Looping on any selected clip that has Groove clip Looping enabled.
  2. Click [image] in the toolbar or choose Insert-Tempo Change to display the Tempo dialog box.
  3. Check the Insert a New Tempo box.
  4. Enter a new tempo in one of the following ways:
    • Type a value in the Tempo field.
    • Click the arrows to change the value.
    • Tap a new tempo in the space indicated in the dialog box.
  5. Enter a starting time for the new tempo.
  6. Click OK.

SONAR inserts a tempo change at the designated time.

To Insert a Series of Tempos

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove clip looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Choose Insert-Series of Tempos to display the Insert Series of Tempos dialog box.
  3. Enter a starting tempo, ending tempo, and step size.
  4. Enter a starting and ending time for the series of tempo changes.
  5. Click OK.

SONAR erases any existing tempo changes between the starting and ending time, and inserts a series of tempo changes that change smoothly between the starting and ending time. This command never inserts more than one tempo change on the same clock tick. Audio clips which you want to follow tempo changes can also be converted to Groove clips in the Loop Construction view.

To Modify the Most Recent Tempo Change

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Choose Insert-Tempo Change to display the Tempo dialog box.
  3. Check the Change the Most Recent Tempo box.
  4. Enter a new tempo in one of the following ways:
    • Type a value in the Tempo field.
    • Click the arrows to change the value.
    • Tap a new tempo in the space indicated in the dialog box.
  5. Click OK.

SONAR changes the most recent tempo to the new value.


Using the Tempo View

The Tempo view provides a graphic display of the tempo. In the Tempo view you can use your mouse to draw tempo changes directly onto the graph. Choose View-Tempo or click [image] on the toolbar to display the Tempo view

The Tempo view provides both a graphic display of the tempo and a list of all tempo changes in your project. In the graphical display you can use your mouse to draw tempo changes directly onto the graph. In the tempo list, you can insert, edit, and delete individual tempo changes. Choose View-Tempo or click [image] on the toolbar to display the Tempo view. Click the Tempo List button [image] to display or hide the tempo list. If an entire project has a single tempo, the graph shows a straight horizontal line, and a single tempo in the list.

The graph has several tools you can use to add or modify tempo changes:

Tool... | Name... | What it's for...
 | Select | Drat the Select tool in either the Tempo list or graphic display to select tempos to edit
 | Draw | Draw a custom curve indicating changes in tempo
 | Line | Draw a straight line indicating a steady increase or decrease in tempo
 | Erase | Eliminate tempo changes already in place for some portion of a project
 | Snap Grid | Controls how often you can insert tempo changes--for example, every measure, every eighth note, every 3 samples, etc.

If you make a mistake using any of these tools, you can use Edit-Undo to correct the error. When you use the Draw tool, the speed with which you drag the mouse determines the density of tempo events. To insert a larger number of relatively small tempo changes, move the mouse slowly. To insert a smaller number of relatively large tempo changes, drag the mouse quickly.

The Tempo List Pane has its own tools for editing tempo changes:

Tool... | Name... | What it's for...
 | Insert Tempo | Insert a new tempo change
 | Delete Tempo | Delete a tempo change
 | Tempo Properties | Edit a tempo change

To Insert a Tempo Change in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] or the [image] tool.
  3. Click in the Tempo view at any desired time point and tempo level.

SONAR introduces a tempo change at the indicated point.

To Steadily Increase or Decrease the Tempo in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] tool.
  3. Drag a line in the graph from the starting time and tempo to the ending time and tempo.

SONAR introduces a linear series of tempo changes.

To Draw a Series of Tempo Changes in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] tool.
  3. Drag the cursor across the graph, adjusting the tempo level as you move left to right.

SONAR introduces a series of tempo changes.

To Erase Tempo Changes in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Select the [image] tool.
  3. Drag the mouse over the graph to highlight the region you want to erase.
  4. Release the mouse button.

SONAR deletes all tempo changes in the area you marked. The last tempo setting prior to the erased region is now in effect in that region.

To Insert a Tempo Change in the Tempo List in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Click the Tempo List button [image] to display or hide the tempo list.
  3. Select any tempo change in the list.
  4. Click Insert Tempo [image] to open the Tempo dialog box.
  5. Set the tempo, time, and other properties.
  6. Click OK.

SONAR inserts the new tempo into the list.

To Edit a Tempo Change in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Click the Tempo List button [image] to display or hide the tempo list.
  3. In the tempo list, select the tempo change to be edited.
  4. Click Tempo Properties [image] or double-click the tempo change to open the Tempo dialog box.
  5. Edit the tempo properties as desired.
  6. Click OK.

To Delete a Tempo Change from the Tempo List in the Tempo View

  1. Enable Groove Clip Looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove Clip Looping enabled has beveled edges instead of sharp corners. The same command disables Groove Clip Looping on any selected clip that has Groove Clip Looping enabled.
  2. Click the Tempo List button [image] to display or hide the tempo list.
  3. In the tempo list, select the tempo change to be deleted.
  4. Click Delete Tempo [image] , or press Delete.

SONAR deletes the selected tempo change. You cannot delete the first tempo in the list.


Undo, Redo, and the Undo History

SONAR provides very powerful Undo and Redo commands that let you move forward or backward through any portion of an editing session. Every project has its own independent undo history. This means you can return to any open project and use the Undo and Redo commands, even if you've spent the last hour working on a different project. The undo history of a project is lost when you close the project.

Remembering everything that is necessary to undo the changes you have made can use a lot of memory. If a change you are about to make requires too much memory and cannot be undone, you will be advised that the operation is too big to undo later and asked if you want to go ahead anyway. If you do choose to perform the operation, you will not be able to undo it. Therefore, you may want to save your project first.

The Edit-History command displays a complete history of the commands and actions you can undo for the current project. The Undo History dialog box looks like this:

The History command is grayed out until you make a change to the current project that can be undone.

The History list is updated every time you make a change to a project. For example, if you insert a new note into a project using the Piano Roll view, that action is added to the History list. This entry remains on the list--even if you undo the change--so that you can redo the change later on. If you use the Erase tool to delete the note, this change is added to the History list.

You can click the Clear button in the Undo History dialog box to erase the undo history for the current project and free up some memory. If SONAR is low on memory, it may offer to erase the History list.

To revert to an earlier version of a project, highlight the entry in the History list that represents the point to which you'd like to return, and click OK. SONAR performs the necessary undo or redo actions to take you to that point. Once you edit the project (for example, by inserting a note), the History list is truncated at that point. Then, as you do further work, the History list grows again. Any events occurring before the event you highlighted remain on the list.

By default, SONAR keeps a history of up to 128 editing actions for each open project. Once that limit is reached, each new action pushes out the oldest item from the History list. You can raise or lower that number in the Undo History dialog box.


Using Loops

Loops are short digital audio clips which are often designed to be repeated over and over or "looped," although some loops, called one-shots, are intended to play just once. Groove clips, often used as loops, are digital audio clips that "know" their tempo and pitch information. Groove clips automatically respond to changes in a project's tempo and can have their root note pitch adjusted using pitch markers. In SONAR, you can import ACIDTM loops, or digital audio clips and convert them to Groove clips. You can also record your own audio and create Groove clips. To download more Groove clips and loops, visit www.cakewalk.com.

Note:

Groove clips and ACIDized loops are loaded into RAM, and can take up a lot of memory. Copying them does not increase the amount of memory they take up, but loading the initial copy does.

The Loop Construction View

The Loop Explorer View

Working with Loops

Working with Groove Clips


The Loop Construction View

The Loop Construction view is where you create and edit Groove clips.

The Loop Construction view toolbar has tools for editing slicing markers and controls for previewing loops.

See:

Loop Construction Controls

See also:

Working with Loops

Working with Groove Clips

Loop Construction view


Loop Construction Controls

The following is a list of the tools and controls in the Loop Construction view, followed by a description:

Control...

Description...
Save Loop as WAV

This button opens the Save As dialog. The clip in the Loop Construction view is saved as a Riff Wave file. Riff Wave files are ACIDized files which can be opened in SONAR or ACIDTM. For more information, see Saving Groove Clips as a Riff Wave File/ACIDized Wave Files.
Enable Looping

The Enable Looping button allows a clip to be looped by dragging in the Track view. Loop enabled clips follow changes in the project tempo. For more information, see Enable Looping.
Enable Stretching

Allows a clip to be stretched or compressed to match the changes in the project tempo. For more information, see Enable Stretching.
Follow Project Pitch

Allows a clip to follow the project pitch. For more information, see Follow Project Pitch.
Basic Slices

Creates slicing markers at note length intervals, whole note (one slice per measure) being the coarsest and 64th note (64 slices per measure) being the finest. For more information, see Basic Slicing Slider. For more information about slicing markers, see Slicing Markers.
Transient Detection

Creates slicing markers according to the detection of transients in a waveform. The slider detects smaller transients as you move the slider towards 100%. For more information, see Transient Detection Slider. For more information about slicing markers, see Slicing Markers.
Stop Preview

Stops loop preview playback.
Preview Loops

Plays the current loop repeatedly. Use the Stop Preview control to stop playback.
Preview Bus

Select the virtual main through which you want to listen to the clip.
Select

Use the Select tool to move markers in the Markers bar.
Erase

Use the Erase tool to delete markers in the Markers bar.
Default All Markers

The Default All Markers tool restores all automatically generated markers to the original position and enables all those that were disabled. Manually created markers remain as is.
Orig. BPM

The tempo at which the clip was recorded.
Root Note

The Root Note represents the key in which the loop was recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's key.
Pitch (Coarse and Fine)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (coarse) field. A positive number transposes the clip up by that number of semitones. A negative number transposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.
The Pitch (fine) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semi-tone. A Pitch (fine) setting of "1" adjusts the pitch up one hundredth of a semi-tone. The Pitch (fine) option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.

Enable Looping

Click the Enable Looping button to loop clips in the Track view by dragging the left or right side of a clip with your mouse. When you loop-enable a clip it automatically snaps to the nearest beat boundary (at 1, 2, 4, 8, 16 etc. beats). SONAR calculates the appropriate beat number. Change the number in the Beats in Clip field if you want to change the total number of beats in the clip.

Enable Stretching

Instructs SONAR to stretch or shrink the clip to fit the project's tempo. SONAR uses the Original BPM parameters to make the change.

Beats in Clip

The number of beats in the clip.

Original BPM

The tempo at which the clip was recorded.

Follow Project Pitch

The Follow Project Pitch option transposes the loop, if necessary, to the project pitch which you can set in the Markers toolbar. A loop recorded in the key of C, used in a project with a default project pitch of A, would be transposed down three semitones if the Follow Project Pitch checkbox was checked. You can also insert markers in the Time Ruler which change the project pitch. These markers, called pitch markers affect only Groove clips with Follow Project Pitch enabled.

Root Note

The Root Note represents the key in which the loop was originally recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's default project pitch and pitch markers.

Pitch (coarse)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (Coarse) field. A positive number transposes the clip up by that number of semitones. A negative number transposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.

An example: The project key is C. The clip key is D. If the Follow Project Pitch is enabled, the clip is transposed down by two semitones. A value entered into the Pitch (coarse) field adjusts the pitch from C. If you enter "-1" the pitch would be transposed down by one additional semi tone to B.

Another example: The clip pitch is E. The desired clip pitch is D. If the Follow Project Pitch option is not enabled, and a value of "-2" is entered in the Pitch (coarse) field, the clip is transposed down two semitones to D from the original pitch of E.

Pitch (fine)

The Pitch (fine) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semi tone. A Pitch (fine) setting of "1" adjusts the pitch up one hundredth of a semi tone. The Pitch (fine) option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.

Basic Slicing Slider

The Slicing slider sets the resolution for the creation of markers, or the "slicing" of the looped clip. The automatic markers appear at the note resolutions according to the slider setting. At the eighth note setting, there are eight markers per measure if the Transient Detection slider is set to 0.

The Basic Slicing slider works well for slicing audio that has more subtle changes in volume with few dramatic transients.

The markers in a loop clip preserve the timing of the audio at that moment. Too few or too many markers can cause unwanted "artifacts" when a loop clip is stretched.

Transient Detection Slider

The Transient Detection Slider senses transients in your audio clip and assigns a marker at the beginning and end of each one it finds. As the sensitivity is increased (moving the slider to the right) smaller transients are detected and the number of markers increases.

Slicing Markers

There are two types of slicing markers in the Loop Construction view: automatic and manual. Automatic markers appear in red and are automatically generated by SONAR when you loop enable a clip. The one exception to this is if you import an ACIDized wave file into SONAR. ACIDized files always appear with manual slicing markers. Manual markers appear in blue. If you add a marker or move an automatic marker, it turns blue to show you that it has been edited. For information on editing slicing markers, see To Edit the Slicing Markers in a Groove Clip.


The Loop Explorer View

SONAR's Loop Explorer view allows you to preview your Wave files before you drag and drop them into the Track view. If you preview a Groove clip, it plays back at tempo and in the key of your current project.

You can open the Loop Explorer view in any of the following methods:

  • Select View-Loop Explorer from the menu.
  • Click the Loop Explorer icon [image] on the Views toolbar.
  • Press Alt+1

The Loop Explorer view toolbar has the following controls:

Tool...

Name...

What It Does...

Move Up

Opens the folder one level above the active folder.

Refresh

Refreshes the active folder.

Windows Explorer

Opens Windows Explorer at the same directory being viewed in the Loop Explorer view.

Play

Plays the selected media file.

Stop

Stops the playback of the selected file.

Auto Preview

Automatically preview files when you click on them in the Loop Explorer view. If the selected file is a Groove clip, it plays back in the project tempo and key.

Views

Allows you to change the way the files are viewed in the list view:
  • Tree view--displays all of the available drives and folders that you may choose from to find files.
  • Summary view--displays a short description of the selected media file at the bottom of the Loop Explorer view.
  • Details--displays the file size, date and when the file was created and last modified.
  • All Files--displays all file types in the active folder.

Preview Bus

Select the virtual main output through which you want to listen to the loop.


Tree View Pane

The Tree view pane shows all of the available files and folders in the selected drive.

See also:

To Preview a Groove Clip


Contents List Pane

The Contents List pane displays the folders and files contained in the active folder.

To Preview a Groove Clip

  1. Click the Auto-preview button in the Loop Explorer toolbar.
  2. Click on a Wave file in the Content List pane.
Each successive Wave file you select is previewed. You can also select multiple files and play them simultaneously.
OR
  1. Select a Wave file in the Content List pane.
  2. Click the Play button in the Loop Explorer toolbar.
  3. Click the Stop button to stop playing the selected Wave file.

When you preview a Groove clip in the Loop Explorer view, the clip plays in the project key and at the project tempo.

To Drag a Loop into a Project

  1. In the Track view, select a track.
  2. Click and drag the Wave file from the Loop Explorer view to the Track view.
  3. Drop the Wave file in the track and at the time in which you want it in your project. If you drop the file after the last track in your project, a new track is created for the file.

To Drag Multiple Loops into a Project

  1. Select a Wave file and select additional by holding down the Ctrl key and selecting them.
  2. Drag the Wave files from the Loop Explorer view to the Track view.
  3. Drop the Wave files into the Track view at the time in which you want them in your project.
The Wave files appear on consecutive tracks in the Track view at the time selected.


Working with Loops

You can make any audio clip into a loop by checking the Enable Looping checkbox in the Clip Properties dialog. Once looping is enabled, you can drag out loops to create multiple repetitions. There are several other ways to enable looping:

To Enable or Disable a Clip for Looping

  1. Double-click on the clip you want to loop.
The Loop Construction view appears.
  2. In the Loop Construction view, click the Enable Looping button [image] .
OR
In the Track view, select a clip and press Ctrl+L or select Edit-Groove Clip Looping.

To Create Repetitions of a Loop

  1. Move the cursor over the end of the loop enabled clip until the cursor looks like this [image] .
  2. When the cursor changes, click the end or beginning of the clip and drag it to the right (if you are dragging out from the end) or left (if you are dragging from the beginning).
The clip repeats itself until you stop dragging.

To Create Partial Repetitions of a Loop

  1. Move the cursor over the end of the loop enabled clip until the cursor looks like this [image] .
  2. When the cursor changes, click the end or beginning of the clip and drag it to the right (if you are dragging out from the end) or left (if you are dragging from the beginning).
If the Snap to Grid button is on, you can create a partial loop as small as the Snap to Grid setting allows. For example, if your Snap to Grid setting is set to quarter notes, you can create partial repetitions as small as a quarter of a measure.


Working with Groove Clips

Groove clips are .wav files that behave similarly to Sonic Foundry's ACIDized loops. Groove clips contain information about the audio content, including the original tempo, original reference pitch, number of beats in the loop, and audio transient information.

See:

How Groove Clips Work in SONAR

Using Groove Clips

Creating and Editing Groove Clips

Using Pitch Markers in the Track View


How Groove Clips Work in SONAR

Groove clips have information saved within them which allow them to adjust to changes in tempo and pitch. Groove clips can read a project's tempo and tempo changes, and can adjust their root note pitch when they read pitch markers. You can add pitch markers in the Track view's Time Ruler to transpose the Groove clip. As your project passes over a pitch marker, SONAR transposes your Groove clips based on the clip's root note reference pitch. If you insert no pitch markers in your project, there are no pitch changes in your Groove clips. The default project pitch is C.

Note:

When working with Groove clips, it is important to know the difference between key and pitch. Your project's key signature has no effect on Groove clips. The pitch of your Follow Project Pitch-enabled Groove clips is dictated by pitch markers in the Time Ruler. If there are no pitch markers in your project, Groove clips play at the pitch set in the Markers toolbar (the default is C).

Note:

Groove clips must be at least one beat in length. If you try to loop enable a clip of a shorter duration you may experience distortion or artifacts.

See also:

Working with Groove Clips

Using Groove Clips

Creating and Editing Groove Clips


Using Groove Clips

Groove clips are easy to use because they automatically adjust to your project's pitch markers and tempo. You can import existing loops or create your own, using the Loop Construction view.

To Import a Groove Clip into Your Project

  1. Select a Track in the Track view.
  2. Set the Now Time to the place you want the clip to begin.
  3. Select File-Import-Audio from the menu.
The Open dialog appears.
  4. Navigate to a directory that contains Groove clips and select one.
  5. Click Open.
OR
  1. Open the Loop Explorer view.
  2. Navigate to a directory that contains Groove clips.
  3. Drag and drop a clip into the Track view, or double-click it to insert it at the Now Time.
  4. The clip appears on the track and at the time in your project where you drop it, so if you want the clip on a new track, drop it after the last track in your project.

By default, Groove clips are loop enabled and transposed to match the project's pitch.

Setting the Default Project Pitch

  1. If necessary display the Markers toolbar by selecting View-Toolbars to open the Toolbars dialog. In the toolbar dialog click Markers and OK.
  2. In the Markers toolbar, click the Default Project Pitch dropdown menu and select a pitch.

Your project now uses the root note of your clips to transpose to the project pitch. Use Pitch markers at different points in your project to change the pitch. For more information on Pitch markers, see Using Pitch Markers in the Track View.


Creating and Editing Groove Clips

Any audio clip can be converted to a Groove clip. Groove clips contain tempo, beat, and pitch information which SONAR uses to stretch and transpose the clips to match the project. Most Groove clips are loop-enabled, meaning that you can use the mouse to drag clip repetitions in the Track view. Groove clips can be either loop-enabled or not, although they usually are. When a Groove clip is loop-enabled, its edges appear beveled. It is sometimes desirable to create clips that follow the project's tempo and key, but are not intended to loop. The following is a list of the attributes contained in a Groove clip:

  • Beats in clip--The number of quarter notes in a clip. A four measure clip in 4/4 time should have 16 beats. When you enable looping for a clip, SONAR calculates the number of beats in the clip using an algorithm. This calculation is very often accurate, but in some cases, for instance when the clip has a very slow or very fast tempo or if the clip has an unusual number of beats, then the number of beats in a clip may have to be edited manually in the Beats in clip field.
  • Original tempo--The original tempo of the recording. SONAR uses the original tempo to adjust to your project's tempo. The original tempo must be specified for stretching clips.
Note: When you loop-enable a clip, SONAR calculates the original tempo of the clip, and unless the clip's length is in exact beat or measure increments, the original tempo that SONAR calculates may vary from the recorded tempo. These fluctuations are usually quite small and do not affect the quality of the Groove clip you create.
  • Reference note--The original key of the recorded clip. SONAR uses the Reference note when it transposes Groove clips to match your project's pitch.

These attributes can be edited in the Loop Construction view. For more information about the Loop Construction view, see Loop Construction view.

To Set the Number of Beats in a Groove Clip

When you open a clip in the Loop Construction view, SONAR determines the number of beats in the clip. In some cases the beat value may not be correct. The beats in clip value can only be changed if the clip is loop enabled.

Do the following to change value in the Beats in Clip field.

  • Click the plus or minus button to the right of the Beats in clip field until the correct value is displayed.

To Set the Tempo of a Groove Clip

When creating a new Groove clip, SONAR sets the clip's tempo to the current project tempo. To ensure proper stretching behavior you must set the value in the Original BPM field to the tempo at which you recorded the clip. The tempo value of a clip can only be changed if the clip is stretch enabled.

Do the following to change the value in the Original BPM field.

  • Click the plus or minus button to the right of the Original BPM field until the correct value is displayed. For more precise tempos you can double-click in the Original BPM field and enter a tempo.

To Slice a Clip

  1. Double-click on a clip in the Clips pane.
The clip appears in the Loop Construction view.
  2. Slice the clip using one or all of the following methods:
    To do this...

    Do this...
    Slice the clip on note divisions

    Move the Basic Slicing slider to the note resolution you want. The Basic Slicing slider's settings range from whole notes to 64th notes. Selecting quarter notes, for example, would create four markers per measure.
    Slice the clip at transient peaks

    Move the Transient Detection slider to the right until the larger transients in the clip are flanked by markers.
    Slice the clip manually

    Move your mouse to the space above the Time Ruler and double-click to add a marker. Click and drag the marker, if necessary, so it aligns with the beginning or end of a transient.
  3. Play your project and adjust the slicing of your clip as necessary.

Note: You can use any or all of these methods to slice a clip. If you use both the Basic Slicing and Transient Detection sliders, two markers may be placed right next to each other. If these markers are too close, the markers will automatically merge. Manual markers will not automatically merge.

To Transpose a Groove Clip to Match Your Project's Pitch

Follow this procedure to force the Groove clip to follow the project's default pitch.

  1. Double-click the clip you want to transpose to the project's pitch.
The clip appears in the Loop Construction view.
  2. Click the Follow Project Pitch button.

To Transpose a Groove Clip by Semitones

Follow this procedure to transpose a Groove clip by any number of semitones.

  1. Double-click the clip you want to transpose to the project's pitch.
The clip appears in the Loop Construction view.
  2. If the Follow Project Pitch button is enabled, click it to disable it.
  3. In the Pitch (semitones) field, enter the number of semitones you want to transpose the clip by. A negative number in the Pitch (semitones) field transposes a clip down. A positive number in the Pitch (semitones) field transposes the clip up.

To "Fine Tune" a Groove Clip

Follow this procedure to make slight pitch changes to a clip.

  1. Double-click the clip you want to transpose to the project's pitch.
The clip appears in the Loop Construction view.
  2. In the Fine Pitch (cents) field, enter the number of cents you want to adjust the pitch. You can enter a number from -50 (transpose the pitch down by a quarter tone) to 50 (transpose the pitch up by a quarter tone).

To Edit the Slicing Markers in a Groove Clip

The table below describes how to create and edit the slicing markers in the Loop Construction view.

To do this... | Do this...
Add a slicing marker | Move the mouse cursor to the Markers bar, at the beginning of a transient and double-click.
Delete a slicing marker | Select the Eraser tool [image] and click on a marker.
Move a slicing marker | Click and drag a marker
Reset slicing markers to original positions | Click the Default All Markers button [image] .

For more information on slicing markers, see Slicing Markers.


Saving Groove Clips as a Riff Wave File/ACIDized Wave Files

Once you have created a Groove clip in SONAR, you can save the clip as a Riff Wave file, compatible with ACIDized wave files.

To Save a Groove Clip as a Riff Wave File/ACIDized Wave Files

Use the following procedure to save a Groove clip as a Riff Wave file:

  1. If you have not already done so, create a Groove clip. See Creating and Editing Groove Clips.
  2. In the Loop Construction view, click the Save icon.
The Save As dialog appears.
  2. Use the toolbar in the Save As dialog to navigate to the location where you want to save the file.
  3. In the File name field, enter a name for the file.
  4. Click the Save button.

To Drag and Drop a Groove Clip Into Another Application

You can drag and drop clips from SONAR to another application or to a directory in Windows. When you drag a file from SONAR, the file source file is copied and the copy is placed in the new directory or application.


Using Pitch Markers in the Track View

Pitch markers change the pitch at which Groove clips sound. All Groove clips in SONAR that have the Follow Project Pitch option enabled adjust their pitch as they encounter pitch markers in SONAR. If there are no pitch markers, all Groove clips play at the default project pitch, unless the Follow Project Pitch parameter is disabled.

To Create a Pitch Marker

  1. In the Track view, right-click in the Time Ruler.
  2. Select Create a Marker from the menu that appears.
  3. The Marker dialog appears.
  4. In the Groove clip Pitch Change dropdown, select a pitch.
  5. Click OK.

To Move a Pitch Marker

  • Click and drag a pitch marker to a new location on the Time Ruler.


Editing MIDI Events and Controllers

Editing MIDI Events and
Controllers

SONAR lets you edit the events in your projects in dozens of different ways. The Piano Roll view lets you add and edit notes, controllers, and automation data interactively, using a graphic display. SONAR's many editing commands can improve the quality of recorded performances, filter out certain types of events, and modify the tempos and dynamics of your projects. The Event List view lets you see and modify every detail of your project. Finally, you can apply a variety of effects and filters to enhance your MIDI data.

SONAR has many additional commands and features for working with audio. For more information, see Editing Audio.

See:

The Piano Roll View

Selecting and Editing Events

Changing the Timing of a Recording

Searching for Events

Controllers, RPNs, NRPNs, and Automation Data

The Event List View

MIDI Effects (MIDI Plug-ins)


Event Inspector Toolbar

The Event Inspector toolbar is available from the View menu by selecting View-Toolbars and checking Event Inspector in the Toolbars dialog. The Event Inspector has the following:

  • Time
  • Pitch
  • Velocity
  • Duration
  • Channel

To Display a Note's Properties in the Event Inspector Toolbar

  • Select a note.
If you select multiple notes, the Event Inspector toolbar displays the a note value if all selected note values are the same. If the note values are different, the Event Inspector does not display anything.

To Change a Note's Properties Using the Event Inspector Toolbar

  1. Select a note.
  2. In the appropriate Event Inspector toolbar field, change the value. See the table below for a description of valid value entries for each field in the Event Inspector toolbar.
    Event Inspector Field...

    Valid Values...
    Time

    Any valid M:B:T time value. Separate values with a colon. For example, measure 2, Beat 3, Tick 720 would be written as 2:3:720.
    Pitch

    Note names (C0 through G10) and note numbers (0 through 127) are valid in this field. Also, you can use a modifier to raise or lower the value by a number of half-steps. To raise the pitch by 2 half-steps, type +2 and press enter. To lower the pitch by 2 half-steps, type -2 and press enter.
    Velocity

    A velocity value or modifier value are valid in this field. Valid velocity values are 0 through 127. Valid modifier values are +/- 0 through 127.
    Duration

    A PPQ value.
    Channel

    1 through 16.


The Piano Roll View

The Piano Roll view displays all notes and other events from one or more MIDI tracks in a grid format that looks much like a player piano roll. Notes are displayed as horizontal bars, and drum notes as diamonds. Pitch runs from bottom to top, with the left vertical margin indicating the pitches as piano keys or note names. Time is displayed running left to right with vertical measure and beat boundaries. The Piano Roll view makes it easy to add, edit, and delete notes from a track.

The Piano Roll view consists of the Note Map pane, the Drum Grid pane, the Note pane, the Controllers pane, and the Track List pane.

See:

Note Map Pane

Drum Grid Pane

Note Pane

Controllers Pane

Track List Pane

Opening the View

Selecting and Editing Notes

Working with Multiple Tracks in the Piano Roll View

Note Names


Note Map Pane

In this pane displays your drum map settings, mute or solo an individual pitch, and preview individual pitch sounds. For more information about the Note Map Pane, see The Note Map Pane.

See also:

Drum Maps and the Drum Grid Pane


Drum Grid Pane

In the Drum Grid pane you can add, delete and edit notes and note properties in any MIDI track(s) assigned to a drum map. For more information, see The Drum Grid Pane.

See also:

Drum Maps and the Drum Grid Pane


Note Pane

In this pane you can add, edit, and delete notes in any MIDI track(s) not assigned to a drum map.

See also:

Selecting and Editing Notes


Controllers Pane

In this pane you can edit controllers, RPNs, NRPNs, velocity, pitch wheel, and aftertouch data, during playback or recording, in real time. Select the controller you want to edit from the Controller dropdown list at the top of the Piano Roll view. For more information, see Controllers, RPNs, NRPNs, and Automation Data.


Track List Pane

The Track List pane is home to a list of all tracks currently displayed in the Piano Roll view. In this pane you can enable and disable editing of a track's data; mute, solo and arm a track; and show or hide the track's data in the Note pane or Drum Grid pane. Track numbers, names and output ports appear in the Track List pane. You can show or hide the Track List pane by clicking the Show/hide track pane button [image] in the Piano Roll view toolbar.

See also:

Selecting and Editing Notes

Working with Multiple Tracks in the Piano Roll View


Opening the View

There are several ways to open the Piano Roll view:

  • In the Track view, select the track you want to see, then choose View-Piano Roll or press Alt+5
  • In the Track view, right-click on a track and choose View-Piano Roll from the popup menu
  • Double-click on a MIDI clip in the Clips pane

Each selected track is displayed. You can always switch to a different track or tracks--simply click the [image] button (or press T) and choose the track you want.

The Piano Roll view lets you edit notes and controllers during playback or recording, in real time. This means you can loop over a portion of your project and hear any change you make on the next loop. The Piano Roll view also shows notes on-screen as you record them.

Like the Track view, the Piano Roll view includes zoom tools that let you change the vertical and horizontal scale of the view. The Piano Roll view also has a Snap to Grid [image] button. For more information on this feature, see Defining and Using the Snap Grid.


Selecting and Editing Notes

The Piano Roll view is a very convenient place to select, edit, and copy notes within a track or tracks. You must make the track you want to edit the current track. The current track appears with a dotted line around it in the Track List pane. To display the Track List pane in the Piano Roll view, click the Show/Hide Track List pane button [image] . The following shows three tracks in the Track List pane:

To make the a track the current track in the Track List pane, click on the track. When a thin dotted line surrounds the track, it is the current track.

There are several ways to select notes in the Piano Roll view:

  • Click and drag in the Time Ruler to select notes (and other MIDI events) that start playing within the time range
  • Use the Select tool [image] to select notes
  • Click or drag the piano keys to the left of the Note pane or the drum map rows in Note Map pane to select all notes of the given pitch(es)

You can use Shift-click to add notes to the selection and Ctrl-click to toggle between adding to or removing from the selection.

You can add notes to a clip simply by clicking in the Note pane or Drum Grid pane with the pencil tool. You can use the Resolution buttons to set the duration for new notes you enter. You can edit notes freely, using the mouse to change the start time, pitch, or duration. You can also right-click any note to edit the start time, pitch, duration, velocity, and channel of that note. You can move and copy notes beyond the boundary of the clip in which they are located. When you move the notes, the clip will be extended as needed, unless the notes are moved to a section that includes a slip-edited clip, in which case a new clip may be created.

The Piano Roll view also lets you scrub the tracks that are currently displayed. The Scrub command lets you drag a vertical bar over the view so that you can hear the notes in the track(s). You can scrub forward or backward at any speed. Scrubbing can be handy when you want to locate a bad note or listen to the effects of changes you have made without playing back at normal speed.

To Select Notes with the Selection Tool

  1. Click [image] to select the Select tool.
  2. Select notes as shown in the table:
    To do this...

    Do this...
    Select a single note

    Click on the note
    Select several notes at once

    Drag a rectangle around the notes you want to select
    Add to the selection

    Hold the Shift key while selecting notes
    Toggle the selection

    Hold the Ctrl key while selecting notes

    Selected notes are highlighted (50% gray mask) in the Piano Roll view, and the time selection is set to the range of note start times.

To Select All Notes of Certain Pitches

Click the piano keys on the left side of the Note pane or the drum map rows in the Note Map pane as shown in the table:

  • To do this...

    Do this...
    Select all notes of a single pitch

    Click on the piano key or map row
    Select all notes of several pitches

    Drag across the keys or map rows
    Add to the selection

    Hold the Shift key while clicking on a piano key or map row
    Toggle the selection

    Hold the Ctrl key while clicking on a piano key or map row

To Edit a Note

  1. Click [image] to select the Draw Line tool (or the Draw tool [image] , if you have do not have Auto Erase enabled).
  2. Edit notes as described in the table:
    To do this...

    Do this...
    Change the start time

    Drag the left edge of the note in either direction.
    The start time of the note is moved to the new location.
    Change the pitch

    Drag the middle of the note up or down [image] .
    Change the duration

    Drag the right edge of the note in either direction.

If the snap grid is enabled and set to Snap To, the start time of each note is restricted to points on the snap grid, and the length of each note is restricted to an even multiple of the snap increment. For example, if the snap resolution is set to a quarter note, you can move notes only to quarter-note boundaries, and you can increase or decrease the duration only by quarter notes. If the snap grid is set to Move By, notes can only be moved by multiples of the snap resolution.

To Change Note Velocity or Channel

  1. Right-click a single note to display the Note Properties dialog box.
  2. Edit the desired start time, pitch, duration, velocity, or channel.
  3. Click OK when you are done.

SONAR updates the note event accordingly. Note that you can also edit note velocity in the Controllers pane and the Note Properties toolbar. For information on changing note velocities in the Drum Grid Editor, see "Editing Note Velocities" on page 8-267. For more information, see Velocity, Pitch Wheel, and Aftertouch.

To Move Notes

  1. Click [image] or press S to select the Select tool.
  2. Select one or more notes.
  3. Drag the selected notes to a new location.
The Drag and Drop Options dialog appears. If you have unchecked the Ask This Every Time checkbox in the Drag and Drop Options dialog, SONAR uses that last option you set in that dialog. To change the option, right-click in the Clips pane of the Track view and select Drag and Drop Options from the popup menu.
  4. Select an option and click OK.

SONAR moves the selected notes.

To Copy Notes

  1. Click [image] or press S to select the Select tool.
  2. Select one or more notes.
  3. Press Ctrl+C.
The Copy dialog appears.
  4. Click OK in the Copy dialog.
  5. Change the Now time to the place you want to paste the note(s).
  6. Press Ctrl+V.
The Drag and Drop Options dialog appears.
  7. Select an option in the Drag and Drop Options dialog and click OK.

SONAR copies the selected notes.

To Add a Note

  1. Click the Draw tool button [image] or press D to select the Draw tool and select a note duration
  2. Press and hold the left mouse button in the Piano Roll view. SONAR adds a new note.
  3. Drag the note to the desired pitch and time.
  4. Release the left mouse button.

To Erase a Note

  1. Click the Erase button [image] or press E to select the Erase tool.
  2. Click on any note to delete it.

To Erase Several Notes

  1. Click the Erase button [image] or press E to select the Erase tool.
  2. Drag the cursor across notes to delete them.
  3. Release the mouse button when you are done.

To Select and Erase Notes

  1. Click the Select button [image] or press S to select the Select tool.
  2. Select one or more notes.
  3. Press Delete to delete the notes.

To Erase Notes Using Auto Erase

The Auto-Erase feature makes the Draw tool into an eraser as well as a drawing tool. When the Auto-Erase feature is on, the Draw tool creates a note if used where there are no existing notes, but deletes notes that you click on.

  1. Click the arrow on the right side of the Draw tool [image] and select Auto Erase if it is not already checked.
  2. Click on the note you want to erase.
When the Auto Erase option is enabled, clicking in the Note pane or the Drum Grid pane creates a note if there is no note present and deletes any note you click on.

To Temporarily Turn off Auto-Erase

If you want to edit a note's start time or duration, you must turn off Auto-Erase. You can do so by unchecking the menu item in the Draw tool menu. You can also temporarily turn off Auto-Erase.

  1. Hold down the Alt key.
  2. Make edits in the Drum Grid Editor or the Note pane.
  3. Release the Alt key.

To Scrub the Project

  1. Click [image] or press B to select the Scrub tool.
  2. Press and hold the left mouse button in the Piano Roll view. SONAR displays a vertical line and plays any notes that are underneath the line.
  3. Drag the line to the left or right, at any desired speed.

Note that the Mute, Solo and Arm buttons do not affect Scrub. If the track is hidden, however, you do not hear notes in that track.


Working with Multiple Tracks in the Piano Roll View

You can simultaneously edit as many tracks as you want in the Piano Roll view. When you display several tracks at the same time in the Piano Roll view, you control which track(s) you can see and/or edit by using the buttons in the Track List pane. You can show or hide the Track List pane by clicking the Show/hide track pane button [image] in the Piano Roll view toolbar.

The following is a list of ways to optimize the multiple track functionality in the Piano Roll view.

Selecting Tracks

Use the Pick Tracks combo button [image] to assign tracks to the Track List pane. Click on the left side of the Pick Tracks combo button to open the Pick Tracks dialog box. Click on a track name to select it. Hold down the Ctrl key and click more track names to select additional tracks. Click on the right side of the Pick Tracks combo button to show the Down/Up popup menu. Selecting Down moves the track or range of tracks down by one. Selecting Up moves the track or range of tracks up by one. For example, if you have tracks 2, 3 and 7 displayed in the Track List pane and you select Down, the Track List pane displays tracks 1, 2, and 6.

Display

If the notes of two tracks overlap, the notes of the topmost track in the Track List pane appear over the notes of the other track. You can move a track up or down by in the Track List pane by clicking and holding on the track and moving the track to the desired position.

All tracks ending in the same digit (2, 12, 22, etc.) share the same color. The default colors can be changed using Options-Colors.

The Enable/Disable Track Editing Button

The Enable/Disable Track Editing button [image] sets whether or not you can edit the notes of a track in the Piano Roll view. When the button appears white, editing is enabled and the track appears in color. When the button appears gray, editing is disabled and the track appears in gray.

Note: The Enable/Disable Track Editing button only disables the Piano Roll view tools; other editing commands are still operational.

The Show/Hide Track Button

The Show/Hide Track button [image] controls whether or not a track appears in the Note pane. The button appears in color when toggled on, white when off.

The Invert Tracks Button

If you use the Show/Hide Track button to hide any tracks in the Track List pane, you can show all these tracks and hide the ones that are currently displayed by clicking the Invert Tracks button [image] .


Note Names

You can change the instrument definition for the active track in the Piano Roll view. Right-click the piano keys in the Note pane to open the Note Names dialog where you can use note names that are defined as part of any instrument definition. For more information about instrument definitions, see Using Instrument Definitions.

To Change the Active Track's Instrument Definition

  1. Right-click the left side of the Note pane (where the piano keys or note names are displayed) to display the Note Names dialog box.
  2. To use the note names from the assigned instrument (the default), click Use the Assigned Instrument Settings. Click Configure to change the instrument definitions.
  3. To override the default setting, click Use These Settings Instead, and choose the note names and mode you want to work with.
  4. Click OK when you are done

The Piano Roll view is updated with the settings you request.


Selecting and Editing Events

SONAR has many other editing commands that you can use to modify the events that make up your project. Here are some of the things you can do:

  • Transpose events, clips, tracks, or an entire project to a different key
  • Shift events to an earlier or later time
  • Stretch or shrink material to a different length
  • Reverse the notes in a clip to create new arrangements
  • Modify the note velocities

The following sections describe these editing commands and how to use them. SONAR also has some special commands you can use to modify or clean up a performance or to search for or select events that meet certain criteria.

See:

Transposing

Shifting Events in Time

Stretching and Shrinking Events

Reversing Notes in a Clip

Adding Crescendos and Decrescendos


Transposing

The Process-Transpose command transposes the pitches of selected note events up or down by a fixed number of steps. It does so by changing the MIDI key numbers of note events. Simply enter the number of half-steps--a negative number to transpose down, a positive number to transpose up.

SONAR can also perform diatonic transposition, which shifts all the notes up and down the major scale of the current signature by the designated number of steps. For instance, if you specify an amount of +1 and the key signature is C-major, a C becomes a D (up a whole step), an E becomes an F (up a half step), and so on. Diatonic transposition assures you that the transposed notes fit with the original key signature.

As an option, you can choose to transpose selected audio clips along with any selected MIDI clips. SONAR uses pitch-shifting (a plug in for changing audio pitch) to perform the transposition. You can transpose audio only a single octave in either direction (-12 to +12), and you cannot transpose audio when you are using diatonic transposition.

To Transpose Selected Events

  1. Select the tracks, clips, or events you want to transpose.
  2. Choose Process-Transpose to display the Transpose dialog box.
  3. Use the spinners or enter the number of semi-tones to transpose.
OR
Use the + and - keys on your keypad to go up or down by one or [ and ] to go up or down by octaves.
  4. Check Diatonic Math if you want to transpose along the major scale of the current key.
  5. Choose Transpose Audio if you want to pitch-shift selected audio clips.
  6. Click OK when you are done.

SONAR transposes the selected events.


Shifting Events in Time

The Track view lets you move entire clips forward or backward in time by using drag and drop editing or by changing the start time of selected clips. The Process-Slide command is slightly more flexible--you can use it to shift individual events and markers (or selected events and markers) either forward or backward in time. This has an effect that is similar to the Time+ parameter in the Track view. However, the Process-Slide command modifies the time stored with each event, while the Time+ parameter simply applies a temporary change during playback.

You can also use the Process-Slide command to move markers located within the selection. If you have selected any locked markers, SONAR will ask whether they should slide, too.

To Shift Events in Time

  1. Select the events and/or markers you want to shift.
  2. Choose Process-Slide to display the Slide dialog box.
  3. Check the types of event you want to slide (events and/or
    markers).
  4. Enter the number of measures, ticks, seconds, frames or samples to slide. Enter a negative number to shift material earlier. Note that you cannot slide any event earlier than 1:01:000. For example, if the current selection starts at 2:01:000, you cannot slide events earlier by more than one measure.
  5. Click OK when you are done.

SONAR shifts the selected events and/or markers.


Inserting Time or Measures into a Project

The Insert-Time/Measures command lets you insert any number of blank measures, ticks, seconds, or frames into a project. You can insert the blank measures (or other period of time) into all tracks or into one or more selected tracks. If you insert the blank time into the entire project, all events in each track--markers, meter and key settings, and tempo changes--are shifted automatically by default. If you insert the blank time into one or more selected tracks, only the events in those tracks are shifted by default. You can always choose which types of events should be shifted.

To Insert a Single Blank Measure into a Project

  1. Press Ctrl+Shift+A or select Edit-Select-None to make sure that no track or time range is selected.
  2. Set the Now time to the place where you want to insert the measure.
  3. Choose Insert-Time/Measures to display the Insert Time/Measures dialog box.
  4. Verify that the settings are correct and click OK.

SONAR inserts a blank measure at the Now time.

To Insert Blank Time or Measures into a Project

  1. Press the 5 key on the numeric keypad (Num Lock must be off) or select Edit-Select-None to make sure that no track or time range is selected.
  2. Select the range of time you want to insert by dragging in the Time Ruler.
  3. Choose Insert-Time/Measures to display the Insert Time/Measures dialog box.
  4. If necessary, adjust the time at which blank space will be inserted.
  5. If necessary, change the length of time to insert by entering a number and choosing the units you want from the list.
  6. Choose the types of events that should be shifted automatically from the Slide list.
  7. Click OK when you are done.

SONAR inserts the desired amount of blank time into the project.

To Insert Blank Time or Measures into Selected Tracks

  1. Select the range of time you want to insert by dragging in the Time Ruler.
  2. Select one or more tracks by Ctrl-clicking on the track numbers.
  3. Choose Insert-Time/Measures to display the Insert Time/Measures dialog box.
  4. If necessary, adjust the time at which blank space will be inserted.
  5. If necessary, change the length of time to insert by entering a number and choosing the units you want from the list.
  6. Choose the types of events that should be shifted automatically from the Slide list.
  7. Click OK when you are done.

SONAR inserts the desired amount of blank time into the project.

Deleting Measures or Time from One or More Tracks

There are two methods for deleting time or measures:

  • If there is any audio or MIDI data in the area you want to delete, you can use the Edit-Delete command to delete the area that you select. Portions of MIDI clips may have no data in them: they have boundaries but no dark lines inside--if that's the case, use the following method.
  • If there is no data in the area you want to delete, you can simply drag any clips that come after the empty area to their proper destinations. You can also use this method if there is data in the area you want to delete--you just have to choose whether you want to replace the data in the deleted area, blend it with the data you're moving, or slide it over to make room.

To delete time when there is audio or MIDI data in the area you want to delete:

  1. In the Track view, select the track(s) you want to delete measures or time from by doing one of the following:
    • Select a single track by clicking the track number.
    • Select multiple tracks by Ctrl-clicking the track numbers.
    • Select all tracks by clicking the Select All Tracks button [image] that's in the Track view toolbar.
  2. Set the Snap to Grid value to the unit of time you want to delete. For example, if you want to delete whole measures, set the Snap to Grid value to a whole measure.
  3. In the Clips pane, select the measures or time you want to delete by dragging in the Time Ruler located just above the first track.
  4. Select Edit-Delete.
The Delete dialog box appears.
  5. Click the following checkboxes:
    • Events in Tracks
    • Delete Hole--if you want the data that comes after the hole to retain its same placement in a measure, check the Shift by Whole Measures option.
  6. Click any of the other options you want to delete.
  7. Click OK.

SONAR deletes the time or measures you selected.

To delete time when there is no audio or MIDI data in the area you want to delete (or if there is data, but you like to drag and drop):

  1. Set the Snap to Grid value to the unit of time you want to delete. For example, if you want to delete whole measures, set the Snap to Grid value to a whole measure.
  2. In the Track view, select the clips you want to move.
  3. Drag one of the selected clips to its proper destination--the Drag and Drop Options dialog box appears.
  4. Choose options and click OK.

All the selected clips move by the amount that you dragged the mouse.


Stretching and Shrinking Events

The Process-Length and Process-Fit to Time commands can be used to stretch or shrink a portion of a project. Process-Length lets you stretch or shrink the selection by a fixed percentage and makes the adjustment by altering the individual events. A value of 200 percent, for example, stretches the selection to twice its original length, while a value of 50 percent shrinks the selection to half its original length.

Process-Fit to Time stretches or shrinks the selection so that it ends at a specific time, expressed in either measure:beat:tick (MBT) or hours:minutes:seconds:frames (SMPTE) format. This command gives you a choice of modifying the events or modifying the underlying tempo. This is useful when you want a portion of a project to have an exact length. The start time of the selection does not change, but the end time is altered as necessary to fit the required time interval.

Both of these commands offer the option to stretch audio clips along with the MIDI information. Sometimes you don't want to adjust the speed of your audio.

Here are some examples:

  • If your project contains background music and a voice-over, you might want to change the tempo of the background music without altering the voice-over
  • If you're trying to modify the speed of some MIDI tracks to match a sampled drum groove, you want to leave the audio unchanged
  • If your audio consists solely of sound effects, you most likely do not want to adjust them

Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).

You can also use the Process-Length command to alter only the start times or the durations of notes. For example, changing the durations of notes to 50 percent of their original length can create a staccato effect.

To Stretch or Shrink Using Percentages

  1. Select the events you want to change.
  2. Choose Process-Length to display the Length dialog box.
  3. Choose to change the Start Times and/or Durations of selected notes by checking the boxes.
  4. If you want to stretch selected audio clips, check the Stretch Audio box.
  5. Use the spinners or type in the desired percent change in length.
  6. Click OK when you are done.

SONAR modifies the length of selected events.

To Stretch or Shrink to a Specific Length

  1. Select the events you want to change.
  2. Choose Process-Fit to Time to display the Fit to Time dialog box.
  3. Enter the desired end time in the New Thru box. Click Format to switch between MBT and SMPTE format.
  4. Choose one of the following:
    • Tempo Map-Choose this option if you want the tempo to change but not the duration of notes and events. For example, if your clip contains quarter notes, and you want those notes to stay quarter notes even though the elapsed time of the clip changes, choose Tempo Map. SONAR alters the tempo but not the events in the track.
    • Event Times-Choose this option if you want the tempo(s) to remain unchanged while note durations and event start times change.
    Important note: This option is unavailable if your selected data includes any Groove clips.
  5. If you want to stretch selected audio clips, check the Stretch Audio box.
  6. Click OK when you are done.

SONAR modifies the length of selected events or changes the tempo map, as you requested.


Reversing Notes in a Clip

The Process-Retrograde command reverses the order of events in a selection. If one or more clips are selected, then the events within each clip are reversed. If several clips are selected from the same track, then the order of the clips is also reversed. You could use this command, for example, to take a scale or other long run of notes and reverse the order in which they are played. The Process-Retrograde command does not reverse the contents of audio clips. It only changes their start times. You can use the Process-Audio-Reverse command to reverse audio clips.

To Reverse the Sequence of Notes or Other Events

  1. Select the notes you want to reverse.
  2. Choose Process-Retrograde.

SONAR reverses the order of the selected events.


Adding Crescendos and Decrescendos

The Process-Scale Velocity command lets you create crescendos and decrescendos on those instruments that respond to MIDI velocity. Most such instruments map changes in velocity to changes in note loudness. Many synthesizer patches alter the timbre of the sound as well, so that higher velocities produce brighter, as well as louder, sounds. Changes in velocity also affect the playback of audio clips.

This command lets you set a starting and ending velocity for the entire time range of the selection. SONAR scales the velocity of each event to create a smooth linear change in velocity. As an option, you can enter a starting and ending percentage; existing velocity values are modified by the designated percentage.

You can also edit note velocities in the Controllers pane of the Piano Roll view, which lets you draw shapes other than straight line changes. For more information, see Using the Controllers Pane.

To Scale Velocities

  1. Select the events whose velocity data you want to change.
  2. Choose Process-Scale Velocity to display the Scale Velocity dialog box.
  3. Enter the starting and ending velocity values.
  4. Check the Percentages box if the values are percentages.
  5. Click OK when you are done.

SONAR alters the velocity of selected events.


Changing the Timing of a Recording

When you record a performance, there may be problems you'd like to correct. For example, the note timing may not have been as accurate as you would like. Or, you may have recorded without using a metronome and strayed from the tempo in one direction or another.

SONAR has two types of commands that you can use to modify the timing of a clip. The Quantize commands alter the timing of the notes in your recording so that they fit a time grid. The grid can have fixed time intervals or intervals that are based on some existing note pattern. The Fit to Improvisation command, on the other hand, sets up a series of tempos that fit the material you have recorded. Here's a summary of when to use each type of command:

Use this command... | To do this...
Quantize | Change the timing of the notes you've recorded to fit with the tempo of a project
Fit to Improvisation | Change the tempos of a project to fit with the performance you've recorded

These two types of commands are discussed in the following topics.

See:

Quantizing

Fit Improvisation


Quantizing

Quantizing is one of the most important editing functions in SONAR. You use this feature to correct timing errors you make when recording from a MIDI instrument or to adjust the timing of audio clips.

Very few musicians are capable of performing in perfect time. As you play, you are likely to strike some notes slightly before or after the beat or to hold some notes slightly longer than you intended. The Quantize commands can help to correct these types of timing mistakes.

SONAR has two different quantize commands:

Command... | How it works...
Process-Quantize | Adjusts the start time and duration of selected notes so that they line up with a fixed size grid
Process-Groove Quantize | Lays a grid over an existing piece of music (the groove pattern), and then adjusts the start time, duration, and velocity of selected notes so that they line up with the grid

These commands have quite a few settings, making them very flexible and powerful. In addition, both of these commands lets you create, save, and re-use presets. This means that once you find the settings you like, you can save them and then apply them to other projects in a consistent way.

Resolution

The resolution indicates the spacing of the grid. You can use any value from a whole note down to a thirty-second note triplet. You can also specify resolution in clock ticks. A rule of thumb is to select a resolution that matches the smallest note in the region you are quantizing. If you are quantizing a run of sixteenth notes, use a sixteenth note as the resolution. If you are quantizing a mix of sixteenth and eighth notes, you should still use a sixteenth note. At the default timebase of 480 PPQ, 480 clock ticks is equal to quarter-note resolution.

When you use Groove Quantize, SONAR creates a grid at the desired resolution on top of the notes in the groove. For example, if the groove contains only quarter notes but you choose sixteenth-note resolution, SONAR builds the grid by dividing the space between each quarter note into four equal sections. In places where the groove file contains no notes, SONAR builds a fixed grid of the desired resolution.

Offset

Normally, the resolution grid is aligned evenly with the start of measures and beats. As an option, you can shift the grid earlier or later by any desired number of clock ticks. If the resolution is a quarter note and you've set the offset to +3 ticks, then a note that is originally near 1:01:000 would be moved to 1:01:003--three ticks beyond the beat boundary.

Duration

As an option, SONAR can adjust the duration of note events so that each note ends one clock tick before the start of the nearest resolution-sized note. This ensures that the notes do not overlap, which can cause problems on some synthesizers. The adjustment may lengthen the duration of some notes and shorten the duration of others.

When you use Groove Quantize, the duration adjustment compares the note length to the duration of the sample note in the groove. If no duration information is available, SONAR uses the distance to the start of the groove event closest to the end of the note.

Velocity

The velocity adjustment, which is only available with the Groove Quantize command, adjusts the note velocity to the velocity of the corresponding notes in the groove.

Strength

The human ear is tuned to the slight "imperfections" we hear from most musicians. If you quantize a project so that all notes are perfectly in position, it may end up sounding mechanical or rigid. To avoid this, SONAR lets you adjust the strength of the adjustment. A strength of 100 percent indicates that all notes are moved so that they are in perfect time, while a strength of 50 percent means that all notes are moved half-way towards the desired position. This lets you "tighten up" the timing as much as you want, without going too far.

The Groove Quantize command also lets you control the strength of duration and velocity adjustments. As you work with this command, you will notice that the note start time has a greater effect than the duration on the rhythmic feel of the track. For this reason, changing the starting times (time strength close to 100 percent) has a more noticeable effect than changing durations (duration strength close to 100 percent). However, there are situations in which you might want to change both to avoid ending up with notes that overlap or with unwanted rests.

Swing

Many projects do not have notes positioned on a perfectly even time grid. For example, projects with a swing feel, though they may be written entirely in eighth notes, are often played more like eighth-note triplets, with the first note extended and the second one shortened. The swing option lets you distort the timing grid so each pair of notes is spaced unevenly, giving the quantized material a swing feel.

A swing value of 50 percent (the default) means that the grid points are spaced evenly. A value of 66 percent means that the time between the first and second grid points is twice as long as the time between the second and third points.

Window

When you quantize some portion of a project, you might not want to adjust notes that are very far from the grid. The window, or sensitivity, setting lets you choose how close to the resolution grid a note must be located for quantize to move it.

A window of 100 percent includes all notes and guarantees that all notes will be shifted to lie exactly on the grid. The window extends half the resolution distance before and after the quantization point. A window of 50 percent extends only a quarter of the way toward the adjacent quantization points.

When you use Groove Quantize, you can also perform adjustments on out-of-window events. There are four options:

Option... | How it works...
Do Not Change | Notes outside the window are not changed.
Quantize to Resolution | Notes outside the window are snapped to a regular grid of the specified resolution.
Move to Nearest | The window or sensitivity setting is ignored--all notes are moved toward the nearest reference event, regardless of how far off the grid they are located.
Scale Time | finds the two closest events before and after the event in question that are within the window sensitivity and adjusts any bracketed out-of-window events so that their relative timing is the same. This option can uniformly speed up, slow down, or shift out-of-window events.

Other Settings

If you want, you can restrict the types of events that are affected by the Quantize commands to only notes, lyrics, and audio clips. If you choose this option, SONAR will not modify other events, like controllers.

To Use the Quantize Command

  1. Select the material you want to quantize using any of the selection tools and commands.
  2. Choose Process-Quantize to display the Quantize dialog box.
  3. Choose one of your own presets from the list, or enter the settings you want according to the table:
    Setting...

    What to do...
    Resolution

    Choose a note size or enter the number of clock ticks
    Change

    Check the event types and characteristics you want to change
    Options

    Enter values for Strength, Swing, Window, and Offset
  4. Click Audition if you want to hear how the quantization will sound; press Stop to stop auditioning the change.
  5. Make adjustments as necessary.
  6. Click OK when you are done.

SONAR quantizes the selected MIDI information and audio clips. You can use Undo to restore the material to its original state.

To Use the Groove Quantize Command

  1. Select the track or clip you want to quantize, using any of the selection tools and commands.
  2. Choose Process-Groove Quantize to display the Groove Quantize dialog box.
  3. Choose a groove file from the Groove File field.
  4. Choose a groove pattern from the Groove Pattern field.
  5. Use the following fields to configure your pattern:
    Setting...

    What to do...
    Resolution

    Choose a note size or enter the number of clock ticks
    Window Sensitivity

    Enter the window sensitivity value (percentage)
    If Outside Window

    Choose what should happen to events outside the window
    Only Notes, Lyrics and Audio

    Check to prevent MIDI controller, aftertouch, and xRPN data from being adjusted
    Stretch Audio

    Check to stretch audio clips to adjust their duration
    Strength

    Use the sliders or enter values for Note strength, Duration strength, and Velocity strength
  6. Click Audition if you want to hear how the quantization will sound; press Stop to stop auditioning the change.
  7. Make adjustments as necessary.
  8. Optionally, type a name in the preset field (located at the top of the dialog box) and click the Save button to save your settings.
  9. Click OK when you are done.

SONAR quantizes the selected MIDI information and audio clips. You can use Undo to restore the material to its original state. If you saved your settings, you can apply them to any pattern you want by selecting the pattern and choosing a preset from the preset field. To delete a group of settings, select the group from the preset field and click the Delete button.

Defining a Groove

To use the groove quantize feature, you must create or choose a small snippet of music--the groove pattern--for SONAR to use as the timing and accent reference. You can use either of the following:

  • A track, clip, or portion of a clip stored on the Windows clipboard
  • A groove stored in a SONAR groove file

Any MIDI data that you place onto the Windows clipboard can be used as a groove pattern. With a carefully defined groove pattern, you can give an old project an entirely new feel. If you like the groove pattern you have created, you can save it to a groove file.

Groove files can store one or more groove patterns. SONAR supports two types of groove files:

  • DNATM grooves, which contain only timing information but are compatible with some other MIDI sequencer software products
  • SONAR's native groove format, which stores timing, duration, and velocity information and can handle longer patterns and longer gaps between quantization points

You can add groove patterns to these files from the Windows clipboard, edit existing patterns, or delete patterns you do not want to keep. There is no limit to the number of groove patterns that can be stored in a single file. You can organize your grooves into several files or keep them all together in a single file. Groove files have an extension of .grv.

A groove pattern can be as short or long as you like. If the groove pattern is shorter than the material to be quantized, the pattern will be repeated as many times as necessary.

To Define a New Groove

  1. Select the music that defines the groove using any of the selection tools and commands.
  2. Choose Edit-Copy to place the music onto the Windows clipboard.

You can now use the Groove Quantize command with the clipboard as the "Groove File."

To Save a Groove Pattern

  1. Select the music that defines the groove using any of the selection tools and commands.
  2. Choose Edit-Copy to place the music onto the Windows clipboard.
  3. Choose Process-Groove Quantize to display the Groove Quantize dialog box.
  4. Choose the Clipboard as the groove "Groove File."
  5. Click the Define button to display the Define Groove dialog box.
  6. Select an existing groove file, or enter the name for a new groove file.
  7. Enter a pattern name, or choose an existing pattern to replace.
  8. Click OK.
  9. If you are replacing a groove, verify that you want to delete the existing version.
  10. Click Close when you are done to return to the Groove Quantize dialog box.

SONAR stores the groove in the file and chooses the new groove as the current groove source.

To Copy an Existing Groove

  1. Choose Process-Groove Quantize to display the Groove Quantize dialog box.
  2. Choose the groove file and groove pattern you want to copy.
  3. Click the Define button to display the Define Groove dialog box.
  4. Select an existing groove file, or enter the name for a new groove file.
  5. Enter a pattern name, or choose an existing pattern to replace.
  6. Click OK.
  7. If you are replacing a groove, verify that you want to delete the existing version.
  8. Click Close when you are done to return to the Groove Quantize dialog box.

SONAR stores the groove on the Windows clipboard and chooses the new groove as the current groove source.

To Delete a Groove

  1. Choose Process-Groove Quantize to display the Groove Quantize dialog box.
  2. Click the Define button to display the Define Groove dialog box.
  3. Select the file containing the groove to delete.
  4. Select the pattern name of the groove.
  5. Click the Delete button, and confirm that you want to delete the groove pattern.
  6. Repeat steps 3 to 5 for each groove you wish to delete.
  7. Click Close when you are done to return to the Groove Quantize dialog box.

Groove Quantize Tips

Here are some tips to help you with groove quantizing:

Aligning sloppy tracks with a good one. Select the portion of the "good" track that you want to apply to the "sloppy" tracks and copy it to the Clipboard. Select the portion of the sloppy tracks you want to modify. Choose Process-Groove Quantize, choose the Clipboard as the groove source, and click OK.

Accenting beats in each measure. Create a sample measure containing note events at the desired accent points. Give the notes on the accented beats a greater velocity and the others a lesser velocity. Select the measure, copy it to the Clipboard, and then choose Process-Groove Quantize. Set the velocity strength as high as necessary so that the notes get accented the way you want.

Stealing that feeling. Suppose you have a dry piece that was composed and entered into SONAR with a rigid sense of timing (for example, using step recording). You've recorded a bass line that has exactly the off-beat rhythmic dynamic you want for the dry piece. You'd like to force your other tracks to share that feel. Copy the bass track to the Clipboard; from the Groove Quantize dialog box, select the Clipboard as the groove source; choose a resolution value roughly on the order of the duration of the bass notes and a window of 100 percent. SONAR aligns the melody note events with the nearest bass notes.

Synchronizing rhythm and solo tracks. If you want to preserve the unique rhythm of each track but want to synchronize them together in time, try a larger resolution value and a smaller window. For example, suppose you have one track with a highly stylized drum beat and another track containing a jazz solo with some very nice runs in it. The drum beats fall primarily on quarter notes, but the solo consists of runs of fast notes that aren't quite sixteenth triplets. Copy the drum track to the Clipboard, and groove quantize using a quarter-note resolution and a window of perhaps 10 percent. SONAR aligns the solo notes near the quarter-note drum beats but maintains the feel of the solo during the fast runs of notes in between.

Correcting off-tempo tracks. Suppose you have both rhythm and melody tracks recorded, but the melody was played erratically. First, copy the rhythm track to the Windows clipboard. Then use groove quantize with a whole-note resolution, a window of 25 percent or less, and with the Scale Time option selected. The Groove Quantize command will synchronize the melody track with the groove source at roughly measure boundaries, while maintaining the relative timing of the notes in each measure.

Fixing a bad verse. Copy a good verse to the Clipboard. Then change the selected range to cover only the bad verse. Perform a groove quantize using the Clipboard contents as the groove source. The rhythms of the two verses then match.


Fit Improvisation

SONAR lets you record music from a MIDI controller without requiring that you use a fixed tempo. In fact, if you record without using a metronome, you are very likely to end up with a recording that does not fit onto a fixed tempo grid.

The Process-Fit Improvisation command lets you take a recording and create a tempo map (with measure and beat boundaries) that fits what you played. Your performance is not changed in any way, even though the note start times and durations are adjusted to fit the new tempo map. This is important if you later want to use any of SONAR's editing features that depend on a proper tempo map for best results.

To use this command, you must record a reference track containing a single clip that matches your original track or tracks but has only a single note on each beat boundary. You should make sure that the reference track has one event for every single beat, with no extra beats or missing beats. The first beat of the reference track should be at 1:01:000. You can use any editing command to adjust the reference track.

If you want, you can use other types of events as markers on the reference track, such as a sustain pedal. Remember, however, that MIDI sustain pedals generate one event when the pedal is pressed and another when it is released. So if you want to use the sustain pedal for the reference track, keep this in mind. Click down, up, down, up, for one, two, three, four.

Remember that the better the quality of your reference track, the better job the Fit Improvisation command can do. You want each of your reference track events to be as close as possible to the beat of the music. Note that some keyboards transmit aftertouch events when you record your reference track. These extra events will prevent Process-Fit Improvisation from working properly. Therefore, you should delete these events before using this command, or filter them out when recording the reference track (using Options-Global-MIDI).

To Fit Tempos to an Improvisation

  1. Record the reference track.
  2. Select the reference track.
  3. If necessary, combine all clips in the reference track into a single clip using the Edit-Bounce to Clip(s) command.
  4. Choose Process-Fit Improvisation.

SONAR adds tempo changes as necessary to fit the tempo grid to the reference track. When you're done, you should mute the reference track, since the reference track events are not rescaled.

Note:

If the resulting tempo grid exceeds 250 beats per minute, you will see an error message. If this happens, you can shorten the start times of each event using the Process-Length command, decrease the tempo to compensate for the change, and then try again.


Searching for Events

The events in a project have many different parameters. For example, all MIDI notes have a channel, starting time, pitch, velocity, and duration. Controllers have a controller number and value. SONAR makes it simple to find, select, and modify events that have certain values for specific attributes.

Here are some of the things you can do and the commands that you would use to do them:

Action... | Command...
Search through a project to find the first event that has specific attributes, and then search again to find the next such event | Go-Search, Go-Search Next
Select all the events in a project that have the specified attributes | Edit-Select-By Filter
Modify an existing selection to keep only those events that have the specified attributes | Edit-Select-By Filter

These capabilities can help you find problem spots or errors in a project or make systematic changes to events that have particular attributes. All of these capabilities rely on the use of an event filter, which lets you choose the types of events you want to work with and the range of values in which you are interested.

See:

Event Filters


Event Filters

When you select individual clips, or select portions of clips by dragging the Time Ruler, you automatically select all the events that fall within the designated time range. Sometimes you need finer control over which events are selected. For example, you might want to:

  • Select the notes that are played in a certain octave, so you can copy them to another track
  • Select and boost the velocity of notes that have a velocity below a certain threshold
  • Find the first patch change event on a particular track
  • Select and change the duration of all notes that occur on the third beat of any measure

The Event Filter dialog box looks like this:

Different types of events have different parameters, as shown in the table:

This event type... | Has these parameters...
Note | Pitch, velocity, and duration
Key Aftertouch | Pitch and pressure value
Controller | Controller number and value
RPN/NRPN | RPN/NRPN number and value
Patch Change | Bank and patch numbers
Channel Aftertouch | Pressure value
Pitch Wheel | Value

The event filter only accepts events that meet all the specified ranges. This means that a note event must fall within the pitch range, the velocity range, and the duration range in order to be included. The event filter can also be used to accept events that occur in a range of channel numbers, beats, and clock ticks.

You can choose either to include or exclude the events that meet the specified criteria. To exclude events within the designated range and select the ones outside the designated range, check the exc checkbox for that value range.

The event filter can also be used to identify several special event types: audio, System Exclusive events, Lyrics, MCI commands, envelope shades, and a few others. You do not enter a range of values for these special events; SONAR finds all events of the types you choose.

The All and None buttons help you set up the event filter the way you want:

Click this button... | To do this...
All | Set the event filter to include all events. You can then modify the value ranges to narrow down your search or uncheck the types of events you want to exclude.
None | Set the event filter to not include any events. Starting from a blank slate, you can check off the types of events you want to find or select and enter the desired ranges of values.

In any place in the event filter where you would normally enter a pitch string, you can also enter the pitch by pressing a key on your MIDI keyboard. Also, you can use the question mark in place of the octave number as a wild card. This lets the event filter accept a single note, regardless of the octave. For example, the pitch string C? will match a C in any octave. Use wild card octave numbers only for the minimum range value. The maximum value is not needed, and its value is ignored.

Searching for an Event

The Go-Search command is used to find the next event (searching forward from the Now time) that meets the criteria you lay out in an event filter. Once you have found the first such event, you can find the next event that meets the criteria using the Go-Search Again command (or by pressing F3).

To Search for an Event

  1. Choose Go-Search to display the Event Filter dialog box.
  2. Set up the event filter to find the events you want.
  3. Click OK.

SONAR finds the next event that meets the criteria and sets the Now time to the start time of that event. To find the next occurrence, press F3 or choose Go-Search Again.

Selecting Events

The Edit-Select-By Filter command is used to refine a selection by applying an event filter to an initial selection. You can use this command any number of times to refine the selection even further. Before using this command, use any of the selection commands and tools to create an initial set of selected event. You can use the Edit-Select-All command to select all events in the current view.

The Track view cannot display individual selected events. As a result, the Edit-Select-By Filter command will not necessarily change the appearance of the Track view. SONAR applies the event filter rule, but the change is not visible. However, once you change the selection in any way (for example, by clicking on a track number or by clicking in the Time Ruler), the effects of the event filter are erased. If you want to use the filter, you must choose Edit-Select-By Filter again and click OK to use the same filter values.

Note:

The shading of a clip in the Track view indicates how many of the events in the clip are selected. If the clip is shown in solid black, all events in the clip are selected. If a portion of a clip is shown in medium gray, all the events in that time range are selected. If the clip is shown in light gray, only some of the events in the shaded time range are selected.

To Select Events Using the Event Filter

  1. First, select an initial set of tracks, clips, or events.
  2. Choose Edit-Select-By Filter to display the Event Filter dialog box.
  3. Set up the event filter to find the events you want.
  4. Click OK.

SONAR searches the currently selected events and weeds out those that do not meet the requirements of the event filter.

Example: Splitting Left-Hand and Right-Hand Parts

Suppose you recorded a keyboard riff on Track 1 but want to split the left and right hands apart into separate tracks so you can edit them separately. Suppose that all the right-hand notes are above C4. Here's how to proceed:

  1. Select all of Track 1 by clicking on the track number in the Track view.
  2. Choose Edit-Select-By Filter to display the Event Filter dialog box.
  3. Click the None button to clear the dialog box.
  4. Check the Note checkbox, and enter a minimum value of C4. The maximum should already be set to C9.
  5. Click OK. SONAR selects all the notes from C4 up.
  6. Choose Edit-Cut to move the selected notes to the clipboard.
  7. Choose Edit-Paste and paste the events to a different track.

Process-Interpolate

The Process-Interpolate command is an extremely flexible way of manipulating the data parameters of events. It works something like the search-and-replace function in a word processor but with scaling rather than simple replacement.

This command uses two event filters. The first event filter lets you set up your search criteria. The second event filter is used to define the replacement value ranges. When an event satisfies the search criteria, its parameters are scaled between the search ranges and the replacement ranges. This permits transposition, inversion, key signature changes, and other operations to be accomplished with this one simple command.

In the second Event Filter dialog box, the checkboxes and value ranges for beats and ticks are ignored. Only the replacement value ranges for the selected event types are used.

The Process-Interpolate command understands a wild card octave number in the second event filter to mean, "replace the original note with a different note in the original octave." Using octave wild cards for both the search and replacement event filters lets you, for instance, change all E-flats to E-naturals, preserving the octave of each note.

A few examples will illustrate some of the many uses of the Process-Interpolate command. These examples apply to the note event type, though the command can be used on any type of event.

Parameter... | Search range... | Replacement range... | Effect...
Pitch (key) | From C2 to C4 | From C4 to C6 | Transposes all notes in the search range up two octaves
Pitch | From E2 to E2 | From Eb2 to Eb2 | Converts all Es in octave 2 to Eb in the same octave
Pitch | From E? to E? | From Eb? to Eb? | Converts all Es in all octaves to Eb in the same octave
Pitch | From E? to E? | From E? to Eb5 | Converts all Es to Eb in octave 5
Pitch | From C1 to C8 | From C8 to C1 | Inverts all the notes in the specified range
Velocity | From 0 to 127 | From 80 to 127 | Compresses the velocity values into a narrower range
Velocity | From 0 to 127 | From 127 to 0 | Inverts the velocity values (makes loud notes soft, and soft notes loud)
Duration | From 0:01:00 to 0:02:000 | From 0:01:000 to 0:01:000 | Converts all notes that are between a quarter note and half note in length, and makes them all quarter notes
Channel | From 1 to 1 | From 2 to 2 | Changes all events on MIDI channel 1 to MIDI channel 2
Channel | From 1 to 16 | From 4 to 4 | Reassigns all events to MIDI channel 4


Controllers, RPNs, NRPNs, and Automation Data

Controllers, RPNs, NRPNs, and
Automation Data

SONAR projects contain a lot more information than the notes and digital audio files that are at the heart of your work. Controllers, RPNs, and NRPNs (xRPNs, for short) are special types of events used by MIDI software and hardware to control the details of how MIDI music is played. Automation data are used to adjust volume, pan, and other parameters of MIDI and audio tracks on the fly while playback is in progress.

SONAR lets you enter or edit controller, xRPN, and automation data in several ways:

  • Using envelopes in the Track view (see Using Automation)
  • Using the Controllers pane in the Piano Roll view
  • Using the Insert-Series of Controllers command
  • Using the automation features of the Track view and Console view and StudioWare panels
  • Event by event in the Event List view

Editing data in the Track view's Clips pane or the Piano Roll view's Controllers pane gives you great flexibility. You can examine the controllers in graphical form and edit them even while recording or playback is in progress. This means you can loop over a portion of your project and hear any change you make on the next loop.

Note: MIDI envelopes you create in the Piano Roll Controllers pane and MIDI envelopes you create in the Track view Clips pane are actually separate envelopes, even if they control the same parameter. Both kinds of envelopes are visible in the Clips pane, and should generally not be used to control the same parameter. You can convert Piano Roll view envelopes to Track view envelopes by selecting the time range and tracks that the Piano Roll envelopes occupy, and using the Edit-Convert MIDI To Shapes command.

For more information on automation, see Using Automation, and Mixing and Effects Patching. For more information about the Event List view, see The Event List View.

See also:

Using the Controllers Pane

Controllers

Controllers are the MIDI events such as volume, sustain pedal, and pan that you use to change the sound while you're playing. You can enter controller data from within SONAR, or record them from external devices such as MIDI keyboards.

Controllers let you control the detail and character of your music. Say you're playing a guitar sound on your synthesizer, but it sounds lifeless and dull. That's partly because a guitar player doesn't just play notes one after another--he often bends or slides on the strings to put emotion into his playing. You can use controllers in the same way, creating bends, volume swells, and other effects that make sounds more realistic and more fun to listen to.

Your computer can work the controllers on your electronic instrument by sending MIDI Controller messages. The MIDI specification allows for 128 different types of controllers, many of which are used for standard purposes. For example, controller 7 is normally used for volume events, and controller 10 is normally used for pan. Every controller can take on a value ranging from 0 to 127.

The Piano Roll toolbar contains several dropdown lists that let you choose the controller you want to see and edit. The contents of these lists depend on the output and channel settings and on the instrument assigned to that output and channel. Different instruments use controllers in different ways. See Using Instrument Definitions.

Note:

SONAR has automatic searchback for all continuous controller data to ensure that the correct controller values are in effect regardless of where you start playback. Suppose you start playback halfway through a project. SONAR searches back from that point to find any earlier controllervalues that should still apply.

RPNs and NRPNs

RPNs (Registered Parameter Numbers) and NRPNs (Non-Registered Parameter Numbers) are similar to controllers, except that both the parameter number and data value can be any number between 0 and 16,383.

When RPNs and NRPNs are transmitted via MIDI or stored in a standard MIDI file, they are converted into four separate controller messages. SONAR detects incoming xRPN messages from MIDI inputs or files and reassembles them into a single RPN or NRPN event. This provides the convenience of single RPN or NRPN events in SONAR plus compatibility with existing files, equipment, and software. The following table shows the controller numbers SONAR uses for RPN and NRPN events:

Message... | Parameter number MSB Controller... | Parameter number LSB Controller... | Data value MSB Controller... | Data value LSB Controller...
RPN | 101 | 100 | 6 | 38
NRPN | 99 | 98 | 6 | 38

Automation Data

The Track and Console views allow you to record automation data that define changes in volume, pan and many other parameters throughout a project. The automation data can include step changes recorded using the snapshot button or continuous changes recorded while using the knobs, faders, and buttons.

The Track view allows you to create envelopes to adjust several parameters. For more about automation, see Using Automation.

Velocity, Pitch Wheel, and Aftertouch

SONAR lets you display and edit several other types of data the same way you do controller data. These data include:

  • MIDI note velocities
  • MIDI pitch wheel or pitch-bend messages
  • MIDI channel aftertouch (ChanAft) values
  • MIDI key aftertouch (KeyAft) values

Remember that note velocity is an attribute of each note and not a completely separate event. You cannot add or remove velocity events in the Controllers pane, but you can use the line and draw tools to adjust the velocity values for existing notes. You can also edit velocities with the Edit-Scale Velocities command. For more information, see Adding Crescendos and Decrescendos. You can edit individual note velocities in the Note Properties dialog box, described in Changing Note Properties.


Using the Controllers Pane

The Controllers pane is the lower half of the Piano Roll view. The Controllers pane looks like a graph; the horizontal axis represents time, and the vertical axis represents the event values. Each event appears as a single vertical line, and the height of this line shows the value of the event. The Controllers pane shows events for all the clips in a track or multiple tracks. You can only see one type of controller at a time, and you must select All Channels from the Channel dropdown list to view more than a single MIDI channel. The exception is velocity data, which are not channel specific. You can zoom in and out on the Controllers pane using the zoom and unzoom buttons on the toolbar. To zoom all the way in or out in a single step, hold the Shift key while you click on the tool.

Selection methods in the Controllers pane are similar to those in other views. Here is a summary:

  • Click on a controller to select it
  • Shift-click to add other controllers to the selection
  • Ctrl-click to toggle the selection state of a controller
  • Drag a rectangle around several controllers to select them
  • Click and drag in the Time Ruler to select all controllers in a time range
  • Click between two markers to select the controllers that lie between the markers

The Controllers pane has several tools you can use to add or modify events. The following tools apply only to the track that is selected in the Track List pane:

Tool... | Name... | What it's for...
 | Select | Select controller events, so you can delete them
 | Draw Line | Draw a straight line indicating a steady increase or decrease in controller value
 | Draw | Draw a custom curve indicating changes in controller value. Draw a straight line by holding down the Shift key while using the Draw tool.
 | Erase | Erase controller changes already in place

Note that you can also add controllers using the Insert-Series of Controllers command. If you make a mistake using any of these tools or commands, you can use Undo to correct the error.

When you use the Draw tool, the speed with which you drag the mouse determines the density of controller events. To insert a larger number of controller events with relatively small changes in value, move the mouse slowly. To insert a smaller number of controller events with relatively large changes in value, drag the mouse quickly.

Creating a change that sounds smooth does not always require making the value change by one on each tick. Bigger jumps may sound very gradual if the tempo is fast. Also, many devices round off the controller values. For example, many instruments respond to volume controller values of 100 and 101 with exactly the same loudness. Using too high a density of controller events can backfire by making the computer work so hard during playback that it is unable to keep up. This will usually cause hiccups or poor timing during playback.

Important:

Adding controller data beyond the slip-edited boundaries of a slip-edited clip in the Piano Roll view results in the slip-edited data being displayed in the Piano Roll view. To avoid this, you can use the Edit-Apply Trimming command to destructively edit the clip before adding the controller data.

To Display Controller, RPN, NRPN, Velocity, Pitch-Bend, or Aftertouch Data

  1. Select the track whose controller or xRPN data you want to see by clicking on the track number in the Track view.
  2. Choose View-Piano Roll to display the Piano Roll view.
  3. Click the Show/Hide Controller Pane button [image] .
  4. Choose the data you want to see according to the table:
    To see this...

    Do this...
    Controller data

    Choose Control from the first dropdown list in the toolbar, and then choose the controller and channel from the second and third dropdown lists
    RPN or NRPN data

    Choose RPN or NRPN from the first dropdown list in the toolbar, choose which RPN or NRPN you want from the second dropdown list, and choose the channel from the third dropdown list
    Velocity data

    Choose Velocity from the first dropdown list
    Pitch-bend data

    Choose Wheel from the first dropdown list, and the MIDI channel from the third dropdown list
    Aftertouch data

    Choose ChanAft from the first dropdown list, and the MIDI channel from the third dropdown list

SONAR displays the data in the controllers pane.

To Insert a Controller Value

  1. In the Controllers pane, choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the Draw tool [image] or the Draw Line tool [image] .
  3. Click in the Controllers pane view at any desired time point and value.

SONAR adds a controller at the indicated point.

To Draw a Linear Series of Controllers

  1. Choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the [image] tool.
  3. Drag a line in the Controllers pane from the starting time and value to the ending time and value.

SONAR adds a series of controllers and erases any existing controller values in the same time interval.

To Draw a Series of Controller Value Changes

  1. Choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the Draw tool [image] .
  3. Drag the cursor across the Controllers pane, adjusting the value as you move left to right.

SONAR adds a series of controllers and erases any existing controller values in the same time interval.

Tip:

When using the Draw tool [image] , you can press and hold the Shift key to draw a straight line.

To Insert a Series of Controllers

  1. Choose Insert-Series of Controllers to display the Insert Series of Controllers dialog box.
  2. Choose the controller type from the Insert list.
  3. Choose the controller number or type from the Number list.
  4. Use the spinners or enter the desired MIDI channel.
  5. Enter a starting and ending value in the Begin and End boxes.
  6. Enter a starting and ending time in the From and Thru boxes.
  7. Click OK when you are done.

SONAR inserts a series of controller events with values that change smoothly over time from the starting to the ending value indicated in the dialog box. This command never inserts more than one event on the same clock tick. If any controllers of the type you have selected already exist in the time region, SONAR deletes these before inserting the new ones.

To Remove or Erase Controllers

  1. Choose the data type, controller or xRPN number, and channel (if applicable) from the lists in the toolbar.
  2. Select the Eraser tool [image] .
  3. Drag the mouse over the desired region to highlight the region you want to erase.
  4. Release the mouse button when you have highlighted the desired region.

SONAR deletes all controllers of the selected type. (Note that you cannot delete velocity events in the Controllers pane. You must delete the notes that have those velocities.)

To Convert MIDI Controller Envelopes to Shapes

  1. In the Clips pane, select the time range and track(s) that contain the controller data you want to convert.
  2. Use the Edit-Convert MIDI To Shapes command.
The Convert MIDI To Shapes dialog box appears.
  3. In the Type field, select the type of controller you want to convert.
  4. In the Value field, select the controller number of the controller you want to convert. For example, if you're converting a volume envelope to a shape, select 7.
  5. In the Channel field, select the channel of the controller you want to convert, and click OK.

SONAR converts the Piano Roll view controller envelope you selected to a Track view shape that controls the same parameter.

Note: If two clips overlap, the Edit-Convert MIDI To Shapes command converts the controller envelopes in both clips, in whatever parts of the clips lie in the selected time range.


The Event List View

The Event List view shows events in a list format. You can insert, delete, or modify any kind of event, including notes, pitch-wheel data, velocity, MIDI controllers, patch changes, Wave files, lyrics, text strings, MCI commands, System Exclusive meta-events, and more.

There are three ways to open the Event List view:

  • Select one or more tracks and choose View-Event List
  • Select one or more tracks and click [image] in the Views toolbar
  • Right-click a track in the Track view and choose Views-Event List from the popup menu

The events in the selected tracks are listed one per line, from top to bottom. As you move the highlight through the event list, SONAR updates the Now marker (time display). During playback, the event list scrolls to display the events at the current time. The current event is centered in the Event List during playback, and the highlight is on the correct event when playback stops. Any time you change the Now time, the event list is updated and the highlight is moved to the event that will be played next.

When the Event List view includes more than one track, events are mixed together in chronological order. For example, if you select tracks 1 and 3 when you open the Event List view, you see a single list of intermingled events from tracks 1 and 3. You can have any number of Event List views, each containing any number of tracks, open at the same time. You can change the tracks shown in the Event List view by clicking the [image] button and choosing the tracks you want.

See:

Event List Buttons and Overview

Event List Display Filter

Editing Events and Event Parameters

Additional Event Information


Event List Buttons and Overview

Each line of the Event List view shows a single event along with all of its parameters. There are many different types of events. All share the following parameters:

  • The time of the event, displayed in SMPTE (hours:minutes:seconds:frames) format
  • The time of the event, displayed in MBT (measures:beats:ticks) format
  • The event type, or kind of event

The remaining parameters vary by event type. You can hide or show each kind of event by clicking its button in the Event List toolbar or by checking its checkbox in the Event Manager dialog box. Here is a summary listing of the parameters that apply to each type of event.

Short name and display button... | Type of event... | Parameters...
Note | MIDI note | Pitch (MIDI key number), velocity (0-127), duration (beats:ticks or simply ticks), MIDI channel (1-16)
KeyAft | MIDI key aftertouch | Pitch (MIDI key number), pressure amount (0-127), MIDI channel (1-16)
Control | MIDI controller change | Controller number (0-127), controller value (0-127), MIDI channel (1-16)
Patch | MIDI patch change | Bank select method, bank number, number or name of the patch, MIDI channel (1-16)
ChanAft | MIDI channel aftertouch | Pressure amount (0-127), MIDI channel (1-16)
Wheel | MIDI pitch wheel position | Wheel position (-8192 to 8191, where the center is 0)
RPN | Registered Parameter Number | Parameter number (0-16383), parameter value (0-16383), MIDI channel (1-16)
NRPN | Non-registered Parameter Number | Parameter number (0-16383), parameter value (0-16383), MIDI channel (1-16)
Sysx Bank | System Exclusive data bank | Sysx bank number (0-8191)
Sysx Data | System Exclusive data message | Sysx message up to 255 bytes long
Text | Text | Text
Lyric | Lyric | Text (a single word or syllable)
MCIcmd | Windows Media Control Interface (MCI) command | MCI command text
Wave Audio | Digital audio wave | Name, velocity (0-127), and number of samples
Shape Events | Automation graph segments made up of a solid line between two nodes | Change in values, kind of shape, and length in MBT format. Note: Shape events cannot be edited, only deleted.
Expression | Staff view expression marking | Text of expression mark
Hairpin | Staff view dynamics marking | Direction (crescendo or diminuendo) and duration
Chord | Staff view chord symbol | The name of the chord
Event List Manager | Opens Event Manager dialog box | Shows or hides various kinds of events
Events Out of Slip Edit Boundaries | Events that are outside of slip-edited boundaries | Note, audio, or controller data
Insert Event | Inserts a copy of highlighted event--double-click the event's Kind parameter to change it to the kind of event you want | Whatever the highlighted event's parameters are
Delete Event | Deletes the highlighted event | Whatever the highlighted event's parameters are
Pick Tracks and Show Next/Previous Track | Left side of button opens Pick Tracks dialog; right side of button opens Next Track/Previous Track dropdown menu | Allows you to pick what tracks the Event List shows events for

Here are some notes about events and their parameters:

  • The Channel parameter in the Track view can force an event to play on a different MIDI channel from the one shown in the event list.
  • Pedal marks entered in the Staff view are displayed in the Event List view as controller events (64).
  • Many keyboards do not support key aftertouch and channel aftertouch. Consult the User's Guide for your keyboard for more information.
  • When you double-click the value of a patch event, SONAR displays the Bank/Patch Change dialog box. For more information about bank and patch changes, To Insert a Bank/Patch Change.
  • See Using System Exclusive Data, for more information about System Exclusive banks.
  • See Editing Audio, for more information about audio clips.


Selecting Events in the Event List View

The following table describes how to select events in the Event List view:

To do this... | Do this...
Select a single event | Click on the event.
Select multiple, contiguous events | Select the first event, hold the Shift key down and click the last event.
Select multiple, contiguous events using the arrow keys | Hold down the Ctrl and Shift keys while pressing the up or down arrows.
Select multiple, non-contiguous events | Select an event, hold the Ctrl key while selecting additional events


Event List Display Filter

You can configure the Event List view to display different event types, as described in the following table:

To do this... | Do this...
Hide events of a certain type | Select the event type in the toolbar, in the Event List view popup menu, or in the Event Manager. To display a type of event, deselect it.
Open the Event Manager | Choose Event Manager from the popup menu, or click [image] .
Show or hide slip-edited events | As a default, if you slip edit the boundaries of a clip, all events outside those boundaries are hidden in the Event List view. If you want to see these events, click this button [image] . Note: You can not edit slip-edited material in the Event List view.


Editing Events and Event Parameters

The Event List view lets you add, delete, or change events one by one. You can also print the list of events or audition the events one at a time to see how they sound.

You can change the parameters of any event by moving the rectangular highlight to the cell you want to change and doing one of the following:

  • Type a new value and then press Enter
  • Press the - and + keys on the numeric keypad to decrease or increase values by a small amount
  • Press the [ and ] keys to decrease or increase values by a larger amount
  • Click and hold the mouse button, and then drag the mouse up or down to change the value by a small amount
  • Click and hold both mouse buttons, and then drag the mouse up or down to change the value by a larger amount
  • Double-click a cell, and then enter or choose a new value

If you change the time of an event, it may also change its position in the event list. The Event List view follows that event to its new location.

If you try to change the event type (kind of event), SONAR lets you choose the kind of event you want from a dialog box. When you change one kind of MIDI event into another kind of MIDI event, SONAR preserves the parameters as fully as possible.

Note: Shape events cannot be edited, only deleted.

To Insert a New Event

  1. Move the highlight (use the mouse or arrow keys) to the point at which you want to insert an event.
  2. Press Insert, or click [image] . SONAR makes a copy of the highlighted event.
  3. Change the event to the kind of event you need by double-clicking the name of the event that's listed in the Kind column. The Kind of Event dialog box appears.
  4. Choose what kind of event you want and click OK. SONAR changes the highlighted event to the kind you chose.
  5. Edit the event time and other parameter values as required.

If the Event List is initially empty, pressing the Insert key creates a default note event.

To Delete an Event

  1. Move the highlight (use the mouse or arrow keys) to the event you want to delete.
  2. Press Delete, or click [image] .

SONAR deletes the event.

To Delete Several Events

  1. Select the events you want to delete by clicking, dragging, or Ctrl or Shift-clicking in the first column of the Event List view.
  2. Choose Edit-Cut.

SONAR deletes the selected events.

To Print the Event List

  1. Choose File-Print Preview to display a preview of the printed event listing.
  2. Click the Zoom button (or just click the page) to zoom in and out, and use the Page Up and Page Down keys to review the pages.
  3. Click Print to print the event list, or click Close to close the Preview window without printing.

To Play Events Step by Step

  1. Using the keyboard, hold the Shift key and press the Spacebar to play the currently highlighted event. If the event is a note event, it plays until you release the Spacebar.
  2. When you release the Spacebar, the highlight moves to the next event.
  3. Continue pressing the Spacebar to play events one by one.
  4. To edit the last event you heard, release the Shift key.

The highlight moves back to the last event you heard, so you can make changes. You can also audition a single event using the mouse. Ctrl-click on an event to play the event. If the event is a note or Wave event, it plays until you release the mouse button.


Additional Event Information

Note Events--There are three values parameters for note events:

  • A pitch, which represents the MIDI key number as a note and an octave.
  • A velocity (0-127), which is how fast the key is struck. Some keyboards don't transmit or receive velocity messages.
  • A duration, which is how long the note lasts. This amount is shown in beats:ticks format. (If the note lasts less then one beat, then only the number of ticks is shown.)

Note names may also represent percussion instruments, and lists of such note names are sometimes associated with a particular percussion patch. The note C3, for example, may really be "kick drum." If a patch is associated with a percussion note name list, the name of the percussion instrument appears in Event List view rather than a note and an octave from the piano keyboard.

SONAR uses the following notation to display flats and sharps in this and other views:

Character... | Meaning...
b | flat
# | sharp
" | double flat
x | double sharp

MCIcmd Events

Media Control Interface (MCI) commands are special events that let you control other multimedia hardware and software (e.g., CD-ROM drives, laserdiscs, sound cards, animations, video) during playback. MCI commands are part of the multimedia extensions in Windows. MCIcmd events have one parameter--the command line text of the MCI command. Here are some examples:

This command... | Does this...
PLAY C:\TRAIN.WAV | Plays the Wave file train.wav
PLAY C:\VIDEOS\VACATION.AVI | Plays the video file vacation.avi from the VIDEOS folder
SET CDAUDIO TIME FORMAT TMSF PLAY CDAUDIO 3 | Plays a specific track from the CD drive
STOP CDAUDIO | Stops the CD from playing

While MCI commands can be used to play Wave files, these files are played at their normal speed and are not necessarily synchronized with MIDI or other audio data. By contrast, Wave audio clips are played in lock-step synchronization with MIDI and other audio data.

For complete documentation of Windows MCI commands, search for MCI on the Microsoft World Wide Web site (www.microsoft.com).


MIDI Effects (MIDI Plug-ins)

SONAR provides the ability to use plug-in MIDI effects. Using plug-in effects is similar to using the MIDI processing commands off-line. The overall procedure is as follows:

  • Select the MIDI data to be affected.
  • Choose the effect you want from the Process-MIDI Effects menu or from the popup menu's MIDI Effects menu.
  • Set effect parameters (or select a preset if you've made one for this purpose).
  • Click Audition to preview the music with the effect applied.
  • Click OK to apply the effect to the selected MIDI data.

If you're not happy with the result, choose Edit-Undo before doing any additional work.

MIDI effects can be applied to whole or partial clips. For example, you can apply an echo to just one note.

MIDI effects can also be applied to MIDI tracks in real time (during playback) in the Track and Console views. Unlike any of the processing described so far, using effects in real time is non-destructive. This means that the MIDI data itself is not modified. See Mixing and Effects Patching for more information on real-time effects.

Note:

Offline effects may cause your MIDI events to grow in size. For example, when you apply echo, the clip may need to grow to accommodate the tail end of the echo.

See:

Presets

Quantizing

Adding Echo/Delay

Filtering Events

Adding Arpeggio

Analyzing Chords

Changing Velocities

Transposing MIDI Notes


Presets

The MIDI effects dialog boxes support the use of presets. Presets are a way to store dialog box settings so that you can apply the exact same processing or effect again in the future. The following table tells you how to use presets:

To do this... | Do this...
Save the current settings as a preset | Enter a preset name and click the Save button
Use a preset | Select the preset from the dropdown list
Delete a preset | Select the preset, then click the Delete button


Quantizing

The Quantize command moves events to (or towards) an evenly-spaced timing grid. The Quantize effect is similar to the Process-MIDI Effects-Cakewalk FX-Quantize command. For more information, see Other Settings.

The quantize effect parameters are as follows:

Parameter/Option... | Meaning...
Start Times | Quantize event start times.
Durations | Quantize event durations.
Resolution | The spacing of the grid used for quantization.
Tuplet | Specify the resolution as a tuplet note, for example 5 notes in the time of 4.
Strength (%) | The strength of the adjustments. 100% indicates perfect quantization; otherwise, the command moves the notes only part way towards the desired position.
Swing (%) | The distortion of timing used to produce a swing feel. A value of 50% indicates a straight rendition; negative and positive values produce distortion of the timing grid.For more information about swing, see Swing.
Window (%) | The sensitivity of quantization. A value of 100% causes all notes to be quantized. Lower values cause the effect not to quantize notes that are far from the timing grid.
Offset (Ticks) | The offset of the quantization grid from the start of measure boundaries. A value of 0 indicates perfect alignment. Values less than 0 shift the grid points earlier; values greater than 0 shift the grid later.
Randomize | Causes a random time offset to be added to or subtracted from each new event time. You must also specify the maximum offset, as a percentage of the quantization resolution.

To Quantize MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Quantize from the Process menu or from the popup menu to open the Quantize dialog box.
  3. Set the quantization parameters, as described in the table above.
  4. Click OK.

SONAR applies the specified quantization to the selected data.


Adding Echo/Delay

The Echo Delay command creates a series of repeating echoes of each note. The echo notes can decrease or increase in velocity, and can be transposed from the original by regular intervals.

The parameters used to specify the echo/delay effect are as follows:

Parameter/Option... | Meaning...
Decay (%) | The reduction in velocity with each echo. A value greater than 100% indicates an increase in velocity.
No. Echoes | The number of echo notes for each original note. If the velocity reaches 0 before the specified number of echoes, the effect generates no more echo notes.
Delay | The delay between successive echo notes.
Delay Units | The units used to specify the delay. You may specify delay in ticks, in milliseconds, or as a note duration.
Tap | The delay you specify by tapping the control with the mouse.
Swing (%) | The distortion of timing used to produce a swing feel to the echo. A value of 0% indicates a straight rendition; negative and positive values produce distortion of the timing grid. For more information about swing, see Swing.
Transpose (Steps) | The number of steps to transpose each echo note from the previous. You can specify a Diatonic or Chromatic scale.

To Apply Echo/Delay to MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Echo Delay from the Process menu or from the popup menu to open the Echo Delay dialog box.
  3. Set the echo/delay parameters, as described in the table above.
  4. Click OK.

SONAR applies the specified echo effect to the selected data.


Filtering Events

The Event Filter command lets you remove events from the MIDI data, keeping or passing through only those events that you specify. The Event Filter effect works almost identically to the event filter used by the Edit-Select-By Filter command. For more information, see Event Filters.

To Apply an Event Filter to MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Event Filter from the Process menu or from the popup menu to open the Event Filter dialog box.
  3. Set the event filter parameters.
  4. Click OK.

SONAR applies the specified event filter to the selected data, removing all those events that do not meet the filter criteria.


Adding Arpeggio

The Arpeggiator command applies an arpeggio to its input and plays it back in real time. You can make it arpeggiate with a swing feel, or straight and staccato or legato, vary its speed and direction, and specify its range.

The parameters used to specify the arpeggiator effect are as follows:

Parameter/Option... | Meaning...
Swing (%) | The distortion of timing used to produce a swing feel. A value of 0% indicates a straight rendition; negative and positive values produce distortion of the timing grid. For more information on swing, see Swing.
Rate | The delay between successive notes.
Units | The units used to specify the delay. You may specify delay in ticks, in milliseconds, or as a note duration.
Legato (%) | The smoothness of the notes of the arpeggio. 1 percent plays each notes and releases it instantly. 99 percent plays each note up to the start of the next note.
Path | The direction of the arpeggio. Options are Up, Up (arpeggios go up), Up, Down (arpeggios go up, then down), Down, Down (arpeggios go down), Down, Up (arpeggios go down, then up).
Play thru | The disposition of the notes you play to specify the arpeggio. Checked plays the original notes. Unchecked filters out the original notes.
Specify output range | The range over which the arpeggio plays. Checked specifies that the arpeggiator repeats notes at each octave over the entire specified range. Unchecked specifies that the arpeggiator includes only the notes you actually play.
Lowest note | The MIDI number of the lowest note of the arpeggio. Numbers run from 0 to 127.
Span (Notes) | The number of half-steps in the range. Numbers run from 12 to 127.
Use chord control | The chord you specify. Checked specifies that the arpeggiator infers the chord from the notes played in the range. It identifies the chord in the Chord recognized box and uses it to play arpeggios for notes outside the range.
Lowest note | The MIDI number of the lowest note the arpeggiator uses for chord recognition (0 to 126).
Span (Notes) | The number of half-steps in the range. Numbers run from 1 to 127.
Chord recognized | The chord the Arpeggiator recognizes and plays.

To Apply the Arpeggiator to MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Arpeggiator from the Process menu or from the popup menu to open the Arpeggiator dialog box.
  3. Set the arpeggiator parameters, as described in the table above.
  4. Click OK.

SONAR applies the specified arpeggio effect to the selected data.


Analyzing Chords

The Chord Analyzer command analyzes chords. You select the notes to be analyzed in one of SONAR's windows, then open the Chord analyzer and press the Audition button. The chord appears on the MIDI display and the staff, and its name with possible alternatives appears in the Chords recognized box.

You can play the notes on your MIDI input device and have the Chord Analyzer identify the chords in real time. You do not have to set to playback.

You can open the Chord Analyzer in the Track and Console views, press Playback and have the Chord Analyzer identify the chords in real time

The Chord Analyzer has a single parameter:

Parameter/Option... | Meaning...
Examine every x (MIDI ticks) | The frequency with which the Chord Analyzer samples the chord. Lower numbers (smaller intervals) are more accurate, but require more computation.

To Analyze a Chord

  1. Select the notes to be analyzed.
  2. Choose MIDI Effects-Cakewalk FX-Chord Analyzer from the Process menu or from the popup menu to open the Transpose dialog box.
  3. Click the Audition key.

SONAR displays the chord and its name.

To clear the display, press the Clear button.

Note: When analyzing chords you may see chords being displayed before you hear them. You can reduce the amount of time these chords appear ahead of playback. To do so, open the MIDI tab in the Global Options dialog (Options-Global) and enter a lower value in the Prepare Using "N" Milliseconds Buffer option. Excessively low values may cause glitches during playback, so it is best to gradually reduce the value in this option until the desired result is achieved.


Changing Velocities

The Velocity command lets you adjust velocities of MIDI notes. You can set velocity values, set scale values, add specific or random offsets, create smooth transitions, and limit the velocity range.

The velocity effect options are as follows:

Parameter/Option... | Meaning...
Set all velocities to X | Sets all velocities to the specified value.
Change velocities by X | Adds a specified increment to all velocities.
Scale velocities to X% of their current value | Multiplies all velocities by a constant factor.
Change gradually from X to Y | Creates a smooth velocity change across the selection.
Change gradually from X% to Y% | Scales velocities by a gradually changing factor.
Limit range from X to Y | Brings all velocities into the specified range.
Randomize by +/- X | Adds or subtracts a random offset from each velocity. You must also specify the maximum offset. You can select this option in addition to one of the previous options.
Tendency | The tendency of the random offset to be lower or higher, on a scale from -10 to 10.

To Change Note Velocities

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Velocity from the Process menu or from the popup menu to open the Velocity dialog box.
  3. Select options as described in the table above.
  4. Click OK.

SONAR changes note velocities according to the specified options.


Transposing MIDI Notes

The Process-MIDI Effects-Cakewalk FX-Transpose command is a flexible transposition feature. You can perform simple chromatic or diatonic transpositions, transpose from one key to another, or define your own custom transposition.

The transpose options are as follows:

Parameter/Option...

Meaning...
Interval

Specifies chromatic transposition. Transposes notes by the specified number of steps.
Diatonic

Specifies diatonic transposition. Transposes notes by the specified number of scale steps within the specified scale.
Key/Scale

Specifies transposition from one scale and key to another.
Custom Map

Specifies custom transposition as defined by the map.
Offset

For Interval transposition, the number of steps for the transposition.
For Diatonic Transposition, the number of scale degrees for the transposition.
For Key/Scale transposition, a number of octaves added to each note after transposition.
Key

For Diatonic transposition, the key in which the transposition is made.
From, To

For Key/Scale transposition, the starting and ending key and scale.
Transposition Map

A table of pitch mappings for the specified transposition. You can select to show the pitches as note names or as note numbers. For Diatonic and Key/Scale transpositions, pitches not in the starting (from) key are indented.
To Change a pitch mapping, click on a From pitch and select a To pitch with the popup slider. If you change a pitch mapping, the transposition type is automatically set to Custom Map.
Constrain to Scale

For Diatonic and Key/Scale transpositions, forces all non-scale notes to be transposed to the nearest appropriate scale tone.

To Transpose MIDI Data

  1. Select the data to be affected.
  2. Choose MIDI Effects-Cakewalk FX-Transpose from the Process menu or from the popup menu to open the Transpose dialog box.
  3. Set the transposition options as described in the table above.
  4. Click OK.

SONAR transposes the selected data according to the options you specified.


Drum Maps and the Drum Grid Pane

There are several panes in the Piano Roll view designed for use with MIDI drum tracks: the Note Map pane which lists the original pitch values and the mapped values for each note, and the Drum Grid pane which displays your drum tracks (any track assigned to a drum map) and where you can edit your drum tracks.

The Basics

The Note Map Pane

The Drum Grid Pane

Creating and Editing a Drum Map

Using Drum Maps

Tutorial 8--Drum Maps


The Basics

Drum maps are virtual MIDI ports that you create and edit. Drum maps give you total control over all the MIDI drum sounds you have access to either in the form of software (DXi synths) or hardware (external MIDI sound modules).

Drum maps in SONAR allow you to do the following:

  • Re-map note events, for example, map a General MIDI drum kit to a non-General MIDI drum kit.
  • Create a custom drum kit from several MIDI devices (DXi synths, hardware synths) and play it from a single MIDI track if desired.
  • Use the Drum Grid Editor to show only the drum sounds you want to see.
  • Sort drum sounds to suit your needs.
  • Mute and solo individual drum sounds

See the following:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

To Preview a Mapped Sound


Creating and Editing a Drum Map

You can create a drum map by either modifying an existing drum map or by creating a new drum map.

The Drum Map Manager

Creating a Drum Map

The Map Properties Dialog

Saving a Drum Map


The Drum Map Manager

In the Drum Map Manager dialog you can create and save drum maps for use with hardware or software synths and samplers. You can customize drum maps to select specific sounds on any of your available sound sources.

To Open the Drum Map Manager Dialog

You can open the Drum Map manager in one of the following ways:

  • Select Options-Drum Map Manager from the menu
OR
  • Click on the Out field of your MIDI drum track and select Drum Map Manager

Drum Maps Used in Current Project

This field displays all the currently available drum maps. click the New button [image] to create a new drum map and Delete [image] to delete a drum map. Select a drum map to display the drum mappings in the Drum Map Manager. All drum maps in this field are saved with the current project.

Presets

Presets can be used to populate the fields in the Drum Map Manager. This field is also used to save new drum maps by entering a name in the field and clicking the save button.

Settings

The Settings section is where you map the following for each In Note (source):

  • In Note--The source MIDI note value.
  • Out Note--The MIDI note value that plays on the destination sound source.
  • Name--The user-defined name for the row.
  • Chn--The channel on which the note is transmitted.
  • Out Port--The hardware output port or software virtual output port to which you are sending the note.
  • Vel+--Apply a velocity offset setting to an individual mapped pitch.
  • V Scale--The V Scale value sets a level of compression or expansion. A value below 100% is compression. A value above 100% is expansion. The Vel+ setting allows for gain make-up.

Ports and Channels

This section lists each unique Port and Channel pairing. This allows you to make quick global changes that Port and Channel pairing's bank and patch settings.

See:

Working in the Drum Map Manager


Working in the Drum Map Manager

The following table lists several ways of editing settings in the Drum Map Manager.
To do this... | Do this...
Audition a row | Select the row and press Shift+Spacebar
Sort rows | Drag and drop a row to a new location
Select multiple rows | Click a row, hold down the Ctrl key while selecting additional rows
Change the Output Port for all rows with the same Channel/Port | Press Ctrl+Shift while changing the port.
Undo an edit | Press the Undo button

See:

The Drum Map Manager

Creating a Drum Map


Creating a Drum Map

Use the following procedure to create a new drum map or modify an existing drum map.

To Create a New Drum Map

  1. In any MIDI track, click the Out dropdown and choose Drum Map Manager from the menu that appears.
OR
Select Options-Drum Map Manager.
Note: When creating a new drum map, the map settings are derived from the current track's instrument definition if the track is assigned to a "drum" instrument definition.
  2. If you want to create a totally new drum map, click the Create New Drum Map button [image] next to the Drum Maps Used in Current Project field.
OR
If you want to create a new drum map based on an existing drum map, click the Presets dropdown menu and select a preset you want to modify.
A new drum map appears in the Existing Maps field.
  3. Select the new drum map.
  4. If you need to create drum map rows, click the Create New Drum Map row button [image] .
  5. If you need to delete an existing row, select the row and click the Delete button [image] .
  6. Change map settings as described in the following table:
    To do this...

    Do this...
    Add a row (a mapped pitch)

    Click the Create New Row button [image] .
    Change In Note or Out Note value

    Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.
    Change the Name setting

    Double click on the appropriate cell and enter a new name.
    Change the Channel setting

    Click the appropriate channel cell's down arrow and select a channel from the menu that appears.
    Change the Out Port setting

    Click the appropriate Out Port cell's down arrow and select an output port from the menu that appears.
    Change the Vel+ setting

    Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.
    Change the V Scale setting

    Double-click in the appropriate cell and enter a new value, or click on the right side of the cell, and when the cursor changes to an up and down arrow, drag it up to increase the value or down to lower the value.

To Automatically Create a Drum Map When You Open a MIDI File

You can set up SONAR to automatically create a drum map when you open a .mid file.

  1. Select Options-Global.
The Global Options dialog appears.
  2. In the General tab, check the Create Default Drum Map For Non-SONAR Files option.
  3. Open a .mid file.
SONAR automatically creates a drum map called DM1 assigned to the preset Default.

See:

The Drum Map Manager

Working in the Drum Map Manager


The Map Properties Dialog

The Map Properties dialog lets you change all the settings for an individual mapped note in your drum map. The settings in the Map Properties dialog are the same as a single row in the Drum Map Manager. If you want to edit more than one drum note pitch mapping, click the Map Mgr button to open the Drum Map Manager dialog.

To Open the Map Properties Dialog

  • Double-click on a row in the Note Map pane.
OR
  • Right-click on a row in the Note Map pane and select Map Properties from the menu that appears.

See:

The Drum Map Manager

Working in the Drum Map Manager

Creating a Drum Map


Saving a Drum Map

Use the following procedure to save a new or modified drum map.

  1. In the Drum Map Manager, enter a name for the new drum map in the Preset field.
  2. Click the Save button [image] .

Drum map presets are saved and available for all projects. Drum maps are saved on a per-project basis.


Using Drum Maps

The following topics cover using drum-mapped tracks, including how to display drum tracks in the Drum Grid pane and how to edit note velocities.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Assigning a MIDI Track to a Drum Map

Use the following procedure to assign a MIDI track to a drum map:

To Assign a MIDI Track to a Drum Map

  1. Display the Track view if it is minimized.
  2. In the track you want to assign to a drum map, click the Out dropdown and select a drum map from the options in the menu that appears.

See:

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Opening a Drum Map

Use the following procedure to open a drum map in the Drum pane:

To Open a Drum Map

  1. In the Track view, assign the drum map you want to open to a MIDI track. See Assigning a MIDI Track to a Drum Map.
  2. Select the MIDI track you just assigned the drum map to and select View-Piano Roll.

To Open All Tracks Assigned to a Drum Map

  1. Select a single track assigned to the drum map.
  2. Hold down Ctrl+Shift while selecting View-Piano Roll.

See:

Assigning a MIDI Track to a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Displaying Tracks in the Drum Grid Pane

Use the following procedure to display a drum track or tracks in the Drum Grid pane.

To Display Tracks in the Drum Grid

  1. Create a drum map if you have not already done so. See Creating a Drum Map.
  2. Change the focus to the Track view.
  3. In the track(s) you want to view in the Drum Grid Editor, select a drum map from the Output dropdown menu.
  4. Select the tracks you want to view in the Drum Grid Editor and select View-Piano Roll.

The Piano Roll view appears with the selected track's data appearing in the Drum Grid Editor.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Velocity Tails

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Velocity Tails

In the Drum Grid pane, you have the option of showing the velocity of each note as a series of bars. The higher the bars, the higher the velocity value.

To Display Velocity Tails in the Drum Grid Pane

  • Click the Show/Hide Velocity Tails button [image] in the Piano Roll view toolbar.
OR
  • Press the Y key.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Editing Note Velocities

To Change the Order of Mapped Notes in the Drum Map Pane


Editing Note Velocities

In the Drum Map Editor you can display note velocities as a series of horizontal bars behind the note. Click the Show/Hide Velocity Tails button [image] to display note velocities.

To Edit a Note Velocity in the Drum Grid Pane

  1. Click the Draw tool button [image] .
  2. Move your cursor over the velocity tail you want to edit until the cursor changes to look like this:
  3. Click and drag the velocity tail. Drag it up to increase the velocity. Drag it down to decrease the velocity.

To Edit Multiple Note Velocities in the Drum Grid Editor

When you edit multiple notes that have different initial velocities, the velocities are adjusted on a relative basis, so if you reduce a velocity by 50%, all other selected notes have their velocities reduced by the same percentage. For example: you select three notes. The first has a velocity of 100, the second a velocity of 50, and the third a velocity of 30. You click and drag the velocity of the first note down to 50. The second note's velocity changes from 50 to 25 and the third note's velocity changes from 30 to 15.

  1. Select the notes you want to change the velocity of.
  2. Click the Draw tool button [image] .
  3. Move your cursor over the velocity tail you want to edit until the cursor changes to look like this:
  4. Click and drag the velocity tail. Drag it up to increase the velocity. Drag it down to decrease the velocity.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

To Change the Order of Mapped Notes in the Drum Map Pane


Previewing a Mapped Sound

Use the following procedure to hear the drum sound you have mapped a note to.

To Preview a Mapped Sound

  • In the Note Map pane, click on the name of the sound you want to hear.

See:

Assigning a MIDI Track to a Drum Map

Opening a Drum Map

Displaying Tracks in the Drum Grid Pane

Velocity Tails

To Change the Order of Mapped Notes in the Drum Map Pane


The Note Map Pane

The Note Map pane displays the current drum map. In the Note Map pane each row represents a pitch. The Note In pitch is the recorded pitch. You map the recorded pitch to whatever pitch you want using the Note Out pitch setting. You can also change the name of the mapped note and mute or solo the mapped note.

Changing Mapped-note Settings


Changing Mapped-note Settings

You can change the following settings in the Note Map pane:

  • Mapped-note name
  • Note Out
  • Mute
  • Solo

To Change the Name Setting

The name of a mapped note in the Note Map pane is a user-assigned variable. Make it descriptive for easy reference. To change the Name setting, use the following procedure:

  1. In the Note Map pane, double-click on the appropriate row.
The Map Properties dialog appears.
  2. In the Map Properties dialog, enter a new name in the Name field and press the Enter key.

To Change the Note Out Setting

The Note Out setting is the actual note you hear when the Note In value is played. To change the Note Out setting, use the following procedure:

  1. In the Note Map pane, double-click on the appropriate row.
The Map Properties dialog appears.
  2. In the Map Properties dialog, enter a new value in the Note Out field and press the Enter key, or use the +/- buttons to change the value and press the Enter key.

To Change Multiple Note Out Settings

  1. Open the Drum Map Manager.
  2. In the Drum Map Manager, select a contiguous range of rows by selecting the first in the range, and holding down the Shift key while selecting the last in the range.
OR
Select a non-contiguous range by selecting one row and holding down the Ctrl key while selecting additional rows.
  3. Hold down both the Ctrl and Shift keys while selecting a new Output in the Output column.

To Mute or Solo a Mapped Note

The Mute and Solo controls in the Note Map pane allow you to mute or solo an individual mapped note. To mute or solo a mapped note, use the following procedure:

  • In the Note Map pane, click the Mute [image] or Solo [image] button in the appropriate row.
OR
  • Right-click on the row you want to mute or solo and select Mute or Solo from the menu that appears.

To Display the Note In and Note Out Values By Their Pitch Name

You have the option of showing the Note In and Note Out values by their pitch names. To do so, use the following procedure:

  • Right-click on any row in the Note Map pane and select the Display Pitch Names command from the menu that appears.

To Change the Order of Mapped Notes in the Drum Map Pane

Use the following procedure to change the order of mapped notes in the Note Map pane.

  1. Move your cursor over the row you want to move in the Note Map pane.
  2. When your cursor changes to look like this [image] , click and drag the row to the place you want it to be and release the mouse button.


The Drum Grid Pane

The Drum Grid pane is where you edit your drum tracks. The Drum Grid pane is the top pane in the Piano Roll view and opens automatically when you open a MIDI drum track.

See:

Event Inspector Toolbar

Grid Lines

The Drum Grid pane is for MIDI drum tracks what the Note pane is for other MIDI tracks. In the Drum Grid pane you can add, delete and edit notes and note properties. You can customize the number of grid lines in the Drum Grid pane and choose whether or not to show note velocity "tails."

Event Inspector Toolbar

Velocity Tails

Grid Lines


Grid Lines

The Drum Grid pane is divided into a time grid. You can set the resolution of the grid lines from 1/4 note to 1/64 note, or to follow the current snap grid setting.

The Show/Hide Grid Lines combo button [image] toggles on and off the grid lines in the Drum Grid pane and sets the grid line resolution.

To Turn on Grid Lines in the Drum Map Pane

  • Click the Show/Hide Grid Lines combo button [image] in the Piano Roll view toolbar.
OR
  • Press the I key.

To Set the Drum Map Pane Grid Line Resolution

  • Click the down arrow on the Show/Hide Grid Lines combo button [image] and select an option from the menu that appears.

See:

Piano Roll View

The Pattern Brush Tool


The Pattern Brush Tool

The Pattern Brush tool [image] , on the Piano Roll View toolbar, allows you to insert multiple notes using your mouse, either following a pattern used in an existing MIDI file or at the current note duration setting.

See:

Piano Roll View

How the Pattern Brush Tool Works

Creating Custom Patterns


How the Pattern Brush Tool Works

When you select the Pattern Brush tool you can click and drag in the Drum Grid pane (also works in the Note pane) to produce a series of notes. Which notes appear in the Drum Grid depends on the settings you make in the Pattern Brush tool's dropdown menu. To open the Pattern Brush tool's dropdown menu, click the right side of the Pattern Brush tool.

The following table covers the options found in the Pattern Brush tool's dropdown menu:

Option... | Description...
Velocity | Select this option to open the Pattern Velocity dialog. The value you enter in this dialog sets the default velocity for all notes entered using the Pattern Brush tool unless you select Use Pattern Velocities.
Use Pattern Velocities | Select this option to use the note velocities used in the custom pattern file you are using. If you are using the Note Duration option, this option is not available.
Use Pattern Polyphony | Select this option to use the pitch values from the custom pattern file you are using. If you are using the Note Duration option, this option is not available. When using this option, the vertical position of your mouse does not affect the note pitches draw; that information is read from the pattern.
Note Duration | This option uses the current note duration setting in the Piano Roll View toolbar as the interval between notes.

To Paint Notes Using the Pattern Brush Tool

  1. Open a track in the Drum Grid pane or the Note pane.
  2. In the Pattern Brush tool's dropdown menu, select Note Duration.
  3. In the Piano Roll View toolbar, select a note duration. This value is the interval between notes when using the Pattern Brush tool.
  4. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this [image] when in the Drum Grid pane.
  5. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  6. Release the mouse button.

SONAR creates a series of notes, at equal intervals.

To Paint a Custom Pattern of Notes Using the Pattern Brush Tool

  1. Open a track in the Drum Grid pane.
  2. In the Pattern Brush tool's dropdown menu, select the custom pattern you want to use. If you need to create a custom pattern, see Creating Custom Patterns.
  3. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this when in the Drum Grid pane.
  4. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  5. Release the mouse button.

To Use a Custom Pattern's Note Velocities

  1. Open a track in the Drum Grid pane.
  2. In the Pattern Brush tool's dropdown menu, select the custom pattern you want to use. If you need to create a custom pattern, see Creating Custom Patterns.
  3. In the Pattern Brush tool's dropdown menu, select Use Pattern Velocities.
  4. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this when in the Drum Grid pane.
  5. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  6. Release the mouse button.

To Use a Custom Pattern's Pitch Values

  1. Open a track in the Drum Grid pane.
  2. In the Pattern Brush tool's dropdown menu, select the custom pattern you want to use. If you need to create a custom pattern, see Creating Custom Patterns.
  3. In the Pattern Brush tool's dropdown menu, select Use Pattern Polyphony.
  4. Click the Pattern Brush tool [image] to select it.
Your cursor should appear like this when in the Drum Grid pane.
  5. Click where you want to begin placing notes and drag until you have inserted all the notes you want.
  6. Release the mouse button.

See:

Piano Roll View

How the Pattern Brush Tool Works

Creating Custom Patterns


Creating Custom Patterns

You can create custom patterns and use the Pattern Brush tool to quickly paint them into the Drum Grid pane. Use the following procedure to create a custom pattern.

To Create a Custom Pattern

  1. Create a new file, or open an existing MIDI file or pattern file that you want to edit.
  2. Right-click in the Time Ruler where you want the pattern to start and select Insert Marker from the menu that appears.
The Marker dialog appears.
  3. Enter the name you want to use for the first pattern and click OK.
  4. In a MIDI track, enter a pattern of notes.
  5. If you want to create a second pattern, repeat steps 2 through 4.
  6. Create as many patterns as you want, ending the last pattern with a marker called "end".
  7. Save the file as a MIDI file (.mid) in the Pattern Brush Patterns folder in the directory where you installed SONAR.
Note: You can change the default directory where SONAR looks for patterns in the Folders tab of the Global Options dialog.
You may need to re-start SONAR to see the new patterns in the dropdown menu next to the Pattern Brush. The name you gave the file appears with an arrow next to it. Move your mouse over it to see a subdirectory which contains each of the patterns you created.

See:

Piano Roll View

How the Pattern Brush Tool Works

Creating Custom Patterns


Editing Audio

The Track view lets you edit and arrange audio clips. You can perform basic tasks such as cut, copy, paste, and move; apply simple audio processing such as gain change, fades, and equalization; and use sophisticated audio effects such as stereo chorus and reverb. The Track view lets you see your audio clips on a timeline, arranged by track, to help you visualize the organization of your project's audio data.

Most audio processing commands and audio effects can be used from the Event List view as well, by selecting one or more audio clips, then choosing the desired command from the Process-Audio or Process-Audio Effects menu. Plug-in effects can also be applied to audio data non-destructively, in real time, in both the Console and Track views. For more information, see Mixing and Effects Patching.

See:

Digital Audio Fundamentals

Basic Audio Editing

Basic Audio Processing

Advanced Audio Processing

Slip Editing (Non-Destructive Editing)

Fades and Crossfades

Audio Effects (Audio Plug-ins)


Digital Audio Fundamentals

Digital audio is a numeric representation of sound; it is sound stored as numbers. In order to understand what the numbers mean, you need to start with the basic principles of acoustics, the science of sound.

See:

Basic Acoustics

Example--A Guitar String

Waveforms

Recording a Sound

The Decibel Scale

Audio Clips

Managing Audio Data


Basic Acoustics

Sound is produced when molecules in the air are disturbed by some type of motion produced by a vibrating object. This object, which might be a guitar string, human vocal cord, or a garbage can, is set into motion because energy is applied to it. The guitar string is struck by a pick or finger, while the garbage can is hit perhaps by a hammer, but the basic result is the same: they both begin to vibrate. The rate and amount of vibration is critical to our perception of the sound. If it is not fast enough or strong enough, we won't hear it. But if the vibration occurs at least twenty times a second and the molecules in the air are moved enough, then we will hear sound.

See:

Digital Audio Fundamentals


Example--A Guitar String

To understand the process better, let's take a closer look at a guitar string.

When a finger picks a guitar string, the entire string starts to move back and forth at a certain rate. This rate is called the frequency of the vibration. Because a single back and forth motion is called a cycle, we use a measure of frequency called cycles per second, or cps. This measure is also known as Hertz, abbreviated Hz. Often the frequency of vibration of an object is very fast, so we can also express the frequency in thousands of cycles per second, or kilohertz (abbreviated kHz).

The actual distance the string moves is called its displacement. This is proportional to how hard the string is plucked. A greater displacement results in a louder sound.

The displacement of the string changes as the string vibrates, as shown here:

The segment marked "A" represents the string as it is pulled back by the pick; "B" shows it moving back towards its resting point, "C" represents the string moving through the resting point and onward to its outer limit; then "D" has it moving back towards the point of rest. This pattern repeats continuously until the friction of the molecules in the air gradually slows the string to a stop. As the string vibrates, it causes the molecules of air around it to vibrate as well. The vibrations are passed along through the air as sound waves. When the vibrations enter your ear, they make your eardrum vibrate, and you hear a sound. Likewise, if the vibrating air hits a microphone, it causes the microphone to vibrate and send out electrical signals.

In order for us humans to hear the sound, the frequency of the vibration must be at least 20 Hz. The highest frequency sound we can hear is theoretically 20 kHz, but, in reality, it's probably closer to 15 or 17 kHz. Other animals, and microphones, have different hearing ranges.

If the simple back-and-forth motion of the string was the only phenomenon involved in creating a sound, then all stringed instruments would probably sound much the same. We know this is not true, of course; the laws of physics are not quite so simple. In fact, the string vibrates not only at its entire length, but at one-half its length, one-third, one-fourth, one-fifth, and so on. These additional vibrations (overtones) occur at a rate faster than the rate of the original vibration (the fundamental frequency), but are usually weaker in strength. Our ear doesn't hear each frequency of vibration individually, however. If it if did, we would hear a multinote chord every time a single string were played. Rather, all these vibrations are added together to form a complex or composite sound that our ear perceives as a single tone.

This composite waveform still doesn't account for the uniqueness of the sound of different instruments. For example, stringed instruments usually have a resonator. In the case of the guitar, the resonator is the big block of hollow wood to which the string is attached (the guitar body). This has a major impact on the sound we perceive when a guitar is played because it enhances or amplifies some of the vibrations produced by the string and diminishes or attenuates others. The ultimate effect of all the vibrations occurring simultaneously, being altered by the resonator, adds up to the sound we know as guitar.

See:

Digital Audio Fundamentals


Waveforms

A sound wave can be represented in many different ways: as a mathematical formula, as a series of numbers, or graphically as a waveform. A waveform displays the size, or amplitude, of the vibration as a function of time.

The three waveforms shown above are quite different from one another, both in appearance and sound. Each has its own characteristic shape, or envelope, and each has its own complex combination of frequency components, which can change across the duration of the sound.

The center line of a waveform is the zero line; it corresponds to the rest position (displacement of 0) of the original vibrating object. (A waveform for perfect silence would be a horizontal line at zero.) Back and forth motions of the vibrating object translate to upward (positive) and downward (negative) excursions of waveform amplitude.

The waveform crosses the zero line twice during each complete vibration. These zero-crossings are important in digital audio processing; they are good places to cut waveforms apart and splice them together. If waveforms are cut or spliced at other locations, clicks and pops can occur. The maximum amplitude of the waveform in each vibration is also important: it determines the strength of the vibration, and thus the loudness of the sound.

See:

Digital Audio Fundamentals


Recording a Sound

To record digital audio, your computer monitors the electrical signal generated by a microphone (or some other electroacoustical device). Because the signal is caused by a sound, the signal strength varies in direct proportion to the sound's waveform. The computer measures and saves the strength of the electrical signal from the microphone, thus recording the waveform.

There are two important aspects of this measuring process. First is the sampling rate, the rate at which the computer saves measurements of the signal strength. It is a known fact of physics that you must measure, or sample, the signal at a rate at least twice that of the highest frequency you wish to capture. For example, suppose you want to record a moderately high note on a violin--say the A whose fundamental frequency is 440 Hz and all overtones up to five times the fundamental. The highest frequency you want to capture is 2,200 Hz, so you need to measure the electrical signal from the microphone at least 4,400 times per second.

Since humans can hear frequencies well above 10 kHz, most sound cards and digital recording systems are capable of sampling at much higher rates than that. Typical sampling rates used by modern musicians and audio engineers are 22 kHz, 44.1 kHz, and 48 kHz. The 44.1 kHz rate is called CD-quality, since it is the rate used by audio compact discs.

The other important aspect of the measuring process is the sampling resolution. The sampling resolution determines how accurately the amplitude of each sample is measured. At present, the music industry has settled on a system that provides 65,536 different values to assign to the amplitude of a waveform at any given instant. Thus, each sample saved by your computer requires 2 bytes (16 bits) to store, since it takes 2 bytes to store a number from -32,768 to 32,767. The scaling of the electrical input signal level to amplitude value is determined by your audio hardware and by the position of your input level control.

What if the amplitude of the sampled signal gets too high, such that a 16-bit number is not large enough to represent it? What typically happens is that the signal is clipped, cut off at the maximum value.

Clipping is not usually desirable and may have unpleasant audible effects. Sudden irregularities in the waveform of any type can cause clicks, pops, and distortion of the original sound.

See:

Digital Audio Fundamentals


The Decibel Scale

In acoustics, the decibel (dB) scale is a scale for measuring the relative loudness of two sounds. For example, environmental noise is often measured as follows:

L = 20 log (p/p0)

where L is the sound pressure level (in dB), p is the sound pressure amplitude, and p0 is a reference amplitude of 20 micropascals (less than one billionth of atmospheric pressure). On this scale, a barely audible sound (p = p0) has a sound pressure level of 0 dB, normal conversation (p = 1,000*p0) is at a level of around 60 dB, and a jet engine at close range (p = 1,000,000*p0) is at a level of around 120 dB.

Similar decibel scales are used in other branches of science and engineering to measure electrical power levels and other signal levels, always with respect to some reference level.

In SONAR, decibels are used in several places:

  • To scale the amplitude of the waveform (3dB Louder and 3dB Quieter commands)
  • To indicate volume levels of audio tracks in the Track view and Console view
  • To indicate the effects of filters and equalizers

The reference level (0 dB) usually corresponds to the current loudness of the sound. A positive change in decibels makes the sound louder; a negative change makes the sound quieter.

See:

Digital Audio Fundamentals


Audio Clips

If you have read Digital Audio Fundamentals, you should have a good idea of what is contained in a SONAR audio clip. An audio clip contains a long series of numbers, or samples, representing the fluctuating amplitude of a waveform. Audio clips are typically quite large, hundreds of kilobytes to many megabytes in size. By comparison, a MIDI event takes only a few bytes to store.

The Track view lets you see your audio waveforms in great detail; you can zoom in until you see the individual samples.

You should also now be aware of some things to watch out for when editing your audio data. First, if you cut audio clips apart or splice them together, you should do so at zero-crossings in the waveform (places where the amplitude is zero), in order to avoid sudden changes in amplitude that may cause clicks and pops. Second, you should beware of clipping. Clipping of the audio waveform can occur if you record a signal at too high a record level, or if you apply audio processing or effects that increase the waveform amplitude too much. If you accidentally cause the waveform to clip, you should undo the command and try again with different parameters.

Clipping can also occur in other situations, for example, if you try to play or mix several loud audio tracks together, the aggregate signal strength may at times exceed the clipping limit, and the output signal will be distorted. To correct the problem, you can create a volume envelope to reduce the level in loud audio clips or reduce the track volume in the Console or Track views.

See:

Digital Audio Fundamentals


Managing Audio Data

Because of the great size of audio data, SONAR uses an intelligent scheme for storing audio clips on disk to conserve disk space and minimize the time it takes to load and save data. Audio data is not stored directly in your project file, but rather in separate files in a special directory. For more information, see Audio File Management.

You can export your project as RealAudio, MP3, WMA, or a Wave file. You can also convert your project's MIDI data to audio and export it to any of the above formats. For more information, see Preparing Audio for Distribution.

See:

Digital Audio Fundamentals


Basic Audio Editing

The Track view lets you perform basic editing tasks such as cut, copy, paste, delete, drag-and-drop, split, and bounce. You can drag fade-ins and fade-outs onto a clip using your mouse or you can set complex envelopes on both clips and tracks. You can use envelopes to change settings for gain (volume), pan, mute, Aux Send level and Aux Send pan. The Scrub tool lets you audition portions of audio by dragging the mouse.

Use the Select tool to make selections.

Here is a summary of the ways in which you can select audio clips:

To do this... | Do this...
Select a single clip | Click the clip
Select several clips at once | Drag a rectangle around them
Select part of an clip | Press Alt and drag over a portion of the clips
Add clips to the selection | Press Shift and either click the clips or drag a rectangle around the clips
Add or remove clips from the selection | Press Ctrl and either click the clips or drag a rectangle around the clips
Add or remove clips in a track from the selection | Click the track number
Select clips in a time range | Drag in the Time Ruler
Select clips between two markers | Click between the markers
Remove all selections | Click in an empty area outside of any clip

See:

Editing Clip Properties

Moving, Copying, Pasting and Deleting Audio Clips

Splitting Audio Clips

Bouncing to Clips

Scrubbing


Editing Clip Properties

Audio clips have several properties that you can change:

Property... | Description...
Name | The name of a clip is used in the Track view and Event List view. You can assign any name to help you remember the contents of the clip.
Start | The start determines when the sample is played.
Length | The length indicates the size of the clip.
Snap Offset | A value that represents the number of samples into the clip at which the clip snaps to.
Display Color | The clips color in the Track view.

To Change an Audio Clip's Name

  1. Right-click the audio clip and choose Clip Properties.
  2. Type a new name in the Name box.
  3. Click OK.

The new clip name appears in the upper left corner of the clip.

To Change a Clip's Start

  1. Right-click an audio clip and choose Clip Properties.
  2. Enter a new starting time in the Start field.
  3. Click OK.

The Track view displays the clip at the new starting time.


Moving, Copying, Pasting and Deleting Audio Clips

Clips can be cut, copied, pasted, and deleted with Edit menu commands, or moved and copied with drag-and-drop techniques. For more information, see Arranging Tracks and Clips for details.


Audio Scaling

Audio scaling is the increase or decrease in the size (scale) of the waveform in a track. Audio scaling allows you to make detailed edits by zooming in on the parts of the waveform closest to the zero crossing (silence) while preserving the track size. By showing just the quietest parts of a clip, you can make very precise edits.

You can change the audio scale using keyboard shortcuts or the Audio Scale Ruler.

The Audio Scale Ruler is located in the vertical splitter bar between the Clips pane and the Track pane.

There are three display options in the Audio Scale Ruler:

  • Percentage--shows audio scaling by percentage. For example, if the highest percentage in the Audio Scale Ruler reads 2.0%, then only the parts of the waveform which are within 2% of the zero crossing appear in the clip.
  • dB--shows audio scaling by dB. For example, if the highest dB in the Audio Scaling Ruler reads -36, then only the parts of the waveform which are 36 dB below 0 dB appear in the clip.
  • Zoom Factor--shows audio scaling by a factor. For example, if the Zoom Factor reads 10, then the waveform is zoomed in by a factor of 10.

Note: The Audio Scale Ruler display reflects the type of audio clip directly beneath it. If it is a stereo clip, the Audio Scale Ruler appears in stereo (one for each channel). If it is a mono clip it appears in mono. Also, the Audio Scale Ruler only displays numbers when it is of above a certain height. If you cannot see the Audio Scale Ruler, increase the size of your track or tracks.

To Change the Audio Scale Display Option

  1. Right-click on the Audio Scale Ruler in any track.
A menu appears. The current display option is checked.
  2. Select an option from the menu.

To Scale All Audio Tracks Together

To scale all audio tracks together, follow the instructions in the table below:

To do this... | Do this...
Increase the scale for all tracks | Press Alt+Up Arrow. OR Hold down the Ctrl key and click the Vertical Zoom In button. When you hold down the Ctrl key and position your cursor over the Vertical Zoom In button, your cursor looks like this:
Decrease the scale for all tracks | Press Alt+Down Arrow. OR Hold down the Ctrl key and click the Vertical Zoom Out button. When you hold down the Ctrl key and position your cursor over the Vertical Zoom Out button, your cursor looks like this:
Increase/Decrease the scale for all tracks using your mouse | Hold down the Ctrl key, click the Vertical Zoom Fader and drag the fader up or down. When you hold down the Ctrl key and position your cursor over the Vertical Zoom fader, your cursor looks like this:
Increase to maximum scale | Hold down the Ctrl and Shift keys and click the Vertical Zoom In button. When you hold down the Shift and Ctrl keys and position your cursor over the Vertical Zoom In button, your cursor looks like this:
Decrease to minimum scale | Hold down the Ctrl and Shift keys and click the Vertical Zoom Out button. When you hold down the Shift and Ctrl keys and position your cursor over the Vertical Zoom Out button, your cursor looks like this:

To Scale a Single Track

To scale a single audio track, follow the instructions in the table below:

To do this...

Do this...
Increase/decrease the scale of individual stereo or mono tracks

There are several ways to increase or decrease the size of an individual audio track's or clip's waveform:
  • Press Ctrl+Alt+Up/Down arrows
  • Click and drag vertically in the track's Audio Scale Ruler.
When you click and drag in the Audio Scale ruler of a track, your cursor looks like this:

  • Select the Zoom tool, hold the Shift key and drag around the clip you want to zoom in on.
When you have the Zoom tool selected in the Track view toolbar and you drag over a section of audio, your cursor looks like this:

  • Select the Select tool, hold down the Shift key and z keys, and drag around the clip you want to zoom in on.
When you have the Select tool selected and the Shift and z keys held down, your cursor looks like this:
Restore a track to minimum scale

Double-click in the track's Audio Scale Ruler.

To Undo Audio Scaling

  • Press the U key.

To Scale a Single Track Using the Audio Scale Ruler

  • In the track in which you want to change the audio scale, click in the Audio Scale Ruler and drag. Drag up to increase the audio scaling. Drag down to decrease the audio scaling.

To Hide the Audio Scale Ruler

  1. Right-click in the Clips pane.
  2. Select View Options from the menu that appears.
The Track View Options dialog appears.
  3. In the Track View Options dialog, uncheck the Show Audio Scale checkbox and click OK.


Splitting Audio Clips

You can split long audio clips into shorter ones. This lets you extract and rearrange individual sounds, adjust timing and alignment, and apply effects selectively. Audio clips can be split using the Scissors tool in the Track view or with the Split command.

To Split Clips with the Scissors Tool

  1. If necessary, zoom-in in the Track view and use the Scrub tool to determine where you want to make a split.
  2. If you want the split to be made on a note or measure boundary, a marker, or by an event, open the Snap to Grid dialog, make the appropriate settings and click the Snap to Grid button to turn on the Snap to Grid.
  3. Click the Scissors tool button on the Track view toolbar.
  4. Click once to make a single split, or to make two splits, click where you want the first split, drag within a clip and release to make a second split.

To Split Clips with the Split Command

  1. Select the clip you want to split.
  2. Right-click the selected clip and select Split from the menu.
The Split Clips dialog appears.
  3. In the Split Clips dialog, select from the following options.
    Option...

    Description...
    Split At Time

    Specify the time at which you want to split the clip and the time format.
    Split Repeatedly

    Specify the first measure at which you want to split the clip in the Starting At Measure field and the intervals at which you want to split the clip in the And Again Every field.
    Split At Each Marker

    Creates a split in the clip at every marker.
    Split When Silent For At Least

    Creates a split after each period of silence which exceeds the number of measures specified.

SONAR splits the audio clip according to your specifications. Each new clip has the same name as the original clip.

Note: A shortcut to split a selected clip is to move the Now time to where you want to split it, and press s on your computer keyboard.


Bouncing to Clips

Individual audio clips in the same track can be combined into a single clip with the Bounce to Clip(s) command.

Note:

Like any clips, slip edited clips can be combined with other clips using the Bounce to Clip(s) command. When a slip edited clip is combined with another clip, any slip edited data (audio or MIDI events that are cropped from view) is overwritten

To Bounce to Clips

  1. Select the clips to be combined in the Track view.
  2. Choose Edit-Bounce to Clip(s).

The clips are combined into a single clip. Empty space between clips is filled with silence in the new clip. All clip automation from the source clips is applied to the new clip.

To Bounce Multiple Audio Clips to a New Track

  1. Select the clips to be combined in the Track view.
  2. Choose Edit-Bounce to Track(s).
The Mixdown Audio/Bounce to Track(s) dialog appears.
  3. Select the track you want to bounce to in the Destination field.
  4. Select other options in the Mixdown Audio/Bounce to Track(s) dialog and click OK.

The clips are combined into a single clip on the destination track. Empty space between clips is filled with silence in the new clip.


Scrubbing

You can use the Scrub tool to locate or audition a particular sound or passage as you drag the mouse. You can scrub a single audio track by dragging over that track or all tracks by dragging in the Time Ruler.

Note: The Scrub tool is not affected by current Mute and Solo settings of a track.

To Audition Audio with the Scrub Tool

  1. Click the Scrub tool [image] .
  2. Click and drag the pointer over an audio track.

Tip:

To hear the clips in all audio tracks, drag with the Scrub tool in the horizontal ruler.


Basic Audio Processing

Audio processing commands let you modify audio data according to some rule or algorithm. The rule can be as simple as reversing the audio data or multiplying it by a certain factor, or as complex as performing a Fourier analysis and selectively amplifying or attenuating sounds at certain frequencies. Among the basic audio processing commands are ones to increase and decrease volume, to reverse the data, and to perform equalization.

Audio processing commands can work on whole, partial and non-contiguous clips. For example, suppose you want to make certain words in a vocal passage softer. You can create a volume envelope and use it to lower the volume, non-destructively in just the section of the track containing those words. You could also use the 3dB Quieter command to lower the volume destructively.

You should listen to the results of your work after each audio processing command. If you don't like what you hear, you can use Edit-Undo to restore your audio data to its previous state.

Many of the dialog boxes associated with SONAR's audio processing and effects commands have two important features: Audition and Presets.

The Audition button is used to audition the processed audio data. When you click Audition, SONAR processes the first few seconds of your data, then plays it repeatedly until you click Stop. This helps you to get an idea of whether the settings in the dialog box are producing the desired effect.

The audition duration is three seconds by default. You can change this value by choosing Options-Global, selecting the General tab and changing Audition Commands for ( ) Seconds.

Presets are a way to store dialog box settings so that you can apply the exact same processing or effect again in the future. The following table tells you how to use presets in the effects dialog boxes.

To do this... | Do this...
Save the current settings as a preset | Enter a preset name and click the Save button
Use a preset | Select the preset from the dropdown list
Delete a preset | Select the preset, then click the Delete button

Many audio processing and effects presets are supplied with SONAR.

See:

Increasing or Decreasing Volume

Reversing Audio Data

Equalizing Audio Data


Increasing or Decreasing Volume

SONAR provides three commands to boost or cut the volume of audio data. The 3dB Louder and 3dB Quieter commands are used to increase or decrease the volume by three decibels, respectively. For more information on the decibel scale, see The Decibel Scale. You can apply these commands several times in succession to get a larger boost or decrease. The Normalize command "normalizes" the audio data: it boosts the volume until the maximum amplitude is reached somewhere in the data. By normalizing the data, you achieve the maximum possible volume without distortion or clipping.

Like all the audio processing commands, these commands work by modifying the waveform data. You can achieve volume changes non-destructively using automation. For more information, see Using Automation.

When increasing or decreasing the volume of audio clips, you should consider the following points:

  • Normalize and 3dB Louder raise the noise floor; that is, while they increase the volume of the signal, they also amplify the noise it contains. (This is true when you raise the volume by other means, too.)
  • 3dB Louder, if applied to a signal that is already fairly loud, may cause the waveform to exceed the maximum amplitude and clip.
  • Normalize, by raising the waveform amplitude to the maximum, puts the signal in danger of being clipped if you subsequently apply a command or effect that boosts the signal slightly. If this occurs, you may have to back up and apply 3dB Quieter to the normalized signal before the other processing.
  • Each application of 3dB Quieter erodes the signal structure slightly; you cannot repeatedly apply 3dB Quieter, then use 3dB Louder. to return to the original waveform.
  • Due to the nature and limitations of digital audio, the sum of all audio signals played together cannot exceed the waveform amplitude limit. Even though no individual clip is clipped, the combination may cause distortion.

If the selection contains any loud signals, Normalize may not seem to have any effect. This is because the volume increase is determined by the loudest audio in the selection. If an audio clip contains segments that are too quiet and others that are loud, you should probably split off the quiet segments into separate clips and then normalize those.

To Boost Audio Volume by Three Decibels

  1. Select the audio data to be affected.
  2. Choose Process-Audio-3dB Louder from the menu.

SONAR increases the volume of the selected audio by 3dB.

To Decrease Audio Volume by Three Decibels

  1. Select the audio data to be affected.
  2. Choose Process-Audio-3dB Quieter from the menu.

SONAR decreases the volume of the selected audio by 3dB.

To Normalize Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio-Normalize from the menu.

SONAR increases the volume of the selected audio to the maximum it can reach without clipping.


Reversing Audio Data

By reversing audio data, you can make it play backwards. You may wish to do this to obtain unusual sounds for special effects.

The Reverse command does not reverse the musical position of audio data. Use the Process-Retrograde command to invert the order of clips in time.

To Reverse Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio-Reverse from the menu.

SONAR reverses the selected audio data.


Equalizing Audio Data

Equalization lets you boost or decrease the volume of sounds at different frequencies. For example, you can boost the bass, cut high-frequency hiss, or brighten mid-range vocals.

SONAR provides a graphic equalizer that lets you boost or decrease the volume of audio clips in ten frequency bands. The width of each band doubles as you go from low to high frequencies; thus, the centers of the bands are each an octave apart.

Boosting the audio signal too much may result in clipping or distortion. If this occurs, you may need to undo the command, then decrease the volume one or more times with the 3dB Quieter command, or insert a volume envelope, before equalization.

To Equalize Audio Data

  1. Select the audio data to be modified.
  2. Choose Process-Audio-Graphic EQ from the menu, to open the Graphic EQ dialog box.
  3. Choose a preset, or adjust the sliders to the desired equalization.
  4. Click Audition to hear a preview of the first three seconds of the selected audio with the equalization applied.
  5. Click OK when the settings are the way you want.

SONAR applies the specified equalization to the selected audio.


Advanced Audio Processing

SONAR provides a number of advanced audio processing commands for power users. Among these are commands to remove silent sections of audio from the data and to apply parametric equalization, fades, and crossfades.

See:

Removing Silence

Parametric Equalization


Removing Silence

The Remove Silence command detects sections of audio that fall below a given loudness threshold, and replaces those sections with absolute silence. Remove Silence gives you the option of actually deleting the silent sections from the selected audio clips, splitting long audio clips into a greater number of shorter audio clips.

SONAR treats passages of absolute silence intelligently. It doesn't store stretches of silence on disk, and thereby conserves disk space. During a passage of absolute silence, SONAR sends no signal to the digital output port; this results in cleaner audio playback. Remove Silence is great for cleaning up your final audio mix, because it can mute all audio tracks in which the live performers were "laying out."

Using Remove Silence to split long audio clips into smaller ones opens a variety of creative possibilities.

The parameters in the Remove Silence dialog box are used to specify exactly what you mean by silence. More precisely, Remove Silence employs what is called a digital noise gate. The gate is a type of filter, it passes data through, or stops it from passing through, according to certain criteria. Parameters in the dialog box specify the conditions under which the gate is opened and under which it closes again.

The digital noise gate parameters are described in the following table.

Parameter... | Meaning...
Open Level (dB) | The loudness threshold for opening the noise gate. The gate officially opens when loudness rises above this level, although it can open earlier because of the Attack Time.
Close Level (dB) | The loudness threshold for closing the noise gate. The gate officially closes when loudness falls below this level, although it can stay open later because of the Release Time.
Attack Time (ms) | The value in this field is the interval of time after the volume reaches the Open Level for the gate to fully open. Opening the gate gradually produces a fade-in effect instead of an instant on-off sound.
Hold Time (ms) | The minimum time for the gate to stay open. Hold Time is useful when you've set high open and close levels, for example, when your source signal is very loud. Noise gates set this way tend to react to repeated percussive passages (such as drum rolls) by repeatedly opening and closing; this can sound unpleasant. By setting a hold time, you can ensure that the gate stays open long enough during percussive passages.
Release Time (ms) | The amount of time after the Close Level is reached that the gate actually closes. This lets the tail end of sounds pass through without being clipped.
Look Ahead (ms) | The value in this field causes the gate to open slightly before the sound reaches the Open Level so you don't lose the sound's attack.

To Remove Silence

  1. Select the audio data to be affected.
  2. Choose Process-Audio-Remove Silence to open the Remove Silence dialog box.
  3. Set the digital noise gate parameters as described in the table above.
  4. Check the Split Clips box to delete the silent sections of audio.
  5. Click OK to remove silence from the selected data.

SONAR processes the audio as directed.


Extracting Timing

The Extract Timing command creates MIDI notes and (optionally) tempo changes based on rhythmic peaks in audio.

The Extract Timing command first analyzes the audio for pulses-sudden percussive changes in volume. Then, from each pulse's position and intensity, Extract Timing synthesizes new timing information, in the form of note events or tempo changes.

This command offers exciting ways to get your MIDI data to "groove" along with audio rhythm tracks. For example, using Extract Timing you can:

  • Generate MIDI notes that play along with a rhythm, retaining all the accents in the rhythm track
  • Create templates for the Process-Groove Quantize command, so that your MIDI tracks play with the same feel as your audio rhythm track
  • Adjust the tempo and feel of an existing sequence to match that of a new rhythm track
  • Record a new MIDI sequence on top of an audio rhythm track, letting the audio track determine the tempo map for the song

Extract Timing works in two steps: Pulse Analysis and Timing Synthesis. In the first step, the selected audio is scanned for sudden percussive attacks. You must adjust the Pulse Analysis parameters, then click Audition to see the results and decide if the pulses are satisfactory. The Pulse Analysis parameters are as follows:

Parameter/Option | Meaning
Preset field | Use this field to choose and enter presets. Click the Save button to save any group of new settings after you enter a name in the Preset field. Click the Delete button to delete any selected group from the Preset field.
Trigger Level (db) | The loudness of audio needed to trigger a new pulse.
Minimum Length (ms) | The minimum allowable amount of time between pulses. If you are working with dynamic source material, and Extract Timing seems to generate clusters of pulses that seem incorrect, you should experiment with increasing the value of this parameter.
Find a Steady Rhythm | Tells SONAR to look for a steady rhythm among all the pulses it finds. For example, if you're analyzing a drum track that consists of a steady beat on the snare and kick-drum, but which also has some syncopated accents, you can use this option to ignore the syncopation and retain only the backbeat.

In the second step, you set the Timing Synthesis parameters to determine how the pulses are converted to musically meaningful data. The Timing Synthesis parameters are as follows:

Parameter/Option | Meaning
Insert Tempo Changes | Tells SONAR to insert tempo changes in the appropriate places in your song to ensure that the sequence plays in time with the rhythm track. Remember to also set the Expected Pulse Duration, because it defines the metronome markings for all tempo changes.
Expected Pulse Duration | The musical time value for each pulse that was found. For example, if you're analyzing a drum beat that has steady eighth notes on the high-hat, you should set this value to Eighth for the correct tempo changes to be inserted.
Convert Pulses to MIDI Note | Tells SONAR to create a MIDI note event for each pulse that was found. The Note Velocities parameter lets you select which velocity will be used
Note Velocities | The velocity of generated MIDI notes. You can either select Vary With Pulse Level to adjust velocity to the dynamic structure of the original source material, or select Set All To Same Value to assign each inserted MIDI note a specified velocity.

When using Extract Timing, keep in mind the following:

  • It knows nothing about the musical context of the audio.
  • It does not know, and cannot figure out, the approximate tempo of the audio, the feel, or the time signature.

It only knows how to listen for sudden changes in volume. You must guide it with your own knowledge about the music.

To Extract Timing from Audio Data

  1. Select the audio data to be analyzed.
  2. Choose Process-Audio-Extract Timing to open the Extract Timing dialog box.
  3. Set the Pulse Analysis parameters as described in the table above, or choose a preset from the preset field.
  4. Click Audition to get visual feedback in the Clips pane, so you can be sure the pulses are aligned to your liking. If not, readjust the parameters and try again.
  5. Set the Timing Synthesis parameters as described in the table above.
  6. Click OK.

The generated events are automatically placed on the Clipboard. You can paste them to a new track, or use them directly in another command (such as Groove Quantize).


Parametric Equalization

The Parametric EQ command lets you apply a high-pass, low-pass, band-pass, or band-stop filter to your audio data. You must specify the filter type and parameters as follows:

Parameter... | Meaning...
High pass | Removes frequencies that are below the cutoff F1.
Low pass | Removes frequencies that are above the cutoff F1.
Band pass (Peak) | Removes frequencies that lie outside the range F1-F2.
Band stop (Notch) | Removes frequencies that lie within the range F1-F2.
F1 (Hz) | First frequency cutoff.
F2 (Hz) | Second frequency cutoff.
Quality | The sharpness the frequency cutoff, that is, how far outside the cutoff range a frequency must be for its gain to be fully reduced. Higher Quality values are sharper.
Cut (dB) | The maximum amount of gain reduction to apply to stopped frequencies.
Gain (dB) | The overall level for the filtered audio. Setting the gain too high may result in clipping or distortion.

Note:

For band filters, setting F1 and F2 close together may cause distortion or ringing.

To Apply the Parametric Equalizer to Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio-Parametric EQ, or right-click and choose Parametric EQ from the menu, to open the Parametric EQ dialog box.
  3. Set the filter type and parameters as described in the table above.
  4. Click OK.

SONAR applies the specified filter to the selected data.


Slip Editing (Non-Destructive Editing)

Slip editing allows you to non-destructively hide or reveal the beginning of a clip, the end of a clip, or both. The hidden material in a clip is not heard during playback. All hidden material remains intact and can be restored. All slip editing movements correspond to the current snap to resolution. For more information about the snap to grid, see Defining and Using the Snap Grid.

Important:

Like any clips, slip-edited clips can be combined with other clips using the Bounce to Clip(s) command and slip-edited clips in a track can be mixed down to another track. When a slip edited clip is combined with another clip or an effect is applied to a clip using the Process-Apply Audio Effects command, any slip-edited data (audio clips or MIDI events that are cropped from view) is overwritten.

See:

Slip Editing Modes

Using Slip Editing


Slip Editing Modes

Slip editing has three modes:

Trimming

As a default, when slip editing a clip, the clip's contents always remains fixed in time. If the first measure of a clip is hidden using slip editing, the remaining material does not shift forward in time by a measure. The first measure of the clip is simply muted during playback. Playback of the clip resumes at the second measure.

Slide-trimming

If you want the clip's contents to shift in time, you can move the material in a slip edited clip by using modifier keys, clicking on the middle of the clip and moving it either right or left.

Scroll-trimming

You can also shift the clip's contents in time, in relation to either the beginning or end of the clip itself, by scroll-trimming.

See also:

Using Slip Editing


Using Slip Editing

When slip editing the beginning of a MIDI clip, if you drag the start of the clip past the beginning of a note (Note On), the entire note is lost even if it extends into the part of the clip which remains visible. Only notes completely contained in the slip edited clip remain.

When slip editing the end of a MIDI clip, if you drag the end of the clip so it covers part of a note, the note's duration is trimmed accordingly.

If you insert a new MIDI event which does not fall within the boundary of a slip-edited clip, a new MIDI clip, which contains the new MIDI events, is created.

Important:

Adding controller data beyond the slip-edited boundaries of a slip-edited clip in the Piano Roll view results in the slip-edited data being displayed in the Piano Roll view. To avoid this, you can use the Edit Edit-Apply Trimming command to destructively edit the clip before adding the controller data.

To Slip Edit a Clip

  1. Steps 1-5 are for audio clips only: Right-click on the clip you want to slip edit.
  2. Select Clip-Properties from the menu.
The Clip Properties dialog appears.
  3. Select the Action tab.
  4. Make sure the Enable Looping checkbox is unchecked.
  5. Click OK.
  6. Make edits according to the following table:
    To do this...

    Do this...
    Trim the beginning of a clip

    Move the cursor over the beginning of a clip. When the cursor changes in appearance to look like this [image] , click and drag the clip to the right until you have removed the unwanted information.
    Trim the end of a clip

    Move the cursor over the beginning of a clip. When the cursor changes in appearance to look like this [image] , click and drag the clip to the left until you have removed the unwanted information.
    Scroll-Trimming a clip (Moving the clip contents in time while maintaining the clips start and end time)

    Press the Alt+Shift keys while moving the cursor over the middle of the clip. When the cursor changes to look like this [image] , click and drag the clip to the left or right as desired. The contents (audio or MIDI data) in the clip follow the Snap to Grid resolution, i.e. if your resolution is set to half note, the contents of your clip moves in half-note intervals.
    Slide-Trimming the beginning of a clip (Moving the start time of the clip and the clip's contents while preserving the end time)

    Press the Alt+Shift keys and move the cursor over the beginning of the clip. When the cursor changes to look like this [image] , click and drag the beginning to the desired start time.
    Slide-Trimming the end of a clip (Moving the end time of the clip and the clip's contents while preserving the clip's start time)

    Press the Alt+Shift keys and move the cursor over the end of the clip. When the cursor changes to look like this [image] , click and drag the end to the desired location.

The hidden information in the slip edited clips remains intact but is not heard during playback.

To Permanently Delete Slip-edited Data

  1. Select the clips that contain the slip-edited data you want to delete.
  2. Select the Edit-Apply Trimming command.

SONAR: permanently deletes the slip-edited data from the clips you selected.


Fades and Crossfades

Fades are a gradual increase or decrease in volume at the beginning (fade-in) or end (fade-out) of a clip. A crossfade is when one clip fades out while another fades in. There are two ways to create fades and crossfades in SONAR: offline (destructive) and real-time (non-destructive).

See:

Using Fades and Crossfades in Real Time

Applying Fades and Crossfades Offline


Using Fades and Crossfades in Real Time

You can create real-time fades and crossfades in the Track view's Clips pane. Real-time fades and crossfades do not change the data in the clip. SONAR reads the fade-in, fade-out or crossfade in the clip and adjusts the gain accordingly. You can edit he crossfade's start time and end times.

You can set the type of fade-in or fade-out you want to use as a default:

  • Linear--A straight line, raising or lowering the volume at a steady rate.
  • Slow Curve--A curved fade which starts to change the volume slowly at first and then rapidly increasing (fade-in) or decreasing (fade-out) the volume.
  • Fast Curve--A curved fade which starts to change the volume quickly at first and then rapidly decreasing (fade-out) or increasing (fade-in) the volume.

The following crossfade combinations are possible:

Crossfade combination... | Looks like this...
Linear out/Linear in |
Linear out/Slow Curve in |
Linear out/Fast Curve in |
Slow Curve out/Linear in |
Slow Curve out/Slow Curve in |
Slow Curve out/Fast Curve in |
Fast Curve out/Linear in |
Fast Curve out/Slow Curve in |
Fast Curve out/Fast Curve in |

To Create a Real-time Fade-in in an Audio Clip

Use the following procedure to create a fade-in in an audio clip:

  1. In the Track view's Clips pane, move your mouse over the top part of the beginning of a clip until the cursor looks like this: .
  2. When your cursor changes, click and drag to the right until you reach your desired fade-in length.
As you drag your mouse a fade-in appears on your clip.

To Create a Real-time Fade-out in an Audio Clip

Use the following procedure to create a fade-out in an audio clip:

  1. In the Track view's Clips pane, move your mouse over the top part of the end of a clip until the cursor looks like this: .
  2. When your cursor changes, click and drag to the left until you reach your desired fade-out length.
As you drag your mouse a fade-out appears on your clip.

To Create an Automatic Crossfade (Real-time)

Use the following procedure to create a crossfade between two audio clips:

  1. In the Track view, click the Enable/Disable Automatic Crossfades combo button located next to the Snap to Grid button or press the x key.
  2. Click the down arrow on the Enable/Disable Automatic Crossfades combo button, select Default Crossfade Curves and select a crossfade curve.
  3. Select and drag an audio clip so that it overlaps another audio clip. You should overlap the clips by the length you want the crossfade.
  4. When you have the clip positioned where you want it, release the mouse button to drop the clip.
The Drag and Drop Options dialog appears.
  5. In the Drag and Drop Options dialog, check the Blend Old With New checkbox and click OK.
  6. The two clips now overlap with a crossfade, looking something like this:

You can edit fade-ins and fade-outs. You can change the start, end and position of a fade. The following procedures all demonstrate edits to a fade-in, but fade-outs work exactly the same.

To Edit the Start Time of a Fade While Maintaining the End Time of the Fade

Changing the start time of a fade-in is essentially slip editing the beginning of the clip. The beginning of the fade-in can not be separated from the beginning of the clip. Use this procedure to change the start time of the fade-in while maintaining the current end time of the fade:

  1. In the Clips pane, move your cursor over the bottom part of the beginning of a clip which has a fade-in.
  2. When your cursor looks like this [image] , click and drag the beginning of the fade-in (and the clip) to the desired location and release.

To Edit the Start Time of a Fade While Maintaining the Length of the Fade

Use this procedure to change the start time of the fade-in while maintaining the current end time of the fade:

  1. In the Clips pane, move your cursor over the middle part of the beginning of a clip which has a fade-in.
  2. When your cursor looks like this [image] , click and drag the beginning of the fade-in (and the clip) to the desired location and release.

To Change an Existing Fade

Use the following procedure to change an existing fade on a clip:

  1. Move your cursor over the beginning of a fade-out or the end of a fade-in, until your cursor looks like this: .
  2. Right-click to and select the desired fade type from the menu that appears.

To Change an Existing Crossfade

Use the following procedure to change an existing crossfade:

  1. Move your cursor over the region where the crossfade is.
  2. Right-click and select the desired crossfade from the menu that appears.


Applying Fades and Crossfades Offline

SONAR provides several commands for applying gradual volume changes to audio data. The first command, Fade/Envelope, lets you fade in or fade-out, and lets you choose an envelope, a curve that governs the rate of the fade. The starting envelope can be linear (straight line), exponential, or inverse exponential. You can change the shape of the envelope before applying the fade.

The envelope in the Fade/Envelope dialog box is made of one or more connected line segments (the linear curves are a single segment, the exponential curves consist of nine segments each). Although the endpoints of the curve are fixed, you can move the intermediate points, and create new intermediate points, to change the shape of the curve.

To do this... | Do this...
Move a point | Click and drag it to a new location
Insert a new point | Click on the line between existing points
Remove a point | Drag it onto the next point
Restart from the original curve | Click Reset

The second command, Crossfade, lets you create a smooth transition from one audio clip to another, by fading two overlapping audio clips simultaneously (one fades out, the other fades in). As with Fade/Envelope, you can choose from three different starting curves and change the shape of the curve.

To Apply a Fade to Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio-Fade/Envelope to open the Fade/Envelope dialog box.
  3. Select an envelope from the dropdown list.
  4. If desired, manipulate the curve as described in the table above.
  5. Click OK.

SONAR applies the fade to the selected audio data.

To Crossfade Two Overlapping Clips

  1. Select two overlapping audio clips. They need not be on the same track, but they must overlap in time for the command to have any effect.
  2. Choose Process-Audio-Crossfade to open the Crossfade dialog box.
  3. Select an envelope from the dropdown list.
  4. If desired, manipulate the curve as described in the table above. You can manipulate only the curve pertaining to the first of the two overlapping clips; the second curve is automatically adjusted so that the two curves constantly add up to 100%.
  5. Click OK.

SONAR applies the two fades to the selected data.


Audio Effects (Audio Plug-ins)

SONAR provides the ability to use plug-in audio effects using Microsoft's DirectX technology. Some audio plug-in effects are supplied with SONAR. Others can be purchased from third-party software manufacturers, and appear automatically in SONAR's menus once they are installed on your system. If you need help when using a plug-in, press the F1 key on your computer keyboard to open the plug-in's help file. Please note that third-party plug-ins may not have a help file.

This section describes the effects that are included with SONAR.

Using plug-in effects is similar to using the audio processing commands off-line. The overall procedure is as follows:

  • In the Track view, right-click the Fx field and select an effect from the popup menu.
  • Set effect parameters (or select a preset).
  • Listen to the track and adjust parameters based on what you hear.

You can add audio effects, like MIDI effects, to audio tracks in real time (during playback) in the Console and Track views. Unlike any of the audio processing discussed so far, using effects in real time is non-destructive. This means that the audio clip data itself is not modified, and no new audio files are created. See Mixing and Effects Patching, for more information on real-time effects.

Note:

Off-line effects may cause your audio clips to grow in size. For example, when you apply reverb, your clip may need to grow to accommodate the tail end of an echo.

See:

Applying Audio Effects

Mixing Audio Effects

Adding Parametric Equalization

Adding Chorus

Applying Delay

Adding Flanging

Applying Reverb

Shifting Pitch

Stretching Time and Pitch


Applying Audio Effects

From the Console and Track views you can destructively apply audio effects for one or more tracks. When you are pleased with the audio effects you have patched into a track, you can apply the effects to the track. Destructively applying effects to a track saves resources, allowing you to include additional tracks and/or effects.

To Apply Audio Effects

Add one or more audio effects to one or more tracks in either the Track view or the Console view, and then:

  1. In the Track view, select the tracks you want to be affected.
  2. Select Process-Apply Audio Effects from the menu.
  3. If desired, select the option to delete the effects after applying them.
  4. Click OK.

If you do not delete the effects from each track after applying them, they remain active.

Note:

Effects can be undone, but effects are not re-patched in the Effects bin.


Mixing Audio Effects

The dialog box for each plug-in effect has a Mixing tab that provides three options for processing the data.

Option...

Meaning...
Process In-Place, Mono to Mono

Audio is processed clip-by-clip, in mono format. The processed output of the plug-in replaces the original clip's data, in-place. (If the plug-in produces only stereo output, SONAR automatically converts the audio to mono.)
This option is best for effects like Time/Pitch Stretching and Parametric Equalization.
Process In-Place, Creating Stereo Output Tracks

Audio is fed into the plug-in, clip-by-clip, in mono format. A new stereo track is inserted beneath the selected track, and the stereo output of the plug-in is placed into this stereo track. (If the plug-in produces only mono output, SONAR automatically converts it to stereo.)
If you check Keep Original Data, SONAR won't delete the original audio data. This lets you create stereo wet-only tracks for finer mixing control. If you leave Keep Original Data unchecked, the processed data will replace the original audio clips.
Create a Send Submix

All selected audio tracks are mixed down into a stereo submix. This stereo submix is fed into the plug-in, in stereo. The stereo output of the plug-in is placed into a new stereo track at the destination you choose.
If you check Keep Original Data, SONAR won't delete the original audio data. If you leave it unchecked, the processed data will replace the original audio clips.


Adding Parametric Equalization

The Cakewalk-FxEQ command lets you apply a complex filter to your audio data. The complex filter is a combination of up to eight simple filters or bands, each defined individually.

Parameters for each filter are described in the following table:

Parameter/Option... | Meaning...
Voice | The voice field lists the band which the other parameters are affecting.
Center Frequency--coarse | The center frequency of the current band (the band listed in the Voice field). The range is from 20 Hz to 20,000 Hz.
Center Frequency--fine | A fine tuning of the center frequency.
Bandwidth (Q)--coarse | The bandwidth of the selected voice.
Bandwidth (Q)--fine | A fine tuning of the bandwidth of the selected voice.
Active Channel L + R | When selected the EQ affects both the left and right channels.
Active Channel L | When selected the EQ affects the left channel only.
Active Channel R | When selected the EQ affects the right channel only.
Bypass | The plug-in is bypassed in the chain.
Band (1-8) | Each band can be set to a different frequency and bandwidth or bypassed by clicking its bypass button immediately above the band's selection button.
Lo Shelf | A low frequency gain or cut. Lo Shelf can be set from between 20 and 200 Hz
Hi Shelf | A high frequency gain or cut. Hi Shelf can be set as low as 4000 Hz
Trim | The trim setting for the plug-in.

The horizontal axis shows increasing frequency; the vertical axis shows the gain or attenuation at each frequency. If the curve is above the horizontal center line, parts of the signal at that frequency will be boosted; if the curve is below the center line, the signal will be attenuated.

Parametric equalization is useful in many different circumstances. For example, you can use it to boost low frequencies or high frequencies, to attenuate 60-cycle hum or high-frequency noise, or to boost a particular instrument sound for use in other SONAR commands.

To Apply the Parametric Equalizer to Audio Data

  1. Select the audio data to be affected.
  2. Choose Audio Effects-Cakewalk-FxEq from the Process menu or from the popup menu to open the Cakewalk FxEq dialog box.
  3. Click band number 1 to set options for the Band 1, as described in the table above.
  4. Click band number 2 to set it as current and set parameters for the second band. Repeat for as many bands as you need.
  5. Click OK.

SONAR applies the composite filter to the selected data.


Adding Chorus

The Cakewalk-FxChorus command fattens the audio to make one instrument sound like many. When many people sing together, for example, each of their voices is slightly out of tune and off the beat. Therefore, detuning and delaying the signal makes many instruments sound richer, including guitars, vocals, and strings.

The Chorus effect has the ability to act on a stereo track or a stereo pair, a pair of consecutive tracks, one of which is panned hard left (0), the other of which is panned hard right (127). The feedback signal can be crossed between the tracks to create a richer stereo effect.

The parameters used to specify the chorus effect are as follows:

Parameter/Option... | Meaning...
Voice Settings--delay(ms) | The amount of delay in milliseconds for the selected voice.
Voice Settings--mod depth | The modulation depth setting determines the amount of range the Chorus sweeps.
Voice Settings--pan | Left/Right pan. 0 is center. -1 is hard left. 1 is hard right.
Voice Settings--mod freq. | The modulation frequency sets the speed of the Chorus's sweep.
Voice 1-4 | Four separate choruses. Bypass a voice by clicking the on button above the voice's selection button.
Global | Controls all four voices.
Mix Level | The Wet/Dry mix of the output. If set all the way to the left, the chorus has no effect on output. If set all the way to the right eliminates all dry signal.
Output Level | Output volume level.
Bypass | The plug-in's bypass button.

To Apply Chorusing to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo chorusing.
  2. Choose Audio Effects-Cakewalk-FxChorus from the Process menu or from the popup menu to open the Cakewalk FxChorus dialog box.
  3. Set the chorus parameters, as described in the table above.
  4. Click OK.

SONAR applies the specified chorus effect to the selected data.


Applying Delay

The Cakewalk-FxDelay command creates a series of repeating signals from the original signal. You can create a single echo on the original signal, or a series of echoes up to five seconds apart.

Parameters for the Delay effect are identical to those for the Chorus effect. The difference is that with Chorus the delay parameters can range from 0 to 80 ms, whereas with Delay the delay parameters can range from 0 to 5000 ms. As with Chorus, Delay can act on a stereo pair of tracks

The parameters used to specify the chorus effect are as follows:

Parameter/Option... | Meaning...
Delay(ms)--coarse | The delay time in milliseconds.
Delay(ms)--fine | A fine tuning of the delay time.
Feedback | The regeneration of the delay.
Pan | Left/Right pan. 0 is center. -1 is hard left. 1 is hard right.
Voice 1-4 | Four separate delays. Bypass a voice by clicking the on button above the voice's selection button.
Global | Controls all voices.
Mix Level | The Wet/Dry mix of the output. If set all the way to the left, the chorus has no effect on output. If set all the way to the right eliminates all dry signal.
Output Level | The output volume level.
Bypass | The plug-ins bypass button.

To Apply Delay to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo delay.
  2. Choose Audio Effects-Cakewalk-FxDelay from the Process menu or from the popup menu to open the Cakewalk FxDelay dialog box.
  3. Set the parameters in the dialog, as described in the table above.
  4. Click OK.

SONAR applies the specified delay effect to the selected data.


Adding Flanging

The Cakewalk-FxFlanger command mixes the original signal with a slightly delayed version of the signal, so that the two are out of phase. This creates a spacey, ethereal sound.

The parameters used to specify the chorus effect are as follows:

Parameter/Option... | Meaning...
Delay(ms)--factor | The delay time for
Feedback--factor | The amount of output signal that is fed back through the flanger.
Pan--factor | Left/Right pan. 0 is center. -1 is hard left. 1 is hard right.
Mod. Freq.--factor | The speed at which the pitch modulates
Voice 1-2 | Two separate flangers. Bypass a voice by clicking the on button above the voice's selection button.
Global | Controls both voices.
Mix Level | The Wet/Dry mix of the output. If set all the way to the left, the chorus has no effect on output. If set all the way to the right eliminates all dry signal.
Output Level | Plug-ins output volume.
Bypass | The plug-ins bypass button.

To Apply Flanging to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo flanging.
  2. Choose Audio Effects-Cakewalk-FxFlanger from the Process menu or from the popup menu to open the Cakewalk FxFlanger dialog box.
  3. Set the parameters in the dialog, as described in the table above.
  4. Click OK.

SONAR applies the specified flanging effect to the selected data.


Applying Reverb

The Cakewalk-FxReverb command adds many small echoes to a signal to create the illusion of spaciousness. By changing the parameters, you can simulate a stage, a hall, an arena, or a variety of other room types. The reverb parameters are as follows:

Parameter/Option... | Meaning...
Room Size | Set the size of the room. Note: Automation changes in this parameter should be made only during periods of silence in a track to prevent artifacts from being introduced to the signal.
Decay Time | The time after which the reverberation of a signal stops.
High Frequency Rolloff | Removes high frequencies from the output.
High Frequency Decay | How much faster the high frequencies rolloff
Density | The number of reflections in the reverb.
Pre Delay | Time before the reverb starts.
Motion Rate | The motion rate is measured in Hz and is designed to simulate movement in a room.
Motion Depth | This setting sets the amount of motion for the Motion Rate parameter.
Level | The plug-in's output volume.
Mix | The Wet/Dry mix of the output. If set all the way down, the chorus has no effect on output. If set all the way up eliminates all dry signal.

To Apply Reverb to Audio Data

  1. Select the audio data to be affected. Select a stereo pair for stereo reverb.
  2. Choose Audio Effects-Cakewalk-FxReverb from the Process menu or from the popup menu to open the Cakewalk FxReverb dialog box.
  3. Set the reverb parameters, as described in the table above.
  4. Click OK.

SONAR applies the reverb effect to the selected data.


Shifting Pitch

The Cakewalk-Pitch Shifter raises or lowers the pitch of an audio signal, while leaving the duration of the audio clip unchanged. The pitch shift parameters are as follows:

Parameter/Option... | Meaning...
Pitch | The amount by which the pitch is changed, in semitones
Dry Mix (%) | The volume of the original, unprocessed signal passed to the output
Wet Mix (%) | The volume of the processed signal passed to the output
Feedback Mix (%) | The amount of pitch-shifted signal that is fed into a delay line
Delay Time (ms) | The length of the delay in milliseconds
Mod. Depth (ms) | The amount the delay time will vary

To Apply Pitch Shift to Audio Data

  1. Select the audio data to be affected.
  2. Choose Process-Audio Effects-Cakewalk-Pitch Shifter to open the Cakewalk FX Pitch Shifter dialog box.
  3. Set the pitch shift parameters, as described in the table above.
  4. Click OK.

SONAR applies the pitch shift to the selected data.

This is a fast pitch shifter that uses minimal computation time. The Cakewalk Time/Pitch Stretch command can produce higher quality output, but requires a lot more computational time.

See:

Stretching Time and Pitch


Stretching Time and Pitch

The Cakewalk-Time/Pitch Stretch command lengthens or shortens audio data, and raises or lowers pitch. Time and pitch can be stretched independently. You can use this effect to stretch or compress audio while preserving pitch, or to change pitch while preserving duration, or both. Time/Pitch Stretch is not available in real-time. For real-time time and pitch stretching, use Groove clips. For more information, see Using Loops.

The time/pitch stretch parameters are as follows:

Parameter/Option... | Meaning...
Time (%) | The new length of the audio clip, as a percentage of the length of the original clip.
Pitch | The amount by which the pitch is changed, in semitones.
Source Material | The type of audio data. Selecting an option sets recommended values for the Block Rate, Overlap Ratio, Crossfade Ratio, Accuracy, and Algorithm parameters.
Block Rate (Hz) | Used to calculate the size of the data "blocks" processed by Time/Pitch Stretch. Lower values lead to larger block sizes. If the material to be processed is generally less percussive or lower in pitch, using a lower block rate will make the algorithm operate more efficiently.
Overlap Ratio | The amount of overlap between consecutive blocks.
Crossfade Ratio | The crossfade amount for the blocks.
Accuracy | The accuracy of the calculations. Normal is good for most sounds. High accuracy gives slightly better quality, but takes longer to process.
Algorithm | The algorithm used for pitch stretching. The Normal algorithm is used in most circumstances, but causes a "chipmunk effect" on vocals. Use the Formant-Preserving algorithm to help retain the natural quality of vocals.

The Time and Pitch parameters can be set by typing numbers in the appropriate boxes, or by dragging the sliders or the crosshair in the graph. Holding Shift while dragging the crosshair snaps the crosshair to the nearest axis: X (time), Y (pitch), or the diagonal (equal time and pitch). Diagonal values on the graph can be processed very quickly and with very high quality, but have the trade-off that changing pitch does not preserve duration, and vice versa.

For the most natural-sounding results, choose low settings; transpose by no more than a third or a fourth. Higher values, though, can be used for special effects.

Note:

This is a fast pitch shifter that uses minimal computation time.

To Apply Time/Pitch Stretch to Audio Data

  1. Select the audio data to be affected.
  2. Choose Audio Effects-Cakewalk-Time/Pitch Stretch from the Process menu or from the popup menu to open the Cakewalk FX Time/Pitch Stretch dialog box.
  3. Set the time/pitch stretch parameters, as described in the table above.
  4. Click OK.

SONAR applies the time/pitch stretch to the selected data.


Working with Software Synthesizers

You can use a variety of software synthesizer formats with SONARTM, including DXi's, ReWire instruments, SoundFonts, and stand-alone soft synths. SONAR includes the new Cyclone DXi, which allows you to stack up to 16 ACIDized loop tracks side-by-side for editing with automatic tempo synchronization (see the Cyclone topics in the online help). A software synthesizer is a software program that produces various sounds through your sound card when the soft synth program receives MIDI data from a MIDI controller or sequencer program. DX Instruments, or DXi's, are an exciting new plug-in form of software synthesizer designed and optimized for responsive, low-latency performance on the Windows platform. Some DXi's can be programmed to generate rhythmic patterns or sequences and do not require MIDI input from SONAR. You can control and play DXi's in real time using their internal interface or external MIDI devices like keyboards, guitar synths, or wind controllers. You can automate the controls of some DXi's. Note that not all DXi's are tone generators, but are used as MIDI-controlled audio processors, such as vocoders, intelligent pitch shifters, or tempo-based delays. Of course you can also patch plug-in effects to DXi tracks for additional sound flexibility.

SONAR has a Synth Rack view to make inserting a DXi or ReWire instrument into a one-step process, and to make viewing and configuring these instruments simple. SONAR also supports exciting new multi-port DXi's, which allow you to use different audio tracks and effects for each patch or group of patches in a multi-timbral, multi-port DXi.

For more information, see:

Synth Rack View

DX Instruments (DXi's)

Multi-port DXi's

Inserting a DXi

Playing a DXi

To Remove A DXi from a Track or Bus

Tutorial 9--Using Soft Synths

ReWire Instruments

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


Kinds of Soft Synths

There are several basic kinds of soft synths:

  • DXi (plug-in synths built with DirectX technology)--These programs appear as plug-ins for audio tracks or buses, just like plug-in effects. They can also be inserted in SONAR's Synth Rack view.
  • ReWire instruments--These instruments can function as stand-alone devices that you play with a MIDI controller or through the ReWire instrument's internal sequencer, or with recorded MIDI data from SONAR.
  • Stand-alone synths--These programs work like external MIDI modules. You select the stand-alone synth's MIDI driver as an output for a MIDI track in your sequencer program (SONAR), and the track plays the stand-alone synth as if it were an external MIDI module.
  • SoundFonts--The SoundFont format is a product of Creative, which makes the SoundBlaster sound cards. You need either a SoundBlaster sound card or the LiveSynth Pro DXi software to use SoundFonts. SONAR includes the LiveSynth Pro Trial DXi.

Note: If you play DXi's in real time from a MIDI controller, you'll get noticeably better performance if you use WDM or ASIO sound card drivers instead of the older MME type. The lower latency of WDM and ASIO drivers provides quicker real-time response to note on/off and other commands. Playback of recorded MIDI data is not affected by your audio driver.

For more information, see:

Synth Rack View

DX Instruments (DXi's)

Tutorial 9--Using Soft Synths

ReWire Instruments

Playing a Stand-alone Synth


Synth Rack View

Open the Synth Rack view with the View-Synth Rack command. The Synth Rack view lets you view, insert, delete, and configure your DXi and ReWire soft synths. You can also mute and solo any or all of them from this view. Each time you insert a soft synth into your project, a new row appears in the Synth Rack view with the name of the soft synth and its current preset. You can select different presets from the view. You can insert as many copies of the same DXi soft synth as you like; each new copy appears in a new row and has the same name, but has a higher number after the name (ReWire soft synths can only have one copy open). The new higher-numbered name also appears on the menus of audio track inputs and MIDI track outputs.

There is much more information about the Synth Rack view in the online help. Press F1 when the Synth Rack view is open and on top to display the appropriate help topic.

For step by step instructions, see:

DX Instruments (DXi's)

Multi-port DXi's

Inserting a DXi

Playing a DXi

To Remove A DXi from a Track or Bus

Tutorial 9--Using Soft Synths

ReWire Instruments

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


DX Instruments (DXi's)

In order to play a DXi from a MIDI controller or with recorded MIDI data, you need to have at least one audio track that lists the DXi in its In field, and at least one MIDI track that lists the DXi in its Out field. The data from the MIDI track feeds the audio track and plays the DXi. If you're playing the DXi with a MIDI controller, the MIDI track that's feeding the audio track must have the focus (gold or tan color). You can also patch the DXi into an audio track's Fx field instead of an audio track's In field.

To add a DXi to the audio tracks' In menus (drop-downs) and the MIDI tracks' Out menus, you have to insert each DXi that you want to use into each project. There are two basic ways to insert DXi's in SONAR:

  • You can insert DXi's from the Synth Rack view or with the Insert-DX Instruments command. If you use this method, you can choose to have SONAR create the necessary audio and MIDI tracks, and patch them together correctly. If you want to use multiple audio tracks to take advantage of SONAR's support for the multi-output DXi 2 format, you need to create and patch additional MIDI tracks manually to feed the additional audio tracks.
  • You can insert DXi's into Fx bins of individual audio tracks. If you use this method, you need to set a MIDI track's Out field to the name of the DXi you inserted. Then you can record MIDI data in the MIDI track to play the DXi with.

For step by step instructions, see:

Synth Rack View

Multi-port DXi's

Inserting a DXi

Playing a DXi

Converting Your DXi Tracks to Audio

Muting and Soloing DXi Tracks

To Remove A DXi from a Track or Bus


Multi-port DXi's

A multi-port DXi allows you the option of using a different audio track for every output that the DXi has. This allows you to use different plug-in effects for each sound (or in some cases, group of sounds) that a DXi produces. For example, if a DXi can produce 16 sounds at the same time, and has 4 outputs, you can send any of the 16 sounds out through any of 4 different outputs, giving you a choice of 4 different plug-in configurations for that DXi. You would use 4 different audio tracks: one for each output. If a DXi can produce 8 sounds at the same time, and has 8 outputs, you could use 8 audio tracks and 8 plug-in configurations. If you need more plug-in configurations or just more sounds, you can insert more copies of the same DXi, using new audio tracks for all of the new copy's outputs. You can also send all the MIDI tracks out the same output and audio track if you don't need separate plug-ins for each sound, or just want to use the DXi's internal effects.

The Insert DXi Synth Options dialog gives you the option of automatically creating a separate audio track for each output that the DXi has, or creating just one audio track for Output 1 of that particular DXi. Each new copy (also called an instance) of a DXi is considered to be a separate instrument, and appears in a separate row in the Synth Rack view, with a number after its name representing which copy it is.

For step by step instructions, see:

Synth Rack View

Inserting a DXi

Playing a DXi

Converting Your DXi Tracks to Audio

Muting and Soloing DXi Tracks

To Remove A DXi from a Track or Bus


Inserting a DXi

The procedure for inserting multi-output and single-output DXi's is basically the same. There are just more tracks possibly involved when you insert a multi-output DXi.

There are several places where you can insert a DXi into your project:

  • Preferred method 1--You can insert the DXi into the project from the view. This method lets you use all of a multi-port DXi's outputs, if you want to. This method gives you the options of automatically creating a matched combination of an audio and MIDI track, creating just an audio track with the DXi patched as a track input, creating no new tracks, and creating separate audio tracks for each of the DXi's outputs.
  • Preferred method 2--You can insert the DXi by using the Insert-DX Instruments command, which gives you the same insertion and output options as the Synth Rack view.
  • Alternate method--You can insert the DXi into the Fx field of an audio track, aux bus, or main bus. You must then change the Out field of a MIDI track to the name of the DXi you inserted in order to play the audio track or bus with data from the MIDI track. If you insert a multi-output DXi with this method, you can only use the first output of the DXi.

You can insert more than one copy (also called an instance) of the same DXi. Each new copy has the same name as the previous copy except for having a higher number after the name. Every copy appears in a separate row in the Synth Rack view, and in the drop--down menus of audio track inputs and MIDI track outputs.

To Insert a DXi from the Synth Rack View or Menu

  1. If you want to use the Synth Rack view, open the Synth Rack view with the View-Synth Rack command, and click the Insert button [image] to display the popup menu of installed DXi's.
  2. If you want to use the menu command, use the Insert-DXi Synth command to display the popup menu of installed DXi's.
  3. In the popup menu, click the name of the DXi you want to insert.
The Insert DXi Synth Preferences dialog appears, unless you've previously unchecked the Ask This Every Time checkbox that's in the dialog. If you have, SONAR inserts the DXi according to the preferences you set the last time you used the Insert DXi Synth Preferences dialog. If you need to open the Insert DXi Synth Preferences dialog when it's hidden, click the Insert DXi Synth Options button [image] in the Synth Rack view toolbar.
  4. Choose options from the Insert DXi Synth Preferences dialog according to the following:
    • If you want to create a MIDI track that uses the DXi as an output, check the Create These Tracks: MIDI Source Track checkbox.
    • If you want to create a single audio track that acts as an output for Output 1 of the DXi, check the Create These Tracks: First Synth Output (Audio) checkbox.
    • If you want to create separate audio tracks for each of the DXi's outputs, check the Create These Tracks: All Synth Outputs (Audio) checkbox.
    • If you want to use existing MIDI and audio tracks to play the DXi, uncheck all of the Create These Tracks options. SONAR adds the DXi to the audio track input and MIDI track output menus. You need to set an existing audio track's In field to the DXi, and set an existing MIDI track's Out field to the DXi.
    • If you want to open the DXi's interface from this dialog, check the Open These Windows: Synth Property Page checkbox.
    • If you opened this dialog from the Insert menu and want to open the Synth Rack view, check the Open These Windows: Synth Rack View checkbox.
    • If you want to open this dialog every time you use the Insert-DXi Synth command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu, check the Ask This Every Time option. If you always insert DXi's in the same way, you can uncheck this option so you don't have to deal with the dialog each time. To open the dialog when the option is unchecked, click the Insert DXi Synth Options button [image] in the Synth Rack view toolbar.
  5. Click OK, if you haven't already.

SONAR adds the DXi to the audio track input and MIDI track output menus, and creates any new tracks that you requested. The new tracks already have the correct inputs and outputs patched. Now you can record MIDI data in the DXi MIDI tracks, and/or play the DXi from a MIDI keyboard or controller. See Playing a DXi.

To Insert a DXi in an Fx field

  1. In either the Track or Console view, right-click the Fx field of an unused audio track, aux bus, or virtual main bus.
Note: If you patch a DXi into a main or aux bus that has no audio track assigned to it, the DXi does not sound. Always use a bus that has at least one audio track sending data to it.
The plug-in menu appears.
  2. Under DXi Synth, choose the name of a DXi.
Two things happen: the DXi's interface appears, and the DXi's name appears in the track's or bus's Fx field, with a bypass button next to the name.
  3. Set the DXi's parameters (choose sounds, effects, etc.), and drag its interface out of the way.
  4. Click the Out field of a MIDI track to display the output menu.
  5. Select the name of the DXi that you patched into the audio track or bus.
  6. If the DXi is multi-timbral, choose a MIDI channel for the MIDI track.
  7. Also in the MIDI track, select a bank and patch.

Now you can record some MIDI data into the MIDI track to play the DXi with. See To Play a DXi with Recorded MIDI Data.

You can also play the DXi in real-time from a MIDI controller. See To Play a DXi from a MIDI Controller.


Opening a DXi's Property Page

There are several different methods to open a DXi's property page (interface):

  • When you insert the DXi from the Insert menu or Synth Rack view, check the Open These Windows: Synth Property Page checkbox in the Insert DXi Synth Options dialog.
  • Double-click the name of the DXi in either a MIDI track's Out field or an audio track's In field.
  • Double-click the row in the Synth Rack view that displays the DXi.
  • Double-click the name of the DXi in an Fx bin.
  • Click one of the rows in the Synth Rack view to select it, and then click the Properties button in the Synth Rack toolbar (or press c).


Playing a DXi

There are several ways to play a DXi:

  • You can record MIDI data and use the DXi as a playback device.
Note: WDM or ASIO drivers do not improve performance when you play back recorded MIDI data--the improvement comes only when you play a DXi in real time from an external MIDI controller or keyboard.
  • You can play the DXi in real time from a MIDI controller or keyboard. To avoid excessive latency, your sound card must be using a WDM or ASIO driver. Also, you must set mixing latency to the lowest achievable level (probably less than 10 msec.), which you do by using the Options-Audio command to open the Audio Options dialog box, and dragging the Buffer Size slider on the General tab.
  • Some DXi's that use the DXi 2 format can send MIDI data, sometimes including MIDI notes, from their interfaces to SONAR. For example, some DXi's have MIDI keyboards built into their interfaces that you can click to send note on/off messages.
Note: By default, SONAR does not echo any MIDI input or automation data that a DXi sends to any track, but can record this data in any armed MIDI track whose Out field is set to that particular DXi. If you do want to echo DXi input to any MIDI track that has the focus, open the Global Options dialog (Options-Global command), and on the MIDI tab, check the Echo DXi Input to All MIDI Tracks option. This option also makes it possible to move the controls in one DXi's interface and change the settings in some other DXi's interface, if the focus is on the MIDI track that's patched to the second DXi. It also makes it possible to record notes or automation data from the DXi to any armed MIDI track.

To Play a DXi with Recorded MIDI Data

  1. Insert a DXi into the project (see Inserting a DXi, if necessary).
  2. In the MIDI track that sends its output to the DXi, choose a MIDI channel.
  3. Open the DXi's interface (if it's not open already) by clicking the Properties button in the Synth Rack view, or by double-clicking the name of the DXi if it's patched into the Fx field of an audio track.
  4. Set the DXi's parameters (choose sounds, effects, etc.), and drag its interface out of the way (the DXi's interface does not have to be open for the DXi to sound).
  5. If you want to save your DXi settings, type a name in the Presets field, and click the Disk icon that's next to the Presets field.
  6. Record some MIDI data into the MIDI track.

When you play back the recorded MIDI data, you should hear the DXi through your sound card's outputs. If you don't, make sure your data is in the right range; a bank, patch, and Channel are selected; your monitor speakers or headphones are turned up; and that none of the relevant tracks are muted.

You can add effects to each of the DXi audio tracks. You can also add MIDI effects to your DXi MIDI tracks.

To Play a DXi from a MIDI Controller

  1. Make sure your controller is set to local off.
  2. Make sure that the Audio Engine button [image] in the Transport toolbar is depressed.
  3. Insert a DXi into your project (see Inserting a DXi, if necessary).
Note: If you patch a DXi into a main or aux bus that has no audio track assigned to it, the DXi does not sound. Always use a bus that has at least one audio track sending data to it.
  4. In the MIDI track that sends its output to the DXi, choose a MIDI channel.
  5. Open the DXi's interface (if it's not open already) by clicking the Properties button in the Synth Rack view, or by double-clicking the name of the DXi if it's patched into the Fx field of an audio track.
Note: You can also open a DXi's interface by double-clicking its name where it appears in a MIDI track's Out menu or an audio track's In menu.
  6. Set the DXi's parameters (choose sounds, effects, etc.), and drag its interface out of the way.
  7. If you want to save your DXi settings, type a name in the Presets field, and click the Disk icon that's next to the Presets field.
  8. Make sure that the MIDI track has the focus (its titlebar is gold), and play your MIDI controller.

When you play your MIDI controller you should hear the DXi through your sound card's outputs. If you don't, make sure you're playing in the right range; a bank, patch, and Channel are selected; your monitor speakers or headphones are turned up; your controller is attached to your MIDI interface; and that none of the relevant tracks are muted.

To Remove A DXi from a Track or Bus

  • If your DXi is patched into the Fx field of an audio track or bus, right-click the name of the DXi, and choose Delete from the popup menu.
OR
  • In the audio track that uses the DXi as an input, choose another input for the track.

To Remove a DXi from a Project

  • If your DXi is patched into the Fx field of an audio track or bus, right-click the name of the DXi, and choose Delete from the popup menu.
  • If your DXi is patched into the In field of an audio track, go to the Synth Rack view, click the name of the DXi to select it, and then click the Delete button. SONAR deletes the DXi strip from the Synth Rack view and sets the audio inputs and MIDI outputs of all affected tracks to the next lower-numbered option. SONAR does not delete the affected tracks.
Note: If you're using a ReWire instrument and not a DXi, always close the ReWire instrument's interface before you delete the instrument from SONAR, or close SONAR.

See:

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth

Converting Your DXi Tracks to Audio


Muting and Soloing DXi Tracks

SONAR automatically places any audio and MIDI tracks that use DXi's into a group that makes muting and soloing the tracks easy:

  • To mute or solo a MIDI track that is patched to a DXi audio track, simply mute or solo the MIDI track--SONAR automatically mutes or solos the correct audio track. If another MIDI track uses the audio track as an output, SONAR leaves the audio track unmuted.
  • To mute or solo all the MIDI tracks that are patched to a specific DXi, simply mute or solo the audio track that the MIDI tracks are patched into.--SONAR automatically mutes or solos all the correct MIDI tracks.
OR
  • Click the M or S buttons (mute and solo, respectively) next to the DXi's name in the Synth Rack view. This mutes or solos all the tracks associated with this instance of the DXi.

You can use the mute and solo buttons in the Track view, Synth Rack view, or Console view.


Converting Your DXi Tracks to Audio

Once your project sounds the way you want it to, it's extremely easy to convert your DXi MIDI tracks to either new audio tracks, or Wave, MP3, or other exported files.

To Convert Your DXi Tracks to New Audio Tracks

  1. Mute all tracks that you don't want to convert; make sure you don't mute the audio track that the DXi is patched into, or the MIDI track(s) that you are using as a source.
  2. Use the Edit-Bounce to Track(s) command.
The Bounce to Track(s) dialog box appears.
  3. Choose a destination track and a format.
  4. In the Mix Enables field, make sure all choices are selected.
  5. Click OK.

SONAR creates a new audio track from the MIDI tracks you selected. Don't forget to mute your DXi tracks so you won't hear them and the new audio track(s) at the same time.

To Export Your DXi Tracks as Wave, MP3, or Other Type Files

  1. Mute all tracks that you don't want to export; make sure you don't mute the audio track that the DXi is patched into, or the MIDI track(s) that you are using as a source.
  2. Use the File-Export-Audio command.
The Export Audio dialog box appears.
  3. In the Look in field, choose the location where you want the new, exported file to be.
  4. Type a file name in the File name field.
  5. Choose the type of file, the format, and the bit depth of the new file you're creating--for MP3 use 16 bits.
  6. In the Mix Enables field, make sure all choices are selected.
  7. Click OK.

SONAR creates a new audio file of the type you specified. Find the file in the folder you specified, and double-click it to listen to it.

See:

Automating a DXi's Controls

Synth Rack View


Automating a DXi's Controls

Some DXi's have controls that you can automate by drawing envelopes in either the Track view or Piano Roll view. Some DXi's allow you to record the movements of their faders and other control knobs. Your DXi's manufacturer determines which controls (if any) you can automate.

Note: By default, you can only record MIDI or automation data sent by a DXi into a MIDI track whose Out field is set to that particular DXi. If you do want to record DXi input to any MIDI track that is armed, check the Echo DXi Input to All MIDI Tracks option on the MIDI tab of the Global Options dialog (Options-Global command).

To Record MIDI Input from a DXi's Interface

  1. If you want to be able to record on any armed MIDI track, make sure that the Echo DXi Input to All MIDI Tracks option on the MIDI tab of the Global Options dialog (Options-Global command) is enabled. Otherwise, you can only record on a MIDI track whose Out field is set to the DXi you're recording from.
  2. Arm one or more MIDI tracks.
  3. Set the record mode (Transport-Record Options command). If you want to record different knobs on different takes, use Sound on Sound mode.
  4. Open the DXi's interface and, if necessary, use its setup menu to enable recording the DXi's fader movements.
  5. Move the Now time to the place where you want to record.
  6. Click the Record button to start recording.
  7. Move the DXi's controls in the way you want them to move. Some or all of the controls may not be capable of sending MIDI data to be recorded (only some DXi's of the DXi 2 format can do this).
  8. Click the Stop button.

SONAR records the fader or knob movements. Check the Out fields of the MIDI tracks you recorded into and play back the track.

To Automate a DXi's Controls in the Track View

  1. In a MIDI track that uses the DXi as an output, right-click in the Clips pane and choose Envelopes-Create-MIDI from the popup menu.
The MIDI Envelope dialog box appears.
  2. In the Type field, select Control, RPN, or NRPN.
  3. In the Value field, click the drop-down arrow to see the menu of automatable controls, RPN's, or NRPN's that this DXi has, and select the one you want to automate.
  4. In the Channel field, select the channel of the patch in your DXi that you want to control.
  5. Click OK.

SONAR draws an envelope for the parameter that you chose. You can edit the envelope to make the parameter behave as you want it to. See Drawing MIDI Envelopes in the Track View.

To Automate a DXi's Controls in the Piano Roll View

  1. Select a MIDI track that uses the DXi as an output and open the Piano Roll view.
  2. In the Controller pane in the Piano Roll, select Control, RPN, or NRPN.
  3. In the Value menu below the Controller menu, click the drop-down arrow to see the menu of automatable controls, RPN's, or NRPN's that this DXi has, and select the one you want to automate.
  4. In the Controller pane at the bottom of the Piano Roll view, use the Draw tool to draw a graph of the desired controller values.

Note: MIDI envelopes in the Piano Roll Controllers pane and the Track view Clips pane are actually separate envelopes, even if they control the same parameter. Both kinds of envelopes are visible in the Clips pane, and should generally not be used to control the same parameter. You can convert Piano Roll view envelopes to Track view envelopes by selecting the time range and tracks that the Piano Roll envelopes occupy, and using the Edit-Convert MIDI To Shapes command.

See:

ReWire Instruments

Synth Rack View

Playing a DXi

To Remove A DXi from a Track or Bus

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


ReWire Instruments

ReWire is a technology for transferring audio data between software applications in real time--the software equivalent of a multi-channel audio cable. ReWire is built on the following cornerstones:

  • Real-time audio streaming between applications
  • Sample accurate synchronization
  • Common transport functionality

SONAR supports the ReWire 2.0 format, but with some differences. SONAR interacts with ReWire applications in the following ways:

  • You can insert one instance of a ReWire application into each SONAR project. You can insert as many different ReWire applications into a project as your computer can handle.
  • You can use a maximum of 16 devices or instruments for each ReWire application.
  • To use a MIDI controller with both SONAR and your ReWire application, you need to enable separate MIDI In ports in both applications. If your MIDI interface only has one input, decide which application you want to use your controller in, enable the MIDI In port in that application, and disable it in the other application.
  • You can insert ReWire devices into SONAR projects from the Synth Rack view or Insert menu, and you can tell SONAR to create the necessary audio tracks and one MIDI track at that time. You can also tell SONAR to open the ReWire application's property page, because, unlike DXi's, ReWire applications must have their property pages (interfaces) open in order to function.
  • SONAR's tempo, transport, and loop points are linked to the ReWire application. Activating or changing any of these settings in the ReWire application(s) changes the same setting in SONAR. and vice versa. If you have several applications open and you make a change in one of them, it may be necessary to put the focus on the other application(s) to update their interfaces.
  • You cannot send patch or bank changes from SONAR to the ReWire application. All other track property controls in SONAR control the ReWire device, except the pan controls on MIDI tracks. The pan controls on SONAR's audio tracks control the ReWire device's panning.
  • You can mix down or bounce ReWire tracks in SONAR the same way you mix down or bounce DXi tracks (see Converting Your DXi Tracks to Audio).
  • You can use SONAR's automation functions on both audio and MIDI tracks that the ReWire application uses.
  • Muting or soloing an audio track that a ReWire device uses automatically mutes or solos the MIDI track that feeds that audio track. Muting or soloing a MIDI track that a ReWire device uses will mute or solo the corresponding audio track only if there is only one MIDI track feeding that audio track.
  • You must always close your ReWire application(s) before you close SONAR. Some ReWire applications prevent SONAR from closing properly if the ReWire applications are still open.

For step-by-step procedures, see:

Inserting a ReWire Instrument

To Use Separate Audio Tracks for Each ReWire Device

Automating ReWire Instruments

Mixing Down ReWire Instruments

ReWire Troubleshooting Guide


Inserting a ReWire Instrument

After you install your ReWire applications and reboot your computer, the names of the ReWire applications appear in SONAR's Insert menu under ReWire Devices, and also in the Synth Rack view's Insert button popup menu.

To Insert a ReWire Instrument

  1. Open a SONAR project. Do not launch your ReWire application.
  2. In the SONAR's Synth Rack view, click the Insert button, and click ReWire Devices to display the submenu of installed ReWire devices.
OR
Use the Insert-ReWire Devices command to display the submenu of installed ReWire devices.
  3. Click the name of the ReWire device you want to insert.
The Insert DXi Synth Preferences dialog appears.
  4. Choose options from the Insert DXi Synth Preferences dialog according to the following:
    • If you want to create a MIDI track that uses the ReWire Instrument as an output, check the Create These Tracks: MIDI Source Track checkbox.
    • If you want to create a single audio track that acts as an output for Output 1 of the ReWire Instrument, check the Create These Tracks: First Synth Output (Audio) checkbox.
    • If you want to create separate audio tracks for each of the ReWire Instrument's outputs, check the Create These Tracks: All Synth Outputs (Audio) checkbox.
    • If you want to use existing MIDI and audio tracks to play the ReWire Instrument, uncheck all of the Create These Tracks options. SONAR adds the ReWire Instrument to the audio track input and MIDI track output menus. You need to set an existing audio track's In field to the ReWire Instrument, and set an existing MIDI track's Out field to the ReWire Instrument.
    • If you want to open the ReWire Instrument's interface from this dialog, check the Open These Windows: Synth Property Page checkbox (always check this option: ReWire Instruments do not sound unless their property pages are open).
    • If you opened this dialog from the Insert menu and want to open the Synth Rack view, check the Open These Windows: Synth Rack View checkbox.
    • If you want to open this dialog every time you use the Insert-ReWire Instrument command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu, check the Ask This Every Time option. If you always insert ReWire Instruments in the same way, you can uncheck this option so you don't have to deal with the dialog each time. To open the dialog when the option is unchecked, click the Insert DXi Synth Options button [image] in the Synth Rack view toolbar.
  5. Click OK to close the dialog.
SONAR adds your ReWire devices to the audio track In menus and the MIDI track Out and Ch menus, creates any tracks you requested, adds the ReWire instrument to the Synth Rack view, and opens the ReWire application's interface.
  6. If you get an error message about a MIDI Input problem from your ReWire application, click OK and then use SONAR's Options-MIDI Devices command to open the MIDI Devices dialog and select the MIDI In port to want to use to record into SONAR. Use your ReWire application's menus to choose a different MIDI In port for your ReWire application. If your MIDI interface only has one input, you have to decide whether you want to use your MIDI controller in SONAR or in your ReWire application. If you want to use your controller in your ReWire application, deselect your MIDI In port in SONAR's MIDI Devices dialog, and select that input in your ReWire application.
  7. In the MIDI track whose output is the ReWire audio track, click the drop-down arrow in the Ch field to display the names of the available ReWire devices in your ReWire instrument.
  8. Click the name of the device you want to use.
  9. Make sure that the audio track you want to hear the ReWire instrument through has the appropriate ReWire channel listed in its In field.

Now you can record MIDI data in the MIDI track and hear it through the audio track. If you want to use different audio tracks for each ReWire device, see the following procedure.

Note: Always close your ReWire applications before closing a SONAR project.

To Use Separate Audio Tracks for Each ReWire Device

  1. Open SONAR, insert a ReWire instrument, and choose All Synth Outputs (Audio) in the Create These Tracks field of the Insert DXi Synth Preferences dialog. Make sure you choose to open the Synth window, and click OK.
SONAR inserts the ReWire instrument and creates multiple audio tracks.
  2. In your ReWire application, assign the devices you want to use to the outputs or channels you want to use. For example, in Propellerheads Reason, you use the back panel of the mixer to drag cables from a device to the output channel you want to use for that instrument.
  3. In SONAR, set the Out field of a MIDI track to the name of your ReWire application, and set the Ch. field to the name of the ReWire device you want to play with this track.
  4. Record some MIDI data in the track and play it. Find the audio track whose In field lists the output channel you patched your device into--the playback meter lights up as you play the MIDI track that plays your device.

Now you can use separate effects for each of your ReWire devices.

Note: Always close your ReWire applications before closing SONAR or a SONAR project.

See also:

Mixing Down ReWire Instruments

Automating ReWire Instruments

ReWire Troubleshooting Guide


Mixing Down ReWire Instruments

To either mix down or bounce ReWire instruments to new audio tracks, use the same procedures as for DXi's.

For more information, see Converting Your DXi Tracks to Audio..

See also:

Automating ReWire Instruments

ReWire Troubleshooting Guide

Inserting a ReWire Instrument


Automating ReWire Instruments

You can automate audio and MIDI tracks that are patched to ReWire instruments the same ways you can automate any of SONAR's audio and MIDI tracks.

For more information, see Using Automation.

See also:

Inserting a ReWire Instrument

To Use Separate Audio Tracks for Each ReWire Device

Automating ReWire Instruments

Mixing Down ReWire Instruments

ReWire Troubleshooting Guide

Inserting a ReWire Instrument


ReWire Troubleshooting Guide

The following lists some common issues when you use ReWire with SONAR:

  • SONAR Won't Close Properly--Always close your ReWire applications before closing SONAR or a SONAR project.
  • Rebirth Won't Play After I Open Its Property Page--Make sure that the Loop switch in Rebirth is enabled.
  • My ReWire Project Plays at a Different Tempo when Opened from SONAR--When you open a ReWire project from SONAR, the ReWire project assumes SONAR's default tempo, which is 100. Change SONAR's tempo to match your ReWire project.
  • My MIDI Controller Works in SONAR or my ReWire Application, but not Both--Choose different MIDI In ports for both SONAR and your ReWire application. Do this in SONAR by using the Options-MIDI Devices command, and highlighting the MIDI In port you want to use in SONAR. If you only have one MIDI In port on your MIDI interface or sound card, enable that input in either SONAR or your ReWire application, and disable that input in the other application.
  • I Get a MIDI Input Error Message When I Open a ReWire Application--If you only have one MIDI Input port on your MIDI interface, you probably have that one reserved for SONAR, leaving none for your ReWire application. If you would rather use your MIDI controller in the ReWire application instead of SONAR, you can deselect your MIDI input port in SONAR's MIDI Devices dialog (Options-MIDI Devices command), and then select that MIDI Input from whatever menu your ReWire application has for that purpose. If you have multiple inputs on your MIDI interface, simply select different ones for SONAR and your ReWire application.

See:

DX Instruments (DXi's)

ReWire Instruments

To Remove A DXi from a Track or Bus

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


Stand-alone Synths

After you install this kind of synth and restart your computer, the name of the synth's MIDI driver appears in SONAR's MIDI Devices dialog box under Outputs.

See:

Playing a Stand-alone Synth

Recording a Stand-alone Synth


Playing a Stand-alone Synth

SONAR plays this kind of synth by seeing it as additional MIDI outputs in both the MIDI Devices dialog box and in MIDI tracks' output fields.

To Play a Stand-alone Synth

  1. Use the Options-MIDI Devices command to open the MIDI Devices dialog box.
  2. In the Outputs field, make sure the name of your stand-alone synth's MIDI driver is highlighted, and click OK.
  3. Click the Out field of an unused MIDI track to display the output menu.
  4. Select the name of the stand-alone synth's MIDI driver.
  5. If your stand-alone synth is multi-timbral, change the track's MIDI channel to the same one that the synth uses for the sound you want to hear.
  6. Select a bank and patch on your stand-alone synth, if you haven't already.
  7. Record some MIDI data in the MIDI track, or play any MIDI controller that's an input for the MIDI track.

When you play your MIDI controller or play back the recorded MIDI data, you should hear the stand-alone synth through your sound card's outputs. If you don't, make sure you're playing in the right range and that your monitor speakers or headphones are turned up, and that none of the relevant tracks are muted.

See:

Recording a Stand-alone Synth


Recording a Stand-alone Synth

There are several ways to record a stand-alone synth:

  • You can use the synth's wave capture function, if it has one. See your synth's documentation for a procedure. Make a note of where the resulting captured Wave file is stored, and then you can import the file into SONAR by using the File-Import-Audio command.
  • You can connect your sound card's outputs to your sound card's inputs, either internally or externally, depending on your sound card's design. After you do this, you need to arm an audio track in SONAR and select one of your sound card's wave drivers as an input. Start recording, and make sure the MIDI track that is routed to the synth is playing back.
  • You can use your sound card's wave capture or "what-you-hear" option, if it has one. See the following procedure.

To Record A Stand-alone Synth with your Sound Card's Wave Capture Function

  1. Pick a destination audio track and set the In field to Stereo.
Note: If you have more than one sound card installed, select the one that your stand-alone synth uses as an output.
  2. Arm the destination track.
  3. Mute or archive any tracks that you don't want to record to the destination track.
  4. If SONAR's metronome is set to use any software synth to produce a click, disable the metronome during recording option in the Project Options dialog box. To do this, select Options-Project to open the Project Options dialog box, select the Metronome tab and uncheck Recording in the General section.
  5. Open your sound card's mixer device. This is normally done by double-clicking the speaker icon on the Windows taskbar, or by choosing Start-Programs-Accessories- Multimedia-Volume Control-Options-Properties.
Note: Some sound cards, such as the SoundBlaster Live, have their own proprietary mixer. If yours has one, please use it instead.
  6. Click Adjust Volume For Recording, and make sure all boxes below are checked.
  7. Click OK, and locate the slider marked MIDI, Synth, Mixed Input, or What You Hear. Check the Select box at the bottom, then close the window.
  8. In SONAR, click the Record button.
SONAR records all the MIDI tracks that are assigned to the stand-alone synth as a stereo audio track.

After you finish recording, mute the MIDI tracks that you just recorded so you don't hear them and the new audio track at the same time.

See:

Synth Rack View

Inserting a DXi

Playing a DXi

To Remove A DXi from a Track or Bus

Playing a Stand-alone Synth

Converting Your DXi Tracks to Audio

Recording a Stand-alone Synth


Mixing and Effects Patching

The Console view and the Track view support automation, which lets you record and play back volume and pan changes, and other track parameters. The Track view uses envelopes to automate both individual clips and entire tracks. You can add automation for volume and pan to individual clips, and you can automate the following parameters in tracks:

  • Mute
  • Aux Bus Send Balance (one for each Aux Bus)
  • Aux Bus Send Level (one for each Aux Bus)
  • Gain
  • Pan

For more information on automation, see Using Automation.

SONAR lets you mix together the digital audio portions of a project, including all real-time effects and control movements, to a stereo track or stereo pair of audio tracks. You can use the mixed-down tracks to create a CD master or to put your work on the World Wide Web.

See:

Preparing to Mix

Mixing MIDI

Routing and Mixing Digital Audio

Metering

Using Real-Time Effects

Using Control Groups

Virtual Main Buses

Using Remote Control

Mixing Down and Distributing Audio

Preparing Audio for Distribution


Preparing to Mix

The Console and Track views contain all the controls you need to mix your project. To open the Console view click the Console view button [image] or choose View-Console. The Track view is always open.

Sound controls in the Console view are grouped in modules. There are four types of modules:

Module type... | What you can do...
MIDI track | Set the track's output, channel, bank, and patch; set the input; mute, solo, and arm the track; set channel volume, panning, chorus, and reverb levels; add real-time effects
Audio track | Set the track's output (aux bus or virtual main bus destination); set the input and monitor input levels; mute, solo, and arm the track; set track volume and panning; add real-time effects; send audio data to aux buses
Aux bus | Receive input from one or more audio tracks, add real-time effects, and send the results to a Main
Main buses (main outputs) | Add real-time stereo master effects; monitor output levels using meters; control the stereo volume of audio to an output on your audio interface

One module is always outlined with a broken line. This corresponds to the track with the focus in the Track view. You can change the focus by clicking to the right of the module's volume fader.

The Console view contains several different types of controls. Here's how they are used:

You can adjust knobs in four different ways:

  • Click along the outer edge of the knob to move the knob to that position
  • Drag the outer edge of the knob in a circular motion to set the desired position
  • Click on the center of the knob and drag the mouse up or down to adjust the knob
  • Double-click the center of the knob to return it to its snap-to position

Volume and pan faders also have snap-to positions; double-click a fader's knob to return the fader to its snap-to value.

The controls and effects patch points all have tool tips associated with them. To see a description of a particular control or effect, simply rest the cursor over the item for a few seconds.

There are four types of tracks in the Track view:

Track type... | What you can do...
MIDI track | Set the track's output, channel, bank, and patch; set the input; mute, solo, and arm the track; set channel volume, panning, chorus, and reverb levels; add real-time effects
Audio track | Set the track's output; set the input and monitor input levels; mute, solo, and arm the track; set track volume and panning; add real-time effects; send audio data to aux buses
Aux bus | Receive input from one or more audio tracks, add real-time effects, and send the results to a Main
Main buses (main outputs) | Add real-time stereo master effects; monitor output levels using meters; control the stereo volume of audio output to a port on your audio interface

The Track view contains several different types of controls. Here's how they are used:

For information on using the controls in the Track view, see Changing Track Settings.

Volume, pan, aux bus send level and aux bus send pan also have snap-to positions; double-click the control to return it to its snap-to value.

The controls and effects patch points all have tool tips associated with them. To see a description of a particular control or effect, simply rest the cursor over the item for a few seconds.

See:

Configuring the Console and Track Views


Configuring the Console and Track Views

The Console and Track view can be reconfigured in a variety of ways. You can:

  • Choose the tracks that you want to see
  • Adjust the display of audio meters and clip indicators
  • Change the number of aux buses and virtual mains
  • Set control snap-to positions
  • Insert new tracks
  • Name tracks and aux buses

Meters are helpful in determining the relative volumes of your audio tracks and in detecting and preventing overload. By default, the Console view displays output level meters in virtual main output modules at all times, and displays record level meters in individual tracks whenever they are armed and have an audio input. The display of meters, however, can place a considerable load on your computer. Showing only the peak indicators, or hiding the meters entirely, can reduce the load on your computer. This may increase the number of audio tracks and real-time effects you can play back at one time.

There are two options you can access from the Options-Audio command that affect the layout and operation of the Track and Console views. First, SONARTM lets you control the number of aux buses that appear in your projects. If you are not planning to make use of any aux buses, you can reduce this number to zero to save space.

Second, SONAR lets you control the number of virtual main buses that appear in your projects. For more information on virtual main buses, see Virtual Main Buses.

In the Track view there are several ways to configure which tracks are displayed.

To Display All the Tracks in a Project

  • Click the View tool's down arrow and select Show all tracks from the View tool menu.

To Hide Selected Tracks

  1. Select the tracks you want to hide.
  2. Click the View tool's down arrow and select Hide tracks from the View tool menu.

To Display Only Selected Tracks

  1. Select the tracks you want to display.
  2. Click the View tool's down arrow and select Show selected tracks from the View tool menu.

To Choose the Tracks that are Displayed Using the Track Manager

  1. In the Console view, click the Track Manager button [image] , or, in the Track view, click the down arrow next to the View tool and select Track Manager to open the Track Manager dialog box.
  2. In the list, check those tracks you would like displayed in the view in which you are working, and uncheck the rest. You can use Shift-click, Control-click, or the quick select buttons to select multiple modules; press the Spacebar to check or uncheck all the selected modules at once. Please note that the track display selections you make in the Track view do not affect those in the Console view and vice versa.
  3. Click OK.

To Hide a Module (Console view only)

  • Right-click on the module and choose Hide Module.

To Hide a Track (Track view only)

  • Right-click on the track and choose Hide Track.

To Show or Hide Meters the Console View

  • Use the tools in the Console view toolbar as described in the table that follows:
    Tool...

    How it works...

    When pressed, Record level meters are displayed when a track has an audio input and is armed for recording.

    When pressed, Playback level meters are displayed on all track outputs.

    When pressed, Playback level meters are displayed on all virtual main buses.

To Show or Hide Meters in the Track View

  • Click the Show/Hide Meters button [image] to display all meters or click on the arrow to the right of the Show/Hide Meters button to display only the meters you want to see or to customize the appearance of your meters.
    Option...

    What it does...
    Record

    Displays record meters for any armed track.
    Playback

    Displays playback meters.
    Output

    Displays meters in Aux buses and virtual main buses
For more information about metering options, see Changing the Meters' Display.

To Change a Meter's Range

  • Right-click on the meter and choose a new range.

To Change the Number of Aux Buses

  1. Choose Options-Audio and click the General tab.
  2. Enter the desired number of aux buses (up to 16) in the Number of Aux Buses box.
  3. Click OK.

The next time you start SONAR, the Track view and Console view contain the desired number of aux buses.

To Set the Snap-to Position of a Knob or Fader

  1. Set the control to the desired position.
  2. Right-click on the control and choose Set Snap-To=Current.

From now on, the control returns to this position when double-clicked.

To Insert a New Track

  1. Right-click on an empty area in the Console view or on the title bar of a track in the Track view.
  2. Choose Insert Audio Track or Insert MIDI Track.

SONAR adds a new track to the project.

To Rename a Track, Aux Bus, or Virtual Main

  1. In the Console view, click on the module name. In the Track view double-click on the Track name.
  2. Type a new name.
  3. Press Enter.

If you rename a track, the new name is copied to the Track view. If no name has been assigned to a track, the Console view displays the track's number.0


Mixing MIDI

SONAR gives you many tools to control your MIDI mix. When your MIDI tracks sound the way you want them to, there are several ways to convert them to audio (see Converting MIDI to Audio).

See:

Mixing a MIDI Track

Converting MIDI to Audio


Mixing a MIDI Track

You can control the mixing and playback of a MIDI track as follows:

To do this... | Do this...
Add a real-time MIDI effect to the track | Right-click in the Effects patch point and select an effect from the list (for more information, see Using Real-Time Effects)
Remove an effect | Select the effect and press Delete or right-click and select Delete.
Select the output | Click the Output control and choose one from the list
Select the channel | Click the Channel button and choose one from the list
Select the bank | Click the Bank button and choose one from the list
Select the patch | Click the Patch button and choose one from the list
Set the Chorus level | Adjust the Chorus slider
Set the Reverb level | Adjust the Reverb slider
Mute the track | Click the Mute button
Solo the track | Click the Solo button
Arm the track for recording | Click the Arm button
Set the Pan level | Adjust the Pan fader
Set the Volume level | Adjust the Volume fader
Select the input | Click the input button and choose one from the list

When moving the Volume fader, the Value box in the toolbar displays the level from a scale of 0 (minimum) to 127 (maximum). When you move the Pan slider, the Value box displays the pan value on a scale that ranges from 0 (hard left) to 64 (center) to 127 (hard right).


Converting MIDI to Audio

The following options cover three basic MIDI setups:

  • If your MIDI tracks play back through a DXi soft synth, use either the File-Export-Audio or Edit-Bounce to Track(s) commands (see the procedures in To Convert Your DXi Tracks to New Audio Tracks and To Export Your DXi Tracks as Wave, MP3, or Other Type Files).
  • If your MIDI tracks play back through your sound card's synthesizer, see the procedure below.
  • If your MIDI tracks play back through external MIDI modules, simply connect their analog outputs to the inputs on your sound card, and record to new audio tracks.

To Convert a Sound Card's Synth Tracks to a Stereo Audio Track

  1. Pick a destination audio track and set the In field to Stereo-(name of your sound card).
Note: If you have more than one sound card installed, select the one that your synth uses as an output.
  2. Arm the destination track.
  3. Mute or archive any tracks that you don't want to record to the destination track.
  4. If SONAR's metronome is set to use any software synth to produce a click, disable the metronome during recording option in the Project Options dialog box. To do this, select Options-Project to open the Project Options dialog box, select the Metronome tab and uncheck Recording in the General section.
  5. Open your sound card's mixer device. This is normally done by double-clicking the speaker icon on the Windows taskbar, or by choosing Start-Programs-Accessories- Multimedia-Volume Control-Options-Properties.
Note: Some sound cards, such as the SoundBlaster Live, have their own proprietary mixer. If yours has one, please use it instead.
  6. Open the sound card's recording control window (the command is probably Options-Properties-Adjust Volume For Recording) and make sure all boxes below Adjust Volume For Recording are checked.
  7. Click OK, and locate the slider marked MIDI, Synth, Mixed Input, or What You Hear. Check the Select box at the bottom, then close the window.
  8. In SONAR, click the Record button.
SONAR records all the MIDI tracks that are assigned to the sound card synth as a stereo audio track.

After you finish recording, mute the MIDI tracks that you just recorded so you don't hear them and the new audio track at the same time.


Routing and Mixing Digital Audio

This section covers mixing your project's digital audio.

See:

Signal Flow

Audio Tracks

Aux Buses

Virtual Main Bus Module


Signal Flow

The signal flow for digital audio in SONAR looks like this:

Audio clips in each track are processed by any real-time audio effects you have patched in place, passed through the track pan control and volume fader, and then sent to the designated virtual main bus, in stereo.

Any audio track can be tapped, before or after the track volume control, and sent to one or more aux buses. An aux bus can tap any number of audio tracks. Each track's data passes through the track's send level knob on its way to the aux bus. This is shown in the diagram below:

The audio in each aux bus passes through the send level and pan controls, is processed by any real-time effects you have patched, sent through the return level and pan controls, and then sent to the designated main output, in stereo.

At each virtual main bus, all audio data from audio tracks and aux buses that were routed to that virtual main are mixed together and processed by the main's real-time effects. Finally, the data passes through each virtual main's master volume fader and is sent to the output.


Audio Tracks

You control the mixing and playback of an audio track as follows:

To do this... | Do this...
Add a real-time audio effect to the track | Right-click in the Effects patch point and select an effect from the list (for more information, see Using Real-Time Effects)
Remove an effect | Select the effect and press Delete or right-click and select Delete.
Send audio data from the track to an aux bus | Select the corresponding Aux Send Enable and set the Aux Send Level (for more information, see Aux Buses)
Mute the track | Click the Mute button
Solo the track | Click the Solo button
Arm the track for recording | Click the Arm button
Set the Pan level | Adjust the Pan control
Set the Volume level | Adjust the Volume fader
Select the output | Click the dropdown arrow in the Out field and choose one from the list
Select the input | Click the dropdown arrow in the In field and choose one from the list

SONAR displays volume in dB (decibels). When adjusting the volume or aux bus send level controls, a value of 0 dB indicates full signal strength; positive values, up to 6 dB, indicate a signal gain; negative values indicate an attenuated signal. When you move the Pan control, the Value box displays the pan value on a scale that ranges from 100%L (hard left) 100%R (hard right).


Aux Buses

Aux buses are useful for mixing together different audio tracks (in stereo) and applying effects to the mix. You can mix the tracks at different volume levels by adjusting each track's aux send level.

Note: If you open a project that uses more virtual main buses or aux buses than you have currently configured, SONAR displays a message asking you to create more virtual main and/or aux buses, and restart SONAR. You control the number of buses on the General tab of the Audio Options dialog box (the Options-Audio command opens this dialog).

You control the aux bus as follows:

To do this... | Do this...
Send audio data from an audio track to the aux bus | In an audio track, press the Aux Send Enable button corresponding to the aux bus
Set the level of the audio data sent to the aux bus | In an audio track, set the Aux Send Level corresponding to the aux bus
Set the input level to the aux bus | Adjust the Send level
Set the input panning to the aux bus | Adjust the Send pan
Add a real-time audio effect to the bus | Right-click in the Effects patch point and select an effect from the list (for more information, see Using Real-Time Effects)
Remove an effect | Select the effect and press Delete, or right-click and choose Delete
Set the output level | Adjust the Return level
Set the output panning | Adjust the Return balance
Select the output | Click the Output button and choose one from the list

As with Audio strips, the Value box in the toolbar displays the send and return levels in decibels and the send and return balance values on a scale of 100%L to 100%R.

To Patch a Track Through an Aux Bus

  1. Open the Console view (View-Console) or the Track view (View-Track).
  2. Right-click in the FX bin of Aux 1 (if it is not in use already) and choose an effect from the effects popup menu. (If you are working in the Track view, you may first need to display the Bus pane by clicking the Show/Hide Mains and Aux Buses button [image] located at the bottom of the Track view.)
The name of the effect you have chosen appears in Aux 1 and the effect appears.
  3. Set the effect's parameters and close it.
  4. Repeat steps 2 and 3 for any additional effects you want to use.
  5. In Aux 1, adjust the Send and Return controls to the approximate level.
  6. In Aux 1, drag the Send and Return Pan controls to the approximate positions.
  7. In a track module that you want to patch through Aux 1, do the following:
    • Drag the Aux 1 Send Level control to the approximate level you want.
    • Click the Aux 1 Send Enable button.
  8. Repeat step 7 for all the tracks you want to patch through Aux 1.
  9. Play your tracks and adjust the Send Level controls, the Send and Return controls, etc.


Virtual Main Bus Module

There is one module for each virtual main bus. SONAR has one virtual main bus for each hardware output by default. You can change the number of virtual main buses in the Audio Options dialog for a total of 64. You use each virtual main bus like a subgroup--sending certain groups of tracks out through certain buses to gain more control over effects, balance, etc. Each virtual main bus contains a left channel and a right channel, but only one volume fader. You control the left/right balance of each virtual main bus with the balance slider that is on that bus.

Note: If you open a project that uses more virtual main buses or aux buses than you have currently configured, SONAR displays a message asking you to create more virtual main and/or aux buses, and restart SONAR. You control the number of buses on the General tab of the Audio Options dialog box (the Options-Audio command opens this dialog).

Here's what you can do in each virtual main bus module:

To do this... | Do this...
Add a real-time audio effect to the mix | Right-click in the Effects bin and select an effect from the list (for more information, see )
Remove an effect | Select the effect and press Delete, or right-click and choose Delete
Set the output volume | Adjust the Volume control
Adjust the left/right balance of a virtual main bus module | Adjust the balance slider that's on that output module


Metering

The Console and Track views both have meters to measure playback level, record level, and main output level. The Track view also has aux bus return meters. You can configure the meters differently in each view, if you want.

The responsiveness of your record meters is dependent upon the latency setting in the Audio Options dialog. With higher latency settings the meters may appear sluggish.

There are three basic things you should know about meters:

  • What the meters measure
  • How to show or hide different kinds of meters
  • How to choose display options for each kind of meter

Note: Metering uses significant amounts of your computer's processing power, especially RMS metering. If you need to free up resources, turning off metering where you don't absolutely need it helps. Using peak metering on tracks and peak plus RMS metering on the virtual main buss is a good option. To disable all metering, turn off metering in both the Track view and Console view.

See:

What the Meters Measure

Hiding and Showing Meters

Changing the Meters' Display


What the Meters Measure

The following table summarizes what each kind of meter measures:

Kind of meter... | What it measures...
Record | The level of the instrument listed as an input for the track you are monitoring--the track must be armed to enable the meter
Playback | A playback meter measures the playback level of any pre-existing data in the track you are monitoring, either before or after the track faders, depending on what display options you choose
Virtual main buses (main outputs) | The level of the signal output by a virtual main bus. Many virtual main buses may be routed to the same audio hardware output. Multiple virtual main buses assigned to the same hardware output may cause clipping, even if each individual main bus is not.
Aux buses | The level of the return signal the aux bus is sending back from the effects.

See also:

Hiding and Showing Meters

Changing the Meters' Display


Hiding and Showing Meters

The display and configuration of the meters in the Track view is independent of the meters in the Console view, and vice versa. Three buttons in the Track view and Console view toolbars hide or show all the meters of each kind in each view. To show or hide meters on individual tracks or buses, use the right-click popup menu that's available from the title bar of each track or bus.

Note: If you want to conserve the maximum amount of your CPU's resources, turn off all metering in both the Track and Console views.

To Show or Hide all Record Meters

  • In the Console view, click the Show Record VU Meter button in the Console view toolbar. This button hides or shows all the record meters in the Console view.
  • In the Track view, click the arrow to the right of the Show/Hide Meters button [image] and select Record Meters from the menu that appears.

To Show or Hide Individual Record Meters in the Track View

  • Right-click the title bar of a track to display the track popup menu and click the Show Record Meter option to show or hide the record meter for that track.

To Show or Hide All Playback Meters

  • In the Console view, click the Show Playback VU Meter button in the Console view toolbar. This button hides or shows all the playback meters in the Console.
  • In the Track view, click the arrow to the right of the Show/Hide Meters button [image] and select Playback Meters from the menu that appears.

To Show or Hide Individual Playback Meters in the Track View

  • Right-click the title bar of a track to display the track popup menu and click the Show Playback Meter option to show or hide the playback meter for that track.

To Show or Hide All Main and Aux Bus Meters

  • In the Console view, click the Show Main Bus Meters button in the Console view toolbar. This button hides or shows all the virtual main and aux bus meters in the Console view.
  • In the Track view, click the arrow to the right of the Show/Hide Meters button [image] and select Output Bus Meters from the menu that appears.

To Show or Hide Individual Bus Meters in the Track View

  • In the Track view, right-click the title bar of a main or aux bus to display the popup menu and click the Show Meter option to show or hide the meter for that bus.

See also:

What the Meters Measure

Changing the Meters' Display


Changing the Meters' Display

You control the range and kind of units that the various meters display in the Track and Console views. The display of meters in each of the two views is independent of the display in the other view. In the Track view, you can access all meter options from the Show/Hide Meters button. In the Console view, you open the dropdown menus by clicking the dropdown arrows that are next to the show/hide button of the kind of meter you want to change the display of. For example, if you want to change the display of the playback meters in the Track view, click the dropdown arrow next to the Show/Hide Meters button and select Playback meter options.

The dropdown menus give you the following display options:

Menu option...

What it does...
Peak

Choosing this option causes the meter to display the highest amplitude in the signal that occurs in a complete cycle of a frequency.
RMS

Choosing this option causes the meter to display more of an average of the amplitudes that occur in a complete cycle of a frequency. RMS, or Root-Mean-Square, is a little over seventy per cent of peak level.
Peak + RMS

Choosing this option causes the meter to display both the RMS and peak levels. The RMS level is displayed by the solid bar on the left side of the meter, and the peak level is displayed as a small line that follows the RMS level just to the right of it.
Pre Fader/Post Fader (This option is for playback meters only)

Choose Pre Fader or Post Fader to measure the playback level either before or after the track's volume fader.
Pre Fader/Post FX (This option is for the virtual main buses only)

Choose Pre Fader/Post FX to measure the virtual main bus volume before the virtual main fader, but after any real-time effects.
-12 dB....-90 dB

Choosing one of these numbers sets the scale of the meter to a certain range of dB. For example, choosing -90 dB sets the range of measurement of that meter to 90 dB.
Note: You can also change the scale of a meter by right-clicking the meter to display a popup menu and choosing a new dB range.
Show Labels

Clicking this option hides or shows the dB markings on the meter. Hiding the markings shrinks the meter significantly, saving space.
Hold Peaks

Choosing this option causes the meter to display a small vertical line (the peak marker) that shows the peak level and then decays until a new peak is reached.
Lock Peaks

Choosing this option causes the meter to lock the peak marker at the highest level, until a higher level occurs.

See also:

What the Meters Measure

Hiding and Showing Meters


Using Real-Time Effects

In the Console view and Track view, you can use plug-in effects non-destructively, in real time. You can also hear your plug-in effects in real time on any live instruments you are recording--just make sure Input Monitoring is enabled (see Input Monitoring).

For example, suppose you want to add a reverb effect to an audio track containing a recorded violin solo. You could do it in two different ways:

  • Destructive--The digital audio data itself is modified. Although this may be exactly what you want, it does limit your options. If you want to modify the effect parameters slightly or to remove the effect and try a different effect, you must use the Undo command, or revert to a saved copy of the original data.
  • Non-destructive (real-time)--The digital audio data in your track is not changed but simply altered on the fly during playback. This means you can experiment with effects parameters, bypass effects, or remove them entirely at any time. Since most effects require complex numeric calculations, real-time effects processing puts a heavy load on your computer's CPU. If you use too many effects, the CPU will not be able to keep up and playback will sound choppy and disconnected.

You can also apply real-time audio effects to a submix in an aux bus or virtual main bus (main output). For example, rather than patching separate reverb effects in each of several guitar tracks, you can mix the guitar tracks together in an aux bus and apply a single reverb effect to the submix. This makes much more efficient use of CPU time. Patching effects on an aux bus or virtual main bus also opens up new creative possibilities.

There are several reasons why you might want to apply effects offline (destructively):

  • If you want to apply more effects than your CPU can handle, applying some of the effects offline will reduce CPU usage during playback.
  • If you want to apply effects to an individual audio clip, rather than the whole track, it is simpler to do so using offline effects.

The File-Export-Audio command, allows you to apply real-time effects when you export, so you do not need to apply your effects destructively or use the Edit-Bounce to Track(s) command to prepare the tracks beforehand. For information about exporting audio, see Preparing Audio for Distribution.

See:

Effects Parameters

How to Use Real-Time Effects

Applying Audio Effects

Applying MIDI Effects


Effects Parameters

Each effect in an effects patch point has its own independent set of parameter values. For example, you can apply a short reverb in one track and a long reverb in another track. The dialog boxes for real-time effects contain the same parameters as the offline effects, though there are a few differences:

  • You can adjust the parameters while playback is in progress, so there is no need for an Audition button.
  • For Audio effects, because mixing is handled through the Track view or Console view, there is no Mixing tab.
  • You do not need to click OK for the effect to be applied.

Refer to the sections MIDI Effects (MIDI Plug-ins) and Audio Effects (Audio Plug-ins) for descriptions of the effects and their parameters.


How to Use Real-Time Effects

It is very easy to use the real-time effects in the Track view and Console view. Here's what to do:

To do this... | Do this...
Add a real-time effect to a MIDI track, audio track, aux bus, or virtual main bus | Right-click in the effects bin of the track or bus you want to add the effect to, and select an effect from the popup menu.
Change the order in which effects are used | In the Track view, drag an effect left or right in the effects bin. In the Console view, drag an effect up or down in the effects bin.
Edit an effect's parameters | Double-click on the effect to open the effect's dialog box.
Move an effect to a different bin | Drag the effect to another effects bin.
Copy an effect to a different bin | Hold down the Ctrl key and drag the effect to another effects bin.

When you place an effect in the patch point, an abbreviated name is used to describe the effect. Sometimes the limited space makes it impossible to identify the effect. If this occurs, simply rest the cursor over the effect for a second or two, and a tooltip will pop up to display the full name of the effect.


Applying Audio Effects

From the Track view you can destructively apply audio effects for one or more tracks. When you are pleased with the audio effects you have patched into a track, you can apply the effects to the track. Applying effects to a track saves resources, allowing you to include additional tracks and/or effects.

Note:

When effects are undone, they are not re-patched in the Effects bin(s).

To Apply Multiple Audio Effects Offline

  1. Add one or more audio effects to one or more tracks in either the Track view or the Console view.
  2. In the Track view, select the tracks or clips you want to be affected.
  3. Select Process-Apply Audio Effects.
The Apply Audio Effects dialog appears.
  4. If desired, select the option to delete the effects after applying them.
  5. Click OK.

If you do not delete the effects after applying them, they remain active.


Applying MIDI Effects

You can destructively apply the MIDI effects in a track's patch point. This makes it easy for you to experiment with MIDI effects before you commit to them on a more permanent basis.

To Apply MIDI Effects Destructively

  1. In the Track view, select the tracks or clips to be affected.
  2. Select Process-Apply MIDI Effects.
  3. If desired, select the option to delete the effects after applying them.
  4. Click OK.

If you don't delete effects after applying them, they continue to be active during playback, even though they have already been applied.

CPU Usage of Audio Effects

The number of real-time audio effects that your computer can handle depends on the number of audio tracks in your project, the number and type of effects you want to use, and the type and speed of your CPU. Certain effects are more CPU-intensive than others, and enabling certain settings (such as using equalization within the Stereo Reverb) increases CPU usage for those effects.


Using Control Groups

SONAR lets you link faders, knobs, or buttons in the Track and Console views into groups. Groups are collections of controls whose movements are linked together. For example:

  • Two volume faders or controls can be grouped so that when you increase or decrease the volume of one track, the volume of the other track changes in exactly the same way.
  • Four mute buttons can be grouped so that when you click on the mute button to mute track 1, tracks 1 and 2 are muted and tracks 3 and 4 are un-muted.

The Console view and Track view identify controls, knobs and faders that are grouped using a colored group indicator that is displayed on the controls in each group. The controls in group A are displayed with a red indicator, the controls in group B with a green indicator, and so on. Controls, faders and knobs can be grouped together.

When you group buttons together, the way they work is based on their position when you create the group:

  • Buttons that are in the same position when grouped will turn on and off together at all times.
  • Buttons that are in opposite positions when grouped will always remain in opposite positions.

When you group buttons with knobs or faders, the button turns on/off when the knob or fader reaches its halfway point.

You have several additional options. There are there general types of groups: absolute, relative, and custom. Here's how they work.

Absolute

The range of motion in all controls in the group is identical. When you move one control in the group, all other controls in the group move the same amount in the same direction. The controls do not necessarily need to start at the same level.

Relative

The range of motion for controls in the group is not the same. All controls in the group have the same value at one point--the lowest level for send, return, and volume levels, and zero for pan controls.

Custom

Sometimes you want to define a more complex relationship between the controls in a group. For example:

  • You want two controls two operate in reverse--when one fader drops, the other increases (cross fade).
  • You want two volume faders grouped so that they are locked together at maximum level, but drop at different rates.
  • You want two faders to be locked together with the same range of motion, but a third fader grouped with them to have a different range of motion.

Custom groups let you set the range of motion for each control in the group by entering a starting and ending value. As any one control in the group is moved from is starting position to its ending position, the other controls in the group exercise their full range of motion.

When you have defined a custom group, you can adjust the starting and ending position of each control using the Group Settings dialog box or using popup menus on the controls in the group.

To Add a Control to a Group

  1. Right-click on the control.
  2. Choose a group from the Group submenu.

SONAR adds the control to the group. Controls, knobs and faders are highlighted with the group's color indicator.

To Remove a Control from Its Group

  1. Right-click on the control.
  2. Choose Ungroup from the menu.

SONAR removes the control from the group and displays the control with the neutral color indicator.

To Override a Control's Grouping

  • Hold down the Ctrl key while moving the control.

The control remains part of the group and functions as such once the Ctrl key is lifted.

To Set the Group Type to Relative or Absolute

  1. Right-click on any control in the group and choose Group Properties to display the Group Properties dialog box.
  2. Choose Absolute or Relative as the group type and click OK.

SONAR uses the type to determine the range of motion for the group's controls.

To Create a Custom Group

  1. Right-click on any control in the group and choose Group Properties to display the Group Properties dialog box.
  2. Choose Custom as the group type. The starting and ending values for each control are displayed.
  3. To change the starting or ending value for a control, click on the control in the list and enter new values in the Start and End box.
  4. To swap the starting and ending value, click the Swap button.
  5. Click Close when you are done.

SONAR uses the type to determine the range of motion for the group's controls.

To Adjust the Start Value of a Control

  1. Set the control to the desired starting value.
  2. Right-click on the control.
  3. Choose Set Start = Current.

SONAR sets the start value of the control.

The Set Start = Current and Set End = Current commands set the range of motion that a grouped control moves through as the other members of the group move through their starting and ending values. You don't have to designate a group as a custom group to create a custom group--just group some controls and set their starting and ending values.

To Adjust the End Value of a Control

  1. Set the control to the desired ending value.
  2. Right click on the control.
  3. Choose Set End = Current.

SONAR sets the end value of the control.

The Set Start = Current and Set End = Current commands set the range of motion that a grouped control moves through as the other members of the group move through their starting and ending values. You don't have to designate a group as a custom group to create a custom group--just group some controls and set their starting and ending values.


Virtual Main Buses

When you run SONAR for the first time or you profile your audio hardware, a default set of virtual main buses (main outputs) is created, one for each hardware output. Each virtual main bus contains a left and right channel, but only one volume control--you balance the two channels with the balance slider that's on each virtual main bus. SONAR gives you the option to create extra virtual main buses--up to 64 in total. You can control the volume and effects separately for each set of virtual mains, similar to the sub-groups on a hardware mixer, but with each virtual main bus controlling its own final output.

The basic procedures you should know about virtual main buses are:

  • Creating virtual main buses
  • Assigning tracks to virtual main buses

To Create Virtual Main Buses

  1. Open the Audio Options dialog box by using the Options-Audio command.
  2. On the General tab, in the Number of Virtual Mains field, use the + or - keys to set the number of virtual main buses that you want.
  3. Click OK and restart SONAR.

To Assign Tracks to a Virtual Main Bus

  1. In the Track or Console view, set an audio track's output to one of the virtual main buses.
  2. Repeat step 1 for each track you want to include in that sub-group.

After you finish assigning tracks to a virtual main bus, you can adjust the final output volume of all the tracks in that sub-group with the volume fader on the virtual main bus that you assigned the tracks to. You can also add master effects to the sub-group at the virtual main bus.

You can also group virtual main bus faders to each other, and automate their movements. See Using Control Groups and Using Automation.


Using Remote Control

This section explains how to assign knobs or sliders on a MIDI controller to control specific parameters on specific tracks. If you have a control surface with groups of faders such as a Tascam US-428 or CM Labs MotorMix, see the online help topic "Working with External Devices."

SONAR`s Remote Control function lets you use a MIDI device to remotely control knobs, buttons, and sliders in the Track and Console views. For example, you can:

  • Use a key on your keyboard to temporarily mute a track
  • Work the send level in an aux bus with your pitch bend wheel
  • Set the main volume levels with NRPN messages
  • Prevent SONAR from sending any controller messages to your MIDI device.
  • Record automation from an external controller

If you set up remote control for a grouped control, the remote control works all controls in the group.

The type of MIDI message used to work a control is selected in the Remote Control dialog box. The options are as follows:

Message option... | Message effect on buttons... | Message effect on sliders and knobs...
None | No remote control | No remote control
Note On | The button state is toggled | The slider/knob is alternately maximized and minimized
Note On/Off | The button state is toggled when Note On is received, and toggled again when Note Off is received | The slider/knob is maximized when Note On is received, and minimized when Note Off is received
Controller | Not applicable | The slider/knob value is set to the controller value
Wheel | Not applicable | The slider/knob value is set to the wheel value, with the values mapped from their original range of -8,192 to 8,191 to a range of 0 to 127
RPN | Not applicable | The slider/knob value is set to the RPN value, with the values mapped from their original range of 0 to 16,383 to a range of 0 to 127
NRPN | Not applicable | The slider/knob value is set to the NRPN value, with the values mapped from their original range of 0 to 16,383 to a range of 0 to 127

To Set Up Remote Control for a Knob, Button, or Fader

  1. Right-click on the control and choose Remote Control from the popup menu.
  2. Choose the remote control type, as described in the table above.
  3. Set the note or controller number if applicable.
  4. Set the MIDI Channel field to the channel that your controller sends out.
  5. Click OK.

You can now work the control from your MIDI device. If you arm the control for automation and click the Record Automation button in the SONAR Transport, you can record your external controller's knob or fader movements.

To Disable Remote Control

  • Right-click on the control and choose Disable Remote Control from the popup menu.

To Prevent SONAR from Sending Controller Data to Your MIDI Device

  • Right-click each knob or fader in SONAR that is sending unwanted controller data to your MIDI device and choose Disable Control from the popup menu.

See:

Using the Learn Option


Using the Learn Option

The Learn option in the Remote Control dialog allows you to bind a parameter in SONAR to a knob or fader on your controller.

To Bind a Control Using the Learn Option

  1. Right-click on the parameter you want to arm in either the Track view or Console view and select Remote Control from the popup menu.
  2. Move a knob or fader on your controller.
  3. Click the Learn button in the Remote Control dialog and click OK.

The control in SONAR is now bound to the knob or fader on your controller.


Mixing Down and Distributing Audio

The Edit-Bounce to Track(s) command lets you combine one or more audio tracks into a submix. A submix can be a mono track, a stereo track or two mono tracks (one for the right stereo channel and one for the left) that contain the mixture of the original tracks, preserving the volume, pan, and effects for each track. After their creation, the submix tracks are just like any other tracks--you can edit them, add effects, copy them to another project, etc. The original, unmixed audio tracks are not deleted, so you can archive them and recover them later, or continue using them as before.

The Edit-Bounce to Track(s) command operates completely offline, meaning you can mix down tracks that may be too complex for your machine to actually play in real time.

Here are some reasons to use Edit-Bounce to Track(s):

  • Your mix is so complex that real-time playback is impossible. Edit-Bounce to Track(s) produces the correct mix, and store the result in a new track or pair of tracks.
  • You are running out of audio tracks. Edit-Bounce to Track(s) can combine any number of audio tracks into just one or two tracks.
  • You require more CPU time for your real-time effects. With Edit-Bounce to Track(s), you can premix some of your tracks with real-time effects applied, saving CPU time during playback.

If you mix down to tracks that already have data, the new events are placed in the track, but do not overwrite existing material.

If you have multiple audio devices (such as two sound cards) you can check the option to create a mix for each wave device. This will create a separate submix (on a separate set of tracks) for each device.

To Mix Down Audio Tracks

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose Edit-Bounce to Track(s) to open the Mixdown Audio/Bounce to Track(s) dialog box.
  5. Select the destination track for the mixdown.
  6. Select a format: the kind of track you want to create with your mixdown.
  7. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  8. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export.
  9. Click OK.

SONAR mixes the audio data and a new track(s) appear(s) in your project.


Preparing to Create an Audio CD

You can create an audio CD from any wave file or files (extension .wav) of up either 74 or 80 minutes (depending on the recordable CD media you have). If your projects are audio only, you can simply mixdown to a stereo wave file. If your projects contain MIDI, you must first convert the MIDI tracks to audio tracks. Once you have all the stereo wave files you want to include on your CD, you are ready to burn a CD. Most CD burners come with CD burning software, if yours did not, you will need to buy CD burning software, like Cakewalk's Pyro. To download a free demo of Pyro, visit the Cakewalk Website.

For step-by-step procedures:

To Export Audio to Wave File Format

Converting MIDI to Audio


Preparing Audio for Distribution

You can use SONAR to prepare audio files, or audio/video files for distribution via the World Wide Web or other electronic means. The following formats are supported:

Format... | Definition...
Wave | The standard digital audio format used under Windows, with a file extension of .wav
RealAudio | Digital audio encoded and compacted for streaming over the Internet, with a file extension of .ra
Windows Media Advanced Streaming Format | Compressed digital audio for streaming over the Internet, with the file extension .wma.
MP3 | Highly compressed digital audio designed for quick downloads via the Internet, with the file extension .mp3. The MP3 encoder that comes with SONAR is a trial version which will time-out. The full version is available for download at www.cakewalk.com.
OMF | The Open Media Format, created by AVID Technology, is designed to port a project to other applications or platforms. OMF files preserve tracks, clip positions, slip edits and some other project attributes depending on which application is writing or reading the OMF file.

If your audio hardware is configured for stereo playback, Wave files are created in stereo; if your audio hardware is configured for monophonic playback, the Wave file is created in mono.

To Export Audio to RealAudio Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Real Audio from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use. If your source file is 16 and you export to 24, you get more precision for any audio effects in the mix (and a larger file). If your source file is 24 and you export to 16, you lose some sound definition, but you get some of it back if the Apply Dither option is checked in the Audio Options dialog box.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation. any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.
The RealAudio settings dialog box appears.
  13. Select options as described in the table below and click OK.

The audio is compacted and exported to the RealAudio file.

The RealAudio Settings dialog box lets you define the settings for the RealAudio data in an exported file, as follows:

Option... | Meaning...
Title | Title of the file
Author | Author of the file
Copyright | Copyright statement
Enable Perfect Play | Lets people with low-bandwidth connections download a higher resolution version of the audio, at the expense of download time
Enable Mobile Play | Lets people download file to a local drive for playback later
Target Connection Rate | Choose as many different connection rates as your listeners may need. Then your listeners can choose the rate that's best for them when they play your project.
Include RA 5.0 Compatible Stream | Ensures compatibility with older versions of RealAudio
Content Type | Optimizes the data for specific content

You may choose several formats if you wish. The RealAudio 2.0 formats are good for backwards compatibility with older players and for 14.4 Kb capability. The remaining formats let you choose Mono or Stereo playback. Stereo formats trade bandwidth for stereo, so use these only when the stereo aspect is important.

To Export Video and Audio to an AVI File

  1. Unmute and unarchive the tracks you want to export.
  2. Choose File-Export Video to AVI.
  3. Type a name for the new file.
  4. Click OK.

The audio in your project is mixed down automatically and saved with the video in the new AVI file. For more information about video files, see Video Playback.

To Export Audio to Wave File Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Wave from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use. If your source file is 16 and you export to 24, you get more precision for any audio effects in the mix (and a larger file). If your source file is 24 and you export to 16, you lose some sound definition, but you get some of it back if the Apply Dither option is checked in the Audio Options dialog box.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.

The audio is exported to the Wave file.

To Export Audio to Broadcast Wave File Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Wave from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use. If your source file is 16 and you export to 24, you get more precision for any audio effects in the mix (and a larger file). If your source file is 24 and you export to 16, you lose some sound definition, but you get some of it back if the Apply Dither option is checked in the Audio Options dialog box.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.

The audio is exported to the Broadcast Wave file. The following information is stored in the file:

  • Description--A brief description of the contents of the Broadcast wave. Limited to 256 characters.
  • Originator--The author of the Broadcast wave. This information is taken from the Author field in the File Info dialog.
  • Originator Reference--A unique reference identifier created by SONAR.
  • Origination Date--The date the file was created.
  • Origination Time--The time the file was created.
  • Time Reference--The SMPTE time stamp for the beginning of broadcast wave.

To Export a Project in Windows Media Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose Windows Media Advanced Streaming Format from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select the bit depth that you want the exported file to use. If your source file is 16 and you export to 24, you get more precision for any audio effects in the mix (and a larger file). If your source file is 24 and you export to 16, you lose some sound definition, but you get some of it back if the Apply Dither option is checked in the Audio Options dialog box.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.
The Microsoft Audio Encode Options dialog appears.
  13. Select options and click OK.

The audio is compacted and exported to a file with the extension .wma.

To Export a Project in MP3 Format

  1. Set all volume, pan, effects, and automation settings just as you want them.
  2. If you only want to mix down parts of tracks, select those clips now.
  3. If you are using effects on the tracks and want to mix the effects down at this time, select the whole length of the longest track or clip plus an extra measure for the reverb or effects "tail."
  4. Choose File-Export-Audio to open the Export Audio dialog box.
  5. Select a destination folder using the Look In field.
  6. Enter a file name.
  7. Choose MP3 from the Files of type dropdown list.
  8. In the Format field, select one of the following options:
    • Export to Stereo File(s)--All exported tracks and clips are mixed down to a single stereo file.
    • Export to Separate Left and Right File(s)--All exported tracks and clips are mixed down to two separate mono files, left and right.
    • Export to Mono File(s)--All exported tracks and clips are mixed down to a single mono file.
  9. Select a bit depth of 16.
  10. Select a source bus or buses. If more than one is selected, the mixdown takes into account the levels of all virtual main buses, mixing the outputs of each selected bus. If you want to keep the output from each different source separate, check the Each Source to Separate Submix option.
  11. In the Mix Enables field, choose the elements you want to include in the mixdown. If you want to exclude muted tracks and/or include only soloed tracks, make sure Track Mute/Solo is checked.
Note: If you have patched a DXi (plug-in synth) into a track or bus, make sure you check Track FX to include DXi's that are patched into tracks, and check Aux Returns and/or Master FX to include DXi's that are patched into buses.
Note: If you don't check Track Automation, any initial volume and pan settings in an exported track are ignored and the track's audio data will be exported at the same level that exists in the track, with pan set to center. If you don't check Clip Automation, any trim settings are ignored during export. If you don't check Master Automation, any volume and balance settings at virtual main buses are ignored.
  12. Click Export.
The Cakewalk MP3 Encoder dialog appears.
  13. Choose options and click OK.

The audio is compacted and exported to a file with the extension .mp3.

To Export a Project as an OMF File

OMF (Open Media Format) files are designed for cross-platform compatiblity.

  1. Select File-Export-OMF.
The Export OMF dialog appears.
  2. In the File Name field, enter a name for the file.
  3. In the Save as Type field, select the OMF version you want to save the project as. Version 1 is compatible with older applications. See your target applications documentation for information on which version it supports.
  4. In the Audio Packaging section, select Embed Audio Within OMF if you want to save the audio in the OMF file, or Reference Audio Externally if you want to store the audio in a subdirectory.
  5. In the Audio Format section, select what file format you want your audio saved in.
  6. Check the Split Stereo Tracks into Dual Mono option if you want to save stereo interleaved tracks as a pair of mono tracks.
  7. Check the Include Archived Tracks option if you want to export the tracks in your project that are currently archived.
  8. Check Mix Each Groove Clip as a Separate Clip option if you want to save Groove clips (ACIDized files) as separate clips. This may increase significantly the amount of time it takes to export your project, if there are many Groove clips in your project.
  9. Click Save.

Note: OMF files save the following:

  • Tracks
  • Clip positions
  • Slip edits
  • Fades and crossfades (as destructive edits)

The following information is discarded:

  • Volume
  • Pan
  • Automation
  • Effects


Using Automation

Automation means to record the movement of a fader, knob, or other control so that the next time you play your project, that control moves automatically. SONAR allows you to graphically automate SONAR'smuch more than just volume and pan controls--you can automate individual controls, faders, and knobs that control the virtual main buses (main outputs), individual tracks, aux buses, individual effects' parameters (including some plug-in synths), and even individual clips. You can also group several controls together and automate them all by recording only a single control's movements. All automatable controls are in the Console view and the Track view (including the Clips pane), however, you can also graphically automate MIDI controllers from the Piano Roll view in addition to the Console and Track views. You can enable or disable all automation by clicking the Enable Automation Playback button [image] in the Automation toolbar. Display the Automation toolbar by using the View-Toolbars command and making sure that the Automation checkbox is checked in the Toolbars dialog box.

See:

Quick Automation Guide

The Automation Toolbar

Automation Methods

Automation Methods

Automating Effects

Reassigning Envelopes

The Envelope Editing and Node Editing Menus


Quick Automation Guide

The following table summarizes Console and Track view automation:

What you can automate... | Parameters you can automate... | How you can automate them...
Virtual main buses (main outputs) | Volume and balance--there is only one volume control on each pair of main outputs or virtual main buses: to adjust the left and right balance on each pair of outputs, use the balance control on that pair of outputs. | Draw envelopes in the Clips pane, record the fader movements, or take a snapshot
Individual tracks | Gain, pan, mute, aux send gain, aux send balance, MIDI controllers, MIDI chorus and reverb, pitch wheel, channel aftertouch, RPN and NRPN | Draw envelopes in the Clips pane, record the fader movements, or take a snapshot
Aux buses | Send gain and pan, return gain and balance | Draw envelopes in the Clips pane, record the fader movements, or take a snapshot
Individual effects (DirectX 8 plug-ins) | Varies with the effect | Draw envelopes in the Clips pane, record the fader movements, or take a snapshot
Soft Synth controls | Varies with the synth | See Automating a DXi's Controls
Groups of faders or other controls | Whatever the faders or other controls in the group control | Record fader movements
Individual clips | Gain and pan for audio clips, velocity for MIDI clips | Draw envelopes in the Clips pane

In addition, SONAR allows you to copy and paste envelopes between tracks. The only controls that you can't automate are the Arm, Solo, Pre/Post, Interleave (Mono/Stereo selector), Aux Enable, and Phase buttons; and the Trim fader.

For step-by-step instructions, see:

The Automation Toolbar

Automation Methods

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Deleting Envelopes

Copying and Pasting Envelopes

Snapshots


The Automation Toolbar

Display the Automation toolbar by using the View-Toolbars command to open the Toolbars dialog box, and making sure that the Automation checkbox is checked. If you slide the cursor over each button or field in the toolbar, tool tips pop up to tell you each function. The Automation toolbar gives you quick access to some powerful automation controls:

  • Punch In Time and Punch Out Time fields--In these two fields. you can enter the Now times where you want automation recording to begin and end. You can enter a whole number if the time starts at the beginning of a measure.
  • Set Punch to Selection button--Click this button to set the automation record punch-in and punch-out points to whatever time range is currently selected.
  • Snapshot button--Click this button to take a snapshot of all controls at a particular Now time. When you play back your project, when your project reaches the Now time where you took the snapshot, all controls snap to the positions they held when you took the snapshot.
  • Disarm All Automation Controls button--Click this button to disarm every control that is armed for automation recording.
  • Enable Automation Playback button--Click this button to either enable or disable any automation data the project contains.
  • Envelope/Offset mode button--Click this button to toggle between Envelope mode and Offset mode. For more information on the Envelope and Offset modes, see Envelope Mode and Offset Mode.

See also:

Automation Methods


Automation Methods

There are four ways to automate controls in the Track and Console views:

  • Recording the movements of individual faders, knobs, or controls--this method includes any knob, slider, or control except the Solo, Arm, Phase, Interleave, Vol Trim, Aux Enable, Pre/Post buttons, bank, patch, channel, key+, time+, input and output.
  • Drawing envelopes in the Clips pane for audio and/or MIDI data
  • Recording automation data from an external controller
  • Snapshots

For step-by-step instructions, see:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Deleting Envelopes

Copying and Pasting Envelopes

Snapshots

Automating Individual Effects Parameters


Recording Individual Fader or Knob Movements

This method works in both the Track view and Console view. Arming a parameter for automation and clicking the Record Automation button [image] starts automation recording and plays your project while you record automation. You can only record or erase automation data when you click the Record Automation button. SONAR does not record any automation data until you depress the mouse over the control that you armed. SONAR stops recording when you release the mouse.

To Record Individual Fader or Knob Movements

  1. Right-click the fader or control you want to automate.
The Automation popup menu appears (if the control is automatable).
  2. Choose Arm for Automation from the popup menu.
SONAR highlights the control with a red outline and turns on the red Aut label in the Status bar at the bottom of the SONAR window.
  3. SONARSONARSONARSONARClick the Record Automation button [image] that's in the Transport toolbar to start recording, and move the armed control the way you want it to move.
  4. Stop recording by clicking the Stop button, or by pressing the Spacebar.
  5. Make sure that the Enable Automation Playback button [image] in the Automation toolbar is depressed; rewind the project, play it, and listen to the results.
  6. Do one of the following:
    • Rewind the project and re-record the automation data.
    OR
    • If you are happy with the result, right-click the armed control and deselect Arm for Automation from the menu or click the AUT indicator on the Status bar to disarm all controls.

After you record the automation data, SONAR draws a graph of it (an envelope) in the Clips pane, which you can edit with the mouse.

You can also group controls, so that automating one control automates all the controls in the group.

See also:

The Automation Toolbar

Automated Muting

Using Control Groups

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Showing or Hiding Envelopes

Deleting Envelopes

Snapshots


Drawing Audio Envelopes in the Track View

This method is only available in the Clips pane and Bus pane, and works for both tracks and buses. Drawing an automation envelope for audio data overwrites any preexisting envelope for the same parameter that occurs at the same time in the same track or bus.

To Draw Audio Envelopes in the Track View

  1. Right-click in the Clips pane in the track (or bus) you want to automate.
The Clips pane popup menu appears.
  2. From the menu, choose Envelopes-Track-(name of the control you want to automate). Notice the envelope's color at the right side of the menu.
The envelope appears in the Clips pane as a straight, dotted line in the envelope's individual color, with a node (very small rectangle) at the beginning. When you move the cursor over the envelope, a vertical, double-ended arrow appears under it with the name and current value of the envelope in a box next to the cursor. The envelope's vertical position reflects the current value of the parameter you are editing.
Note: An automated mute envelope changes the track's mute status whenever the envelope crosses the middle of its value range.
  3. Using either the Select [image] or Envelope [image] tools, move the cursor over the envelope until a vertical, double-ended arrow appears under it (notice that the name and current value of the envelope appear in a box next to the cursor), and right-click the envelope. If you use the Envelope tool, you can't accidentally edit any other data besides the envelope.
The Envelope Editing menu appears.
  4. Choose Add Node from the menu.
A node appears on the envelope.
Note: A shortcut to add a node is to double-click the envelope.
  5. Move the cursor over the node until a cross appears under it, and drag the node in any direction you want.
  6. Double-click the envelope to add another node.
  7. Drag the new node in any direction you want and release the mouse.
  8. Move the cursor over the segment of the envelope that lies between the two nodes until the double-ended arrow appears, and right-click the envelope to open the Envelope Editing menu.
  9. Choose one of the following shapes from the Envelope Editing menu:
    • Jump--This choice causes the envelope to make a ninety degree jump where the envelope reaches the second node. SONAR displays jumps with a dotted line, meaning that there is automation data at the nodes where the dotted line begins and ends, but not where the line itself is.
    • Linear--This choice draws a straight line between the two nodes.
    • Fast Curve--This choice draws a curve between the two nodes that changes value rapidly at first, but more slowly toward the end of the curve.
    • Slow Curve--This choice draws a curve between the two nodes that changes value slowly at first, but more rapidly toward the end of the curve.
SONAR adds a shape between the nodes. You can drag any shape except a jump up or down and it maintains its curve or angle. To edit a jump, drag the node that's at either end of the jump.

Play the project and listen to the results. You can undo any step by using the Edit-Undo command (Ctrl+Z) directly after that step. You can drag the nodes in any direction you want. You can play back your project with or without the automation data by clicking the Enable Automation Playback button [image] in the Automation toolbar.

Note: When you add a "gain" envelope to a track in SONAR, you increase the track's level post-effects, or after the effects processors. Some hardware mixers call this level "volume," because it is post-effects, but other mixers refer to this as "gain." Either way, SONAR's gain envelopes increase a track's level after the effects processors in the signal chain.

When you add multiple envelopes to a track or bus, you can choose which envelopes you want to display. See Showing or Hiding Envelopes.

You can also draw envelopes on MIDI tracks. See Drawing MIDI Envelopes in the Track View.

See also:

Dotted Lines

The Envelope Editing and Node Editing Menus

Automated Muting

Using Control Groups

Deleting Envelopes

Snapshots

Recording Individual Fader or Knob Movements


Drawing MIDI Envelopes in the Track View

This method is only available in the Clips pane. You can also draw MIDI controller data in the Piano Roll view, but the technique is different (see Using the Controllers Pane).

Note: MIDI envelopes you create in the Piano Roll Controllers pane and MIDI envelopes you create in the Track view Clips pane are actually separate envelopes, even if they control the same parameter. Both kinds of envelopes are visible in the Clips pane, and should generally not be used to control the same parameter. You can convert Piano Roll view envelopes to Track view envelopes by selecting the time range and tracks that the Piano Roll envelopes occupy, and using the Edit-Convert MIDI To Shapes command.

To Draw MIDI Envelopes in the Track View

  1. Right-click in the Clips pane in the track you want to automate.
The Clips pane popup menu appears.
  2. If you want to create an envelope to control volume, pan, chorus, reverb, or automated mute, choose Envelopes-Track and choose one of those items from the menu.
The envelope appears in the Clips pane as a straight, dotted line in the envelope's individual color, with a node (very small rectangle) at the beginning. When you move the cursor over the envelope, a vertical, double-ended arrow appears under it with the name and current value of the envelope in a box next to the cursor. The envelope's vertical position reflects the current value of the parameter you are editing.
Note: An automated mute envelope changes the track's mute status whenever the envelope crosses the middle of its value range.
  3. If you want to create an envelope to control any other MIDI controller, choose Envelopes-Track-MIDI....
The MIDI Envelope dialog box appears:
  • In the Type field, choose what kind of MIDI event you want to control with your envelope.
  • In the Value field, choose the name of the controller you want to edit.
  • In the Channel field, choose the MIDI channel that you want the envelope to send data on, and click OK.
SONAR creates the envelope you chose.
  4. Move the cursor over the envelope until a vertical, double-ended arrow appears under it, and right-click the envelope.
The Envelope Editing menu appears.
  5. Choose Add Node from the menu.
A node (very small rectangle) appears on the envelope.
Note: A shortcut to create a node is to double-click the envelope.
  6. Move the cursor over the node until a cross appears under it, and drag the node in any direction you want.
When you release the mouse, the envelope changes to follow the node's new position.
  7. Double-click the envelope to add another node.
  8. Drag the new node in any direction you want and release the mouse.
  9. Move the cursor over the segment of the envelope that lies between the two nodes until the double-ended arrow appears, and right-click the envelope to open the Envelope Editing menu.
  10. Choose one of the following shapes from the envelope editing menu:
    • Jump--This choice causes the envelope to make a ninety degree jump when the envelope reaches the second node. SONAR displays jumps with a dotted line, meaning that there is automation data at the nodes where the dotted line begins and ends, but not where the line itself is.
    • Linear--This choice draws a straight line between the two nodes.
    • Fast Curve--This choice draws a curve between the two nodes that changes value rapidly at first, but more slowly toward the end of the curve.
    • Slow Curve--This choice draws a curve between the two nodes that changes value slowly at first, but more rapidly toward the end of the curve.
SONAR adds a shape between the nodes. You can drag any shape except a jump up or down and it maintains its curve or angle. To edit a jump, drag the node that's at either end of the jump.

Play your track and listen to the results. You can undo any step by using the Edit-Undo command (Ctrl+Z) directly after that step. You can play back your project with or without the automation data by clicking the Enable Automation Playback button [image] in the Automation toolbar.

When you add multiple envelopes to a track, you can choose which envelopes you want to display. See Showing or Hiding Envelopes.

You can also draw envelopes on audio tracks. See Drawing Audio Envelopes in the Track View.

See also:

Dotted Lines

The Envelope Editing and Node Editing Menus

Automated Muting

Using Control Groups

Deleting Envelopes

Snapshots

Recording Individual Fader or Knob Movements


Dotted Lines

The dotted line in an envelope shows two things:

  • There is no automation data at the time in a track where the dotted line is.
  • The value of the last piece of automation data that exists before the dotted line is represented by the vertical level of the dotted line.

You can move an automated control while your project plays, and if you move it during a time where that control has a dotted line in its envelope, the control will stay where you move it. As soon as the Now time reaches a node or solid line, the control snaps to the value of the node or solid line.


Drawing Envelopes on Clips

You can also draw envelopes on audio clips, but only for gain and pan. On MIDI clips, you can draw velocity envelopes. If there is already a track-level envelope on the clip, the clip envelope data merges with the track envelope data.

Note: The Trim value of a track is actually a clip parameter, not a track parameter. SONAR applies clip volume settings, including Trim, to a clip before the clip's audio data reaches any plug-in effects. Effects can sound very different when their incoming data changes volume, even if the final volume is unchanged.

To Draw Envelopes on Clips

  1. Right-click the clip that you want to draw the envelope on.
The Clips pane popup menu appears.
  2. Choose Envelopes-Clip-(Gain or Pan or Velocity) from the menu.
An envelope appears on the clip with a node at each end.

Edit the envelope just as you would a track envelope.

See also:

The Envelope Editing and Node Editing Menus

Using Control Groups

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Showing or Hiding Envelopes

Deleting Envelopes

Snapshots

Recording Individual Fader or Knob Movements


Showing or Hiding Envelopes

You can choose to show or hide any or all envelopes in a track or bus.

To Show or Hide All Envelopes

  1. In the Track view toolbar, click the drop-down arrow [image] that's next to the Envelope tool to display the Envelope Options menu.
  2. Choose either Show All Envelopes or Hide All Envelopes.

To Show All of One Kind of Envelope

  1. In the Track view toolbar, click the drop-down arrow [image] that's next to the Envelope tool to display the Envelope Options menu.
  2. Choose the kind of envelope that you want to show.

To Show or Hide Individual Envelopes

  1. Right-click the Clips pane in the track that contains the envelope(s) that you want to show or hide.
The Clips pane popup menu appears.
  2. Choose Envelopes-Show.
A menu of all the envelopes in the track appears. A checkmark appears to the left of each envelope that is currently showing.
  3. Click the name of one envelope that you want to show (if it's currently hidden), or hide (if it's currently showing).
SONAR hides or displays the envelope.
  4. Repeat steps 1 to 3 for each envelope that you want to show or hide.

You can also hide, but not show, individual envelopes by right-clicking an envelope and choosing Hide Envelope from the Envelope Editing menu.

See also:

Using Control Groups

Drawing Audio Envelopes in the Track View.

Drawing MIDI Envelopes in the Track View

Deleting Envelopes

Recording Individual Fader or Knob Movements


Deleting Envelopes

To Delete a Single Envelope

  1. Move the cursor over the envelope until a vertical, double-ended arrow appears under it, and right-click the envelope.
The Envelope Editing menu appears.
  2. Choose Delete Envelope from the menu.

SONAR deletes the envelope.

To Delete Several or All Envelopes

  1. Select the data that contains the envelopes you want to delete--you can select parts of tracks, one or more whole tracks, or all tracks.
  2. Use the Edit-Cut command to open the Cut dialog box.
  3. Select Track/Bus Automation if it's listed.
  4. Select Clip Automation if it's listed.
  5. Click OK.

SONAR deletes any track and clip envelopes that are in the data you selected.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes

Snapshots


Copying and Pasting Envelopes

You can copy and paste envelopes or parts of envelopes between tracks and clips. You can not, however, copy and paste a clip envelope without also copying and pasting the audio or MIDI data that is in that clip. If you paste a clip envelope into a track without the clip that it came from, the clip envelope becomes a track envelope.

To Copy an Envelope

  1. In the Track view or the Clips pane, select the track or clip that has the envelope you want to copy. If you want to copy all the automation data in the track, select the whole track. If you want to select only a clip, but want to select any track envelopes in that track, click the dropdown arrow next to the Select tool [image] , and make sure that the Select Track Envelopes With Selected Clips option has a checkmark next to it.
  2. Press Ctrl+C or use the Edit-Copy command.
The Copy dialog box appears.
  3. Choose Clip Automation and/or Track/Bus Automation.
Note: If the Track/Bus Automation field is greyed-out, you must re-select a part of the clip that contains either a node or a solid line (shape). A dotted line by itself is not an envelope and can not be copied.
  4. Choose any other kinds of data you want to copy--if you only want to copy the automation data, choose only Track/Bus Automation and/or Clip Automation.
  5. Click OK.

SONAR copies the data you selected to the clipboard.

To Paste an Envelope

  1. Select the track(s) and location (Now Time) you want to paste the data to.
  2. Press Ctrl+V or use the Edit-Paste command.
The Paste dialog box appears.
  3. Choose a track and location to paste to, if you haven't already.
  4. Click OK.

SONAR pastes the automation data and any other types of data you chose in the Copy dialog box into the track and location you selected.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Snapshots


Resetting Envelopes and Nodes to Current or Neutral Values

You can reset an envelope so that it becomes a horizontal line at the current value of the parameter it controls, which eliminates any curves or jumps from the envelope. You can reset a node so that it jumps to the neutral value of the parameter it controls. For example, the neutral value of the pan parameter is C, or 0%.

To Reset an Envelope to the Current Value

  1. Move the Now time to where the envelope's value is to your liking.
  2. Right-click the envelope to display the Envelope Editing menu.
  3. Choose Clear All from the menu.

SONAR resets the envelope to the current value.

To Reset a Node to a Neutral Value

Do either of the following:

  • Double-click the node.
  • Move the cursor over the node until it a cross appears under it, right-click the node, and choose Reset Node from the popup menu.

The node jumps to the neutral value for the parameter it controls.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes

Snapshots


Envelope Mode and Offset Mode

There are two modes which control how your volume faders, pan faders, aux send faders, and aux send pan faders behave during playback. The two modes are Envelope mode and Offset mode.

Envelope mode--In envelope mode, volume and pan faders follow the project's automation and do not respond to changes you make in real-time.

Offset mode--In Offset mode, you "offset" the current automation in a track using a parameter's controls. For example, if a pan envelope is set to hard left (100% left) and you adjust the pan in offset mode to 100% right, then the pan parameter is now set to hard right. Setting the pan in offset mode to 50% right would set the pan to the center.

Note: Any position that you set a fader to in Offset mode remains in effect when you switch back to Envelope mode. For example, if you set a volume fader to -INF while in Offset mode, switch to Envelope mode and drag the fader to its maximum level, you will not hear anything.

To Turn On Offset Mode

There are several ways to turn on Offset mode in SONAR:

  • In the Track view toolbar or Console view toolbar, click the Offset [image] button.
  • In the Automation toolbar, click the Offset [image] button.
  • Press the o key.

In Offset mode, all controls that can be offset appear with a plus sign. For example Vol+.

The following audio controls support both Envelope and Offset modes:

Control | Envelope Mode Range | Offset Mode Range
Volume | -Infinity to +6dB, default is 0dB | -Infinity to +6dB, default is 0dB
Pan | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Aux Send Level | -Infinity to +6dB, default is 0 dB | -Infinity to +6dB, default is 0dB
Aux Send Pan | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Aux Return Level | -Infinity to +6dB, default is 0dB | -Infinity to +6dB, default is 0dB
Aux Return Balance | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Virtual Main Volume | -Infinity to +6dB, default is 0dB | -Infinity to +6dB, default is 0dB
Virtual Main Balance | 100% L to 100% R, default is C | 100% L to 100% R, default is C

The following MIDI controls support both Envelope and Offset modes:
Control | Envelope Mode Range | Offset Mode Range
Volume | 0 to 127, default is 101 | 0 to 127, default is 127
Pan | 100% L to 100% R, default is C | 100% L to 100% R, default is C
Chorus | 0 to 127, default is 0 | -127 to 127, default is 0
Reverb | 0 to 127, default is 0 | -127 to 127, default is 0

To Open Non-SONAR and Older Cakewalk files in Offset Mode

By default all files open in Envelope mode. You can choose to open non-SONAR files and older Cakewalk file formats (.wrk and .bun files) already in Offset mode.

  1. Select Options-Global from the menu.
The Global Options dialog appears.
  2. In the General tab, check the Load Non-SONAR Files in Offset Mode option.
  3. Click OK.


Envelope Display on a Percentage Scale

You can globally configure the placement of 0 dB for your envelopes in the Clips pane. The default placement in the Clips pane of 0 dB is roughly 1/3 from the top of the clip. You can change the position of 0 dB in all envelopes to the middle of the clip.

There are several advantages when using the Envelope Display on a Percentage Scale option:

  • It makes it easier to tell if there have been any changes.
  • There is a finer resolution around 0 dB.

Note: In Envelope mode, newly created volume clips appear at the same dB value as the current Vol setting. For example, if the Vol setting is +3 dB, a newly created volume envelope appears above the middle of the clip.

To Display Envelopes on a Percentage Scale

  1. Select Options-Global to open the Global Options dialog.
  2. In the General tab, click the Display Envelopes on Percentage Scale checkbox.
  3. Click OK.


Snapshots

A snapshot is a group of settings that SONAR's controls snap to when your project reaches a certain Now Time. You set all the controls to the values you want, and then create a snapshot of these settings at a particular Now Time. This approach is useful, for example, when your project contains a variety of distinct sections and you want to make a sudden change in one or more settings between the sections.

To Create a Snapshot

  1. Move the Now Time to the location where you want to create the snapshot.
  2. Make sure that the Automation toolbar is visible--use the View-Toolbars command and make sure that the Automation checkbox is checked.
  3. Set all controls the way you want them to be at this particular location in the project.
  4. Arm the controls whose positions you want to record by right-clicking each one and making sure the Arm for Automation command has a checkmark next to it in the automation popup menu.
  5. Click the Snapshot button [image] in the Automation toolbar.
SONAR records the positions of all armed controls.
  6. Play your project and listen to the results. You can undo the snapshot by using the Undo command, or by taking another snapshot at the same Now Time.
  7. Disarm all controls by clicking the Disarm All Automation Controls button [image] in the Automation toolbar, or by clicking the red Aut indicator in the Status bar.

You can play back your project with or without the automation data by clicking the Enable Automation Playback button [image] in the Automation toolbar.


Automating Effects

SONAR allows you to automate compatible DirectX plug-ins, giving you real-time control over dozens of effects parameters.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View.

Drawing MIDI Envelopes in the Track View

Showing or Hiding Envelopes

Deleting Envelopes

Using Control Groups

Note: When using automatable effects, the CPU meter may fluctuate rapidly within a few percentage points. This is normal behavior.


Automating Individual Effects Parameters

SONARYou can automate the parameters of some of SONAR's effects by drawing envelopes, or recording fader movements, or creating snapshots.

To Record Fader or Knob Movements for an Individual Effect's Parameters

  1. Patch an automatable effect into the track or bus where you want to use it, and close the effect's dialog box when it appears.
  2. In the track or bus where you patched the effect, right-click the name of the effect and select Arm Parameter from the popup menu (if the effect is not automatable, that choice is greyed-out on the menu).
The effect's envelope dialog box appears, listing all the parameters you can arm in the Param Armed list.
  3. Check all the parameters you want to automate at this time (caution: it's difficult to move more than one control when you are recording) and click OK.
  4. Choose a recording mode from the Automation toolbar, or by using the Transport-Automation Record Options command.
  5. Double-click the effect's name to open its dialog box; make sure that the dialog box does not block SONAR's transport controls.
  6. Start recording by clicking the Record Automation button [image] that's in the Transport toolbar, and move the knobs or faders that control the relevant parameters.
  7. When you finish moving the knobs and faders, click the Stop button in the Transport toolbar.

Play back the track and listen to the result. Then you can either re-record the automation or disarm the parameters. You can disarm all armed parameters at once by clicking the red Aut indicator that's in the Status bar at the bottom of the SONAR window, or by clicking the Disarm All Automation Controls button [image] that's in the Automation toolbar.

To Draw Envelopes for an Individual Effect's Parameters

  1. Patch an automatable effect into the track or bus where you want to use it, and close the effect's dialog box when it appears.
  2. Right-click in the Clips pane in the track (or bus) where you patched the effect.
The Clips pane or Bus pane popup menu appears.
  3. If you opened the Clips pane popup menu, choose Envelopes-Create-(name of the effect you patched). If you opened the Bus pane popup menu, choose Create-(name of the effect you patched).
The effect's envelope dialog box appears, listing all the parameters you can automate in the Envelope Exists list.
  4. Check all the parameters you want to create envelopes for; as you check each envelope choice, you can choose a color for the envelope by clicking the Choose Color button that's in the lower right corner of the dialog box.
Note: You can change a plug-in envelope's color whenever you want by highlighting its name in the effect's envelope dialog box and clicking the Choose Color button.
  5. Click OK.

All the envelopes that you checked appear in the track or bus you were working in. You can edit them just like any other envelopes.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes

Snapshots


Recording Groups of Faders and/or Knobs

You can group various faders, knobs, and other controls together so that when you record the movements of one fader or knob, all the controls in the group move.

To Record Groups of Faders and/or Knobs

  1. Group the controls (faders, knobs, etc.) that you want to record by right-clicking each control and choosing Group-(letter name of the group) from the popup menu--make sure you add them to the same group.
  2. Arm each control in the group by right-clicking each one and choosing Arm for Automation from the popup menu.
  3. Choose an automation record mode, if you want, by using the Transport-Automation Record Options command.
  4. Click the Record Automation button and move one of the controls in the group.
  5. When you're through recording your automation data, click the Stop button in the Transport toolbar.

Listen to your project and either re-record the automation, or disarm each armed control by right-clicking each one and choosing Arm for Automation from the popup menu, or by clicking the Disarm All Automation Controls button in the Automation toolbar.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes

Snapshots

Recording Automation Data from an External Controller


Recording Automation Data from an External Controller

You can record automation data from an external controller, such as the Peavey StudioMix, or a MIDI keyboard.

To Record Automation Data from an External Controller

  1. In either the Track view or Console view, right-click the control or knob that you want to control externally, and choose Remote Control from the popup menu.
The Remote Control dialog box appears.
  2. If your controller sends standard MIDI messages, RPN's, or NRPN's, choose a controller (such as Wheel) with which to control your knob or control (see Remote Control dialog for more information). Also choose the MIDI channel your controller will be sending the automation data on (it doesn't have to be the same channel that the knob or control's track plays back on), and click OK.
  3. If your controller works by sending SysX information instead, choose options in the SysX fields (see Remote Control dialog for more information), and click OK.
  4. In either the Track or Console view, arm the knob or control for automation that you just configured for remote control.
  5. Click the Record Automation button and move the slider or wheel that you selected on your external controller.
  6. When you finish recording the automation, click the Stop button in the Transport toolbar.

Listen to your project and either re-record the automation, or disarm each armed control by clicking the Disarm All Automation Controls button in the Automation toolbar. You can disable remote control by right-clicking the relevant knob or fader and choosing Disable Remote Control from the popup menu.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes

Snapshots


Reassigning Envelopes

You can reassign an envelope to control a different parameter from the one it originally controlled. For example, you can reassign a volume envelope to control pan.

To Reassign an Envelope

  1. Move the cursor over the envelope until the cursor changes to a double-ended arrow, and right-click the envelope.
The Envelope Editing menu appears.
  2. Choose Assign Envelope-(name of the parameter you want the envelope to control).

The envelope changes color to reflect its new parameter assignment.

See also:

Recording Individual Fader or Knob Movements

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View

Drawing Envelopes on Clips

Showing or Hiding Envelopes

Copying and Pasting Envelopes

Snapshots


The Envelope Editing and Node Editing Menus

The Envelope Editing menu appears when you move the cursor over an envelope until a double-ended arrow [image] appears under it, and right-click the envelope. The Node Editing menu is almost identical, and appears when you move the cursor over a node until a cross [image] appears under it and right-click. The menus contain the following options:
Menu Option... | What it Does...
Jump (Envelope Editing menu only) | This choice causes the envelope to make a ninety degree jump between two nodes. SONAR displays jumps with a dotted line, meaning that there is automation data at the nodes where the dotted line begins and ends, but not where the dotted line itself is.
Linear (Envelope Editing menu only) | This choice draws a straight line between two nodes.
Fast Curve (Envelope Editing menu only) | This choice draws a curve between the two nodes that changes value rapidly at first, but more slowly toward the end of the curve.
Slow Curve (Envelope Editing menu only) | This choice draws a curve between two nodes that changes value slowly at first, but more rapidly toward the end of the curve
Add Node (Envelope Editing menu only) | This choice adds a node, which is a point on the line that you can drag, to the place on the envelope where you right-clicked.
Hide Envelope | This choice hides the envelope that you right-clicked. You can re-display the envelope by right-clicking in the same track and choosing Envelopes-Show Track Envelopes-(name of the envelope you want to show) from the Clips pane popup menu.
Assign Envelope-(name of the parameter you want to control) | This choice reassigns the envelope to control the parameter that you choose.
Delete Envelope | This choice deletes the envelope.
Clear All | This choice deletes everything from the envelope except the first node.
Reset Node (Node Editing menu only) | This choice resets the node to the parameter's neutral value.
Delete Node (Node Editing menu only) | This choice deletes the node.
Properties (Node Editing menu only) | This choice opens the Edit Node dialog box, which allows you to edit the node's value and location.


Automated Muting

The Mute buttons in the Track view and Console view work in two ways:

  • You can record or draw automation for each Mute button, and the automation data controls the buttons.
  • You can click a Mute button while playback is in progress and manually override any automation data for that button.

To Draw a Mute Envelope

  1. In the Clips pane, right-click in the track you want to mute, and choose Envelopes-Create-Automated Mute from the Clips pane popup menu.
An envelope appears at the bottom of the track.
  2. Add nodes to the envelope and edit it so that the envelope is more than 50% of its maximum height wherever you want the track muted.

To Record a Mute Button's Movement

  1. Right-click the Mute button you want to automate and choose Arm for Automation from the popup menu.
  2. Click the Automation Record button, click the Mute button on and off where appropriate, and stop recording.

SONAR draws an automated mute envelope in the track you recorded on.


Layouts, Templates and Key Bindings

Layouts, Templates
and Key Bindings

A layout is the current arrangement of all the views that pertain to a particular project. The layout of each project is stored automatically as part of every project file. In addition, you can save the current layout or load any saved layout and apply it to the current project. You might want to create a layout so you can easily arrange the views in a convenient size and position on the screen.

A template is a special file that is used as a pattern to create other, similar files. You might create a template file that defines a particular musical ensemble (say, a string quartet) or a particular studio configuration (MIDI instruments, audio outputs, and so on). Templates make it fast and easy to create and configure new projects.

Note that toolbars are not part of a file layout or template. The toolbar arrangement you choose is stored automatically from session to session.

A key binding lets you associate SONARTMcommands with keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.You can even assign saved layouts to key bindings for quick access.

See also:

Layouts

Templates

Key Bindings


Layouts

The layout of the views that are displayed for a project is stored automatically in the project file when you save the project. By default, the layout of all the views is restored when the file is opened. You can automatically arrange all open views so that they are all visible by using the Window-Tile in Rows command.

In addition, you can save the current layout in a separate list--the global layout list. Once you have saved the layout in this list, you can apply it to any open project. The global layout list can contain as many layouts as you want. Layouts in the list can be updated, renamed, and deleted.

Layouts are stored in a folder on your hard disk. To change the default folder for layouts, choose Options-Global, click the Folders tab, and type the name of a different folder in the Window Layouts field (or click the browse button that's at the right end of the Window Layouts field, and select a new folder).

There are two options in Windows Layouts dialog (select View-Layouts to open) that control how layouts are used, as described in the following table:

Option... | Meaning...
Close Old Windows Before Loading New Ones | If checked, SONARTM will close all the views of the current project before applying the layout. If you leave this option unchecked, existing views remain open and additional views are created according to the settings in the layout.
When Opening a File, Load Its Layout | If checked, the views of a project are automatically arranged according to the stored layout when the project file is opened. If this option is not checked, only the Track view (and File Info view, if applicable) are displayed when the project file is opened.

To Create or Save a Layout

  1. Arrange the views for the current project the way you want.
  2. Choose View-Layouts to display the Window Layouts dialog box.
  3. Click Add to display the New Global Layout dialog box.
  4. Enter a name for the layout, and click OK. The layout is added to the list.
  5. Click Close to exit the Window Layouts dialog box.

To Update a Layout

  1. Arrange the views for the current project the way you want.
  2. Choose View-Layouts to display the Window Layouts dialog box.
  3. Choose the layout you want to update from the list.
  4. Click Add to display the New Global Layout dialog box.
  5. Leave the layout name unchanged, and click OK.
  6. Click OK to confirm that you want to update the layout.
  7. Click Close to exit the Window Layouts dialog box.

To Load a Layout

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Choose the layout you want from the list.
  3. Click Load.

Views of the current project are arranged according to the layout settings.

To Delete a Layout

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Choose the layout you want to delete from the list.
  3. Click Delete.
  4. Click OK to confirm that you want to delete the layout. The layout is removed from the list.
  5. Click Close to exit the Window Layouts dialog box.

To Rename a Layout

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Choose the layout you want to rename from the list.
  3. Click Rename to display the Rename Existing Layout dialog box.
  4. Enter a new name for the layout, and click OK. The layout is renamed in the list.
  5. Click Close to exit the Window Layouts dialog box.

To Set Layout Options

  1. Choose View-Layouts to display the Window Layouts dialog box.
  2. Check the options you want.
  3. Click Close.

To Load a Layout with a Keyboard Command

  1. Use the Options-Key Bindings command to open the Key Bindings dialog box.
  2. In the Type of Keys field, click either Computer or MIDI. If you click MIDI, also make sure the Enabled checkbox is checked.
  3. If you selected MIDI in the Type of Keys field, under MIDI Shift Options select either Key or Controller, and select a value for whichever one you pick.
  4. Under Bindings, scroll through the Key field and select the key that you want to trigger the layout command with.
  5. In the Function field, scroll down towards the end of the list, and under Global Layouts, click the name of the layout you want to assign to the key you selected.
  6. When both the Key and the Function are highlighted in their respective fields. click the Bind button to bind them together.
  7. Click OK.

Now you can load the layout you selected by pressing the MIDI keys or computer keys that you bound to that particular layout. You can bind as many layouts as you have available key combinations.

See also:

Layouts

Templates


Floating Views and Dual Monitor Support

SONAR supports dual monitors and allows you to float most of your views to a second monitor giving you more options when working and increasing the number of views that you can have open at one time.

Important: Dual monitor support requires that you have a video card that supports dual monitors. Follow your hardware manufacturers instructions for using dual monitors.

You can float views in SONAR without having a second monitor. Floating a view allows you to move it out of SONAR, over the SONAR toolbars and menus for example, giving you added flexibility when using SONAR with other applications. All views except the Track view can be floated.

To Float a View

  1. Open the view you want to float.
  2. Click the view's icon located in the upper left corner of the view.
  3. In the menu that appears, click Enable Floating.
  4. Move the view wherever you want.


Templates

Template files make it easy to create new projects with certain predefined settings. To create a template file, create a new project file and arrange the project settings the way you want, then save the project as a template file. Template files have a file extension of .cwt. When you create a new project, you can use the template as the basis for the new project. SONAR looks for template files in a particular folder on your hard disk. By default, this folder is the program folder. To change the template directory, choose Options-Global and click the Folders tab.

Every time you start SONAR, a new, empty project is displayed. If you want, you can determine the settings for this default project by creating and saving a special template file, called normal.cwt. If you create or update the normal.cwt file, SONAR will display this template automatically when the program is started.

As a rule, any parameter that is saved in a project file is also saved in a template file. Following are some useful parameters that are saved in template files:

  • Track configuration and track parameters
  • Timebase
  • Sysx banks
  • File information and comments
  • Tempo settings
  • Meter and key settings
  • Clock and synchronization information
  • MIDI data
  • MIDI In/Out/Thru settings
  • MIDI metronome settings
  • Selection start and end times
  • Record mode and punch-in times
  • Drum maps
  • Audio data
  • Automation

The following parameters are saved globally and are not stored in template or project files:

  • Initialization file parameters
  • Big Time font settings
  • MIDI device settings
  • Instrument definitions
  • Autosave options
  • Key bindings
  • Color settings

To Create a Template

  1. Create a new file using the File-New command.
  2. Add tracks.
  3. Set one or more parameters to be the way you want.
  4. Choose File-Save As to display the Save As dialog box.
  5. Choose Template from the Save as Type list.
  6. Enter a template file name and click Save.

SONAR saves the template file.

To Create a New Project from a Template

  1. Choose File-New to display the New Project File dialog box. The list contains the names of all existing templates.
  2. Choose a template from the list.
  3. Click OK.

SONAR creates the new project and displays it in the Track view.

See also:

Template Example: Three MIDI Instruments

Layouts

Templates


Template Example: Three MIDI Instruments

Suppose that your system has only a single MIDI output but you own three different synthesizers:

  • One synthesizer set to receive on channels 1 through 8
  • A general MIDI synthesizer module set to receive data on all 16 channels
  • A drum machine set to receive on MIDI channel 10

Here's how you can use a template to make it easy to create new projects that are already configured for the instruments you own.

To Create the Example Template File

  1. Choose File-New to create a new project file.
  2. Insert 16 MIDI tracks.
  3. In the Ch dropdown menu of track 10, enter 10. The drum machine responds to channel 10. For consistency, the drums can be placed on track 10.
  4. The second synthesizer responds to channels 1 through 8. These can be placed on tracks 1 through 8. For each track, enter the corresponding channel number using the Ch dropdown menu for each track. You should now have tracks 1 through 8 set to channels 1 through 8.
  5. The third synthesizer can respond to 16 MIDI channels, but the only channels left are 9 and 11 through 16. Enter these numbers in the corresponding tracks. You will need to mute the unused channels on the third synthesizer (1 through 8 and 10) so they won't play. These are assigned to the drum machine and the second synthesizer.
  6. Name each track and set any track parameters, such as starting patch, volumes, panning, reverb, chorus, and transposition.
  7. If you like, configure other parameters needed in your projects, such as auto-send Sysx banks, tempo settings, window positions, and comments.
  8. Choose File-Save, and save the file as a template named my3synths.

Now, each time you want to start working on a new project, you can simply load your template and start recording.

See also:

Layouts

Templates


Key Bindings

Key bindings let you associate SONAR commands with keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.

From your computer keyboard, you can create a custom key binding for any of 134 key combinations:

  • The Ctrl+Shift keys in combination with any letter of the alphabet except Z.
  • The Ctrl+Alt keys in combination with any letter of the alphabet
  • The Ctrl key in combination with any number
  • The Ctrl+Shift keys in combination with any number
  • The Ctrl+Alt keys in combination with any number
  • The following function keys: F2, F3, F4, F6, F7, F8, F9, and F12
  • The Ctrl key combined with any function key
  • The Shift key combined with any function key

Some of these key combinations are already used by SONAR and they appear in bold. Several of these preset key combinations can not be changed. Reserved key bindings appear in the Key Bindings dialog marked with the text [RSVD].

Rather than tie up all the notes on your MIDI keyboard with key bindings, SONAR lets you define a Shift key on your keyboard that indicates when you want to use a key binding. For example, you could designate the lowest note on your keyboard as the Shift key, and then any number of notes to specific commands (for example, C4 to Process-Quantize, C5 to Process-Groove Quantize, and so on). If you press the C4 key by itself, the note plays normally. If you press the C4 key in combination with the lowest key on your keyboard (the Shift key), then it's just as if you had chosen the Process-Quantize command from the menu.

You can choose one of two options to define the Shift key:

  • MIDI key (typically, the very lowest or highest key on your MIDI keyboard)
  • Controller event (typically, one of the pedals)

If you use a MIDI key as the Shift key, then you lose the ability to play that note by itself. When you play the note, SONAR assumes you are about to choose one of the key bindings you have created and ignores the note. If this is ever a problem, you can disable MIDI key bindings without canceling the key assignments and then re-enable the MIDI key bindings later on.

You can use a key binding to execute a command only when that command is available from the menu. For example, the File-Save command is disabled when no projects are open. If you have assigned the Ctrl+F2 key combination to the File-Save command, it won't do anything when no projects are open.

You can use MIDI key bindings and computer keyboard key bindings at the same time.

You use the Options-Key Bindings command to set up and manage your key bindings. Here's how.

To Create a Key Binding Using the Computer Keyboard

  1. Choose Options-Key Bindings to display the Key Bindings dialog box.
  2. Check Computer in the Type of Keys list.
  3. Highlight the key combination you want to bind from the Key list.
  4. Highlight the command you want to assign from the Function list.
  5. Click Bind to bind the key combination to the command.
  6. Click OK when you are done.

SONAR puts an asterisk (*) next to the key to show that it is bound to a function and draws a black line connecting the key and function name. From now on, pressing the chosen key combination executes the command you have chosen.

To Create a Key Binding Using a MIDI Keyboard

  1. Choose Options-Key Bindings to display the Key Bindings dialog box.
  2. Check MIDI in the Type of Keys list.
  3. Check the Enable box to make sure MIDI key bindings are enabled.
  4. If you haven't already done so, assign a Shift key by doing one of the following:
    • Check Key in the MIDI Shift Option list, and enter the name of the key you want to use
    • Check Controller in the MIDI Shift Option list, and choose the controller you want from the list
  5. Highlight the key you want to bind from the Key list.


Working with Notation and Lyrics

This section describes three SONARTM views that are used to edit the music notation and lyrics of your project.

  • SONAR's Staff view lets you work with your composition in a standard musical staff, guitar tablature and a virtual guitar fretboard. You can add, move, and delete notes with your mouse or with your computer keyboard. You can add chord names, guitar chord grids, expression marks, hairpin symbols, pedal marks, and lyrics. And you can print professional-quality notation of a complete arrangement or individual parts, with up to 24 staves per page.
  • The Meter/Key view lets you view, insert, and edit meter and key changes at any measure boundary in the project.
  • The Lyrics view lets you edit a track's lyrics, and can be used to cue you with the lyrics during playback or recording.

See:

The Staff View

Basic Musical Editing

Chords and Marks

Tablature

Working with Percussion

Printing

The Meter/Key View

Working with Lyrics


The Staff View

The Staff view is composed of a Staff pane and a Fretboard.

When you first open the Staff view, you may see only the Staff and not the Fretboard. Resize the Staff view by dragging its edges until you can see everything easily. When you save your file, whatever size the Staff view is will be the way it appears the next time you open the file.

The Staff pane displays MIDI note events as musical notation. For some musicians, this may be the most familiar and comfortable view in which to work. The Staff pane provides many features that make it easy for you to compose, edit, and print music.

For guitar players who are new to musical notation, the Fretboard represents the notes in the Staff pane as they would appear on a six-string guitar neck in standard tuning. The number of strings and the tuning are configurable. All notes that appear in the Staff pane at the Now time are shown in the Fretboard. If you enter notes in the Staff at the Now time, they appear on the Fretboard. Likewise, you can enter notes into the Staff at the Now time by clicking the guitar strings on the fretboard. Notes and chords shown in the Fretboard can be easily edited by dragging them up and down the guitar strings.

See:

Staff Pane Layout

The Fretboard

Fretboard Popup Menu


Opening the Staff View

There are three ways to open the Staff view:

  • In the Track view, select the MIDI tracks you want to see, then click the Staff View button [image] .
  • In the Track view, select the MIDI tracks you want to see, then choose View-Staff.
  • Right-click on a track in the Clips pane and choose Views-Staff from the menu.

You can always change the tracks that are displayed: click the Pick Tracks button [image] and select the tracks you want. You can display one or more tracks.

The Staff view lets you edit, delete, copy, and move notes during playback or recording, in real time. This means you can loop over a portion of your project and hear any change you make on the next loop. You can freeze the Staff view from automatic scrolling during playback by pressing the Scroll Lock key.

Like many other views, the Staff view includes zoom tools that let you change the vertical and horizontal scale of the view. The Staff view also has a Snap to Grid [image] button. For more information on this feature, see Defining and Using the Snap Grid.


Staff Pane Layout

The Staff pane can display up to 24 staves of standard and percussion notation. When you open the Staff pane, SONAR automatically picks a clef for each track--bass or treble--by looking at the range of pitches in the track. If a track has notes that fall into both clefs, or no notes at all, SONAR automatically splits the track into two staves, treble and bass. You can change the assignment of clefs with the Staff View Layout dialog box.

When you split a track into treble and bass staves, you must select a split point. Notes at or above the split are placed into a treble staff, notes below the split are placed into a bass staff.

A wide variety of editing options for notes, layout, and MIDI effects are available from the Staff Pane Right-Click menu.

Percussion settings are discussed in the section Setting Up a Percussion Track


The Staff Pane Right-Click Menu

The Staff pane Right-Click menu offers the following editing options:

Menu command | Result
MIDI Effects | Opens the MIDI Effects submenu. See MIDI Effects (MIDI Plug-ins) for more information.
Layout | Opens the Staff View Layout dialog box.
Regenerate Tablature | Opens the Regenerate Tablature dialog box. Regenerate TAB for more information.
Quantize | Opens the Quantize dialog box. See Quantizing for more information.
Groove Quantize | Opens the Groove Quantize dialog box. See Quantizing for more information.
Transpose | Opens the Transpose dialog box. See Transposing for more information.
Slide | Opens the Slide dialog box.
Interpolate | Opens the Event Filter Search dialog box. See Process-Interpolate for more information.
Length | Opens the Length dialog box. See Stretching and Shrinking Events for more information.
Scale Velocity | Opens the Scale Velocity dialog box. See Adding Crescendos and Decrescendos for more information.
Deglitch | Opens the Deglitch dialog box. See Deglitch Dialog for more information.
Fit to Time | Opens the Fit to time dialog box. See Stretching and Shrinking Events for more information.
Fit Improvisation | See Fit Improvisation.

To Change the Staff Pane Layout

  1. Click the Staff View Layout button [image] to open the Staff View Layout dialog box.
  2. Select a track from the list (if the track you want to edit is not in the list, click the Pick Tracks button in the Staff view toolbar and select it). The Clef option shows the track's clef.
  3. Select a new clef from the list.
  4. If you select Treble/Bass, select a Split point.
  5. If you select one of the Percussion options, click Percussion Settings to set up the appearance of percussion notes.
  6. Repeat steps 2-5 for other tracks.
  7. Click Close when you are done.

SONAR displays tracks using the new staff settings.

Tip:

If a piano part's left-hand and right-hand parts overlap, a split point will not correctly separate the two parts into treble and bass staves. You may prefer to put the two parts into two separate tracks.


The Fretboard

The Fretboard shows you the notes located at the Now time in the Staff pane, laid out on a virtual guitar fretboard. For example, if the Staff pane shows you this:

The Fretboard pane shows you this:

The Fretboard stays in sync with the Now Time during playback and recording, and stays in sync with the scrub time during scrubbing. The color of each note on the Fretboard is the same as the color of the corresponding clip in the Track view. (See Arranging Clips for information about setting clip properties.)

To turn the display of the Fretboard on or off, click [image] .

See:

Editing Notes and Chords from the Fretboard

Fretboard Popup Menu

Moving Notes from within the Fretboard

MIDI Channels and the Fretboard

To Display Notes on the Fretboard Using their MIDI Channels

To Edit a Chord Symbol

Tablature Settings

Changing Fretboard Texture and Orientation

Quick TAB

Regenerate TAB

Entering Notes from the TAB Staff

Single Note Editing from the TAB Staff

Editing Chords or Groups of Notes from the TAB Staff


Fretboard Popup Menu

When you right-click the Fretboard in the Staff view, the Fretboard popup menu appears, giving you choices for note editing, Staff view layout, and Fretboard appearance.

Menu command | Result
Select | Changes your cursor to the Select tool.
Draw | Changes your cursor to the Draw tool.
Erase | Changes your cursor to the Erase tool.
Scrub | Changes your cursor to the Scrub tool.
Layout | Opens the Staff View Layout dialog box.
Select Fretboard Track | Controls which of the displayed tracks receive the notes you enter on the Fretboard.
Export to ASCII TAB | Saves the track in ASCII TAB format with the extension .txt.
Mirror Fretboard | Inverts Fretboard so highest-sounding string appears at the bottom.
Rosewood Hi | Fretboard appears in rosewood with high screen resolution.
Rosewood Lo | Fretboard appears in rosewood with low screen resolution.
Ebony Hi | Fretboard appears in ebony with high screen resolution.
Ebony Lo | Fretboard appears in ebony with low screen resolution.
Maple Hi | Fretboard appears in maple with high screen resolution.
Maple Lo | Fretboard appears in maple with low screen resolution.


Basic Musical Editing

The Staff view's tools let you edit a project by manipulating the elements of standard music notation. Using these tools, you can create and edit notes, pedal marks, expression marks, hairpins, and lyrics.

See:

Inserting Notes on the Staff

Inserting Notes with the Fretboard

Selecting Notes

Moving, Copying, and Deleting Notes on the Staff

Moving Notes from within the Fretboard

Auditioning

Changing Note Properties

Deglitch Dialog

Working with Triplets

Beaming of Rests

Changing the Way Notes Are Displayed

Using Enharmonic Spellings

MIDI Channels and the Fretboard


Inserting Notes on the Staff

You can add notes to your composition with simple point-and-click techniques. To help with your composing, SONAR gives you audio feedback as you place each note.

You can insert notes anywhere in the Staff pane, but inserting them at the Now time gives you control over the exact time you want to insert to. The Shift-Right/Left Arrow command moves the Now Time forward or backward by the amount of the note duration you choose. Six buttons let you select a note duration ranging from a whole note to a 32nd note. Buttons to the right of the notehead buttons let you select dotted note or triplet modifiers. The Ctrl+Right Arrow/Ctrl+Left Arrow commands pages you through the track, sounding each note as the cursor passes over it. You can also page through the track by clicking the Play-Next button [image] or the Play-Previous button [image] that are in the Staff view toolbar.

Note: You cannot insert notes whose durations are less than the value in the Display Resolution field, which is located in the top level of the Staff view toolbar.

You may want to pick a different snap-to grid value for a particular note. For example, if you want to insert a half note in the last quarter note position in a measure (in order to get two tied quarter notes), you must set the snap resolution to a quarter note. SONAR will automatically convert the half note to two tied quarter notes. The same method can be used to insert a syncopated note, such as a quarter note at an eighth note position.

You may also wish to disable the Fill Durations [image] and Trim Durations [image] options before you enter notes on the staff. This will allow you to see the true durations of all the notes you enter. These options are discussed in Changing the Way Notes Are Displayed.

To Insert a Note on the Staff

  1. Disable the Fill Durations and Trim Durations buttons in the Staff view toolbar, if desired (this is usually the best way when you're entering notes).
  2. Click the Display Resolution button in the Staff view toolbar and choose a resolution that's as small or slightly smaller than the smallest note you plan to enter.
  3. Click the Draw tool [image] .
  4. In the second row of the Staff view toolbar, select a note duration, and a modifier (dot or triplet) if desired. You cannot insert a note that's shorter in length than the note in the Display Resolution field.
  5. Move the Now time to the location where you want the new note by pressing Shift-Right arrow or Shift-Left arrow. Notice the vertical line that marks the Now time in the Staff pane. The line moves by the duration of the note you selected to enter.
  6. Click the cursor on the vertical line at the pitch that you want.
  7. To add a sharp or flat, right-click the note to open the Note Properties dialog box--in the Pitch field, use the + or - buttons to raise or lower the pitch, and click OK. You can type enharmonic spellings into the Pitch field, such as C#5, E"4. and Fx6. The double quotation mark produces a double flat, and the x produces a double sharp.

SONAR places the new note in the staff. If desired, drag the note horizontally or vertically to a new time or pitch.


Inserting Notes with the Fretboard

You can also enter notes onto the staff from the fretboard using the mouse. You always enter notes into the staff at the Now time.

To Insert Notes on the Fretboard with the Mouse

  1. Click in the Time Ruler to set the Now time.
  2. Click [image] to select the Draw tool.
  3. Select a note duration, and a modifier (dot or triplet) if desired.
  4. Click on the guitar strings in the fretboard to enter notes. You can enter up to six simultaneous notes (one per string).
  5. Advance the Now Time by the current note duration using the right arrow key while holding down the shift key. This allows you to quickly enter a series of notes.


Selecting Notes

Use the Selection tool [image] to make selections. Selection methods in the Staff view are similar to those in other views. Here is a summary:

To do this... | Do this...
Select a note or other symbol | Click it
Select several symbols at once | Click and drag a rectangle around them
Add symbols to the selection | Press Shift and either click on the symbols or drag a rectangle around the events
Add or remove symbols from the selection | Press Ctrl and either click on the symbols or drag a rectangle around the events
Select symbols in a time range | Click and drag in the Time Ruler
Select symbols between two markers | Click between the markers
Remove all selections | Click in an empty area

Note:

Tied notes must be selected together, since the series is really just a single MIDI note. To select tied notes, you must click or drag a rectangle around the first note of the series.


Moving, Copying, and Deleting Notes on the Staff

Selections can be cut, copied, pasted, and deleted with Edit menu commands. The techniques are similar to those used in other views. Selections can also be dragged and dropped to copy or move them. To keep track of your current position while dragging, you can keep an eye on the time and pitch locator in the upper-right corner of the Staff view.

Notes can be dragged horizontally, to a new time, or vertically, to a new pitch or staff. When you drag a note up or down to a new pitch, the note normally snaps to the notes in the current key signature (diatonic scale). This makes it easy to drag notes quickly among pitches that are in the current key.

If you need to transpose more than a few notes, use the Process-Transpose command. For more information, see Transposing.

To Move a Single Note in the Staff View

  1. Click the Select tool [image] or the Draw tool [image] .
  2. Click the note to be moved.
  3. Drag the note to a new time, pitch, or staff.

SONAR moves the note to the new location.

To Move Several Notes in the Staff View

  1. Click the Select tool [image] .
  2. Select the notes to be moved.
  3. Click one of the selected notes.
  4. Drag the notes to a new time, pitch, or staff.

SONAR moves the notes to the new location.

To Copy One or More Notes in the Staff View

  1. Click the Select tool [image] .
  2. Select the notes to be copied.
  3. Press and hold the Ctrl key.
  4. Drag the notes to a new time, pitch, or staff.

SONAR inserts copies of the notes at the new location.

To Erase Notes with the Eraser

  1. Click the Erase tool [image] .
  2. Click any notehead to erase the note.
  3. To erase several notes, click and drag the eraser.

Any notes whose notehead is touched by the eraser will be deleted.


Moving Notes from within the Fretboard

You can drag notes displayed in the fretboard horizontally along each string to change their pitch. They always change in the chromatic scale. You can not drag notes from one string to another.

To Change the Pitch of a Single Note in the Fretboard

  1. Click in the Time Ruler to set the Now time to the time of the note you want to change.
  2. Click the Select tool [image] or the Draw tool [image] .
  3. Drag the note along the string to a new fret.

SONAR moves the note to the new pitch.

To Change the Pitch of a Chord in the Fretboard

  1. Click in the Time Ruler to set the Now time to the time of the chord you want to change.
  2. Click the Select tool [image] .
  3. While pressing Shift, click each of the notes you would like to change.
  4. While continuing to press Shift, drag the notes along the strings.

SONAR moves the notes you selected to the new pitches.

Tip:

You can also move the Now time pointer to the exact note by using the Step Play buttons.


Auditioning

Sometimes it is useful to listen to your music slowly, note-by-note, rather than at full speed. For example, you may need to locate a bad note, or you may be trying to learn the correct fingering for a difficult passage.

The Staff view has two features that let you audition your composition at reduced speed: Scrub and Step Play. The Scrub tool lets you drag a vertical bar over the staff, playing the notes as it goes. You can scrub backward or forward at any speed. Step Play lets you step through the project note by note, in either direction.

To Audition with the Scrub Tool

  1. Click the Scrub tool [image] .
  2. Drag the mouse horizontally through the Staff pane to play the notes.

SONAR plays any notes the scrub line passes over.

To Play Notes with Step Play

  1. Set the Now time by clicking in the Time Ruler.
  2. Step through the music as follows:
    To do this...

    Do this...
    Step forward

    Click [image] , or press Ctrl+right arrow
    Step backward

    Click [image] , or press Ctrl+left arrow


Changing Note Properties

The Staff view lets you edit all the MIDI parameters for a note, including those not normally portrayed by standard musical notation. Note properties are as follows:

Property... | Meaning...
Time | The starting time of the note
Pitch | The note's pitch
Velocity | The note's velocity (0 to 127)
Duration | The note's duration, in ticks or in beats and ticks
Channel | The MIDI channel on which the note is played

To Edit a Note's Properties

  1. Right-click the note to open the Note Properties dialog box.
  2. Edit the note's properties, as described in the table.
  3. Click OK.

SONAR changes the note's parameters and redraws the note if necessary.


Deglitch Dialog

When recording MIDI guitar, even the best players occasionally play unintended notes. The Deglitch feature allows you to filter out the softest, shortest, and highest notes in the file.

There are three filters in the Deglitch dialog:

Pitch

With the Pitch filter you can set the maximum pitch allowed in the track. If a MIDI event has a higher pitch than the maximum you set, it is removed.

Velocity

With the Velocity filter you can set a minimum velocity allowed in the track. If a MIDI event has a lower velocity than the one you set, it is removed.

Duration

With the Duration filter you can set a minimum note duration for the track in either ticks or milliseconds. If a MIDI event has a shorter duration than the one you set, it is removed.

To Use the Deglitch Filter

  1. Select a track or a section of track.
  2. Select Process-Deglitch from the menu.
The Deglitch dialog box appears.
  3. Check each of the filters you want to use.
  4. Enter the parameters (maximum or minimum values) you want for each of the filters you are using.
  5. Click OK.

If you are not happy with the result, select Edit/Undo from the menu to restore the original MIDI track.


Working with Triplets

The Staff view places certain limitations on the use of triplets. The limitations are:

  • Triplets must occur in full sets of three.
  • All three steps in a triplet must be notes (no rests) of the same basic duration.
  • There can be no ties in or out of, or within the triplet.

In most cases, the Staff view can recognize triplets in MIDI data. However, the slight timing inaccuracies inherent in live performances can complicate the detection of triplets. If working from performance data, you may find it useful to quantize the notes closer to exact triplet positions using the Process-Quantize command. See Quantizing for details.

To Enter a Triplet

  1. Turn on the Snap to Time option.
  2. Click the Draw tool [image] .
  3. Click the appropriate notehead button.
  4. Select the Triplet option [image] .
  5. Enter the first note at the desired location in the staff.

SONAR inserts all three triplet notes at the same pitch. You can then drag the second and third notes to their correct pitch locations.


Beaming of Rests

The Staff view supports beaming of rests, a practice that is popular with rhythmically complex music. Beam lengths are extended to include rests that are integral parts of the beamed group of notes. Short stems, called stemlets, extend from the beam toward the rest. This makes the rhythms easier to read, because the beat boundaries are made clear.

To Enable Beaming of Rests

  1. Click Layout button [image] to open the Staff View Layout dialog box.
  2. Select the Beam Rests option.
  3. Click OK.

Thereafter, the Staff view beams rests as though they were notes.


Changing the Way Notes Are Displayed

Unlike musical notation programs, SONAR uses the MIDI events themselves as the permanent representation of the music; thus, the Staff view is only an interpretation of a MIDI performance.

MIDI notes do not always correspond exactly to notes on a staff. Whereas a staff defines precise grid-like starting times and durations for notes, a MIDI note can start at any arbitrary time during the project, and last for any length of time. If you record a performance from a MIDI keyboard, for example, you'll find that some notes may start slightly before the beat, and some a little after, and that the notes end a little late or a little early. Although these slight imperfections are what gives a performance its "human" quality, you don't necessarily want to see all these imperfections notated with excruciating precision.

The Staff view has two options you can select to affect the way MIDI notes are displayed on the staff:

Option... | Purpose...
Fill Durations | Visually rounds up note durations to the next beat or the next note, whichever comes first.
Trim Durations | Visually rounds down note durations if they extend a little way past the start of the next note.

On the other hand, if you are entering notes into the Staff view with the mouse, Fill and Trim Durations may produce confusing results. For example, with Fill Durations, an inserted eighth note in 4/4 time would look like a quarter note until you insert another eighth note immediately following it. It is recommended that you turn off the Fill Durations and Trim Durations options when entering notes; these options are more appropriate for looking at notes you recorded via a performance.


Using Enharmonic Spellings

Any musical note can be referred to by several different names. For example, C#3 and Db3 identify the same pitch, as do G4 and Abb4. The most appropriate name depends upon the current key signature, but can also depend on musical context.

SONAR uses a set of rules to automatically add accidentals (sharps, flats and naturals) to notes based on the current key signature. These rules cover the most common musical situations and usually lead to pleasing results. However, there is no guaranteed right way to resolve accidentals. Doing so ultimately requires knowledge regarding what key or scale is being evoked--knowledge that only the composer possesses. For example, if a modulation is being prepared, then the new key signature has not yet been completely established, and the harmony has already begun to shift. In fact, there may not even be a scale in a diatonic sense: chromatic scales, for instance, are supposed to sharp on the way up and flat on the way down. Because no set of rules will suffice for all situations, the composer needs the ability to override any default choice.

Notes in SONAR normally do not have a forced enharmonic spelling. This means that they will automatically change to match the default for a new key signature. If you specify spelling that matches the default choice, SONAR will drop any forced spelling and switch back to default behavior. Otherwise, the forced spelling is remembered for that note, and will not change to follow the key signature. If you change the pitch of a note by some other means (for instance, by dragging it up or down), it will lose any forced spelling, because it very likely no longer applies to the new pitch. Enharmonic spelling overrides for each note are saved in the project file.

When you type a note's enharmonic spelling, use the following table as a guide:

Accidental... | Character... | Example... | Displays as...
Flat | b | Cb5 |
Sharp | # | C#5 |
Double flat | " | C"5 |
Double sharp | x | Cx5 |

To Change a Note's Enharmonic Spelling

  1. Right-click the note to open the Note Properties dialog box.
  2. In the Pitch textbox, type a new spelling for the note.
  3. Click OK.

SONAR displays the note with the new enharmonic spelling.

You can change enharmonic spellings in other views, such as the Event List view, by similarly typing a new spelling wherever the note pitch is displayed as a text string.

You can also use the Process-Interpolate command to change enharmonic spellings--for example, to change multiple occurrences of Eb5 to D#5, or even all Ebs to D#s. See Process-Interpolate for more information.


MIDI Channels and the Fretboard

You can display notes on the fretboard based on the note event's MIDI channel. (Do not confuse this with the Track MIDI channel.) A single track can hold events on many different MIDI channels. See Assigning a MIDI Channel (Chn) for more information. Displaying notes using this method is 100% accurate because each string is represented by an individual MIDI channel. For example, String 1 = MIDI channel 11, String 2 = MIDI channel 12, etc.

To Display Notes on the Fretboard Using their MIDI Channels

  1. Set your MIDI Guitar to transmit on 6 consecutive channels. This is often referred to as "MONO" mode. Refer to your MIDI Guitar device documentation for more information.
  2. Select and Arm a track.
  3. If you want the data from all 6 strings to be recorded to a single track, set the Input to OMNI. If you want each string on a separate track, you need to set up each individual track to record on the corresponding MIDI channel. The GR-30 Guitar Synthesizer template is designed to do this, so you may want to open that from the Quick Start Menu or from the File menu. To use the File menu method, choose File-Open and choose Cakewalk Template from the Files of type field. Then choose the Roland GR-30 template.
  4. Open the Staff view.
  5. Click the Staff View Layout button
  6. Click Define.
  7. In the Method field, click MIDI Channel.
  8. In the 1st Channel field, set SONAR to transmit on the same series of MIDI channels that you chose in step 1. Select 1 for 1-6, 2 for 2-7, etc.
MIDI guitar devices can transmit in MONO using a different series of MIDI channels, but SONAR needs to be listening to the same channels in order to properly display the MIDI guitar input.
  9. Click Close.
  10. Click OK.

SONAR displays notes on the Fretboard based on their MIDI channels.

If you are planning to record or input notes from a MIDI guitar synth or MIDI converter, you need to set this up on the instrument. In the case of the Roland GR-30, for example, you set it to send on MIDI Channel 11, MONO. This sends out each corresponding string on channels 11-16.


Chords and Marks

The Staff view lets you add and edit chord symbols, dynamic markings, hairpin symbols, and pedal events. Like notes, these symbols are placed in the score with the Draw tool. They can be selected, cut, copied, pasted, deleted, and dragged and dropped. With the exception of pedal marks, though, these symbols have no audible effect; they serve only to enhance and clarify the printed score.

See:

Adding Chord Symbols

Adding Expression Marks

Adding Hairpin Symbols

Adding Pedal Marks


Adding Chord Symbols

The Staff view lets you enter chord symbols above the staff. You can enter both ordinary chord names and guitar chord symbols, which display both the chord name and fingering. SONAR has a large number of predefined chords from which you can choose. You can also define and save your own chords.

If a track is split into treble/bass staves, chords are allowed only above the upper (treble) staff.

SONAR stores its library of chords in the file chords.liw. The chords in the library are sorted into groups. You can add and remove chords from the library, create new groups (i.e., for alternative guitar tunings), and add chords from a different library file.

You edit chords in the Chord Properties dialog box. Chord properties are shown in the following table:

Property... | Meaning...
Time | The time of the chord, in measure, beat, and tick (MBT) format
Name | The name of the chord
Group | The chord group

The Chord Properties dialog box also lets you draw guitar chord grids and manage the chord library.

You can suppress the display of all guitar chord diagrams by deselecting the Show Chord Grids option in the Staff view's Layout dialog box. With this option disabled, only chord text appears.

To Add a Chord Symbol

  1. Click the Draw tool [image] .
  2. Select the Chord tool [image] .
  3. Position the pointer above the staff (the pointer changes to a pencil when you are in a legal position).
  4. Click to place a chord symbol.

SONAR inserts a copy of the most recently added chord (by default, C). You can then edit the symbol to display the chord you want.

To Move a Chord Symbol

  1. Click the Draw tool [image] .
  2. Drag the chord symbol to a new location.

To Edit a Chord Symbol

  1. Right-click the symbol to open the Chord Properties dialog box.
  2. Edit information about the chord according to the table:
    To do this...

    Do this...
    Move a chord in time

    Change the Time property.
    Give the chord a new name

    Select a chord from the dropdown list, or type a new name. Use # for sharp and b for flat.
    Add descriptive text to the chord name

    Type the text in square brackets after the chord name. The text does not appear in the Staff view.
    See a different set of chords

    Select a group from the list. This option only applies if you have created a custom chord library.
  3. If desired, select a group from the list and/or create a guitar chord grid.
  4. Click OK.

The Staff view displays the chord with the new properties, moving it to a new time if necessary.

To Add a Guitar Chord Grid

  1. Right-click the chord symbol to open the Chord Properties dialog box.
  2. Follow the instructions in the table:
    To do this...

    Do this...
    Display a blank chord grid

    Click New Grid
    Place a dot on the grid

    Select the finger number (1-4, or T for Thumb), then click the grid at the appropriate string and fret location
    Assign an open string

    Select O, then click on the string
    Assign a muted string

    Select X, then click on the string
    Change the finger assigned to a dot

    Click the dot repeatedly to cycle through the fingers
    Insert a fret designation

    Click to the right of the grid and enter the number of the index finger fret in the Chord Fret Number dialog box
    Play the chord (Audition)

    Click Play
    Remove the chord grid

    Click Remove Grid
  3. Click OK.

The Staff view displays the chord with the new guitar chord grid.

To Manage the Chord Library

  1. Right-click the chord symbol to open the Chord Properties dialog box.
  2. Follow the instructions in the table:
    To do this...

    Do this...
    Add a chord to the library

    Select a group, enter a name in the Name box, enter a guitar grid (if desired), and click Save.
    Delete a chord from the current group

    Select the chord from the list and click Delete.
    Add a new group

    Type a name for the group in the Group textbox and click Save.
    Delete a group

    Select a group from the list and click Delete.
    Merge chords from an external chord library

    Click the Import button and select a file. Chord libraries have the extension .liw.
  3. Click OK.

SONAR saves the chord library with the changes you made.


Adding Expression Marks

Expression marks tell a performer how to interpret the notes and durations on the page. They provide a necessary supplement to simple notation, in which notes have only pitch and duration, but no hint of how loudly, softly, or smoothly, they are to be played. Dynamic marks--from ppp (pianississimo) for "very, very softly" through fff (fortississimo) for "very, very forcefully"--allow notation to convey volume instructions. Expression marks are also needed to specify other aspects of performance, such as whether a passage is to be played legato or staccato. Finally, expression marks can be used to convey to the performer the composer's suggestions or requirements as to how a passage should be interpreted. In such cases the language used can leave much to the imagination, as in with majesty or abrasively.

Expression marks do not change the underlying MIDI data. They only provide information to the reader on how a piece should be performed.

If the track is split into treble/bass staves, expression marks are allowed only below the treble staff.

When entering an expression mark, you can leave a dangling hyphen at the end of an expression mark to insert automatic spaced hyphens until the next expression mark. For example:

cresc. - - - ff

It is often desirable to terminate such a series of hyphens with a blank expression mark. For example:

accel. - - -

Expression text is italicized in the Staff view. Standard dynamic markings also appear bold.

To Add an Expression Mark

  1. Click the Draw tool [image] .
  2. Select the Expression tool [image] .
  3. Position the pointer below the lowest note in the staff. (The pointer changes to a pencil when you are in a legal position.)
  4. Click to open an insertion box.
  5. Type the expression mark text. Press Esc to abort the operation.
  6. Press Enter, or press Tab or Shift-Tab to move to the next or previous mark, respectively.

SONAR inserts the new expression mark below the staff.

To Edit an Expression Mark

  1. Right-click the expression mark to open the Expression Text Properties dialog box.
  2. Edit the time and text of the expression mark as desired.
  3. Click OK.

The Staff view displays the expression mark with the new text, including moving it to a new time if necessary. You can also use the Draw tool and click on an expression mark directly to change its text.


Adding Hairpin Symbols

Some musical phrases vary dynamically, increasing or decreasing in loudness for dramatic effect. SONAR lets you insert traditional crescendo and diminuendo hairpin symbols that convey this information to a performer, as shown here:

If the track is split into treble/bass staves, hairpin symbols are allowed only below the treble staff.

To Add a Hairpin Symbol

  1. Click the Draw tool [image] .
  2. Select the Hairpin tool [image] .
  3. Position the pointer below the staff (the pointer changes to a pencil when you are in a legal position).
  4. Click to place a hairpin symbol.

SONAR inserts a copy of the most recently added hairpin symbol, which you can edit as desired.

To Edit a Hairpin Symbol

  1. Right-click on the hairpin symbol you want to edit.
The Hairpin Properties dialog appears.
  2. Change any of the following parameters:
    • Time--The beginning time of the hairpin symbol
    • Cressendo or Diminuendo
    • Duration--Enter the number of beats followed by a colon (for example 4: for one measure in 4/4 time) or a PPQ number value.


Adding Pedal Marks

Pedal marks traditionally indicate where the sustain pedal of a piano is to be pressed and for how long. With SONAR, you can achieve the same effect by inserting a pair of symbols indicating when the sustain pedal controller is to be turned on (down) and when it is to be turned off (up). Unlike chord symbols, expression marks, and hairpin symbols, each pedal symbol corresponds to a MIDI event. The other symbols are purely ornamental, intended to provide a composer with a way to communicate suggestions or requirements to performers.

Pedal event parameters are as follows:

Parameters... | Meaning...
Time | The time of the event, in measures, beats, and ticks (MBT).
Channel | The MIDI channel on which the event will be sent.
Value | The event value. A value of 127 depresses the pedal, a value of 0 raises it. (Some advanced synthesizers support values between 0 and 127 for "partial pedaling.")

If the track is split into treble/bass staves, pedal marks are allowed only below the bass staff.

You can suppress the display of all pedal marks by deselecting the Show Pedal Events option in the Staff view's Layout dialog box.

To Add a Pedal Mark

  1. Click the Draw tool [image] .
  2. Select the Pedal tool [image] .
  3. Position the pointer below the staff (the pointer changes to a pencil when you are in a legal position).
  4. Click to place a pedal mark.

SONAR inserts a pair of pedal symbols (a pedal down and a pedal up). You can click and drag either symbol to a new time.

To Edit a Pedal Event

  1. Right-click the pedal symbol (pedal down or pedal up) to open the Pedal Event Parameters dialog box.
  2. Edit the pedal event parameters, as described in the table above.
  3. Click OK.

SONAR changes the pedal event parameters, including moving the symbol to a new time if necessary.


Tablature

The Staff view can display guitar or bass MIDI tracks as tablature. You can generate and edit tablature or enter notes on either the fretboard or on the tablature staff to create a new track. You can export tablature to an ASCII file for printing or distribution on the Web.

See:

Tablature Settings

Changing Fretboard Texture and Orientation

Quick TAB

Regenerate TAB

Entering Notes from the TAB Staff

Single Note Editing from the TAB Staff

Editing Chords or Groups of Notes from the TAB Staff

Editing Notes and Chords from the Fretboard


Tablature Settings

Both the Staff View Layout dialog box and the Tablature Settings dialog box create tablature settings for a whole track at a time. To modify tablature for selected parts of a track, select part of a track and use the Regenerate command.

In the Staff View Layout dialog box you can choose a preset style of tablature by choosing from the Preset popup menu, or you can define your own style by clicking the Define button in the Staff View Layout dialog box to open the Tablature Settings dialog box.

To Define a Tablature Style

  1. In the Staff View Layout dialog box, click the name of the track you want to define tablature for.
  2. Click the Define button (lower right corner).
The Tablature Settings dialog box appears.
  3. Click the Tablature tab and choose a tablature method from the Method dropdown list. There are three methods to determine how the TAB is displayed:
    • Floating - which allows the notes to spread over the entire fretboard
    • Fixed - This specifies where on the neck these notes should be played. When Fixed is selected the Finger span and Lowest fret fields are used together to define the "box" where the notes are displayed. The Finger span parameter determines how many consecutive frets will be used to display the note. For example, if Finger span is set to 4, then SONAR will attempt to place all the notes within those 4 frets. The Lowest Fret then determines where on the fretboard the notes will be displayed within the Finger span. The red box in the fretboard display changes to reflect the settings in these two parameters.
    • MIDI Channel - This uses the event's MIDI channel to determine which string the note should be displayed on. When MIDI Channel is selected, the user chooses which series of MIDI Channels should be considered. This is useful for MIDI Guitarists that record parts in MONO mode, where each string transmits on a different MIDI channel. (Values: 1 - 11). Selecting "1" in the 1st Channel field will cause it to use MIDI channels 1 - 6, selecting 2 , 2 - 7, and so on.)
    Note: Select the Skip Channel 10 option if you are using a Yamaha G50 or other device which reserves channel 10.
  4. Type a number into the Number of Frets field. This determines how many frets the guitar has that the tab is based on.
  5. In the String Tuning fields, choose the instrument from the dropdown list and number of strings from the Number of Strings field.
The open string pitches for the instrument you choose automatically appear in the string number fields below the dropdown list.
  6. Customize any of the open string pitches by using the "+" or "-" buttons on the string number fields.
  7. Save your settings by typing a name into the Preset field at the top of the dialog box and clicking the disk icon next to it. You can remove presets from the list by clicking the X button next to the disk icon.

The next time you want to use these settings for a track, choose your Preset in the Staff View Layout dialog box from the Presets dropdown list.


Changing Fretboard Texture and Orientation

You can change fretboard texture and orientation (high string on top or bottom of neck) in the Staff View Layout dialog box, or by right-clicking the Fretboard.

To Change the Fretboard Texture and Orientation

  1. Open the Staff View Layout dialog box.
  2. Click the Define button (lower right corner).
The Tablature Settings dialog box appears.
  3. Click the Fretboard tab.
  4. In the Texture field, choose a texture from the dropdown list.
  5. If you want to reverse the standard string orientation, in the Orientation field click Low String on Top (Mirror).
  6. Click OK.

The Fretboard changes to reflect your choices.


Quick TAB

SONAR quickly creates a tablature based on standard fingering patterns. After you try the quick version, you can customize the tablature to your liking.

To Create a Quick TAB

  1. Open a file that contains a MIDI guitar track.
  2. In the Track view, select the track number of the track you want to display tablature for.
  3. Select View-Staff.
The Staff view appears, displaying a fretboard and the notation of your MIDI track. To see everything, you may need to resize the Staff view by dragging the top border upward a few inches.
  4. From the Staff view toolbar, click the dropdown arrow on the Staff View Layout button to display the tablature dropdown list.
  5. Choose Quick TAB from the dropdown list.
A tablature grid appears, displaying the fret numbers for all the notes in the track.
  6. From the File menu, choose Save. Saving your file saves TAB settings for each track you generated TABs for.

Press the Spacebar to play your file. Notice that the Fretboard displays the name of each note above the string and fret you would play it on as the note plays.


Regenerate TAB

The Regenerate TAB command works on selected regions in a track to modify the fingering according to the method you choose. The TAB display by default uses the 'floating' algorithm which allows the notes to spread over the entire fretboard. By choosing the "fixed" algorithm instead, you can designate a specific finger span and lowest fret which causes the TAB of a selected region to be displayed within this range. This usually creates a more compact fingering system.

The Regenerate TAB command gives you a third choice for displaying tablature MIDI channel. This uses the event's MIDI channel to determine which string the note should be displayed on. When MIDI Channel is selected, the user chooses which series of MIDI Channels should be considered. This is useful for MIDI Guitarists that record parts in MONO mode, where each string transmits on a different MIDI channel.

To Regenerate TAB

  1. In the Staff view, use the Select tool to drag a rectangle around the notes or TAB numbers you want to change.
  2. In the Staff view toolbar, click the dropdown arrow on the Staff View Layout button to display the tablature dropdown list.
  3. Choose Regenerate TAB to open the Regenerate Tablature dialog box.
  4. Select Fixed from the Method field and fill in values for Finger Span (usually 4), Lowest Fret, and Number of Frets (usually 21).
  5. Click OK.

SONAR regenerates a TAB based on your specifications. If notes are out of the range you specified, SONAR displays them as close to that range as possible.


Entering Notes from the TAB Staff

You can enter notes or chords directly from the TAB staff.

To Enter Notes from the TAB Staff

  1. Open the Staff View, and choose Quick TAB from the tablature dropdown menu.
  2. Press Ctrl+Home to move the Now Time to the start of the project. You may want to display the Now Time by choosing View-Big Time.
  3. Choose the desired note duration (keyboard shortcut: press 1 for whole note, 2 for half, 3 for a 32nd note, 4 for quarter, 6 for a 16th note, 8 for an 8th note).
  4. Click the Draw tool.
  5. Enter a note by clicking a line in the TAB staff.
  6. Without letting go of the mouse, click and drag the cursor up to set the fret number.

Tip:

You can move ahead in the track by pressing Shift-Right Arrow, and move back in the track using the Shift-Left Arrow. The Now Time moves by the amount of the note duration you choose in the Staff toolbar.


Single Note Editing from the TAB Staff

SONAR enables you to edit single notes from the TAB staff in several ways:

  • With the Draw tool selected, drag fret numbers up or down. When you reach the desired fret number, release the mouse.
  • With the Draw tool selected, move a note to a different string by holding down the Alt key while you drag the fret number to a different line. If the note you are moving won't play on the string you are dragging it to, you won't be able to move it.
  • Right-click the fret you want to edit. A list of fret numbers appears. Select the one you want, and the fret you right-clicked changes to the fret number you selected.


Editing Chords or Groups of Notes from the TAB Staff

To edit chords or groups of notes in the TAB staff, first select which notes you want to edit, and then drag them to new pitches or strings.

To Edit Chords or Groups of Notes from the TAB Staff

  1. Click the Select tool in the Staff view toolbar.
  2. In the TAB staff, drag a rectangle around the chord or group of notes you want to edit, and release the mouse.
  3. Drag the fret numbers you selected up or down by the amount you want.
  4. You can drag the notes to different strings by holding down the Alt button while you drag. If the notes you are moving won't play on the strings you are dragging it to, you won't be able to move it.

To Export to an ASCII TAB File

  1. Select the track you want to export.
  2. Open the Staff view.
  3. In the Staff view, click the Export to ASCII TAB button.
The Save As dialog appears.
  4. Enter a file name in the File name field.
  5. Click OK.

SONAR saves the track with the file extension .txt.


Editing Notes and Chords from the Fretboard

You can transpose single notes or chords from the Fretboard.

To Transpose Single Notes

  1. Move the Now Time to the note you want to edit by pressing Shift-Right/Left Arrow. You may need to change the note duration by clicking one of the note icons in the Staff view toolbar.
  2. Use the Select tool to drag the note left or right on the fretboard.

To Transpose Chords

  1. Move the Now Time to display the chord you want to transpose.
  2. Shift-select all the notes in the chord.
  3. Shift-drag the chord to a new position and release the mouse.

Entering Notes from the Fretboard

If you prefer to work with the Fretboard instead of a musical staff, Cakewalk makes it easy to enter notes from the Fretboard. You can enter single notes or chords by clicking the string and fret of the note you want to enter at the Now Time position.

  1. Display the track you want to add notes to in the Staff view.
  2. In the Staff view toolbar, click the Draw tool.
Now the cursor appears as a pencil when you move it over the Staff or Fretboard.
  3. Move the Now Time to where you want to start entering notes by pressing Shift-Right Arrow or Shift-Left Arrow. Each press of the arrow moves the Now Time by the amount of the note duration, which you select by clicking the note icons in the Staff view toolbar. You may want to display the Now Time by choosing View-Big Time.
  4. Enter a note by clicking the string and fret where you would play the note.
The note appears on the Fretboard, in the Staff, and in the TAB if you have generated one (you can generate a Quick TAB by choosing Quick TAB from the tablature dropdown menu that you open by clicking the dropdown arrow on the Staff View Layout button).
  5. If you are entering a chord, continue clicking notes at the same Now Time. To move ahead, press Shift-Right Arrow and click a new note duration, if desired.

You can delete a note right after you enter it by pressing Ctrl+Z, or at any time by clicking the Eraser tool and clicking the note in the notation or TAB staffs.

Cakewalk gives you several options to play and hear the notes in your track:

  • Scrubbing enables you to click each note in the Fretboard and hear it play. Select the Scrub tool and click the note.
  • Scrub strumming enables you to "strum" chords by dragging the Scrub tool through a chord. With the Scrub tool selected, drag through a chord on the Fretboard from below it or above it and back and forth.
  • Ctrl+Right Arrow/Ctrl+Left Arrow moves the cursor through the track, playing each note as it reaches it.


Working with Percussion

The Staff view can display percussion tracks on a five-line percussion staff or on a single percussion line. The staff usually displays notes for a drum set or multiple percussion instruments; the line is used to display notes for a single instrument (although it need not be so).

SONAR lets you control the appearance of percussion staffs in considerable detail. You can display percussion notes using several different types of noteheads and articulation symbols, and you can map any percussion sound to any position on the percussion staff (in a percussion track, each MIDI note value designates a different percussion instrument; mapping lets you display any instrument in any position on the staff, regardless of the underlying MIDI note value). You can save your settings as a preset, and use them again on other tracks and in other projects. SONAR supplies a standard preset based on the General MIDI percussion standard and popularly accepted percussion staff positions and noteheads.

See:

Setting Up a Percussion Track

Setting Up a Percussion Staff or Line

Ghost Strokes


Setting Up a Percussion Track

Before you use the percussion capabilities of the Staff view, your percussion track should be set up correctly. This will allow you to hear the proper sounds when placing notes and during playback, and will allow you to see the correct percussion instrument names rather than generic note names in the Piano Roll view, Event List view, and Percussion Notation dialog box.

To Set Up a Percussion Track

  1. Right-click on the track in the Track pane and choose Track Properties to open the Track Properties dialog box.
  2. Assign the output and channel for your percussion instrument. For example, if the output is assigned to a sound card that supports General MIDI, use channel 10.
  3. Click Instruments to open the Assign Instruments dialog box.
  4. Make sure that the output/channel combination used by your track is assigned to a percussion instrument definition. For example, channel 10 of a General MIDI output should be assigned to the General MIDI Drums instrument definition.
  5. Click OK in both dialog boxes.

SONAR shows the new track output and channel in the Track view, and will use the proper percussion instrument names in the Piano Roll view, Event List view, and Percussion Notation dialog box.

For more information about instrument definitions, see Using Instrument Definitions.


Setting Up a Percussion Staff or Line

The first time you display a percussion track in the Staff view, SONAR picks a default percussion clef for the track. Tracks with only one note value are assigned the Percussion Line clef. Tracks with multiple note values are assigned the Percussion Staff clef.

If you want to change a Percussion Staff to a Percussion Line or vice versa, or if you want to change another type of staff to a percussion staff, you can do so in the Staff View Layout dialog box. If you change a track's clef to a non-percussion clef, the percussion notation settings will be lost.

The lowest and highest lines on the Percussion clef are E5 and F6, respectively. The Percussion Line represents E5.

By default, percussion staffs are given SONAR's default note bindings and notehead assignments. If you want to use your own notation, or if you want to set up the appearance of a percussion line, you need to use the Percussion Notation Key dialog box. In this dialog box, the percussion sounds and staff positions that are bound have an asterisk near their names. When you select a bound percussion sound, a line joins the sound to its staff position. Each percussion sound can be bound only to a single position, but each position may be bound to several sounds. You can use different notehead types and articulation symbols to visually distinguish the sounds.

To Assign a Percussion Staff or Line to a Track

  1. Click the Staff View Layout button [image] to open the Staff View Layout dialog box.
  2. Select your percussion track from the list.
  3. Select Percussion Staff or Percussion Line from the Clef dropdown list.
  4. Click Percussion Settings to set up the appearance of percussion notes (see below).
  5. Click Close.

SONAR changes the track's clef to the selected percussion clef.

To Set Up a Track's Percussion Notation Key

  1. Click the Staff View Layout button [image] to open the Staff View Layout dialog box.
  2. Select your percussion track from the list.
  3. Click Percussion Settings to open the Percussion Notation Key dialog box.
  4. Set up the percussion notation key according to the following table:
    To do this...

    Do this...
    Map (bind) a percussion sound to a line or space on the staff

    Select the sound (or corresponding MIDI note) in the MIDI Note list, select the intended position in the percussion staff in the Display As list, then click Bind.
    Set the notehead and articulation mark for a percussion sound

    Select the sound in the MIDI Note list, then select a Notehead Type and Articulation Symbol. (Only bound sounds can be assigned a notehead type and articulation symbol other than the default.)
    Control how unbound percussion sounds display

    In the Display As list, click the pitch that you want all unbound notes to display as. Then select a Notehead Type and Articulation Symbol, then click the Default note button to apply your changes.
    Remove a binding

    Select the percussion sound in the MIDI Note list, then click Unbind. Unbound notes are displayed in the default position.
    Load a preset

    Select the preset from the Preset list.
    Save your settings as a preset

    Click the Save button [image] and enter a preset name.
    Clear all bindings

    Click Zap All.
    Select notes in the note lists with a MIDI keyboard

    Click in the MIDI Note or Display As list, then strike a key on your keyboard.
  5. Click OK to close the Percussion Notation Key dialog box.
  6. Click Close to close the Staff View Layout dialog box.

The Staff view shows the percussion clef with the note bindings and noteheads you assigned.


Ghost Strokes

In percussion notation, parentheses around a note mean that it is a ghost stroke, played very lightly and barely heard. SONAR supports ghost strokes by displaying parentheses around any percussion note event with velocity less than 32 (a fixed, arbitrary threshold). If necessary, you can adjust the Vel+ parameter of the track and the velocities of the individual notes to effectively move this threshold without changing the way the note sounds.


Printing

The Staff view provides printing support of standard musical notation in nine staff sizes. The Staff view prints general project information from the File Info dialog box (see Labeling Your Projects) at the beginning of the score, including the song's title (or file name), subtitle (dedication), playing instructions, author/composer, and copyright. In addition, SONAR identifies the tracks by number and name, and numbers each measure and each page.

SONAR lets you select a size for your printed score. Engravers have nine standardized sizes of the five-line staff. The vertical distance between the lines of each staff is called its rastral size, or measurement. Each rastral size has a number and is used by publishers for a specific genre of musical composition.

Number... | Trade names... | Genre usage...
0 | Commercial or Public | Wire-bound manuscript
1 | Giant or English | Elementary band and orchestra books; instruction booklets
2 or 3 | Regular, Common, or Ordinary | Sheet music for concertos and classics
4 | Peter | Folios, works for organ, etc.
5 | Large middle | Band/wind ensemble music; sheet music
6 | Small middle | Chorals; condensed sheet music
7 | Cadenza | Pocket editions; cues in piano parts; military marches
8 | Pearl | Thematic advertisement; ossia

To Print a Score

  1. Make sure the Staff view is the current window.
  2. Choose File-Print Preview.
  3. If you want, click Zoom, or click in the music, to zoom the view in and out.
  4. Click the Configure button to select a rastral size.
  5. When zoomed out, you can press Page Up and Page Down to navigate between pages.
  6. Click Print.

SONAR displays the Windows Print dialog box, from which you can set up your printer and print the score.

Alternatively, you can choose File-Print and skip the print preview window.


The Meter/Key View

The Meter/Key view lets you enter meter and key changes at measure boundaries. Meter and key changes affect all tracks.

See:

What Is Meter?

What Is Key?

Opening the Meter/Key View

Adding and Editing Meter/Key Changes

Music Notation for Non-concert-key Instruments


What Is Meter?

The meter--also known as the time signature--describes how to divide time into rhythmic pulses. When you set the meter, you are specifying the number of beats per measure and the note value of each beat. Common meters include:

  • 2/4 (two beats per measure, quarter note gets a beat)
  • 4/4 (four beats per measure, quarter note gets a beat)
  • 3/4 (three beats per measure, quarter note gets a beat)
  • 6/8 (six beats per measure, eighth note gets a beat)

The top number of a meter is the number of beats per measure, and can be from 1 through 99. The bottom number of a meter is the value of each beat; you can pick from a list of values ranging from a whole note to a thirty-second note.

The meter affects several things in SONAR:

  • Metronome accents
  • How measure, beat, and tick (MBT) times are calculated and displayed
  • How the Staff view is drawn

While SONAR in general allows meters to have up to 99 beats per measure, the Staff view cannot display such measures. You will receive an error message if you try to use the Staff view with meters exceeding its limit.

Internally, SONAR stores times as "raw" ticks or clock pulses. The timebase--the number of pulses per quarter note (PPQ)--is adjustable, from 48 to 960 PPQ. If you are using a timebase of 120 PPQ and the project file is in 4/4 time, then a whole measure equals 480 ticks. See Setting the MIDI Timing Resolution for more information about the timebase.

Usually the easiest approach to working with meter changes is to set all of them up before doing any recording. Use the Meter/Key view or the Insert-Meter/Key Change command to add meter changes at the desired measures.


What Is Key?

In musical terms, a key is a system of related notes based on the tonic (the base pitch) of a major or minor scale. A key signature is a group of sharps or flats placed immediately to the right of the clef sign. The key signature tells a performer that certain notes are to be systematically raised or lowered.

There are fifteen different key signatures--seven with sharps, seven with flats, and one without either. The fifteen key signatures correspond to fifteen different major scales, and to fifteen different minor scales (for example, the key signature for C major is the same as for A minor).

The key signature affects several things in SONAR:

  • The key signature controls how SONAR displays notes. In the Event List view and some dialog boxes, SONAR converts the MIDI pitch number to labels like Db (D-flat in the key of C).
  • The Staff view uses the key signature to display notation correctly.
  • How the notes are transposed when the Diatonic option is enabled.

The key signature affects only how SONAR displays pitches for you. Changing the key signature does not affect the MIDI key number (pitch) stored with each note. To actually transpose pitches, use the Transpose command or edit notes individually by using the Piano Roll, Event List, or Staff views.

Note: Groove clips are not affected by changes to your project's key. Groove clips follow the default project pitch value, located on the Markers toolbar, and Pitch markers in the Time Ruler. For more information, see Using Pitch Markers in the Track View.

Frequently you use only one key signature for an entire project, but SONAR supports multiple key signatures and multiple meter changes in a project. The default key is C. You can change these defaults by creating your own default template file. For more information, see Templates.


Opening the Meter/Key View

To open the Meter/Key view, click [image] or choose View-Meter/Key.

The Meter/Key view displays a list of meter/key changes in the project. There is always an entry for measure 1, because there must always be a meter and key signature for the project. The default meter is 4/4 and the default key is C. You can change these defaults by creating your own default template file. For more information, see Templates.

Each meter/key change has the following properties:

Property... | Meaning...
At Measure | The measure where the meter/key change takes place.
Beats per Measure | The number of beats per measure, the upper number in the time signature.
Beat Value | The note length of a beat, the lower number in the time signature. 2 corresponds to a half note, 4 to a quarter note, 8 to an eighth note, etc.
Key Signature | The key signature.


Adding and Editing Meter/Key Changes

The Meter/Key view displays a list of all the meter/key changes in the project. You can add, delete, or edit meter/key changes by clicking the buttons at the top of the view. You can also insert meter/key changes into the project with the Insert-Meter/Key Change command.

To Add a Meter/Key Change

  1. Open the Meter/Key view.
  2. Click Add [image] , or choose Insert-Meter/Key Change, to open the Meter/Key Signature dialog box.
  3. Enter information about the new meter/key change.
  4. Click OK.

SONAR inserts the meter/key change into the project. The meter/key change will appear in the Staff view at the appropriate measure.

To Delete a Meter/Key Change

  1. Select the meter/key change to be deleted from the list.
  2. Select additional meter/key changes by using Shift-click and Ctrl-click.
  3. Click Delete [image] .

SONAR removes the meter/key change from the project. You cannot delete the first meter/key change from measure 1 of a project.

To Move a Meter/Key Change

  1. Select the meter/key change to be moved.
  2. Click Add [image] .
  3. Edit the Measure parameter to the meter/key change's new measure.
  4. Click OK.
  5. Select the original meter/key change again.
  6. Click Delete [image] .

SONAR removes the original meter/key change and inserts a copy of it at the new measure.

To Edit a Meter/Key Change

  1. Select the meter/key change to be edited.
  2. Click Change [image] to open the Meter/Key Signature dialog box.
  3. Edit the meter/key change properties.
  4. Click OK.

SONAR changes the properties of the meter/key change.


Music Notation for Non-concert-key Instruments

Music Notation for Non-concert-key
Instruments

For historical reasons, certain musical instruments are traditionally notated in a transposed key rather than the actual key. For example, a normal (Bb) trumpet part is written in the key one whole step higher than the actual concert key, and an Eb alto sax part is written a major sixth higher. Musicians have traditionally learned to read and refer to the notes they play using the proper transposition interval for their instrument.

SONAR supports these non-concert instrumental keys through use of the Key+ control in the Track view. Simply enter or record the notes into the instrument's track transposed as the musician would expect them, and then set the proper transposition interval in the Key+ control to make it play in the correct key. For example, a Bb trumpet track should have all its notes a whole note higher than concert pitch, and should have Key+ set to -2 to transpose it two chromatic steps back down. Remember, not all trumpets are Bb instruments!

To Notate a Bb Trumpet Part

  1. Record or enter the notes using the pitches that the musician who will be reading the part needs to see. For example, if the non-transposing instruments are playing in the key of C, a Bb trumpet player needs to see the notes a whole step higher--the key of D. The instrument itself sounds a whole step lower than concert pitch, so when a Bb trumpet plays in the key of D, it sounds in the key of C.
Now that the pitches appear the way that the trumpet player needs to see them, the problem is that when you play your project, the MIDI notes in the trumpet track sound a whole step too high.
  2. In the Track view, force SONAR to play the trumpet track a whole step lower by entering -2 (negative 2) in the Key+ field and pressing Enter.

Now the trumpet part in the Staff view appears in the key of D--SONAR automatically adds two sharps to the trumpet track's key signature--but the track sounds in the key of C because you entered -2 in the Key+ field (you may need to close the Staff view and reopen it to see the new key signature). The Staff view automatically transposes the key signature for each track according to the track's Key+ value. Multiple tracks appear and can be printed as an orchestral score, with the proper different key signatures for each track.

Note that this Key+ information is saved in SONAR .cwp files, but not in standard MIDI files. If you save a file as a MIDI file, the Key+ transposition will be applied to each note event, so that the file will sound the same, but the Key+ information will be lost. If you're reading in a MIDI file, you can easily set up the non-concert instrument tracks and then save the file as a normal project file. First set the Key+ offset to reflect the non-concert instrument's key signature. Then, use Transpose to compensate for the Key+ offset.


Working with Lyrics

SONAR lets you create, edit, and display lyrics, the words and syllables associated with notes in a track. Lyrics can be the words to a song, the text of a vocal passage, a narration to be read along with the music, cues of some type, or text totally unrelated to the music. Each word or syllable in the lyrics must be associated with a note in a MIDI track. Each MIDI track can have its own lyrics.

Although lyrics can logically be associated with digital audio data, you cannot actually place lyrics in an audio track. If you want to create lyrics for an audio track, you must create an auxiliary MIDI track to hold the lyrics.

You can enter and edit lyrics in two ways:

  • Using the Lyrics tool in the Staff view
  • Using the Lyrics view
  • Inserting lyric events in the Event List view.

The Staff view is usually the preferred location for entering lyrics, since you can see the notes with which the lyrics are associated. The Lyrics view can also be used for entering or editing lyrics, but its main strength is that it can display lyrics in a larger, more readable format. You might use the Lyrics view to display song lyrics during recording and playback, so performers can see the words and sing along. You can make the font size in the Lyrics view as large as desired, so that the lyrics can be read at a distance from the monitor. During playback, the current line in the lyrics is enclosed in a box and the current word is highlighted.

Lyric events are similar to text events. Like any other event, they occur at a particular time. They contain text, just like general-purpose text events, but generally they contain only a single word (or syllable of a word). As events, Lyrics can be edited in the Event List view (see The Event List View).

See:

Adding and Editing Lyrics in the Staff View

Opening the Lyrics View

Adding and Editing Lyrics in the Lyrics View


Adding and Editing Lyrics in the Staff View

The Staff view displays lyrics below their associated track. If the track is split into treble/bass staves, lyrics are aligned with notes in both staves, but are displayed below the treble staff.

When a lyric word or syllable spans multiple notes, a trailing underline or series of regularly spaced hyphens is automatically drawn, following conventional lyric notation practice.

To Add Lyrics to a Track

  1. Click the Draw tool [image] .
  2. Select the Lyrics tool [image] .
  3. Position the pointer below the staff, under the first note to be assigned lyrics. (The pointer changes to a pencil when you are in a legal position.)
  4. Click to open an insertion box.
  5. Follow the instructions in the table:
    To do this...

    Do this...
    Enter a word or syllable

    Type it in the insertion box
    End the word or syllable and move to the next note

    Type a space, tab, or hyphen
    Skip over a note

    Type a space or hyphen
    Move back to the previous note

    Press Shift-Tab
  6. Press Enter when you are done.

SONAR displays the new lyrics below the staff.

To Edit Lyrics

  1. Click the Draw tool [image] .
  2. Click the word you want to change.
  3. Edit the word as desired.
  4. Press Enter.

SONAR replaces the old word with the new one.


Opening the Lyrics View

There are three ways to open the Lyrics view:

  • In the Track view, select the track whose lyrics you want to see, then click
  • In the Track view, select the track whose lyrics you want to see, then choose View-Lyrics
  • Right-click a clip in the Clips pane and choose Lyrics from the menu

The Pick Track button [image] opens a dialog box where you can select the track whose lyrics you want to see. Select the desired track, then click OK.

To select a font for the display, use one of the following:

Option/Button... | Purpose...
 | Selects the first font. By default, this is a small font useful for editing.
 | Selects the second font. By default, this is a larger font useful for reading lyrics at a distance.
 | Opens a dialog where you can select a font. The selected font is then assigned as Font A or B (depending on which is currently selected).


Adding and Editing Lyrics in the Lyrics View

Lyrics appear in the Lyrics view as a stream of syllables, each one associated with a note in the track. In this context, a syllable is any continuous string of characters, without a hyphen. For example, "love," "desire," and "infatuation" are all syllables; each one would be associated with a single note. If you want to break a word into multiple syllables, you must hyphenate the word. For example, "de-sire" would map onto two notes, since it is now two syllables long.

When you enter the lyrics, you can mark the syllables the way you want, or you can simply type the text in normally and use automatic hyphenation to break the text into syllables. This means that you can add lyrics to a project by copying and pasting them from another application (such as a word processor), and then hyphenate them automatically.

To extend a single syllable over more than one note, you can use extra hyphens, separated by spaces. For example, in "Oh-say can you see...", the "Oh" is extended over two notes. If a track contains no lyrics yet, the display will show only a series of hyphens (one for each note in the track).

If you enter more syllables than there are notes in the track, SONAR assigns the extra lyrics times at quarter note intervals.

To Enter Lyrics in the Lyrics View

  1. Click in the upper left corner of the view to position the cursor at the start of the text.
  2. Follow the instructions in the table:
    To do this...

    Do this...
    Enter a word or syllable

    Type it
    End a word or syllable and move to the next note

    Type a space or hyphen
    Break a line for easier
    viewing

    Press Enter

To Edit Lyrics in the Lyrics View

Editing in the Lyrics view follows standard Windows conventions for cursor movement, selection, cut (Ctrl+X), copy (Ctrl+C), paste (Ctrl+V), and delete (Delete). When you pause, SONAR will update all lyric events in the track.

To Hyphenate the Lyrics

  1. If you want, select a portion of the lyric text. If you do not select any text, all the lyrics will be hyphenated.
  2. Click the Hyphenate button.

SONAR hyphenates the lyrics.


Using Instrument Definitions

Using Instrument
Definitions

Instrument definitions are a powerful feature of SONARTM that makes it easier for you to find the banks, patches, and controllers of your MIDI instruments. An instrument definition is a file that contains the names of the banks, patches, note names, bank select method, and controllers of an instrument. Instrument definitions for many popular MIDI instruments are included with SONAR or are available on the Cakewalk web site (www.cakewalk.com). If an instrument definition is not available for your instrument, and you are familiar with MIDI and how it works, you can use SONAR to create your own instrument definition.

Most MIDI instruments available today are General MIDI (GM) compatible, which means that they come with the standard set of sounds or patches defined by the GM standard. SONAR initially assumes that your MIDI instruments are GM compatible. The names of patches and controllers that you initially see displayed throughout SONAR are drawn from the GM specification.

At the same time, many MIDI instruments provide additional sounds and controllers beyond those required by the GM standard. In addition, some older MIDI instruments are not GM compatible. If you are using one of these instruments with SONAR, you can use instrument definitions to make sure that the names of banks, patches, and controllers that you see in SONAR are the same ones you see on the display screens of your MIDI keyboards and modules.

See:

Assigning Instruments

Importing Instrument Definitions

Creating Instrument Definitions

To Import Instrument Definitions

To Create a New Instrument

To Rename an Instrument

To Add a Bank or Change the Patch Names for a Bank

To Create and Edit Name Lists

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning Instruments

SONAR lets you assign a MIDI instrument definition to each available MIDI output and channel. The assignments you make determine the MIDI bank names, patch names, note names, and controller names that you see during your SONAR session.

Suppose that you have a Roland GS-compatible synthesizer attached to MIDI output 1. By assigning all 16 channels of MIDI output 1 to the Roland GS instrument definition, you ensure that the bank, patch, note, and controller name lists you see displayed in SONAR are the same ones that you see on the display screen of your synthesizer.

Often, you want to assign a different instrument to channel 10, which is usually used for percussion. For example, you might assign the Roland GS instrument definition to channels 1 through 9 and 11 through 16, but you would most likely want to assign the Roland GS Drumsets instrument definition to channel 10. That way, any SONAR tracks you assign to channel 10 on that output use the names of drum sets for patch names, and drum notation in the Piano Roll view. If you have several MIDI outputs, with a different MIDI module attached to each one, you would normally assign a different instrument definition to each MIDI output.

For convenience, you can assign a block of channels to one instrument and then change the assignment of one or more of those channels without changing the others. For example, you can highlight all 16 channels of the first MIDI output and assign them to the Roland GS instrument definition. Then, you can highlight channel 10 of that same MIDI output and assign it to the Roland GS Drumset instrument definition. Channels 1 through 9 and 11 through 16 on the first MIDI output will stay assigned to Roland GS.

If you only have one MIDI output, but have several MIDI modules attached to it, you can assign a few channels to each module. For example, you might have a Roland synth receiving on MIDI channels 1 through 9, a Roland drum machine receiving on channel 10, and a basic GM-compatible synth receiving on channels 11 through 16. In this case, you'd use three different instrument definitions for your one and only MIDI output.

To Assign Instrument Definitions to MIDI Outputs and Channels

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Select one or more MIDI outputs and channels from the Output/Channel list (use Shift-click and Ctrl-click to select multiple outputs and channels). You can also drag through a bunch of channels to select them. For example, if you want to assign the first 16 MIDI channels on output 1 to a certain MIDI module, drag through the first 16 items in the Output/Channel list to select them.
  3. Choose the instrument definition to which the selected outputs and channels should be assigned from the Uses Instrument list. A black line connects the two lists. If your MIDI module's name doesn't appear in the list and you don't want to use General MIDI bank and patch names for it, see Importing Instrument Definitions.
  4. To save these changes permanently, check the Save Changes for Next Session box.
  5. Click OK to apply your changes.

From now on, the bank, patch, controller, and note names from the assigned instrument definition are used throughout SONAR on any track that uses one of the output/channel combinations you selected in the Output/Channel list.

To Clear Instrument Assignments

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Select the MIDI outputs and channels whose assignments you want to remove from the Output/Channel list.
  3. Choose <default> from the Uses Instrument list. A black line connects the two lists.
  4. Click OK when you are done.

You don't really clear instrument assignments--you reassign them to use the default (General MIDI) instrument definition. After you reassign the output/channel combinations, the default (GM) bank, patch, controller, and note names are used throughout SONAR. on any track that uses one of the output/channel combinations you reassigned in the Output/Channel list.

See also:

Importing Instrument Definitions

Creating Instrument Definitions

To Import Instrument Definitions

To Create a New Instrument

To Rename an Instrument

To Add a Bank or Change the Patch Names for a Bank

To Create and Edit Name Lists


Importing Instrument Definitions

When you install SONAR, a few common instrument definitions are already set up for you and ready to use. SONAR also includes several hundred additional instrument definitions that you can import.

These instrument definitions are stored in text files in your SONAR folder, organized largely by manufacturer. For example, all the instrument definitions for Roland gear are stored in the Roland.ins file; all the instrument definitions for Yamaha gear are stored in the Yamaha.ins file. The Misc.ins file contains miscellaneous instrument definitions.

If SONAR does not include an instrument definition for your MIDI instrument, you can find additional and updated instrument definitions on the Downloads section of the Cakewalk World Wide Web site (www.cakewalk.com). Simply download the files to your SONAR folder, unzip if necessary, and import the instrument definitions as described below.

When you import an instrument definition, it is added to the master instrument definition file Master.ins. The contents of this file determines the list of instruments that appear in the Assign Instruments dialog box.

To Import Instrument Definitions

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Click Define to display the Define Instruments and Names dialog box.
  3. Click Import to display the Import Instrument Definitions dialog box.
  4. Choose the file that contains instrument definitions for your manufacturer, and click Open. SONAR displays a list of all the instrument definitions in the file.
  5. Choose one or more instruments from the list, and click OK.
  6. Click Close to close the Define Instruments and Names dialog box.

The instrument definitions you imported should now appear in the Uses Instrument list in the Assign Instruments dialog box.

See also:

Creating Instrument Definitions

To Create a New Instrument

To Rename an Instrument

To Add a Bank or Change the Patch Names for a Bank

To Create and Edit Name Lists


Creating Instrument Definitions

SONAR lets you create and edit instrument definitions. To create an instrument definition, you must answer these types of questions:

  • What are the names of the patches in each bank?
  • Which note names should be used for each patch?
  • What are the names of the MIDI Controllers for this instrument?
  • Which RPN and NRPNs are available on the instrument?
  • Which Bank Select method does the instrument use?

To collect this information, you need the MIDI documentation for your instrument.

Here's a general outline of the steps you must follow to create an instrument definition:

  • Create a new instrument in the Instrument tree.
  • Create any new name lists in the Names tree that are required for the instrument.
  • Drag name lists and possibly a bank select method to the new instrument from the Names tree.
  • Close the Define Instruments and Names dialog box.

For detailed instructions, see To Create a New Instrument.

You define instruments in the Define Instruments and Names dialog box, shown below:

The Define Instruments and Names dialog box contains two trees:

  • The Instruments tree in the left half of the dialog box lists all defined instruments and their characteristics
  • The Names tree in the right half of the dialog box shows all the resources you use to define an instrument

You expand or collapse the folders and lists in each tree by clicking on the + or - key shown to the left of each item. You can also right-click on an item and choose Expand or Collapse from the menu, or double-click on an item to expand or collapse it.

To define an instrument, you drag resources from the Names tree to the name of an instrument on the Instruments tree. Each resource is color-coded--you can only drag a Names list to an Instrument tree branch of the same color. For example, you can only drag a list from the Patch Names folder in the Names tree to a Patch Names for Banks folder in the Instruments tree.

There are six components to an instrument definition:

  • Method for bank selection
  • Patch names, such as Piano and Bass
  • Note names, which are most frequently used to name drum notes, such as kick or snare
  • Controller names, like volume and pan
  • Names for Registered Parameter Numbers (RPNs)
  • Names for Non-Registered Parameter Numbers (NRPNs)

The instrument definitions organize all names (patches, notes, controllers, RPNs, and NRPNs) into lists. You may be able to define a new instrument using existing name lists. For example, two models of synthesizers made by a particular manufacturer may have identical patch name lists but use different NRPNs. In this case, you can use the same patch name lists for both instruments, but you would need to use a different NRPN list (or perhaps create a new NRPN list) for the second synth.

If you want your changes to be remembered the next time you run SONAR, make sure the Save Changes For Next Session option in the Assign Instruments dialog box is checked before clicking OK. Otherwise, to make only temporary changes, be sure to remove the check from that option.

To Create a New Instrument

  1. In the Define Instruments and Names dialog box, right-click the word Instruments at the top of the Instrument tree, and choose Add Instrument from the popup menu.
  2. Type a name for the new instrument and press Enter.

The new instrument is provided with default settings for all of its characteristics.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names

To Rename an Instrument

  1. In the Define Instruments and Names dialog box, right-click an Instrument name in the Instrument tree and choose Edit from the popup menu.
  2. Type the new name and press Enter.

To Delete an Instrument

  1. In the Define Instruments and Names dialog box, right-click an Instrument name in the Instrument tree and choose Delete from the menu.
  2. Confirm that you want to delete the instrument.

To Save an Instrument Definition

  1. Click Close to close the Define Instruments and Names dialog box.
  2. Click OK.

SONAR saves the instrument definition in the master.ins file.

To Export an Instrument Definition

  1. In the Define Instruments and Names dialog box, right-click an Instrument name in the Instrument tree and choose Export from the menu to display the Export Instrument Definition dialog box.
  2. If you don't want to save the file in the folder that's listed in the Save In field, navigate to the folder in which you do want to save the file.
  3. Enter a file name and click Save.

SONAR saves the file, with the filename extension .ins.

Note: Exporting instrument definitions allows you to share them with other SONAR users.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Creating and Editing Patch Name and Other Lists

You can create and edit the various lists in the Names tree that make up each instrument definition. Patch name, note name, and controller name lists can contain up to 128 entries, numbered 0 through 127. RPN and NRPN name lists can contain up to 16,384 entries, numbered 0 through 16,383.

To Create and Edit Name Lists

  • To create, edit, or work with name lists, go to the Names tree of the Define Instruments and Names dialog box, and follow the directions in the following table:
    To do this...

    Do this...
    Create a new name list

    Duplicate an existing Patch Names or other list by doing one of the following: expand the folder that contains the name list, highlight the name list and press the Ins (Insert) key; highlight the folder and press Shift-Insert; or right-click any folder or name list and choose Add Names List from the menu.
    Then type a name for the list and press Enter.
    Delete a name list

    Highlight the names list and press the Del (Delete) key; or right-click on the name list and choose Delete from the menu. You will see a warning if the list is used by any instrument definition. If you delete the list anyway, the instrument definition will change automatically.
    Add the next item in a name list

    Highlight a name and press the Ins key, or right-click on a name and choose Add Name from the menu. Then enter the name.
    Add a name anywhere in a list

    Highlight the name of a list and press Shift-Insert, or right-click on the name of a list and choose Add Name from the menu. Then enter the name.
    Delete names from a list

    Highlight the Names List or Name, and press Del. You can also right-click, then choose Delete.
    Edit a name in a list

    Highlight the name or name list and press F2, or right-click and choose Edit from the menu. Then enter the new name.

See also:

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Copying Name Lists

You can easily create new lists that are similar to other lists. For example, suppose you want to create a new patch name list called NewList that is almost identical to the General MIDI patch list, but with one or two small changes. Here's how you proceed:

  • Create a new patch name list in the Patch Names folder of the Names tree called, for example, NewList.
  • Drag the new list onto the General MIDI list in the Names tree. You will be asked if you want to base NewList on the General MIDI list.
  • Click OK. NewList will now be listed under the General MIDI branch. Any patch names that exist in the General MIDI list apply to NewList, too.
  • Add new patch names to NewList. These names will override those in the list on which NewList is based.

If you change your mind about NewList and want to make it a stand-alone, separate list, simply drag it to the Patch Names root folder.

See also:

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning the Bank Select Method

Your synthesizer uses one of four bank select methods to switch back and forth between banks of sounds. To find the method used for your instrument, check the instrument's User's Guide or the manufacturer's web site. The four methods are as follows:

Method... | Used for...
Normal | Instruments that respond to Controller 0 or Controller 32 bank select messages
Controller 0 only | Instruments that only respond to Controller 0 bank select messages
Controller 32 only | Instruments that only respond to Controller 32 bank select messages
Patch 100..127 | Instruments that let you change banks by sending patch changes between 100 and 127

The bank select method you choose affects the bank numbers that you assign to each patch list, as described in the following section. Here's how you compute the bank numbers:

Bank select method...

To compute the bank number...
Normal

Take the value of Controller 0, multiply it by 128, and add the value of Controller 32 to derive the bank number.
Note: A synthesizer manufacturer may refer to Controller 0 as the MSB (Most Significant Byte) and to Controller 32 as the LSB (Least Significant Byte).
Controller 0 only

The value of Controller 0 is the bank number.
Controller 32 only

The value of Controller 32 is the bank number.
Patch 100..127

Take the patch number and subtract 100 to derive the bank number.

Here is an example of the Normal bank select method. According to the documentation for the Roland JV-1080 synthesizer, the PR-A Bank has a Controller 0 value of 81 and a Controller 32 value of 0. You compute the bank number that you enter in the instrument definition as follows: (81 x 128) + 0 = 10,368.

To Change the Bank Select Method

  1. Highlight and expand the instrument in the Instrument tree.
  2. Expand the Bank Select Method branch in the Names tree.
  3. Drag the desired bank select method from the Names tree to the Instrument tree.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning Patch Names

A MIDI instrument can have up to 16,384 banks of 128 patches each. Patches can have names, like "Piano" for patch number 0, "Bass" for patch number 1, and so on. Normally, each bank contains a different set of patches, so each bank needs a separate patch name list. Most synthesizers start with a patch number of 0.

You can assign a patch name list to each bank. You can also assign a default patch name list to the instrument, which is used for all banks for which you haven't assigned a specific list. The previous section describes how to compute the bank numbers to which each patch name list is assigned.

Each bank can also be assigned a special Drum flag, which indicates that all patches in that bank contain drum sounds. If you set this flag, the Piano Roll view will display drum notes as diamonds, and the Staff view will use percussion notation.

To See the Assignment of Patch Name Lists to Banks

  1. Expand the instrument definition by clicking the + sign next to the instrument name.
  2. Expand the Patch Names for Banks folder by clicking the + sign. The list expands to show the bank numbers and the patch name list that is assigned to each bank.

To Add a Bank or Change the Patch Names for a Bank

  1. Drag a patch name list from the Names tree to the Patch Names for Banks folder of the instrument you're editing in the Instrument tree.
  2. Enter a bank number, or enter -1 to indicate that this list of patch names should be used as the default.

SONAR displays the updated banks and patch name lists. If necessary, SONAR adds a new bank to the instrument definition.

To Remove a Bank or Patch Name List

  1. In the Instrument tree in the Patch Names for Banks folder of the instrument you're editing, highlight the bank and patch names list.
  2. Press the Del key, or right-click on the bank name and choose Delete from the popup menu.

To Set or Clear the Drum Flag

  • Right-click on the bank in the Instrument tree, and choose Drums from the popup menu.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names

Assigning Controller, RPN, and NRPN Names


Assigning Note Names

Each patch may have a list of up to 128 names for notes. Usually, note names are labels for percussion instruments. For example, the pitch C3 may really be "Kick Drum," and D3 may be "Snare." Because a drum machine may provide different drum kits for each patch, SONAR lets you specify a different list of note names for each patch. The Piano Roll and Event List views show you these note names.

You can assign a note name list to each patch. You can also assign a default note name list to the instrument, which is used for all patches for which you haven't assigned a specific note name list.

Each patch can also be assigned a special Drum flag, which indicates that this patch contains drum sounds. If you set this flag, the Piano Roll view will display drum notes as diamonds, and the Staff view will use percussion notation.

There are several standard note name lists provided with SONAR:

Note name list... | Contents...
0..127 | The numbers 0 through 127
Diatonic | The default MIDI note names (like C4, E5, and so on)
General MIDI Drums | The default instrument names for the General MIDI drum patch

To See the Assignment of Note Name Lists to Patches

  1. Expand the instrument definition by clicking the + sign next to the instrument name.
  2. Expand the Patch Names for Banks folder by clicking the + sign.
  3. Continue expanding the tree by clicking the + sign, until the tree is fully expanded.

To Change the Note Names for a Patch

  1. Drag a note name list from the Names tree onto the Note Names for Patches folder of the instrument and bank you're editing in the Instruments tree.
  2. Enter the patch number that should use these note names, or enter -1 to indicate that this list of note names should be used as the default.

SONAR displays the updated patch and note name lists. If necessary, SONAR

adds a new patch to the instrument definition.

To Remove a Note Name List

  1. In the Instrument tree in the Note Names for Patches folder of the instrument you're editing, highlight the name of the note names list (for example, "diatonic").
  2. Press the Del key, or right-click on the note name list and choose Delete from the popup menu.

To Set or Clear the Drum Flag

  • Right-click on the patch in the Instrument tree, and choose Drums from the menu.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Controller, RPN, and NRPN Names


Assigning Controller, RPN, and NRPN Names

SONAR lets each instrument have its own lists of controller names, RPN names, and NRPN names. There is always exactly one list of each type per instrument.

To See the Controller, RPN, and NRPN Name Lists

  1. Expand the instrument definition by clicking the + sign next to the instrument name.

To Change the Controller, RPN, or NRPN Name List

  1. In the Names tree, expand the branch containing the Controller name lists, RPN name lists, or NRPN name lists.
  2. Drag the desired name list from the Names tree onto the corresponding branch of the Instrument tree.

SONAR displays the updated Controller, RPN, or NRPN name lists.

See also:

Creating and Editing Patch Name and Other Lists

Copying Name Lists

Assigning the Bank Select Method

Assigning Patch Names

Assigning Note Names


SONAR Flags in Instrument Definitions

SONAR has several flags that you can use in instrument definition files for use with specific instrument definitions.

UsesNotesAsControllers=n

Some MIDI devices, certain mixers for example, use MIDI Note events instead of Continuous Controller events for automation. It is often desirable to treat the Note events as Controller events in order for them to obey the "Zero Controllers When Play Stops" and "Patch/Controller Searchback Before Play Starts" settings.

You can enter this variable in any instrument definition by using a text editor, such as Windows Notepad. The variable should be entered directly below an instrument definition. For example:

[Mackie OTTO-1604]

UsesNotesAsControllers=1

Control=Mackie OTTO-1604

Patch[*]=Mackie OTTO-1604

Key[*,*]=Mackie OTTO-1604

NoControllerReset=n

Any port/channel using an instrument definition that has a NoControllerReset flag set to 1 does not receive a "zero controller" message upon stop. You can enter this variable in any instrument definition by using a text editor, such as Windows Notepad. The variable should be entered directly below an instrument definition. For example:

[Yamaha Promix 01 Control Chan]

NoControllerReset=1

Control=Yamaha Promix 01 Control Chan

Patch[*]=Yamaha Pro Mix 01

This parameter should be used when it is undesirable to zero/reset controllers when playback stop, such as when using an external effects processor that uses MIDI controllers for real-time parameter control, or when using a digital mixer as a MIDI control surface (and not using the generic control surface plug-in).


Instrument Definition Tutorial

The following tutorial takes you through the process of setting up an instrument definition for a Roland keyboard so that the bank and patch names, including any self-created sounds, read the same in Sonar as they do on the display screen of your keyboard instrument.

Next topic: Why Use Instrument Definitions?


Why Use Instrument Definitions?

The main reason to import or create an instrument definition is so you can use patch names that are specific to the MIDI module you're using, instead of using generic General MIDI patch names. It's much easier to find a particular sound on a MIDI module when the actual names of the patches in the current bank of sounds pop up on a list, instead of just the numbers 0 to 127, or General MIDI names like Trumpet. Of course, if you're only using General MIDI modules, General MIDI patch names might be all you need. You can also rename each MIDI output with the name of the MIDI module it's connected to. For example, it might be more meaningful to name a MIDI output Roland Sound Canvas instead of MOTU MIDI Express 5. That way, you won't have to remember that you connected the Sound Canvas to the MOTU MIDI Express output number 5--the name Sound Canvas shows up as an option in the Out field of each MIDI track in SONAR's track view. Also if you have an effects processor or module that's hard to get to in your studio, you may find it convenient to control it from SONAR.

Next topic: What Can They Do and Not Do?


What Can They Do and Not Do?

Instrument definitions don't increase the number of sounds or the capabilities of your modules, they just make it easier to find and remember the sounds and/or MIDI controllers you want to use, if they're not all generic General MIDI items. After you define an instrument, SONAR displays the names that you choose for the sounds in each of that instrument's banks, rather than displaying the same 128 General MIDI names over and over for each bank of sounds.

Next topic: Where Do Instrument Definitions Come From?


Where Do Instrument Definitions Come From?

The patch names and other characteristics of each particular MIDI module are supplied by the manufacturer, and are contained in an instrument definition file, which is a text file written in a format SONAR can read. Many of these files come with SONAR, and many more are available at Cakewalk's web site, and also at lilchips.com. Instrument definition files have the extension .ins and can contain a definition for only one instrument, or definitions for several instruments. For example, the file roland.ins contains definitions for many Roland modules. The file misc.ins contains miscellaneous definitions that might include your instrument if you don't see a specific file for it. You can find these files in your SONAR folder. The file master.ins contains all the instrument definitions currently loaded into SONAR, and determines the list of instruments that appears in the Assign Instruments dialog box.

Next topic: Start of Tutorial


Start of Tutorial

Let's say you have a Roland XP-10 and you want SONAR to display all of its patch names from all of its banks, including any self-created sounds you add to it.

Let's start by importing the names of the built-in banks and patches that the XP-10 has.

To Import a Roland Instrument Definition

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Click Define to display the Define Instruments and Names dialog box.
  3. Click Import to display the Import Instrument Definitions dialog box.
  4. Choose the file that contains instrument definitions for your manufacturer, which in this case is the roland.ins file, and click Open. SONAR displays a list of all the instrument definitions in the file.
  5. Scroll down the list, select the Roland XP-10, and click OK.
  6. Click Close to close the Define Instruments and Names dialog box.

The instrument definition you imported should now appear in the Uses Instrument list in the Assign Instruments dialog box.

When you import an instrument definition, it is added to the master instrument definition file Master.ins. The contents of this file determines the list of instruments that appear in the Assign Instruments dialog box.

Now let's assign the XP-10 definition to some channels on a MIDI output:

To Assign the Roland XP-10 Bank and Patch Names to a MIDI Output

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Let's assign all 16 MIDI channels on output 1 to use the XP-10 bank and patch names:
    • Drag through the first 16 items in the Port/Channel list to select them.
    • From the Uses Instrument list, click Roland XP-10. A black line connects the two lists.
  3. To save these changes permanently, enable the Save Changes for Next Session option.
  4. Click OK to apply your changes.

From now on, any track that uses any of channels 1 to 16 on output 1 displays bank and patch names from the XP-10.

To check this, assign a MIDI track in a project to Ch 1, assign the Out field to 1-Roland XP-10, and then examine the dropdown lists in the Bnk and Pch fields of the track. You should see bank and patch names that are specific to the Roland XP-10.

Let's check some of our bank and patch lists to see if they match up with what we see on the screen of the XP-10. On the XP-10, let's look at the Vari 1 bank: if we look at tone (tone means the same as patch) #005 in the Vari 1 bank on the XP-10, we see that it is called Detuned EP1. If we change the bank on a MIDI track to 128-Roland XP-10 Var #01, and look at the menu of patches in the Pch field, we see that there is no name listed for patch #004 (Roland numbers its patches from 1 to 128; SONAR numbers patches from 0 to 127, so patch #004 in SONAR is the same patch number as patch #005 on the Roland). Let's look at some of the other Roland XP-10 patch name lists in the right window of the Define Instruments and Names dialog box to see if another one has the right patch names in it, and rename it Var #01.

To Substitute and Rename a Patch List

  1. Use the Options-Instruments command to open the Assign Instruments dialog box, and click the Define button to open the Define Instruments and Names dialog box.
  2. In the Names Tree window on the right, click the + sign on the Patches folder to expand the tree of patch name lists.
  3. Scroll down to the Roland XP-10 Var #08 list and click its + sign to expand it.
  4. Compare the names on the Var #08 list with the patch names of the Vari 1 instruments on the Roland's display screen. You'll see they are the same.
  5. Let's substitute the Var #08 list for the Var #01 list that SONAR currently lists as the XP-10's second bank, which has a bank change number of 128:
    • In the Instruments tree in the left window, click the Roland XP-10 entry to expand it, and then expand the Patch Names for Banks list that's directly under it.
    • Expand the Patch Names tree in the right window and find the Roland XP-10 Var #01 list (if there is one) and right-click it to display the popup menu.
    • Choose Edit from the popup menu, and change the name from Roland XP-10 Var #01 to Roland XP-10 Var #011.
    • In the same tree find the Roland XP-10 Var #08 list and change the name from Roland XP-10 Var #08 to Roland XP-10 Var #01.
    • Drag the newly renamed list from the Patch Names tree in the right window to the Patch Names for Banks tree in the left window.
    • In the Bank Number dialog box, enter 128, and click OK.
  6. Click the Close button to close the Define Instruments and Names dialog box and click OK to close the Assign Instruments and Names dialog box.

Examine the new bank and patch data in a track that uses 1-Roland XP-10 as an output. In the Bnk field, select 128 Roland XP-10 Var #01, then look at the dropdown list of patches in the Pch field. The list should now have the same names that the Roland keyboard uses for its Vari 1 bank.

The Roland XP-10, like most MIDI keyboards, allows you to create your own sounds and store them in one or more User banks. You can create patch name lists in SONAR that are the same as the names you gave to each of your own sounds.

Checking Bank Numbers

You can calculate bank numbers by using the methods described in Assigning the Bank Select Method, but you might find it easier to use the following method:

To Check the Bank Numbers

  1. Set up a MIDI track to record from your MIDI keyboard or module.
  2. Click the Record button to start recording, and change banks on your keyboard.
  3. Stop recording, and open the Event List view.
  4. The bank change you recorded is displayed in the Event List view in this way: in the Data column you'll see what kind of bank change method your keyboard uses (probably Normal), and in the column to the right of that data is the number of the bank you changed to.

When we changed the Roland XP-10 to the User 1 bank, we recorded a bank number of 8192.

To Create a Patch Name List for Your Own Sounds

  1. You could create a new list by copying and renaming an existing list (right-click a list and choose New Patch Name List from the popup menu), but since the instrument definition we imported for the XP-10 includes a list called Roland XP-10 User Tone 1, let's just edit that one: in the Names Tree window on the right, right-click the Roland XP-10 User Tone 1 list and choose Add Patch Name from the popup menu.
A new patch field appears, with the text "0 = 0" inside.
  2. Replace the first number in the patch field with the number of a patch you stored in User Bank 1 on the Roland.
  3. Replace the second number in the patch field with the name you made up for the patch you just gave a number to, and press Enter.
  4. Assign names to as many patch numbers as you want--the numbers between 0 and 127 that you don't assign any names to show up in the Track view Pch column just as patch numbers with no other names.
  5. When you finish assigning names, drag your edited patch list to the Roland XP-10 Patch Names for Banks tree in the left window.
  6. Enter 8192 as the bank number, which we know is the correct bank number from the previous procedure.
  7. Click the Close button to close the Define Instruments and Names dialog box and click OK to close the Assign Instruments and Names dialog box.

Now you can select the 8192-Roland XP-10 User Tone 1 bank in the Bnk field of a MIDI track, and then examine the patch list in the Pch field: you should see the patch list that you just created.


Using System Exclusive Data

SONARTM's System Exclusive (Sysx) librarian provides you with 8192 banks in which to hold MIDI System Exclusive messages. A bank is a storage area plus some associated parameters such as a destination output and an optional description. Each bank can hold any number of messages; the amount of data it can hold is limited only by available memory. The banks are saved in the SONAR project file. Each bank can also be saved as a .syx file.

See:

What Is System Exclusive?

Using the System Exclusive View

Sending Sysx Banks at Startup

Importing, Creating, and Dumping Sysx Banks

Transmitting Banks During Playback

Real-time Recording of System Exclusive Messages

Sysx Echo

Sysx .ini File Settings

Troubleshooting


What Is System Exclusive?

System Exclusive data is MIDI's way of letting each synthesizer manufacturer transmit private data about its products. A System Exclusive message has a manufacturer ID; the rest of the message is completely proprietary and varies for each manufacturer, even for each of its products. SONAR does not understand what this data means; it simply can hold onto it for you. You can take snapshots of your equipment's configuration and store them in SONAR's System Exclusive banks for transmitting back to the equipment. You may want to do this simply to back up your equipment's patches and/or settings, much like backing up your computer's hard drive in case something goes wrong. Or you may configure your equipment differently for each project's requirements, which is why storing System Exclusive banks with each SONAR project file can be useful. Of course, for merely backing up your equipment, you can have a project containing only System Exclusive data and no notes.

See:

Sysx Events

Using the System Exclusive View

Sending Sysx Banks at Startup

Transmitting Banks During Playback

Real-time Recording of System Exclusive Messages

Sysx Echo

Sysx .ini File Settings

Troubleshooting


Sysx Events

SONAR provides two distinct kinds of Sysx events: Sysx Bank and Sysx Data.

  • Sysx Bank: You can use Sysx Bank events to transmit one of the project's 8192 banks of System Exclusive data. These banks can be recorded, viewed, and edited in the Sysx view, and each bank can contain one or more very large System Exclusive messages. Sysx Banks may also be marked Auto, so that they are sent when the file is loaded rather than during the start of playback.
  • Sysx Data: You can also use Sysx Data events, which can each contain a single System Exclusive message up to 255 bytes long. You can view the message bytes in the Event List view.

Sysx Data events can be recorded in real time. See Real-time Recording of System Exclusive Messages for more information.

See:

Using the System Exclusive View

Transmitting Banks During Playback

Real-time Recording of System Exclusive Messages

Sysx Echo

Sending Sysx Banks at Startup

Sysx .ini File Settings

Troubleshooting


Using the System Exclusive View

The System Exclusive view has a list box for a maximum of 256 Sysx banks, plus a toolbar of buttons. Most of the buttons affect whatever bank you have selected in the list. Certain buttons will be disabled if the selected bank is empty. To open the System Exclusive view, choose the Sysx command from the View menu, or click the Sysx view icon [image] in the Views toolbar.

SONAR stores Sysx messages as either Sysx banks or Sysx data. The main difference is in the number of bytes in the message, and also that Sysx data is only visible in the Event List view as SysxData events. A Sysx data message can have up to 255 bytes in it. You can send Sysx data to an instrument without interrupting playback (depending on the speed of your computer and the number of bytes in the message), however, sending a Sysx bank stops playback until all of the Sysx bank is transmitted. Sysx banks are usually sent to your instrument when you load your work file. SONAR asks you each time you load a project file if you want to send any existing Sysx banks the file contains that are marked for auto-sending. Clicking the Auto Send Bank button [image] in the Sysx view toolbar marks or unmarks a selected bank for auto-sending.For more information, see:

Importing, Creating, and Dumping Sysx Banks

Editing Sysx Banks

Sending Sysx Banks at Startup

Real-time Recording of System Exclusive Messages

Transmitting Banks During Playback

Sysx View Buttons


Sending Sysx Banks at Startup

You can tell SONAR to send certain Sysx banks to your instrument(s) each time you open the project file that the banks are in.

To Send Sysx Banks at Startup

  1. In the Sysx view, select a bank that you want to send to an instrument when you open the current project.
SONAR highlights the bank you select.
  2. Click the Auto Send Bank button [image] .
A checkmark appears next to the bank name in the Auto column to show that the bank is marked for auto-sending.
  3. While the bank is still highlighted, click the Output button to open the Sysx Bank Output dialog.
  4. Enter the number of the output you want to send this bank out through, and click OK.
The output number you entered appears next to the selected bank in the Output column.
  5. Repeat steps 1-4 for each bank you want to send, and save your project.

The next time you open a project, SONAR asks you if you want to send any Sysx banks in the project that are marked for auto-sending. If you click OK, SONAR sends the bank(s).

If you want SONAR to send auto-send banks every time you open a project without asking you, uncheck the checkbox in the Auto-Send Sysx dialog that says Ask this question every time. If you decide later that you want to be asked, use the Options-Global command to open the Global Options dialog, click the General tab, and check the checkbox that says Ask Before Sending System Exclusive (When Opening Projects).


Importing, Creating, and Dumping Sysx Banks

There are several ways to get a sysx bank into SONAR:

  • You can import (load) an external .syx file.
  • You can edit an empty bank to create a new bank from scratch.
  • You can dump a bank into SONAR from the synthesizer itself.

To Import a Sysx Bank into a Project

  1. In the Sysx view, select an empty bank to import the new bank into (unless you want to add to or overwrite an existing bank).
  2. Click the Load Bank from File button [image] .
The Open dialog appears.
  3. If necessary, navigate to the folder that contains your .syx files, select the one you want to import, and click Open.

The file appears as a new bank in the row you selected in the Sysx view. If you want SONAR to send this bank every time you open this project, make sure the bank is selected (highlighted), and click the Auto Send Bank button [image] . A checkmark appears in the Auto column next to all auto-send-enabled banks.

To Create a Sysx Bank

  1. In the Sysx view, select an empty bank, and click the Edit Data button [image] (or double-click the empty bank).
The Edit System Exclusive Bytes window appears.
  2. Type your message(s). Each message you add to the window must begin with F0 and end with F7 (that's F zero and F seven). See your instrument's manual for the messages you can create.
  3. When you finish typing the message(s), click OK to close the window.

After you close the editing window, your new bank appears in the Sysx view. Use the buttons in the toolbar to name it, give it an output number, and mark it for auto-sending, if you want. Save your project when you're finished.

To Dump a Sysx Bank into SONAR

  1. Choose Options-Global and click the MIDI tab, and make sure that the System Exclusive item is checked. If it isn't, SONAR won't receive System Exclusive messages.
  2. In the Sysx view, select an empty bank to dump the new bank into (unless you want to add to or overwrite an existing bank).
  3. Click the Receive Bank button [image] (or press c on your computer keyboard).
The Receive System Exclusive dialog appears, which contains a list of Dump Request Macros (DRMs). Each DRM has a name that describes the synthesizer the DRM controls and the type of data that the DRM asks the synthesizer to send.
  4. Do one of the following:
    • If the name of your instrument and the kind of data you want to store in SONAR appears in the list, select your choice and click OK.
    • If your instrument and the type of data you want to record are not in the list, select You start dump on instrument, click OK, and press whatever button on your synthesizer that starts a Sysx bank dump. The You start dump on instrument option is not really a Dump Request Macro. It tells SONAR that you will initiate a dump (or multiple dumps) from the front panel of the synthesizer.
  5. The DRM may prompt you for additional information, which you should supply.
    • Patch number: DRMs that are written to request an individual patch or configuration give you this prompt, so you can specify the one you want to have dumped.
    • Channel/unit number: Most synthesizers have a Sysx channel or unit number. This covers the situation in which you own two of the exact same synthesizer, and want to do Sysx with each independently. Your synthesizer manual should describe the factory-set number.
When your instrument starts sending the bank, the Sysx Receive window counts the bytes as SONAR receives them. If the count stays at zero for more than a couple of seconds, something is wrong. The synthesizer may not be hooked up to the MIDI interface in both directions, or you may have answered a DRM prompt incorrectly. Click Cancel. If any data were received, you will see the number of bytes in the bank list.
  6. Once the bytes received count stops increasing, you can click Done to tell SONAR to stop receiving. However, if your synthesizer also displays a message when the instrument is finished sending a bank, wait until that message says the transmission is finished before you click Done.

The currently selected bank now holds the received Sysx data. At this point, you may want to give the bank a descriptive name by selecting it and clicking [image] .

See also:

Editing Sysx Banks

Sysx View Buttons

Note:

The SONAR librarian may not support synthesizers that require handshaking dump protocols. Some of these synthesizers have a backup protocol where they will do a normal dump if they don't get a handshake. Others do not.


More about Dump Request Macros

DRMs are defined in your drm.ini file in the [Dump Request Macros] section. You may add your own DRMs or modify the ones that we have provided. Use the Windows Notepad to edit the file. Comments in the drm.ini file itself describe how to write DRMs. The specific Sysx messages can be found in the instrument manual, or they can be obtained by contacting the manufacturer. Remember that a DRM must start with F0 and end with F7.

Sometimes you will find that the byte size is different when you use a DRM, as opposed to initiating the dump from the instrument. It is possible the instrument is dumping some additional information when you initiate the dump from the instrument, but you should be able to use either method without any problems.

When you press the Receive button in the Sysx window, you may pick from a list of Dump Request Macros. These are short System Exclusive messages sent to a synthesizer to make it dump (send back) System Exclusive data. DRMs are defined in your CAKEWALK.INI file in the [Dump Request Macros] section. You may add your own DRMs or modify the ones that we have provided. Use the Windows Notepad to edit the file.

Please note that many of the DRMs included with SONAR have been donated by customers who are using the particular equipment. In some cases, we have not been able to test those DRMs because we do not have access to that equipment. We redistribute such DRMs on an as-is basis. Additional user-supplied DRMs may be available on the Cakewalk web site (www.cakewalk.com).


Editing Sysx Banks

Editing a Sysx bank is very similar to creating one.

To Edit a Sysx Bank

  1. In the Sysx view, select the bank you want to edit, and click the Edit Data button [image] (or double-click the selected bank).
The Edit System Exclusive Bytes window appears.
  2. Edit your message(s). Each message in the window must begin with F0 and end with F7 (that's F zero and F seven). See your instrument's manual for the messages you can create.
  3. When you finish editing the message(s), click OK to close the window.

Save your project when you're finished.

See also:

Importing, Creating, and Dumping Sysx Banks

Sysx View Buttons


Sysx View Buttons

Here is a description of the buttons in the Sysx view.

Send

Send All

Receive

Name

Auto

Output

Edit Bytes

Clear Bank

Load Bank and Save Bank


Send

Send transmits the current bank's System Exclusive message. If nothing seems to happen, make sure you have correctly set the output. This button is disabled if the current bank is empty. The shortcut key is s.


Send All

Send All transmits all non-empty banks. The shortcut key is l.


Receive

Receive dumps data from a synthesizer into the bank. If the bank contains data, SONAR asks you whether you want the new data to overwrite the existing data or be appended to it. The shortcut key is c.

When receiving dumps, remember to connect both the MIDI In and Out ports of the synthesizer to the MIDI interface. Also, make sure that your instruments are set up to receive and/or transmit Sysx. Synthesizers that you normally use only to play sounds--for example, sound modules that don't have keyboards--don't need to be hooked up in both directions except for receiving dumps, so it is easy to forget this. (If you will only be sending Sysx messages to the device, the normal one-direction hookup is sufficient.)


Clear Bank

This deletes the selected bank. The shortcut key is d.


Name

You may enter a description for a bank by clicking this button. Names are saved only in .cwp and .cwb files. The shortcut key is n.


Auto

The Auto option tells SONAR to transmit that bank every time it loads the project file. You might use this option for banks that contain System Exclusive messages that load a set of sounds for a synthesizer at or before the start of a project.

Before transmitting, SONAR asks your permission. This is a safety feature for loading a file you have received from someone else; if it happens to contain data for your synthesizer(s), you might lose your patches and configuration information. However, if you don't want to be asked, choose Options-Global, click the General tab, and uncheck the box labeled Ask Before Sending Sysx. The shortcut key is a.


Output

Each bank is transmitted to a particular MIDI output, just as a track is. Click this button to change the output. The shortcut key is p.


Edit Bytes

Although SONAR's Sysx features are designed mainly to store System Exclusive data for you, you can edit the bytes of shorter messages in hex format (many of the more popular synthesizers have special patch-editing programs available that let you edit data using sliders and other tools rather than raw hex data).

When you select a bank and click the Edit Bytes button, SONAR converts the binary data into a text representation and pops up the Edit System Exclusive Bytes dialog box, in which you can edit the text. If you make changes and click OK to keep them, SONAR tries to convert the text back into binary format. You'll get an error message if the text does not begin with an F0 and end with an F7, which are the System Exclusive begin and end bytes.

SONAR may not be able to convert the data to text format. The text representation requires three to four times more memory than the data itself, and the Edit System Exclusive Bytes dialog box can contain roughly as much text as Notepad. The shortcut key is e.


Load Bank and Save Bank

You can import banks fromand save banks to files with the file extension .syx. If you try to import to a bank that isn't empty, SONAR asks if you want to append or replace. The Load and Save buttons work only with .syx, not SONAR project files or MIDI files.

You may also use this feature to copy a Sysx bank between two SONAR project files. Save the bank into a file, load the other SONAR project file, then load the bank again. This is also a good way to copy one bank to another in the same project file. The shortcut keys are o and v respectively.

To Export a Sysx Bank to Another Project

  1. In the Sysx view, select the bank you want to export.
  2. Click the Save Bank button [image] .
The Save As dialog appears.
  3. Navigate to the folder in which you want to store the file.
  4. Enter a file name and click OK.
SONAR saves the file in the location you specified, with the extension .syx.
  5. Open the project to which you want to import the bank and select an empty bank in the Sysx view (unless you want to add the file to an existing bank).
  6. Click the Load Bank from File button to open the Open dialog.
  7. Navigate to the desired folder, select the .syx file you want to import, and click Open.

SONAR loads the selected bank into the current project.


Transmitting Banks During Playback

SONAR has a special meta-event, Sysx Bank, that lets you play a System Exclusive bank at a specified time in your project. You can use a Sysx meta-event to send any of the 8192 available Sysx banks at any time in a sequence. To do this, you have to insert a new event in the Event List using the Insert key on the PC keyboard. Next you have to double-click Event Kind and change it to System Exclusive. In the Values column, select the bank (0-8191) that you want to send.

MIDI is a serial data transmission, meaning it can do only one thing at a time. If you try to upload a huge sampler dump during a fast drum solo, playback will noticeably lurch. MIDI must complete the System Exclusive message before it can resume playback. The Sysx meta-event is appropriate only for very short System Exclusive messages. The exact length depends on various factors, such as the speed of your computer but as a rule of thumb, 100 bytes is a likely maximum, and even that may often be too large.

You don't need to use Sysx meta-events for sending System Exclusive information at the beginning of your project. Instead, use the Auto option for System Exclusive banks. Banks that are marked Auto are transmitted automatically by SONAR when it loads the project file they are stored in. Use the Sysx meta-event only when you need to send a Sysx Bank during the middle of the project.

See:

Real-time Recording of System Exclusive Messages

What Is System Exclusive?


Real-time Recording of System Exclusive Messages

You can record short System Exclusive messages in real time. These will end up in the track as the new Sysx Data types of events, which can hold System Exclusive messages up to 255 bytes long. Before you record any Sysx messages, choose Options-Global, click the MIDI tab, and make sure that System Exclusive is checked.

To Record Sysx Messages in Real Time

  1. Arm a MIDI track for recording--use a track that's uses the output you want to send the Sysx data out through.
  2. Press the Record button or press r to start recording.
  3. Move the button or fader on your MIDI instrument that sends Sysx data.
  4. Stop recording.

SONAR records your instrument's Sysx data as a Sysx Data event. Open up the Event List view for the track you recorded on to view the data. When you play back the MIDI track that the Sysx Data event is on, make sure that the Out field of the track is set to the output that the MIDI instrument you want to send Sysx data to is on.

See also:

Sysx Echo

Troubleshooting


Sysx Echo

You can configure SONAR to echo received System Exclusive messages to output devices.

To Echo Sysx Messages

  1. Choose Options-Global.
  2. Select the MIDI tab.
  3. Check the Echo System Exclusive option.
  4. Click OK.

SONAR echoes received Sysx data according to the echo settings on the MIDI Input tab of the Project Options dialog box.

See:

Troubleshooting


Sysx .ini File Settings

The ttsseq.ini initialization file contains settings that govern the sending and receiving of System Exclusive information. If you are experiencing difficulties using Sysx, you will probably be able to correct the problem by adjusting these settings.

The options described below occur in the [Options] section of the ttsseq.ini file. You can edit this file using the Windows Notepad. Every time you add or change one or more lines in ttsseq.ini, you must restart SONAR in order for the change to take effect.

SysxSendDelayMsecs=n

This setting causes SONAR to delay n milliseconds if it encounters an F7 in a System Exclusive bank, but only if the line SysxDelayAfterF7=n is not zero. The line SysxDelayAfterF7=n enables a delay between Sysx messages, while the line SysxSendDelayMsecs=n sets the size of the delay.

n = 60 Default value (in milliseconds)

SysxDelayAfterF7=n

This setting causes SONAR to delay Sysx transmission for a certain amount of time if it encounters an F7 in a System Exclusive bank. This gives some instruments the required amount of "breathing" time necessary to process the Sysx transmission. The default delay is 1/18 of a second, but can be changed by also adding the SysxSendDelayMsecs=n line, where n is the number of milliseconds that the delay lasts.

The possible values of n in the line SysxDelayAfterF7=n are 0 and 1. Their significance is as follows:

n = 0 No delay

n = 1 Delay between each Sysx message

SysxSendPacketSize=n

System Exclusive bytes are transmitted in packets, with a 1/18-second default delay between each packet. Setting this value to a smaller number will help slower synthesizers avoid overflowing their internal buffers. This line sets the number of bytes between each Sysx transmit delay.

n = 1024 Default value (in bytes)

See:

Troubleshooting

What Is System Exclusive?


Troubleshooting

SONAR Is Not Receiving Sysx Messages

  • Make sure all your devices are connected correctly.
  • Make sure you have the right MIDI Input selected by using the Options-MIDI Devices command.
  • Make sure that your instrument is set up to transmit System Exclusive data.

Sysx Bank Names Don't Show When I Open a File

Sysx bank names are only saved in .cwp and .cwb files (not in .mid files).

SONAR Doesn't Include a DRM for My Instrument

If there is no Dump Request Macro (DRM) for your instrument, you should select You start dump on instrument, then initiate the Sysx dump from the instrument. Once the bytes received count stops increasing, click Done to tell SONAR to stop receiving. The currently selected bank now holds the received Sysx data. You can rename the bank if you want by selecting the bank and clicking the Name button.

You can also add a DRM for any unlisted instrument. For more information on how to do this, read the section More about Dump Request Macros earlier in this chapter.

Synthesizers Reporting MIDI Data Errors

Some synthesizers will report data errors when you try to send Sysx information to them. This usually happens when SONAR sends data at a rate too fast for the synthesizer to keep up. You can use the SysxSendPacketSize=number setting in ttsseq.ini to make SONAR transmit Sysx data more slowly, as described in Sysx .ini File Settings.

Try setting the number to 64. If that does not solve the problem, try successively smaller values. If 64 works, you may try larger values until it stops working; go back to the largest value that worked and you will have the fastest transmission rate that the problematic synthesizer can keep up with.

My Equipment Is Not receiving Sysx from SONAR

Make sure the instrument is set up to receive System Exclusive messages. In the Sysx View, make sure the right output is selected. Verify that the Sysx message originally transmitted from the same kind of instrument. An instrument will not recognize Sysx messages from a different make or model of instrument.

Finally, try adjusting the parameters in the ttsseq.ini file, as described Sysx .ini File Settings.

Timing Requirements When Receiving Sysx

Some MIDI devices have special timing requirements when receiving System Exclusive transmissions. If your equipment has problems receiving System Exclusive data from SONAR, you might need to introduce some small delays to allow the equipment to digest the information it is receiving.

The line in ttsseq.ini that reads SysxDelayAfterF7=n enables SONAR to introduce a delay between each Sysx message so that the instrument has some time to resond to the message. Setting n to be 1 enables the delay. The line SysxSendDelayMsecs=n lets you control how many milliseconds the delay is, where n is the number of milliseconds that the delay lasts.

Roland Equipment

Some Roland equipment--notably, the GR-1 and GR-50 Guitar Synthesizers--have problems receiving Sysx packets in fast succession. You must use the setting SysxDelayAfterF7 = 1 with these devices.

Ensoniq Instruments

Successfully sending Sysx messages to most Ensoniq instruments requires that you add the following three lines to the [Options] section of ttsseq.ini:

SysxDelayAfterF7=1 Enables delay

SysxSendDelayMsecs=200 Sets delay time to 200 milliseconds

SysxSendPacketSize=65535 Increases packet size to 65k

See:

What Is System Exclusive?

Using the System Exclusive View

Transmitting Banks During Playback

Real-time Recording of System Exclusive Messages

Sysx Echo

Sysx .ini File Settings

Troubleshooting


Synchronizing Your Gear

Your computer is often used with other equipment: sound cards, MIDI equipment, and digital tape decks or other digital recording tools. All these devices can have their own built-in clocks or timing mechanisms.

When several pieces of equipment are used together, it's important that they operate in synchronization. For this to happen, all the equipment must rely on the same source of clock or timing information. SONARTM lets you use many different types of synchronization so that you can get your work done quickly and efficiently.

See:

Synchronization Overview

Clock Sources with No External Devices

MIDI Synchronization

SMPTE/MIDI Time Code Synchronization

MIDI Machine Control (MMC)


Synchronization Overview

SONAR supports several different types of synchronization, which rely on a variety of different clock sources:

Clock source... | Timing is determined by...
Internal | The clock on the computer motherboard
Audio | The clock on the computer's sound card
MIDI Sync | The clock on an external MIDI device
SMPTE/MIDI Time Code (MTC) | A time code signal (in SMPTE or some other format) recorded on some external medium

When you use either the internal or audio clock, SONAR can control other MIDI devices using MIDI Sync. In this case, SONAR is the "master" device and the other MIDI devices are the "slaves."

When MIDI Sync is the clock source, SONAR operates in response to incoming MIDI messages. In this case, SONAR is the slave, and an external MIDI device is the master. Note that audio playback is not supported when using MIDI Sync with SONAR as the slave.

When SMPTE/MIDI Time Code (SMPTE/MTC) is the source of timing information, SONAR operates in response to incoming MTC messages. These messages could be generated by:

  • An external MIDI device that is capable of generating MIDI Time Code (like the Roland VS880)
  • A MIDI interface that is converting other time code signals (like SMPTE, EBU, or film time code) into MIDI Time Code

When you use some of these synchronization options, some SONAR commands work differently. This section describes each of the synchronization options, how and why each is useful, and the effect each option has on other features and commands.

The Sync toolbar lets you change back and forth quickly between the different clock settings:

You can also choose the sync mode as follows:

  1. Choose Options-Project, and click the Clock tab.
  2. Choose the desired clock source from the Clock list.
  3. Click OK.

The clock source and the type of synchronization that is used are options that are stored as part of your project files. For example, one of your projects might be set up to use the internal clock; a second might use the Audio clock and MIDI Sync with SONAR as the master timing source; and another might use SMPTE/MTC Sync as the clock source.

Many technical support requests concern synchronization problems, which are among the hardest to diagnose and duplicate over the phone. If you experience problems, before you call, perform as much experimentation and gather as much information as possible about what does and doesn't work. The more prepared you are, the more we can help.


Clock Sources with No External Devices

When SONAR is used alone, or with an external device that does not have its own clock or timing signal, you use one of two clock sources: Internal or Audio.

When the clock source is set to Internal, SONAR uses the clock built into the computer or the computer's MIDI interface as its timing source. If your projects contain only MIDI (no audio), this is the most efficient method of playback.

If your projects contain MIDI and audio, or only audio, you should set the clock source to Audio. This lets the sound card clock determine the correct speed for audio playback and automatically synchronizes MIDI playback to match the audio. For more information, see System Configuration. You cannot use the tempo ratio controls when using the audio clock, because the audio playback speed is determined by the audio clock.

When either of these clock sources is used, you can also configure SONAR to drive other MIDI devices using MIDI Synchronization. For more information, see MIDI Synchronization.

To Use the Internal Clock Source

  1. Click [image] on the Sync toolbar.
OR
  1. Choose Options-Project, and click the Clock tab.
  2. Check the Internal box.
  3. Click OK.

To Use the Audio Clock Source

  1. Click [image] on the Sync toolbar.
OR
Choose Options-Project, and click the Clock tab.
  2. Check the Audio box.
  3. Click OK.


MIDI Synchronization

MIDI Synchronization, or MIDI Sync, is usually used to synchronize SONAR with drum machines, stand-alone MIDI hardware sequencers, and sequencers built into MIDI keyboards.

When MIDI devices are synched, the master device sends messages to all other devices to start and stop playback and to keep all the devices in sync. To change the tempo of a project, you adjust the tempo on the master device. The playback tempo on all slave devices is then set automatically.

The following MIDI messages are sent by the master device to support MIDI Sync:

Message... | How it is used...
Start | This message tells slave devices to start playing from the beginning of the currently loaded sequence.
Stop | This message tells slave devices to stop playback.
Continue | This message tells slave devices to continue playing from the current location in the currently loaded sequence.
Song Position Pointer (SPP) | This message tells slave devices to change the current location to the designated point in the project. SONAR normally issues an SPP message immediately prior to any Start or Continue message.
Clock | The master sends clock messages to each slave device at the rate of 24 per quarter note. The slave devices use these messages to establish the tempo and stay in sync.

When you start playback on the master MIDI device, for example, it sends a Start message to all slave devices, announcing that playback has started. If the slave devices are set up correctly, they receive the message and start playing back with the master device. When SONAR is set up as the master device, you can enable or disable these messages.

See:

SONAR as the Slave

SONAR as the Master

Using MIDI Sync with Drum Machines

Troubleshooting MIDI Sync


SONAR as the Slave

When SONAR is slaved to an external MIDI device, the following changes occur:

  • When you click the Play or Record button, a message (Waiting for MIDI Sync) is displayed in the status bar. When you start your external device, SONAR will follow.
  • If you change the tempo using an external device, the SMPTE time code display in SONAR will be incorrect.
  • SONAR will not transmit MIDI Start, Continue, Stop, and Clock messages.
  • Digital audio wll playback, but not necessarily in sync..

To Use MIDI Sync with SONAR as the Slave

  1. Configure the external MIDI device you want to use as the master device to transmit MIDI Sync.
  2. Configure external slave devices to receive MIDI Sync.
  3. Choose Options-MIDI Devices to display the MIDI Devices dialog box.
  4. Make sure that your MIDI interface is highlighted in the Inputs list, and click OK.
  5. Click [image] on the Sync toolbar to use the MIDI Sync clock source.

From now on, SONAR starts playback and recording only after the appropriate message is received from the master device.

Tip:

Make sure the status bar is displayed when using MIDI Sync. Otherwise, you will not be able to see the MIDI Sync status messages. To display the status bar, choose Options-Global and click the General tab. Then check the Show Status Bar box.


SONAR as the Master

There are several options, found in the MIDI Out tab of the Project Options dialog box, which you can use when SONAR is the MIDI Sync master device:

Option... | What it's for...
Transmit MIDI Start/Continue/Stop/Clock | Choosing this option causes SONAR to tell the slave when to start, when to continue, when to stop, and what timing data to go by (SONAR's).
Use Start, Never Continue | If you are using an external drum machine to repeat a drum pattern or loop, you might always want playback on the drum machine to start at the beginning of the loop. When this option is chosen, SONAR sends a Start message to all slave devices when playback is started, even if you are in the middle of a project. (Normally, SONAR would send a Continue message if playback starts from the middle of a project.)
Transmit MIDI Song Position Pointer (SPP) | When this options is checked, SONAR sends an SPP message before starting or continuing playback. If you are using a drum machine as described previously, you might want to disable this option.
Locate Delay for SPP Recipient | Some older MIDI devices take a small amount of time to respond to SPP messages. This option causes SONAR to delay briefly after sending an SPP message, to give the slave device time to respond. The delay is in 1/18ths of a second. Enter 1 for a 1/18th second delay, 2 for 2/18ths of a second, or 18 for a full second delay.
MIDI Output Port | Choose the output that your slave is connected to

To Use MIDI Sync with SONAR as the Master

  1. Configure your external MIDI device to receive MIDI Sync.
  2. Click [image] or [image] on the Sync toolbar to use the MIDI or Audio clock source.
  3. Choose Options-Project, and click the MIDI Out tab.
  4. Check the Transmit MIDI Start/Continue/Stop/Clock box.
  5. For most applications, check the Transmit MIDI Song Position Pointer box.
  6. If you are using a drum machine to play patterns or loops, check the Use Start, Never Continue option and disable the Transmit MIDI Song Position Pointer option.
  7. Click OK.

From now on, the transport controls in SONAR control playback on the external MIDI devices.


Using MIDI Sync with Drum Machines

The most flexible way to use a MIDI drum machine is to record the notes it generates into SONAR, then use that machine as a MIDI playback device. This lets you edit, cut, paste, and copy your drum parts like any other clip. You can use MIDI Sync to record the notes from the drum machine into SONAR as follows:

  1. Use the drum machine's pattern-composing facilities to compose your drum part.
  2. Configure the drum machine to be a slave device that receives MIDI Sync messages.
  3. Configure SONAR to send MIDI Stop/Start/Continue/SPP messages.
  4. Record the drum part from SONAR. The drum machine starts automatically when recording begins and stops automatically when you press Stop.
  5. Switch the drum machine out of MIDI Sync mode so that it acts simply as a sound-producing module.


Troubleshooting MIDI Sync

If you experience problems with MIDI Sync when SONAR is the master device, verify that your external devices are configured correctly to respond to MIDI Sync. Most devices have a Clock option that should be set to External or MIDI.

If SONAR does not respond to MIDI Sync as a slave device, verify that your external devices are configured correctly to transmit MIDI Sync. Remember that only one external device can be used as the master clock source.

If your computer locks when using MIDI Sync, a MIDI loop with an external device is probably the cause. To solve this problem, either turn off MIDI Thru (sometimes called MIDI Echo) on the external unit or choose Options-Project, click the MIDI Input tab, check None under Echo Mode, and click OK.


SMPTE/MIDI Time Code Synchronization

SMPTE/MIDI Time Code Sync (SMPTE/MTC) is another method of synchronization that lets SONAR act as a slave to an external device. SMPTE/MTC messages are received from an external MIDI device or from a MIDI interface that generates MTC from other time code signal (such as SMPTE, EBU, or film).

SMPTE/MTC is a position and timing reference that indicates the current location in the project and how quickly the project should be playing. Time code labels the position in a project in hours, minutes, seconds, and frames. The speed of playback is indicated by a frame rate.

Time code is recorded onto tape using a device called a time code generator. The process of recording a time code signal onto a track is called striping. Normally, the start of a tape stripe has a particular time, expressed in hours, minutes, seconds, and frames. For example, the tape stripe might start at 00:00:00:00, 01:00:00:00, or any other time. The material recorded on the tape usually starts anywhere from 10 seconds to several minutes after the start of the time code. Sometimes, the tape stripe starts at a time like 00:59:50:00, and the material starts 10 seconds later, at 01:00:00:00.

When you create a new SONAR project, by default the project is configured so that the beginning of bar 1 is synchronized with a time code of 00:00:00:00. If the starting point of the material on your tape is not 0, you need to enter an offset to tell SONAR the time code that corresponds to the start of the project.

To Enter an Offset

  1. Select Options-Project.
The Project Options dialog appears.
  2. Click on the Clock tab.
  3. In the Clock tab, enter an offset in the SMPTE/MTC Offset field. To enter an offset of 15 seconds, type 0,0,15 and hit enter. The SMPTE/MTC Offset value should now be 00:00:15:00 or 15 seconds.

Five time code frame rates are supported in SONAR, which are normally used for the following types of applications:

External Timecodes... | Cakewalk Setting | Description...
24 frames per second | 24 Frame | Used for theatrical film worldwide. Any film in North America or Japan uses this setting.
25 frames per second (EBU timecode) | 25 Frame | Used for PAL/SECAM video, video and some film in countries that use 50 Hz wall electricity. This is the setting to use when synchronizing to any European video format.
29.97 frames per second non drop-frame | 30 Frame Non-drop | NTSC non-broadcast and short length video in North America and Japan. Some music projects. This setting synchronizes the video perfectly with SONAR, but the sequencer position displayed in the Now Time and Big Time displays will gradually drift and become incorrect over long periods of time. The audio and MIDI synchronization to the external device will not be affected by this discrepancy.
29.97 frames per second drop-frame | 30 Drop-frame | NTSC broadcast and long format video in North America and Japan. This setting synchronizes the video perfectly with SONAR, but the sequencer position displayed in the Now Time and Big Time displays will gradually drift and become incorrect over long periods of time. The audio and MIDI synchronization to the external device will not be affected by this discrepancy.
30 frames per second non drop-frame | 30 Frame Non-drop | Most music projects and some film in North America. This is the best choice for any music project and should be used unless the situation dictates otherwise.
30 frames per second drop-frame | 30 Drop-frame | Not a standard type of timecode, used rarely for speed correction and transfer problems in tape based systems.

For more information on frame rate time formats, see the documentation for your time code hardware.

Refer to the documentation for your MIDI interface or external MIDI device for additional information about SMPTE/MTC.

Configuring SONAR to Sync to SMPTE/MTC

  1. Click the SMPTE/MTC mode button [image] in the Sync toolbar.
  2. Select Options-Global and click on the Timecode tab.
  3. Select one of the following options:
    • Ask first, then switch to clock source and start--this option prompts SONAR to alert you when it detects a SMPTE/MTC signal, asks if you want to sync to the incoming signal, and if you respond that you do, switches the clock source and starts to receive the signal.
    • Always switch the clock source and start--SONAR automatically switches to the clock source of the incoming signal and begins to receive the signal.
    • Do not switch clock source, but start if in SMPTE/MTC mode--this option automatically syncs to the incoming signal if SONAR is in SMPTE/MTC mode.
    Note: The final option, Never switch clock source, never start, should never be used if you are attempting to sync to an external clock source.
  4. Click OK.
  5. Choose Options-Project, and click the Clock tab.
  6. Choose the frame rate and time offset that are appropriate for your source material.
  7. Click OK to close the dialog box.
  8. Choose Options-MIDI Devices to display the MIDI Devices dialog box.
  9. Make sure that your MIDI interface is highlighted in the Inputs list. If your interface also has a Sync driver, highlight that as well, then click OK.
  10. Choose Transport-Loop and Auto Shuttle to display the Loop/Auto Shuttle dialog box.
  11. Check the Loop Continuously box, and click OK.

This last step lets you control playback entirely from your external device, without having to manipulate the transport controls in SONAR.

SONAR can be set to automatically respond to a SMPTE/MTC signal, here's how things work:

  • SONAR monitors for a SMPTE/MTC signal. You are able to perform other action in SONAR while waiting for the signal.
  • Start playback on the external device. It takes about two seconds for SONAR to lock from the time it receives time code input.
  • If the time code is earlier than the start of the project (based on the time code offset), another message (Chasing...) is displayed in the status bar. When the time code reaches the start of the project, SONAR starts to play in sync.
  • If the time code is at or after the start of the project, SONAR starts playback as soon as it locks to the time code.
  • When the external device stops (or when the time code ends), SONAR will stop.

See:

Playing Digital Audio under SMPTE/MTC Sync

SMPTE/MTC Sync and Full Chase Lock

Troubleshooting SMPTE/MTC Sync


Playing Digital Audio under SMPTE/MTC Sync

SONAR gives you two choices for controlling audio playback when using time SMPTE/MTC Sync:

Option... | How it works...
Trigger and freewheel | Audio event playback is started (or triggered) at the exact time code, but then the audio plays at its own internal rate (or freewheels). When audio freewheels, it can gradually drift from the time code due to variations in the time code signal.
Full chase lock | The speed of audio event playback is continually adjusted to stay in sync with the time code. If the external clock drifts or changes rate, SONAR adjusts the audio playback speed to stay in sync. This adjustment may introduce slight pitch changes, but those changes will be negligible if the external clock is reasonably steady.

Some digital sound cards (such as the Frontier Design Wavecenter or the Antex Studio Card) have external clock inputs. If you are using one of these cards, and an external clock source like a digital tape deck is the master timing source for the project, choose the Trigger and Freewheel option. The clock input on the audio card guarantees that there is no drift between the time code and audio playback.

To Set the Audio Playback Option

  1. Choose Options-Audio, and click the Advanced tab.
  2. Check the desired option from the Synchronization list.
  3. Click OK.

Audio playback under time code sync is handled according to the setting you chose.


SMPTE/MTC Sync and Full Chase Lock

When using SMPTE/MTC Sync with full chase lock, the first time you play any audio the pitch may fluctuate wildly for up to 30 seconds. Also, you may occasionally note the pitch of the audio sounding consistently high or low pitch.

A simple analogy makes this behavior easy to understand: Synchronizing audio to SMPTE/MTC is a lot like trying to get even and stay neck-and-neck with another car on the freeway. If the car is ahead of you, you need to drive faster to catch up to it. If it's behind you, you have to slow until the car catches up to you. Once the two cars are neck-and-neck, you can simply keep going at the same speed, unless the other car changes its speed. If the other car speeds or slows, you must speed or slow too.

The first time you play audio under SMPTE/MTC Sync, the audio clock has to get even with the external clock. This could mean racing ahead, which raises the pitch of the audio, or stepping on the brakes, which lowers the pitch of the audio. These fluctuations continue until SONAR matches its playback speed to the external clock, which usually takes no more than 30 seconds. The stable playback speed, by the way, may be slightly faster or slower than the normal audio playback speed, resulting in a slight change in the pitch of the audio. Here's the best way to address this problem:

  • Start each new SONAR session by playing some audio under SMPTE/MTC Sync.
  • Let the audio play for 30 seconds or until all audio pitch fluctuations stop.

Once this procedure is complete, SONAR knows the difference in rates between the external time code and the audio clock on your sound card. For the rest of the session, SONAR will start playback closely in sync, without any drastic pitch changes.

If the external timing source were 100 percent stable, the audio would stay in sync with the external clock. Unfortunately, no timing source is perfect. Therefore, every once in a while after playback has started, SONAR may need to vary the playback speed by a tiny amount to stay even with the time code. If the time code signal is unstable (as might be the case from an analog source), these variations can cause noticeable changes in audio pitch, which can in turn cause audible audio distortion.


Troubleshooting SMPTE/MTC Sync

The most common problems with SMPTE/MTC Sync, and ways to correct or avoid them, are shown in the following table:

Problem... | What to do...
The tape is striped incorrectly | Check the tape stripe using your time code generator and, if necessary, restripe the tape.
The MIDI interface isn't producing MIDI Time Code | Use utility programs that come with your MIDI interface to make sure that the time code stripe is being received (sometimes you must enable a Time Code Sync option). Check the MIDI interface settings to make sure that MIDI Time Code is being generated.
The frame rate is set incorrectly | The frame rate on the stripe must match the frame rate you set in SONAR.
The offset is set incorrectly | The offset you enter in SONAR must match the start time of recorded material on the tape.
SONAR is not configured correctly | Verify and/or repeat the steps in Configuring SONAR to Sync to SMPTE/MTC.
Audio playback drifts out of sync with the tape | Enable the Full Chase Lock option, which keeps audio from freewheeling.
SONAR continues playing for up to one full second after the time code stops | Some time code readers tolerate dropouts of up to one second, without affecting playback. When you stop the tape deck, it takes a full second for the reader to realize that this isn't merely a dropout and to signal the end of the time code to SONAR. This does not indicate any problem with time code sync.


MIDI Machine Control (MMC)

MIDI Machine Control (MMC) is a protocol that controls an MMC-equipped remote device via MIDI. SONAR lets you use MMC to start and stop playback and recording on remote MIDI devices such as tape decks, video recorders, and even other software packages. If you have several MMC-controllable devices in your studio, assign each a unique Unit ID so that MMC commands can be addressed to a particular device.

MMC is very powerful when used with MIDI Time Code sync. For example, suppose you have an MMC-equipped digital tape deck that generates time code and want to use the tape deck as the timing master for a project. You can set up your equipment and software so that the transport controls in SONAR send MMC messages to the tape deck, which in turn starts and stops playback in SONAR via SMPTE/MTC Sync. In this configuration, SONAR's transport buttons (Play, Record, and Stop) are simply remote control substitutes for the buttons on your tape deck. In this type of configuration, you must choose one MMC-controllable device as the time code master.

When MMC is enabled, press Play to start playback on all connected MMC devices, and press Stop to stop all connected devices. If you press Record while playback is underway, all connected MMC devices (e.g., tape decks) begin recording on any armed tracks. If you stop recording (without stopping playback), SONAR instruct the tape decks to punch out. You must arm and disarm tracks on the tape deck; you cannot do this from SONAR.

If you have established punch-in/out points using the Transport-Record Options command, SONAR will attempt to preprogram the punch-in and punch-out times. However, your equipment must recognize the MMC event command for this feature to work. (Consult the owner's manual or contact the equipment manufacturer for more information.) If your equipment behaves erratically with automated punch-in, don't attempt to use it when those pieces of equipment are connected.

SONAR instructs MMC devices to locate the current project position only when playback or recording is started. This prevents excessive wear on the motors and tape heads of the devices.

To Configure MIDI Machine Control

  1. Choose Options-Project, and click the Clock tab.
  2. Select SMPTE/MTC as the clock source.
  3. Click the MIDI Out tab.
  4. Check the Transmit MMC box.
  5. Enter the ID of the master timing device in the Time Code Master's Unit ID box.
  6. Click OK.

MMC is now enabled.

To Disable MIDI Machine Control

  1. Choose Options-Project, and click the MIDI Out tab.
  2. Make sure the Transmit MMC box is not checked, and click OK.

MMC is disabled.


Audio File Management

Project files in SONAR do not contain the digital audio itself. A SONAR project file (.cwp) references the audio contained in the project, so care must be taken when backing up your digital audio projects. This section covers file management, including backing up your projects.

See:

Project Files and Bundle Files

Audio Folders

Backing Up Projects with Digital Audio

Deleting Unused Audio Files


The Project Files Dialog

SONAR projects, extension .cwp, contain all your project information with the exception of your digital audio data. This data is stored in a separate folder or folders. You can opt to save the data for all of your projects in a single audio folder, or create multiple folders.

The Project Files dialog lists all of your project's audio files and their location. This dialog is a valuable tool for managing your audio files.

How to use the Project Files Dialog

The Project Files dialog has important information, including:

  • Exactly which folders all of your audio files are saved in--know at a glance if you can backup your project by copying the audio folder and the .cwp file or if you need to do a Save As to round up files not in your project's audio folder.
  • The filenames for each audio file your project is referencing
  • The size of your project--important if you are going to backup your project


Project Files and Bundle Files

SONAR project files contain various project settings, any MIDI data, and references which "point" to audio clip data. The audio data (and video data) itself is not saved in a project file. To save audio as well, save your project as a Bundle file (extension .cwb). Bundle files contain everything that a project file contains in addition to the digital audio. Bundle files are useful for backing up projects and for transporting on removable media, like a Zip or Jaz disk.

The following are descriptions of both file types:

File Type... | Description... | When to Use...
.cwp | Contains MIDI data, project settings, and pointers to audio data in your Data directory. Project files contain no audio data, so they are small. Backing up a Project file does not back up the associated audio data. | Project files are good for routine projects. You can use Project files and back them up as Bundle files at various steps during a projects development.
cwb | Contains all project data, including all audio data. Bundle files are large. | Bundle files are useful for backing up projects or for transporting a project to another computer (to bring it to a friend's house, for example).

Note: Due to Windows limitations, bundle files (.cwb) are limited to a size of 2 GB.

To Create a Bundle File

  1. Choose File-Save As to display the Save As dialog box.
  2. Choose Bundle from the Save as Type list.
  3. Enter a file name and click OK.

SONAR compacts all the audio and merges it with the remaining project data in a bundle file.

To Unpack a Bundle File

  1. Choose File-Open to display the Open dialog box.
  2. Choose a file with a .cwb extension.
  3. Click Open
If you have the Per-project Audio Folders option enabled in the Global Options dialog, the Unpack Bundle dialog appears. If this option is not enabled, the bundle file opens and all audio data is stored in the Global Audio Folder.
  4. If you want to store the project in its own folder do the following in the Unpack Bundle dialog:
    • Enter a project filename in the Project Name field.
    • Use the browse button to the right of the Location field to select a destination folder for the project, or to create a new folder, enter a new folder pathname in the Location field.
    • Use the browse button to the right of the Audio Path field to select a destination folder for the project's audio data, or to create a new folder, enter a new folder pathname in the Audio Path field.
OR
If you want to store the project in the Cakewalk Projects folder, and its audio in the Global Audio Folder, uncheck the Store Project Audio in its Own Folder option.
  5. Click OK.


Audio Folders

By default, SONAR stores audio data separately from the rest of your projects, as wave files placed into a special folder called the Global Audio Folder, the location of which is listed in the Global Audio Folder field on the Audio Data tab in the Global Options dialog. You can also create audio folders on a per-project basis.

Important Note: Previous versions of Cakewalk used a folder called the WaveData, in the product directory. By default SONAR's Global Audio folder is in the Cakewalk Projects folder. When you migrate an earlier version of Cakewalk to SONAR, you have the option of using the previous version's Data directory. If you choose this option, all old and new audio files associated with your SONAR projects are stored in the old WaveData directory.


Global Audio Folders

You can change the location of the Global Audio Folder. This may be necessary if, for example, your hard disk is full and you want to move all audio data storage to a different hard disk. We strongly recommend that you do not change the location of the Global Audio Folder unless absolutely necessary.

If your original Global Audio Folder contains any audio files with the extension .wav, you must manually move these files to the new Global Audio Folder using the Windows Explorer, or open the project and use the Missing Audio dialog to find and move the missing files.

To Change the Global Audio Folder

  1. Choose Options-Global and click the Audio Data tab.
  2. Enter the pathname of the new Global Audio Folder in the Global Audio Folder field, or click the browse button that's at the right end of the Global Audio Folder field to browse to the new directory.
  3. Click OK when you are done.
  4. Use the Windows Explorer or some other program to move all audio files from the old Global Audio Folder to the new Global Audio Folder.

All new audio files will be stored in the new Global Audio Folder, unless you decide to use per-project audio.

It is safer, but more time-consuming, to first save all projects as bundle files, change the Global Audio Folder, then open the bundle files. This ensures that all of the audio data is properly moved to the new Global Audio Folder.

Tip:

It is safer, but more time-consuming, to first save the all projects as bundle files, change the Global Audio Folder, then open the bundle files. This ensures that all of the audio data is properly moved to the new Data directory.


Per-project Audio Folders

You have the option of using a single audio data folder or using different audio data folders for each project. By default SONAR stores audio data in the Global Audio Folder. If you want to use per-project audio folders, use the following procedure:

To Use Per-project Audio Folders

  1. Select Options-Global.
The Global Options dialog appears.
  2. Select the Audio Data tab.
  3. In the Per-Project Audio section, check the Use Per-Project Audio Folders option.
  4. Click OK to apply the change.

Once you have enabled the per-project audio folders, the New Project File allows you to choose the directory where you want to store the new project and a subdirectory where you want to store the project's audio data.

To Create a New Project Using Per-project Audio

  1. Select File-New.
The New Project File dialog appears.
  2. Enter a filename in the Name field
The Location and Audio Path directories are automatically updated in the following format:
  • C:\Cakewalk Projects\project name where C:\Cakewalk Projects is the default directory for new projects as assigned in the Folders tab of the Global Options dialog and project name is the project's per-project folder name.
  • C:\Cakewalk Projects\project name\ Audio where C:\Cakewalk Projects is the default directory for new projects as assigned in the Folders tab of the Global Options dialog, project name is the project's per-project folder name, and Audio is the subfolder where your audio data will be stored.
  3. If you want, rename the Location and/or Audio Path directories.
  4. Click OK.

To Save an Existing Project Using Per-project Audio

You may have older files that are not using per-project audio folders. If you want to save these files using a per-project audio folder, use the following procedure:

  1. Make sure that per-project audio folders is enabled in the Global Options dialog.
  2. Open the project whose audio you want to store using per-project audio.
  3. Select File-Save As.
The Save As dialog appears.
  4. If you want, change the name of your project.
  5. In the Project Path field, enter the new directory where you want to save the project, or use the Browse button to the right of the field to navigate to an existing directory.
  6. Check the Copy all audio with project option.
  7. Click Save.
  8. SONAR copies the project to the directory specified in the Project Path field and stores all the project's audio in the directory specified in the Audio Path field.
Note: After you use the above procedure, you have two versions of the same project.


Imported Audio Files

By default, SONAR will make a copy of any audio data imported using the File-Import-Audio command and place the imported audio into the project's audio folder. You can configure SONAR to simply reference audio from its current location if, for example, you want to import large quantities of audio data into a project and don't want to consume time and disk space by making copies of the files. Copies are always made if the imported audio does not match the current project's sampling and bit rates (and if you edit any of the imported audio data). Automatic handling of imported files is enabled by default. Do not disable this option unless you are prepared to manage the audio files individually. Creating backups of your projects is very easy if all your audio is stored in a single, per-project directory.

To Change Handling of Imported Files

Use the following procedure to allow or disallow file sharing between projects:

  1. Choose Options-Global and click the Audio Data tab.
  2. Check the Always Copy Imported Audio Files option to create copies of all imported audio clips as a default.
OR
Uncheck Always Copy Imported Audio Files option to reference imported audio from its current location.
Note: You can override this setting when importing audio by checking or unchecking the Copy Audio to Project Folder option in the Import Audio dialog.
  3. Click OK when you are done.

Imported files will be handled based on the settings you have chosen.

See:

Backing Up Projects with Digital Audio


Backing Up Projects with Digital Audio

There are several ways to back up your projects in SONAR. You can use per-project audio folders to keep all a project's audio in its own folder, use the Consolidate Project Audio command to create a backup copy of all your project's audio, or you can save a project as a bundle file (.cwb).

The following table lists several backup methods:

Backup Method... | Advantages...
Per-project Audio Folders If you are using per-project audio folders you can create a copy of the project folder and its audio subfolder. | This method is an exact copy of your project, preserving all clips and pathname information.
Consolidate Project Audio If your project references audio from multiple folders, for example you have a library of loops that you share between several projects, you can gather all the audio for your project into a single folder using the Consolidate Project Audio command. The Consolidate Project Audio command copies every audio file your project references into a backup folder beneath the projects audio data folder. Creating a copy of all your project's audio may take a lot of disk space. | Allows you to create a complete backup of all project audio even if the audio is in multiple locations. Creates a new folder which you can move or delete without fear of losing the original audio files.
Bundle Files A bundle file is a single file that contains all the information--except video--used in a project. A bundle file includes everything that is stored in a normal project file, plus all the digital audio that is used in the project. | Creates a single file for ease of portability.

To Backup Projects Using Per-Project Audio Folders

Use this procedure to create a backup of a project that has its own project folder.

  1. Open the project you want to backup.
  2. Select File-Project Audio Files.
The Project Files dialog appears.
  3. In the Project Files dialog, check the Path column to make sure that every audio file is stored in the project's audio folder. If any files are stored in folders other than the project's audio folder, you should use the Consolidate Project Audio command to move all audio to the project's audio folder.
  4. Close the Project Files dialog once you have confirmed that all audio files are in the project's audio folder.
  5. Close the project.
  6. Using Windows Explorer, copy the project folder and its contents, including the project's audio folder, to its backup location (CD-R, CD-RW, Zip or Jaz drive, another hard drive, network drive, etc.).

You have now created a copy of your project. It is a good idea to open the project once you have backed it up to confirm that all audio loads properly.

To Create a Backup Using Consolidate Project Audio

Use this procedure to backup a project that has multiple audio folders:

  1. Open the project you want to backup.
  2. Select Tools-Consolidate Project Audio.
  3. A message box appears listing the destination folder for your audio backup.
  4. Click OK to confirm.
  5. Using Windows Explorer, copy the project, the backup folder and all its contents, including the project's audio folder, to its backup location (CD-R, CD-RW, Zip or Jaz drive, another hard drive, network drive, etc.). The Consolidate Project Audio command only copies the audio in your project, so make sure you copy the project (.cwp) along with the backup folder.
  6. Once you have copied the backup folder you can delete it to free up disk space.


Deleting Unused Audio Files

The Tools-Clean Audio Folder command is used to delete digital audio files in an audio folder if they are no longer used by any of your projects. You should use this command from time to time to free up disk space.

This command searches your entire system for project files, and then compiles a list of all the audio files in a specified folder that are not in use by any of these projects. You can then choose to delete these audio files. Make sure that all of your important project (.cwp, .wrk) files are stored on your local hard disk(s) before using this command. If your project files are stored elsewhere (removable media, etc.), then you risk accidentally deleting important audio files that are associated with your projects.

If you are using another utility program that protects you from accidentally deleting important files (such as Norton Protect), you may need to disable that program. Otherwise, the next time you use the Tools-Clean Audio Folder command you may once again find these not-quite-deleted files.

To Delete Unused Audio Files

  1. Make sure all project files that contain audio are immediately accessible on a hard disk.
  2. Choose Tools-Clean Audio Folder to display the Clean Audio Folder dialog box.
  3. Click the Browse button to the right of the Audio Path field and navigate to the folder you want to search for unused audio files.
  4. If you want to search all subfolders of the folder you chose in the Audio Path field, click the Recursive option.
  5. Click the Find button. SONAR searches the selected directory for audio files that appear to be unused by any existing projects, and displays the names of these files in the list.
SONAR searches the entire system for project files. Audio files in the folder or folders you decide to search which do not belong to any of the projects on your system appear in the Clean Audio Folder dialog. If any corrupted or unreadable project files exist on your system, the Unreadable Files dialog appears. It is very important that you restore any unreadable files from a backup before continuing, otherwise you risk data loss.
  6. Follow the instructions in the table:
    To do this...

    Do this...
    Listen to a file

    Highlight the file name in the list and click Play
    Delete a file

    Highlight the file name in the list and click Delete
    Delete all files

    Click Delete All, and click Yes to confirm
  7. Click Close when you are done.


Improving Audio Performance

Improving Audio
Performance

Digital audio presents several challenges: it is large, gobbling up enormous amounts of disk space, especially at higher sampling rates and bit-depths, and it is CPU-intensive. Added to this mix is the wide variety of audio hardware available today. This section covers some common problems with recording and playback and how to configure your computer and audio hardware for optimum performance.

Note: One of the quickest ways to improve audio performance is to use WDM or ASIO sound card drivers instead of the older MME type. See WDM vs. MME Drivers.

See:

System Configuration

Improving Performance with Digital Audio


System Configuration

This section covers optimizing your system configuration to work with SONAR.

See:

The Wave Profiler

Enabling and Disabling Audio Devices

Configuring SONAR for 18-, 20-, and 24-bit Operation


The Wave Profiler

The Wave Profiler is a utility that analyzes the sound cards in your computer and determines the best DMA (Direct Memory Access) settings for communicating with SONAR. These DMA settings are displayed in samples, at the sample rates and bit depths your sound card supports. The Wave Profiler also sets a value in milliseconds for the Buffer Slider, which controls mixing latency. The Wave Profiler is unnecessary if you are using an ASIO driver. One of the best ways to improve mixing latency is to use a sound card that uses a WDM or ASIO driver instead of MME (legacy) type. For a comparison of the two types of drivers, see WDM vs. MME Drivers.

The DMA settings are used to ensure that a project that contains both MIDI and digital audio plays back in tight synchronization. If SONAR is not configured properly with your audio device's DMA settings, MIDI and digital audio material may not play back correctly.

Note to users of previous Cakewalk products: The DMA settings in versions of Cakewalk prior to SONAR 1.0 were displayed in bytes rather than samples. Using your previous DMA settings in SONAR will not work. Try the settings that wave profiler displays, and if you are not satisfied, only then attempt to optimize your settings.

The Wave Profiler utility runs automatically the first time you run SONAR. If you have a sound card with a WDM driver installed, SONAR will detect this and run the wave profiler determining the best DMA settings for the supported bit depths and sample rates of your sound card. You can force the use of the MME interface by checking the option on the Advanced Tab in the Audio Options dialog box that says, "Always Use MME Interface Even When WDM Drivers are Available". This option forces any card that has WDM drivers to use the MME interface instead. After you restart SONAR you will be prompted to run the wave profiler, this time it will determine the DMA settings using MME instead of WDM. This is especially useful if you have multiple sound cards, one of which does not support WDM.

Note: SONAR does not support the use of WDM and MME simultaneously. To use a sound card with WDM drivers with a sound card using MME drivers, you must check the "Always Use MME Interface Even When WDM Drivers are Available" option in the Advanced tab of the Audio Options dialog. This forces the sound card using WDM drivers to use the MME interface.

Note: It is possible to load a 48 kHz project when you are using a sound card that does not support 48 kHz. SONAR does not warn you when you do this. Your project may crash, or it may appear to record audio when your project is not actually recording.

All of your audio settings are listed in the Audio Options dialog box, which you open with the Options-Audio command. The following list summarizes all the settings that the Wave Profiler sets. You can override all of them except what audio drivers are listed in the Drivers tab:

  • Input and output drivers
  • DMA buffer sizes (in samples)
  • Mixing latency

If you experience MIDI and audio synchronization problems during playback, before contacting technical support, run the Wave Profiler and try the default setting.

To Manually Run the Wave Profiler

  1. Choose Options-Audio to open the Audio Options dialog box, and click the General tab.
  2. Click Wave Profiler.
The Wave Profiler examines each of your sound cards in turn, and displays the name of the sound card it detected under the following possible headings:
Heading... | What it means...
16 Bit Wave API | No WDM drivers were detected. Profiling using MME under Win9x and WinME
32 Bit Wave API | You may have chosen to force MME even when WDM drivers are available. Note: Windows 2000 will use this API when profiling MME.
WDM Kernel Streaming | WDM drivers were detected.


Enabling and Disabling Audio Devices

Your computer may have several installed devices like FAX modems and software synthesizers that Windows recognizes as sound cards containing audio drivers. You do not want to use these devices for audio input or output. If they are listed as audio drivers in the Audio Options dialog box, you need to disable them.

To Enable or Disable an Audio Device

  1. Choose Options-Audio to open the Audio Options dialog box and click the Drivers tab.
  2. In the Input Drivers and Output Drivers fields, do one or both of the following:
    • To enable an audio device, click the name of the device so that it is highlighted.
    • To disable an audio device, click the name of the device so that it is not highlighted.
  3. Click OK.

Disabling a device in the Audio Options dialog box usually prevents conflicts with other audio devices. Occasionally you may need to disable a device in the Windows Control Panel.

SONAR also allows you to choose the sound card whose clock should be used to control recording and playback timing (if you only have one sound card, SONAR automatically uses it). Every sound card's clock crystal is slightly different, which causes minor differences in the actual playback rate on each card. These differences may lead to slight synchronization problems if you use one card for recording and a different one for playback. Generally, you should choose your highest quality sound card for both recording and playback timing. Note that while some multichannel sound cards have multiple drivers, most sound cards have only a single audio driver.

To Select Playback and Record Timing Masters

  1. Choose Options-Audio to open the Audio Options dialog box and click the General tab.
  2. In the Playback Timing Master and Record Timing Master fields, select which sound cards you want to control playback and record timing, respectively.
  3. Click OK.

While you must choose a playback timing master, you can route audio output through any number of devices at once. For example, suppose your computer has both a high-end audio card and a basic built-in sound card. You should choose the high-end sound card as the record and playback timing master. However, using the aux buses in the Console or Track views, you could create a headphone or monitor mix and route it through the built-in sound card.

See:

Configuring SONAR for 18-, 20-, and 24-bit Operation

Status Bar/CPU Meter/Disk Meter


Configuring SONAR for 18-, 20-, and 24-bit Operation

When first installed, SONAR is configured to create 16-bit audio sampled at 44.1kHz. Nearly all sound cards support this kind of audio data. A growing number of "professional" cards are capable of recording and playing back audio at higher bit depths (18-, 20-, and 24-bit) and sampling rates (48 kHz and 96 kHz). SONAR allows you to take advantage of these higher bit depths and sampling rates. In order to get the best results, do the following:

  • Set the desired audio driver bit depth and sampling rate before recording or importing audio.
It is important to set the audio driver bit depth and sampling rate before you import or record any audio. Lowering the audio driver bit depth from 24 bit to 16 bit degrades the quality of your project's existing audio. Also, a project's sampling rate can only be altered before you add any audio. To set the audio driver bit depth and sampling rate, open the Audio Options dialog box (Options-Audio command), click the General tab, and choose values from the Audio Driver Bit Depth and Sampling Rate fields.
  • Choose a file bit depth of 24 if you intend to use your sound card at an audio driver bit depth of 18, 20 or 24.
SONAR allocates memory in bytes (8-bits each). If you do not choose a 24-bit file depth (3 bytes), SONAR truncates your 18-, 20- or 24-bit data down to 16 bits (2 bytes), defeating the benefits of your sound card's higher bit depth capability. Set the file bit depth by opening the Audio Options dialog box (Options-Audio command), clicking the General tab, and choosing a value from the File Bit Depth field.
  • Pick a bit format for your data on the Driver Profiles tab of the Audio Options dialog box in the Stream > 16 Bit Data As field. You may need to consult your sound card's documentation to find the optimum setting.
  • Check the Cakewalk Website for the latest information about sound cards
  • Keep in mind that using 24-bit depth and/or a high sampling rate needs a lot of disk space and a fast CPU.
24-bit projects use 50% more disk space than 16-bit projects. If you have a large number of audio tracks, the amount of disk space needed for your project could become quite large. Also, a powerful CPU may be required to play back the large 24-bit tracks, particularly if you use real-time effects.

Note: Some audio devices, especially USB devices that use WDM drivers, can not operate in 24-bit mode unless a variable in SONAR's aud.ini file is set to 1. The variable is Use24BitExtensible=<0 or 1>, which goes in the [name of your audio device (`n' in, `n' out)] section or the aud.ini file. For more information, see AUD.INI.

For more information about working at 24-bit depth, see online help topic "24-bit Tips."

See:

Status Bar/CPU Meter/Disk Meter

The Wave Profiler

Configuring SONAR for 18-, 20-, and 24-bit Operation


Improving Performance with Digital Audio

When a project contains many tracks of digital audio or when many real-time effects are in use, your computer may have difficulty keeping up during playback. When this occurs, you'll hear portions of the audio drop out, stutter, or pop. Or maybe your project responds slowly to real-time effects and volume changes. In an extreme case audio playback may stop altogether. If you experience a dropout, a dialog appears with suggestions for fixing the problem. This section covers performance issues specific to digital audio, including how to get the more tracks of audio, more real-time effects, lower latency and how to fix audio dropouts.


Getting the Most Out of Your PC

The maximum number of audio tracks you can expect to play on your computer depends on the audio sample rate, the speed of your hard disk, and the speed of your computer's CPU.

The effect of your CPU on audio track throughput is much more difficult to quantify. Throughput is affected by the type of chip, clock speed, the number and type of real-time effects in use, cache size and settings, and many other factors.

There are a variety of things you can do to increase the number of audio tracks and effects you can play on your computer, as outlined in the following table:

Approach... | How it works...
Avoid compressed disks | If you use DoubleSpace, Stacker, or some other disk compression system, it will slow down playback of audio tremendously. Configure your system so that the Data directory is on a hard disk that is not compressed.
Exit other programs | The more programs you have open, the more CPU cycles you are taking away from your project. Exit any programs unnecessary to the task at hand.
Refrain from other activity during playback | If you open and close windows or do lots of editing while playback is in progress, you may steal CPU cycles that would otherwise be used for playback.
Apply some audio effects offline | If you are happy with your real-time effects, consider using the Process-Apply Audio Effects command to apply those effects offline. Then remove those effects from real-time use and free up lots of CPU power.
Archive unused audio tracks | Audio tracks that are muted continue to place a load on your processor. To lessen the burden and free up cycles to handle more audio, archive all unused audio tracks. See To Archive or Unarchive Tracks for more information.
Mix down your audio tracks | If your project contains many different audio tracks or many real-time effects, you can use the Edit-Bounce to Track(s) command to reduce all of this content to a stereo track. Having done this, you can archive the original tracks (in case you need them later) and play only the new tracks, lessening the computational burden on your computer. For more information, see Mixing Down and Distributing Audio.
Change I/O Buffer Size on the Advanced tab of the Audio Options dialog box | Most hard disks work best with the default setting of 64 KB. Yours may work better with 128, 32, or 16. If those values don't help, try 256, 512, or move on to another remedy.
Defragment your hard disk | If your hard disk is fragmented, playback of audio will be slower. Use the Disk Defragmenter to correct the situation.
Turn off the Clip Audio Mix Upon Overflow option on the Advanced tab of the Audio Options dialog box. | Unless your mix is really distorted, you won't usually need this option.
Turn off the Apply Dither option on the Advanced tab of the Audio Options dialog box. | Dithering subtly improves your mix, but most people can't hear it. Turn it back on for mastering.
Enable disk caching | By default, SONAR bypasses all disk caching, which typically results in better performance with audio data. If your computer has a very large amount of RAM (128 MB or more) and your audio tracks include many repeated sections, enabling caching may improve SONAR's audio performance. Choose Options-Audio and click the Advanced tab to change the disk cache settings.
Record audio at a lower sampling rate | If you don't require CD quality 44.1 kHz audio, then record your audio at a lower sampling rate of 22.05 kHz or 11.025 kHz. Choose Options-Audio to change the sampling rate. This method is useful only before you start work on a project. Once the audio sampling rate for a project has been set, it cannot be changed.
Disable the Display Clip Contents options | Drawing the contents of audio clips in the Clips pane uses some CPU cycles. If you are using a slow machine, you may want to disable this feature. To do so, right-click in the Clips pane, choose View Options, and disable the Display Clip Contents option.

Digital Audio Files and Storage

Digital audio requires a large amount of disk storage. The table below shows the disk space requirements in megabytes for a single minute of digital audio in mono and stereo at various sampling rates:

Sampling rate | 16 bit | 24 bit
11 kHZ Mono | 1.3 MB per minute | 1.9 MB per minute
11 kHZ Stereo | 2.5 MB per minute | 3.8 MB per minute
22 kHz Mono | 2.8 MB per minute | 3.8 MB per minute
22 kHz Stereo | 5.0 MB per minute | 7.6 MB per minute
44.1 kHZ Mono | 5.0 MB per minute | 7.6 MB per minute
44.1 kHZ Stereo | 10.1 MB per minute | 15.1 MB per minute
48 kHz Mono | 5.5 MB per minute | 7.6 MB per minute
48 kHz Stereo | 11.0 MB per minute | 16.5 MB per minute
96 kHz Mono | 11.2 MB per minute | 16.5 MB per minute
96 kHz Stereo | 22.0 MB per minute | 33.0 MB per minute

For more information, consult, Dropouts and Other Audio Problems.

See:

Mixing Latency

Queue Buffers

Status Bar/CPU Meter/Disk Meter


Mixing Latency

SONAR has a slider in the Audio Options dialog box, on the General tab, to set mixing latency. Mixing latency is the amount of time SONAR allocates to prepare a buffer full of audio data for playback. Lower latency settings add processing time because of the need to refill the smaller data buffers more often. If you use an MME sound card driver and your project uses an audio driver bit depth of 16, you should enable WavePipeTM Acceleration in the Audio Options dialog box, in the Driver Profiles tab. You may need to use the slider to increase mixing latency under the following conditions:

  • You use lots of real-time effects, and you hear dropouts. Check the CPU meter for high readings; try increasing the latency.
  • Your sound card does not function well at lower latency. Some sound cards just do not function well at lower latency settings. Even though SONAR's CPU meter and Dropout indicator report no problems, if you hear dropouts try increasing the mixing latency.

Sound cards differ in the precision of their timing, what size audio buffers they require, and other characteristics. SONAR has a utility called the Wave Profiler that can usually automatically detect the type of sound card that you have installed and configure its settings for best performance. If your sound card is a well-known model, you can usually use SONAR without having to change many audio settings. However, if you experience synchronization problems between MIDI and digital audio, like to use different sample rates and bit depths, or want to experiment with mixing latency, you need to do some optimization yourself.

See:

The Wave Profiler

Configuring SONAR for 18-, 20-, and 24-bit Operation

Status Bar/CPU Meter/Disk Meter


WDM vs. MME Drivers

In almost every situation, the newer WDM (Windows Driver Model) sound card drivers that most sound card vendors are creating are a much better choice than the older MME (Multi-Media Extensions) drivers. If your sound card vendor has a WDM driver, by all means use it. The following table compares their characteristics:

WDM... | MME...
Lower latency | Usually higher latency
Works with Windows XP, 2000, ME, 98 SE, but not 98 Gold | Works with Windows 98, and ME. Some MME drivers may work with Windows 2000.
Most sound card vendors have produced a WDM driver. | MME drivers are widely available. Note: If you use two or more sound cards at the same time, and not all of them have WDM drivers, you must force the WDM drivers to function as MME drivers. Do this in the Audio Options dialog box on the Advanced tab by checking the Always Use MME Interface Even When WDM Drivers Are Available checkbox.


ASIO Drivers

SONAR supports ASIO drivers. You are limited to a single sound card when using an ASIO driver.

To Use an ASIO Driver

Use the following procedure to enable SONAR for use with an ASIO driver.

  1. Select Options-Audio to open the Audio Options dialog.
  2. In the Audio Options dialog, click the Advanced tab.
  3. In the Playback and Recording section, select ASIO from the Driver Mode dropdown menu.
  4. Restart SONAR.


Queue Buffers

SONAR allows you to set the number of queue buffers in the Audio Options dialog box, in the General tab. A higher number of queue buffers will take longer to fill, and therefore cause an increase in latency. A lower number of queue buffers decreases latency, but may cause "dropouts." The default setting is 2. For more information, see: Mixing Latency, and Dropouts and Other Audio Problems.


Status Bar/CPU Meter/Disk Meter

SONAR has several tools to help you identify and correct audio problems, including the CPU meter, the Disk meter, and the Dropout indicator. These tools are all located on the Status bar, which is at the bottom of the screen. The Status bar also contains a measurement of available hard disk space. If you do not see the Status bar, go to Options-Global, select the General tab, and make sure Show Status Bar is selected. The Status bar contains the following fields, reading from left to right:

  • Now time--The left-most field on the Status bar shows the Now time.
  • Audio Running--Whenever the Audio Engine button [image] in the Transport toolbar is depressed, the Audio Running indicator lights up.
  • Dropout indicator--The Dropout indicator is in the same field as the Audio Running indicator. The Dropout indicator displays the word Dropout whenever your project requires more resources than your CPU, main memory, and disk can supply.
  • Mute--Whenever a track is muted, the Mute indicator lights up. You can click the Mute indicator to unmute all muted tracks.
  • Solo--Whenever a track is soloed, the solo indicator lights up. You can click the Solo indicator to unsolo all soloed tracks.
  • Arm--Whenever a track is armed for recording audio or MIDI data, the red Arm indicator lights up. This indicator is in the same field as the red Aut indicator. You can click the Arm indicator to disarm all armed tracks.
  • Aut--Whenever any control is armed for automation recording, the red Aut indicator lights up. This indicator is in the same field as the red Arm indicator. You can click the Aut indicator to disarm all armed tracks
  • Disk Space--This field shows how many megabytes of disk space you have left on the hard drive where your wave data directory is. It also shows this amount of space as a percentage of that drive's total space.
  • CPU meter--The CPU meter displays the time it takes to process a buffer full of audio data as a percentage of the maximum time available to process that data and maintain uninterrupted playback. There is some tolerance built into the meter, so it's very possible that it will exceed 100% at times (more so during recording than playback). When the meter exceeds 100%, it displays the word "Overload."
  • Disk meter--The Disk meter measures how much of the available time SONAR is using to perform input/output functions on your hard disk. The size of your setup's I/O buffer (listed in the Audio Options dialog box, in the Advanced tab) determines how much time is allowed to perform disk operations and maintain uninterrupted playback. When SONAR performs disk operations, the Disk meter jumps up in value and shows the percentage of the allowed time SONAR is taking to complete each cycle of disk Input/Output.

If you experience a dropout or your CPU or Disk meters are reading high, there are steps you can take to improve your audio performance. For more information, see Dropouts and Other Audio Problems.

See also:

Status Bar/CPU Meter/Disk Meter


24-bit Tips

When first installed, SONAR is set by default to create projects containing 16-bit audio sampled at 44.1khz. Many "professional" soundcards offer the capability to record/play audio at a higher bit-depth (more bits per sample), and possibly also at a higher sampling rate. SONAR software can take advantage of this enhanced capability, allowing you to produce very high-quality, professional-caliber audio projects. However, to get the best results when working at these higher levels, you need to keep the following points in mind:

  • Set the desired bit-depth and sampling rate before recording any audio:
You should specify the desired bit rate and sampling rate for your project before starting to record or insert any audio into the project, i.e., when the project is newly created and still "empty". (It is possible to change a project's bit-depth after audio has already been recorded into it, using Tools-Change Audio Format, but doing so can degrade the quality of the existing audio data. It is not possible in SONAR to change the sampling rate of a project after audio has been recorded; other sound editing applications can be used for this purpose, but the sample-rate conversion may also degrade the quality of existing audio.
Specifying the desired bit rate and sampling rate is accomplished in the Audio Options dialog box, on the General tab. The section of the dialog labeled Default Settings for New Projects allows you to specify the sampling rate and the sample size (bit-depth) of audio data that will subsequently be stored into your new project.
Make sure that you do not choose a sampling rate that your soundcard doesn't actually support. (For example, don't select 48000 Hz if your soundcard can only go up to 41100 Hz; SONAR will not display an error message if you select a sampling rate that is not supported by your card, but the software will fail to record your audio data in this case.)
  • Choose a File Bit Depth of 24 if you intend to use your soundcard at 18-, 20-, or 24-bit depth:
You may choose a File Bit Depth of either 16- or 24-bits. If your soundcard supports 18-, 20-, or 24-bit operation and you want to take advantage of that capability, you must select 24 in the File Bit Depth list, or else the data received from your soundcard will be truncated and stored in your project file as 16-bit samples, defeating the benefits of your card's higher-bit-depth capability.
  • Try to use the soundcard driver at 24-bits even if your soundcard only operates at 20- or 18-bits:
Having established the default settings for new files, you must also specify at what bit-depth you want your soundcard to operate. In the same Audio Options dialog box, set the Audio Driver Bit Depth to the desired value. Even if you soundcard's highest bit-depth is only 18- or 20-bits, you should try selecting an Audio Driver Bit Depth of 24 first. If you receive an error message when doing so, try selecting 20. If this also produces an error message, try selecting 18. In other words, if you want SONAR to operate your soundcard at any bit-depth greater than 16-bits, try selecting the highest value possible in the Audio Driver Bit Depth setting, and work downward from there if you have to.
(If your soundcard's maximum bit-depth is 20-bits and you specify an Audio Driver Bit Depth of 24 as advised above, audio data will still be sampled by your soundcard in 20-bit samples, but each sample will automatically be padded with extra 0's to produce a 24-bit sample, which will be stored at full 24-bit resolution in your project file (assuming you have set the File Bit Depth to 24 as advised above.) The advantage of this is that any subsequent processing performed by Cakewalk on that audio--such as applying off-line or real-time audio effects--will be performed and stored at full 24-bit resolution, ensuring maximum quality and signal-to-noise ratio for your audio.
  • Some 24-bit cards require you to configure the order in which data is streamed:
If necessary, open the Audio Options dialog, click on the Advanced tab. In the Stream > 16-bit data as option, select one of the following:
  • 3 bytes
  • 4 bytes, right justified
  • 4 bytes, left justified
  • 32-bit PCM, right justified
  • 32-bit PCM, left justfied
These settings affect how 24-bit audio samples are transferred from the soundcard into the SONAR software, and affect the efficiency of the transfer. You'll get the best performance from this card when working at 24-bits if you use the correct setting for your sound card. If you're not sure whether your particular soundcard requires these settings, consult the documentation that came with your soundcard. You should also check the web page http://www.cakewalk.com/Support/Docs/SoundcardTips.html to see if any information is available there regarding configuration of your particular soundcard in Cakewalk. When in doubt, leave these settings disabled.
(These settings are only relevant when working with soundcards at >16 bits-per-sample. You can ignore them when operating at normal 16-bit depth.)
  • Using 24-bit depth and/or high sampling rate can be costly:
While using 24-bit audio can improve the sound quality of your recordings, there are some important drawbacks to keep in mind. Projects stored at 24-bit depth will require 50% more disk space than those stored at 16-bits; if you have a large number of audio tracks (and keep in mind that stereo tracks require twice as much data as mono tracks!), your audio project file can grow very large and use up lots of disk space. Also note that recording, playing, and processing 24-bit data utilizes more CPU resources than working with 16-bit data. This means that for a given computer configuration, you will be able to record/play/process a smaller number of total simultaneous tracks, and use a smaller number of simultaneous real-time effects, in a 24-bit project than you would be able to in a 16-bit project. This is also true when working at higher sampling rates (i.e., a 24-bit/96khz project requires substantially more computing resources than a corresponding 16-bit/44.1khz project). Depending on the size of your project and the configuration of your computer (CPU, RAM, disk), you may need to reconsider whether working at the higher bit-depth/sampling rate is justified or even possible.

It's also worth noting that not all audio projects benefit equally from the use of higher bit-depth/sampling rates. Most professional sound engineers will tell you that 24-bit, higher-sampling-rate audio is most beneficial when working with music that focuses on natural acoustic instruments and/or vocals recorded with very high-quality microphones. The benefits of 24-bit/high-sampling-rate recording are less audible when working with highly synthetic or highly compressed program material, often found in contemporary popular music. You must make your own judgement about whether the benefits of higher-capacity audio justify the extra demands it places on your computer. Note: Red Book Audio CDs are still 16-bit (44.1 sampling rate), so if your goal is to burn a CD, you will have to mix down to 16-bit.


Dropouts and Other Audio Problems

If your SONAR application suddenly stops producing audio while in the midst of recording or playback, you've very likely experienced a "dropout". Sometimes instead of a dropout, you may experience a "stutter" during playback (a small section of audio repeats itself once or twice before normal playback resumes). Or, you may occasionally experience a "glitch" or "pop" during audio playback (a brief interruption or clicking noise is heard, but audio playback then continues normally from that point). It is possible to experience a dropout while working exclusively with MIDI (i.e., no audio data in the project), but this is a different matter and is not covered here.

All of these audio problems are the result of audio information not being sent to or received from your sound card fast enough or reliably enough. During recording, the sound card sends incoming audio data to the sound card driver, which in turn sends audio data to SONAR to store on hard disk. When playing back, SONAR reads audio data from the hard disk and feeds it to the sound card driver, which in turn passes it to the sound card for audible output. If these activities can't be completed fast enough, or if the communication between SONAR and the sound card driver is broken in some way, recording and/or playback will be disturbed.

Causes and Cures

The exact cause of your audio problem will vary depending on the configuration of your computer and/or the content of the project file you're working with. The majority of audio problems are caused by one of the factors listed below. Read each of the topics below, in the order shown, and follow the recommendations provided:

The CPU is being interrupted by "background" activities having nothing to do with audio

Cakewalk doesn't properly "recognize" your sound card

The "I/O Buffer Size" may not be well matched to your hard disk

Mixing Latency may be set too low

Your hard disk may be excessively fragmented

Your Project File May Be Excessively Fragmented

Your sound card may not be capable of full-duplex operation or Wave-Out Position Timing

Your sound card's driver may be obsolete

There may be a conflict with your video card or other multimedia streaming card

Your sound card may have a conflict with another device in your computer

Your project may simply be too "complex" for your computer

Upgrade your computer hardware: More RAM, a faster CPU, and a faster disk drive

The CPU is being interrupted by "background" activities having nothing to do with audio

Turn off these other activities, so your CPU can process audio without interruption:

  • Turn off the Microsoft Office FastFind option if present on your system.
  • Don't use any scheduled background tasks (e.g., tasks which are part of the Windows Plus package, or which you have scheduled yourself using the Windows 98 Task Scheduler utility).
  • Discontinue use of any networking or communications applications on your computer. For example, don't run e-mail programs (like Microsoft Outlook), Web browsers, or AOL client software while you are running SONAR. These programs send and receive chunks of information over a modem or a network connection; when one of these data chunks is sent or received, your CPU may be unexpectedly interrupted from SONAR audio processing to deal with the modem or network data. That interruption can disrupt the smooth processing of audio data, causing a dropout or glitch. If possible, you should disconnect your computer from a local area network, and/or disconnect from any dial-up telecommunications while recording or playing back audio in SONAR.
  • Turn off your screen saver (if present).
  • Turn off the "Auto-Notification" option for your CD-ROM drive. If it is turned on, the insertion of a CD-ROM can interrupt audio processing.
To disable it, open the System applet in the Control panel, click on the Device Manager tab, expand the CD-ROM list entry, double-click on the listed CD-ROM device, click on the Settings tab, and uncheck the Auto Insert Notification checkbox.
  • Disable any kind of virus scanning program that might be running in the background. To find out what programs are currently running, press the Ctrl-Alt-Del keys simultaneously to display the Windows Task Manager; if you see an anti-Virus program shown on the list of currently running tasks, select that program and click End Task.
  • If SONAR's Auto Save feature is enabled, disable it.
  • Remove all programs from the Windows Start Up folder (\Windows\Start Menu\Programs\Start Up).

Cakewalk doesn't properly "recognize" your sound card

Re-run the SONAR Wave Profiler, which will attempt to analyze your sound card and establish proper settings for it:

  • Choose Options-Audio, then click on the General tab. Click on the Wave Profiler button at the bottom of the dialog box.
  • If Wave Profiler offers you the chance to use "default settings" for your sound card, accept the defaults, close the Options-Audio dialog box, and check audio playback/recording.
  • If problem(s) continue, re-run the Wave Profiler, but this time do not accept any default settings.
  • If you decline to use default settings (or if Wave Profiler can't find any for your sound card), Wave Profiler will analyze your sound card's capabilities by running some tests and automatically establish appropriate settings based on the test results.
  • If your sound card is listed at http://www.cakewalk.com/Support/Docs/Soundcardtips.html, read and follow any special card-specific operating instructions listed there.
  • Re-test audio recording/playback. If problem(s) persist, go to the Next Step.

The "I/O Buffer Size" may not be well matched to your hard disk

SONAR may be reading and writing audio data to/from your hard disk in chunks that are either too large or too small for your particular hard disk's characteristics.

Select Options-Audio, click the Advanced tab, and try different values in the I/O Buffer Size textbox until you find a value that works well for your particular hard disk:

  • The default value is 64. Try reducing this value, to 32, then 16. After each change, close the dialog box (click "OK") and re-test your project's recording/playback behavior.
  • If problem(s) persist, try increasing this value, to 128, then 256, then 512. Again, close the dialog box and re-try your project after each change.
  • If you have an older, slower computer or an older, slower hard disk, you should try increasing the buffer size; decreasing is not advised on slower hardware. However, increasing this setting uses more of your computer's RAM. If you only have 64 MB of RAM in your computer, increasing the buffer size may not help.

If problem(s) persist, restore this value to its default and continue with the next step.

Mixing Latency may be set too low

SONAR tries to send and receive audio data to/from your sound card with very a minimal delay (so that any real-time adjustments you make to a track's volume, pan, or other settings will take effect rapidly). If the latency setting is set too low, the sound card driver may not be able to keep up with the SONAR, and audio will be disrupted.

Try higher latency settings:

  • Select Options-Audio, and click the General tab. Move the Mixing Latency Buffer Size slider control to the right in small increments until you see the value to the right of the slider increase; close the dialog (click "OK") and re-test your project after each increment.
  • If problem(s) continue, move the slider control back to its original position, and try increasing the number in the Buffers in Playback Queue textbox. (This value starts out at 4; try increasing it to 5, 6, 7, or 8). Close the dialog (click "OK") and re-test your project after each such change.
  • The total effective latency is displayed below the slider; it is determined by multiplying the per-buffer latency time (in msec) by the number of buffers in the playback queue.
  • If problem(s) continue, click the Advanced tab in this dialog, and turn off the WavePipe Accelerator checkbox. Click OK to close the dialog and re-test your project.
  • If problem(s) persist, turn the WavePipe Accelerator checkbox back on, and continue.

Your hard disk may be excessively fragmented

Audio data can be processed most efficiently if it is arranged in consecutive physical locations on your hard drive. Over time, the chunks become distributed at various discontiguous locations on your disk, which makes it more time consuming for SONAR to access the chunks. This extra access time can interfere with smooth audio recording and/or playback.

Try defragmenting the hard disk:

  • Make sure SONAR, and the Wave data directory are not installed on a compressed hard disk.
  • Defragment your hard disk. If you have more than one hard disk in your computer, identify the disk which contains the SONAR Data directory (this is where your projects' audio clips are stored.) To defragment the hard disk, exit SONAR first. Then, select Start-Programs-System Tools-Accessories-Disk Defragmenter. We recommend that you backup your hard disk before defragmenting it.

Your Project File May Be Excessively Fragmented

Audio data can be processed most efficiently if it is arranged in consecutive physical locations on your hard drive. During normal SONAR usage, a project's audio data can become fragmented into chunks stored at discontiguous locations on your disk. Accessing these discontiguous chunks can consume extra processing time, which can lead to dropouts.

Try defragmenting your project file:

  1. Open the project file that has audio problems.
  2. Save it as a Cakewalk Bundle (.cwb) file by selecting Save As from the File menu and selecting Cakewalk Bundle from the Save As Type drop down list and clicking the save button.
  3. Close the project.
  4. Open the Cakewalk Bundle you just closed

Saving then re-opening the bundle file automatically defragments the audio data used by the project, reducing the chances of a dropout or other audio problem.

When you are ready to save the file again, you may want to save it as a normal (.cwp) file. Saving and opening .cwp files takes less time than saving and opening bundle files.

Your sound card may not be capable of full-duplex operation or Wave-Out Position Timing

  • Select Options-Audio, click the Advanced tab, and try unchecking Enable Simultaneous Record/Playback if it's checked. Click OK to close the Audio Options dialog, and re-test your audio operation. If things work properly when this setting is off, but problems occur when it is on, the problem probably lies with your sound card's drivers. Contact your sound card's manufacturer for further assistance.
  • Try unchecking Wave-Out Position for Timing if it's checked, or vice-versa (check it if it's currently unchecked). Click OK to close the dialog box, and re-test your audio operation.
  • If problem(s) persist, restore the above settings to the condition in which you found them, and proceed with the next step.

Your sound card's driver may be obsolete

Obtain and install a new sound card driver (if available):

  • Consult your sound card manufacturer's web site (or contact their Customer Service department) to check for the availability of a later driver version. If one exists, obtain it and install it on your computer according to their instructions. With the new driver installed, restart the computer, then delete the file cw9auddx.ini from your SONAR folder. Launch SONAR and let it re-profile your audio hardware. When it's done, re-test your audio recording/playback.
  • If problem(s) persist, continue with the next step.

There may be a conflict with your video card or other multimedia streaming card

Some video drivers contain bugs which can interfere with SONAR's operation. Or, the driver may be "stealing" excessive CPU time away from SONAR (some video card vendors, in an attempt to make their cards operate faster, supply drivers that tie up the computer's bus for relatively long intervals (so-called "PCI bus contention"). This can interrupt the smooth flow of audio data between SONAR and the sound card's driver.)

Try to remove the video card conflict as follows:

  • Try turning off "hardware acceleration" on your video card (if available). This may cause more sluggish screen drawing, but may improve the flow of audio data to your sound card, thereby reducing the possibility of dropouts.
To disable the hardware acceleration on your graphics card: Launch Control panel (Start-Settings-Control panel). Double-click the Display icon. Select the Settings tab. Click on the Advanced Properties button. Select the Performance tab. Move the slider for hardware acceleration one notch at a time toward `none' and re-test your recording/playback after each such adjustment. If problem(s) persist, leave the slider at `none' and proceed with the next step.
  • Try Using the Windows driver for your specific sound card (instead of the manufacturer's driver).
  • Try using the standard VGA/SVGA drivers provided with Windows (instead of the drivers provided by the manufacturer).
  • Check your video card manufacturer's web site for a later driver version. If a newer driver is available, download it and install it on your computer following the manufacturer's instructions.
    • If you have an STB Velocity 128 card, and your graphics card was configured and shipped with a new PC, you may want to check the PC vendor's website (instead of STB's site) to see if they offer a driver update for the STB card. PC vendors often will customize drivers to their specific needs and you should use their driver updates.
  • Try reducing the number of colors used by your video card. 16-, 24-, or 32-bit true color display settings can severely hamper real-time audio performance on some computers; using fewer colors allows your computer to spend more of its processing time on audio and MIDI.
You can adjust color depth by right-clicking on your Windows desktop, clicking Properties, clicking on the Settings tab, and selecting a suitable entry in the Colors listbox. Also, try reducing the display resolution. Re-test your audio playback/recording with these changes.
  • If you have one of the following specific video cards, applying the following card-specific .INI file settings can reduce PCI bus contention problems. Be sure to check out http://www.cakewalk.com/Support/Docs/VideocardTips.html for more information about these and other popular video cards:
    • If you have a Hercules Dynamite 128 card:
    Open the SYSTEM.INI file in Notepad (or any text editor). In the section called [Hercules], check to ensure that this line is present:
    Optimization=1
    (The default is 0; if necessary, edit the value to 1 and save the file. Restart Windows.
    • If you have a Matrox Millenium card:
    Open the SYSTEM.INI file in Notepad (or any text editor). In the section called [mga.drv], add the following line:
    Pcichipset=1
    Edit the file as necessary, and save the file. Restart Windows.
    If you have an early Matrox video card, Disable Use PowerGDI acceleration:
    (Start-Settings-Control panel-Display-MGA Settings-Advanced-Performance)
    If you have a later Matrox video card, enable Use Bus Mastering and Disable use Automatic PCI Busd Retries:
    (Start-Settings-Control panel-Display-Settings-PowerDesk button)
    • If you have a card based on the S3 chipset (S3, Inc. provides graphics chips for other manufacturers; consult your card manufacturer's website to see if that card is S3-based):
    Open the SYSTEM.INI file in Notepad (or any text editor). In the section called [display], make sure the following line is present:
    BusThrottle=1
    Edit as necessary, and save the file. Restart Windows.
  • If problem(s) persist, continue with the next step.

Your sound card may have a conflict with another device in your computer

Try resolving this device conflict as follows:

  • Ensure that your sound card is not sharing IRQs with any other device. Although some sound cards claim that they work properly on a shared IRQ, this is usually not the case and it is advisable to avoid such sharing. To do this, right click on My Computer and select Properties from the pop-up menu. In the System Properties dialog, click on the Device Manager tab, then double-click on the Computer icon at the top of the list. This allows you to look at all the devices on your system and which IRQs they are using. Scroll through the list until you see your sound card. Check the IRQ setting to the left of the icon. If there are other devices (such as a video card) that are assigned to the same IRQ, you should try moving your sound card to a different slot in your computer. Note that entries which say something like "IRQ Holder for PCI Steering" do not indicate conflicting devices, and can be ignored.
  • Select Options-Audio, click the Drivers tab, and make sure that only your sound card's input and output drivers are highlighted in both menus. (If you have more than one sound card installed in your system, try using only a single sound card and deselecting the other(s). If you can get audio to record/playback properly on a single sound card, but you encounter problems using two sound cards simultaneously, there may be a conflict between the two sound cards. Contact Cakewalk Technical Support for assistance in this event.)
  • If problem(s) continue, another multimedia audio device on your system (like a built-in sound card or voicemodem) could be interfering with your sound card's functionality. To see if this is the cause of your problem(s), you'll have to temporarily disable these other devices. Note that this may cause other programs which rely on these other devices to no longer work correctly.
To disable these other device(s), in Windows go to the Control Panel, and double-click the Multimedia icon. Click the Advanced tab ("Devices" tab in Win98), and click the plus sign next to Audio Devices. Double-click any audio devices listed there that AREN'T the sound card, and choose "Do Not Use Audio Features on This Device". Click OK, and repeat this step for any non-sound card device, including voicemodems, 'virtual audio devices' or 'game-compatible devices'. Once the sound card is the only device left, click OK, and restart the computer. After restarting, delete the file 'cw9auddx.ini' from your Cakewalk folder. Once you've deleted those files, launch Cakewalk, and let it profile your audio hardware. When it's done, try playing your audio again.
  • If problem(s) continue, try deselecting any MIDI devices which you might be using. In SONAR, click Options-MIDI Devices and deselect every MIDI device in both Inputs and Outputs, then when SONAR asks, select Continue with no MIDI input and Continue with no MIDI output, and try re-test your audio recording/playback.
  • If problem(s) persist, reselect your audio and MIDI devices, and continue with the next step.

Your project may simply be too "complex" for your computer

Your computer may not have enough processing power to deal with all of the tracks, clips, and real-time effects used in your project. You can upgrade your computer hardware (see later items, below) or you can simplify your project's content so it demands less processing power.

If possible, try reducing the complexity of your project in any of the following ways:

  • Reduce the number of real-time effects (DirectX plug-ins) used in your project. Instead of generating the effects in real-time (nondestructively) during playback, consider applying the effects offline (destructively), before beginning playback.
  • Reduce the number of distinct tracks being played back simultaneously. Consider "sub-mixing" several of your audio tracks into one track (using the Mixdown Audio-Bounce to Tracks command on the Tools menu), and then archiving the individual tracks which were combined in the sub-mix. (Archived tracks don't use up any CPU resources during playback, leaving more CPU resources available to properly play the non-archived tracks.)
  • Where possible, record audio using a mono source, rather than a stereo source. Mono clips require less processing power than stereo clips.
  • Avoid using overlapping audio clips. Where possible, combine/blend overlapping clips into a single clip, which uses less processing power.
  • Thin the amount of MIDI controller data and the number of SysEx messages in your tracks.
  • If you can't reduce your project's complexity, or if problems persist even after the complexity has been reduced, proceed to the next step.

Upgrade your computer hardware: More RAM, a faster CPU, and a faster disk drive

If your project makes extensive use of real-time effects (plug-ins), you should consider upgrading to a faster CPU. If your primary concern is playing or recording a large number of tracks, a faster CPU will help, but you may find that adding more RAM, a faster hard disk, and/or an improved hard disk controller may help even more. Many "store-bought" computers come with 32MB or 64MB or RAM, but if you intend to work with a large number of simultaneous audio tracks, you should add significantly more RAM (e.g., upgrade to 128MB, or even 256MB).

The following are some tips on upgrading your hardware:

Audio problems are often caused by a hard disk which is transferring data too slowly. The disk could simply be physically incapable of reading and writing data fast enough, or the disk controller could be causing too much CPU time to be consumed when transferring audio data to/from the disk.

Consider upgrading your equipment as follows:

  • Ensure that your hard drive controller is NOT configured to operate in "compatibility mode" which can greatly slow data transfer to/from your hard disk and make it almost impossible to record/play audio in Cakewalk reliably. To do this, go to the Control Panel and double-click on the System icon. Click the Performance tab. At the top of the Performance screen read the entries across from File Systems and Virtual Memory. They both need to say "32-bit". If they mention MS-DOS Compatibility Mode, then your computer has a serious problem, beyond the scope of what a Cakewalk technician can fix. Your computer is processing the audio data very slowly and Cakewalk will not work properly until the MS-DOS Compatibility Mode problem is eliminated. Help is available on the Microsoft Technical Support Web page at www.microsoft.com/Support. Click on the Support Online link and search for the phrase "Troubleshooting MS-DOS Compatibility Mode on Hard Disks." This problem can arise when installing a new hard disk in your computer; if Windows cannot find a suitable driver for the disk, it installs a generic driver and operates in Compatibility Mode.
  • If you're using a hard disk controller that employs "programmed I/O", upgrade to a disk controller that uses "bus mastering" instead. (This is sometimes also known as an UltraDMA IDE Controller). The former technique relies on the CPU to transfer the data to/from the hard disk, stealing cycles which the CPU could be sending audio data to/from the sound card. With the latter technique, the hard disk controller itself is primarily responsible for transferring the data to/from the hard disk, relieving the CPU of much of that burden.
  • Install a faster hard disk. If you're using an IDE- or E-IDE-type hard drive, try to find one which has a lower disk access time (e.g., less than 9msec). Use the Win Tune test application available at www.winmag.com this diagnostic tool measures your hard drive's uncached transfer rate. We recommend an uncached transfer rate of 3 MB per second for good multi-track audio performance in Cakewalk. If the rate is lower than 3 MB per second, you will want to get in touch with your computer or hard drive vendor for advice.
If you're using an IDE- or E-IDE-type hard disk, consider switching to a SCSI-based configuration instead. Generally speaking, SCSI is a more efficient hardware mechanism: it uses less of your CPU's processing power when performing disk data transfers. Projects which will not play properly on an IDE-based system may play perfectly on a SCSI-based system. However, using a SCSI disk doesn't automatically guarantee superior performance over an IDE/E-IDE drive. A cheap, low-quality SCSI drive actually may have poorer performance than a quality E-IDE drive.


Working with External Devices

Working with
External Devices

SONAR can be controlled by a wide range of external MIDI devices, including the CM Labs MotorMix, the Tascam US-428, the Roland U-8, and Peavey StudioMix. SONAR contains a generic surface plug-in, which allows you to use almost any control surface with SONAR. You can also control certain external devices from SONAR by using StudioWare or OP (Open Plug-in technology) panels.

See:

Working with the CM Labs MotorMix

Working with the Tascam US-428

Working with Generic Control Surfaces

Using StudioMix

Working with StudioWare

Working with the Roland U-8

OP Panels


Working with the CM Labs MotorMix

When you install SONAR, you also install special software that allows you to use the CM Labs MotorMix to control SONAR. You can control most tracking procedures (recording, playback, automation, effects) with the MotorMix. SONAR's editing procedures are not controllable by the MotorMix. The MotorMix has online help available from its property page, which covers all the ways you can use the MotorMix with SONAR.

To view the online help, first make sure the MotorMix is connected to SONAR, then open the MotorMix property page and press F1 or click the Help button.

To Connect the MotorMix to SONAR

  1. Make sure the MotorMix is connected to your computer and turned on before you launch SONAR.
  2. Launch SONAR.
  3. Use the Options-Control Surfaces command.
The Control Surfaces dialog appears.
  4. Click the Add button [image] , which opens the Control Surface Settings dialog.
  5. In the Control Surface field, use the dropdown menu to select the C.M. Labs MotorMix option.
  6. In the Input Port field, select the MIDI port that you want the MotorMix to send data to SONAR through.
  7. In the Output Port field, select the MIDI port that you want the MotorMix to receive data from SONAR through.
  8. Click OK--the MotorMix name appears in the Control Surfaces dialog under Connected Surfaces.
  9. Click Close.

SONAR connects with the control surface, and adds MotorMix to the dropdown list of control surfaces in the Control Surfaces toolbar. Display the Control Surfaces toolbar by using the View-Toolbars command to open the Toolbars dialog, and checking the Control Surfaces option. The toolbar contains a dropdown menu of all connected control surfaces, including the MotorMix.

Note: The toolbar is for display purposes only. To enable another control surface, use the Options-Control Surfaces command. To change the bank of tracks that the control surface controls, use the View and Bank buttons on the control surface itself. Use the dropdown menu on the toolbar to choose what control surface the toolbar displays information for.

To Display the MotorMix Property Page

  • Click the Properties button that's at the end of the Control Surfaces toolbar to display the property page (interface) of the currently displayed control surface. Now you can press F1 to display the control surface's help file.

See also:

Working with Generic Control Surfaces

Using StudioMix

Working with StudioWare

Working with the Roland U-8


Working with the Tascam US-428

When you install SONAR, you also install special software that allowss you to use the Tascam US-428 to control SONAR. You can control most tracking procedures (recording, playback, automation, effects) with the US-428. SONAR's editing features are not controllable by the US-428. The US-428 has online help available from its property page, which covers all the ways you can use the US-428 with SONAR.

To view the online help, first make sure the US-428 is connected to SONAR, then open the US-428 property page and press F1.

To Connect the US-428 to SONAR

  1. Make sure the US-428 is connected to your computer, turned on, and that you have installed the US-428 driver before you launch SONAR.
  2. Launch SONAR.
  3. Use the Options-MIDI Devices command.
The MIDI Devices dialog appears.
  4. Makes sure that US-428 Control is highlighted (selected) in both the Inputs and Outputs lists. Click OK.
  5. Use the Options-Control Surfaces command.
The Control Surfaces dialog appears.
  6. Click the Add button [image] , which opens the Control Surface Settings dialog.
  7. In the Control Surface field, use the dropdown menu to select the Tascam US-428 option.
  8. In the Input Port field and Output Port fields, select the US-428 Control option.
  9. Click OK--the Tascam US-428 name appears in the Control Surfaces dialog under Connected Surfaces.
  10. Click Close.

SONAR connects with the control surface, and adds Tascam US-428 to the dropdown list of control surfaces in the Control Surfaces toolbar. To display the toolbar, use the View-Toolbars command to open the Toolbars dialog, and check the Control Surfaces option. The toolbar contains a dropdown menu of all connected control surfaces, including the US-428.

Note: The toolbar is for display purposes only. To enable another control surface, use the Options-Control Surfaces command. To change the bank of tracks that the control surface controls, use the buttons on the control surface itself. Use the dropdown menu on the toolbar to choose what control surface the toolbar displays information for.

To Display the US-428 Property Page

  • Click the Properties button that's at the end of the Control Surfaces toolbar to display the property page (interface) of the currently displayed control surface. Now you can press F1 to display the control surface's help file.

See also:

Working with Generic Control Surfaces

Using StudioMix

Working with StudioWare

Working with the Roland U-8


Working with Generic Control Surfaces

In addition to supporting dedicated special-purpose control surfaces such as the CM Labs MotorMix, SONAR includes a general purpose plug-in, called Cakewalk Generic Surface, that can be configured to support any generic MIDI controller (control surface), such as the JL Cooper FaderMaster, Peavey PC-1600, and Kenton Control Freak. Generic control surfaces typically have 8-16 strips of faders/knobs/buttons, are non-motorized, and can often be configured to transmit any MIDI message (continuous controllers, NRPNs, Sysx, etc.).

Note: Any MIDI messages that are being sent to the Cakewalk Generic Surface plug-in by your control surface are not recorded into tracks in SONAR. This also means that if you have other MIDI devices connected to the same MIDI ports, any similar MIDI messages transmitted from those devices will not be recorded either. If you wish to record automation, make sure the applicable track parameters are armed for automation.

Note: SONAR takes a plug-in approach to supporting specific control surfaces, and each control surface uses separate plug-in software. Support for additional control surfaces can be added, or existing plug-ins can be updated, independently from SONAR, either by Cakewalk or third-party control surface vendors.

See:

Sample Control Surface Tutorial

Assigning Faders and Knobs to Control SONAR Parameters

Saving and Using Presets

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Conserving Knobs and Buttons


Assigning Faders and Knobs to Control SONAR Parameters

To assign a knob or fader on your control surface to control a certain SONAR parameter, all you usually have to do is move the knob or fader a few times, and then click the Learn button in the Cakewalk Generic Surface property page (see Sample Control Surface Tutorial). However, it can be very helpful to first find out exactly what MIDI message that knob is sending out when you move it. Your owner's manual for your control surface can tell you, or you can record the movements of the knobs you want to use, and then look at SONAR's Event List view:

To Display a Knob's MIDI Message

  1. If your control surface allows you to choose the MIDI messages your control surface sends out, configure it now.
  2. Make sure your control surface's MIDI cables are connected, and the power is on.
  3. Make sure the Generic Control Surface plug-in is not enabled: Use the Options-Control Surfaces command to open the Control Surfaces dialog. If Cakewalk Generic Surface appears in the Connected Surfaces window, select it and then click the Delete button [image] . Click Close.
  4. Arm a MIDI track, and label it with something appropriate, like Fader 1, Strip 1.
  5. Start recording, move the fader or knob in both directions, and stop recording.
  6. With the focus on the track you recorded, open the Event List view (View-Event List command).

In the Kind column, you'll see what kind of message it is (NRPN, SysxData, etc.). In the Data column, you'll find the message's classification number, and in the next column, you'll find the actual data in the message (Sysx data may all be in the Data column).

If there is a lot of different data (the last column), your fader is sending out continuous messages. Use this kind of fader to control continuos parameters such as Volume and Pan. If there is only one number or the same number repeated in the last column, assign this knob to a parameter such as Mute or Solo to toggle it on and off. If there are only two different numbers in the last column, your knob sends out one message when you turn it to the right, and a different message when it is turned to the left. If it's a button, it sends out one message when depressed and a different one when released.

Record at least two of every kind of fader or knob you plan to use, so that you'll see the pattern of MIDI messages that your control surface sends out. For example, if knob 1 on strip 1 sends out NRPN # 5000, it's likely that knob 2 on strip 1 sends out NRPN # 5001.

Now that you've confirmed the MIDI messages your control surface sends, you can start assigning the faders and knobs to control various SONAR parameters.

The first thing to do is to enable the Generic Control Surface plug-in.

To Enable the Generic Control Surface Plug-in

  1. Use the Options-Control Surfaces command.
The Control Surfaces dialog appears.
  2. Click the Add Control Surface button [image] , which opens the Control Surface Settings dialog.
  3. Select Cakewalk Generic Surface, and specify which MIDI input and output ports the control surface is connected to.
  4. Click OK--Cakewalk Generic Surface appears in the Control Surfaces dialog under Connected Surfaces.
  5. Click Close.

SONAR connects with the control surface, and adds Cakewalk Generic Control Surface to the dropdown list of control surfaces in the Control Surfaces toolbar. To display the toolbar, use the View-Toolbars command to open the Toolbars dialog, and check the Control Surfaces option.

Note: The toolbar is for display purposes only. To enable another control surface, use the Options-Control Surfaces command. To change the bank of tracks that the control surface controls, use the buttons on the control surface itself. Use the dropdown menu on the toolbar to choose what control surface the toolbar displays information for. Click the Properties button at the end of the toolbar to display the property page (interface) of the currently displayed control surface.

Now that you've enabled the Generic Control Surface plug-in, to start assigning knobs to parameters, open the Cakewalk Generic Surface property page.

To Open the Cakewalk Generic Surface Property Page

  1. Make sure that the Cakewalk Generic Control Surface plug-in is enabled (see To Enable the Generic Control Surface Plug-in, if necessary).
  2. In the Control Surfaces toolbar (View-Toolbars-Control Surfaces command), make sure that Cakewalk Generic Surface appears in the dropdown menu.
  3. Click the Properties button that is at the right end of the Control Surfaces toolbar.

To Assign a Fader or Knob to a SONAR Parameter

  1. In the Cakewalk Generic Surface property page under Parameters in a Hardware Strip, choose the strip of controls you want to assign from the Configure Strip Number field. Usually you start with 1.
  2. Click the radio button next to Parameter 1 to select it, and in the dropdown menu next to it, choose the parameter you want to control with this particular fader or knob.
Note: If the fader you're assigning sends Sysx, make sure it sends enough different data values to control the parameter you want it to. To control volume for example, your knob must be able to send 128 different values.
  3. Move the fader or knob twice and in both directions, and then click the Learn button.
The property page reads the type of messages the knob sends out and displays the information in the MIDI Message for current SONAR Parameter fields. Just to be safe, compare the data to any previous recording you might have done (see To Display a Knob's MIDI Message, if necessary).
  4. Press the Tab key on your computer keyboard to accept the data.
  5. If you're assigning a fader to a continuous parameter such as Volume, move the fader and see if the correct track property in SONAR responds.
  6. If you're assigning a knob to a parameter that toggles on and off, move the knob and see if the correct track property in SONAR responds. If it doesn't, check the value in the Trigger Value field and make sure it corresponds to a value that the knob sends out when you move it. For example, if a button sends out NRPN # 5000 with a value of 1 when you depress it, make sure that the Trigger Value is set to 1. If that button sends out a different value when you release it, you could set the Trigger Value to that value instead if you wanted to control the parameter by releasing the button instead of depressing it.
  7. If your knob or fader functions the way you want it to, type a name or select a name in the Presets field and then click the disk icon that's next to it to save your preset.

Now you can either assign more faders and knobs on the current strip, or start configuring another strip by choosing a different strip in the Configure Strip Number field.

Assigning Forward and Rewind Buttons

The Forward and Rewind assignments are special cases in the Cakewalk Generic Surface property page. When you click select either of these parameters, notice that Literally/Toggle field becomes greyed-out, and the On/Off fields become available. This is because the Forward and Rewind commands both require two different MIDI messages to function: one MIDI message to turn the operation on, and a different message to turn the operation off. This kind of operation is best assigned to a button that sends out one MIDI message when you hold or push it down, and a different MIDI message when you let the button up. The property page can usually fill in the On field and the Off field correctly if you push the desired button a few times and then click the Learn button. But it helps if you know exactly what MIDI messages the desired button sends out. That way, you can fill in the correct trigger values in the On and Off fields if the displayed values are incorrect.

Conserving Knobs and Buttons

There are a few tricks you can use if you're running out of buttons, or if your control surface only has a couple of buttons on each strip, and you want to control more parameters on each track:

  • Assign a two-way knob or button to control two different parameters--If a knob sends out one MIDI message when it's turned to the right and a different MIDI message when it's turned to the left, you could use it to control 2 toggle-type parameters, such as solo and arm. For example, if a knob sends out NRPN # 5000 with a data value of 1 when you turn it to the right and a data value of 16383 when you turn it to the left, you could use a Trigger Value of 1 to turn the Arm button on and off, and a Trigger Value of 16383 to turn the Solo button on and off. That way, each time you turn the knob to the right, the Arm button turns on or off. Each time you turn the knob left, the Solo button turns on or off.
  • Assign a two-way knob to control a continuous parameter--If your fader is assigned to control Volume, you can use a two-way knob to control Pan or some or continuous parameter such as Send 1 Level. For example, if a knob sends out NRPN # 5000 with a data value of 1 when you turn it to the right and a data value of 16383 when you turn it to the left, you could use a value of 1 in the Increment/Decrement Plus + field, and a value of 16383 in the Increment/Decrement Minus - field. That way, each time you turn the knob to the right, the Pan parameter (or whatever parameter you want) increases by 1. Each time you turn the knob to the left, the parameter decreases by 1. The parameter continues to increase if you keep turning the knob to the right, and decreases similarly if you keep turning the knob to the left.
  • Use multiple strips to control one track at a time--Assign as many knobs and faders as you want to control lots of parameters on only one track (leave the Configure Strip Number field set to 1 while you're assigning faders and knobs). Then assign a couple of buttons to Move 1 Left and Move 1 Right, so you can shift your control surface one track at a time.

See also:

Sample Control Surface Tutorial

Assigning Faders and Knobs to Control SONAR Parameters

Assigning Forward and Rewind Buttons

To Display a Knob's MIDI Message

Controlling Different Tracks or Groups of Tracks


Controlling Different Tracks or Groups of Tracks

The Cakewalk Generic Surface plug-in can control anywhere from 1-32 tracks simultaneously, as specified by whatever number you fill in in the Number of Track Strips field in the Cakewalk Generic Surface property page. There is always at least one track being controlled, referred to as the Base Track. The Number of Track Strips value refers to the base track plus `n' number of additional tracks. The toolbar automatically updates to display the range of tracks (1-8, 2-9, 9-16, etc.) that your control surface currently controls.

If multiple control surfaces are enabled, the Control Surfaces toolbar lets you select which control surface to display track information for.

The currently controlled tracks are displayed in the Control Surfaces toolbar. Go to View-Toolbars, and select Control Surfaces if the toolbar is not already displayed. It is important to understand that this toolbar is for display purposes only--it gets information from the Cakewalk Generic Surface plug-in (or any other active control surface plug-in), but the toolbar cannot update, or send information to the Cakewalk Generic Surface plug-in. Changing which tracks are controlled must be done with the Move 1 Left, Move 1 Right, Move Bank Left, or Move Bank Right parameters, or by clicking the BaseTrack buttons that are at the top of the Cakewalk Generic Surface property page.

Note: If you don't have any buttons left over to assign to the Move 1 or Move Bank parameters, you can click the right or left buttons in the BaseTrack section of the Cakewalk Generic Surface property page to move the Base Track to the right or left by one track. The buttons are located so that you can resize the property page to just show the buttons and the Presets field.

To Control the Next Track or Bank of Tracks

  1. In the Cakewalk Generic Surface property page under Global Parameters, select Move 1 Right to control the next higher-numbered track, or Move Bank Right to control the next higher-numbered bank of tracks.
  2. Move (twice) the button or knob that you want to use to shift the control surface to the next higher-numbered track or bank (for example, from track 1 to track 2, or from tracks 1-8 to tracks 9-16).
  3. Click the Learn button.
The property page reads the type of MIDI message and displays the characteristics in the appropriate fields.
  4. Press the Tab key to accept the data.
  5. Move the button or knob again and watch the display in the Control Surfaces toolbar to see if the current tracks shift by the appropriate number.

Repeat this procedure, but use a different knob, and select Move 1 Left or Move Bank Left so that you can move the current track or bank to a lower-numbered one.

See also:

Sample Control Surface Tutorial

The Cakewalk Generic Surface Property Page

Final Word

Working with Generic Control Surfaces


Sample Control Surface Tutorial

This section describes how to configure the Cakewalk Generic Surface plug-in to control a fictitious control surface consisting of:

  • Two strips, with each strip having 1 fader and 1 knob
  • Two buttons (separate from the strips)

This is a pretty simple control surface. For this example, let's decide that the faders should control Volume, the knobs should control Pan, and the two buttons should move the bank of tracks to the left and right respectively.

To start, follow the instructions earlier in this document for enabling the Cakewalk Generic Surface plug-in (To Enable the Generic Control Surface Plug-in) and displaying its property page. Once the property page is open:

  1. Set Parameter 1 to Volume, and Parameter 2 to Pan. Since our control surface only has two hardware controls per strip, we only need to use two track parameters (there is no need to configure Param 3-16; the MIDI message for these parameters should be assigned to None).
  2. We want our control surface to control two tracks simultaneously, so set Number of Track Strips to 2.
  3. Let's start by configuring the parameters for the first track: set Configure Strip Number to 1.
  4. Select Parameter 1 (Volume) by clicking the radio button that's just left of the Parameter 1 field.
  5. Move the first fader on your control surface (move it a couple of times).
  6. Click Learn. This automatically defines the MIDI message for Parameter 1 in strip #1 (i.e. Volume for the Base Track). You can also type in the desired MIDI message manually.
  7. Select Parameter 2 (Pan).
  8. Move (twice) the first knob in strip 1.
  9. Click Learn. This automatically defines the MIDI message for Param 2 in strip #1 (i.e. Pan for the Base Track). If you know what data value the knob sends out when you move it, check the Trigger Value field to see that it's the same as the data value that the knob sends out (see To Display a Knob's MIDI Message, if necessary).
  10. Next, let's configure the parameters for track 2 (Base Track + 1): set Configure Strip Number to 2.
  11. Since Parameter 2 (Pan) is already selected, move the knob in strip 2 (the identical knob you moved to set Pan in strip 1, only use the knob in strip 2).
  12. Click Learn. This automatically defines the MIDI message for Parameter 2 in strip #2 (i.e. Pan for base track+1).
  13. Select Parameter 1 (Volume).
  14. Move the second fader.
  15. Click Learn. This automatically defines the MIDI message for Param 1 in strip #2 (i.e. Volume for base track+1).
  16. All of the track parameters have now been defined. Press the Tab key to accept the last value you set.
  17. Let's configure the two remaining buttons to change the bank of tracks the control surface controls: select Move Bank Left.
  18. Press the button you reserved for this purpose on your control surface.
  19. Click Learn. This automatically defines the MIDI message to move the bank of tracks that the control surface controls to the left (by two tracks).
  20. Select Move Bank Right.
  21. Press the button you reserved for this purpose on your control surface.
  22. Click Learn. This automatically defines the MIDI message to move the bank of tracks to the right (by two tracks).
  23. Finally save the configuration as a preset by typing a name in the Preset field, and then clicking the disk icon that's next to it.

Note: In steps 17 and 20, you can select Move 1 Left and Move 1 Right instead if you prefer to move the group of tracks in increments of 1 track at a time instead of 1 bank of tracks at a time.

See also:

Assigning Faders and Knobs to Control SONAR Parameters

The Cakewalk Generic Surface Property Page

To Display a Knob's MIDI Message

Conserving Knobs and Buttons

Controlling Different Tracks or Groups of Tracks

Assigning Forward and Rewind Buttons

Working with Generic Control Surfaces


The Cakewalk Generic Surface Property Page

The Cakewalk Generic Surface property page appears when you click the Properties button that is at the right end of the Control Surfaces toolbar (View-Toolbars-Control Surfaces command) while Cakewalk Generic Surface appears in the dropdown menu in the toolbar. The Cakewalk Generic Control Surface plug-in must be enabled first, however (see To Enable the Generic Control Surface Plug-in, if necessary).

The property page has several sections, as described below:

BaseTrack

This section contains 2 buttons on either side of a number field. You can click the buttons to move the Base Track to a higher-numbered track (right button) or lower-numbered track (left button). The Base Track is the first track in the bank of tracks that your control surface is currently controlling. You define how many tracks are in a bank by entering a number in the Number of Track Strips field. The number can be from 1 to 32, inclusive. The property page is designed so that you can minimize it to show only the BaseTrack buttons and Preset window, so you can click the buttons while you're working. The buttons are an alternative way to change the Base Track if you haven't assigned any buttons on your control surface to do that. The Move 1 and Move Bank fields are what you use to assign those functions.

Parameters in a Hardware Strip:

This section lists the particular strip you are assigning controls for, the number of strips that make up a bank or tracks or strips, and the various track parameters you can control with the faders and knobs on any hardware strip. You can assign the following different track parameters:

  • Volume
  • Pan
  • Mute
  • Solo
  • Record Arm
  • Write Arm
  • Phase
  • Send n Level (n=1-16; depending on number of active aux buses; Send 1 Level=Reverb for MIDI tracks, Send 2 Level=Chorus for MIDI tracks)
  • Send n Pan (n=1-16)
  • Send n Enable (n=1-16)
  • Send n Pre/Post (n=1-6)

Global Parameters

This section let's you assign buttons and knobs to control SONARSONAR's transport. The parameters you can control are:

  • Play
  • Stop
  • Record
  • Record Automation
  • Jog <- (previous measure)
  • Jog -> (next measure)
  • Forward >>
  • Rewind <<
  • Move 1 Left--This parameter changes the currently-controlled track to the next lower-numbered track.
  • Move 1 Right--This parameter changes the currently-controlled track to the next higher-numbered track.
  • Move Bank Left--This parameter changes the currently-controlled bank of tracks to the next lower-numbered bank of tracks.
  • Move Bank Right--This parameter changes the currently-controlled bank of tracks to the next higher-numbered bank of tracks.

MIDI Message for the Current SONAR Parameter

This section is where you can choose a specific kind of MIDI message to control whatever track or global parameter is currently selected in the Parameters in a Hardware Strip section, or the Global Parameters section. Most of the time you don't need to choose, because the Learn button fills in the fields automatically.

Choose from the following options:

  • None--Click this button to disable remote control for the current parameter.
  • Learn--If you don't know the exact MIDI message that a fader/knob/button transmits, you can simply move the fader/knob/button a couple of times, and then click Learn to automatically fill in the correct MIDI message.
  • Controller--With this button enabled and a Controller number entered in the number field, SONAR moves the selected parameter whenever it receives this specific controller message from your control surface.
  • Channel--The MIDI channel the control surface uses for Controller, NRPN and RPN events. Don't use this channel for any other modules or synths.
  • NRPN--With this button enabled and a NRPN number entered in the number field, SONAR moves the selected parameter whenever it receives this specific NRPN message from your control surface.
  • Trigger Value--For triggered actions (mute, solo, play, stop, etc.), specify the Controller, NRPN or RPN value that will trigger the current parameter.
  • RPN--With this button enabled and a RPN number entered in the number field, SONAR moves the selected parameter whenever it receives this specific RPN message from your control surface.
  • Note--You can use a Note On message to trigger a parameter or action. The number field next to the radio button displays the note number, and the Trigger Value field displays the velocity the note must use to trigger the desired parameter. If you use a MIDI keyboard for this field, you can enter zero in the Trigger Value field, and the property page will then use the Note Off signal as a trigger, instead of the Note On.
  • Wheel--You can use a pitch wheel to trigger a parameter. In this case, the Trigger Value field uses a range of numbers from 0 to 16383. Continuous parameters such as Pan or Volume are the best choices for a pitch wheel (except for the fact that the wheel usually returns to its original position when you let go of it), but you can use a wheel to control toggle-type parameters by entering 0 or 16383 in the Trigger Value field. That way, you'll trigger the desired parameter when the wheel reaches its maximum or minimum position.
  • Sysx Single Byte--Selecting this option tells SONAR that the significant data (the variable, or parameter value) in the incoming Sysx message is in the form of a single byte. The Sysx Single Byte option has the following structure: F0 ? VV ? F7. The pre string should be F0 ?, where you must include the F0 byte, and the post string should be ? F7, where you must include the F7 byte.
  • Sysx High Byte First--Selecting this option tells SONAR that the significant data in the incoming Sysx message is in the form of two bytes, with the high byte first. The Sysx High Byte First option has the following structure: F0 ? HI LO ? F7.
  • Sysx Low Byte First--Selecting this option tells SONAR that the significant data in the incoming Sysx message is in the form of two bytes, with the low byte first. The Sysx Low Byte First option has the following structure: F0 ? LO HI ? F7.
  • Starts With--Fill in the string that your control surface sends in Sysx messages that precedes the significant data.
  • Ends With--Fill in the string that your control surface sends in Sysx messages that follows the significant data.
  • Sysx Trigger--Triggered targets (play, mute, solo, etc.) are enacted by using a Sysx trigger, where the user simply types the entire Sysx message F0 ?? F7 that will trigger the action.
  • Trigger Message--The exact Sysx message, in the form of F0 ? ? F7, for the Sysx Trigger option.

Note: The Sysx Single Byte, Sysx High Byte First, and Sysx Low Byte First options assume that the Sysx message will be interpreted as a value to control continuous parameters such as Volume, extracted from somewhere in the middle of the message. That is why those three options are unavailable for "triggered" targets, like play, record, mute, solo, move 1 left, move 1 right, etc.

MIDI Message Interpretation

A special interpretation of a MIDI message is commonly used in the following two cases:

  • Literally/Toggle--The property page interprets almost all MIDI messages as either literal values or toggle-type values, so most of the time this button is checked. A fader usually sends out a stream of different messages that are different for each position of the fader. The values of these messages are used "literally" to make timely changes in a continuous parameter such as Volume. The other common interpretation of a MIDI message is that it is meant to "toggle" a control such as a Mute button on and off. The property page interprets almost all MIDI messages as one of these two types of message.
  • Increment/Decrement--This option is valuable if you want to use a button or knob that can only send two different values to control a continuous parameter, such as Pan or Volume (see Conserving Knobs and Buttons).
    • Plus+--The value that causes the desired parameter to increase by 1.
    • Minus---The value that causes the desired parameter to decrease by 1.
  • On/Off--This option is currently only used with the Forward >> and Rewind << shuttle actions. You should only assign buttons to these functions if each button sends a different MIDI message when it is released from the message it sends when it is pushed. The On field displays the value the button sends when you push it, and the Off field displays the value the button sends when you release it.

Presets

After you have carefully configured the Cakewalk Generic Surface property page to work with your control surface, you will likely want to save the configuration as a preset.

To Save a Preset

  • Type a name in the Preset box, then click the Save (floppy disk) button.

Control Surface presets are saved in the following directory:

C:\Program Files\Cakewalk\SONAR 2\Presets\{404C9315-693D-4715-A326-143A992FA784}

(or wherever you installed SONAR 2, if different).

In addition, each preset is referenced in the following location in the Windows registry:

[HKEY_CURRENT_USER\Software\Cakewalk Music Software\SONAR\2.0\Presets\{404C9315-693D-4715-A326-143A992FA784}]

If you want to back up a preset, or send it to us for inclusion in SONAR 2, follow this procedure:

  1. Back up the actual preset file in the C:\Program Files\Cakewalk\SONAR 2\Presets\{404C9315-693D-4715-A326-143A992FA784} directory.
  2. Start the Windows registry by clicking the Start button, selecting Run, then type "regedit" (without the quotation marks). Warning: only do this if you're comfortable with editing the Windows registry!
  3. Navigate to [HKEY_CURRENT_USER\Software\Cakewalk Music Software\SONAR\2.0\Presets\{404C9315-693D-4715-A326-143A992FA784}], and highlight the preset you wish to back up.
  4. Go to Registry | Export Registry Key.
  5. Make sure "Selected branch" is selected.
  6. Provide a file name and click Save.

See also:

Final Word

The Cakewalk Generic Surface Property Page

Working with Generic Control Surfaces


Saving and Using Presets

You create a generic control surface preset in the Cakewalk Generic Surface property page the same way you create presets in other plug-ins: by configuring the plug-in the way you like, and then typing a name in the Presets window and clicking the disk icon to save your settings. You can then select a preset whenever you want to use a certain control surface in a certain way. You can create presets to use the same control surface in many different ways. For example, one preset could cause your control surface to control the same parameters on each track in a bank of 8 or more tracks. Another preset could cause your control surface to control a long list of parameters on only one track at a time. You can use as many control surfaces as you want simultaneously, with each one configured to control different SONAR parameters.

The first thing you need to know before creating a specific preset, is how many hardware strips/channels/modules the control surface supports. For example, a JL Cooper FaderMaster has 8 strips, a Kenton Control Freak Studio Edition has 16 strips. The Cakewalk Generic Surface plug-in can control anywhere from 1-32 strips (strip=track) simultaneously. The number of strips determines how many different SONAR tracks the control surface can control. Although a control surface has multiple hardware strips, you may decide that all faders/buttons/knobs should control a single SONAR track (fader 1 = volume, fader 2 = pan, etc.). You have complete control over how the Cakewalk Generic Surface plug-in is configured.

Once you have decided how many different SONAR tracks the control surface should control, make a list of which specific track parameter each hardware fader or button should control.

See also:

Final Word

Sample Control Surface Tutorial

The Cakewalk Generic Surface Property Page

Working with Generic Control Surfaces


Final Word

Be creative, and create control surface presets that suit you needs. For example, although your control surface may have eight hardware strips, you can:

  • Configure the Cakewalk Generic Surface plug-in to control a single track (each fader controls a different track parameter in the same track)
  • Split the hardware strips. Configure the surface to control 4 tracks, where faders 1-4 control Volume and faders 5-8 control Pan, etc.
  • Create many different presets, each suited for a different task
  • If the control surface has Factory and/or User presets, take advantage of them to quickly change the type of MIDI message that each fader/knob/button sends. For example, use preset #1 to control volume, preset #2 to control pan, etc.


OP Panels

OP stands for Open Plug-in technology. If you have a Yamaha sound module that uses OP panels, you can open the panels directly from SONAR, edit your sounds, and save them as presets.

To Open an OP Panel

  1. Make sure your Yamaha module is connected to your computer and turned on.
  2. Use the View-OP Panel command to display the submenu of installed OP panels, and click the name of the OP panel you want to display.
The OP panel appears.
  3. If you want to edit a preset you've previously created, choose the preset from the Presets window; otherwise type a name for your new preset in the Presets window.
  4. Edit your sound (each OP panel has its own help file).
  5. Click the floppy disk icon that's next to the Presets window to save your edited sound.


Working with StudioWare

StudioWare panels are software interfaces to external MIDI devices such as samplers, keyboards, automatable mixers, and effects units. These interfaces allow you to manipulate the controls on any external MIDI device from graphical controls on your screen. The changes you make to these controls can even be recorded and then played back as part of your project.

SONAR includes a wide variety of StudioWare panels for popular MIDI devices, with new panels constantly under development here at Cakewalk, by equipment manufacturers, and by SONAR users. Check the Cakewalk web site (www.cakewalk.com) from time to time for new and updated StudioWare panels

With SONAR, you have the ability to design and create your own StudioWare panels or to customize existing ones for your own use. This means you can create your own customized software studio that integrates the power of SONAR with all your studio gear.


StudioWare Panels

SONAR comes with a variety of StudioWare panels. Some are designed to control a specific external MIDI device, while others are useful with a variety of devices. Here is a listing of some of the panels that are included with SONAR:

Panel name... | What it's for...
Line 6 POD | Provides control for the Line 6 POD 2.0/Pro amp modeler.
Line 6 POD | Provides control for the Line 6 Bass POD amp modeler.
Fender Cyber Twin | Provides control for the Fender Cyber Twin amp modeler.
ART SQX20 | Provides control for the ART SGX 2000 Express guitar preamp/processor
AWE | Controls the wavetable synthesizer on SoundBlaster AWE sound cards
EMU Orbit | Provides basic control of the EMU's Orbit synthesizer
General MIDI | Provides parameters and control for any General MIDI compatible synthesizer
Mackie OTTO 1604 | Fader and Mute control designed for the Mackie 1604 mixer
MMC | MIDI Machine Control panel, providing track arming and transport control for any device that responds to MMC commands
Novation Bass Station BS1 | Panel for controlling the settings of the Novation BassStation
Novation Bass Station Rack BSR1 | Panel for controlling the settings of the Novation BassStation rack version
Novation DrumStationRack DRM-1 | Panel for controlling the settings of the Novation DrumStation
Novation Super Bass Station Rack | Panel for controlling the settings of the Novation SuperBassStation rack version
Roland GS | Control panel providing parameter manipulation for any GS-compatible synth
Roland VS-880 | Provides parameter and transport control for the Roland VS-880 digital audio workstation
Tascam RC-808 | Control Interface modeled after the Tascam RC-808 remote control unit, used with the DA-38, DA-88, and DA-98 multitrack recorders
Yamaha ProMix 01 | Provides parameter control for the Yamaha ProMix digital mixer
Yamaha 03D | Provides parameter control for the Yamaha 03D digital mixer
Roland UA-100 | Provides parameter control for the Roland UA-100 Audio Canvas

You can also create a basic StudioWare panel that contains a standard set of controls for selected tracks in a project. This panel will provide functionality similar to that provided by the Console view.

When you open or create a StudioWare panel, it is configured to be part of the current project. You can open several different panels and use them all with a single project. You can also open several different copies of the same panel and link each one to a different open project.

To Open a StudioWare Panel

  1. Choose File-Open to display the Open File dialog box.
  2. Choose StudioWare from the Files of Type list.
  3. Choose a StudioWare file and click Open.

SONAR opens and displays the StudioWare panel.

To Create a New Panel

  1. Select one or more tracks from the Track view.
  2. Choose File-New to display the New File dialog box.
  3. Choose StudioWare Panel from the list.
  4. Click OK.

SONAR displays a StudioWare panel with a set of standard controls for each selected track.


Using Panels

Every StudioWare panel is made up of a collection of controls and other information displays. The controls are software representations of the knobs, buttons, and sliders on an external MIDI device. By moving the controls on the screen, you adjust the controls on the external MIDI device. If you want, you can also configure the StudioWare panel so that moving the controls on the external device adjusts the controls on your computer screen. Some StudioWare panels contain controls that perform other functions within SONAR, such as changing track parameters or running CAL programs.

Because StudioWare panels can be used to control many different types of devices, and because each and every panel can be tailored for a specific application and hardware environment, it is impossible to explain here all the different ways to use a particular panel. Instead, this section tells you how to use the different types of controls and how to record the changes you make to each control as part of your project.

There are three types of controls in most StudioWare panels: buttons, knobs, and sliders. In addition, panels may contain LED indicators, level meters, text, and bitmap images. The appearance of controls and other displays may vary greatly from panel to panel. They may be of very different sizes, and they may be designed with custom styles, bitmaps, and colors. In addition, sliders and meters may be laid out either horizontally or vertically

There are a variety of ways to adjust the values of buttons, sliders, and knobs:

To change this... | Do this...
The status of a button | Click on the button
The value of a slider | Click on the desired slider position to move the slider to that position, or drag the slider to the desired position
The value of a knob | Click along the outer edge of the knob to move the knob to that position, or drag the outer edge of the knob in a circular motion to set the desired position

To change the value of a knob or slider using the keyboard, you must first select the control:

  • To select a control that has a numeric value display or label, click on the value or the label.
  • To select a control without a numeric value display, click on the control, being careful to click at the current control position. If you do not click at the current control position, the control will change values as a result of the mouse click.

To adjust a knob or slider using the keyboard:

  • Press the - and + keys to decrease or increase the value of the selected control by the smallest amount
  • Press the [ and ] keys to decrease or increase the value of the selected control by steps of 10


Grouping Controls

SONAR lets you create groups of StudioWare controls. When several controls are in a single group, you can move a single control and have the remaining controls in the group adjust automatically. This is useful for many different mixing and crossfade applications.

When you create a group of controls, each control in the group has a starting and an ending value. Here's how these values are used:

  • When you move any control in the group to its starting value, all controls in the group are set to their starting value
  • When you move any control in the group to its ending value, all controls in the group are set to their ending value
  • When you position any control in the group somewhere between its starting and ending value, all controls in the group are set to the same relative position between their starting and ending value

The initial range for each control is set based on the position of the controls at the time you group them.

You can adjust the range for any individual control, even if it is part of a group, simply by holding the Shift key while you move the control. When you adjust an individual control by holding the Shift key, its maximum or minimum is adjusted, depending on whether the entire group is closer to its minimum or maximum value.

To Create a Group of Controls

  1. Select any control by clicking on it with the mouse.
  2. Hold down the Ctrl key and click on one or more additional controls.

SONAR creates a group from the selected controls.

To Remove Controls from a Group

  1. Hold down the Ctrl key and click on any control in the group.

SONAR removes the control from the group.

To Adjust a Single Control in a Group

  1. Hold down the Shift key and drag the control to a new value.

The range for the control is adjusted so that its current position corresponds with the current position of other controls in the group.

Example: To Set Two Faders for a Crossfade

  1. Move the two faders to their midpoint.
  2. Click on the first fader, and then Ctrl-click on the second to create a group.
  3. Move both faders to their highest position.
  4. Shift-drag the second fader to its lowest position.
  5. Drag the first fader to its lowest position.
  6. Shift-drag the second fader to its highest position.

These two controls are now grouped so that they move in opposite directions.

The minimum and maximum values of the faders look like this:

Fader... | Starting value... | Ending value...
#1 | 0 | 127
#2 | 127 | 0

To set faders that are always the same distance apart, set the ranges something like this:

Fader... | Starting value... | Ending value...
#1 | 0 | 63
#2 | 64 | 127

To set faders to move over different ranges of values, set them something like this:

Fader... | Starting value... | Ending value...
#1 | 0 | 127
#2 | 0 | 100


Recording Control Movements

You can move the controls in a StudioWare panel while playing back a project to adjust the levels or other MIDI activity that the panel is designed to accommodate. In addition, you can record changes that you make to the controls in a panel so that these changes become a part of your project. Recording changes so that they play back automatically is known as automation.

There are two general approaches to recording control movements, as indicated in the following table:

Approach... | How it works...
Snapshot | You set all the controls to the values you want, and then create a snapshot of these settings at a particular Now time. When you play back the project later, all the controls will snap back to these settings when you reach the appropriate Now time.
Real-time recording | You move controls in any way you like, recording the series of changes you make so they become part of your project. When you play back the project later, the controls move exactly as you recorded them.

The first approach is useful, for example, when your project contains a variety of distinct sections and you want to make a sudden change in one or more settings between the sections.

The latter approach is most useful when you want to create smooth transitions from one section to another. For example, you could slowly add modulation to a MIDI piano or move the faders on a digital mixing console. Once you record these changes, they will play back along with your project automatically.

StudioWare lets you record and re-record automation data as many times as necessary. When you record new movements for a control, any old events for that control are replaced by the newer ones. Movements of other controls are unaffected. You can re-record moves again and again until you've got the movement exactly the way you want it. You can also edit automation data using the Controllers pane in the Piano Roll view.

There are three tools in the StudioWare toolbar that are used to control recording and automation:

Icon... | Tool... | What it's for...
 | Update | Makes the controls in the panel update automatically during playback or when MIDI data is received by the panel
 | Snapshot | Records a snapshot of the current position of all controls
 | Record | Activates real-time recording of all control movements

Most StudioWare panels are designed to both send and receive MIDI data. This means two things:

  • If you move the controls on your external MIDI device, the StudioWare panel will be notified of the changes
  • When you play back a project containing automation data, the StudioWare panel is notified of the automation changes

The Update button in the StudioWare toolbar indicates whether these changes are played back visually on the StudioWare panel. Press this button to make sure that automation parameters and changes made on the external MIDI device are displayed in the StudioWare panel. Turn this option off if you do not want to see these changes.

If you are recording a snapshot while playback is in progress, you should probably disable Update. Otherwise, some of the controls may move as a result of previously recorded automation events, even while you are trying to position them correctly.

When you are recording real-time control movements, you probably want Update enabled, so that the controls will show the events that have already been recorded.

If you record automation data on a track that contains linked clips, SONAR automatically unlinks the clips so that the automation data do not apply to other instances of the linked clip. As an example, suppose you have four repetitions of a particular riff, stored in four linked clips that play in sequence. When you record a fade-out over these four clips, SONAR automatically splits the clips into four independent clips, each with automation data representing some portion of the fade.

If you record a snapshot of control positions on a track that contains linked clips, the clips remain linked, and the snapshot applies to all copies of the linked clip.

If you are not happy with the automation data you recorded, you can always use the Edit-Undo command to remove it.

The automation data you record using a StudioWare panel can be displayed and edited using either the Controllers pane in the Piano Roll view or the Event List view. For more information on the Controllers pane, see Controllers, RPNs, NRPNs, and Automation Data. For more information on the Event List view, see The Event List View.

To Record a Snapshot While Playback Is Stopped

  1. Set the Now time to the point in the project where you want the settings to take effect.
  2. Move the controls to the settings you desire.
  3. Click [image] .

SONAR records a snapshot of the current control settings.

If the Now time is the very beginning of the project, then the snapshot will change the track parameters to match the controls in the panel instead of recording automation events.

To Record a Snapshot While Playback Is in Progress

  1. Make sure the [image] button in the StudioWare toolbar is not pressed so that Update is disabled.
  2. Change the Now time to a few bars or seconds before the time you wish to take the snapshot.
  3. Start playback.
  4. When you have reached the appropriate time, click on the Snapshot button.

SONAR records a snapshot of the current control settings.

To Record Control Changes in Real Time

  1. Make sure the [image] button in the StudioWare toolbar is pressed so that Update is enabled.
  2. Make sure the [image] button in the StudioWare toolbar is pressed so that recording is enabled.
  3. Set the Now time to a few bars or seconds before the time at which you want to record control movements.
  4. Click [image] or press the Space bar to start playback. (Note: Do not press the Record button in the Transport toolbar!)
  5. Adjust the controls as you wish while playback is in progress. Each time you adjust a control, the Record tool [image] is activated.
  6. When you are done, click [image] or press the Space bar to stop playback.
  7. Click the [image] button in the StudioWare toolbar to turn off real-time recording.

SONAR records the control changes that you entered while playback was in progress.


Control Settings

The controls in a StudioWare panel are designed to send and receive various types of MIDI information. This information can be transmitted to two possible destinations:

  • A specific track in your project
  • A MIDI output

When you want to record the movements of controls within a panel, you must make sure that MIDI data from the control are directed to a track and not to a MIDI. To find out where the data from a control are headed, be in design mode, right-click on the control to display the Control (Widget) Properties dialog box, and check the list:


StudioWare Panel Drawing Speed

Some StudioWare panels use bitmap graphics to enhance their appearance. These graphics can slow down the speed with which a panel is displayed on some slower PCs. You can turn off these bitmap graphics by adding this line to the [WinCake] section of the cakewalk.ini file, as follows.

PanelsShowWidgetBitmaps=0

To turn bitmap graphics on again, change the entry to:

PanelsShowWidgetBitmaps=1

For more information about the cakewalk.ini file, see Initialization Files.


Designing and Implementing Panels

StudioWare allows you to create your own custom panels for almost any external MIDI device. You can also control other MIDI software programs if you use a MIDI loopback driver. Once you create and save a StudioWare panel, you can:

  • Use it with any of your projects
  • Distribute it to other SONAR users
  • Submit it to Cakewalk so we can post it on our World Wide Web site and include it in future releases

You are free to embed your name, copyright, or other credits into the StudioWare panel, and you can even password-protect your panels to prevent other users from changing them.

To design a StudioWare panel, you need the following:

  • A good working knowledge of the device for which you are creating a panel
  • The MIDI implementation guide for the device, usually found in the back of the user's guide
  • The System Exclusive implementation guide for the device, also usually found in the back of the user's guide

In general, you follow these steps to create a StudioWare panel:

  • Create a new panel and enter Design mode
  • Add elements (called widgets) to the panel and arrange them the way you want
  • Change the settings for each widget so that it controls the external MIDI device or displays the information you want
  • Customize the appearance of the panel

Each of these steps is discussed in the sections that follow. Note that widgets have a large number of properties, some of which determine the appearance of the widget, and some of which determine how it interacts with an external MIDI device. These properties are discussed in the sections that follow.

While you work on your StudioWare panels in Design mode, remember that you can use the Undo command when you make a mistake and want to correct it quickly.


Creating a New Panel

When you create a new StudioWare panel, SONAR always creates a standard set of widgets for each selected track in the current project. The standard widgets are different for MIDI and audio tracks. Once you create the initial panel, you enter Design mode by pressing the [image] button on the StudioWare toolbar. Design mode lets you add, resize, delete, or change other characteristics of each widget. While you are in Design mode, you cannot adjust the widgets the way you do when you are using a panel (that is, you cannot turn a knob or change the level of a slider).

After you create or modify a panel, you should save your work by saving the StudioWare panel in a StudioWare file. You save a StudioWare panel by clicking the [image] button in the StudioWare toolbar. StudioWare panel files have an extension of .CakewalkStudioWare. SONAR normally stores StudioWare panels in a particular folder. To change this folder, choose Options-Global and click the Folders tab.

StudioWare panels can also be stored as part of a project, bundle, or template file. When you save a project or bundle file while a StudioWare panel is open, the StudioWare panel becomes part of the file layout. For more information on layouts and template files, see Layouts, Templates and Key Bindings. For more information on bundle files, see Backing Up Projects with Digital Audio.

To Start Designing a Panel

  1. Create a new project using the File-New command.
  2. Choose File-New to display the New dialog box.
  3. Choose StudioWare Panel from the list and click OK. SONAR creates a standard StudioWare panel.
  4. Stretch the panel window to the right until the Design mode button [image] is visible.
  5. Click the [image] button to enter Design mode.

SONAR displays all the design tools in the StudioWare toolbar.

To Edit an Existing Panel

  1. Choose File-Open to display the Open dialog box.
  2. Choose StudioWare from the Files of Type list.
  3. Choose the panel you want to modify and click OK. SONAR opens and displays the panel.
  4. Click the [image] button to enter Design mode.

To Save a StudioWare Panel

  1. Click the [image] button in the StudioWare toolbar to display the Save StudioWare dialog box.
  2. Enter a name for the panel.
  3. If desired, enter a password in the Password box. If you use a password, be sure to write down your password and keep it in a safe place. If you forget the password, you will not be able to open the panel in design mode.
  4. Click OK.

SONAR saves the StudioWare panel in a file by itself.

To Save a StudioWare Panel in a Project, Bundle, or Template

  1. Choose File Save to display the Save As dialog box.
  2. Choose Normal (project file), Template, or Bundle from the Save as Type list.
  3. Enter a name for the file.
  4. Click Save.

SONAR saves the StudioWare panel as part of the project, bundle, or template file.

To Leave Design Mode

  1. Click the [image] button to leave Design mode.

All the design tools will be hidden, and you can now use the panel to control the MIDI device.


Adding and Arranging Widgets

You add widgets to a StudioWare panel by choosing one of the design tools in the StudioWare toolbar and then clicking where you want to add the widget.

To arrange or edit widgets, you must select them using the Select tool [image] . You select a widget by clicking on it with the Select tool. To select additional widgets, hold down the Shift key while selecting. To toggle the selection status of a widget, hold down the Ctrl key while selecting. When you use one of the design mode tools to add a new widget, the Select tool is chosen automatically after the widget is added to make it simple for you to edit the widget.

When you select a widget, a rectangular border is displayed to indicate its dimensions. When several widgets are selected you can resize or move them as a group, but you can only alter the properties and visual appearance of the one most recently selected. One exception: you can change the color or bitmap for all selected widgets in a single step.

Like many other views, the StudioWare view has a snap-to grid option. When this option is enabled, widgets that you move using the mouse will snap automatically to a point on the grid. To enable the snap-to grid, click the [image] button in the toolbar. To change the grid size, Shift-click on the [image] button, and enter the desired grid size, in pixels, in the Snap to Grid dialog box. The snap-to grid option is ignored when you move widgets with the keyboard.

The Cut, Copy, Paste, and Delete commands all work in the normal fashion. You can use these commands to cut or copy widgets within a single panel or between panels. When you paste widgets into a panel, they will appear at their original locations. The widgets that are pasted are automatically selected so you can move them easily after the pasting. To copy and paste widgets between panels, both panels must be in design mode.

To Move Widgets Using the Mouse

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Select one or more widgets to be moved.
  3. Position the cursor over one of the widgets, so that it looks like this: .
  4. Drag the widget to a new position.

SONAR repositions the widget(s).

To Move Widgets Using the Keyboard

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Select one or more widgets to be moved.
  3. Position the cursor over one of the widgets, so that it looks like this: .
  4. Press the arrow keys on the keyboard to move the widget one pixel at a time in any direction.

SONAR repositions the widget(s).

To Resize Widgets Using the Mouse

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Select one or more widgets to be resized.
  3. Position the cursor over any edge or corner of one of the widgets, so that it looks like this: .
  4. Drag the corner or edge of the widget to change its size.

SONAR draws the widget in its new size.

To Resize Widgets Using the Keyboard

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Select one or more widgets to be resized.
  3. Position the cursor over any edge or corner of one of the widgets, so that it looks like this: .
  4. Press the arrow keys on the keyboard to resize the widget one pixel at a time.

SONAR draws the widget in its new size.

To Delete Widgets

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Select one or more widgets.
  3. Press the Del (Delete) key or choose Edit-Cut.

To Copy Widgets

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Select one or more widgets.
  3. Press and hold the Ctrl key.
  4. Position the cursor over one of the widgets, so that it looks like this: .
  5. Drag a copy of the widgets to a new position.

SONAR makes a copy of the selected widgets.


Using Clusters

The cluster is a special type of widget that you can use to organize other widgets. The cluster widget is very useful for organizing large, complicated panels. When you place widgets in a cluster, you can:

  • Move all the widgets in a cluster just by moving the cluster widget
  • Copy, paste, or delete all the widgets in the cluster in a single step
  • Hide the widgets in a cluster based on the settings of other widgets

A cluster widget is simply a rectangular container region. When you place any other type of widget so that its upper-left corner is inside the cluster, that widget becomes a part of the cluster. You can either place a new widget inside the cluster or move an existing widget into the cluster rectangle; either action makes the widget a part of the cluster.

You can also nest clusters, so that cluster A contains cluster B, and so on. To create a nested cluster, you must create a new cluster B that is located inside A. You can do this in two ways: using the Cluster tool [image] , or by Ctrl-dragging an existing cluster (making a copy of that cluster) inside the outer cluster A. You cannot move one existing cluster inside another cluster to create nested clusters.

When you first insert the cluster, it will be displayed as a shaded rectangle, like this:

This shading indicates that the cluster is empty, or inactive. The cluster will retain this appearance until you place another type of widget inside it. Placing a nested cluster inside the original is not sufficient; you must put one of the other types of widgets in the cluster to activate it.

For information about how to hide and show a cluster of widgets, see Hiding Clusters.

To Add a Cluster Widget

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Click [image] in the StudioWare toolbar.
  3. Click the mouse anywhere in the panel. SONAR adds a cluster widget and displays it as a shaded rectangle.
  4. Resize the cluster widget as desired.

You can now place other widgets inside the cluster.


Functional Settings

Every widget can be programmed to take certain actions when it is manipulated by the panel user. Widgets can send MIDI messages to a output, record MIDI events in a track, change the value of variables (called aliases) that control the operation of the panel, and so on.

These functional settings are determined by setting the parameters of the widget. Here are the widget parameters that affect the operation of the panel:
Parameter... | What it's for...
Automate in Track | If checked, movements of this widget are stored in the designated track number. You can specify the track number or choose an alias whose value is the track number. See Using Aliases for Track and Port Numbers, for more information.
Direct to Port | If checked, movements of this widget are sent directly out a MIDI or audio port. You can choose a MIDI or Audio port explicitly or choose an alias whose value is the MIDI port number. You can also indicate audio ports using aliases with negative values (e.g., -1 for the first audio port, -2 for the second audio port). See Using Aliases for Track and Port Numbers, for more information.
Primary Action | The type of message or event that is generated by the widget when it is manipulated. See Primary Action for more information.
Alias | A user-defined symbolic name that is used to store the widget's value. Aliases can be used to link widgets together in many interesting ways. See Alias for more information.
Min, Max | The minimum and maximum allowable values for the widget.
Initial | The initial value for the widget when the panel is opened.
Spring-Loaded | If checked, the widget will return to its initial value after it is moved with the mouse.

To Change a Widget's Functional Settings

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Double-click on a widget, or right-click and choose Properties from the menu.
  3. Choose either the Automate in Track or Direct to Port option.
  4. Choose the Track or Port number from the dropdown list.
  5. Choose a Primary Action from the list, and then fill in the required fields for that action type according to the instructions in the following section.
  6. If desired, enter an alias for the widget.
  7. Click OK when you are done.

SONAR modifies the widget settings as you indicated.

Primary Action

This section of the widget properties selects the type of data that the widget will generate. Widgets can send the following types of MIDI information to a track or port:

  • Notes
  • Controllers
  • Patch Changes
  • Pitch Wheel events
  • Key Aftertouch
  • Channel Aftertouch
  • Registered Parameter Number (RPN) events
  • Non-Registered Parameter Number (NRPN) events
  • System Exclusive Banks & Data
  • MCI commands

In addition to the above, widgets can generate the following special types of events:

  • Bindings
  • CAL Programs
  • Track Parameters

Depending on the primary action you assign to the widget, you must provide additional information about the event you want to generate when the control is moved. The additional information can take several forms. For more information about aliases, calculated expressions, and assignment, see Advanced Panel Design.

The tables that follow describe the information you need to provide for each primary action type:

Note

Data field... | Range of values...
Key | 0-127, simple alias, calculated expression, assignment. Note that you cannot enter note names (like C2 or G5). You must use the note number.
Velocity | 0-127, simple alias, calculated expression, assignment.
Channel | 1-16, simple alias, calculated expression, assignment.

The widget sends a MIDI note every time its value changes. Key defines the MIDI note number sent by the widget.

Controller

Field... | Range of values...
Number | Controller dropdown list, 0-127, simple alias, calculated expression, assignment
Value | 0-127, simple alias, calculated expression, assignment
Channel | 1-16, simple alias, calculated expression, assignment

The widget sends a MIDI controller number and value. The list of available controllers is determined partly by the instrument definitions in the Assign Instruments dialog box, which you access by choosing Options-Instruments.

Patch Change

Field... | Range of values...
Bank | Bank dropdown list, 1-16383, simple alias, calculated expression, assignment
Patch | Patch dropdown list, 0-127, simple alias, calculated expression, assignment
Channel | 1-16, simple alias, calculated expression, assignment

The widget sends bank and patch changes. The list of available patches is determined partly by the instrument definitions in the Assign Instruments dialog box, which you access by choosing Options-Instruments.

Pitch Wheel

Field... | Range of values...
Amount | -8192 through 8191, simple alias, calculated expression, assignment
Channel | 1-16, simple alias, calculated expression, assignment

The widget sends Pitch Wheel messages. You may want to check the Spring Loaded option so that the pitch will return to its center position when you release the widget.

Key Aftertouch

Field... | Range of values...
Key | 0-127, simple alias, calculated expression, assignment
Pressure | 0-127, simple alias, calculated expression, assignment
Channel | 1-16, simple alias, calculated expression, assignment

The widget sends aftertouch messages for individual notes. This may be useful if your synthesizer receives (but doesn't send) MIDI Key Aftertouch, as is true of synthesizer modules. Key defines which note the message will be sent to. Pressure sets the amount of aftertouch.

Channel Aftertouch

Field... | Range of values...
Pressure | 0-127, simple alias, calculated expression, assignment
Channel | 1-16, simple alias, calculated expression, assignment

The widget sends channel aftertouch messages. Many synthesizers receive only channel aftertouch, which affects all notes on a MIDI channel. You set the amount of this aftertouch here.

RPN and NRPN

Field... | Range of values...
Number | RPN dropdown list, 1-16383, simple alias, calculated expression, assignment
Value | 1-16383, simple alias, calculated expression, assignment
Channel | 1-16, simple alias, calculated expression, assignment

The widget sends RPN or NRPN numbers and values.

Sysx Bank

Field... | Range of values...
Bank | 0-8191, simple alias, calculated expression, assignment

The widget sends System Exclusive messages. The StudioWare view allows you to define Sysx messages that tell SONAR how to package data values into a Sysx message for transmission or recording and also how to extract data values from an incoming or previously recorded Sysx message.

You can use Sysx Bank events to transmit one of the project's 8192 banks (numbered 0 through 8191) of System Exclusive data. These banks can be recorded, viewed, and edited in the Sysx view, and each bank can contain one or more very large System Exclusive messages. Type the number of the bank in the Bank field.

Sysx Data

Field... | Range of values...
Data | Sysx Data (up to 255 bytes), simple alias, calculated expression, assignment

You can also use Sysx Data events, which can each contain a single System Exclusive message. This message can be up to 255 bytes long. Each project can contain a virtually unlimited number of Sysx Data events. You can view and edit bytes of recorded Sysx data in the Event List view.

If you choose Sysx Data, the Data field lets you type in the hexadecimal bytes of the Sysx message that the widget will send. You can also enter an alias or an expression in place of any byte in the Sysx message, but the alias or expression must be surrounded by parentheses. (See Alias Formulas for more about aliases and expressions.) When the message is sent or recorded, the current value of the alias or expression will be inserted into that byte slot in the message.

Furthermore, an alias reference in the body of the Sysx message will create a two way connection between that alias and the message. The alias value will update in response to a matching message that has been received at an input port or that is being played back from a project in SONAR.

This is similar to the syntax used by SONAR for defining Dump Request Macros, where a combination of literal hex bytes and symbolic names specify how a particular Sysx message should be generated. You can enter a byte of a message as either a hexadecimal or decimal constant or as a symbolic alias name.

Note:

SONAR cannot tell whether F0 means the number hex 00F0 or the alias F0. So you must type the prefix $ or 0x in front of any hex byte (e.g.: 0xF0) so that it won't be interpreted as an alias name by SONAR. A number without a leading prefix is assumed to be decimal, so 10 is ten, but $10 or 0x10 is sixteen.

MCI Command

Field... | Range of values...
Command | MCI text string, simple alias, calculated expression, assignment

The widget sends MCI (Media Control Interface) commands, which belong to Microsoft's multimedia control language. If the text is longer than a single line of text, each line will be sent as its own MCI command. MCI allows single commands of up to 256 bytes long.

Binding

Field... | Range of values...
Verb | Binding verb dropdown list

Binding verbs let the widget directly trigger any SONAR command or respond to open dialog boxes. For example, you could link one button to the Edit-Undo command, another to the Go-Previous Measure command, and another to the File-Open command.

CAL Program

Field... | Range of values...
Program | CAL program up to 32768 characters long, reference to external CAL program (see text below), simple alias, calculated expression, assignment

The widget runs a short CAL program (which you enter into the Program field) each time the widget is manipulated. The CAL program can be one of two things:

  • A stand-alone CAL program, which you type directly into the dialog box, or copy and paste from Notepad.
  • A short program that invokes another, existing CAL routine. You can do this using the include statement, as follows:

    (do (include "ProgramName.cal"))

where programname.cal is the file name of the CAL routine.

The latter method allows several panels or widgets to share the same CAL program. If you change the CAL program, all panels automatically use the updated version. In addition, you can use this method to attach long CAL programs to a widget. If you use this method, the StudioWare panel and the CAL program file must be stored in the same directory. Otherwise, SONAR won't know where to look for the CAL program when you activate the widget.

Track Parameter

Field... | Range of values...
Parameter | Track parameter dropdown list
Value | Numeric value, simple alias, calculated expression, assignment

The widget changes a track parameter such as Mute, Solo, Arm, Channel, Port, or Volume. You cannot change the Name or Size parameters from a widget. Note also that you cannot record track parameters using the snapshot or real-time recording functions. Changing the track properties affects every event in the track.

Alias

The alias is a user-defined symbolic name that expresses the widget's value. By using the same alias for several widgets, you can link the operation of these widgets. For example, if a slider and a meter share the same alias, adjustments that are made to the slider will change the current value on the meter. If a slider and a knob share the same alias, adjusting the knob will cause the slider to move, and moving the slider will cause the knob to move.

There are some important rules for alias names:

  • They must start with a letter.
  • They can contain only letters, numbers, and the underscore
    symbol ( _ ).
  • They cannot contain blank spaces.
  • Names are case-insensitive. There is no difference between
    VOLUME, Volume, and volume.

For more information on aliases, see Advanced Panel Design.


Customizing the Appearance of a Panel

There are a large number of widget settings that affect the appearance of StudioWare widgets, as indicated in the following table:

Setting... | What it's for...
Style | The type of widget: knob, slider, button, LED, meter, text, cluster, or image; when you change the style of a widget, its other properties stay intact.
Label | A text name for the widget. For convenience, you should keep widget labels short. Labels can also be used to show values; see Widget Tips and Tricks, for more information.
Border | If checked, a border is displayed around the widget.
Show Label | If checked, the widget label is displayed in the panel directly below the widget (for cluster widgets, the label appears at the top of the widget).
Show Value | If checked, the value of the widget is displayed in the panel directly above the widget.
X, Y | The X and Y position of the upper-left corner of the widget (in pixels).
Width, Height | The width and height of the widget (in pixels).

The X, Y, width, and height parameters provide another way to position widgets inside a panel. Note that the Show Label and Show Value options use up some of the space allocated to a widget. This means that enabling one or both of these options on an existing widget will shrink the knob or slider to allow room for the text.

In addition, you can import your own bitmap artwork to customize the appearance of widgets in a panel. Some widgets require only a single bitmap, while some require two, as indicated in the following table:

Type of widget... | Background bitmap... | Foreground bitmap...
Cluster | Wallpaper for the entire cluster | Unused
Button | Up position of the button (drawn with transparent background) | Down position of the button (drawn with transparent background)
Knob | Knob image, stretched to fill the widget's area | Knob pointer, at original scale (drawn with transparent background)
Slider | Slider background, stretched to fill the widget area | Slider thumb, at original aspect ratio
LED | Indicator, when OFF (drawn with transparent background) | Indicator, when ON (drawn with transparent background)
Meter | Dark part of meter, stretched to fill the widget area | Lit part of the meter
Text | Unused | Unused
Image | Displayed image, tiled to fill. If a foreground bitmap is assigned, the background bitmap is ignored | Displayed image, stretched to fill

There are three bitmap options for a widget:

Option... | How it works...
Default | The standard (default) StudioWare bitmaps are used
None | No bitmaps are used
Custom | You assign custom foreground and background bitmap images (in .bmp or .dib format) to the widget

As indicated in the above table, some widget bitmaps are drawn with a transparent background. For these bitmaps, any pixels that match the upper-left most pixel in the image will be transparent, showing through to whatever is behind them. You can use this effect to design widget artwork that is not strictly rectangular in shape, like knobs that are round. If you try to use the transparent color in your bitmaps, your widgets may show unintended transparent areas. Be sure to choose a transparent color that you don't need to draw with. To draw a perfectly rectangular bitmap, you can simply add an extra row of pixels across the top of the bitmap in an unused color.

You can also assign colors to certain types of widgets. These colors are used to draw the corresponding control element when you choose None as the bitmap option. Text widgets display their text using the foreground color when the widget's alias is not equal to its minimum range value and the background color when the two values are equal.

To Change a Widget's Appearance

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Double-click on a widget, or right-click and choose Properties from the menu.
  3. Enter the settings you want as shown in the above table.
  4. Click OK when you are done.

SONAR modifies the widget settings as you indicated.

To Use Custom Bitmaps

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Right-click on a widget, and choose Foreground Bitmap or Background Bitmap from the menu.
  3. Choose the bitmap file you want to attach, or choose Default or None.
  4. Click OK when you are done.

SONAR imports the bitmap and attaches it to the widget.

To Assign Colors to Widgets

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Make sure that you have chosen None for both the foreground and background bitmap.
  3. Right-click on a widget, and choose Foreground Color or Background Color from the menu.
  4. Choose the color you want to use.
  5. Click OK when you are done.

SONAR assigns the color to the widget.


Advanced Panel Design

StudioWare allows you to create very sophisticated and complex panels. This section covers advanced panel design capabilities.

Alias Formulas

You can use aliases, or formulas using aliases, to manage interactions between the widgets in a panel. You can enter formulas anywhere that you would normally choose an alias name. There are three different options, described below.

Simple Alias: Enter a name into the Alias field to represent the numeric value of the widget. Moving the widget causes the alias to take on the new value immediately, and if the alias should change in value for some other reason, the widget will automatically update to the new position and transmit/record fresh MIDI data. This makes a two-way connection between the widget and the rest of the system, because data values can flow both into and out of the widget through the alias. If two widgets have the same alias, they will always have the same value as well.

Tip:

You can force an alias to work only one way by putting parentheses () around the name in the Alias field. The widget will then receive values from other widgets with the same alias, but won't send data to those widgets.

Calculated Expression: Enter a computational expression that refers to other aliases, such as VocalLevel + 18. This allows one widget to take on a value that is determined by (but not necessarily identical to) the value of one or more other widgets. Expressions of this form are not inverted, so this defines a one-way relationship between the other aliases and the widget. Activating this widget will have no effect on any alias value and, therefore, no effect on other widgets.

Assignment: Enter an assignment statement, such as OverdubLevel = VocalLevel + 18. This is a combination of the above two methods. The alias OverdubLevel behaves like a normal two-way alias, but if the value of the expression ever changes, the alias and the widget will both take on the new value immediately. This provides a two-way connection between the widget and the alias and a one-way relationship from any aliases referenced in the expression to the widget alias.

All computations are performed using signed 32-bit integer quantities. The only exceptions are the bitwise AND, OR, and XOR operations, which use unsigned 32-bit integer computation.

Expressions and formulas are written in a syntax that is adapted from the C programming language. They can be used to perform calculations, make decisions, and pack and unpack data values in MIDI messages. The following operators are currently defined:

Operator... | Meaning...
+ | addition
- | subtraction
* | multiplication
/ | division
% | modulus
& | bitwise AND
| | bitwise OR
~ | bitwise exclusive OR (XOR)
( ) | parentheses for controlling the order of evaluation
? : | conditional operator
== | equality
!= | inequality
< | less than
<= | less than or equal to
> | greater than
>= | greater than or equal to

Some examples of operator usage are:

Formula... | Example...
x = y | Alias x is assigned the value of alias y whenever the value of alias y changes
x = y + 2 * z | Alias x is assigned the value of alias y plus 2 times the value of alias z whenever either y or z changes
x = (y + 2) * z | Alias x is assigned the value of alias y plus 2, then multiplied by the value of alias z whenever either y or z changes
x = y | z | Alias x is assigned the value of alias y bitwise OR the value of alias z whenever either y or z changes. If y==0xF0 and z==0x07, then x is set to 0xF7
x >= y ? x : y | If x is greater than or equal to y, use x; otherwise, use y
x == y ? 1 : $F0 | If x is equal to y, use 1; otherwise, use $F0 (hexadecimal), or 240 (decimal)
LUCK ? 7 : 11 | If the value of alias LUCK is YES or non-zero, use 7; otherwise, use 11
A ? x : (B ? y : z) | If A then use x, else if B then use y, else use z


Using Aliases for Track and Port Numbers

By using aliases for track or port numbers, you can create a panel in which one widget determines the destination for MIDI information sent by another widget. For example, you could create a panel like this one:

In this panel, the knob is used to change the track number from 1 through 8, while the slider is used to control the volume of the current track. To implement this panel, the knob is assigned minimum and maximum values of 1 and 8 and is assigned the alias TRACKNO. The slider widget's Automate in Track parameter is also set to TRACKNO, so that the slider's messages are sent to the correct track.

You can redirect widget messages to different MIDI ports using this same method by setting the Direct to Port parameter of a widget to a specific alias value.


Hiding Clusters

Aliases can be used to hide and show clusters of widgets. Here's how:

  • Assign an alias name to the cluster widget
  • Assign a minimum value to the cluster widget
  • Use some other widget in the panel (like a button) to change the value of the alias

Whenever the value for the alias exceeds the minimum value for the cluster widget, the cluster is displayed. When the value for the alias is below the minimum value for the cluster widget, the cluster is hidden.

Four important tips:

  • When a cluster is hidden, its widgets still function
  • To make sure a cluster is always visible, do not give it an alias
  • Make sure you follow the rules for naming aliases
  • If a cluster has a shadow on the right and bottom edges, it is a pop-up cluster that will be hidden when the alias drops below the minimum value

Also, note that when you set the alias and minimum value for a cluster, the cluster will seem to disappear. This is perfectly normal; until the alias reaches the minimum value, the cluster will remain invisible. To avoid this, set the cluster's initial value equal to its maximum value before leaving the Widget Properties dialog box.


Grouping Widgets

Grouping Controls showed how to create groups of faders, knobs, and buttons on the fly while using a StudioWare panel. When you are in Design mode, you can create and delete groups in several other ways.

In Design mode, you can also create radio groups. You typically use radio groups for sets of buttons in which only one can be pressed at a time, like the preset buttons on some car radios.

Note that grouping widgets that are linked by aliases may cause your groups or linkages to behave in an unexpected manner. You will need to be conscious of any existing groups or alias links when you set up either type of relationship.

To Create a Group

  1. Make sure the [image] button is pressed so you are in Design mode.
  2. Select two or more widgets that you want to group.
  3. Right-click on one of the widgets and choose
  4. Group from the menu.

When you leave Design mode, the widgets are grouped together.

To Remove a Widget from a Group

  1. Select the Widget you want to remove. Make sure no other widgets are selected.
  2. Right-click on the widget and choose Group from the menu.

The widget is removed from the group.

To Create a Radio Group

  1. Leave Design mode and move all desired widgets to their reset or default positions.
  2. Re-enter Design mode.
  3. Select all of the widgets that you want to group.
  4. Right-click on one of the widgets and choose Radio Group from the menu.

When you leave Design mode, moving any widget in the radio group will move all other group members to their reset or default positions.

To Remove a Widget from a Group

  1. Select the widget you want to remove. Make sure no other widgets are selected.
  2. Right-click on the widget and choose Radio Group from the menu.

The widget is removed from the group.


Widget Tips and Tricks

When you place an image widget into a panel, it may seem tricky to get the widget size exactly the way you'd like. The best way to resolve this is to use any bitmap drawing program to find out the exact height and width of the image in pixels. Then, after you create the image widget in StudioWare, enter these values in the Widget Properties' Width and Height fields. Your image will appear at its original size, eliminating any guesswork.

You may notice that horizontal sliders use the same thumb as vertical sliders. If you arrange your sliders to be displayed horizontally, you should right-click on the slider, choose Foreground Bitmap, and then click the None option. This will maker the slider's thumb fit better into the horizontal slider. Change the setting back to Default if you want to make the slider vertical again.

You can display the actual value of an alias in almost any format, by using a text widget. To do so, you create a string for the Label field of the text widget that contains some special characters, as listed in the following table:

Special characters... | How they are used...
%d | These characters are replaced by the value, displayed in decimal form.
%x | These characters are replaced by the value, displayed in hexadecimal form.
%04d | These characters are replaced by the value, displayed in decimal form, with exactly four digits displayed. The 0 indicates that the following number 4 is the desired number of digits.

The format strings are similar to those defined in the C computer language. Here are a few examples, given an alias value of 23:

Label... | Display...
%d | 23
Volume = %d | Volume = 23
Device ID = 0x%02x | Device ID =0x17 (this is hexadecimal)
I have %05d widgets! | I have 00023 widgets!


Tutorial--Creating a Panel

In this section, we will create a panel from scratch in order to illustrate the process. The sample panel will control three specific parameters found on any General MIDI device--volume, modulation, and sustain--and add a few other widgets to display their values. To demonstrate how this panel works, you will need to have at least one track of MIDI data assigned to a General MIDI-compliant device in the Track view of the current project.

Starting Out

  1. With the one General MIDI assigned track selected, create a new panel (choose File-New, pick StudioWare Panel from the list, and click OK).
  2. Click [image] to enter Design Mode.
  3. All five visible widgets are part of a single cluster. To select the cluster, click on the track name at the top of the cluster.
  4. Press the Del key to delete the cluster.
  5. This will give us a starting point for our new panel.

All the widgets are deleted, leaving only a shaded rectangle behind. That rectangle is the main workspace of the panel, which can be resized in the same way as any other widget. It will automatically resize to include any widgets you add.

First, let's create a standard panel and then remove all of its widgets.

Adding a Pop-Up Cluster

Next, let's place one of each type of widget in our new panel. We'll start with a cluster widget, and then place other widgets insider the cluster.

  1. Click [image] in the StudioWare toolbar to select the Cluster tool.
  2. Click the mouse anywhere within the panel window to add a cluster widget.
  3. Drag the corners or edges of the cluster widget to adjust its size.

Now, let's name the cluster and set up an alias, so we can hide and show the cluster when we want to.

  1. Right-click on the cluster, and choose Properties.
  2. Enter Controllers in the Label field.
  3. Enter CONTopen in the Alias field.
  4. Enter a Minimum value of 126.
  5. Enter an Initial value of 126.
  6. Click OK.

If you've done everything correctly, the cluster widget will disappear. When the value of CONTopen reaches 127, the cluster will be displayed again.

Now, let's add a button widget that will control the display of the hidden cluster. We want to place this button outside the cluster we just created.

  1. Click [image] in the StudioWare toolbar to select the Button tool.
  2. Click somewhere outside the cluster widget.
  3. Right-click on the new button, and choose Properties.
  4. Choose CONTopen from the Alias list. Verify that the default Maximum value is 127.
  5. Click OK when you are done.

Now, when the button is pressed, the value of CONTopen will be set to 127, and the cluster widget will be displayed. To verify this:

  1. Click [image] to leave Design Mode.
  2. Click on the button. The cluster should appear.
  3. With the cluster still visible, click [image] to re-enter Design Mode.

Controlling MIDI Sustain and Modulation

Now, let's add a button inside our cluster that will turn on the sustain of the MIDI track.

  1. Click [image] in the StudioWare toolbar to select the Button tool.
  2. Click inside the cluster.
  3. Right-click on the new button, and choose Properties.
  4. Enter Sustain in the Label field.
  5. Enter SUSTAIN in the Alias field.
  6. Make sure that the values in the Range fields are 0 for the Minimum and 127 for the Maximum (the legal range for MIDI controllers) and that the Initial value is set at 0.
  7. Choose Controller from the Kind list.
  8. Enter 64 in the Number field. This is the controller number for Modulation in the General MIDI specification.
  9. Enter SUSTAIN in the Value field. This will link the controller value to the value of the button.
  10. Check the Automate in Track option, and enter a track number in the field.
  11. Click OK when you are done.

Note that you could have entered an alias for both the channel number and track number fields, so that another widget in the panel could be used to determine which channel or track would receive the controller messages.

Now let's add a knob to control MIDI modulation.

  1. Click [image] in the StudioWare toolbar to select the Knob tool.
  2. Click inside the cluster.
  3. Right-click on the knob and choose Properties.
  4. Enter Modulation In the Label field.
  5. Enter MODlevel in the Alias field.
  6. Make sure that the values in the Range fields are 0 for the Minimum and 127 for the Maximum (the legal range for MIDI controllers) and that the Initial value is set at 0.
  7. Choose Controller from the Kind list.
  8. Enter 1 in the Number field. This is the controller number designated for Modulation in the General MIDI specification.
  9. Enter MODlevel in the Value field. This will link the controller value to the value of the knob.
  10. Check the Automate in Track option, and enter a track number in the field.
  11. Click OK when you are done.

Now that we have a knob to control the modulation, let's create a more visual representation of the modulation level by adding a meter to the panel.

The meter widget shows the value that is represented by its alias. Meters can be resized so that they are vertical or horizontal, depending on their longest dimension.

We will place a meter inside our cluster, right beside the Modulation knob that we created. This meter will need the same alias as the knob in order to reflect that widget's value. To do so:

  1. Click [image] in the StudioWare toolbar to select the Meter tool.
  2. Click somewhere beside the knob, but inside the cluster.
  3. Move and resize the meter so that it is tall and thin, about four times the height of the knob.
  4. Right-click on the meter and choose Properties.
  5. Enter Mod. Level in the Label field.
  6. Choose MODlevel from the Alias list.
  7. Click OK when you are done.

Now the meter is linked to the knob. To verify this:

  1. Click [image] to leave Design Mode.
  2. Adjust the knob. The value indicated by the meter should track the changes you make.
  3. Click [image] to re-enter Design Mode.

Volume Control and Indicators

Now let's add one more control that changes the volume of the track. We'll also add some LED indicators that light up at minimum and maximum volume.

  1. Click [image] in the StudioWare toolbar to select the Slider tool.
  2. Click somewhere in the Controller cluster.
  3. Resize the slider so that it is tall and thin.
  4. Right-click on the slider and choose Properties.
  5. Enter Volume in the Label field.
  6. Enter Volume in the Alias field.
  7. Choose Controller from the Kind list.
  8. Enter 7 in the Number field, or choose Volume from the dropdown list.
  9. Enter Volume in the Value field. This links the controller value to the alias of the widget.
  10. Click OK when you are done.

Now for the LEDs:

  1. Click [image] in the StudioWare toolbar to select the LED tool.
  2. Click somewhere above the volume slider.
  3. Right-click on the LED and choose Properties.
  4. Enter Maximum in the Label field.
  5. Enter Volume in the Alias field.
  6. In the Range fields, enter 126 as the minimum and 127 as the maximum. This sets the LED to light up at any value higher than 126. Also, set the Initial value to 126.
  7. Check the Show Label option, so the name of the LED will be displayed.
  8. Click OK when you are done.

Now, follow these similar steps for the Minimum Volume LED:

  1. Click [image] in the StudioWare toolbar to select the LED tool.
  2. Click somewhere below the volume slider.
  3. Right-click on the LED and choose Properties.
  4. Enter Minimum in the Label field.
  5. Enter Volume in the Alias field.
  6. In the Range fields, enter 1 as the minimum and 0 as the maximum. This sets the LED to light up at any value lower than 1.
  7. Check the Show Label option, so the name of the LED will be displayed.
  8. Click OK when you are done.

Adding Labels and Images

A text widget can display labels or numeric values. Let's add a couple of text widgets, one that serves as your own personal copyright notice, and one that displays the volume level in a formatted string.

  1. Click [image] in the StudioWare toolbar to select the Text tool.
  2. Click near the bottom right of the panel.
  3. Right-click on the text widget and choose Properties.
  4. Enter a copyright date by [your name] in the Label field.
  5. Make sure the Alias field is empty.
  6. Click OK when you are done.

Now for the formatted string:

  1. Click [image] in the StudioWare toolbar to select the Text tool.
  2. Click anywhere in the panel.
  3. Right-click on the text widget and choose Properties.
  4. Choose Volume from the Alias list.
  5. Enter The Volume is %d in the Label field.
  6. Click OK when you are done.

From now on, when you adjust the volume using the slider, the text string will be updated automatically. The %d is replaced by the actual value of the Volume alias.

Finally, let's insert a bitmap image into our panel to finish it off.

  1. Click [image] in the StudioWare toolbar to select the Image tool.
  2. Click anywhere in the panel.
  3. Right-click on the image widget and choose Foreground Bitmap.
  4. Enter the name of the bitmap file you want to use and click OK.

The image is automatically stretched or shrunk to fit within the defined area of the widget. You can increase or decrease the size of the widget just like any other widget. If you set the background bitmap and leave the foreground bitmap unassigned, the bitmap will be tiled across the image widget like wallpaper.


Working with the Roland U-8

To Connect Cakewalk to the Roland U-8

Controlling Cakewalk with U-8

To Select a Track Group

To Choose and Execute a Menu Command from Roland U-8

Roland U-8 Tutorial: Recording

To Record with the U-8

Roland U-8 Tutorial: Mixing Audio Tracks

To Mix Audio with the Roland U-8

Roland U-8 Troubleshooting

To Connect Cakewalk to the Roland U-8

  1. Make sure you have followed Roland's installation instructions to install the U-8 driver and U-8 control application from the Roland CD.
  2. Turn on U-8 before launching Cakewalk.
  3. Launch Cakewalk.
To see if Cakewalk and U-8 connect, check that these two things happen when you open Cakewalk:
  • A rotating U-8 icon appears while Cakewalk boots up.
  • U-8's Track Status lights go off as soon as Cakewalk and U-8 connect.
  • If Cakewalk and U-8 don't connect, see the troubleshooting table at the end of this chapter.
  4. In Cakewalk, use the Options-Audio command to open the Audio Options dialog box.
  5. On the Drivers tab, make sure all U-8 WAVE IN and WAVE OUT drivers are enabled and click OK.
  6. Use the Options-MIDI Devices command to open the MIDI Devices dialog box. Make sure all U-8 MIDI outputs are selected and click OK.
Now U-8's buttons and knobs control Cakewalk. Tracks 1-8 are always audio tracks in this version of Cakewalk. The U-8 StudioWare panel representing U-8's controls opens automatically when you open Cakewalk.

Note: The StudioWare panel does not control Cakewalk--it only displays changes you make to the U-8 Track Status panel and Track Group Indicators from U-8 itself.

To toggle between Cakewalk's Track view and its U-8 StudioWare panel, press U-8"s Window button.


Controlling Cakewalk with U-8

You can control most of Cakewalk's functions from the U-8 module. You can still use the mouse and keyboard while U-8 is on.

Two of the most basic functions you'll do from U-8 are:

  • Selecting a track group--You can use U-8's Track Volume faders to control the volume of any of four groups of tracks in Cakewalk.
  • Choosing and executing menu commands--You can choose and execute most of Cakewalk's menu commands from U-8.

To Select a Track Group

  1. Press U-8's Track Group Select button. It's located in U-8's upper left corner below the Input Sens A button.
Each time you press the Track Group Select button, a different Track Group Indicator lights up to indicate which track group you have selected. The Track Group Indicators are just below the Track Group Select button.
  2. Select one of the following track groups:
    • Audio+MIDI--If you choose this track group, U-8 faders 1-4 control audio tracks 1-4, and U-8 faders 5-8 control the first four MIDI tracks.
    • Audio 1-8--If you choose this track group, U-8 faders 1-8 control audio tracks 1-8.
    • MIDI 1-8--If you choose this track group, U-8 faders 1-8 control the first eight MIDI tracks.
    • MIDI 9-16--If you choose this track group, U-8 faders 9-16 control the second eight MIDI tracks.
After you select a track group, display U-8's StudioWare panel (press the Window button if the panel is not visible), move U-8's faders, and confirm that the correct faders move in the StudioWare panel move.

To Choose and Execute a Menu Command from Roland U-8

Press U-8's Menu button and then press the right or left Cursor button to highlight the Cakewalk menu you want to open.

  1. When you reach the correct menu, press the U-8 Enter button to open the menu.
  2. Press the down Cursor button to highlight the menu item you want to use.
  3. Press Enter again to activate the menu item or open its dialog box.
  4. In the menu item's dialog box, use the up and down Cursor buttons to highlight the field you want to change.
  5. Use the right and left Cursor buttons to choose items in the selected field.
  6. When you've made all your changes, press Enter to close the dialog box and activate your changes.

The following table covers the all the remaining tasks that you can control using U-8.

To Do This... | Do This...
Activate the U-8 Mixer window | Press the Mixer button
Activate the U-8 Effects window | Press the Effects button
Toggle between U-8 StudioWare and Track view | Press the Window button (if the Effects window is open, it remains on top even if you press the Window button).
Open the Select by Time dialog (when no dialogs or wizards are open) | Press the Select button
Undo your last action | Press the Command button
Open the Loop/Auto Shuttle dialog | Press the Loop button
Open the Record Options dialog | Press the Auto Punch button
Execute the Previous Marker command | Press the Prev button
Execute the Next/Marker command | Press the Next button
Insert a marker | Press the Set/Tap button
Answer OK in a dialog | Press the Enter button
Answer No in a dialog | Press the Exit button
Navigate within a window or dialog box | Use the Up, Down, Left and Right cursor buttons
Select or deselect a radio button, check or uncheck a checkbox in a dialog | Highlight the option using the cursor buttons and press the Select button
Rewind to beginning of your project | Press the To Start of Song Button
Stop playback or recording | Press the Stop button
Begin recording | Press the Record button
Change the Now Time | Jog the Time/Value dial (clockwise to move forward, counter-clockwise to move backward)


Roland U-8 Tutorial: Recording

U-8 has an EZ Recording Wizard that handles choosing inputs, arming a track, setting record levels, and adding an insert effect.

Note: The EZ Recording Wizard only allows single-track recording (mono or stereo). To record two tracks at the same time, you can plug two mono instruments into the U-8 inputs and use the mouse to arm two tracks in SONARHome Studio. Choose Left 1:U8 WAVE IN in for one track's Input control and Right 1:U8 WAVE IN for the other one.

To Record with the U-8

To Record with the U-8

  1. Press the Guitar/Inst button.
The EZ Recording wizard dialog box appears.
  2. On the Input Setting page, use U-8's right or left Cursor button to choose an input. Press the Next/Marker button to move to the next page.
  3. On the Record Track page, use U-8's right or left Cursor button to choose the destination track you want your mix to end up on. Press the Next/Marker button to move to the next page. Pressing the Prev button takes you back to the previous page.
  4. On the Input Volume Setting page, use the Input Sens buttons to adjust input sensitivity for the left and/or right input channels. Press the Next/Marker button to move to the next page.
  5. On the Effect Setting page, press the Select button if you want to check the Apply Insert Effect checkbox.
Note: If you do not check the Apply Insert Effect checkbox, your Insert Effect will not be recorded, even though you hear it during recording. Also, if the instrument you are recording is mono, you will only record one channel: either the left or right, depending on what input the instrument is plugged into. If you do check Apply Insert Effects, a mono instrument will record on both channels, and the effect will be recorded to the track.
  6. If you want to add a U-8 effect while you're recording, click an effect in the Select an Effect field to activate the field. You can scroll through the list with the Time/Value wheel. When you find the effect you want, select it by either double-clicking it or by pressing U-8's Select button.
  7. Press the Next/Marker button to move to the next page.
  8. On the Recording Volume Setting page, use audio track 1's volume fader to adjust the record level (even if you're not recording on audio track 1). Press the Next/Marker button to move to the next page.
  9. Press the Next/Marker button to close the EZ Recording Wizard.
  10. Make sure Cakewalk is rewound to the time where you want to start recording and press U-8's Record button.
Press U-8's Stop button when you're finished recording.
  11. Now press U-8's To start of Song button and then its Play button to hear your track.
Important: The EZ Recording Wizard defaults to the first available blank track. If all tracks contain audio data, the EZ Recording Wizard defaults to the first track, potentially overwriting existing data.


Roland U-8 Tutorial: Mixing Audio Tracks

U-8 has a mixing wizard that is very similar to the EZ Recording Wizard. You can move U-8's Track Volume faders to control track level during mixdown. You can also automate track volume changes in SONAR's Console view (see SONAR's online help for this procedure).

Caution: Do not move the U-8 fader of any track you have set up automation for. The U-8 Track Volume faders and SONAR's Console view faders have equal priority, and produce chaotic volume changes if used simultaneously.

To Mix Audio with the Roland U-8

To Mix Audio with the Roland U-8

  1. Mute or archive any audio tracks you don't want to include in your mix.
  2. Rewind Cakewalk to the beginning.
  3. Press the Mix Down button.
The EZ Recording Wizard Output Setting page appears.
  4. Use U-8's right or left Cursor button to choose either:
    • Mix down to an audio track--Choose this option if you want to mix your audio tracks to a single stereo track in Cakewalk.
    • Mix down to an external recording device--Choose this option if you are mixing to a DAT machine or other external device.
Press the Next/Marker button to move to the Effect Setting page.
  5. On the Mixdown Audio page, use U-8's right or left Cursor button to choose the track you want to record on. Press the Next/Marker button to move to the next page. Pressing the Prev/Marker button takes you back to the previous page.
  6. Press the Next/Marker button to skip past the Recording Volume Setting page.
  7. On the Effect Setting page, use U-8's right or left Cursor buttons to choose either:
    • No Effect--Choose this if you don't want to apply effects during mixdown.
    • Apply System Effect--Choose this if you want to apply an effect to your whole mix; you'll choose the effect on the next page.
    • Apply Insertion Effect--Choose this if you want to apply an effect to a specific input. Then use the down Cursor button to move the cursor into the Input for Insertion Effects field. Use the left or right Cursor buttons to choose either the Guitar/Mic/Instrument Input (INST) or AUX/Digital Input (AUX). Choosing Wave Input (WAVE 2 EFFECTS) adds an effect to the prerecorded tracks coming from your computer.
Press the Next/Marker button to move to the next page.
  8. On the next Effect Setting page, if you want to add a U-8 effect while you're mixing, click an effect in the Select an Effect field to activate the field. You can scroll through the list with the Time/ Value wheel. All System Effects in the list are labeled with the (sys) suffix. When you find the effect you want, select it by either double-clicking it or by pressing U-8's Select button.
  9. Press the Next/Marker button to move to the next page.
  10. Press the Next/Marker button to close the Mixdown Wizard.
  11. Do one of the following:
    • If you're mixing down to a track, press the Record button.
    • If you're mixing down to an external device, press the Play button.
SONAR begins to play.
  12. Move any U-8 Track Volume faders you need to move during mixdown.
  13. Press the Stop button to stop recording.
  14. To verify your mix, rewind and then solo the track you mixed down to. When you play the track, you should hear the complete mix of all the tracks you mixed down.
Listen to your mix and mix again, if necessary. You can change the record mode from Sound-on Sound to Overwrite or vice versa by using SONAR's Transport-Record Options command.


Roland U-8 Troubleshooting

Problem... | Do This...
Cakewalk and U-8 fail to connect. | Always turn on U-8 before opening Cakewalk. If problems persist, reinstall U-8's drivers, and possibly SONAR.
Buttons don't work. | Make sure the U-8 Shift key is not active.
U-8 Mixer window or U-8 Effects window will not open. | Open the StudioWare panel first.
My effects are not loud enough. | Open the U-8 Mixer and increase the send level and/or volume fader on the Input Inst channel.
My effects did not record. | Select Apply Insert Effect in the EZ Record wizard.


Using StudioMix

Congratulations on purchasing the StudioMix, the best MIDI and digital audio solution available! After a brief introduction, this QuickStart guide will show you how to install and use the StudioMix hardware and software.

What is the StudioMix?

Getting Help

StudioMix Installation: Hardware

Connecting StudioMix to Audio Sources (microphones, guitars, etc.)

Configuring StudioMix


What is the StudioMix?

The StudioMix is a fully integrated software and hardware solution for creating music and sound productions on your Windows PC. Peavey and Cakewalk have engineered this package to give you the maximum control and flexibility during the creative process, combining the power of the Cakewalk software sequencer with the tactile control of dedicated hardware - all from your desktop!

Designed with speed and flexibility as the foremost requirements, the hardware and software communicate via standard MIDI (Musical Instrument Digital Interface) protocols and can be configured in mere seconds. You'll never have to program difficult System Exclusive strings or read a detailed MIDI implementation chart to use the control surface and the software. All configuration of the hardware is handled on-screen, in a simple, intuitive manner.

Your StudioMix hardware is an adaptable, versatile surface that provides a tactile interface for mixing and control within the Cakewalk environment. All of the controls on the surface can be configured in a matter of seconds to fit your needs, within a single view. You can set it up to control 8 MIDI or Audio tracks at a time, with the ability to switch between banks of 8 tracks with a single button press. You can control playback and trigger commands from it, or use the Jog/Shuttle wheel to navigate through the project.

With the StudioMix, you can

  • Record up to 256 tracks of MIDI or Digital Audio
  • Playback up to 8 digital audio tracks simultaneously
  • Synchronize with AVI, MPEG and QuickTime digital video, as well as videotape and film.
  • Use powerful MIDI and digital audio editing features
  • Mix using real motorized faders and other controls
  • Process audio DirectX audio effects inserts (real-time or offline)


Getting Help

In addition to the online help system and the Quick Start Guide, Cakewalk for StudioMix comes with eight multimedia tutorials (called Techniques) on various topics which can be accessed from the CD-ROM. To access these Techniques, insert the software CD into your computer's CD-ROM drive and select Techniques from the menu that appears. If no menu appears, choose Start-Run, type d:\AutoRun.exe (where d:\ is your CD-ROM drive), and click OK.

Technical support hours, policies, and procedures are subject to change at any time. Check our web sites for the latest support information.


StudioMix Installation: Hardware

In this section, we'll look at the StudioMix hardware and show you how to install it. If you have specific MIDI or digital audio installation questions, you should consult the software's online help system (see the topics under Advanced Setup).

Step 1: Identifying the StudioMix Hardware Components

Your StudioMix includes the following hardware components:

  • StudioMix hardware surface
  • AC power cord
  • Two (2) MIDI cables
  • Six (6) phono cables
  • One (1) dual-phono to stereo-mini cable
  • One stereo-mini to stereo-mini cable

Step 2: Familiarizing yourself with the StudioMix hardware surface

The hardware surface forms the tactile component of the StudioMix package, allowing you to abandon the mouse and computer keyboard when mixing, controlling the transport or triggering commands. To configure the setup of your hardware surface, you need to use the StudioMix Configuration view in the software, but let's introduce you to the hardware first.

The StudioMix hardware surface can be separated into seven main areas:

  • Mixer - This section contains nine modules, each with a 60mm motorized fader, a button and two rotary encoder knobs. Modules numbered "1" through "8" control individual tracks in the software, while the module marked "M" controls the master section of the software mixer (aux masters ans sound card outputs). Each type of control can be assigned to track parameters such as volume, pan, aux sends and other functions in the software.
  • Programmable Buttons - This section has five buttons that can be programmed to trigger various events or commands (called Button Bindings) in the software.
  • Jog/Shuttle Control - this dual-function control provides you with the ability to move the current time position of the sequencer. The inner wheel, called the Jog Wheel, moves forward or backward through the sequence by small, individual increments. The outer wheel, called the Shuttle Wheel, allows you to move rapidly forward or backward.
  • Transport Controls - this group of six buttons provide control over basic transport functions: (from left to right) Rewind, Fast-Forward, Play, Stop and Record. The right-most button allows you to select whether this transport controls the software or external devices through MIDI Machine Control (MMC).
  • Audio Mixer - this section contains the controls for the analog audio mixer in the StudioMix hardware surface, providing a central connection between your microphones, instruments, computer sound card and monitoring (speaker) system. Additionally, you can connect the inputs and outputs of a cassette deck, DAT machine, sampler or any other stereo device to the audio mixer and monitor it separately. This section has the following controls:
    • Mic In - controls the gain of the signal at the low-z microphone input
    • Line In - controls the gain of both signals at the line inputs (left and right)
    • Mix Out - controls the gain of the sound card output being sent to the tape output jacks
    • Monitor - controls the listening level, i.e. the signal being sent to the monitor & headphone outputs
    • Tape/Sound card - this button selects either the tape or sound card as the source for the monitor & headphone output. Cl

For the audio mixer's signal flow, see Routing and Mixing Digital Audio.

  • Back Panel - this section contains the audio, MIDI, and power connections for the unit.
    • Headphone Output -- Connection for a pair of headphones. Volume is controlled by the Monitor gain control.
    • Monitor Out -- Stereo connection to a power amplifier or pair of powered speakers. Volume is controlled by the Monitor gain control.
    • Tape In -- These jacks connect to the outputs of the external stereo device and bring the signal into the audio mixer.
    • Tape Out -- These jacks connect to the inputs of the external stereo device and send the sound card signal (after the Mix Out gain control) to the external deck.
    • Sound Card In -- These jacks connect to the outputs of the stereo sound card and bring that signal into the audio mixer.
    • Sound Card Out -- These jacks connect to the inputs of the stereo sound card and send the mixed signals from the Mic and Line inputs (after their respective gain controls) to the sound card.
    • Line Inputs -- Connect these jacks to the unbalanced line outputs on your instruments.
    • Mic Input -- Connect this jack to your microphone.
    • MIDI In - this port accepts data from the software, to be interpreted by the StudioMix hardware surface.
    • MIDI Out - this port transmits all of the data generated by the StudioMix hardware surface.
    • MIDI Thru - this port will output data received at the StudioMix's MIDI In connection to another MIDI capable device.
    • Power Connector - this is the power cord receptacle. Use the provided AC power cord to connect the StudioMix hardware surface to a wall outlet or AC power connection.
  • Power LED - Last, but certainly not least, we have the Power LED in the upper left corner of the surface. This LED should be glowing when the unit is powered.

Step 3: Connecting your StudioMix hardware surface

Your StudioMix hardware surface provides not only control over functions in Cakewalk, but also acts as a simple audio mixer, providing connections between audio sources, your computer sound card, a playback/recording device (like a cassette deck) and your monitoring system. This allows you to control the input and output levels of the digital audio in Cakewalk.

This section explains each of those connections giving diagrams and examples. While your individual setup may differ, these will provide a basic understanding of how to connect the StudioMix hardware with the other equipment in your studio. StudioMix also provides some adapter cables to help you get connected faster than ever before.

To Connect Power to StudioMix

  1. Plug in the StudioMix using the supplied AC power cord.


Connecting StudioMix to Audio Sources (microphones, guitars, etc.)

The StudioMix has a single, low-impedance microphone input and a stereo unbalanced line input, for connecting to keyboards, synthesizers, guitar, guitar processors or any other line level signal.

Here, a microphone is plugged into the Mic In of the StudioMix. You can control the level of this microphone using the Mic Gain knob in the mixer section. See the Routing and Mixing Digital Audio for more detailed information.

The diagrams above show a the outputs of a keyboard plugged into the Line In of the StudioMix. You can control the level of this signal to the sound card using the Line Gain knob in the mixer section. See the Routing and Mixing Digital Audio for more detailed information.

See also:

Connecting MIDI Equipment

Connecting StudioMix to Audio Sources (microphones, guitars, etc.)

Connecting Your Computer's Sound Card to StudioMix

Connecting a Stereo Recording/Playback Device to StudioMix

Connecting StudioMix to a Monitoring System

Connecting Headphones

Using the Audio Mixer on the StudioMix


Connecting Your Computer's Sound Card to StudioMix

The StudioMix hardware has a set of stereo inputs and outputs for connecting your sound card. The line inputs and microphone input are mixed together and sent to the jacks labeled "Sound card Out", which connects to the input on your computer's sound card. Connect the jacks labeled "Sound card In" to the outputs of the computer's sound card. The sound card's output will be heard through the Monitor gain control on the StudioMix.

If you wish to hear the sound card through the Monitor output of the StudioMix, make sure that the Tape/Monitor button (located to the far right of the mixer controls) is in the "up" position.

Connect the StudioMix with the sound card in the following manner:

Connecting MIDI Equipment


Connecting a Stereo Recording/Playback Device to StudioMix

StudioMix allows you to connect the inputs and outputs of a stereo recording/playback device, such as a cassette deck or 2-track recorder. The jacks labeled "Tape Out" will connect to the inputs of your tape deck and receive signal from the computer's sound card (through the StudioMix). Connect the jacks labeled "Tape In" to the outputs of the tape deck so that you can monitor it though the StudioMix.

If you wish to hear the tape output through the Monitor output of the StudioMix, make sure that the Tape/Monitor button (located to the far right of the mixer controls) is in the "down" position.

Connecting MIDI Equipment


Connecting StudioMix to a Monitoring System

Once you have connected the audio inputs and outputs to the StudioMix, you should connect the monitor output to a playback system - such as a set of powered desktop speakers, a power amplifier or your home stereo. Connect the jacks labeled "Monitor Out" to the inputs of your monitoring system. The control labeled "Monitor" will control the amount of signal fed to these outputs. Depending on the setting of the "Tape/Monitor" button (located to the far right of the mixer controls), the output of the StudioMix will be sourced from the sound card or tape input.

Connecting MIDI Equipment


Connecting Headphones

The StudioMix hardware surface also provides a headphone output so that you can use it without disturbing your neighbors. The control labeled "Monitor" will control the amount of signal fed to the headphone output (as well as the Monitor Outs). Depending on the setting of the "Tape/Monitor" button (located to the far right of the mixer controls), the output of the StudioMix will be sourced from the sound card or tape input.

Connecting MIDI Equipment


Using the Audio Mixer on the StudioMix

The StudioMix hardware control surface has a small audio mixer that provides basic signal handling between your computer and the other equipment in your setup. This section explains a little more about it.

There are four knobs and a button in the mixer section:

  • Mic Gain--This knob controls the amount of microphone signal sent to the sound card
  • Line Gain--This knob controls the amount of line signal sent to the sound card Mix Out. The sound card Mix Out knob controls the amount of signal sent from the sound card to the external stereo deck.
  • Monitor-- This knob controls the amount of signal sent to the playback system (monitor or headphones). Its source depends on the position of the Tape/Monitor button.
  • Tape/Monitor button--This button selects the source for the monitor outputs, choosing between the sound card and the tape input.

Basically, the idea behind the StudioMix analog mixer is to let you connect audio sources, control their gain being sent to the sound card inputs and then hear the output of the sound card (using the monitor gain control). Plus, you can connect a stereo tape deck and record from the sound card outputs, with the option to monitor the output of the tape deck

Connecting MIDI Equipment


Connecting MIDI Equipment

In order to use Cakewalk for StudioMix with your MIDI gear, you'll need to connect the StudioMix hardware surface to your computer via MIDI. How you set this up depends on the type of MIDI interface you are using and any additional MIDI equipment (synthesizers, drum machines) that you wish to connect.

Note: The MIDI In and Out of the StudioMix must be connected to the appropriate jacks on your MIDI interface in order for it to work properly.

It is possible to connect your equipment in some rather complex ways that may cause problems. If you call for technical support with a problem concerning equipment that doesn't seem to be responding, we'll probably suggest that you reconnect things as shown below before we explore the problem further. Also be sure to check the troubleshooting section of this QuickStart guide and make sure that you followed all of the installation procedures correctly before calling.

There are two general types of MIDI interfaces:

  • Single Port--this type of interface has only one MIDI In and one MIDI Out connection.
  • Multiple Port--this type of interface has more than one MIDI In and one MIDI Out connection.

Note: A MIDI "port" consists of a MIDI In connector and a MIDI Out connector. If you have one MIDI port in your system, you will have two connectors, two MIDI ports have four connectors, etc.

Based on this, there are two setup situations that are usually encountered.

  • You are using a multiple port MIDI interface with the StudioMix and other external MIDI devices (keyboards and synths)
  • If you are using a single port MIDI interface with the StudioMix only

In order to use the StudioMix digital work surface in any of the above situations, you will need to connect it as follows:

Connect this... | To this...
StudioMix MIDI Out | MIDI interface In
MIDI interface Out | StudioMix MIDI In


StudioMix with other MIDI devices:

For multiple port MIDI interfaces, the StudioMix can be connected to any unused MIDI port. If you are using a single port interface, such as the type usually found on a sound card, you will need to do some special configuration of your MIDI setup in order use the StudioMix depending on your situation.

If you're only using the internal MIDI synthesis capabilities of your sound card, you can use the single MIDI port (input and output) to connect your StudioMix digital work surface as described in the table above.

In situations where you will be using a MIDI sound module or synthesizer for playback only, the StudioMix connects as described in the table above, but you can connect the MIDI Thru of the StudioMix to the sound module or synthesizer's MIDI In as follows:

Connect this... | To this...
StudioMix MIDI Thru | MIDI In on the module or device

In situations where you'll need to record MIDI from a keyboard, Guitar-to-MIDI converter or MIDI wind controller, it is recommended that you use a MIDI interface with multiple ports so that you do not have to reconfigure your setup when you wish to record.

The following setups show the general configuration of MIDI devices on a single port MIDI interface. They apply to MIDI devices that have the following ports:

  • All three types of MIDI jacks: In, Out, and Thru (such as the StudioMix)
  • Only two types of MIDI jacks: In and Out


Enabling StudioMix

Follow this procedure to enable StudioMix with your Cakewalk product.

  1. Select Options-Global
The Global Options dialog box appears.
  2. Check the Enable StudioMix Controller box.
  3. Click OK.


Troubleshooting StudioMix issues

StudioMix: Doubled-notes and associated problems

If your master keyboard now seems to double notes (they sound "thicker"), or if you can play only one half as many at once, first make sure that no MIDI channel is being used by more than one of your MIDI devices. If no MIDI channel is assigned to duplicate devices and you hear doubling or only half as many notes as you should, you may have to do one of the following:

Turn off Local Control on your Keyboard:

The best way to resolve the problem is to disable Local Control on the keyboard, following the instructions that came with the keyboard. This stops the keyboard from playing independently. The keys you play still produce sound on the keyboard because they are echoed back by the MIDI interface. In many cases, Cakewalk disables local control automatically when the program is started, but this is not always possible.

Turn off MIDI Echo in Cakewalk:

An alternate solution is to disable echoing within Cakewalk, as follows:

  1. Choose Options-Project and click the MIDI Input tab.
  2. Under Echo Mode, check None.
  3. Click OK when you are done.

This alternate solution may cause other problems if you are working with several MIDI devices at once.

It's also possible that your keyboard is transmitting information on two channels at once. To see if this is so, create a new project and record two notes from the keyboard. Then look at what you've recorded in the Event list view. If you see four notes displayed instead of two, then your keyboard is transmitting on two channels. See the documentation for your keyboard to learn how to correct the problem.

When you enable the StudioMix hardware control surface in Cakewalk, the software automatically turns off MIDI Echo for channel 16 of whichever port the StudioMix is assigned.

"The software isn't responding to my StudioMix hardware."

  • Is the hardware powered? Make sure that the power led is lit and the unit is plugged into a source of AC power.
  • Is the hardware unit's MIDI Input and Output connected to the proper jacks on your MIDI interface? Check the StudioMix QuickStart guide for proper connection diagrams.
  • Is the MIDI input on MIDI channel 16 enabled? Open the MIDI input tab found under Options-Project to check this. Under the Record and Echo section, there should be a check in the box next to Ch.16.

"My StudioMix hardware isn't responding to the software, but I can control the software with it."

  • Is the correct MIDI output port specified in the StudioMix Configuration view? This needs to be set properly in order for the hardware to respond. If the port you have the hardware connected to is not listed there, you may have to enable that port under Options-MIDI Devices and then select it in the StudioMix Configuration view.
  • Is the Update button in the Console view enabled (in the down position)? This button determines whether or not the controls in the Console (and the hardware as well) will move according to the automation data recorded for the track. If this button is disabled, the controls will not reflect the current settings for the track, but you will still hear the settings.

"When I change the volume or pan on one of my MIDI drum tracks, it changes the settings on all of my MIDI drums"

  • Are all of your MIDI drum tracks set to the same MIDI channel? If so, the fader volume on each track controls the level for all of the events on that channel. Try setting your MIDI drums to different MIDI channels
  • Are the controls grouped together? If so, right-click on them and select Ungroup to release them from group control.

"When I add a control to a group of controls that have automation recorded, the newly added controls don't respond."

Cakewalk records automation data for each track as controller information on the track itself. This allows you to record automation for a group of controls, then remove a member from group control and still have the automation that was recorded for that member. After automation is recorded, the controls respond to their own automation (recorded on their track).

If you want to copy automation data over from the previously grouped controls, do the following:

  1. Right-click on one of the automated controls in the group and select Edit Automation Data.
  2. In the graphic display that appears, select the automation data that you want to copy over to the newly grouped control and hit Ctrl-C to copy that data into the clipboard. Close that display.
  3. Right-click on the newly grouped control, select Edit Automation Data.
  4. Paste (Ctrl-V) the automation data onto this track. Make sure that you have selected the correct start time and track in the Paste pop-up that appears.

The newly grouped control will now have the same automation as the previous members of the group.

Tip: Using Snap-to-Grid will allow you to constrain the selected automation data to measures, beats or any note value. This makes pasting it back into the new track easier.

"When I try to do a rough mix of my project, all of the controls in the console jump to different values when I stop and rewind."

  • Is automation recording enabled? If so, Cakewalk is recording all of your control movements when you're manipulating parameters. Turn off automation recording by setting the Record Automation button in the console to the up (disabled) position and delete the automation on the tracks.
  • Do you have values in the Volume and Pan fields of the Track view? These fields provide an initial setting for the volume/pan on each track and are only changed when the Now Time is at 1:01:000 (00:00:00:00). During playback, you can change volume and pan levels, but when you jump back to the beginning of the project, these initial values are used - causing the faders and pan controls to jump to different settings than where you had left them during the rough-mix.

If you want to create a rough mix during playback, simply set the volume and pan fields on each track to Null by clicking in the field and entering "-1" (without the quotes). This will tell Cakewalk that there is no initial volume or pan value for the track and it will let the console work like any normal mixer - such that the volume or pan will remain wherever you leave them set. To simultaneously set the Volume and Pan on all tracks to null, you can run the RoughMix.cal file, a CAL macro that will do this automatically for you.

Important Tip: When you have set the track volume and pan initial values to null, make sure that you do not move the volume or pan for any of the tracks when at 1:01:000. This will set those initial values and prevent the rough-mix.

"My console modules aren't lining up with the StudioMix hardware."

I'm trying to control track 3, but when I move a control in the third hardware module, it affects a different track.

  • Is your StudioMix controller set to control the correct tracks? Check the Tracks: display in the upper left of the Console or StudioMix Configuration views to make sure.
  • Are there any hidden modules in the Console? To check, open the Module Manager by clicking on its button in the Console and verify that all of the tracks are visible (checked). The StudioMix hardware controls tracks in a contiguous group of eight, so if you desire to change the layout of your console, you should move the tracks around and not hide modules in the group that you are controlling. This should prevent any confusion.

"When I try to change my automation during playback using the hardware faders, I feel resistance."

The fader will jump to a different position and my move doesn't get recorded"

When using the hardware surface to write new automation data and replace the old data, you must 'punch-in' on the automation for the track using the 'Write Fader" function. To do so:

  1. Open the StudioMix Configuration view.
  2. In the Button field, select 'Write Fader" for the type of tracks (MIDI or Audio, or both) on which you will be re-writing automation data.
  3. Start playback.
  4. When the sequence is at the point where you want to start re-writing data, press the button on the hardware module that is assigned to the track you are altering. This will initiate the writing of new automation data to the track. You can press several buttons at once for altering automation on multiple tracks.
  5. When you are finished re-writing automation data, press the button(s) again to 'punch-out' of the automation.

Note: Once a control in the Console view has received automation data in a project, it will not respond to a StudioMix hardware fader later on in the project unless you trigger the "Write Fader" function for that track. If you have initial volume or pan settings in the Track view's Vol and Pan fields, you will have to use the Write Fader function as well. This does not apply to the Rotary Encoders - which will update the onscreen controls regardless of the 'Write Fader' status.


Configuring StudioMix

The following sections explain each of the settings and dropdown lists in the StudioMix configuration dialog.

General StudioMix Settings

StudioMix Rotary, Button, and Fader Settings

StudioMix Button Binding Settings

StudioMix in the Console View

StudioMix Tutorial


General StudioMix Settings

The following fields determine which tracks, sound cards and ports StudioMix is controlling.

Tracks

The Tracks field sets the range of tracks which are controlled by the faders. The first track in the range corresponds to the far left fader.

Main

In the Main field you set the sound card StudioMix is controlling.

Rotary Resolution

The Rotary resolution sets the degree of sensitivity of the rotary controls. The three settings are Coarse, Medium and Fine. Coarse is the least sensitive. Fine is the most sensitive.

Jog Resolution

The Jog resolution sets the degree of sensitivity of the Jog/Shuttle controller. The four settings are Coarse, Medium, Fine, Frame, Measure and Beat. Coarse is the least sensitive. Frame is the most sensitive.

MIDI port

The MIDI port field sets the MIDI port that StudioMix is using for all MIDI tracks.

StudioMix Rotary, Button, and Fader Settings

StudioMix Button Binding Settings


StudioMix Rotary, Button, and Fader Settings

StudioMix Rotary, Button and Fader Settings - MIDI Tracks

The following sections show the functions of the rotaries, buttons and faders.

Rotaries

Each track has two rotaries, upper and lower. Each rotary can be assigned one of the following:

  • None
  • Level--the volume of the track.
  • Pan--the left/right stereo control of the track.
  • Chorus--the "fattening" of a track to make it sound like multiple tracks
  • Reverb--the effect of small echoes which give a spacious feel to a track

Buttons

Each track has one button which can be set to one of the following:

  • None
  • Mute--Silences the track
  • Solo--Features the track
  • Arm--Arms the track for recording
  • Write Fader--Tells the fader to ignore current automation data for its selected parameter and to write new automation data

Faders

Each track has one fader which can be set to one of the following:

  • None
  • Level
  • Pan
  • Chorus
  • Reverb

StudioMix Rotary, Button, and Fader Settings - Audio Tracks

The following sections show the functions of the rotaries, buttons and faders.

Rotaries

Each track has two rotaries, upper and lower. Each rotary can be assigned one of the following:

  • None
  • Level - the volume of the track.
  • Pan - the left/right stereo control of the track.
  • Aux Send - the level of the signal being sent to the aux bus.

Buttons

Each track has one button which can be set to one of the following:

  • None
  • Mute--Silences the track
  • Solo--Features the track
  • Arm--Arms the track for recording
  • Write Fader--Tells the fader to ignore current automation data for its selected parameter and to write new automation data.
  • Aux enable--Turns the track's signal to aux send on/off

Faders

Each track has one fader which can be assigned one of the following:

  • None
  • Level - Volume
  • Pan - Left/Right stereo control
  • Aux Send - the level of the signal being sent to the aux bus.

StudioMix Rotary, Button, and Fader Settings - Main Track

The Main is the mixdown output selected in Options-Audio Drivers. To set the StudioMix to control this main output, you must select it from the drop down list at the top of the SudioMix Configuration dialog. This determines which driver the Main fader controls when set to Left (Mono) Level or Right Level.

The following sections show the functions of the rotaries, buttons and faders.

Rotaries

Each track has two rotaries, upper and lower. Each rotary can be assigned one of the following:

  • None--No assigned control
  • Left (Mono) Level--Left volume level
  • Right Level--Right volume level
  • Master Aux Send--Master send level for Aux in the Console window
  • Master Aux Return--Master return level for Aux in the Console window
  • Aux Pan Send--Master pan for the Aux send
  • Aux Pan Return--Master pan for the Aux return

Buttons

Each track has one button which can be set to one of the following:

  • None--No assigned control
  • Write Fader--Tells the fader to ignore current automation data and to write new automation data
  • Aux Pre/Post--Selects whether the signal for the Aux Bus is sourced before or after the fader

Faders

Each track has one fader. Each fader can be assigned one of the following:

  • None--No assigned control
  • Left (Mono) Level--Left volume level
  • Right Level--Right volume level
  • Master Aux Send--Send level for Aux in the Console window
  • Master Aux Return--Return level for Aux in the Console window
  • Aux Pan Send--Master pan for the Aux send
  • Aux Pan Return--Master pan for the Aux return


StudioMix Button Binding Settings

The five Button Bindings in the StudioMix Configuration dialog set the StudioMix Button Binding Settings that are triggered by each of the five programmable buttons on the StudioMix hardware surface. These give you one touch control over many of Cakewalk's commands and functions from the hardware surface. To assign a command to a particular button, select the command from the dropdown list located in the corresponding position in the StudioMix Configuration dialog.


StudioMix in the Console View

New in the Console view when StudioMix is enabled:

  • StudioMix tracks field--Lists the active tracks assigned to StudioMix


StudioMix Tutorial

In order to guide you through the use of your StudioMix, you'll need to open the "Don't Matter Audio and Midi.bun" project which should be located in your Cakewalk directory. This project contains both audio and MIDI data, which we'll mix using the hardware surface. To open this file...

  1. Start Cakewalk.
  2. Choose File-Open.
  3. In the Open dialog, select the file "Don't Matter Audio and Midi demo".
  4. Click the Open button.

The project file will load, opening the audio files and views. You can close all of the views except for the Track view, which shows the audio & MIDI data in the project.

Enabling StudioMix

In order to use the StudioMix hardware, you will have to enable it in the software. To do so...

  1. Choose Options-Global .
  2. In the General tab, make sure that the box next to the "Enable StudioMix controller" is checked.

Using the Transport Keys in StudioMix

There are already many ways to control the transport in Cakewalk. You can use the mouse with the onscreen controls, or the computer keyboard. You can setup Key Bindings to control transport via a MIDI message. With the StudioMix hardware surface, you can use the buttons to access transport controls faster than ever before.

On the right side of the StudioMix hardware surface are six transport keys which can control the transport functions for either Cakewalk or an external MIDI Machine Control capable device that is connected to your setup. The right-most button selects between these two transports. When in the up position, the transport will control Cakewalk. When in the down position, it will send MMC commands to the device specified under the Options-Project MIDI Out tab under MIDI Machine Control.

Let's start and stop the sequence using the hardware transport:

  1. Make sure that the transport select button (at the far right) is in the up position.
  2. Press play.
The sequence in Cakewalk will begin to play. If you don't hear anything, be sure to check your connections and setup.
  3. Press stop.
Cakewalk will stop playing.
  4. Press rewind.

Cakewalk will locate to the beginning of the sequence.

Now, let's configure the StudioMix so that we can mix the project using the tactile interface.

Opening the StudioMix Configuration View

For maximum flexibility, controls on the hardware surface can be assigned to various functions in the Cakewalk console. To do so, you'll need to open the StudioMix Configuration window, which can be accessed by selecting View-StudioMix.

After you have set your configuration, you may want to minimize the size of the StudioMix Configuration view. To do so, click on the "Collapse" button. This will shrink it so that only the controlled Tracks are shown, saving screen space.

Setting the Port for the StudioMix Hardware

Before using your StudioMix hardware surface to control the software, you will need to select the MIDI port that the hardware will use to communicate.

To do so...

  1. Open the StudioMix Configuration view (if it isn't already open)
  2. In the field labeled "MIDI output port", click the dropdown button and select the port that is connected to the StudioMix hardware controller.

Note: If the MIDI port that is connected to your StudioMix hardware is not listed here, you can enable it in the MIDI Devices dialog dialog box. Select Options-MIDI Devices to open the MIDI Devices dialog.

Selecting the Tracks/Main that the StudioMix hardware will control

The hardware surface has nine modules, each consisting of a fader, two knobs and a button. The first eight of these modules (labeled "1" through "8") control any eight contiguous tracks in the software (1-8, 9-16, 2-9, etc.). The last module, labeled M (for "Main") controls any single sound card output or aux master in the software console.

To select the tracks that the StudioMix hardware controls...

  1. Open the StudioMix Configuration view (if it isn't already open)
  2. In the field labeled "Tracks", click the spin buttons (+ or -) to select which group of eight tracks will be controlled. Left-clicking these buttons will move the selection by one track, while right-clicking will move the selection by eight tracks.

Tip: You can set up the Button Bindings on the hardware surface to control this by selecting Move StudioMix 8 left/right or Move StudioMix 1 left/right as the functions for the programmable buttons. See StudioMix Button Binding Settings for details on how to do this.

Set this field to control tracks 2 through 9, where the audio and MIDI data is located. Now, the eight modules on the StudioMix hardware surface are set to control tracks 2 through 9. Set this field to control tracks 2 through 9, where the audio and MIDI data is located. Now, the eight modules on the StudioMix hardware surface are set to control tracks 2 through 9.

To select the Main output that the StudioMix hardware controls...

  1. Open the StudioMix Configuration view (if it isn't already open)
  2. In the field labeled "Main" click the dropdown button and select the main from the list that appears.

Select the sound card output that you are using from this list.

Configuring the Modules for Audio & MIDI Tracks in StudioMix

In the StudioMix configuration view, there are two sections for configuration of the track modules: Audio & MIDI. These sections determine how the hardware module's controls behave depending on the type of track it is controlling.

Because you can switch the `bank' of tracks that the modules are controlling, this configuration is not a fixed thing. One moment you can be controlling 4 MIDI tracks and 4 audio tracks, then instantly switch to control 8 MIDI tracks. In the StudioMix Configuration view, you select how you want a module controlling an audio or MIDI track to be configured.

Setting up the Configuration of Audio Modules:

When a module on the hardware surface is controlling an audio track, the configuration listed under the "Audio tracks" section of the StudioMix Configuration view will determine what each of the controls will do.

Let's setup how the hardware will control the Audio tracks:

  1. In the Upper Rotaries row, click the field's dropdown button to see the list of parameters that it controls. From this list, select "Aux Send 1".
  2. In the Lower Rotaries row, click the field's dropdown button and select "Pan".
  3. In the Buttons row, choose "Solo".
  4. In the Faders row, choose "Level"

Now we have setup the hardware controller so that the modules that are controlling audio tracks are configured as follows:

  • Upper knob--controls Aux Send 1 level
  • Lower knob--controls track panning
  • Button--controls the Solo function
  • Fader--controls the track's volume level

Note: Parameters can only be assigned to a single hardware control. You cannot, for example, assign the upper knob and the fader to control Aux Send 1's volume. When you select a parameter that is already in use, the previous control will be reset to "none".

Setting up the Configuration of MIDI modules:

When a module on the hardware surface is controlling a MIDI track, the configuration listed under the "MIDI tracks" section of the StudioMix Configuration view will determine what each of the controls will do.

Let's setup how the hardware will control the MIDI tracks:

  1. In the Upper Rotaries row, click the field's dropdown button to see the list of parameters that it controls. From this list, select "Chorus".
  2. In the Lower Rotaries row, click the field's dropdown button and select "Pan".
  3. In the Buttons row, choose "Mute".
  4. In the Faders row, choose "Level"

Now we have setup the hardware controller so that the modules that are controlling MIDI tracks are configured as follows:

  • Upper knob - controls the amount of MIDI chorus effect for that track
  • Lower knob - controls track panning
  • Button - controls the Mute function
  • Fader - controls the track's volume level

Note: Parameters can only be assigned to a single hardware control. You cannot, for example, assign the upper knob and the fader to control Aux Send 1's volume. When you select a parameter that is already in use, the previous control will be reset to "none".

Open the Console view and move the hardware controls. You should see each of the console parameters move in response to the hardware surface. The first six modules are controlling tracks 2 through 7, which are audio tracks. The last two track modules (modules 7 & 8) are controlling tracks 8 and 9, and are configured as MIDI tracks.

Audio Track Parameters that can be Controlled by StudioMix

For audio tracks, you can control the following parameters:

Upper or lower rotary knob:

  • None
  • Track Volume (Level)
  • Pan
  • Aux Send level--for each Aux Send in use (1-16)

Button:

  • None
  • Mute
  • Solo
  • Arm (record)
  • Write Fader
  • Aux Enable -- for each Aux Enable in use (1-16)

Fader:

  • None
  • Track Volume (Level)
  • Pan
  • Aux Send level -- for each Aux Send in use (1-16)

MIDI Track Parameters that can be Controlled by StudioMix

For MIDI tracks, you can control the following parameters:

Upper or lower rotary knob:

  • None
  • Track Volume (Level)
  • Pan
  • Chorus
  • Reverb

Button:

  • None
  • Mute
  • Solo
  • Arm (record)
  • Write Fader

Fader:

  • None
  • Track Volume (Level)
  • Pan
  • Chorus
  • Reverb

Main Parameters that can be Controlled by StudioMix

For mains, you can control the following parameters:

Upper or lower rotary knob:

  • None
  • Left (mono) master output level
  • Right master output level
  • Master Aux Send level
  • Master Aux Return level
  • Aux Send Pan
  • Aux Return Pan

Button:

  • None
  • Write Fader
  • Aux Send Pre/Post

Fader:

  • None
  • Left (mono) master output level
  • Right master output level
  • Master Aux Send level
  • Master Aux Return level
  • Aux Send Pan
  • Aux Return Pan

Setting up the Configuration of the Main

The right-most module on the hardware surface controls the selected Main, as well as any Aux Masters or Returns. The section of the StudioMix Configuration window labeled "Main" has the selections for the controls on the hardware surface's Main module.

Let's setup how the hardware will control the Main:

  1. In the Upper Rotaries row, click the field's dropdown button to see the list of parameters that it controls. From this list, select "Master Aux Send 1".
  2. In the Lower Rotaries row, click the field's dropdown button and select "Master Aux Return 1".
  3. In the Buttons row, choose "Aux Pre/Post 1".
  4. In the Faders row, choose "Left (mono) level"

Now we have setup the hardware controller so that the module that is controlling the main/master section is configured as follows:

  • Upper knob--controls the master level of the Aux send
  • Lower knob--controls the master level of the Aux return
  • Button--controls the Aux Send's Pre/Post setting
  • Fader--controls the master output volume level

Setting up the Programmable Keys in StudioMix

The StudioMix hardware has five programmable buttons that can be assigned to key bindings in the Cakewalk software. The "Button Bindings" section of the StudioMix Configuration view has five fields that determine the bindings for the five buttons on the hardware surface.

To select a binding

  1. Open the StudioMix Configuration view (if it isn't already open)
  2. In the field that corresponds to the button on the surface, click the dropdown button and select the binding from the list that appears.

Let's set the bottom button to move the now time to the next measure:

  1. In the bottom button binding field, click on the dropdown button.
  2. From the list that appears, click on Go-Next Measure. You may have to scroll down the list in order to find it.

Now, press the bottom button on the StudioMix hardware surface. This will move the sequencer's now time ahead by one measure.

Using the Jog/Shuttle Wheel in StudioMix

At the bottom right corner of the StudioMix hardware surface is a jog/shuttle wheel that controls the position of the Now Time.

The inner wheel, called the Jog wheel, moves forward or backward through the sequence in small increments. The size of these increments is determined by the setting of the "Jog Resolution" field in the StudioMix Configuration view. The settings are as follows:

  • Coarse--32 ticks per increment
  • Medium--16 ticks per increment
  • Fine--1 tick per increment
  • Frame--1 timecode frame per increment
  • Measure--1 measure per increment
  • Beat--1 beat per increment

Let's move through the sequence at fine resolution:

  1. In the StudioMix Configuration view, select "Fine" for the Jog Resolution setting.
  2. Move the jog wheel clock-wise. This will advance the Now Time indicator one tick per increment in the forward direction.
  3. Now, move the jog wheel counter-clockwise. This will move the Now time backwards.

The outer wheel, called the shuttle wheel, moves the Now Time rapidly forward or backward, depending on the position of the wheel.

Move the Now Time with the Shuttle Wheel:

  1. Move the Shuttle Wheel from the center default position (0 degrees) to +30 degrees (right of center). The now time will move forward at half playback speed.
  2. Now, move the Shuttle Wheel to the opposite setting, -30 degrees (left of center). The now time will move backwards at half playback speed.

Note: the audio and MIDI data will not be heard when shuttle is active.

Using the Audio Mixer in StudioMix

At the top right of the StudioMix hardware surface is a simple analog mixer that allows you to connect your audio sources and destinations quickly and easily.

When recording, use the Mic Gain and Line Gain knobs to set the level for each of those inputs. These two signal paths are merged together and sent to the sound card (and thus into the computer).

On playback, your sound card's signals are passed through the Mix Out control, where they are sent to the external deck that is connected for recording.

You can select to hear either the output of the sound card or the external tape deck by using the Tape/Monitor switch that is located to the far right of the mixer. After you have selected the source you wish to hear, use the Monitor knob to set the listening volume for the monitor and headphone outputs.

See your StudioMix Quick Start Guide for more information on the Audio Mixer.

Using the Mixing Capabilities of StudioMix

While you are recording or editing your project, you will want to control mixing parameters in a static (non- automated manner). The StudioMix software allows you to do this very easily. The key is to make sure that the Volume ("Vol") and Pan fields in the Track view are set to Null ("---"). These fields tell the software the starting volume level and pan setting. If these fields have numeric values in them, your faders and pan settings will jump to those values when you stop, rewind, or as you playback and reach the first clip of MIDI or Audio on the track - even if you have moved them (while setting up a rough mix) during playback. Setting these to null ("---") will prevent loss of that rough mix.

In order to prepare your software for rough-mixing, you can run the RoughMix.cal macro - which will set the initial Volume and Pan fields on all tracks to null. To do so:

  1. From the Process menu, select Run CAL, or press Ctrl-F1.
  2. In the dialogue that appears, choose "RoughMix.cal" from the list and click Open. The macro will run automatically, setting your console for rough-mixing.

You can also trigger this CAL routine from the StudioMix hardware surface's programmable buttons. By default, the third button from the bottom is set to run this macro.

If you want to retain volume and pan settings for some tracks but not others, you can set these fields to null on individual tracks by entering "-1" (without the quotes) in that field.

Setting these fields to Null will allow you to move faders during playback and prevent their settings from changing when you stop or rewind.

Note: Make sure that you do not move the volume or pan controls (onscreen or on the hardware surface) when the Now Time is at 1:01:000 (00:00:00:00). This will place values in those fields, which will cause the rough mix settings that you set during playback to be lost upon stop/rewind. If you do happen to put a value in those fields, set it to null before playback begins.

Grouping Controls in the Console

When you are mixing (automated or rough-mix) you will probably want to group controls together so that you can control parameters across several tracks simultaneously. The only rules when doing grouping are as follows:

  1. You can only group button controls with other buttons, not with faders, pans or knobs.
  2. Groups are for live control only - when you write automation data to a group, you are actually writing automation data to each track (not to some 'group automation data track'). This means that if you add controls to an existing group that you wrote automation data for, the new control will not automatically get automation from the other members of the group. See Troubleshooting StudioMix issues for more info.

To Add Controls to a Group

Right-click on the control in the Console view, choose "Group" then selecting a group from the pop-up list that appears. Faders and Knobs will display the color of the selected group. Now, when you move any of the controls, the others will follow based on the settings for the group. To Remove Controls from a group...

Right-click on the control in the Console view and choose "Ungroup" from the inspector menu.

Note: This will not remove any automation data in the group. See Editing Automation to learn how to delete automation on a track.

For more detailed information on setting up groups, as well as the different types of groups (Absolute, Relative, Custom) see Using Control Groups.

Setting Up To Automate Your Mix

When you're ready to automate your mix, you need to do a few things first to make sure that the software is ready to capture your moves:

  1. In the Console view, enable the Record Automation button by clicking it into the down position. This tells Cakewalk to record your control movements during playback.
  2. In the StudioMix configuration view, make sure that you have selected the correct parameters for the hardware surface to control.
  3. Also, while in the StudioMix Configuration view, make sure to set the Button on both MIDI and Audio tracks to "Write Fader". This allows you to trigger (punch-in/out) the recording of automation for the motorized faders.
  4. If you want the faders on the StudioMix hardware surface to move during playback in response to automation data, make sure that the Update button (in the Console view) is in the down (enabled) position.

Automating Your Mix

Now that you've setup the software as described above, you are ready to begin recording automation data in your project. Follow these steps:

  1. Rewind or move the Now Time to slightly before the time where you wish to begin automating the mix.
  2. On the tracks that you wish to record fader information on, press the module button on the StudioMix hardware surface, triggering the "Write Fader" function.

Write Fader tells the software to ignore previous automation data on the track and to record any movements of the control during playback.

Note: Moving a rotary control automatically records automation data into the track. There is no enabling required.

When Write Fader is triggered, you will notice that the on-screen control that is being controlled by the hardware fader will become highlighted, indicating that it is enabled for recording automation data once playback begins. You can also trigger the "Write Fader" function after playback starts, if you need to punch-in at a specific time.

  1. Hit play and move the faders and knobs to create your mix. On the tracks that are enabled for "Write Fader", you will be recording new automation data.
  2. When you reach the point where you no longer want to record automation data for the faders on the track, you can "punch-out" of automation recording by hitting the module button on the StudioMix hardware surface. You will notice that the background color of control will revert to normal, showing that the control is reading automation data.

When you are automating mix parameters controlled by onscreen knobs, you must stop playback in order to stop recording new automation data for those parameters.

If you stop the transport, you will automatically punch-out from automation recording and disarm the "Write Fader" function for all tracks.

You can repeat the steps above as needed to create the perfect automated mix for your project, or get into more complex editing as described in the next section.

Tip: Make sure to leave a measure or two before your project starts, so that you have sufficient pre-roll before the automation needs recorded. This gives you time to punch-in and move things before sound starts.

Editing Automation Data in Your Project

There are several ways to edit the automation data recorded in your project, but first let's look at the parameters that are available for automation. Each parameter is recorded as a MIDI controller in the track that it is recorded on, except in the case of soundcard outputs and Aux Masters, which are recorded in a special track labeled "Console Automation"

The table below gives the parameter and the controller used to automate it

Track Volume | Controller 7
Track Pan | Controller 10
Mute | <not recorded>
Solo | <not recorded>
Aux Send 1 | Controller 91, MIDI Channel 1
Aux Send 2 | Controller 91, MIDI Channel 2
Aux Send 3-16 | Controller 91, MIDI channels 3-16
MIDI Reverb | Controller 91
MIDI Chorus | Controller 93
Aux n Master Send Volume | Controller 95, MIDI Channel n
Aux n Master Return Volume | Controller 92 MIDI Channel n
Aux n Master Send Balance | Controller 96, MIDI channel n
Aux n Master Return Balance | Controller 93, MIDI channel n
Main Volume (Left) | Controller 40, MIDI channel 1
Main Volume (Right) | Controller 40, MIDI channel 2

You can edit your automation data in one of four ways:

  • You can re-record data as described in the Automation section above
  • You can right-click on any automated control and select "Edit Automation Data" from the inspector menu. This will open a controllers view that will allow you to view and alter automation controller information.
  • You can remove all automation data from the project using the "WipeAllAutomation" CAL routine. To do so, select Process-Run CAL and select the WipeAllAutomation routine.
  • You can select an area across tracks and run the "WipeSelectedAutomation" CAL routine, which deletes volume and pan data from the selected tracks for the selected time range.

Note: If you want to edit or remove automation for the Mains and Aux Masters Section, that automation data is stored in the track labeled "Console Automation", which automatically appears when you record automation data for those controls. This track must be selected when using the "Edit Automation Data command" or "WipeSelectedAutomation.cal" CAL routine.


Programming with Cal

Cakewalk Application Language (CAL) is an event-processing language that you use to extend SONARTM with custom editing commands.

By using a text editor like Notepad, you can write your own CAL programs and use or edit CAL programs that other people have written. CAL files are stored on disk in files with an extension of .cal.

The Cakewalk World Wide Web site (www.cakewalk.com) contains additional CAL programs that you can download and use. If you have written some interesting CAL programs and want to make them available to other users, please let us know.

See:

Creating and Running CAL Programs

Sample CAL Files

Writing CAL Programs


Creating and Running CAL Programs

Use a text editor like Notepad for creating, editing, and saving CAL programs.

To interrupt a CAL program while it is running, press the Esc (Escape) key. Press OK to confirm that you want to interrupt the CAL program. As a rule, you shouldn't interrupt a CAL program in this way unless you suspect it is stuck in an infinite loop.

To Open a CAL Program

  1. Select the MIDI data you want to edit.
  2. Choose Process-Run CAL.
The Open dialog box appears.
  3. Navigate to the folder that contains the CAL program you want to run.
  4. Choose the file you want to open and click Open.

The CAL program you chose runs and modifies the selected MIDI data.

To Create a New CAL Program

  1. Open Notepad or a similar text editor.
  2. Start a new file or open an existing CAL program to edit.
  3. Write your new program or edit an existing one.
  4. Save your file with the extension .cal.

Now select the MIDI data you want to edit and use the Process-Run CAL command to run your program.


Sample CAL Files

The following is a description of the sample CAL programs that come with SONAR. You can use these programs as is or modify them to suit your own needs.


SPLIT NOTE TO TRACKS.CAL

This program splits individual notes to separate tracks. It is useful if you have one drum track but want to split each drum to a separate track (for more flexible editing).


SPLIT CHANNEL TO TRACKS.CAL

This program splits a track by channel into 16 new tracks. This can be useful for Type 0 MIDI files, which may have data recorded on many channels but only one track.

To use the program

  1. Select only one track.
  2. Set the From and Thru markers for any part of the track (you don't have to split the whole track).
  3. Run the split channel to tracks.cal program.
SONAR displays a dialog box.
  4. Select the first track for the 16 split-channel tracks (preferably, the first of 16 blank tracks).
  5. Click OK.


RANDOM TIME.CAL

This program randomizes event starting times. It asks you for a number of ticks. The program then changes each event time by an amount that is randomly between plus or minus one-half the number of ticks that you supply.

For example, if you type the number 4, each event time will have -2, -1, 0, 1, or 2 added to it.


THIN CONTROLLER DATA.CAL

This thins continuous Controller data. It prompts you for two numbers.

  • The number of the Controller that you want to thin. For example, MIDI assigns the Volume controller to number 7.
  • A thinning factor. For example, if you specify the number 3, the program deletes every third Controller event of the kind you've specified.

This program never deletes Controllers with the values 0, 64, or 127, because the goal is to thin the data without destroying the fundamental shape of it.


THIN CHANNEL AFTERTOUCH.CAL

This works almost exactly like the previous program, but it thins channel aftertouch (ChanAft) events. It asks you for the thinning factor.


THIN PITCH WHEEL.CAL

This works almost exactly like the previous two programs, but it thins pitch-wheel events. It asks you for the thinning factor.

This program never deletes wheel events with these special values:
-8192, 0, and 8191.


MAJOR CHORD.CAL, MINOR CHORD.CAL

These two CAL programs and the three other chord-building CAL programs that come with SONAR build chords using existing events in the track(s) as chord roots.

For instance, if you select a single note as the region and run major_chord.cal, two notes are added above the original note. The resulting chord is a major triad.

Normally, you'll use these programs on a region containing a single note. You can, however, apply these to tracks containing many notes. Each original note will become the root of a chord.


Writing CAL Programs

This section outlines the basics of writing CAL programs. Things will be easier if you've done at least a little programming, whether in BASIC, C, Pascal, LISP, or another language. (CAL blends elements of C and LISP, in particular.)

SONAR provides only a limited amount of CAL programming technical support. If you need help with your CAL programming, please e-mail your request and include a copy of the CAL file in question. For additional information on developing CAL programs, see CAL Function Reference.

Here is a sample program that illustrates how the CAL language works. This sample program asks the user to enter a value and then adds that value to the velocity parameter of note events.

(do)
(int amt 0)
(getInt amt "Amount to add?" -127 127)
(forEachEvent
(if (== Event.Kind NOTE)
(+= Note.Vel amt)
)
)
)

CAL has a very simple syntax that is similar to LISP. Every statement in CAL is a call to a function, and the function returns a value:

(<function> <argument(s)>)

Those of you experienced with C or Pascal programming will find this natural when you think of function calls such as:

(message "Hello, world.")

Here, the function message is passed a string argument. As you might guess, this CAL program displays text on SONAR's message line.

This syntax is not quite as natural when you realize that arithmetic operations are treated as functions. For example, the addition operator is really a function. To add two numbers, you say:

(+ 1 1)

the result of which is 2. This will be comfortable to LISP hackers, but others may find it a little unnatural at first.


Troubleshooting

If you're having a problem with SONARTM, don't panic. This appendix lists some common problems and how to solve them.

If you don't find an answer here, there are two other important places to look for help:

  • Check the ReadMe file that came with your software. It contains additional information that wasn't available when this User's Guide was printed. To view the Readme file, select Help-View README.RTF.
  • Visit our World Wide Web site at www.cakewalk.com, where you'll find answers to frequently asked questions, tech support documents, program patches and updates, and more.

Frequently Asked Questions

When I Play a File, I Don't Hear Anything

I Can't Record from My MIDI Instrument

When I Play a File Containing Audio, the Audio Portion Doesn't Play

I Can't Record Any Audio

The Music Is Playing Back with the Wrong Instrument Sounds

My Keyboard Doubles Every Note I Play

I Don't See the Clips Pane in the Track View

Why Can't SONAR Find My Audio Files?

Why Do I Get Errors from the Wave Profiler?

Audio Distorts at Greater than 16 Bits

No Sound from My DXi

My Pro Audio 9 Files Sound Louder/Softer When I Open Them in SONAR

SONAR Can't Find the Wavetable Synth or MPU401

I Get an a Error Message When I Change a Project to 24-bit Audio

Bouncing Tracks Takes a Long Time

SONAR Asks You to Increase the Number of Virtual Main Buses


When I Play a File, I Don't Hear Anything

Open a project (.cwp) and click the Play button. If you don't hear any music, try the following suggestions:

Possible problem... | What to do...
Your speakers aren't connected properly or the volume is turned down. | Make sure your speakers are on and the volume is turned up.
Your sound card isn't hooked up correctly. | See if other programs play sound correctly through your speakers. A good program to try is the Media Player (Start-Programs-Accessories-Multi- media-Media Player). If other programs do not work, check your sound card documentation to make sure the card is properly installed and configured.
You don't have Bank and Patch settings | Check the Bank and Patch settings for each track. Make sure that each track has a Bank and Patch assigned to it.
You don't have an Output setting | Check Output settings for each track. Make sure that each is assigned to a MIDI output which is connected to a MIDI device capable of playback.
No MIDI output device is selected. | Choose Options-MIDI Devices, and check the Output device list. Make sure that your computer sound card is highlighted and at the top of the list. If this doesn't work, try choosing different output devices, one at a time, to see if any of them produces sound.
Your sound card or MIDI interface is not set up correctly. | Make sure you have installed and tested each card according to the manufacturer's instructions.
You may have too many MIDI drivers. | Make sure you only install the drivers that you need, and remove any old or unused drivers. To access the driver list, choose Start-Settings-Control Panel, then double-click Multimedia and click on the Advanced tab.
Your MIDI driver is incorrect or outdated. | Make sure that the driver you have installed is the correct driver for your hardware. Also try downloading and installing the latest driver release from your hardware manufacturer.
Your MIDI driver is configured incorrectly. | Make sure the driver's IRQ and port address settings match the physical settings on the card.

If none of these suggestions works, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


I Can't Record from My MIDI Instrument

If you are unable to record music from your electronic keyboard, synthesizer, or other MIDI instrument, first test to see if you are able to play back a project through the keyboard. Then try the following:

Possible problem... | What to do...
No MIDI input device is selected. | Choose Options-MIDI Devices, and check the Input device list. Make sure that the MIDI input on your computer sound card is highlighted.
Your MIDI cables are reversed. | Make sure that the MIDI Out plug is connected to the MIDI In jack on your keyboard and that the MIDI In plug is connected to the MIDI Out jack on your keyboard.
SONARTM is not receiving MIDI data. | Check the MIDI Input/Output Activity monitor [image] on the Windows Status bar. Check to see if the left LED is flashing red. If not, then SONARTM is not receiving MIDI data. Check you connections and try again.
You have not set up SONARTM to record. | Make sure that 1) you have chosen an input for the track; 2) you have armed the track for recording; and 3) you have pressed the Record button, and not the Play button.

If none of these suggestions works, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


When I Play a File Containing Audio, the Audio Portion Doesn't Play

Opening a bundle file (.cwb) and click the Play button. Do you hear the audio tracks in the project (there may be MIDI tracks in the bundle file, so you must mute them). If not, try the following:

Possible problem... | What to do...
Your speakers aren't connected properly, or the volume is turned down. | Make sure your speakers are connected properly and the volume is turned up.
Your sound card isn't hooked up correctly. | Run the Microsoft Sound Recorder (Start-Programs-Accessories-Multimedia-Sound Recorder). Open any wave file and see if it plays sound correctly through your speakers. If not, check your sound card documentation to make sure the card is properly installed and configured.
The volume setting is turned down on your software mixer. | Double-click on the yellow speaker icon in the Windows task bar to display the mixer, and make sure all the volume settings are turned up and that none are muted.
Your audio tracks are assigned to the wrong output. | Check the output assignment for your audio tracks in the Track pane.
SONAR doesn't recognize your sound card. | Choose Options-Audio, click the General tab, and then click the Wave Profiler button to test your audio hardware. Then, re-open the bundle file and try again.

If none of these suggestions works, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


I Can't Record Any Audio

If you are unable to record audio through your sound card, try the following suggestions:

Possible problem... | What to do...
The track is not set up to receive audio input. | Make sure that the input for the track you are recording (in the Track view) is set to an Audio input before recording.
The software mixer is not set up properly. | Double-click on the speaker icon in the Windows task bar to display the mixer. Choose Options-Properties, select Adjust Volume for Recording, and click OK. Make sure the appropriate Select boxes have checkmarks and the input volume is turned up.
Your sound card isn't hooked up correctly. | Try recording audio using the Microsoft Sound Recorder (Start-Programs-Accessories-Multimedia-Sound Recorder). If it fails, check your sound card documentation to make sure it is properly installed and configured.
You have not set up SONAR to record. | Make sure that 1) you have chosen an input for the track; 2) you have armed the track for recording; and 3) you have pressed the Record button, and not the Play button.

If these suggestions don't work, check our web site for additional suggestions or contact technical support.

More Frequently Asked Questions.


My Track or Aux Bus Fader is Maximized, But There's No Sound or Level

SONAR has two modes that govern how fader levels function: Envelope Mode and Offset Mode. In Envelope Mode, any envelopes in the track or bus control the level, and ignore any movements you make to the fader. In Offset mode, any envelopes in the track or bus add their level to any level that the fader contributes. For example, the level you see in the Vol field of a track's properties combines with the levels that any volume envelope in that track produces as the track plays. When you switch back to Envelope mode, any level that the Vol field displays while in Offset mode continues to combine with any envelope in the track, but does not show in the Vol field while you're in Envelope mode. So, if you have a large negative value such as -INF in the Vol field, even though the volume envelope is at its maximum level, the sum of the two values is still inaudible because the negative value is so large.

Whenever you have mysterious levels in a track or bus, click the Envelope/Offset Mode button [image] that is in the Track view toolbar to switch modes, and then look in the track or bus property fields to see what values show. Change the values to neutral ones if you don't want them to affect your levels.


The Music Is Playing Back with the Wrong Instrument Sounds

If the tracks in your project are assigned to the same MIDI output and channel, the same sound will be used for all of them. To fix this problem, simply assign each track to a different channel (using the Channel control in the Track view), and then choose the sound (or patch) you want to use for each one. If you are playing songs through your MIDI keyboard or synthesizer, you need to 1) check that your instrument is able to receive MIDI data on multiple channels, and 2) configure your instrument to play a different patch on each channel (this is called Multi Mode on many instruments). See the documentation for your instrument for more information.

Another possibility is that you are playing back a GM (General MIDI)-authored MIDI file on a non-GM compatible device.

More Frequently Asked Questions.


How Do I Use SONAR to Access All the Sounds on My MIDI Instrument?

SONAR is normally set up to access the 128 sounds that are part of the General MIDI standard. SONAR also includes custom instrument definitions that match the sounds on many popular instruments. To use a custom instrument definition:

  1. Choose Options-Instruments to display the Assign Instruments dialog box.
  2. Click the Define button to display the Define Instruments and Names dialog box.
  3. Click Import, and then choose the file for the manufacturer of your instrument.
  4. Choose your instrument from the list and click OK.
  5. Click Close to return to the Assign Instruments dialog box.
  6. Select from the Output/Channel list all the outputs and channels that are being sent to that instrument.
  7. Click on the instrument in the Uses Instrument list.
  8. Click OK when you are done.

If your manufacturer or instrument doesn't appear, check our web site to see if an updated instrument definition is available. You can also create your own instrument definition. For more information on instrument definitions, see Using Instrument Definitions.

More Frequently Asked Questions.


My Keyboard Doubles Every Note I Play

When your keyboard doubles the notes, each note seems heavier or thicker than usual, as if two notes of the same pitch are emitted when you press the key. Also, you may find that you can play only half as many notes at one time before some of the held notes drop out.

This can occur when MIDI echo is enabled. The keyboard plays the note for the key you've pressed. At the same time, the note is sent through the MIDI interface and echoed back to the keyboard, where it is played a second time.

The best way to resolve the problem is to disable Local Control on the keyboard, following the instructions that came with the keyboard. This stops the keyboard from playing independently. The keys you play still produce sound on the keyboard because they are echoed back by the MIDI interface. In many cases, SONAR disables local control automatically when the program is started, but this is not always possible.

An alternate solution is to disable echoing, as follows:

  1. Choose Options-Project and click the MIDI Input tab.
  2. Under Echo Mode, check None.
  3. Click OK when you are done.

This alternate solution may cause other problems if you are working with several MIDI devices at once.

It's also possible that your keyboard is transmitting information on two channels at once. To see if this is so, create a new project and record two notes from the keyboard. Then look at what you've recorded in the Event list view. If you see four notes displayed instead of two, then your keyboard is transmitting on two channels. See the documentation for your keyboard to learn how to correct the problem.

More Frequently Asked Questions.


I Don't See the Clips Pane in the Track View

The splitter bar may be so far to the right that the Track pane fills the entire Track view. Here's how to solve the problem:

  1. Place your cursor over the splitter bar. It is located on the far right side of the Track view, just to the left of the vertical scroll bar. When you place the cursor over the splitter it changes to a double-headed arrow.
  2. Click and drag the splitter bar to the left. You should be all set.

More Frequently Asked Questions.


Why Can't SONAR Find My Audio Files?

SONAR looks for all audio data in a certain directory or folder, called the Data Directory, in Cakewalk Projects (or the WaveData Directory in previous versions of Cakewalk products). If you have renamed or moved either SONAR or the Data Directory, SONAR may not be able to find your audio files. If you know where the audio files are stored, choose Options-Audio, click Advanced and enter the full path name of the directory in the Data Directory box. If you don't know where the audio data are stored, choose Start-Find-Files or Folders and search for files named *.wav.

For more information about the wavedata folder, see Audio File Management.

More Frequently Asked Questions.


I Get an a Error Message When I Change a Project to 24-bit Audio

Some audio devices, especially USB devices that use WDM drivers, can not operate in 24-bit mode unless a variable in SONAR's aud.ini file is set to 1. The variable is Use24BitExtensible=<0 or 1>, which goes in the [name of your audio device (`n' in, `n' out)] section.

For more information, see AUD.INI.

More Frequently Asked Questions.


Bouncing Tracks Takes a Long Time

By default, SONAR uses a buffer for bouncing tracks that is the same size as the Mixing Latency value that you set in the Audio Options dialog. But with some projects, especially ones that use certain soft synths, the bounce buffer needs to have its own value. You can set the value in the aud.ini file with the BounceBufSizeMsec=0 line in the Wave section. At a value of 0, the bounce buffer is the same size as the Mixing Latency value that you set in the Audio Options dialog. You can set the bounce value to 100, or some value between 0 and 350 so that the bounce buffer will use a more efficient size for bouncing, which has different requirements from normal playback latency.

For more information, see AUD.INI.

More Frequently Asked Questions.


Why Do I Get Errors from the Wave Profiler?

Audio devices such as voice modems or speakerphone devices can cause an error message when running the Wave Profiler. Sometimes these errors are harmless; on other occasions you need to disable the voice modem or speaker-phone device before running the Wave Profiler. To do so:

  1. Choose Options-Audio and click the Drivers tab.
  2. Make sure that the voice modem or speaker-phone device is not selected in both the Input and Output device lists.
  3. Click OK.
  4. Choose Options-Audio, click the General tab, and run the Wave Profiler again.


I Hear an Echo When I Record

If you have input monitoring enabled, when you play an instrument that is plugged into your sound card, you hear the direct signal that goes straight through your sound card, and an instant later you hear the sound that is processed by SONAR, including any plug-in effects you may be using. Only the processed sound is recorded.

You can eliminate the echo in either of two ways:

  • Mute the direct signal so you only hear the sound that is processed by SONAR. If you choose this method, you may hear too much of a lag between the time you play your instrument and the time you hear it, depending on the latency of your system (using WDM audio drivers is a great way to achieve lower latency).
  • Disable input monitoring so you only hear the raw signal that's coming through your sound card. If you choose this method, you won't hear any plug-in effects you may be using.

To disable input monitoring:

  1. Use the Options-Audio command to open the Audio Options dialog box.
  2. On the Input Monitoring tab, deselect the name(s) of the sound card(s) that you use for input monitoring.
  3. Click OK.

To mute your sound card's direct sound:

  1. Open the software mixer that controls your sound card. If your sound card uses the Windows mixer, open the mixer by using the Start-Programs-Accessories-Entertainment-Volume Control command, or by double-clicking the speaker icon on the Windows taskbar.
  2. In the Play Control window of the mixer, check the Mute checkbox in the Line-In column, or in the column of whatever jack your instrument is plugged into, and close the mixer window.

More Frequently Asked Questions.


Audio Distorts at Greater than 16 Bits

There are several settings in the Audio Options dialog box (Options-Audio command) you need to set before using audio formats greater than 16. See "Configuring SONAR for 18-, 20-, and 24-bit Operation" on page 19-17 Configuring SONAR for 18-, 20-, and 24-bit Operation.

More Frequently Asked Questions.


No Sound from My DXi

Use the following table to troubleshoot problems hearing a DXi in SONAR:
Possible problem...

What to do...
DXi doesn't sound when a recorded MIDI track is sent to it.

  • Make sure you select a MIDI channel in the MIDI track's Out field; you may also need to select a Patch and Bank.
  • Make sure that neither the MIDI track nor the audio track that contains the DXi are muted.
  • Make sure the MIDI notes are in the right range for the DXi's patch.
DXi patched into a Main or Aux bus doesn't sound.

  • Make sure that at least one audio track is configured to send data to that bus.
  • Make sure that the Audio Engine button [image] in the Transport toolbar is depressed.

DXi doesn't sound when you play a MIDI controller.

  • Make sure that the Audio Engine button [image] in the Transport toolbar is depressed.
  • Make sure that the MIDI track that has the focus lists the DXi in its Out field.
  • If you patched the DXi into an audio track, make sure that track is not muted.
  • If you patched the DXi into a bus, make sure that at least one audio track is configured to send data to that bus.
  • Make sure you're playing in the right range for the DXi's patch.
I hear more than one sound when I play a DXi.

  • Make sure your MIDI controller is set to local off.

More Frequently Asked Questions.


My Pro Audio 9 Files Sound Louder/Softer When I Open Them in SONAR

Pro Audio 9 has a setting in the Audio Options dialog box called MIDI Volume Mapping. This setting determines how many dB that a movement of a volume fader produces. This setting is not stored in each project file, so SONAR can't tell precisely what dB scale was used to produce the file you're opening. If the volume sounds incorrect:

  1. Open SONAR's aud.ini file (find it in your SONAR folder and double-click it).
  2. Change the line that says VolMethod= "N." If N=1, change N to 0; if N=0, change N to 1.
  3. Save the file and close it.
  4. Reopen the Pro Audio file in SONAR. If the volume sounds correct, save the file in Sonar.

If other Pro Audio 9 files were opening correctly in SONAR, change the VoMethod=N line in SONAR's aud.ini file back to what it originally was, and re-save the file.More Frequently Asked Questions.


Patching an Effect into SONAR Causes a Dropout

You may have simply reached the maximum number of tracks and effects your CPU can handle. However, if your CPU meeter doesn't appear to be maxed out, or other plub-ins seem to work, you may need to address the problem by editing a line in the AUD.INI file.

Using Notepad, open the AUD.INI located in the directory where you installed SONAR. The default value of the ExtraStreamBufs variableis 0. Try changing that value to 1, saving AUD.INI and patching in the effect that caused the dropout. If it still causes a dropout, try changing the value in ExtraStreamBufs to 2. Continue to double the value in this variable until you reach 32 (4, 8, 16, 32). If a value of 32 does not fix the problem, it is time to try something else. See Dropouts and Other Audio Problems for more information about potential reasons for dropouts.

More Frequently Asked Questions.


I Can't Open My Project

Your project may have become corrupted, or SONAR is attempting to use a plug-in that is not longer on your system. You can attempt to open the project using Safe Mode.

To use Safe Mode

  • If you are opening a file from the Most Recently Used files list in the File menu, hold down the Shift key while selecting file name.
  • If you are opening the file from the Open dialog, select the file in the dialog and hold down the Shift key while clicking the OK button.
Safe Mode does the following:
  • Opens only the Track view.
  • Prompts you if you want to open the plug-ins saved with your project. Each plug-in gets a prompt, so you can open some and not open others.


SONAR Can't Find the Wavetable Synth or MPU401

Follow this procedure:

  1. Open the Audio Options dialog (Options-Audio command), and on the Advanced tab, check the Always Use MME Interface, Even When WDM Drivers Are Available option.
  2. Click OK to close the dialog.
  3. Close SONAR and reopen it.
  4. Use the Options-MIDI Devices command to open the MIDI Devices dialog.
  5. Highlight the Wavetable synth and/or the MPU401 (or whatever synth your sound card contains).
  6. Click OK to close the dialog.

Now your sound card synth and/or the MPU401 should appear in the drop-down menus of the Out fields of your MIDI tracks.

More Frequently Asked Questions.


SONAR Asks You to Increase the Number of Virtual Main Buses

If you create a project that uses more virtual main buses than SONAR is currently set up to supply, when you try to open that project SONAR displays an error message that asks you to increase the configured number of buses.

Use this procedure:

  1. Click OK to close the error message.
  2. Use the Options-Audio command to open the Audio Options dialog.
  3. On the General tab of the dialog in the Number of Virtual Mains field, increase the number to create the number of virtual main buses that the project uses.
  4. Click OK, close SONAR, and restart SONAR.
  5. Open your project.

For more information, see Virtual Main Bus Module.

More Frequently Asked Questions.


Hardware Setup

This appendix contains additional details on configuring your equipment for use with SONAR.

See:

Connect Your MIDI Equipment

Set Up to Record Digital Audio


Connect Your MIDI Equipment

If you are using a MIDI interface (such as an MPU-401 or Sound Blaster MIDI option) with an external MIDI keyboard, you need to connect the equipment using MIDI cables.

It is possible to connect your equipment in some rather complex ways that may cause problems. If you call for technical support with a problem concerning equipment that doesn't seem to be responding, we'll probably suggest that you reconnect things in one of the ways listed below before we explore the problem further. Also be sure to check Troubleshooting, before calling us.

There are two methods that fit many circumstances. The one you choose depends on whether your keyboard has:

  • All three types of MIDI jacks: In, Out, and Thru
  • Only two types of MIDI jacks: In and Out

If you have only one keyboard, read the "If Your Keyboard Doesn't Have a MIDI Thru Jack" section (regardless of whether you have MIDI Thru or not).

If Your Keyboard Has a MIDI Thru Jack

If your keyboard has three MIDI jacks--In, Out, and Thru--then use the following diagram.

If you are using a 15-pin joystick adapter cable that splits into two MIDI cables:

  • Connect the 15-pin jack to your computer's joystick port.
  • Connect the In cable to your instrument's MIDI Out jack.
  • Connect the Out cable to your instrument's MIDI In jack.

Here's a checklist:

Connect this... | To this...
Master keyboard Out | MIDI interface In
MIDI interface Out | Master keyboard In
Master keyboard Thru | Another MIDI module's In
That MIDI module's Thru | Yet another MIDI module's In

Continue the sequence, repeating the last connection for each of your sound modules.

Each MIDI device should be set to a unique MIDI channel or range of channels to avoid note-doubling. Refer to the manuals for your MIDI devices for information on how to set their MIDI channels.

Your MIDI interface may have a Thru jack as well as In and Out jacks. If your master keyboard lacks MIDI Thru, you can add more MIDI modules to your setup by connecting the MIDI interface's Thru to the first module's In. You can then chain subsequent modules onto the first module, as described earlier.

If your master keyboard now seems to double notes (they sound thicker), or if you can play only one half as many notes at once, first make sure that no MIDI channel is being used by more than one of your MIDI devices. If no MIDI channel is assigned to duplicate devices and you hear doubling or only half as many notes as you should, see My Keyboard Doubles Every Note I Play.

If Your Keyboard Doesn't Have a MIDI Thru Jack

If your keyboard has only two MIDI jacks--In and Out--or if you have only one keyboard, use the following diagrams instead:

Each MIDI device should be set to a unique MIDI channel or range of channels to avoid note-doubling. Refer to the manuals for your MIDI devices for information on how to set their MIDI channels.

If your master keyboard now seems to double notes (they sound thicker), or if you can play only one half as many at once, first make sure that no MIDI channel is being used by more than one of your MIDI devices. If no MIDI channel is assigned to duplicate devices and you hear doubling or only half as many notes as you should, see My Keyboard Doubles Every Note I Play.


Set Up to Record Digital Audio

In general, the inputs of sound cards take 1/8" stereo mini-jacks. Sound cards usually have two inputs--one for line level inputs and the other for microphones (at mic level). The line level input is stereo; the mic input could be either stereo or mono. If your final output does not terminate in a 1/8" jack (and it probably doesn't), you will need an adapter to plug it into your sound card.

Most sound cards use the Windows Volume Control to adjust the master input and output volumes and to control which recording inputs are active. If you don't hear audio tracks, or if you can't easily control the audio volume in SONAR, go to Start-Accessories-Volume Control and check the settings there. See your sound card's documentation for more.

Electric Guitar Direct-In

You can connect an electric guitar directly to your sound card using a 1/4" mono to 1/8" stereo adapter. The following diagram shows this setup:

The 1/8" jack should be plugged into the sound card's mic input, although plugging into the line input may also work.

Electric Guitar Through Effects Rack

You can also plug an electric guitar into an effects rack, then send the output of the rack to the sound card's input, as shown in the following diagram:

This diagram assumes that the output of the rack is at line level. If it is at pro level instead (+4 dB), and your card does not accept a +4 db input, you will need to attenuate (lower) the F/X rack's signal. To do this, use a mixer between the rack's output and the Y-adapter. If the rack has only a mono output, a 1/4" mono to 1/8" stereo adapter should be used instead of a Y-adapter.

If you want to connect a guitar amplifier's direct output to the sound card, you should base your setup on this example.

Microphone Direct-In

Microphones can be plugged into the sound card's mic input. Some inexpensive microphones are made especially for use with sound cards and come equipped with 1/8" jacks. However, better quality microphones take better quality cables, which do not terminate in 1/8" jacks.

Home Stereo, CD Player, Radio Tuner, Preamp Output

The output of a stereo component can be connected to the sound card's line in, using a dual RCA to 1/8" stereo mini Y-adapter. Many portable cassette players come with this kind of adapter, or even with a single cable with all the necessary jacks. In the following diagram, a stereo component is connected to the Y-adapter using standard RCA cables:

Internal CD Player

If you are using your computer's internal CD player, and it does not have its audio outs connected internally to the sound card, run a cable from the CD player's Headphone jack to the card's Line In jack. If there is no Headphone jack, you'll need to use an external CD player.

Mixer

You can connect a mixer to the sound card with a setup of the following kind:

Note:

If your mixer has buses, use them! This helps avoid feedback.


MIDI Files

The Standard MIDI file format is a file interchange format defined by the MIDI Manufacturers Association (MMA). The purpose of the format is to allow for the exchange of MIDI data between different programs. Any program that can read and write MIDI files has a common language with which to talk to other MIDI software. The compact size of MIDI music files makes them particularly useful for delivering music online.

SONARTM can open standard MIDI files, and can save your projects in standard MIDI file formats. Note that only the MIDI portion of your projects is saved in a standard MIDI file. If your projects contain digital audio, the audio portion of the project will be lost when you save it to a standard MIDI file.

Note: If you load a standard MIDI file into SONAR, SONAR strips out any initial volume and pan settings and sets the volume and pan controls for any affected tracks to those values. Initial volume and pan settings in a standard MIDI file are those that occur within the first measure. Any affected volume and pan controls will show the initial values that SONAR loaded from the standard MIDI file. Any volume and pan controls that are not affected, in other words that don't have initial values stored in the file, will show their current values in parentheses. These controls are disabled until you move one of them and therefore give it a value, at which point the control becomes enabled and the parentheses disappear. If you save a file as a standard MIDI file, SONAR saves the values of all enabled controls as initial values. However, as a project plays, SONAR''s controls do not display MIDI controller values that change throughout the track--SONAR's controls only display automation values, i.e. shapes. If you want SONAR's controls to display MIDI controller values throughout the project, use the Edit-Convert MIDI to Shapes command.

SONAR supports two different MIDI file formats, MIDI Format 0 and MIDI Format 1. Format 0 MIDI files contain a single track, with all events stored in that track. Format 1 MIDI files can store up to 7256 tracks, just like SONAR project files. When you load a MIDI Format 0 file, SONAR splits it into 16 separate tracks, based on the MIDI channels assigned to each event. When you save a project to a MIDI Format 0 file, SONAR collapses MIDI information from all of its tracks into one single track.

SONAR also lets you save and load files in the RIFF MIDI file format. This is a standard Resource Interchange File Format specification that encapsulates a Standard MIDI File of either format 0 or format 1. These files typically have an extension of .rmi.

A disadvantage of MIDI files is that the way the file sounds on playback varies based upon the sound reproduction hardware you are using. The same project sounds very different on two different synthesizers or two different sound cards. Another problem is that the Standard MIDI File specification leaves some details open to interpretation by software and hardware manufacturers.

To Save a Project as a Standard MIDI File or RIFF MIDI File

  1. Choose File-Save As to display the Save As dialog box.
  2. Choose the desired format from the Save as Type list.
  3. Enter a file name and click Save.

See:

Timebases

Supported MIDI File Meta-Events

Features Not Supported by MIDI Files

Other MIDI File Handling Notes

Special Handling of GM, GS, and XG MIDI Files

If You Have Problems Playing MIDI Files

If You Plan to Publish Your Songs


Timebases

MIDI files can be expressed in any of a number of timebases (ppq resolutions). It is likely that most MIDI files you will encounter use a common timebase, such as 96 or 120. Although SONAR supports many timebases, it is possible that a MIDI file may use a timebase that SONAR does not support. In that case, the times will be converted into whatever timebase is currently the default.


Supported MIDI File Meta-Events

MIDI files can contain meta-events. The types of meta-events that SONAR supports are listed in the following table:

MIDI File Meta-event... | How it is represented in SONAR...
Meter and key signature | Meter/key signature map entry
Tempo | Tempo change
General text | Track name
General text in the conductor track of a Format 1 file | Markers view markers
Track name | Track name
Port number (format 1) | Port assignments are maintained. Only available when the Write Cable Meta Events to MIDI Files (Output Select)


Features Not Supported by MIDI Files

While the MIDI file format is very flexible and extensive, it cannot store the following parameters that are part of a standard project file: key offset, velocity offset, time offset, and forced channel.

When you save a project to a MIDI file, most of these parameters are applied to the individual events. For instance, if you have assigned track 1 to channel 10 in the Track view, SONAR will write the MIDI file so that every event on track 1 has a channel number of 10. When you subsequently load the MIDI file all of those Track view parameters will have vanished. But the music will sound the same, because SONAR has made these changes to the events themselves.


Other MIDI File Handling Notes

Here are a few specific points about how SONAR works with MIDI files:

  • SONAR places Lyric events found in Format 0 MIDI files into Track 4, in accordance with conventions used by karaoke players.
  • SONAR inserts any Text or Lyric events found at time 0 in a track into the Comments field in the File Info dialog box, unless the Text or Lyric event is preceded by a Note event.
  • SONAR automatically enables the Zero Controllers when Play Stops option (available through the Options-Project command, on the MIDI Out tab) whenever a MIDI file is loaded.
  • If a general MIDI file contains a copyright notice, the File Info window will be displayed automatically when the file is opened.


Special Handling of GM, GS, and XG MIDI Files

General MIDI compatibility of a song file is indicated by the presence of a special System Exclusive message at the beginning of the song. When SONAR finds a GM, GS or XG reset message, it assumes that you would like to work within the GM Score Production guidelines. This causes SONAR to use special timing for program change information when writing MIDI Files, and allows it to search more aggressively for track parameters when reading MIDI files. The result is that it is easier than ever to create and use General MIDI song files with SONAR.

SONAR does not enforce or even verify compliance with the GM guidelines for your music data. But SONAR does comply with them when generating events that represent track parameters. If necessary, SONAR will insert blank setup measures at the start of your song. This makes space for certain events to be inserted at the correct times at the start of each track: bank changes, patch changes, volume, and pan. This means that you can use SONAR's track parameters for these settings when composing songs: When you save your work as a MIDI File, SONAR will place these events in the track at the specific clock ticks recommended by the guidelines.

You can tell SONAR to follow the GM guidelines by loading the "Turn GM System On" Sysx bank in the Sysx View (gmsystem.syx in your Cakewalk directory), and then either inserting a sysx event at time 1:1:0 or using the Auto setting for that bank.

When loading a GM file, each track's bank, patch, volume and pan parameters are lifted from the data stream and placed in SONAR's Track view for you to see and edit onscreen. The GM mode ensures that all patches, banks and controllers are placed at specified times throughout a setup measure when you save a MIDI file. This ensures that all setup information can be digested by your synthesizer before it starts playback. If you don't have a setup measure in your project, SONAR will insert one for you.

If there is no GM, GS, or XG reset System Exclusive message present at the start of your project, SONAR will not operate in this GM mode.


If You Have Problems Playing MIDI Files

A MIDI file can cause playback problems if all of the following are true:

  • The MIDI file is a GM-compatible Standard MIDI Format 1
  • All patches, banks and/or controllers are stored in one track
  • All related note events are stored in a different track

When SONAR loads such a file, it may try to optimize the program changes, causing incorrect selection of synthesizer voices during playback (the GM, GS, and XG specifications all recommend the use of Standard MIDI Format 0 for distribution of music data, which would make this problem irrelevant). If you encounter this problem, simply re-select your instruments and re-save the file.


If You Plan to Publish Your Songs

If you plan to publish your own songs, we encourage you to follow the General MIDI authoring guidelines. These guidelines are quite detailed about the exact layout of many types of song data, and a complete discussion of them can be found on the World Wide Web at www.midi.org. However, SONAR can help you to conform with the GM guidelines if you follow these practices:

  • Always save your master copy of any work in progress in SONAR project (.cwp) file format. When you are ready to publish your work, use the File-Save As command to create a Standard MIDI Format 0 file.
  • All of the major publishing guidelines recommend that you use Standard MIDI File Format 0 instead of Format 1. Some sequencers cannot read the more complex Format 1 files, particularly sequencers embedded in some types of hardware such as karaoke players.
  • Load the "Turn GM System On" system exclusive bank (gmsystem.syx in your Cakewalk directory) in the Sysx view, and set the bank to Auto Send. This message will not only re-initialize a General MIDI compatible sound module to a known state, but will also tell SONAR to generate GM setup measures for your program changes when you save the project in Standard MIDI Format. See Variables in the [Options] Section for information on disabling setup measure.
  • For best results, you should always place program changes and other MIDI messages in the same tracks as the notes they affect. This keeps the data for each track together as a single unit, and avoids problems that might occur when SONAR cannot easily correlate the program changes with the note events.


Initialization Files

Many Windows applications, as well as Windows itself, use files to store information about your preferences and configuration. Often applications store values to these files when you make selections in the program using menus or dialog boxes. However, you can also change these files directly. In some cases, there is no way to change the settings in the application, and changing the file directly is the only way.

See:

Initialization Files

Initialization File Format

Variables in the [Options] Section

Variables in the [MIDI Input Devices] Section

Variables in the [MIDI Output Devices] Section

Variables in AUD.INI


Initialization Files

This appendix documents three initialization files, which are stored in the SONARTM program folder (by default, C:\Program Files\Cakewalk\Cakewalk SONAR):

  • cakewalk.ini
  • ttsseq.ini
  • aud.ini

To view and edit the cakewalk.ini file, choose Options-Initialization File. Use the Windows Notepad to open and alter any of the three files. There are several other .ini files in the SONAR folder, but you should not attempt to edit or modify these files in any way. Changes to these other files could cause SONAR to stop operating properly.

Before making any changes to any of the .ini files, you should make a backup copy in case you make a mistake. After you have made your changes, save the file and close Notepad. SONAR reads the settings in these files only when it first starts up. Therefore, if you change any settings while SONAR is running, you should exit and restart SONAR in order for the changes to take effect.

See:

Initialization File Format

Variables in the [Options] Section

Variables in the [MIDI Input Devices] Section

Variables in the [MIDI Output Devices] Section

Variables in AUD.INI

CAKEWALK.INI

TTSSEQ.INI

AUD.INI


Initialization File Format

Initialization files all follow a common format. They are divided into sections whose names appear in the file in brackets, like this:

[Section Name]

Within each section, variables are of the form:

<variable name>=<value>

For example, the DrawPlayingAudio variable belongs in the [Wincake] section in cakewalk.ini, and determines whether the audio waveform is redrawn or not when the display is scrolling during playback. If the value is 0 (FALSE), then the waveforms are not redrawn. If the value is 1 (TRUE), then waveforms are redrawn. To redraw waveforms when scrolling during playback, the entry in the file looks like this:

[Wincake]
DrawPlayingAudio=1

The variable names contain no spaces. They are not case sensitive.

See:

CAKEWALK.INI

TTSSEQ.INI

AUD.INI


CAKEWALK.INI

Many of the items in cakewalk.ini are set using SONAR menus and dialog boxes. However, some items can be changed only by using the Options-Initialization File command or by directly editing this file using the Windows Notepad.

cakewalk.ini is divided into different sections. Unless otherwise noted below, all entries should appear in the section that starts with the line:

[Wincake]

For example, if you want to add the line PanicStrength=1 to cakewalk.ini, you should put it on the line under [Wincake], like this:

[Wincake]
PanicStrength=1

The following section lists the different variables you can change in cakewalk.ini.

Variable... | Type... | Default value... | What it does...
DrawPlayingAudio=< 0 or 1> | Boolean | 0 (disable) | This line controls whether the audio waveform is redrawn or not when the display is scrolling during playback. By setting the value to 1, you can force the Track view to always redisplay audio data, even during playback. This is recommended only for very fast machines.
ForegroundForSMPTE=<0 or 1> | Boolean | 1 (enable) | This line specifies whether or not SONAR should jump to the foreground (focus) once it locks to SMPTE.
HyphenDir=<drive:path name> | Path | <installation directory>\ttshyph.dll | This determines the location of the Hyphenator extension DLL used by SONAR, and is written during installation. This should never need to be changed.
PanelsShowWidgetBitmaps= <0 or 1> | Boolean | 1 (enable) | This line controls whether SONAR hides (n=0) or shows (n=1) all widget bitmaps while in Use mode (except those in Image widgets).
PanicStrength=<0 or 1> | Boolean | 0 (controller 123 only) | The Panic/Reset button stops playback and turns off any stuck notes. There are two ways a MIDI note can be turned off: By a note-off message (n=1) or by MIDI controller number 123 (all notes off). By default, Panic uses controller 123 only (n=0).

StaffViewChanSeparateVoices= <0 or 1> | Boolean | 1 (enable) | This line specifies whether or not SONAR should treat channels assigned to each note as separate voices. This is useful if you want to force note stems up or down for different voices.
StaffViewPreScanMeasures = <num> | Integer | 16 (measures) | This line specifies how far back (in measures) SONAR should search for long elements in order to display them in the Staff view. If a long element does not start within the specified time, then it will not be displayed in the Staff view (although it will print).
ToolTempFileDir= <drive:path name> | Path | <Windows TEMP directory> | This line specifies where to store temporary .WAV files when launching a third party wave editor from the Tools menu.


TTSSEQ.INI

The ttsesseq.ini file can only be changed using the Windows Notepad.

Variables in the [Options] Section

Variable... | Type... | Default value... | What it does...
ChaseDelay=<num> | Integer | 20 (2 seconds) | This line specifies the sync chase delay in 1/10 seconds. During SMPTE/MTC sync, when the position is determined, playback begins at a later time to allow for setup. This line specifies the delay amount. If this value is too long, you always have to wait after starting playback before SONAR locks. If this value is too short--especially on slower computers--then it will try to play before it's ready, which will cause a spurt of notes to catch up when it actually starts, the effort of which could also cause sync to give up if the CPU is really overtaxed.
FlywheelAmount=<num> | Integer | 5 (½ second) | This line specifies the SMPTE flywheel time in 1/10 seconds. This is the maximum dropout time length SONAR will allow before aborting sync.
GeneralMidiSMFs=<0 or 1>

Boolean

1 (enable)

This line controls whether or not SONAR creates a General MIDI setup measure when loading Standard MIDI Files.
LyricTrack=<num>

Integer

3 (track 4)

This line specifies which track is to contain lyrics from Type 0 Standard MIDI files. A zero means track 1, a 1 means track 2, and so on.
MMCDelayMsecs=<num>

Integer

100

This setting specifies the minimum amount of time that must elapse between any two MMC commands. Some MMC gear, including the Fostex MTC-1 and the Tascam SY-88, can get confused unless there is at least a 10-millisecond delay after every MMC command. This can cause intermittent problems on fast machines. SONAR corrects this problem with the MMCDelayMsecs=<n> line. The default value is 100 milliseconds, although some experimentation may be required to find the proper value for your system.
MMCPort=<num>

Integer

-1 (all)

By default, SONAR will transit MMC commands on all MIDI outputs. In some situations it is necessary to limit the number of outputs MMC is transmitting on. This line specifies which output MMC is to be transmitted on. The value is 0 based, so a value of 0 means output 1, and a value of 1 means output 2, etc.
MMCPreRoll=<num>

Integer

20 (2 seconds)

This line specifies the MMC pre-locate amount in 1/10 seconds. By default, SONARwaits for two seconds after it starts receiving time code before beginning to playback or record. You can add this line to change the two-second delay.
If this setting does not exist, the value of the ChaseDelay setting is used. If the ChaseDelay setting does not exist either, then the default for MMCPreRoll is 20.

SendLocalOff=<0 or 1> | Boolean | 1 (enable) | This line determines whether or not SONAR should send a Local Control OFF message during startup.
SendLocalOn=<0 or 1> | Boolean | 0 (disable) | This line determines whether or not SONAR should send a Local Control ON message at exit.
IgnoreMidiInTimeStamps=<0 or 1> | Boolean | 0 (disable) | This line determines whether or not SONAR ignores any MIDI time stamping that a MIDI driver does. If you're experiencing increasing delays between the time you play a MIDI note on a controller and the time you hear SONAR echo it, setting this line to 1 may help. Also, if you find that SONAR is recording MIDI data at a different time from when the data was played, setting this line to 1 may help. If the MIDI driver is using a different clock from SONAR, the time discrepancy increases the longer that the MIDI driver is open, so you need to tell SONAR to ignore the timestamp that the MIDI driver adds to the data (set the value to 1).
SyncAllowRateTweak=< 0 or 1> | Boolean | 1 (enable) | When synching to SMPTE, SONAR normally attempts to track the rate of the incoming sync signal, in order to survive dropouts better when the SMPTE source speed is slightly off. Setting this to 0 defeats this. If you have a slower computer and dense work to play, defeating this can result in a small efficiency improvement and also prevent rate-tracking timing inaccuracies when the computer is so busy that it's late processing incoming sync messages.
SysxDelayAfterF7=<0 or 1> | Boolean | 1 (enable) | This setting causes to delay Sysx transmission for a certain amount of time if it encounters an F7 in a Sysx bank. This gives some instruments a required amount of delay time that is necessary to process the Sysx transmission. The default delay is 1/18 of a second, but can be changed by also adding the SysxSendDelayMsecs=<n> line (see below). The possible values are 0 and 1. Their significance is as follows: 0: no delay 1: delay between each Sysx string (F0 ... F7)
SysxSendDelayMsecs=<num> | Integer | 60 | This setting causes SONAR to delay a specified number of milliseconds if it encounters an F7 in a Sysx bank.
SysxSendPacketSize=<num> | Integer | 1024 | This line specifies the number of bytes between Sysx transmit delays. Sysx bytes are transmitted in packets, with a 1/18 second delay between each packet. Setting this value smaller will help slower MIDI devices (synthesizers, etc.) avoid overflowing their internal buffers.
UseCableMetaEvents=<0 or 1> | Boolean | 1 (enable) | This line specifies whether or not SONAR should use nonstandard "Cable" meta-events for storing Sysx bank output number into Standard MIDI files (by default, n=1).

Variables in the [MIDI Input Devices] Section

Variable... | Type... | Default value... | What it does...
MaxInPort=<num> | Integer | 15 (16 outputs) | This variable determines the maximum number of MIDI inputs. The value is 0 based, so a value of 15 means that the limit is 16 outputs.

Variables in the [MIDI Output Devices] Section

Variable... | Type... | Default value... | What it does...
MaxOutPort<num> | Integer | 15 (16 outputs) | This variable determines the maximum number of MIDI outputs. The value is 0 based, so a value of 15 means that the limit is 16 outputs.


AUD.INI

The aud.ini file can only be changed using the Windows Notepad.

Variables in AUD.INI

Variable... | Type... | Default Value... | What it does...
PicCacheMB=<size in MB> | Integer | 20 | This variable specifies the maximum size of the picture cache. The picture cache is located in the directory specified by the PictureDir=<path> variable (defaults to <Cakewalk Folder>\Picture Cache).
PictureDir=<drive:path name> | Path | <Cakewalk directory>\Picture Cache | This line specifies where to store the picture cache.
FlushWriteBeforeRead=<1 or 0> | Integer | 0 | The default setting causes SONAR to perform disk reads (for audio playback) before attempting any disk writes (for audio recording). Overriding this value by setting it to 1 causes SONAR to attempt disk writes first. This yields the best results when you are attempting to record a large number of tracks at high latency.
FlushMultiple=<0 or 1> | integer | 1 | This variable determines how SONAR performs writes to disk in cases where multiple inputs are being recorded simultaneously. The default setting causes SONAR to write all the data for all inputs all at once, and then wait for the entire set of writes to complete. Overriding this value by setting it to 0 causes SONAR to perform each input's write separately, and wait for each individual write to complete before proceeding to the next one.
ExtraStreamBufs<0 to no upper limit> | integer | 4 | This variable sets the number of extra buffers which enter the audio stream before actual playback begins. Set this variable to a higher value (4, 8, 16, 32, 64, etc.) if a plug-in you are using seems to cause dropouts when there is still plenty of CPU power available.
Use24BitExtensible=<0 or 1> | Boolean | 0 | This line goes in the section of the Aud.ini file under [name of your sound card (`n' in , `n' out) ]. If you get an error message when you try to change the audio driver bit depth to 24, try setting this line to 1. Most USB audio devices that use WDM drivers need this line set to 1.
BounceBufSizeMsec=< 0 to 350> | Integer | 0 | This is a line in the Wave section of the aud.ini file that sets the buffer size for bouncing tracks. At a value of 0, the bounce buffer is the same size as the Mixing Latency value that you set in the Audio Options dialog. If you find that bouncing tracks, especially with certain soft synths, takes a very long time, you can set this value to 100, or some value between 0 and 350 so that the bounce buffer will use a more efficient size for bouncing, which has different requirements from normal playback latency.


New Features in SONAR 2

SONAR 2 has several new features. The following is a listing of each new feature, a brief description and where to learn more about it.

Drum Maps and Drum Editor

DX and ReWire Instrument Enhancements

New Support for External Control Surfaces

Improved File Management

Export to ACIDized Wave Files


Support for ASIO Drivers

SONAR offers support for sound cards that use ASIO drivers. For more information, see ASIO Drivers.


Drum Maps and Drum Editor

SONAR 2 contains new drum features:

  • The Drum Grid Pane
  • The Pattern Brush Tool
  • Drum Maps (see Creating and Editing a Drum Map)

These features allow you to map notes from the same track to different outputs and edit drum tracks in the Drum Grid pane. For more information, see Drum Maps and the Drum Grid Pane.

See also:

The Note Map Pane

Using Drum Maps


Cyclone DXi

A new DXi from Cakewalk that allows you to "play" your ACIDized files and Wave files; substitute beats; trigger loops from a MIDI keyboard and much more. For more information, see Using Cyclone DXi.


DX and ReWire Instrument Enhancements

SONAR 2 now has a Synth Rack view that lets you insert a DXi and the necessary tracks in one step. SONAR 2 also supports the new multi-output DXi's, and also supports ReWire 2.0, so you can use SONAR 2 to play and mix down ReWire instruments. For more information, see Working with Software Synthesizers.

See also:

Synth Rack View

Inserting a DXi

Multi-port DXi's

ReWire Instruments

Inserting a ReWire Instrument

Working with Software Synthesizers

Muting and Soloing DXi Tracks

Insert DXi Synth Options dialog


New Support for External Control Surfaces

You can now control SONAR 2 with the exciting new CM Labs MotorMix and Tascam US-428 external control surfaces. Connecting SONAR 2 with the MotorMix or US-428 is accomplished with just one menu command. In addition to continuing support for the Roland U-8 and Peavey StudioMix, SONAR 2 also includes a simple, generic software interface you can configure to connect many other brands of control surfaces.

For more information, see:

Working with Generic Control Surfaces

Working with the CM Labs MotorMix

Working with External Devices


Improved File Management

SONAR 2 now has more powerful file management capabilities. You can choose to save all audio for each project in its own audio data directory (see Using Per-Project Audio Folders), use a "library" of external audio files with multiple projects simultaneously (see Managing Shared and External Files), and easily find and restore missing audio files (see Locating Missing Audio and Restoring Missing Audio Files).

For more information, see System Configuration.


Export to ACIDized Wave Files

SONAR now allows you to save Groove clips as Riff Wave Files which are compatible with ACIDized Wave files.

For more information, see Saving Groove Clips as a Riff Wave File/ACIDized Wave Files.


Support for OP Panels

OP stands for Open Plug-in format, and SONAR allows you to open OP panels directly from SONAR.

For more information, see OP Panels.


Session Drummer

Session
Drummer

The Session Drummer is a MIDI Plug-in that allows the user to select, arrange and then play a MIDI drum pattern within a song in SONAR. It is as simple to use as standard drum machine, but, unlike the hardware device, it works within the program so no syncing is required. It uses standard MIDI files, so users can easily create and add new patterns and styles. And, best of all, users do not have to compose their own drum parts before doing their projects.

The Session Drummer can quickly generate drum parts for practicing, composing, or just playing. The MIDI drums can play back on the internal sound card, or out the MIDI output to any compatible MIDI device.

Style

Various drum patterns representing different styles of music. The choices in the Pattern section vary according to which style you choose in the Style section.

Pattern

A variety of patterns appear in the Pattern section based on the Style.

Song

The drum parts you have selected in the Pattern section and added using the [image] button. When you have finished a song you can save your song as a preset or create a MIDI drum track in your project.

Clear a Song

Click the [image] button to clear all the patterns from the Song section.

Move Down

Select a pattern in the Song section and click [image] to move that section down one position.

Move Up

Select a pattern in the Song section and click [image] to move that section up one position.

Remove Pattern from a Song

Select a pattern in the Song section and click [image] to remove it from the song.

Add Pattern to a Song

Select a pattern in the Pattern section and click [image] to add it to the song section. Use the [image] and [image] buttons to put the new pattern in its proper place in you song.

Load Song from a File

Click [image] to select from a list of previously saved drum tracks. In the Open dialog, select the drum track you want to open and click OK.

Save Song to a File

Click [image] to save the set of patterns in the Song field. In the Save dialog, enter a name for the drum track and click OK.

Presets

Once you have made changes in the Settings dialog, you can save them as a preset for use with future projects. See To Save as a Preset for more information.

See:

The Settings Dialog

Using Session Drummer in Real-time

Arranging Patterns Into a Song

Creating Drum Styles for the Session Drummer

Drumtrax Style files in the Session Drummer


The Settings Dialog

Click [image] to open the settings dialog. From here you can select the source folder for the drum style/patterns. This feature allows you to organize your patterns into different folders and still have access to them from within the plug-in. You aren't limited to a single folder.

In addition, the settings dialog also includes a drum map. This allows you to map the General MIDI (GM) patterns to non-GM instruments.

Session Drummer can only use Type 0 and Type 1 MIDI files of with a single track .

To Change a Mapping

  1. Click [image] to open the Settings dialog.
  2. Select a mapping from the list.
  3. Press the '+' key to move the map value up (from B4 to C5, for example), or press the '-' key to move the map value down (from C5 to B4, for example).

You can save your changes as a preset for use with future projects.

To Set the Port, Channel and Directory

  1. Open the Settings dialog.
  2. Select the Port or Channel from their drop-down lists, or use the Browse button next to the Content Folder field to set the content folder.
  3. In Session Drummer, enter a name for the new mapping in the drop-down list.
  4. Click the [image] .

Note: If you do not select an output, the default output is set at 1

To Save as a Preset

  1. Click [image] to open the Settings dialog.
  2. Make the changes you want in the Settings dialog and click OK.
  3. In Session Drummer, click in the Preset field and enter a name for the current settings.
  4. Click [image] to save the Preset for future use.

See:

Default Settings

Deleting a Preset


Default Settings

The following is a list of the default settings in the Settings dialog:

Port

The default output is 1.

Channel

There is no default channel set.

Instruments Drum Map
Note # | Note Name | Name | Note # | Note Name | Name
35 | B2 | Acoustic Bass Drum | 59 | B4 | Ride Cymbal 2
36 | C3 | Bass Drum 1 | 60 | C5 | Hi Bongo
37 | C#3 | Side Stick | 61 | C#5 | Low Bongo
38 | D3 | Acoustic Snare | 62 | D5 | Mute Hi Conga
39 | Eb3 | Hand Clap | 63 | Eb5 | Open Hi Conga
40 | E3 | Electric Snare | 64 | E5 | Low Conga
41 | F3 | Low Floor Tom | 65 | F5 | High Timbale
42 | F#3 | Close Hi-Hat | 66 | F#5 | Low Timbale
43 | G3 | High Floor Tom | 67 | G5 | High Agogo
44 | Ab3 | Pedal Hi-Hat | 68 | Ab5 | Low Agogo
45 | A3 | Low Tom | 69 | A5 | Cabasa
46 | Bb3 | Open Hi-Hat | 70 | Bb5 | Maracas
47 | B3 | Low-Mid Tom | 71 | B5 | Short Whistle
48 | C4 | Hi-Mid Tom | 72 | C6 | Long Whistle
49 | C#4 | Crash Cymbal 1 | 73 | C#6 | Short Guiro
50 | D4 | High Tom | 75 | D6 | Long Guiro
51 | Eb4 | Ride Cymbal 1 | 75 | Eb6 | Claves
52 | E4 | Chinese Cymbal | 76 | E6 | Hi Wood Block
53 | F4 | Ride Bell | 77 | F6 | Low Wood Block
54 | F#4 | Tambourine | 78 | F#6 | Mute Cuica
55 | G4 | Splash Cymbal | 79 | G6 | Open Cuica
56 | Ab4 | Cowbell | 80 | Ab6 | Mute Triangle
57 | A4 | Crash Cymbal 2 | 81 | A6 | Open Triangle
58 | Bb4 | Vibraslap |  |  |


Deleting a Preset

To delete a preset, select the preset from the drop down menu and click the button (to the right of the disk button).

To Write a Song to a Track

  1. Arrange patterns the way you want.
  2. Open the Track view.
  3. Patch Session Drummer into a track and create a song.
  4. Select the track.
  5. Open the Console view and click [image] .
A dialog appears asking if you want to remove the plug-in from the track. If you do not, duplicate notes will play.
  6. Make sure the Delete the effects from the track inserts checkbox is checked and click OK.

The contents have been added to the track. Session Drummer data always begins one measure into the track regardless of the Now Time


Using Session Drummer in Real-time

To Apply Session Drummer as a Real-time Effect

  1. Start a new project.
  2. Open the Console view.
  3. Right-click in the Aux bus and choose Add MIDI Track.
  4. A new module appears in the Console view.
  5. Right-click in the Effects Patch area (the black window directly below the track name field in Console view) and select Cakewalk FX-Session Drummer.
  6. Double-click on the Session Drummer plug-in.
  7. Choose a Style and select drum patterns to create a song.
  8. Click the Play button on the Transport toolbar.

The drum track repeats, like a drum machine, as long as the play button is engaged. Open the Session Drummer template from the New Project dialog to save a few steps (1-4 above).


Arranging Patterns Into a Song

Playing patterns from the pattern pane is as easy to use as a drum machine. However, at some point you may get bored hearing the same pattern over and over again. This is where the Song pane comes in. You can add patterns to the song pane, control how many times and in what order they play. When you are finished, you can save the arrangement as a preset, or you can print the contents into the track.

To Create a Song

  1. Open Session Drummer.
  2. Select a style from the Style pane.
  3. Double click on a pattern in the pattern pane to move it to the song pane. You can also use the [image] button in the toolbar.
  4. Click the Loop count field and type a + or - key to set the number of repetitions.
  5. Add other patterns using step 3
  6. Re-order a pattern by selecting it and clicking the [image] or [image] buttons.

The contents have been added to the track. Session Drummer data always begins one measure into the track regardless of the Now Time

When you click play in the transport toolbar, the arrangement of patterns that you just added to the song pane will play back in order. A dotted box shows you which pattern is playing so you can follow along.

To remove a pattern from the song pane, select it and click the [image] button or hit the Delete key. To remove all patterns from the Song pane, click the [image] button in the toolbar.


Creating Drum Styles for the Session Drummer

The Session Drummer supports standard, single track Type 0 and Type 1 MIDI files so that you can easily create or add new styles and patterns to it. Patterns are stored in a single track (10) and are separated by Markers. When you see the patterns listed in the Session Drummer, what you are really looking at is a list of the markers in file. These patterns are stored in a single file, called a style file. The file name that is used when saving a style file is what will appear in the style pane of the Session Drummer. A quick way to familiarize yourself with this is to open one of the drum style files using SONAR's Open command.

To Create a Style for Session Drummer

  1. Create or locate a single track drum pattern that is voiced for General MIDI.
  2. Arrange patterns in a track, making sure to align them to the first beat of each measure.
  3. Create and name one or more markers aligning them with the beginning of each measure.
  4. Save the file as Type 0 MIDI file in the content directory of your choice.

This file name will appear in the Style pane of Session Drummer.

To Create a Style from an Existing Pattern

  1. Open a New Project.
  2. Choose an appropriate tempo.
  3. Locate the desired pattern, then copy and paste it at 1:1:000 in the Track view.
  4. Position the now time at 1:1:000.
  5. Click on the Insert Marker button from the toolbar or press the F11 function key.
  6. In the Marker dialog, type a name the represents the pattern and click OK.
  7. Save the file in the Drum Style directory (or your own directory) using the name as you would like it to appear in the Style pane.

When you open the Session Drummer, you should see your new style pattern. Click on it and you will now see the pattern you just created. Now click on the pattern to select it and then click play from the Transport toolbar.

Since the Session Drummer plays the pattern over and over, it is extremely important that the pattern loops correctly. You can check this before you save your Style pattern by selecting the clip in the track view and looping it using the loop toolbar.

Guidelines

  • Patterns should be voiced for General MIDI and be contained on a single track
  • Patterns can be of any length
  • Patterns must include a marker, located at the beginning of the pattern.
  • Make sure that the pattern is aligned to a measure. Setting the snap to button to 1 measure is helpful to ensure this.
  • Make sure that the beginning and ending of the pattern does not cross measure boundaries. Remember that the Session Drummer will loop and you want it to loop on measure boundaries.
  • Make sure that the volume of the pattern is constant, with no volume increase or decreases.


Drumtrax Style files in the Session Drummer

A Hip Hop or a Rap tune may require different drum sounds than a country song or a rock ballad. Above all, experiment - a groove played on an acoustic drum set takes on a whole new flavor when played on World kit.

Be creative

  • Don't limit your groove selection to a specific category. Most of the grooves can be used in many different styles of music. For example, many of the Hard Rock patterns can interchanged with the Alternative patterns.
  • Experiment! Speed up or slow down tempos; chain or loop sections using the Session Drummer's Song arrangement feature.
  • Change Instrument Sounds.
  • Once you have printed a Session Drummer part to the track, try removing instruments from the Piano Roll view to strip down the groove
  • Overdub your own parts over the patterns

See:

Defining the Arrangement

Looping Measures

Adding Fills

Regarding Tempos

Quantizing


Defining the Arrangement

Many styles of modern music feature several different musical sections (verse, chorus, bridge etc.). The rhythm arrangements can be changed or altered (slightly or drastically) to help distinguish these different sections. Here's a few very basic ideas among the thousands that are commonly used:

  • Use a different groove variations for different sections
  • Use tom fills and cymbal crashes to introduce sections and for accents.
  • Introduce new percussion parts to help "lift" the chorus (congas, snare drum accents, ride cymbals, etc.).
  • Try switching from a hi-hat part in the verse to ride cymbal in the chorus.
  • Try using a side-stick sound on the verses and switch to a snare on the chorus


Looping Measures

One quick and simple way to begin designing your drum arrangement is to loop a few measures into a song-length groove. You can easily loop patterns in the Session Drummer from the Song pane. Once you have mapped out your song with other instruments, go back to the drum arrangement and replace the looped patterns with other groove variations, fills, intros and endings.


Adding Fills

One of the nice things about using a VAMTECH Drumtrax pattern is that a real drummer played the kit that created the pattern. But what if you decide to add something over it like a tom fill? Try deleting the hi hat or snare drum in those measures to make the section sound more "real."


Regarding Tempos

The tempos of individual sequences were determined when they were originally played by the live drummer, so they sound great at their recorded tempo. Nevertheless, don't be afraid to try them at different tempos. The recorded tempo is included in the Session Drummer Style name. For example, the style Alternative 080 was originally recorded at a tempo of 80 beats per minute.


Quantizing

These grooves have been played in by real drummers; thus, they feature subtle variations in timing and velocity that give them a natural feel. Quantize with care.


Cyclone DXi

Overview

Using Cyclone DXi


Overview

Click on the links below to learn more about Cyclone.

Cyclone DXi Toolbar

Pad Groups

Pad Inspector

Loop View and Key Map View

Pad Editor

Slice Inspector


Cyclone DXi Toolbar

The following graphic shows each of Cyclone DXi's toolbar buttons:

The following table describes each of Cyclone DXi's buttons:
Button... | Description...
Import Sound Bank | Opens the Open dialog so you can load an existing Sound Bank.
Export Sound Bank | Opens the Save As dialog to save the current settings as a Sound Bank (.cyc).
Trash | Clears the contents of the project.
Preview | Plays the selected pads or slices.
Stop | Stops playback.
Auto Preview | When Auto Preview is on, you can preview the sound of a slice by clicking a slice in the Loop view or an event by clicking an event in the Pad Editor. Also, you can click and drag a slice over events in the Pad Editor, releasing the mouse button when you hear the event you want to replace.


Pad Groups

The following graphic shows a close-up of a Cyclone DXi pad group:

A Pad Group in Cyclone DXi has the following controls:
Control... | Description...
Pad | The trigger for playing a loop.
Volume knob | Adjusts the volume of the Pad Group. The volume value is displayed in the Pad Inspector.
Pan knob | Adjusts the pan of the Pad Group. The pan value is displayed in the Pad Inspector.
File Load button | Opens the Open dialog where you can navigate to the directory or directories where you store your files.
Mute button | Mutes the playback of the Pad Group.
Solo button | When selected, only that Pad Group plays.
Sync button | Synchronizes the playback of the Pad Group to SONAR. When selected, the Pad Group follows SONAR's tempo and pitch.
Loop button | When selected, the playback of the Pad Group repeats continuously.


Pad Inspector

The Pad Inspector has additional pad group controls:

In the Pad Inspector there are the following controls:
Control... | Description...
Output | You can select from one of 16 audio outputs or use the Mix Only setting to use the Master out.
MIDI In | You can set which MIDI channel the pad group responds to. Each pad group could have a unique MIDI Input channel.
Pad Root | This setting is read from the file when it is imported. The first loop sets the Pad Root value for each additional loop.
Velocity--Low | The minimum velocity value that triggers the pad group.
Velocity--High | The maximum velocity value that triggers the pad group.
Key Map--Unity | The MIDI note value at which the loop plays at the Pad Root pitch. This value is assigned to a loop when it is imported. You can change the Unity value in the Pad Inspector or in the Key Map view.
Key Map--Low | The lowest MIDI note value that triggers the pad group. Both the Low and High not values transpose the pitch of the loop if they are different from the Unity note value. The transposition is relative to the Unity note. The played pitch of the loop is not same as the MIDI note that triggers it unless the Unity note and the Pad Root note are the same.
Key Map--High | The highest MIDI note value that triggers the pad group.
Tails | The tails feature extends the "tail" or decay of a slice which may otherwise have ended prematurely, drowned out by the next slice. This is particularly useful when you substitute a longer slice with a shorter one leaving room for a tail to sound.
Latch | The Latch option gives you a second mode for trigger pads with the mouse or MIDI keyboard. In Latch mode, a pad only plays as long as the key or mouse button is held and stops when you release. If you want to set all pads to the same Latch state, hold down the Shift key while setting the Latch for any one pad.
Pitch Markers | This option forces Cyclone DXi to follow SONAR's Pitch markers. When a Pitch marker is encountered, the loop is transposed by the same number of semi-tones as the pitch change in SONAR.


Loop Bin

The Loop bin, located right below the Cyclone DXi toolbar, is where you can place loops you want to use in Cyclone DXi. From the Loop bin you can drag and drop loops onto a Pad or into the Pad Editor.


Loop View and Key Map View

The Loop view displays the content of the loop you have selected in the Loop bin. If the loop is an ACIDized loop, the loops transient markers separate the file's slices. From the Loop view, you can drag a slice onto an event in the Pad Editor.

The Key Map view shares the same space in Cyclone DXi as the Loop view. You toggle between the two views by clicking on one of the tabs to the left of whichever view is displayed. The keyboard in the Key Map view shows the Unity note (in orange) and the range of notes that trigger the pad group (in blue). Drag the Unity note to change its value. Drag the white triangles to extend the range of MIDI note values that trigger the pad group.


Pad Editor

The Pad Editor displays up to 16 "tracks," one for each pad in Cyclone DXi. Each track has the same number as the pad it represents. Each track is made up of events. An event represents a slice of a ACIDized loop, or in the case of standard wave files, it represents the entire file. Each track in the Pad Editor can be made up of slices from any number of different files. Each track in the Pad Editor terminates with a Track Handle. A Track Handle marks the point at which the track loops back to the beginning. You can move Track Handles using the mouse to any point in the Pad Editor, shortening or lengthening the length of the track.


Slice Inspector

The Slice Inspector has pitch, gain and pan offset controls. You can change the pitch of the slices in a loop to change the melody of the loop. If you want to edit multiple slices at the same time, select multiple slices by Shift-selecting them and adjust the controls you want.


Using Cyclone DXi

Cyclone DXi is a multi-output DXi, and you launch it the same way you launch other DXi's: by inserting it into aSONAR project. There are two basic ways to insert DXi's inSONAR:

  • You can insert DXi's from the Synth Rack view or with the Insert-DX Instruments command. If you use this method, you can choose to haveSONAR create the necessary audio and MIDI tracks, and patch them together correctly. If you want to use multiple audio tracks to take advantage ofSONAR's multi-output support, you need to create and patch additional MIDI tracks manually to feed the additional audio tracks.
  • You can insert DXi's into Fx bins of individual audio tracks. If you use this method, you need to set a MIDI track's Out field to the name of the DXi you inserted. Then you can record MIDI data in the MIDI track to play the DXi with. This method does not allow you to use multiple outputs.

For step by step instructions, see:

Inserting a DXi

Synth Rack View

Multi-port DXi's

Playing a DXi

Converting Your DXi Tracks to Audio

Muting and Soloing DXi Tracks

To Remove A DXi from a Track or Bus

Note: This documentation refers to any audio data that you can import into Cyclone DXi as loops, referring to ACIDized loops and standard Wave files.

To Load Loops into Cyclone DXi

  • Click the folder icon that's on the Loop bin to display the Open dialog. Select a loop and click Open. Cyclone DXi loads the loop into the Loop bin.
OR
  • Click a folder icon that's on a particular Pad that you want to load a loop into. When the Open dialog appears, select a loop and click Open. Cyclone DXi loads the loop into both the Pad where you clicked the folder icon and the Loop bin.
OR
  • Drag a loop into Cyclone DXi from SONAR`s Clips pane or Loop Explorer view.
Note: ACIDized and Riff Wave files imported into Cyclone DXi can not be more than 64 beats long. Regular wave files are limited to 30 seconds. Cyclone DXi does not support 8-bit files.

To Audition Loops

  • Select a loop in the Loop bin, and then click Cyclone DXi's Play button.

To Play Loops

  1. Assign a loop to a pad or pads (see To Assign a Loop to a Pad).
  2. Select the pad or pads you want to play by clicking on them.
  3. Click the Preview button to play the selected pads.
If the Loop button for that pad is depressed the loop plays indefinitely; you can stop it by clicking the Pad again.
If the Loop button is not depressed, the loop stops when it reaches the end of its original length. You can stop it before then by clicking the Pad.

You can also trigger the Pads with a MIDI controller, or with recorded MIDI data.

To Play a Loop in Latch Mode

  1. Assign a loop to a Pad (see To Assign a Loop to a Pad).
  2. In the Pad Editor, select the track you want to loop in Latch mode.
  3. In the Pad Inspector, click the Latch control to enable it. The Latch control indicator appears green when enabled.
  4. Click the mouse on the pad to start the loop playing.
  5. Click the mouse on the pad again to stop playing.

The loop stops playing as soon as you release the mouse button.

To Assign a Loop to a Pad

  • Drag a loop from the Loop bin to a Pad.
OR
  • Click a folder icon that's on a particular Pad that you want to load a loop into. When the Open dialog appears, select a loop and click Open. Cyclone DXi loads the loop into both the Pad where you clicked the folder icon and the Loop bin.
OR
  • Drag a loop onto a Pad from SONAR`s Clips pane or Loop Explorer view.

You can assign one loop per Pad.

To Synchronize a Loop to Cakewalk's Tempo

  • Click the Sync button that's on the Pad that the loop is assigned to. The Sync button lights up when it's engaged.

To Set a Loop to Follow Cakewalk's Pitch Markers

  1. In the Pad Editor, select the track you want to follow pitch markers.
  2. In the Pad Inspector, click the Pitch Markers control. The Pitch Markers control appears green when enabled.

To Assign MIDI Keys to a Pad

  1. Click the Pad that you want to trigger.
  2. Click the Keyboard button in the Loop view to display the Key Map view.
The blue keys between the Pitch Range markers show what MIDI keys trigger the Pad. The yellow key is the Root Note, which triggers the loop at its original pitch.
  3. Drag the edge of the Pitch Range (the blue keys within the white triangle markers) to change the range of notes that trigger the loop. If the loop's pitch changing function is turned on, each MIDI key in the trigger range transposes the loop by the trigger note's distance from the Root Note.
  4. Drag the yellow key to change the Root Note. The Root note does not have to be in the trigger range.
  5. In the MIDI Chn field, choose the MIDI channel that the MIDI notes will use to trigger this pad with.

You can assign the same key ranges to all the Pads if you want. You can assign different velocity ranges to each pad, also.

To Assign a Velocity Range to a Pad

  1. Click the Pad that you want to assign a velocity range to.
  2. Click the Keyboard button in the Loop view to display the Key Map view.
  3. In the Velocity Low field, fill in the lowest velocity that you want to trigger the Pad with.
  4. In the Velocity High field, fill in the highest velocity that you want to trigger the Pad with.

Now the Pad only plays its loop when the Pad receives a MIDI note within its velocity range.

To Play a Pad with Recorded MIDI Data

  1. Record some MIDI data into aSONAR MIDI track.
  2. In the MIDI track's Out field, choose Cyclone DXi. Cyclone DXi must have been already inserted into the project in order for it to appear as a choice in the Out field.
  3. In the MIDI track's Ch field, choose the number of the Cyclone DXi Pad that you want to trigger with this MIDI track.


Controlling Individual Pads--Volume, Pan, Mute, Solo, Sync, Looping, and Content

Each Pad has the following controls:

  • Volume knob--turn to adjust.
  • Pan knob--turn to adjust.
  • Folder icon--click this to import a loop to an individual Pad.
  • Mute button--click this to mute or unmute the loop that's assigned to an individual Pad.
  • Solo button--click this to solo or un-solo the loop that's assigned to an individual Pad.
  • Sync button--click this to synchronize (or unsynchronize) the Pad's loop to SONAR`s pitch and tempo.
  • Loop button--click this to cause or prevent the Pad's loop from repeating indefinitely between its track length markers that are in the Pad Editor.

To Export a Sound Bank

  1. Click the Export Sound Bank button in the Cyclone toolbar.
The Save As dialog appears.
  2. Navigate to the directory where you want to save the Sound Bank.
  3. Enter a name for the Sound Bank.
  4. Click OK.

Cyclone DXi saves your Sound Bank. All wave files assigned to pads are saved. You can choose that Sound Bank in any Cyclone project . SONAR automatically saves your current Cyclone settings, so you do not need to save a Sound Bank unless you want to use these settings in a different project.

To Import a Sound Bank

  1. Click the Import Sound Bank button on the Cyclone toolbar.
The Open dialog appears.
  2. Navigate to the directory where you saved your Sound Bank, select it and click OK.

Cyclone DXi loads the loops and associated settings that make up the Sound Bank you loaded.

To Clear the Contents of a Project

  • Click the Trash icon in the Cyclone DXi toolbar.
Cyclone DXi deletes all loops from your project.


Mixing Down Cyclone DXi

You mix down a Cyclone DXi session the same ways you mix down any DXi.

For step-by-step instructions, seeConverting Your DXi Tracks to Audio.


Loop Editing

Clicking a loop in the Loop bin displays that loop in the Loop view. The Loop view displays the selected loop as a series of slices that separate the transients in the loop. When the Auto-preview button is depressed, you can click each of the slices to hear it. If the loop is assigned to a Pad, the slices also appear in the Pad Editor as a series of events, which you can also click to hear. Clicking an event in the Pad Editor also highlights the corresponding slice in the Loop view.

You can drag slices from the Loop view to any position in any track in the Pad Editor in order to add data to a Pad, or replace an already-existing event If you can drag a slice along a series of events in the Pad Editor, if the Auto-preview button is depressed, each event sounds as you drag across it, enabling you to hear events before you decide to replace them.

To Add or Replace Parts of a Loop

  1. In the Loop bin, click the loop that you want to use as source material.
  2. Make sure that the Auto-preview button is on.
  3. Drag the slice that you want to use from the Loop view to the slice or empty space in the Pad Editor that you want to place the slice.
  4. If you dragged to an area that's to the right of the Track Length marker, drag the marker to the right until it's to the right of the new slice.

To Change the Length of a Track

  • Drag the Track Length marker to the right or left to lengthen or shorten the track, respectively. You can include empty space in your track. If you depress the Loop button for that Pad (track), the track loops continuously between the beginning of the track and the Track Length marker.

To Set the Number of Divisions for a Slice

You can set the number of divisions in each slice. This controls how exact the placement of your slices is within the Pad Editor. Each division represents a place where a slice can "snap to" or begin.

  1. In the Pad Editor, click the down arrow next to the Snap field.
  2. From the dropdown menu that appears, select one of the following:
    • None
    • 1/beat
    • 2/beat
    • 3/beat
    • 4/beat
    • 8/beat
    • 12/beat
    • 16/beat
The number of divisions per beat in Cyclone DXi is set.


Keyboard Shortcuts in Cyclone DXi

The following table lists the keyboard shortcuts in Cyclone DXi and explains what they do:
Keyboard Shortcut... | Description...
Shift selecting | Hold the Shift key to select multiple slices in the Pad Editor.
Shift drag | Hold the Shift key while dragging to maintain a slice's time.
Ctrl drag | Hold the Ctrl key while dragging to copy a slice.
Shift Ctrl drag | Hold the Shift and Ctrl keys simultaneously while dragging to copy the slice and maintain the slice's time.
Left and Right arrows | Turn on Auto Preview, select a slice in the Loop view or Pad Editor, and use the left and right arrow keys to listen to individual beats.


Undo and Redo

You can undo any edit you make in Cyclone DXi. If you decide, after you have used Undo, that you want the edit after all, you can Redo the edit. The number of edits you can Undo and Redo in Cyclone DXi is unlimited.

To Undo an Edit

Press the Ctrl+Z keys.

To Redo an Edit

Press the Shift+Ctrl+Z keys.


Beginner's Guide to Cakewalk Software

If you have little or no experience using music software to play and record music, this guide is for you. This guide explains the terms and concepts you need to know to use music software. You can get much more help in every Cakewalk program by using the Help menu, or by pressing F1 when you have any view or dialog box open. All Cakewalk programs have very basic tutorials in the Online Help that cover recording and playback. To view these tutorials, open the Help menu, click Help Topics, and look for topics called Getting Started or Tutorials.

The basic way that you use a computer to record and play sound is this: your computer has a circuit board in it called a sound card, which converts the sound from an electric instrument or microphone into a long string of numbers, which a computer stores and then converts back into sound when you want to play the recording. Almost every computer comes with a sound card which is good enough to make very good, but not fully professional-level recordings.

The sound card has inputs and outputs on it, which you can see by looking at the back of your computer.

To record, for example, an electric guitar into the computer, you plug one end of your guitar cable into your guitar, and plug the other end into the Line input of your sound card. Then you would click the Record button in your Cakewalk software, start playing your instrument, and then click the Stop button (or press the Spacebar). The Line input has a little icon next to it, which is very hard to recognize, so it usually helps to look at the documentation that came with your sound card or computer. A guitar cable has a plug on it that is 1/4 inch wide (diameter), and the Line input on low-priced sound cards is 1/8 inch wide. You need to connect your guitar cable to a 1/8 inch adapter in order to plug it into most sound cards. These adapters are inexpensive and are available at most electronics supply stores.

If you want to record an acoustic instrument or vocal, you would use a microphone. You connect the microphone's cable to the adapter and plug the adapter into the Mic input of the sound card. You can get a better sound, however, by plugging the microphone cable into a preamp, or a mixer with a preamp, and plugging the outputs of the mixer or preamp into the Line input of the sound card, instead of the Mic input. You would then need an adapter to connect the two outputs (left and right) of the mixer or preamp to the 1/8 inch Line input. Ask the store where you buy your preamp or mixer what kind of adapter you need to connect to a sound card that has 1/8 inch inputs.

Professional-quality sound cards do not use 1/8 inch inputs, so you do not need one of these adapters to use a professional-grade sound card.

To play back the music, you need to connect powered speakers or headphones to the output of the sound card, which on new computers is usually painted green. Then you click the Rewind button (or press w) in your Cakewalk software, and then click the Play button (or press the Spacebar) to play back what you recorded.

Music software uses two different formats to play and record sound--MIDI and Audio. Knowing the differences between the two formats is essential for using most music software. However, some Cakewalk programs, such as Guitar Tracks Pro, do not use MIDI.

For more information, see:

MIDI

Audio

Audio Hardware (Sound Cards) and Drivers


MIDI

Besides introducing MIDI in this section, we'll explain the following MIDI topics:

  • MIDI Channels, Interfaces, Inputs, and Outputs
  • MIDI Drivers
  • MIDI Files, Projects, Tracks, and Clips
  • Controlling Which Sounds You Hear

Short for Musical Instrument Digital Interface, MIDI is a system that lets an electronic instrument or computer control other instruments. MIDI is largely a set of commands, called MIDI messages, that cause an electronic instrument to play specific sounds at specific times, and also to play those sounds in the style that you dictate. A MIDI instrument functions very much like a player piano, only instead of using a roll of paper with holes punched in it, a MIDI instrument needs a software program or other MIDI instrument to turn its notes on and off. When you record MIDI, you don't record the sound of the instrument you're recording--you record the commands that play that instrument in the way you want it to be played. For example, when you press a key on a MIDI keyboard while your Cakewalk software is recording, the software just records the fact that a certain note was pressed and then released--the software doesn't record the actual sound of the note. When you play back the recording, the software takes control of your MIDI instrument and turns the note on and then off at the same time in the song that you did. MIDI notes can be read and displayed by a music notation program. Digital audio, the sound format used by CDs, Wave files, and MP3s, can not. After you record your MIDI data you can use Cakewalk to convert the MIDI data into digital audio so that you can create CDs, MP3s, RealAudio, or Windows Media files.

MIDI has advantages and disadvantages when compared to digital audio. MIDI files are much smaller than audio files, since MIDI data is only made up of the commands to play instruments, instead of the actual sound of the instruments themselves. You can usually copy one or more MIDI files onto a floppy disk. You can easily email MIDI files. You can save a MIDI file in a format called a Standard MIDI File, and then open it and use it in many different programs. You can record MIDI music as slowly as you want, and then change the tempo in your software to play it back at any tempo you want. Audio files, however, can only play back at approximately the same tempo they were recorded at without drastically altering the sound quality. It's easy to edit and transpose MIDI files, since they are so small and you're just editing commands, not actual sound. MIDI files can be printed out as standard musical notation or lead sheets. It can be harder to make MIDI music sound as natural as audio. If you don't record MIDI music in real time, it can sound mechanical. Some MIDI instruments, especially some of the acoustic-sounding instruments such as brass, strings, and guitars that you find on the built-in synthesizers of low-priced sound cards, sound artificial. However, percussive sounds usually sound quite good on MIDI instruments, and are much easier to record than a real drum set. You can also play back MIDI data through any number of hardware or software samplers that use recordings (samples) of any instument you can imagine as sound sources.

For more information, see:

MIDI Channels, Interfaces, Inputs, and Outputs

MIDI Drivers

MIDI Files, Projects, Tracks, and Clips

Controlling Which Sounds You Hear

MIDI

Audio

Audio Hardware (Sound Cards) and Drivers


MIDI Channels, Interfaces, Inputs, and Outputs

Most MIDI instruments can play at least 16 different sounds at the same time--instruments that can play more than one sound at a time are called multi-timbral (pronounced multi-tambral). In order to control which sounds respond to which commands, MIDI messages are marked with a channel number from 1 to 16. That way a MIDI sound module, such as a drum machine, can tell which messages are meant for which of the sounds it is capable of playing. Each instrument has a limit to the number of notes it can play at one time, counting all the notes it is playing on all the sounds it is using combined. That number is usually between 32 and 128, and is called polyphony.

You need some way to get MIDI messages into and out of your computer, so a MIDI system needs a piece of hardware called a MIDI interface, which can be a stand-alone module connected to your computer's parallel, serial, or USB port; an internal module installed in a slot inside your computer; or can be part of your sound card (the sound cards that come with most computers frequently use the joystick port as an input and output for MIDI data). Your computer sends MIDI messages to your MIDI interface, which then sends them on to your MIDI instruments. That's how MIDI software plays MIDI instruments. A MIDI interface contains inputs and outputs, labeled MIDI IN and MIDI OUT, which you connect MIDI cables to so you can send MIDI messages to and from MIDI instruments. MIDI instruments can be stand-alone synthesizers or can be built into your sound card. Most inexpensive sound cards have internal synthesizers that can make at least 128 different sounds (if you're using a synthesizer that's built into your sound card, you don't have to connect that to the sound card, since the connections are internal to the sound card).

MIDI instruments have inputs and outputs labeled MIDI IN and MIDI OUT. You connect a MIDI cable from one of your MIDI interface's MIDI OUTs to a MIDI IN on an instrument. You also connect a MIDI cable from the MIDI OUT on one of your MIDI instruments to the MIDI IN on your MIDI interface. The instrument that you connect to the MIDI IN of your interface is called a controller, and typically has a piano-style keyboard for sending note on/off messages, pitch and modulation wheels, and perhaps some sliders on it for sending other MIDI messages to the interface. You can also get MIDI converter modules that turn guitars, drums, and other instruments into controllers. You can use a controller to record yourself playing in real time. When you play your controller, the MIDI messages go to the interface, then into your computer, and then back to the interface and to a specific MIDI instrument that's connected to the interface. You choose what instrument the messages come back to by using the software. This process of a computer sending back out the MIDI messages that it just received is called echoing. By using echoing, you can play one MIDI instrument, but cause other MIDI instruments to play. Your controller usually has a setting on it called Local On/Off. When your controller is connected to your interface, you need to set the Local On/Off setting to Local Off. That's because if your software is set to send MIDI messages back to your controller, when you play a note on your controller, it is sent to the computer, and then back to the controller again through its MIDI IN, causing it to play two notes every time you play one note on it. When your controller is set to Local Off, it won't play a note on the controller when you press a key, but only when the Note On message comes back from the computer, which happens instantaneously. Remember to set it back to Local On if you're going to use the controller separate from the computer.

MIDI instruments have a third port called a MIDI THRU port. This port passes through MIDI messages without changing them in any way. You can chain MIDI instruments together by connecting the MIDI THRU port on one MIDI instrument to the MIDI IN port on another instrument, with several instruments chained together that way. If you had a MIDI interface that had 8 outputs, and you chained 3 instruments together on each of those outputs by using the MIDI THRU ports, you would be able to play 24 instruments at one time.

For more information, see:

MIDI Drivers

MIDI Files, Projects, Tracks, and Clips

Controlling Which Sounds You Hear

MIDI

Audio

Audio Hardware (Sound Cards) and Drivers

MIDI Channels, Interfaces, Inputs, and Outputs


MIDI Drivers

Your MIDI interface needs a driver to function. A driver is a small software program that controls input and output for a peripheral device. To use a MIDI interface in Cakewalk, you need to make sure that your interface's driver is installed, and that you have told Cakewalk to use it. That way, Cakewalk knows to use the driver and to list all of your interface's inputs and outputs in the proper menus. If your MIDI interface is part of your sound card, you probably installed its driver when you installed the sound card. You can check this in Cakewalk by using the Options-MIDI Devices command to open the MIDI Devices dialog. In the Outputs list, see if the name of your MIDI interface is listed. It should be called something like SB Live MIDI Out. Make sure it is highlighted. In the Inputs list, you should see something like SB Live MIDI In. Make sure this is highlighted and click OK. If you don't see the name of your interface listed, you need to install its driver from the CD, floppy disk, or Web site that your interface's documentation recommends.

After you have installed the driver and restarted your PC, you need to tell Cakewalk to use this particular driver. Use the Options-MIDI Devices command to open the MIDI Devices dialog. In the Outputs list, make sure that the name of your interface's driver is highlighted. If it isn't, click it to highlight it. If your interface has more than one output, make sure you highlight the names of all the outputs. The order of the outputs in the list determines what output numbers Cakewalk gives to each output. So even if an output on your interface has a label that says 1 or A, if it is not first in the list in the MIDI Devices dialog, it will not be labeled 1 in Cakewalk. You can change the order in the list by temporarily deselecting all the outputs except the one you want to move to the top, and then clicking the Move Selected Devices To Top button that's at the bottom of the dialog. Then make sure you reselect the other outputs you want to use.

For more information, see:

MIDI Files, Projects, Tracks, and Clips

Controlling Which Sounds You Hear

MIDI

Audio

Audio Hardware (Sound Cards) and Drivers

MIDI Channels, Interfaces, Inputs, and Outputs

MIDI Drivers


MIDI Files, Projects, Tracks, and Clips

In Cakewalk programs, the file that you use to store usually a single song's data is called a project. This is the file you use to record, play back, and edit your song. The file extension for a project is .wrk in most Cakewalk programs and .cwp in SONAR. Projects that use only the MIDI format (no digital audio) can be saved in a format called a Standard MIDI File, and can then be played back in any program or machine that plays MIDI files. These files have the extension .mid.

The MIDI messages within a project are usually separated into smaller containers called tracks, and even smaller containers called clips, which are sections of a track. You usually use tracks to separate the MIDI messages that are intended to play one kind of sound from the MIDI messages that play other sounds. You usually assign each track to its own MIDI channel. A typical MIDI project might have separate tracks for drums, bass, and piano. In this example, you might assign the bass track to Channel 2, and the piano track to Channel 5. Then you would set your MIDI sound module to play a bass sound on Channel 2, and a piano sound on Channel 5. Instead of manually setting your MIDI modules to play these sounds, you can send Program Change messages to tell your sound module what sounds to play on what channels (see Controlling Which Sounds You Hear). You usually assign drum tracks to Channel 10. Because you stored the MIDI messages that are assigned to each sound on separate tracks, you can then control and edit the stored MIDI messages that go to one sound without changing the messages that are sent to other sounds.

Notice that when you record any data into a track, that Cakewalk displays a visual representation of the track's data in the Clips pane. In the above picture, Tracks 1, 2, and 6 are still empty, while Tracks 3, 4, and 5 contain recorded data. Also notice that Track 4 is a different color from the other tracks, meaning that it has the focus, and will make the piano sound when you play your MIDI keyboard (controller). If you click one of the other MIDI tracks to change the focus, the sound that's selected for that track will sound when you play your controller.

In the above picture, we zoomed in far enough by dragging the Vertical Zoom fader (see previous picture) to expose the track property fields for each track. Use these to choose what MIDI channel each track is sending its messages out on, what sound (patch) the track is sending the messages to, how loud the overall track volume is, what MIDI instrument you're sending the track's data to, and several other property choices. Notice that the track's number and its MIDI channel are not the same. Track numbers and MIDI channels have nothing to do with each other, although you may want to keep them the same in a small project to make remembering them easier. We could have sent Track 3's MIDI messages out on any channel we wanted, just by selecting a different number in the Ch field. Notice the MIDI cable logo just in front of the track name; the audio track above it has a different logo to identify it as an audio track. The audio track has different track property fields from the MIDI track (notice there's no Ch field).

For more information, see:

Controlling Which Sounds You Hear

MIDI

Audio

Audio Hardware (Sound Cards) and Drivers

MIDI Channels, Interfaces, Inputs, and Outputs

MIDI Drivers

MIDI Files, Projects, Tracks, and Clips


Controlling Which Sounds You Hear

Because each MIDI instrument can probably play many different sounds at the same time, you need a way to tell each instrument which tracks are meant for which sounds. You do this by assigning a MIDI channel to each track, and by assigning a specific sound, called a patch or program, to each track.

Because there are only 16 MIDI channels, and each instrument can probably play 16 different sounds at the same time, you need a way to create more MIDI channels to make sure that instruments play only the notes that are specifically meant for them. The way a MIDI program gets around this limitation is by assigning an output number to each group of 16 MIDI channels. For example, if your MIDI interface has 8 outputs, you might set your first 16 tracks to use output 1, the next 16 tracks to use output 2, and so on. The MIDI messages on the first 16 tracks would only be sent out through the cable that comes out of the first output port, the messages from the next 16 tracks would only come out of output 2, and so on. So if your MIDI interface has 8 outputs, you effectively have 128 MIDI channels to work with. Of course, the way you choose what output you want to send a track's data out of is determined by what instrument is connected to that output. So, even if you only had a keyboard track and a drum track in your project, and your favorite keyboard instrument was connected to output 1 of your MIDI interface and your drum machine was connected to output 2, you would assign the keyboard track to use output 1 and the drum track to use output 2.

In the picture below, notice that the two tracks both use Channel 2. But these are not the same channel! The tracks are assigned to different outputs, so the MIDI messages in these two tracks will be sent to different instruments. The bass track will send its data out on Channel 2 of Output 2. The piano track will send its data out on Channel 2 of Output 1.

If your interface only has one output, and you chain several instruments to that output by using the MIDI THRU ports on the instruments, you can use the individual instruments' own control panels to choose what MIDI channels they will respond to. That way, an instrument can ignore any notes or other messages that are meant for a different instrument on the chain. This setting is usually called MIDI Receive, and might be abbreviated on an instrument's control panel as MIDI RX.

Since most projects have several tracks in them, and each track is usually assigned to a different sound, how do you control what sound you hear when you press a key on your MIDI controller? In Cakewalk programs, one of your tracks is always a tan color, because it has the focus. Whatever track you click grabs the focus, and the sound that's selected for that track will sound when you play your keyboard.

For more information, see:

Audio

Audio Hardware (Sound Cards) and Drivers

MIDI Channels, Interfaces, Inputs, and Outputs

MIDI Drivers

MIDI Files, Projects, Tracks, and Clips

Controlling Which Sounds You Hear

MIDI


Audio

The audio format works by converting any sound that's recorded into a long series of numbers, storing and usually editing the numbers, and then converting the numbers back into sound.

When you record sound using this format, the microphone you use causes the voltage in its cable to change rapidly as the mic's diaphragm vibrates. These rapid changes in voltage are measured and recorded by an analog-to-digital converter, and these measurements make up what we call digital audio. To convert digital audio back into sound, a digital-to-analog converter uses the stored numbers to cause the voltage in a cable to change rapidly, and this voltage then moves the diaphragm in a loudspeaker in a similar way to the way that the microphone's diaphragm moved originally (unless the numbers have been edited to produce a more desirable sound). These converters, commonly referred to as A to D or A/D, and D to A or D/A, are part of your computer's sound card. Better sound cards usually keep their converters in a separate box that's not in the computer itself, because the computer's fan and disk drives add noise to the sound card's signal.

Digital audio works like cartoon animation. In a cartoon, a series of still photographs is displayed rapidly in sequence to make it look as if the objects in the photographs are moving. When digital audio is converted back into sound, the voltage is changed at regular intervals to simulate continuous sound. To make high-quality sound, the original voltage during recording has to be measured, or "sampled," at rapid enough intervals to fool your ears into hearing continuous sound. Audio CDs use a sampling rate of 44,100 per second. To store and edit so many numbers places a big load on most PCs, much bigger than the processing of MIDI data causes.

For more information, see:

Audio Playback in Cakewalk

Tracks

Clips

Track-by-Track Playback

Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

Choosing Inputs

Audio Recording

Audio Hardware (Sound Cards) and Drivers

Audio

MIDI


Audio Playback in Cakewalk

To use digital audio in Cakewalk, you first have to make sure that your sound card and its driver are properly installed. For information about sound card and driver installation, see your sound card's documentation, and also Audio Hardware (Sound Cards) and Drivers.

After you've successfully tested your sound card and driver, you should play back one of the sample files that came with your Cakewalk software.

To play back a sample file, use the File-Open command, navigate to a folder that has bundle files in it (they have the extension .bun or .cwb), select a bundle file, and click Open. After the file loads, make sure that your speakers are turned on, and play the file by pressing the Spacebar. You also can stop the file's playback by pressing the Spacebar again. You should hear something. You can rewind the file by pressing w, or by clicking the rewind button [image] in the Transport toolbar.

If you don't hear anything, here are several steps to take:

Playback Troubleshooting Table
Possible problem...

What to do...
The volume setting is turned down on your software mixer, or wave playback is muted.

If your sound card only has one stereo output, your sound card probably responds to the Windows Mixer. If your sound card has more than one stereo output, it might not respond to the Windows Mixer--launch your sound card's own mixer software if it has it, and make sure all volume settings are turned up and nothing is muted.
To open the Windows Mixer--double-click the Speaker icon that's on your Windows taskbar to open the Play Control dialog. If you don't see the Speaker icon on your taskbar, you can open the Windows Mixer by using the Start-Programs-Accessories-Entertainment-Volume Control command. Make sure that both the Wave Direct Sound slider and the Play Control slider are turned up, and that none of the Mute or Mute All checkboxes at the bottom of the dialog are checked.
Your speakers aren't connected properly, or the volume is turned down.

Make sure your speakers are on and the volume is turned up.
Your sound card isn't hooked up correctly.

Run the Microsoft Sound Recorder (Start-Programs-Accessories-Entertainment-Sound Recorder). Open any wave file and see if it plays sound correctly through your speakers. If not, check your sound card documentation to make sure it is properly installed and configured.
Your tracks' initial volume settings are too low, or the tracks are muted.

See Track-by-Track Playback.
Your audio tracks are assigned to the wrong playback device.

Check the playback device assignment for an audio track by clicking the track's Output button or Out field. If the name of your sound card (the one you have connected to an amp and speakers) is not selected on the popup menu, select it. If it's not listed, use the Options-Audio command to open the Audio Options dialog. In the Audio Options dialog box, make sure the name of your sound card is highlighted on the Drivers tab under Output Drivers, and also on the General tab under Playback Timing Master.
If you don't see anything resembling the name of your sound card, anywhere, see the next step.
Cakewalk doesn't recognize your sound card.

Choose Options-Audio, click the General tab, and then click the Wave Profiler button to test your audio hardware. Then try playing the file again.

For more information, see:

Tracks

Clips

Track-by-Track Playback

Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

Choosing Inputs

Audio Recording

Audio Hardware (Sound Cards) and Drivers

MIDI


Tracks

A track is represented by a horizontal strip in the Track view that has a name and number on the left side (each track is also represented by a vertical module in the Console view). A track is a container you usually use to keep the sound from each instrument separate from the others--you usually keep the sound from each instrument on a separate track.

In the following picture, you can see the visual results of recording the first 3 notes of "Three Blind Mice" as audio in Track 1, and as MIDI in Track 2.

Notice that the graph (or picture, Cakewalk stores these picture files in the Picture Cache folder in the Cakewalk Projects folder) of the audio data follows the natural decay in loudness of a sound after each note is struck. This is as expected since the pictures represent the actual sound that is recorded. The MIDI track's graph is much simpler, since it only represents commands to turn a certain note on for a certain time period, then turn another note on, etc. We zoomed in on these two tracks far enough to expose all the track property fields, such as Volume, Pan, Input, Output, etc. Notice the different logos left of the track names that distinguish audio tracks from MIDI tracks. Notice the data in the audio track's Out field: A (SB Live! Wave Out [E400]. This is the name of the output driver that a SoundBlaster Live sound card uses (the A refers to a virtual main bus, which is a feature of SONAR). If your sound card only has one pair of outputs (or one stereo output), you don't have to change anything in the Out field. Cakewalk fills it in automatically as soon as Cakewalk finishes running the Wave Profiler. If your sound card has more than one pair of outputs, or you have more than one sound card installed and enabled on your computer, you can use this field to choose what pair of outputs you want to hear a specific track played back through.

For more information, see:

Clips

Track-by-Track Playback

Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

Choosing Inputs

Audio Recording

Audio Hardware (Sound Cards) and Drivers

MIDI


Clips

A clip is a portion of the audio or MIDI data in a track that is bounded by a vertical line on each end of the clip. You can click a clip to select it--a selected clip becomes highlighted. After you select a clip, you can copy it, drag it to a new location, delete it, or use any command in the Edit menu to alter it. A clip can be any size. A clip that is an exact number of beats or measures and is suitable for repetition, such as a drum pattern, is frequently called a loop. Clips are also sometimes called events. A track can have no clips (no data at all), one clip (all the track's data is in one clip), or many clips. Having lots of clips in a track increases processing time for your computer.

In the following picture, the Scissors tool in the Track view toolbar was used to separate the audio in Track 1 into three clips. You can activate the Scissors tool by pressing c on your keyboard, at which time the cursor turns into a small scissors icon. You can press c again to deactivate it, or press t to activate the Select tool, which is the default Track view tool. After you activate the Scissors tool you can click the track data at the points where you want to split it into clips. If your Cakewalk version doesn't have the Scissors tool, you can use the Edit-Split command, or right-click a clip and choose Split from the Clips pane popup menu.

You can rearrange the sound in both audio and MIDI tracks by dragging and/or copying clips. The precision of the clips' movement is governed by the Snap to Grid button [image] , which you can configure by right-clicking it or by clicking the dropdown arrow that's next to it. In the following picture, the clips in Track 1 have been moved around to reverse their order, so instead of the first three notes of Three Blind Mice, we now have Mice Blind Three.

For more information, see:

Track-by-Track Playback

Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

Choosing Inputs

Audio Recording

Audio Hardware (Sound Cards) and Drivers

MIDI


Track-by-Track Playback

You can change a track's volume by dragging its volume fader (see picture below). You can silence a track by clicking its Mute button (any button you click lights up when it's enabled). You can also silence all other tracks besides one if you click a track's Solo button. You can click either of these buttons while a project is playing, and you can mute or solo as many tracks as you want. You can also silence a track by archiving it, but you have to stop playback to archive or un-archive a track. To archive or un-archive a track, click the track's number to select it, and use the Track-Archive command. Archiving a track removes its data from your computer's memory (RAM), freeing up more memory for other tracks that you may be working on.

The following table summarizes muting, soloing, and archiving:

Track status... | What it means...
Normal | The track plays unless one or more of your other tracks is soloed.
Muted | The track is not played, but you can turn it on while playback is in progress.
Archived | The track is not played, and you must stop playback to re-enable it. Archived tracks do not tax your CPU during playback so they can be used to store alternate takes.
Soloed | Only those tracks that are designated as solo tracks are played; all others are muted.

If a track is both muted and soloed, it does not play. Mute has precedence.

For more information, see:

Audio Recording

Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

Choosing Inputs

Audio Hardware (Sound Cards) and Drivers

MIDI


Audio Recording

If your sound card and driver are properly installed, recording audio data is mostly a matter of accomplishing two tasks:

  • Connecting an instrument, home stereo, or microphone to an input on your sound card
  • Choosing that same input in Cakewalk, your sound card's software, and/or Windows

For more information, see:

Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

Choosing Inputs

Audio Recording

Audio Hardware (Sound Cards) and Drivers

MIDI


Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

You need a cable with the correct plug on the end of it to connect an instrument or mic to your sound card. Low-priced sound cards usually have 1/8 inch analog jacks (inputs) marked Mic and Line, and might have a digital input marked S/PDIF. The Line input is the correct one for most electronic instruments such as electric guitars. The Mic input is calibrated to accept the input from microphones (however, you can usually get a better recorded sound by plugging a mic into a preamp or mixer with preamp, and plugging the preamp or mixer into the Line input). The S/PDIF input is the one to use for digital audio sources such as samplers and some CD players. Guitar cables usually have a 1/4 inch plug on the end, so to connect an electric guitar to a 1/8 inch jack, you need a 1/4 inch-to-1/8 inch adapter, which is readily available at electronics supply stores. If you're not sure what kind of inputs your sound card has, you can actually measure their width (diameter).

If you have a more professional-grade sound card, the input jacks will probably be 1/4 inch, and you might also have some XLR inputs for low-impedance microphones, and S/PDIF and possibly AES/EBU connections for digital input and output. If your microphone cable has an XLR plug on the end of it (an XLR plug has 3 pins sticking out of it), and your sound card only has 1/4 inch input jacks, you need to put an XLR-to-1/4 inch adapter on the end of your microphone cable.

The following table summarizes the possible sound card inputs, types of cables required, and the inputs to plug into:

Type of sound card inputs... | Cables and adapters needed... | Inputs to plug into...
1/8 inch MIc and Line | For most electric instruments: 1/4 inch balanced cable connected to 1/4 inch-to-1/8 inch adapter. For mics that have an XLR plug on their cable: XLR-to-1/4 inch adapter connected to 1/4 inch-to-1/8 inch adapter. | Plug instruments into the Line input; plug microphones into the Mic input. Alternatively, plug mics into preamps, and plug preamps into Line inputs.
1/4 inch Left and Right | No adapter required for normal electric instrument cable. For mics that have an XLR plug on their cable: XLR-to-1/4 inch adapter . | Plug both instruments and mics into the Left or Right input of a pair of inputs. If your instrument has stereo pickups and a stereo cable, you can plug the cable into both the Left and Right inputs.
1/4 inch Left and Right, XLR Left and Right | No adapters required | Plug instruments into the 1/4 inch Left, Right, or both inputs. Plug a mic into the XLR Left or XLR Right input.
S/PDIF (Sony/Phillips Digital Interface) | No adapters required. Use a a 75 ohm coaxial video cable, or special S/PDIF cable. Do not use standard stereo component cables. | Connect your digital source (probably a sampler or CD player with digital outputs) to your sound card's S/PDIF input using a 75 ohm coaxial video cable, or special S/PDIF cable. See To Record Through the S/PDIF Input.

Electric Guitar Direct In

You can connect an electric guitar directly to your sound card using a 1/4" mono to 1/8" stereo adapter. The following diagram shows this setup:

The 1/8" plug should be plugged into the sound card's Line input, although plugging into the Mic input will also work. If you use the Line input, make sure you have selected Line-In on the Windows Record Control dialog (Windows Mixer). If you use the Mic input, select Microphone. To open the Windows Mixer--double-click the Speaker icon that's on your Windows taskbar [image] to open the Play Control dialog. In the Play Control dialog, use the Options-Properties command, select Recording (under Adjust volume for), make sure Line-In and Microphone are checked, and click OK. In the Record Control dialog, click the Select checkbox in either the Line-In or Microphone column, make sure the sliders are in the upper half of their range, and click OK. If you don't see the Speaker icon on your taskbar, you can open the Windows Mixer by using the Start-Programs-Accessories-Entertainment-Volume Control command.

Electric Guitar Through Effects Rack

You can also plug an electric guitar into an effects rack, then send the output of the rack to the sound card's input, as shown in the following diagram:

This diagram assumes that the output of the rack is at line level (consult your rack's documentation). If it is at pro level instead (+4 dB), and your sound card does not accept a +4 db input, you will need to attenuate (lower) the F/X rack's signal. To do this, use a mixer between the rack's output and the Y-adapter. If the rack has only a mono output, a 1/4" mono to 1/8" stereo adapter should be used instead of a Y-adapter.

If you want to connect a guitar amplifier's direct output to the sound card, you should base your setup on this example.

Microphone Direct-In

Microphones can be plugged into the sound card's Mic input. Some inexpensive microphones are made especially for use with sound cards and come equipped with 1/8" plugs. However, better quality microphones take better quality cables, which do not terminate in 1/8" plugs. The diagram below illustrates how to connect a microphone that terminates in a 1/4" plug to a 1/8" input:

Home Stereo, CD Player, Radio Tuner, Preamp Output

The output of a stereo component can be connected to the sound card's Line input, using a dual RCA to 1/8" stereo mini Y-adapter. Many portable cassette players come with this kind of adapter, or even with a single cable with all the necessary plugs. In the following diagram, a stereo component is connected to the Y-adapter using standard RCA cables:

Internal CD Player

If you are using your computer's internal CD player, and it does not have its audio output cable connected internally to the sound card, run a cable from the CD player's Headphone jack to the card's Line input. If there is no Headphone jack, you'll need to use an external CD player.

Mixer

You can connect a mixer to the sound card with a setup of the following kind:

Let's trace the signal flow in the above picture:

  1. Your pre-recorded tracks flow out of the sound card's outputs into mixer inputs #1 and 2.
  2. Both the pre-recorded tracks and the live guitar's sound flow into the main mixer outs, where you can hear them (monitor them) through the stereo amplifier and speakers.
  3. If you turn up the aux send #1 on the guitar input (mixer input #3), the guitar sound flows into a sound card line input out of aux bus #1. You could turn up the aux send #2 control on the guitar input if you wanted to use that instead, since both aux buses #1 and #2 are patched into the sound card's line input. You could also use both aux sends at the same time to double the guitar's mono signal if you wanted (not the usual way to record).
  4. Since you're already hearing the guitar through the main outputs, you probably don't want to hear its signal again coming back through the sound card's outputs, so mute the sound card's line-in on its Play Control page of its mixer software (not its Record Control page--you want to record the line-in, but not play it back).
  5. If you plug other instruments into other inputs, you can send them into your sound card's line input by turning up aux send #1 and/or #2 on each of the mixer's channels.
  6. If the guitar in the above picture had a stereo pickup and stereo cable, you could plug the left plug on the cable into input #3 and turn up aux send #1, and plug the right plug into input #4, and turn up aux send #2 on that input. You would then be sending a stereo signal from the guitar through aux buses #1 and #2 to the sound card's line input.
  7. In the above setup, do not turn up the aux sends on inputs #1 or #2 (where the sound card's line outputs connect to the mixer)--this creates a feedback loop, feeding the sound card's outputs back into its inputs through the aux buses.

For more information, see:

Choosing Inputs

Audio Recording

Audio Hardware (Sound Cards) and Drivers

MIDI


Choosing Inputs

After you've connected your instrument or other sound source to your sound card, you need to tell your sound card's software, Cakewalk, and possibly the Windows Mixer which input you're recording through. If you're recording through the S/PDIF input, the procedure is a little different (see To Record Through the S/PDIF Input).

If your sound card only has one pair of inputs (one stereo Line input, usually, or Line and Mic inputs that can't be used simultaneously), then your sound card probably responds to the Windows Mixer.

Use the following procedure to record a track using the Windows Mixer.

To Record with Cakewalk and the Windows Mixer

  1. Open the Windows Mixer--double-click the Speaker icon that's on your Windows taskbar [image] to open the Play Control dialog. If you don't see the Speaker icon on your taskbar, you can open the Windows Mixer by using the Start-Programs-Accessories-Entertainment-Volume Control command.
  2. In the Play Control dialog, use the Options-Properties command, and select Recording (under Adjust Volume For).
  3. Under Adjust Volume For, make sure Line-In and Microphone are checked, and click OK.
The Record Control dialog appears.
  4. If you're recording through the Line input, click the Select checkbox that's at the bottom of the Line-In column, and make sure that the volume slider in that column is in the upper half of its range (if you're recording through the Mic input, do the same actions in the Microphone column). Minimize the Windows Mixer window.
  5. In Cakewalk's Track view, use the In field in a track you want to record in to select the input you're using--select either the Left input of your sound card to record in mono or the Stereo input to record in stereo.
  6. Arm the track for recording (click its R button so that it's red), and play your instrument. You should see the Record Meter at the bottom of the track's property fields light up. If the meter doesn't move, see the table immediately following this procedure.
  7. Adjust your instrument's volume, and/or the volume slider in the Record Control dialog so that the level in the Record meter almost reaches the red zone when you play your loudest notes.
  8. Record some sound by pressing r to start recording, and pressing the Spacebar when you're finished. You can rewind by pressing w.

After you stop recording, you should see a picture of your audio data in the Clips pane of the track you're recording in. Don't forget to disarm the track and save your project if you want to keep what you recorded.

If you don't see any movement in the track's record meter when you play your instrument, try some of the following:
Possible problem... | Solution...
You have chosen a Right input of your sound card as an input, but your instrument is plugged into a Left input. | Click the armed track's Input button and choose the opposite input from the currently selected one. If that doesn't help, try selecting the Stereo input.
Your instrument is plugged into a different-numbered input from the one you selected as an input. | Try choosing different-numbered Inputs until the meter starts to move.
Your instrument is not turned up or its cable is bad. | Turn up the instrument and try different cables.
You're using an adapter that doesn't quite fit the sound card input. | Try moving the adapter in or out slightly, and make sure the cable is plugged all the way into it.

If your sound card has multiple inputs and has its own mixer software, you probably don't need to select inputs in the Windows Mixer. To record through the analog inputs on your sound card, you probably only need to set your sound card's clock to internal, and in Cakewalk's Track view, choose the correct number of the inputs you're connected to in the In field of the track you're recording.

To record through the digital input (S/PDIF), see the following procedure.

To Record Through the S/PDIF Input

  1. Connect the instrument or CD player you want to record from to your sound card's S/PDIF input using a 75 ohm coaxial video cable or special S/PDIF cable. You may need to turn off the power on your computer, sound card, and sound source first. See your sound card's documentation.
  2. Use your sound card's mixer software to set its clock to external or S/PDIF.
  3. Leave Cakewalk's clock setting at the default choice, which is Audio. You can choose clock settings by using the Options-Project command and clicking the Clock tab.
  4. Arm a track, test the input level and adjust input volume, and record your track.
  5. When you're finished recording, set your sound card's clock back to internal, and listen to your recording.

There's one more type of audio connection you may find on occasion called AES/EBU, which stands for Audio Engineering Society/European Broadcasting Union, and is the highest bandwidth digital audio connection. An AES/EBU connection can use cables longer than 33 feet, which is the limit for S/PDIF cables. If your sound source has an AES/EBU connection, you can use your sound card's S/PDIF jacks to send data to and from the AES/EBU jacks by purchasing an inexpensive converter, such as the Hosa CDL-313 (www.hosatech.com).

For more information, see:

Audio Hardware (Sound Cards) and Drivers

Audio

MIDI


Audio Hardware (Sound Cards) and Drivers

There are many different brands of sound cards on the market today. This section aims to help you get the best out of yours.

See:

Consumer and Professional


Consumer and Professional

There are many sound cards to choose from. Nearly every PC comes with one. Some are nationally known brands and others are proprietary sound cards that are made specifically for a single manufacturer. These sound cards are called "consumer" cards. They are designed to handle the general multimedia tasks most PC users have, like playing CDs or MP3s, using your PC as a telephone, or playing computer games. Most consumer sound cards fit the bill nicely for the average PC user. They can play and record both audio and MIDI, but there are certain limitations which are relevant for Cakewalk users. The following list covers the characteristics of most consumer sound cards. This list is very general and does not necessarily reflect every sound card that comes bundled with a PC.

Consumer grade sound card characteristics:

  • Number of inputs and outputs--Consumer cards nearly always have two inputs, mic and line in, and one output. Usually, these inputs and outputs are stereo, meaning there is a left and right channel.
  • Type of inputs and outputs--Consumer cards almost always have eighth inch jacks, requiring an adaptor to use with standard quarter inch cables (guitar cables, patch cables, etc.).
  • Simultaneous recording and playback--Some older consumer sound cards aren't capable of simultaneous recording and playback. These cards are called half-duplex. Cards that are capable of simultaneous recording a playback are called full-duplex.
  • 16-bit, 44100 resolution--Consumer cards are only capable of 16-bit audio and a sampling rate of 44.1 KHz. While these settings are at CD quality, Cakewalk software is capable of 24-bit audio at a sampling rate of up to 96 KHz.
  • Internal--Consumer sound cards are installed in PCI slots (or ISA for older sound cards) on your PC's motherboard. While professional sound cards are also frequently installed in PCI slots, some provide a "breakout box" which houses the analog to digital (A to D) and digital to analog (D to A) converters, keeping them away from the internal noise a PC generates (fans, hard drives, etc.).

Professional sound card characteristics:

  • Multiple inputs and outputs--Many professional sound cards have multiple inputs and/or outputs. Some have analog and digital inputs or outputs for use with ADATs and digital mixers.
  • Type of inputs and outputs--Professional sound cards use quarter inch (mono or TRS), XLR or RCA inputs rather than the eighth inch jacks found on consumer grade sound cards. Some cards also have digital inputs and/or outputs like S/PDIF and ADAT.
  • Higher bit-depths and sampling rates--Most newer professional sound cards allow you to record at 20, 22 or 24-bit, and at a sampling rate of up to 96 KHz.
  • Onboard DSP--Some sound cards have effects processors for things like reverb and delay built into the sound card. These can take a big load off of your computer.
  • High quality A to D and D to A converters (Analog to Digital and Digital to Analog)--The quality of your recordings ultimately depends on the quality of sound that you initially record. Professional sound cards have higher-quality components that convert the sound into and back out of the digital format.

See:

How do I know if I have a hardware conflict?


How do I know if I have a hardware conflict?

If you have a hardware conflict, you may see the following:

  • one or more devices not working properly
  • one or more devices not showing up in Device Manager
  • your system crashing every time you use the device(s)

See:

Installation and Drivers

WDM and MME

IRQs

Cakewalk and Audio Hardware


Installation and Drivers

When you install a sound card, you are installing both the hardware and software called a driver. The sound card driver is what allows your operating system and your sound card to communicate. This section is aimed at preventing problems when installing both your sound card and its driver.

Installing a Sound Card

Follow your sound card's documentation for installing the sound card in your PC. If you are installing a PCI card, or any hardware that requires you to open the cover of your PC, be careful to discharge any static electricity you are carrying by touching the metal casing of your PC before handling the sound card itself. Static electricity can damage a sound card's circuitry.

Installing a Driver on Windows 98 and Windows Me

You sound card should come with software, too. Some manufacturers provide a driver setup program that takes you through the driver installation. Always use the manufacturer's software installation program if one is provided. If one is not provided, follow this procedure:

  1. Click the Start button and select Settings-Control Panel.
  2. In the Control Panel, double-click on Add New Hardware.
  3. In the Add New Hardware wizard, click the next button.
  4. Select No when the Add New Hardware wizard asks you "Do you want Windows to search for your new hardware?"
  5. From the list of Hardware types, select Sound, Video and Game Controllers, and click the Next button.
  6. Select Have Disk.
  7. If the driver is on a CD-ROM or a diskette, place it in the appropriate drive.
  8. In the Open dialog, use the Browse button to navigate to where the driver is located and select it.
  9. Click OK.
  10. Click Finish.
  11. In the Driver Set Up dialog, select the hardware settings that match what the multimedia device is physically set to, and click OK.
  12. Click Yes to restart your computer.

Installing a Driver on Windows 2000 and Windows XP

You sound card should come with software, too. Some manufacturers provide a driver setup program that takes you through the driver installation. Always use the manufacturer's software installation program if one is provided. If one is not provided, follow this procedure:

  1. Click the Start button and select Settings-Control Panel.
  2. In the Control Panel, double-click on Add New Hardware.
The Add/Remove Hardware Wizard dialog appears.
  3. Click Next.
  4. Select Add/Troubleshoot a Device and click Next.
The system searches then asks you to select from a list of devices.
  5. Select Add a New Device and click Next.
  6. Select No, I Want to Select the Hardware from a List and click Next.
  7. In the list of hardware types, select Sound, Video and Game Controllers and click Next.
  8. Click Have Disk.
The Install From Disk dialog appears.
  9. Using the Browse button, navigate to the directory where the sound card driver is located (CD-ROM, diskette, hard disk, etc.) and click OK.
The Locate a File dialog appears.
  10. Select the driver file you want to use for your sound card and click Open.
The Install From Disk dialog appears again.
  11. Click OK.
The Add/Remove Hardware Wizard dialog appears again.
  12. Select the your hardware model from the list in the Models field and click Next.
  13. Click Next to start installation.
  14. Click Finish.

WDM and MME

In most situations, the newer WDM (Windows Driver Model) sound card drivers that most sound card vendors are creating are a much better choice than the older MME (Multi-Media Extensions) drivers. If your sound card vendor has a WDM driver, it's usually a good idea use it. The following table compares their characteristics:

WDM... | MME...
Lower latency | Usually higher latency
Works with Windows 2000, ME, 98 SE, but not 98 Gold | Works with Windows 98, and ME. Some MME drivers may work with Windows 2000.
Not every sound card vendor has produced a WDM driver. | MME drivers are widely available. Note: If you use two or more sound cards at the same time, and not all of them have WDM drivers, you must force the WDM drivers to function as MME drivers. Do this in the Audio Options dialog box (except in GT Pro) on the Advanced tab by checking the Always Use MME Interface Even When WDM Drivers Are Available checkbox. In GT Pro, see the README document that came with your software.

IRQs

An IRQ (Interrupt Request) is an assigned location where the CPU expects to be interrupted by a device when it has completed a task. There are 16 IRQs on a PC. Usually, three or four are taken by the system, leaving 12 or 13 for other devices, like printers, USB devices, hard disks, floppy disk drives, keyboard and sound card. Some of these devices can share an IRQ with other devices, but for the most part this is not a good thing, and for a sound card which can use a lot of CPU power, it can be a real problem. IRQ conflicts can cause your system to freeze or fail to boot up properly, or the system may fail to recognize your sound card. Sometimes the problem only reveals itself when you attempt to use the device that is sharing an IRQ.

Checking IRQ Settings in Windows 98 and Windows Me

If your computer is running Windows 98 or Windows Me, use this procedure:

  1. Right-click on the My Computer icon on your desktop and select Properties from the menu that appears.
The System Properties dialog appears.
  2. Click the Device Manager tab.
  3. In the Device Manager section, click on the Computer entry at the very top and click the Properties button.
The Computer Properties dialog appears.
  4. If necessary, click the Interrupt request (IRQ) radio button.
The IRQ settings appear.

Look for your sound card in the Hardware Using the Setting column. Check all other devices to determine if other devices are sharing an IRQ with your sound card (Note: IRQ Holder for PCI Steering is not a device, and does not cause a conflict). If your sound card shares an IRQ with another device, and you are experiencing problems with your sound card, see IRQ Conflicts.

Checking IRQ Settings in Windows 2000 and Windows XP

If your computer is running Windows 2000, use this procedure:

  1. Right-click on the My Computer icon on your desktop and select Properties from the menu that appears.
The System Properties dialog appears.
  2. Click the Hardware tab.
  3. In the Hardware section, click the Device Manager button.
The Device Manager dialog appears.
  4. In the Device Manager dialog, click the View button and select View Resource by Type.
  5. Expand the Interrupt request (IRQ) entry to expand it.
The IRQ settings appear.

Look for your sound card in the Hardware Using the Setting column. Check all other devices to determine if other devices are sharing an IRQ with your sound card (Note: IRQ Holder for PCI Steering is not a device, and does not cause a conflict). If your sound card shares an IRQ with another device, and you are experiencing problems with your sound card, see IRQ Conflicts.

IRQ Conflicts

Newer motherboards often use something called ACPI (Advanced Configuration and Power Interface) which controls IRQ settings, in effect overriding the motherboard IRQ settings. ACPI, just like Plug and Play, can sometimes lead to shared IRQs and problems with your sound card.

Checking for ACPI on Your System:

  1. Look at your IRQ settings. If you don't know how, see Checking IRQ Settings in Windows 98 and Windows Me or Checking IRQ Settings in Windows 2000 and Windows XP.
  2. Look for an entry that says "ACPI."

Resolving IRQ Conflicts on a Non-ACPI System

The easiest way to resolve a conflict may be to remove the piece of hardware that is conflicting with your sound card. Of course, this is not always possible, but if you have a modem, network card, or some other hardware device that you do not use, removing it (and its driver) may free up an IRQ for your sound card.

Sometimes you can change a sound card's IRQ setting by physically moving the card to another PCI/ISA slot, or by moving several hardware devices to new slots. To do this, uninstall the hardware you want to move, along with its driver, put the hardware devices in their new slots and reinstall their drivers. Once you have completed this, check the IRQ settings again.

If moving or removing hardware did not help, you may be able to use the system BIOS to change an IRQ setting. To see if your BIOS allows you to make changes to your systems IRQ settings, consult your motherboard's documentation.

Resolving IRQ Conflicts on an ACPI System

If you are experiencing an IRQ conflict on an ACPI system, you may want to turn off ACPI. This varies depending on your OS, BIOS and motherboard. Consult your PC manufacturer's documentation or technical support for instructions on how to do this.

Cakewalk and Audio Hardware

The following tips will help you get the most out of your sound card and Cakewalk software:

  • Use Cakewalk's Wave Profiler anytime your install a new sound card--Wave Profiler determines the correct settings for your sound card.
  • Read the documentation for your sound card--You can save yourself a lot of time by learning about your hardware before you try to use it. Many sound cards have their own control panels which allow you to customize the card's settings.

For more information, see:

Audio

MIDI

Audio Hardware (Sound Cards) and Drivers

Audio Playback in Cakewalk Tracks

Tracks

Clips

Track-by-Track Playback

Connecting an Instrument, Home Stereo, or Microphone to your Sound Card

Choosing Inputs

Audio Recording


Toolbar Reference

Click a link below for information on a toolbar:

Standard toolbar

Loop toolbar

Markers toolbar

Metronome toolbar

Position toolbar

Record toolbar

Select toolbar

Sync toolbar

Tempo toolbar

Transport toolbar

Transport (Large) toolbar

Views toolbar

Playback State toolbar

Control Surfaces toolbar


The Draw Line Tool

The Draw Line Tool makes it easy to draw straight lines in either the Piano Roll view or the Tempo view.

Use it in the following ways:

Piano Roll: Use the Draw Line Tool to draw straight lines in the Controllers pane. See To Draw a Linear Series of Controllers.

Tempo view: Use the Draw Line Tool to draw straight lines in the Tempo view. See To Steadily Increase or Decrease the Tempo in the Tempo View.


The Select Tool

The Select Tool allows you to select notes and events in several views.

Use it in the following ways:

Piano Roll view: Use the Select Tool to select notes and controllers. You can select by clicking on an event or by clicking and dragging around several events. See Piano Roll View.

Tempo view: Use the Select Tool to select a range of time.

Staff view: Use the Select Tool to select notes or other notation symbols. You can select by clicking on a note or by clicking and dragging around several notes. Click and hold on a note to move the note. See Staff View.


The Eraser Tool

Use the Eraser Tool to delete individual notes in the Piano Roll view and Staff view. Click a note with the Eraser tool to delete it.


The Scissors Tool

Use the Scissors tool in the Track view to split clips.

For information on how to use the Scissors tool, see To Split Clips with the Scissors Tool.


The Scrub Tool

The Scrub Tool allows you to hear individual notes and events in several views by dragging the mouse over them.

Use it in the following ways:

Track view: See To Audition Audio with the Scrub Tool.

Piano Roll view: See To Scrub the Project.

Staff view: Use the Scrub Tool in the both of the following two panes:

  • The Notes pane--See To Audition with the Scrub Tool.
  • The Fretboard--See Entering Notes from the Fretboard.


Pick Tracks button

The Pick Tracks Combo button [image] enables you to select which track(s) you want to see, or to display the next or previous track(s) in whatever view you are working in.

To select which track(s) you want to display:

  1. Click the left side of the Pick Track Combo button [image] .
The Pick Tracks dialog box appears.
  2. Click the track(s) you want to display. Ctrl-click or Shift-click to select multiple tracks.
  3. Click OK.
Cakewalk displays the track(s) you selected.

To display the next or previous track or group of tracks:

  1. Click the right side of the Pick Track Combo button [image] to open the Show Previous Track(s)/Show Next Track(s) popup menu.
  2. Do one of the following:
    • To display the next lower-numbered track (or group of tracks), select Show Previous Track(s) or press P.
    • To display the next higher-numbered track (or group of tracks), select Show Next Track(s) or press N.
Cakewalk displays the track(s) you selected.


Standard toolbar

Right-click on toolbar/Standard

This toolbar lets you use the standard file and editing commands. It has the following buttons:

Button | Description
New | See File-New
Open | See File-Open
Save | See File-Save
Cut | See Edit-Cut
Copy | See Edit-Copy
Paste | See Edit-Paste
Undo | See Edit-Undo
Redo | See Edit-Redo
Print | See File-Print
Help | See Help-Help Topics


Loop toolbar

Right-click on toolbar/Loop

This toolbar lets you set and edit looping in your project. It has the following tools:

  • Loop On/Off. Enables looping
  • Loop From. Displays the from time for looping
  • Loop Thru: Displays the thru time for looping
  • Set Loop to Selection: Click to set the Loop From and Loop Thru times to the from and thru times set in the Selection toolbar.
  • Loop and Auto Shuttle properties: Loop and Auto Shuttle command.

See also:

Looping


Markers toolbar

Right-click on toolbar/Markers

The Markers toolbar lets you create, edit, and delete markers. It has the following tools:

  • Marker Menu. Choose a marker from the list to set the Now time to it.
  • Previous Marker. Go-Previous Marker command
  • Next Marker. Go-Next Marker command
  • Insert Marker. Insert-Marker command
  • Markers View. View-Markers command

See:

Other Ways to Set the Now Time

Markers and the Snap Grid


Metronome toolbar

Right-click on toolbar/Metronome

The Metronome toolbar lets you set up your metronome. It has the following tools:

  • Count In. Specifies the number of count-in measures or beats.
  • Count-in Measures. The count in is in measures.
  • Count-in Beats. The count in is in beats.
  • Metronome During Playback. The metronome will sound during playback.
  • Metronome During Record. The metronome will sound during recording.
  • Accent First Beat. The first metronome beat of each measure will be accented.
  • Use PC Speaker. The metronome uses the PC speaker.
  • Use MIDI Metronome. The metronome uses MIDI notes.
  • Metronome Settings. Opens the Global Options dialog box to the Metronome tab, where you can specify the MIDI metronome note options.

See also:

Setting the Metronome and Tempo Settings


Position toolbar

Right-click on toolbar/Position

This toolbar lets you work with the. It has the following tools:

  • Now (Measure, Beat, Tick). Displays and lets you change the Now time in MBT notation.
  • Now (Hour, Minute, Second, Frame). Displays and lets you change the Now time in SMPTE notation.
  • Go to From. From command.
  • Go to Thru. Thrucommand.
  • Now. Slider for moving the Now time graphically.


Record toolbar

Right-click on toolbar/Record

This toolbar lets you specify conditions for recording. It has the following tools:

  • Punch Record On/Off. Enables punch recording
  • Punch In Time. Displays the from time for punch recording
  • Punch Out time. Displays the thru time for punch recording
  • Set Time. Click to set the punch in and punch out times to the from and thru times set in the Selection toolbar.
  • Step Record. Step Record command
  • Record Options. Opens the Record Options dialog

See:

To Use Step Recording

Punch Recording


Select toolbar

Right-click on toolbar/Select

This toolbar lets you select from and thru which the loop and record toolbars can use. It contains the following tools:

  • Set From = Now. From command
  • From. From time
  • Thru. Thru time
  • Set Thru = Now. Thru command


Sync toolbar

Right-click on toolbar/Sync

This toolbar lets you specify a clock source, and hence a synchronization mode, synchronizing the devices for your project. It has the following tools:

  • Internal Sync. Specifies the clock on the computer motherboard
  • MIDI Sync. Specifies the clock on an external MIDI device
  • SMPTE/MTC Sync. Specifies the time code signal recorded on magnetic tape
  • Audio Sync. Specifies the clock on the computer's sound card
  • SMPTE/MTC format. Specifies the format for the time code signal recorded on magnetic tape

See:

Synchronizing Your Gear


Tempo toolbar

Right-click on toolbar/Tempo

This toolbar displays the current tempo and lets you change it, insert a new tempo at a specified time, change or erase it, and stretch the audio to fit a given tempo. It has the following tools:

  • Tempo: Displays the current tempo.
  • Insert Tempo: Tempo dialog command.
  • Tempo Ratio 1: Transport-Tempo Ratio 1 command
  • Tempo Ratio 2: Transport-Tempo Ratio 2 command
  • Tempo Ratio 3: Transport-Tempo Ratio 3 command

See:

Using the Tempo Toolbar

Changing Tempos


Transport toolbar

Right-click on toolbar/Transport

This toolbar lets you hear how your piece sounds. It has the following tools:

  • Rewind: Transport-Rewind command
  • Stop: Transport-Stop command
  • Play: Transport-Play command
  • Go to End: Skip to the end of the project
  • Record: Transport-Record command
  • Reset: Transport-Reset command


Transport (Large) toolbar

Right-click on toolbar/Transport (Large)

This toolbar, the larger version of the Transport toolbar lets you hear how your piece sounds. It also displays and lets you set the meter and key signature. It has the following tools:

  • Now (Measure, Beat, Tick): Displays and lets you change the Now time in MBT notation.
  • Now (Hour, Minute, Second, Frame). Displays and lets you change the Now time in SMPTE.
  • Now. Slider for moving the Now time graphically.
  • Rewind: Transport-Rewind command
  • Stop: Transport-Stop command
  • Play: Transport-Play command
  • Go to End: Skip to the end of the project
  • Record: Transport-Record command
  • Reset: Transport-Reset command
  • Meter/Key. Displays the current time and key signatures. Click it to edit its values.


Views toolbar

Right-click on toolbar/Views

This toolbar lets you open views. Buttons correspond to commands in the View menu.


Playback State toolbar

The Mute, Solo, and Unsolo toolbar allows you to globally mute, solo or unsolo all tracks with just one mouse click.


Control Surfaces toolbar

The Control Surfaces toolbar allows you choose which of the currently enabled control surfaces you want to open the property page for. You choose the control surface in the drop-down menu that's on the left side of the toolbar, and then you click the Properties button that's at the right end of the toolbar to open the control surface's property page.


Menu Reference

Use the Contents or Search tabs to find the menu command topic you are looking for.


File-New

The File-New command opens the New Project File dialog box where you choose a template for a new file. See New Project File dialog for more information.

See also:

To Create a New Project File


File-Open

The File-Open command opens the Open dialog box. Use the Open dialog to open an existing project. See Open dialog for more information.


File-Close

The File-Close command closes the current project. If multiple projects are open, the project with focus is closed.


File-Save

The File-Save command saves the current project. If multiple projects are open, the project with the focus is saved.

For more information, see Saving Your Work.


File-Save As

The File-Save As command opens the Save As dialog where you can save a project with the name, directory, and format you specify. The formats available are:

  • Normal--Also known as a Project file (extension .cwp)
  • Bundle--Contains all the audio and MIDI data (extenstion .cwb)
  • Template--Save project settings so you can use them with new projects (extension .cwt)
  • MIDI Format 0--Standard MIDI File that has all channels merged into one track.
  • MIDI Format 1--Standard MIDI File that keeps each channel on a separate track.
  • Riff MIDI Format 0--Riff MIDI File of Format 0.
  • Riff MIDI Format 1--Riff MIDI File of Format 1.

See also:

Saving Your Work

Labeling Your Projects

To Display and Edit Project Information

File Statistics


File-Info

The File-Info command opens the File Info dialog box where you can enter information about your project, including author, title and copyright. For more information, see File Info dialog.


File-Project Audio Files

The File-Project Audio Files command opens the Project Files dialog. For information, see Project Files dialog.


File-Import-Audio

The File-Import-Audio command lets you import digital audio information stored in wave file format into any track (or, for stereo, two tracks) of a project.

The File-Import-Audio command supports the following digital audio file types:

  • Wave (extension .wav)
  • MPEG (extensions .mpeg, .mpg, .mp2, and .mp3)
  • Apple AIFF (extensions .aif and .aiff)
  • MS Streaming Format (extension .ams)
  • Audio files (extensions .au and .snd)

The sampling rate for a project is set based on your default sampling rate. If the sampling rate from the wave file does not match the sampling rate in your project, then it will be converted to the current project's sampling rate.

See:

To Import an Audio File


File-Export-Audio

The File-Export-Audio command lets you save and export your projects as MP3 files and other types of formats.

For more information about the File-Export-Audio command, see Preparing Audio for Distribution.

See also:

Mixing Down and Distributing Audio


File-Export-OMF

SONAR's File-Export-OMF command opens the Export OMF dialog.


File-Import-Video File

SONAR's File-Import-Video File command lets you include an AVI, MPEG, or QuickTime video in your project. This video is shown in real time as your project plays. The Video view displays the current time (as in the Big Time view) and the video itself. The display in the Video view is synchronized with the Now time, giving you convenient random access to the video stream. This makes it easy to align music and digitized sound to the video.

See:

Video Playback


File-Export-Video to AVI

Use the File-Export Video to AVI command to combine the audio data and any video data in your SONAR project into an .avi file. The audio in your project is mixed down automatically and saved with the video in the new .avi file.

For more information about video files, see Video Playback and Preparing Audio for Distribution.


File-Print

The File-Print command opens your system's Print dialog box.


File-Print Preview

The File-Print Preview command opens the SONAR Print window, where you can view your document before you print it.


File-Print Setup

The File-Print Setup command opens your system's Print Setup dialog box.


File-Send

The File-Send command opens a blank e-mail message and attaches the current project.

Note: If you send a project file (extension .cwp) and your project contains audio data, the audio data is not attached along with the project file. If you want to send a project that contains both MIDI and audio data, use the bundle file format (extension .cwb). For more information, see Saving Your Work.


File-Recent File

The recent file list at the bottom of the File menu lets you choose any file you have opened recently. Choosing a file in the list opens it immediately.


File-Exit

The File-Exit command closes SONAR. If you have made any changes since the last time you saved any of the open projects, SONAR prompts you to save the changes.


Edit-Undo

The Edit-Undo command reverses your last action. Successive Undos cancel preceding actions in reverse order. To redo the action, see Edit-Redo.


Edit-Redo

The Edit-Redo command cancels a just-previous Undo command.


Edit-History

The Edit-History command opens the Undo History dialog which displays a history of your editing actions. You can set how many editing actions you want the Undo History dialog to store by changing the number in the Maximum Undo Steps field. The default value is 128.

See:

Undo, Redo, and the Undo History


Edit-Select-All

The Edit-Select-All command selects everything in all open views. Any action affects all selected objects.

See:

Selecting and Editing Events


Edit-Select-None

The Edit-Select-None command cancels all selections, with the result that nothing is selected.

See:

Selecting and Editing Events


Edit-Select-By Filter

The Edit-Select-By Filter command lets you change a selection to keep only events with the criteria you specify.

For more information, see Searching for Events.

See also:

Selecting and Editing Events

Event Filter Select Some/Search/Replace dialog


Edit-Select-By Time

The Edit-Select-By Time command lets you specify times from which and through which SONAR selects.

To select partial clips by time, see To Select Partial Clips Using Time Ranges and Tracks.

See also:

Select By Time dialog


Edit-Select-From = Now

The Edit-Select-From = Now command lets you specify the Now time as the time from which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-Thru = Now

The Edit-Select-Thru = Now command lets you specify the Now time as the time through which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-From = Start

The Edit-Select-From = Start command lets you specify the start of a piece as the time from which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-Thru = End

The Edit-Select-Thru = End command lets you specify the end of a piece as the time through which a selection extends.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.


Edit-Select-Select Track Envelopes with Selected Clips

Clicking the dropdown arrow that's on the right side of the Select tool button in the Track view toolbar pops up a menu to select track envelopes. When you enable this function, the menu option has a checkmark next to it. That means when you select a clip in the Clips pane, any track envelopes in that track get selected too.


Edit-Cut

The Edit-Cut command lets you remove from the project and put on the clipboard any selected objects. You can specify the kinds of objects to cut in the Cut dialog.

You can paste the contents of the clipboard elsewhere.

See Edit-Paste.

See also:

Moving and Copying Clips

Erasing Tracks


Edit-Copy

The Edit-Copy command lets you put on the clipboard any selected objects. You can specify the kinds of objects to copy in the Copy dialog.

You can paste the contents of the clipboard elsewhere. See Edit-Paste.

To remove rather than copy objects, see Edit-Cut.

To make copies of linked clips, see Splitting and Combining Clips.

See also:

Moving and Copying Clips

Working with Partial Clips

Importing MIDI Files


Edit-Paste

The Edit-Paste command lets you put the contents of the clipboard into any appropriate place in your project. You can specify what, where, and how to paste in the Paste dialog.

To put data on the clipboard, see or Edit-Cut, Edit-Copy.

See also:

Moving and Copying Clips

Importing Material from Another SONAR Project

Importing MIDI Files


Edit-Delete

The Edit-Delete command removes selected objects from the project. It doesn't put them on the clipboard, so they can not be subsequently pasted. You can specify the kinds of objects to remove in the Delete dialog.

For more information, see To Delete Clips.

See also:

Moving and Copying Clips

Working with Partial Clips

Deleting Measures or Time from One or More Tracks


Edit-Bounce to Clip(s)

The Edit-Bounce to Clip(s) command lets you combine selected audio clips into a single clip.

Note:

Like any clips, slip edited clips can be combined with other clips using the Bounce to Clip(s) command. When a slip edited clip is combined with another clip, any slip edited data (audio or MIDI events that are cropped from view) is overwritten.

For more information, see Splitting and Combining Clips, and Bouncing to Clips.

See also:

Splitting and Combining Clips

Splitting and Combining Clips

Bouncing to Clips


Edit-Bounce to Track(s)

The Edit-Bounce to Tracks command lets you combine two or more audio tracks into a stereo submix.

For more information about the Edit-Bounce to Tracks command, see Mixing Down and Distributing Audio.


Edit-Groove Clip Looping

The Edit-Groove-Clip Looping command enables a selected audio clip's looping capabilities. When you enable these capabilities, you can make unlimited copies of the clip by dragging its start or end points to the left or right, respectively. When a clip's looping capabilities are enabled, the clip's corners are beveled instead of sharp. If the clip's looping capabilities are already enabled, the same command turns them off.

For more information, see Using Loops.


Edit-Non-Destructive MIDI Editing

This command, off by default, makes all MIDI edit non-destructive. When toggled on, this command forces deleted data to be retained even though it is not visible.


Process-Audio-Remove Silence

The Process-Audio-Remove Silence command detects sections of audio that fall below a given loudness threshold, and replaces those sections with absolute silence.

See also:

Removing Silence


Process-Audio-Extract Timing

This command opens the Extract Timing dialog. For more information about extracting the timing of an audio clip, see Extracting Timing.

See also:

Extract Timing dialog


Process-Audio-Graphic EQ

The Process-Audio-Graphic EQ command lets you equalize your audio over ten frequency bands, that is, ten octaves.

See also:

Audio Effects (Audio Plug-ins)


Process-Audio-Parametric EQ

The Process-Audio-Parametric EQ command lets you choose first which frequencies should be affected by equalization, then how much to cut or boost each frequency.

See also:

Audio Effects (Audio Plug-ins)

Parametric Equalization


Process-Audio-3dB Louder

The Process-Audio-3dB Louder command sets selected clips or tracks to play three decibel louder.

For more information, see To Boost Audio Volume by Three Decibels.

See also:

Basic Audio Processing


Process-Audio-3dB Quieter

The Process-Audio-3dB Quieter command sets selected clips or tracks to play 3 decibel more softly.

For more information, see To Decrease Audio Volume by Three Decibels.

See also:

Basic Audio Processing


Process-Audio-Normalize

The Process-Audio-Normalize command lets you increase the volume of the selected clips or tracks to the maximum level possible before clipping.

For more information, see To Normalize Audio Data.

See also:

Basic Audio Processing


Process-Audio-Fade/Envelope

The Process-Audio-Fade/Envelope command lets you specify accurately the shape of a fade for a selection, clip, or track. You can specify one of the following curves, which the Fade/Envelope dialog displays for you:

  • Exponential Fade In
  • Exponential Fade Out
  • Inverse Exponential Fade In
  • Inverse Exponential Fade Out
  • Linear Fade In
  • Linear Fade Out

Alternately you can manipulate any curve in the dialog box to look exactly as you want.

See also:

To Apply a Fade to Audio Data


Process-Audio-Crossfade

The Process-Audio-Crossfade command lets you specify accurately the shape of a crossfade for two overlapping audio clips. You can specify one of the following curves, which the Crossfade dialog displays for you:

  • Exponential Crossfade
  • Inverse Exponential Crossfade
  • Linear Crossfade

Alternately you can manipulate any curve in the dialog box to look exactly as you want.

For more information, see To Crossfade Two Overlapping Clips.

See also:

Fades and Crossfades


Process-Audio-Reverse

The Process-Audio-Reverse command reverses audio data, making it play backwards. You may wish to do this to obtain unusual sounds for special effects.

See also:

Reversing Audio Data


Process-Apply Audio Effects

The Process-Apply Audio Effects command (which is greyed-out if you're not currently using any audio effects) opens the Apply Audio Effects dialog box. Applying an audio effect means that the audio data that you apply the effect to is permanently altered to sound like it would if it was flowing through an effects processor in real time. Applying an effect saves a lot of your processor's power for other tasks that must be done in real time.

Clicking OK in this dialog box applies any audio effects that are patched into track inserts. but does not apply effects that are patched into aux or main buses. You can also check the Delete the effects from the track inserts checkbox to remove the real-time effects from the track inserts after you apply them, so the audio data does not receive a double dose of the same effects.

See:

Applying Audio Effects


Process-Apply MIDI Effects

The Process-Apply MIDI Effects command opens the Apply MIDI Effects dialog box, which allows you to apply any MIDI effects that are patched into a track to all selected data in that track. Applying a MIDI effect means that the MIDI data that you apply the effect to is permanently altered to sound like it would if it was flowing through an effects processor in real time. You can leave the Delete the effects from the track inserts checkbox checked to remove the real-time MIDI effects from the track inserts after you apply them, so the track data does not receive a double dose of the same effects.

See:

Applying MIDI Effects

MIDI Effects (MIDI Plug-ins)


Plug-ins

From the Process menu, you can access all of the MIDI and audio effects (plug-ins) available to you.

See Also:

Audio Effects (Audio Plug-ins)

MIDI Effects (MIDI Plug-ins)


Audio Plug-ins

The Process-Audio Effects-(name of effects vendor) commands display submenus of all audio effects available to you.

See also:

Applying Audio Effects


MIDI Plug-ins

The Process-MIDI Effects-(name of effects vendor) commands display submenus of all MIDI effects available to you.

See:

Adding Arpeggio

Analyzing Chords

Adding Echo/Delay

Filtering Events

Quantizing

Using Session Drummer in Real-time

Transposing MIDI Notes

Changing Velocities


Process-Deglitch

The Process-Deglitch command opens the Deglitch dialog.

See also:

To Use the Deglitch Filter


Process-Slide

The Process-Slide command opens the Slide dialog. You can move a selected track and/or its markers by a set amount of measures, ticks, seconds or frames. Positive numbers move the track to the right (forward) and negative numbers move the track to the left (backward).

See also:

Shifting Events in Times


Process-Quantize

The Process-Quantize command opens the Quantize dialog.

This command adjusts the start time and duration of selected notes so that they line up with a fixed size grid. In the Quantize dialog, you can adjust the resolution of the grid (note size) and specify which track properties you want to allow the command to change.

For step by step instructions:

To Use the Quantize Command

To Use the Groove Quantize Command

To Define a New Groove

To Save a Groove Pattern

To Copy an Existing Groove

To Delete a Groove

Groove Quantize Tips

See also:

Changing the Timing of a Recording


Process-Groove Quantize

The Process-Groove Quantize command opens the Groove Quantize dialog.

This command adjusts the start time and duration of selected notes using a music piece as a pattern. In the Quantize dialog, you assign the groove pattern you want to use (extension .GRV), adjust the resolution of the grid (note size) and specify which track properties you want to allow the command to change.

See also:

Groove Quantize Tips

Changing the Timing of a Recording


Process-Interpolate

The Process-Interpolate command is an extremely flexible way of manipulating the data parameters of events. It works something like the search-and-replace function in a word processor but with scaling rather than simple replacement.

See:

Searching for Events


Process-Length

The Process-Length command can be used to stretch or shrink a portion of a project. Process-Length lets you stretch or shrink the selection by a fixed percentage and makes the adjustment by altering the individual events. A value of 200 percent, for example, stretches the selection to twice its original length, while a value of 50 percent shrinks the selection to half its original length.

This command offers the option to stretch audio clips along with the MIDI information. Sometimes you don't want to adjust the speed of your audio. Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).

See also:

Stretching and Shrinking Events


Process-Run CAL

The Process-Run CAL command enables you to run CAL programs. Cakewalk Application Language (CAL) is an event-processing language that you use to extend SONAR with custom editing commands.

You can write your own CAL program and use or edit CAL programs that other people have written. You also can create CAL programs by recording a series of commands, keystrokes, and mouse actions. SONAR translates and saves these actions as CAL programs, which you can use or edit. CAL files are stored on disk in files with an extension of .cal.

See Also:

Creating and Running CAL Programs


Process-Retrograde

The Process-Retrograde command reverses the order of events in a selection. If one or more clips are selected, then the events within each clip are reversed. If several clips are selected from the same track, then the order of the clips is also reversed. You could use this command, for example, to take a scale or other long run of notes and reverse the order in which they are played. The Process-Retrograde command does not reverse the contents of audio clips. It only changes their start times. You can use the Process-Audio-Reverse command to reverse audio clips.

See also:

Reversing Notes in a Clip


Process-Transpose

The Process-Transpose command transposes the pitches of note events up or down by a fixed number of half-steps. It does so by changing the MIDI key numbers of note events and by pitch-shifting audio clips. Simply enter the number of half-steps in the Amount field of the Transpose dialog box--a negative number to transpose down, a positive number to transpose up.

SONAR can also perform diatonic transposition, which shifts all the notes up and down the major scale of the current signature by the designated number of steps. For instance, if you specify an amount of +1 and the key signature is C-major, a C becomes a D (up a whole step), an E becomes an F (up a half step), and so on. Diatonic transposition assures you that the transposed notes fit with the original key signature.

As an option, you can choose to transpose selected audio clips along with any selected MIDI clips. SONAR uses pitch-shifting to perform the transposition. You can transpose audio only a single octave in either direction (-12 to +12), and you cannot transpose audio when you are using diatonic transposition.

See also:

Transposing MIDI Notes


Process-Scale Velocity

The Process-Scale Velocity command lets you create crescendos (volume swells) and decrescendos on those instruments that respond to MIDI velocity. Most such instruments map changes in velocity to changes in note loudness. Many synthesizer patches alter the timbre of the sound as well, so that higher velocities produce brighter, as well as louder, sounds. Changes in velocity also affect the playback of audio clips.

This command lets you set a starting and ending velocity for the entire time range of the selection. SONAR scales the velocity of each event to create a smooth linear change in velocity. As an option, you can enter a starting and ending percentage; existing velocity values are modified by the designated percentage.

You can also edit note velocities in the controllers pane of the Piano Roll view, which lets you draw shapes other than straight line changes. For more information, see Using the Controllers Pane.


Process-Fit to Time

Process-Fit to Time stretches or shrinks the selection so that it ends at a specific time, expressed in either measure:beat:tick (MBT) or hours:minutes:seconds:frames (SMPTE) format. This command gives you a choice of modifying the events or modifying the underlying tempo. This is useful when you want to alter a portion of a project to have an exact length. The start time of the selection does not change, but the end time is altered as necessary to fit the required time interval.

Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).

For more information, see To Stretch or Shrink to a Specific Length.

Stretching and Shrinking Events.


Process-Fit Improvisation

SONAR lets you record music from a MIDI controller without requiring that you use a fixed tempo. But if you record without using a metronome, you are very likely to end up with a recording that does not fit onto a fixed tempo grid.

The Process-Fit Improvisation command lets you take a recording and create a tempo map (with measure and beat boundaries) that fits what you played. Your performance is not changed in any way, even thought the note start times and durations are adjusted to fit the new tempo map.

To use this command, you must record a "reference track" containing a single clip that matches your original track or tracks, but has only a single note on each beat boundary. You should make sure that the reference track has one event for every single beat, with no extra beats or missing beats. The first beat of the reference track should be at 1:01:000. You can use any editing command to adjust the reference track.

See also;

To Fit Tempos to an Improvisation


Edit-Split

The Edit-Split command opens the Split Clips dialog, which allows you to split a selected clip into smaller clips. The command, which is also available from the Clips pane right-click menu, is greyed-out if no clips are selected.


Edit-Apply Trimming

Using the Edit-Apply Trimming command permanently deletes any data from a selected clip that is hidden by a slip editing edit.

For step-by-step instructions, see To Permanently Delete Slip-edited Data.


Edit-Convert MIDI to Shapes

Using the Edit-Convert MIDI To Shapes command opens the Convert MIDI To Shapes dialog. This command lets you convert a controller envelope created in the Piano Roll view to a Track view envelope, or shape.

Note: If two clips overlap, the command converts the controller envelopes in both clips, in whatever parts of the clips lie in the selected time range.

For step-by-step instructions, see To Convert MIDI Controller Envelopes to Shapes.


View-Piano Roll

Open the Piano Roll view with the View-Piano Roll command, or by clicking the Piano Roll view button in the Views toolbar. The Piano Roll view displays all MIDI notes and events from one or more tracks in a grid format that looks much like a player piano roll. Notes are displayed as horizontal bars, and drum notes as diamonds. Pitch runs from bottom to top, with the left vertical margin indicating the pitches as piano keys or note names. Time is displayed running left to right with vertical measure and beat boundaries. The Piano Roll view makes it easy to add, edit, and delete notes and controller data from a track.

See also:

The Piano Roll View


View-Event List

Open the Event List view with the View-Event List command, or by clicking the Event List view button in the Views toolbar. The Event List view shows events in a list format. You can insert, delete, or modify any kind of event, including notes, pitch-wheel data, velocity, MIDI controllers, patch changes, wave files, lyrics, text strings, MCI commands, System Exclusive meta-events, and more.

See:

The Event List View


View-Staff

Open the Staff view by using the View-Staff command, or by clicking the Staff view button in the Views toolbar. The Staff view contains the Staff pane and the Fretboard. The Staff pane displays MIDI note events as musical notation, and the Fretboard displays MIDI notes as markers on a guitar fretboard. The Staff view provides many features that make it possible for you to compose, edit, and print music.

For more information, see The Staff View.


View-Loop Construction

Open the Loop Construction view by selecting View-Loop Construction from the menu. The Loop Construction view allows you to create Groove clips and enable looping of clips.

See Loop Construction view for more information.

See also:

Using Groove Clips

Creating and Editing Groove Clips


View-Lyrics

Open the Lyrics view by using the View-Lyrics command, or by clicking the Lyrics view button in the Views toolbar. The Lyric view lets you edit a track's lyrics. You can use it to cue yourself or your group with the lyrics during playback and recording. For more information on the Lyrics view, see Lyrics view.

See also:

Working with Lyrics


View-StudioWare

Open the StudioWare view by using the View-StudioWare command, or by clicking the StudioWare view button in the Views toolbar. The StudioWare view, a dynamic console strip, lets you manipulate the controls on any external MIDI device from graphical controls on your screen. For more information on the StudioWare view, see StudioWare View.

See also:

Working with StudioWare


View-Loop Explorer

Select View-Loop Explorer to open the Explorer view.

You can preview and import files using the Explorer view, without having to leave your work environment. For more information, see Loop Explorer View.

See also:

The Loop Explorer View


View-Console

To open the Console view, click the Console view button in the Views toolbar, or use the View-Console command.

The Console view contains all the controls you need to mix your project. For more information on the Console view, see Console View.

See also:

Preparing to Mix


View-OP Panel

OP is short for Open Plug-in. The View-OP Panel-(name of the panel you want to open) command opens a Yamaha OP panel. If you have a certain kind of Yamaha module connected to your computer, and have installed the Yamaha editing software, you can open these panels directly from SONAR to create and edit sounds for your module, and save the sounds as presets.


View-Synth Rack

Use the View-Synth Rack command to open the Synth Rack. For more information, see Synth Rack View.


View-Video

Open the Video view by using the View-Video command, or by clicking the Video view button in the Views toolbar. The Video view lets you load digitized video files and play them back with your project. For more information on the Video view, see Video View.

See Video Playback for information about video in SONAR.


View-Big Time

Open the Big Time view by using the View-Big Time command, or by clicking the Big Time view button in the Views toolbar. The Big Time view lets you see the Now time from a distance while recording. For more information on the Big Time view, see Big Time View.

See also:

Displaying the Now Time in Large Print


View-Markers

Open the Markers view with the View-Markers command, or by clicking the Markers view button in the Views toolbar. The Markers view lets you add, move, rename, or delete marker (labels) for places in your song. The markers make it easier to move from one point to another. For more information on the Markers view, see Markers View.

See Creating and Using Markers.


View-Tempo

Open the Tempo view by using the View-Tempo command or by clicking the Tempo view button in the Views toolbar. The Tempo view provides a graphic display of the tempo. In the Tempo view you can use your mouse to draw tempo changes directly onto the graph. For more information on the Tempo view, see Tempo View.

See Using the Tempo Toolbar.


View-Meter/Key

Open the Meter/Key view by using the View-Meter Key command or by clicking the Meter/Key view button in the Views toolbar. The Meter/Key view lets you set and change the meter and key signature for any project or part of a project, over all its tracks. For more information on the Meter/Key view, see Meter/Key View.

See The Meter/Key View.


View-Sysx

Open the Sysx view by using the View-Sysx command, or by clicking the Sysx view button in the Views toolbar. The Sysx view gives you 256 banks to hold MIDI System Exclusive messages. For more information on the SYSX view, see SYSX View.

See Using the System Exclusive View.


View-StudioMix

Open the StudioMix view with the View-StudioMix command or by clicking the StudioMix view button in the Views toolbar. You can control the StudioMix view with the StudioMix hardware controller.

See Configuring StudioMix.


View-Layouts

The View-Layouts command allows you to save and load layouts. SONAR stores the layout of all of a project's views in the project file when you save the project. By default, SONAR restores the layout of all the views when you open the file.

In addition, you can save the current layout in a separate list--the global layout list. Once you have saved the layout in this list, you can apply it to any open project. The global layout list can contain as many layouts as you want. Layouts in the list can be updated, renamed, and deleted.

See:

Layouts

See also:

To Update a Layout

To Load a Layout

To Delete a Layout

To Rename a Layout

To Set Layout Options


View-Toolbars

The View-Toolbars command lets you select which toolbars are displayed and also the style of display for the toolbars.

To display a toolbar, click the checkbox next to its name.

To display toolbars with an upraised appearance similar to a button in the up position, make sure the Flat Style box is unchecked. For more information on toolbars, see Toolbar Reference.


Insert-Bank/Patch Change

Use the Insert-Bank/Patch command to insert a patch change and/or a bank change.

See:

To Insert a Bank/Patch Change

Choosing the Instrument Sound (Bank and Patch)


Insert-Meter/Key Change

Use the Insert-Meter/Key Change command to insert a meter change and/or a key change.

See Adding and Editing Meter/Key Changes.


Insert-Tempo Change

The Insert-Tempo Change command opens the Tempo dialog.

For more information, see Changing Tempos.

See:

To Insert a Tempo Change.

See Also:

Changing Tempos


Insert-Time/Measures

Use the Insert-Time/Measures command to insert blank measures at a specified location.

See Inserting Time or Measures into a Project.


Insert-Marker

Use the Insert-Marker command to insert a marker at a specified location.

See To Add a Marker.


Insert-Series of Controllers

Select Insert-Series of Controllers from the menu to open the Insert Series of Controllers dialog.

This command lets you change controller event values smoothly over a specified time range.

See Using the Controllers Pane.


Insert-Audio Track

The Insert-Audio Track command, which you can also find by right-clicking a track title bar in the Track view, inserts an audio track above the track on which you right-click.


Insert-MIDI Track

The Insert-MIDI Track command, which you can also find by right-clicking a track title bar in the Track view, inserts a MIDI track above the track on which you right-click.


Insert-Series of Tempos

The Insert-Series of Tempos command lets you change tempo smoothly over a specified time range by inserting a series of tempo changes.

See To Insert a Series of Tempos.


Insert-DX Synth

The Insert-DX Synth command displays a submenu of all installed DXi soft synths. Clicking the name of one of the DXi's either displays the Insert DXi Synth Options dialog, or inserts s DXi into your project if you unchecked the dialog's Ask This Every Time option previously.

See Inserting a DXi


Insert-Rewire Device

The Insert-Rewire Device command displays a submenu of all installed Rewire soft synths. Clicking the name of one of the soft synths either displays the Insert DXi Synth Options dialog, or inserts s soft synth into your project if you unchecked the dialog's Ask This Every Time option previously.

See ReWire Instruments


Transport-Play

The Transport-Play command starts playback.

See Controlling Playback.


Transport-Record

The Transport-Record command starts recording.

See also:

Preparing to Record

Recording Music from a MIDI Instrument

Recording Audio


Transport-Record Automation

The Transport-Automation command causes SONAR to start recording the movements of any armed controls.

For more information, see Using Automation.


Transport-Rewind

The Transport-Rewind command rewinds to the start of the project.

See Controlling Playback.


Transport-Stop

The Transport-Stop command stops playback or recording.

See Controlling Playback.


Transport-Stop Audio

The Transport-Stop Audio command stops SONAR's audio engine from running, which disables input monitoring temporarily. After you use the command, it changes into the Transport-Run Audio command.

For more information, see Input Monitoring.


Transport-Reset

The Transport-Reset command stops all MIDI notes from playing and clears stuck notes.

See Handling Stuck Notes.


Transport-Step Record

The Transport-Step Record command opens the Step Record dialog box. Step recording lets you specify step size and note duration so you can record things that are hard to play a step at a time.

See Step Recording.


Transport-Loop and Auto Shuttle

The Transport-Loop and Auto Shuttle command lets you specify start and stop times for looping and whether you want the loop to start over again.

See Looping.


Transport-Record Options

The Transport-Record Options command specifies how SONAR records clips into tracks already holding other clips. The command also lets you specify whether to record takes in sequential tracks or stacked in a single track.

Note: SONAR saves the recording options you choose with each project, so you can save a different recording mode with each of your projects.

See To Choose a Recording Mode.


Transport-Reject Loop Take

The Transport-Reject Loop Take command erases the most recent take during loop recording.

Note: This command is only available for MIDI recording.

To Use Loop Recording


Transport-Update Patch Cache

The Transport-Update Patch Cache command is enabled only if you're using one or more sound cards which require "patch caching". After making changes to your song which result in patch change events being added, changed, or deleted, you may need to choose Transport-Update Patch Cache to force the sound card to load the required sounds from disk storage.


Transport-Tempo Ratio 1

The Transport-Tempo Ratio 1 command changes the speed of playback.

See Using the Tempo Toolbar.


Transport-Tempo Ratio 2

The Transport-Tempo Ratio 2 command changes the speed of playback.

See Using the Tempo Toolbar.


Transport-Tempo Ratio 3

The Transport-Tempo Ratio 3 command changes the speed of playback.

See Using the Tempo Toolbar.


Go-Time

The Go-Time command lets you set a new Now time.

See To Change the Now Time.


Go-From

The Go-From command sets the Now time to the From time.

See The Now Time and How to Use It.


Go-Thru

The Go-Thru command sets the Now time to the From time.

See The Now Time and How to Use It.


Go-Beginning

The Go-Beginning command sets the Now time to the beginning of the project.

See The Now Time and How to Use It.


Go-End

The Go-End command sets the Now time to the end of the project.

See The Now Time and How to Use It.


Go-Previous Measure

The Go-Previous Measure command sets the Now time to the beginning of the previous measure.

See The Now Time and How to Use It.


Go-Next Measure

The Go-Next Measure command sets the Now time to the beginning of the next measure.

See The Now Time and How to Use It.


Go-Previous Marker

The Go-Previous Marker command sets the Now time to the previous marker.

See The Now Time and How to Use It, and Creating and Using Markers.


Go-Next Marker

The Go-Next Marker command sets the Now time to the next marker.

See The Now Time and How to Use It, and Creating and Using Markers.


Go-Search

The Go-Search command lets you find the next event (searching forward from the Now time) that meets criteria you specify in the Event Filter-Search dialog box (see Event Filter Select Some/Search/Replace dialog).

For more information about the Go-Search command, see Searching for Events.


Go-Search Next

This command lets you find the next event using the criteria for your previous search command.

For more information about the Go-Search Next command, see Searching for Events.


Track-Property-Name

The Track-Property-Name command lets you assign a name to a track for easy reference.

For more information about the Track-Property-Name command, see Track Name dialog.


Track-Property-Outputs

The Track-Property-Outputs command lets you assign an output, either MIDI or audio, for your track to play back through.

For more information about the Track-Property-Outputs command, see Setting Up Output Devices, and Assigning Tracks to Outputs.


Track-Property-Inputs

The Track-Property-Inputs command lets you specify input sources for all of your project's tracks for recording purposes.

For more information about the Track-Property-Inputs command, see Choosing an Input, and Changing Track Settings.


Track-Property-Channel

The Track-Property-Channel command specifies the MIDI channel through which the track plays its data.

For more information about the Track-Property-Channel command, see Assigning a MIDI Channel (Chn), and Changing Track Settings.


Track-Property-Key+

The Track-Property-Key+ command lets you specify how many half-steps the notes in a MIDI track should be transposed on playback. 12 half-steps make an octave. The Key+ command does not alter the data in a track, but causes it to play back in a different key.

For more information about the Track-Property-Key+ command, see Adjusting the Key/Transposing a Track (Key+).


Track-Property-Vel+

The Track-Property-Vel+ command lets you designate the change in velocity (volume) to be applied to notes in this track on playback, ranging from -127 to +127. The Vel+ command does not alter the data in a track, but causes it to play back with different velocities.

For more information about the Track-Property-Vel+ command, see Adjusting the Note Velocity (Vel+).


Track-Property-Time+

The Track-Property-Time+ command lets you apply an offset to the start time of the events in the track. The Time+ command does not alter the data in a track, but causes it to play back at an earlier or later time.

For more information about the Track-Property-Time+ command, see Adjusting the Time Alignment of a MIDI Track (Time+).


Track-Property-Bank

The Track-Property-Bank command lets you choose the bank, or set of patch names, available for this track.

For more information about the Track-Property-Bank command, see Choosing the Instrument Sound (Bank and Patch).


Track-Property-Patch

The Track-Property-Patch command lets you choose the patch, or MIDI instrument sound, to use for playback.

For more information about the Track-Property-Patch command, see Choosing the Instrument Sound (Bank and Patch).


Track-Property-Volume

The Track-Property-Volume command lets you specify the starting volume level for the track, ranging from -INF (silent) to 6 dB (maximum volume).

The Volume setting controls the initial volume of a track during playback. Every time you start playback, SONAR sets the volume to this initial level.

In some projects you want the volume of a track to change while playback is in progress. You can accomplish this using the Track, Console, Piano Roll, Event List or StudioWare views. For more information, see Using Automation and Mixing and Effects Patching.

Note: Not all keyboards and synthesizers respond to volume change messages. Check the manual that came with your keyboard or synthesizer for more information.

For more information about the Track-Property-Volume command, see Adjusting Volume and Pan.


Track-Property-Pan

The Track-Property-Pan command lets you specify the stereo distribution of the output, ranging from 100% L (hard left) to 100% R (hard right), with a value of C indicating sound that is centered left-to-right.

The Pan setting controls the initial pan of a track during playback. Every time you start playback, SONAR sets the pan to this initial level.

For more information about the Track-Property-Pan command, see Adjusting Volume and Pan.


Track-Mute

The Track-Mute command silences the specified track for playback.

For more information about the Track-Mute command, see Track-by-Track Playback and Silencing Tracks.


Track-Archive

The Track-Archive command silences the specified track for playback and removes its data from RAM. You must stop playback to change a track's archive status.

For more information about the Track-Archive command, see Track-by-Track Playback and Silencing Tracks.


Track-Solo

The Track-Solo command solos the specified track, meaning it plays while all other tracks do not. Each track set to solo plays back.

For more information about the Track-Solo command, see Track-by-Track Playback and Soloing Tracks.


Track-Arm For Automation

The Track-Arm for Automation command arms all automatable controls in the current track and any additional selected tracks. You can arm or disarm individual controls by right-clicking them and clicking Arm for Automation from the popup menu. You can disarm all armed controls by clicking the Disarm all automation controls button in the Automation toolbar.

See also Using Automation.


Track-Arm

The Track-Arm for Recording command lets arms or disarms all selected tracks for recording.

For more information about the Track-Arm for Recording command, see Arming Tracks for Recording and Auto Arming.


Track-Clone

The Track-Clone command copies a track with either its properties, its clips and events, or both. You can specify a destination.

For more information about the Track-Clone command, see Copying Tracks.


Track-Delete

The Track-Delete command deletes one or more tracks entirely, including all its track properties and all its clips and events. SONAR does not put deleted information on the clipboard for later copying.

For more information about the Track-Delete command, see Erasing Tracks.


Track-Wipe

The Track-Wipe command deletes track contents but leaves track properties intact. SONAR does not put wiped information on the clipboard for later copying.

For more information about the Track-Wipe command, see Erasing Tracks.


Track-Hide

The Track-Hide command, which is also available from the Clips pane popup menu, hides all selected tracks. To display them again, click the Choose which tracks should be displayed or hidden button, which is located in the Track view toolbar.


Track-Show Record Meter

The Track-Show Record Meter command displays record meters in all armed audio tracks. The command is greyed-out if any tracks currently show record meters. You can hide or display meters on individual tracks by right-clicking them and choosing options from the popup menu.


Track-Show Playback Meter

The Track-Show Playback Meter command displays playback meters in all audio tracks. The command is greyed-out if any tracks currently show playback meters. You can hide or display meters on individual tracks by right-clicking them and choosing options from the popup menu.


Track-Sort

The Track-Sort command lets you arrange tracks in order according to any of several criteria.

For more information about rearranging tracks, see To Sort the Tracks, To Drag a Track to a New Position, and To Insert a Blank Track.


Tools-Consolidate Project Audio

The Tools-Consolidate Project Audio command copies all the audio used by the current project into a subfolder of the project's audio folder. Use this command to create a backup of your project's audio.

For more information:

Backing Up Projects with Digital Audio


Tools-Clean Audio Folder

Use the Tools-Clean Audio Folder command to delete digital audio files from an audio data directory that are no longer used by any of your projects. You should use this command from time to time to free up disk space.

Important: Make sure that all of your important project (.cwp and .wrk) files are stored in your local hard disk(s) before using this command. If your project files are stored elsewhere, such as a floppy drive, removeable drive, or network drive, you risk accidentally deleting important audio files that are associated with your projects.

Note: The Cakewalk Audio Finder (CWAFTool) is a more advanced utility for finding and removing unused projects and audio files. This utility can be installed from the AutoRun menu of the SONAR CD. If you have an older version of SONAR you can download the SONAR Audio Finder from the SONAR Website at www.cakewalk.com.

For more information about the Tools-Clean Audio Folder command, see To Delete Unused Audio Files.


Tools-Change Audio Format

Use the Tools-Change Audio Format command if you want to change the audio bit depth of a project from 16 to 24 or vice versa. Your sound card must be capable of playing the project at the new bit depth,

Note: If you change the audio format from 16 to 24, make sure that the file bit depth in the Audio Options dialog box (General tab) is set to 24 also, so that SONAR will allocate big enough blocks of memory to store the project.

For more information about the Tools-Change Audio Format command, see Change Audio Format dialog.


Tuner

The Tools-Tuner command opens the Tuner view, which helps you to tune your instrument by analyzing any input signal from the sound card and displaying the pitch on a meter.

Note: The tuner only works with audio hardware that supports 16-bit audio and 44.1 sample rate.

For more information about using the tuner, see Tuning an Instrument.


Options-MIDI Devices

The output setting for a track determines which piece of hardware will be used to produce the sound stored in your project. The Options-MIDI Devices command opens the MIDI Devices dialog box, which lets you choose the MIDI outputs you want to use.

For more information about setting up MIDI devices, see To Choose MIDI Devices and Setting Up Output Devices.


Options-Instruments

This command lets you choose one or more port/channel configurations and assign an instrument to it or them.

SONAR lets you assign a MIDI instrument definition to each available MIDI port and channel. The assignments you make determine the MIDI bank names, patch names, note names, and controller names that you see during your SONAR session.

Suppose that you have a Roland GS compatible synthesizer attached to MIDI port 1. By assigning all 16 channels of MIDI port 1 to the Roland GS instrument definition, you ensure that the bank, patch, note and controller name lists you see displayed in SONAR are the ones that match your synthesizer.

Often, you want to assign a different instrument to channel 10, which is usually used for percussion. For example, you might assign the Roland GS instrument definition to channels 1 through 9 and 11 through 16, but you would most likely want to assign the Roland GS Drumsets instrument definition to channel 10. If you have several MIDI ports, with a different instrument attached to each one, you would normally assign a different instrument to each MIDI port.

For convenience, you can assign a block of channels to one instrument, and then change the assignment of one or more of those channels without changing the others. For example, you can highlight all 16 channels of the first MIDI port and assign them to the Roland GS instrument definition. Then, you can highlight channel 10 of the first MIDI port and assign it to the Roland GS Drumset instrument definition. Channels 1 through 9 and 11 through 16 on the first MIDI port will stay assigned to Roland GS.

You might also want to split channels to different instruments if you have several instruments attached to a single MIDI port. For example, you might have a Roland synth receiving on MIDI channels 1-9, a Roland drum machine receiving on channel 10, and a basic GM-compatible synth receiving on channels 11 through 16. In this case, you'd use three different instrument definitions for your one and only MIDI port.


Options-Audio

The Options-Audio command opens the Audio Options dialog box (see below), which contains all the necessary controls to completely configure your audio setup. SONAR configures all of these options automatically, but allows you to customize them to a great degree.

For more information about configuring your audio system, see System Configuration.

For more information about the various tabs or pages in the Audio Options dialog box, see:

Audio Options dialog--General

Audio Options dialog--Advanced

Audio Options dialog--Input Monitoring

Audio Options dialog--Drivers

Audio Options dialog--Driver Profiles


Options-Project

The Options-Project command gives you access to options you might want to set for a particular project.

For more information about the Options-Project command, see Setting the MIDI Timing Resolution, Setting the Metronome and Tempo Settings, MIDI Echo, and Synchronizing Your Gear.


Options-Global Options

The Options-Global command gives you access to many options you might want to set for all your projects, including settings that affect appearance, MIDI and audio functions, and auto-save.

For more information about the Options-Global command, see these four global options topics: Global Options dialog--General, Global Options dialog--Timecode, Global Options dialog--MIDI, Global Options dialog--Folders, Global Options dialog--Editing, and Global Options dialog--Audio Data.


Options-Colors

The Options-Colors command lets you choose and change the colors for most things that SONAR displays.

For more information about the Options-Colors command, see Screen Colors and Wallpaper.


Options-SoundFonts

The Options-SoundFonts command lets you import SoundFont banks.

SoundFont files contain data for patches. They are available from vendors and you can create them using the Vienna editor from Creative. To use SoundFonts, you must have a Creative Labs SoundBlaster Live, AWE 32 or AWE 64 sound card and have the SoundFont Management System installed (supplied with SoundBlaster Live). When SONAR opens a WRK or MID file, it looks for a SF2 file in the same folder with the same base name. If one exists, SONAR uses it. Use the Locations button to specify folder (or folders, separate multiple folders with semicolons) where SONAR should look. Use the Attach button in the SoundFont Banks dialog box to override this behavior and specify a different SoundFont file to use with the song. Bank 0 is reserved for the Standard GM sound set, but user banks can be attached to banks 1 through 255. SONAR saves SoundFont file names in (WRK) files, but not in Standard MIDI (MID) files. In order to use an attached SoundFont, you must select your SoundFont device as an output and assign a MIDI track to that output. You must also force an output channel for the track and choose a SoundFont bank and patch for the MIDI track.


Options-Key Bindings

Key bindings let you connect SONAR commands to keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.

The Options-Key Bindings command opens the Key Bindings dialog box, which lets you specify which keys and key combinations to use for specific SONAR commands and files.

For more information about the Options-Key Bindings command, see Key Bindings.


Options-Initialization File

The Options-Initialization File command lets you edit SONAR initialization files. Many Windows applications, as well as Windows itself, use files to store information about your preferences and configuration. Often applications store values to these files when you make selections in the program using menus or dialog boxes. However, you can also change these files directly. In some cases, there is no way to change the settings in the application, and changing the file directly is the only way.

For more information about the Options-Initialization File command, see Initialization Files.


Options-Time Ruler Format-M:B:T

The Options-Time Ruler Format-M:B:T command, which is also available from the Clips pane popup menu, changes the unit of measurement in the time ruler to MBT units.


Options-Time Ruler Format-H:M:S:F

The Options-Time Ruler Format-H:M:S:F: command, which is also available from the Clips pane popup menu, changes the unit of measurement in the time ruler to H:M:S:F units.


Options-Time Ruler Format-Samples

The Options-Time Ruler Format-Samples command, which is also available from the Clips pane popup menu, changes the unit of measurement in the time ruler to samples.


Options-Drum Map Manager

The Options-Drum Map Manager command opens the Drum Map Manager dialog, which allows you to create and edit drum maps. For more information, see Drum Map Manager dialog.


Options-Control Surfaces

The Options-Control Surfaces command opens the Control Surfaces dialog, which allows you to enable or disable specific contol surfaces, and choose their MIDI inputs and outputs.

For more information, see:

Working with External Devices

Control Surfaces dialog


Window-Cascade

The Window-Cascade command lets you arrange multiple opened windows in an overlapped fashion.


Window-Tile in Rows

The Window-Tile in Rows command arranges multiple opened windows from top to bottom down the screen.


Window-Tile in Columns

The Window-Tile in Columns command arranges multiple opened windows from side to side across the screen.


Window-Arrange Icons

Use the Window-Arrange Icons command to arrange the icons for minimized windows at the bottom of the main window.


Help-Help Topics

Use the Help-Help Topics command to open the entire help system. You can look for topics in the table of contents, in the index, and in the finder.


Help-View README.RTF

The Help-ViewREADME.RTF command tells you all about the current version of SONAR.


Help-Quick Start

The Help-Quick Start command gives you access to a number of ways to get started.

For more information about the Help-Quick Start command, see SONAR Quick Start dialog.


Help-Tip of the Day

The Help-Tip of the Day command opens a series of tips and shortcuts for doing various functions in SONAR.


Help-Keyboard Shortcuts

Note: A plus sign (+) indicates that both keys must be held down at the same time. For example, Ctrl+F6 .

Menu Commands
Command | Shortcut
File-Open | Ctrl+O
File-Save | Ctrl+S
Edit-Undo | Ctrl+Z
Edit-Redo | Ctrl+Shift+Z
Edit-Select-All | Ctrl+A
Edit-Select-None | Ctrl+Shift+A
Edit-Cut | Ctrl+X
Edit-Copy | Ctrl+C
Edit-Paste | Ctrl+V
Edit-Delete | Delete key
Insert-Marker | F11
Transport-Play | Spacebar
Transport-Record | R
Transport-Rewind | W
Transport-Stop | Spacebar
Transport-Tempo Ratio 1 | Ctrl+1
Transport-Tempo Ratio 2 | Ctrl+2
Transport-Tempo Ratio 3 | Ctrl+3
Go-Time | F5
Go-From | F7
Go-Thru | F8
Go-Beginning | Ctrl+Home
Go-End | Ctrl+End
Go-Previous Measure | Ctrl+PageUp
Go-Next Measure | Ctrl+PageDown
Go-Previous Marker | Ctrl+Shift+PageUp
Go-Next Marker | Ctrl+Shift+PageDn
Go-Search Next | F3
Tools-Run CAL | Ctrl+F1
Track View
Command | Shortcut
Solo/un-solo current track | /
Help | F1
Close Window | Ctrl+F4
Insert track (same kind as current track; if no tracks exist, opens the Choose Track Type dialog box) | Insert
Open the Track Manager | M
Toggle Envelope/Offset Mode | O
Select current track | , (comma key)
Show and fit selection | Shift+S
Fit tracks to window | F
Fit project to window | Shift+F
Show only selected tracks | H
Hide selected tracks | Shift+H
Show all tracks | A
Undo view change | U
Redo view change | Shift+U
Snap enable/disable | N
Open Snap dialog | Shift+N
Activate Zoom tool | Z
Decrease track height | Ctrl+up arrow
Increase track height | Ctrl+down arrow
Zoom in horizontally | Ctrl+right arrow
Zoom out horizontally | Ctrl+left arrow
Zoom all tracks in vertically | Ctrl+down arrow
Zoom all tracks out vertically | Ctrl+up arrow
Zoom out on all audio waveforms | Alt+down arrow
Zoom in on current track's audio waveforms | Alt+Ctrl+up arrow
Zoom out on current track's audio waveforms | Alt+Ctrl+down arros
Zoom current track in vertically | Ctrl+Shift+down arrow
Zoom current track out vertically | Ctrl+Shift+up arrow
Zoom in on all audio waveforms | Alt+up arrow
Increase current track height | Ctrl+Shift+down arrow
Decrease current track height | Ctrl+Shift+up arrow
Scale audio waveform in all audio tracks | Alt+up/down arrow
Scale audio waveform in current audio track | Ctrl+Alt+up/down arrow
Lasso zoom scale audio clip/waveform | Shift+Z (while selecting a clip)
Scissors tool | C
Center Now time | G
Puts focus in Track pane | Shift+Up arrow
Puts focus in Aux/Main Bus pane | Shift+Down arrow
Scroll Track view up or down | Page Up or Page Down
Move between same controls in different tracks | Up or Down arrow
Move between controls in same track | Left or Right arrow
Moves to the previous or next tab (toggles between All, Mix, FX, and I/O tabs) | Shift+Left arrow or Shift+Right arrow
Raise or lower the pitch of a loop-enabled clip | Alt+ or Alt- (use the + or - keys on the num pad)
Activate Select tool | T
Activate Scrub tool | B
Activate Envelope Edit tool | E
Loop enable/disable selected clip | Ctrl+L
Split selected clips at Now time | S
Auto crossfade | X
Piano Roll View
Command | Shortcut
Select tool | S
Draw tool | D
Draw Line tool | L
Erase tool | E
Scrub tool | B
Snap enable/disable | N
Pick Track | T
Scroll up/down | Up or Down arrow keys
Scroll left/right | Left or Right arrow keys
Zoom in vertically | Ctrl+down arrow
Zoom out vertically | Ctrl+up arrow
Activate Pattern Brush tool | Q
Show/Hide velocity tails in the Drum pane | Y
Show/Hide Grid lines | I
Show/Hide durations in the Drum pane | O
Show/Hide the Controller pane | C
Zoom tool | Z
Undo Zoom | U
Show/Hide Track Pane | H
All Tracks | A
No Tracks | K
Invert Tracks | V
Enter a Whole Note | 1
Enter a Half Note | 2
Enter a Quarter Note | 4
Enter an Eighth Note | 8
Enter a Sixteenth Note | 6
Enter a Thirty-secondth Note | 3
Dotted Note | .
Triplet | P
Open Snap dialog | Shift+N
Staff View
Command | Shortcut
Select tool | S
Draw tool | D
Erase tool | E
Scrub tool | B
Lyric | Y
Chord | C
Expression | I
Hairpin | H
Pedal | A
Snap enable/disable | N
Fill Durations | F
Trim Durations | M
Layout | L
Pick Track | T
Whole note | 1
Half note | 2
Quarter note | 4
Eighth note | 8
Sixteenth note | 6
Thirty-second note | 3
Dotted | .
Triplet | P
Scroll left/right | arrow keys
Play Previous Note | Ctrl+left arrow
Play Next Note | Ctrl+right arrow
Open Snap dialog | Shift+N
Export to ASCII TAB | X
Show/Hide Fretboard view | V
Event List View
Command | Shortcut
Filter (hide) Note events | N
Filter Key Aftertouch events | F
Filter Controller events | C
Filter Patch Change events | A
Filter Channel Aftertouch Events | F
Filter Pitch Wheel events | B
Filter RPN events | Z
Filter NRPN events | P
Filter Sysx Bank events | S
Filter Sysx Data events | Y
Filter Text events | X
Filter Lyric events | L
Filter MCI Command events | M
Filter Audio events | U
Filter Shape events | H
Filter Expression events | E
Filter Hairpin events | I
Filter Chord events | O
Event Manager | V
Insert event | Insert
Delete event | Delete
Pick Tracks | T
Console View
Command | Shortcut
Move between controls | Tab
Delete an effect | Delete
Change values (small) | + and -
Change values (large) | [ and ]
Open Module manager | M
Show Record meters | C
Toggle Envelope/Offset Mode | O

Loop Construction View
Command | Shortcut
Save loop to wave file | F
Enable looping | L
Enable stretching | T
Follow project pitch | P
Preview loop | Shift+Spacebar
Stop preview | Shift+Spacebar
Select tool | S
Erase marker tool | E
Default all markers | M
Loop Explorer View
Command | Shortcut
Preview file | Shift+Spacebar
Stop preview | Shift+Spacebar
Synth Rack View
Command | Shortcut
Navigate between DXi synths | Up/Down arrows
Chagne preset for current DXi | +, _, [, ]
Mute current DXi | M
Solo current DXi | S

All Views
Command | Shortcut
Close Window | Ctrl+F4
Next Window | Ctrl+F6
Open the Loop Explorer view | Alt+1
Open the Loop Construction view | Alt+2
Open the Console view | Alt+3
Open the Event List view | Alt+4
Open the Piano Roll view | Alt+5
Open the Video view | Alt+6
Open the Staff view | Alt+7
Open the Lyrics view | Alt+8
Open the Tempo view | Alt+9


Help-Cakewalk on the Web-Latest SONAR Updates

The Help-Cakewalk on the Web command opens your web browser to the SONAR Web page. This page has information about upgrades, patches and offers.


Help-Register Online

The Help-Register Online command opens Cakewalk's online form so you can register your new product.


Help-Cakewalk Problem Reporter

The Cakewalk Problem Reporter is a tool that gathers general information about your computer and specific facts about the current open project file.

These log files may be used by Cakewalk Technical Support when detailed system info is required to resolve a problem on your computer.


Help-Effects on the Web

The Help-Effects on the web command takes you to Cakewalk's DirectX Files web site, where you can download both commercial and free DirectX audio plug-in effects.


Help-About SONAR

The Help-About SONAR command displays copyright, version number of the product, and your licensing information.


Delete Track

This command, which you find by right-clicking a track name or number in the Track view, removes the track on which you right-click.


Group

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you group faders, knobs, or buttons so they work together in ways you specify.

For more information about grouping controls, see Using Control Groups.


Ungroup

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you remove a control or button from its group.

For more information about grouping controls, see Using Control Groups.


Set Start = Current

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you adjust the start value of a control. This command, together with the Set End = Current command, only functions when you use custom grouping. These two commands set the range that a grouped control moves through when the members of its group move through their starting and ending values. This makes it easy to group controls so that they move in similar or opposite motion and at similar or different rates of speed.

For more information about grouping controls, see To Adjust the Start Value of a Control, and Using Control Groups.


Set End = Current

This command, which you find by right-clicking a fader, button, or knob in the Track or Console views, lets you adjust the end value of a control. This command, together with the Set Start = Current command, only functions when you use custom grouping. These two commands set the range that a grouped control moves through when the members of its group move through their starting and ending values. This makes it easy to group controls so that they move in similar or opposite motion and at similar or different rates of speed.

For more information about grouping controls, see To Adjust the End Value of a Control, and Using Control Groups.


Add Track-Audio

This command, which you find by right-clicking in the Console view in the grey area above a track's Phase button, adds a digital audio track to the console.

For more information about adding tracks, see Changing Track Settings.


Add Track-MIDI

This command, which you find by right-clicking in the Console view in the grey area above a track's Phase button, adds a MIDI track to the console.

For more information about adding tracks, see Changing Track Settings.


Hide Module

This command allows you to hide track, aux bus, and main modules in the Console view. You find the command by right-clicking in the Console view in three different areas:

  • For track modules, right-click in the grey area above a track's Phase button.
  • For aux buses, right-click in the grey area between the Send and Return knobs.
  • For main modules, right-click on the grey border below the main module's effects bin.

To redisplay modules, see To Choose the Tracks that are Displayed Using the Track Manager, and Configuring the Console and Track Views.


Set Snap-to = Current

This command, which you find by right-clicking a fader or knob in the Console or Track views, sets the snap-to position of that fader or knob to its current value. When you double-click a fader or knob, it jumps to its snap-to position.

For more information about the Console view, see Preparing to Mix.


90 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 90 dB.

For more information about meters, see Metering.


78 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 78dB.

For more information about meters, see Metering.


60 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 60 dB.

For more information about meters, see Metering.


42 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 42 dB.

For more information about meters, see Metering.


24 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 24 dB.

For more information about meters, see Metering.


12 dB Range

This command, which you find by right-clicking any audio meter in the Track view or Console view, changes the range that the meter measures to 12 dB.

For more information about meters, see Metering.


Set As Current Track

This command, which you find by right-clicking the grey area of a MIDI or audio track in the Console view, changes the track you clicked to the current track. This makes that track the object of any track editing commands you give, such as Mute, Solo, Kill, etc.

For more information about the Console view, see Preparing to Mix.


Delete

This command, which you find by right-clicking the name of an effect in the Console view, deletes that effect from its patch point.

For more information about effects, see Audio Effects (Audio Plug-ins) and MIDI Effects (MIDI Plug-ins).


View Options

This command, which you find by right-clicking in the Clips pane, lets you set display options for the Clips pane.

For more information about view options, see Displaying Clips, and To Display Clip Names and Contents.


Set Loop Points

This command, which you find by right-clicking in the Time Ruler, sets the Loop From time to the start time of the selection, and the Loop Thru time to the end time of the selection.

For more information about looping, see Looping.


Select Loop Region

This command, which you find by right-clicking in the Time Ruler, sets the selection start and end times to the Loop From and Loop Thru times.

For more information about looping, see Looping.


Set Punch Points

This command, which you find by right-clicking in the Time Ruler, sets the Punch In time to the start time of the selection, and the Punch Out time to the end time of the selection.

For more information about punch recording, see Punch Recording.


Loop On/Off

Click to enable/disable playback looping.


Set Punch Points

Sets the borders of a selected area as punch points.


Select All Siblings

This command selects all clips that are linked to this clip.


Unlink

This command opens the Unlink Clips dialog.


Select Punch Region

This command, which you find by right-clicking in the Time Ruler, sets the selection start and end times to the Punch In and Punch Out times.

For more information about punch recording, see Punch Recording.


Snap Properties

This command, which you find by right-clicking in the Time Ruler, lets you set snap options in the Snap to Grid dialog.

For more information about setting snap options, see Defining and Using the Snap Grid.


Set Snap Offset to Now Time

This command sets the snap offset at the Now Time. A snap offset is a value, in samples, at which the Snap Grid uses to align the clip. Clips without a snap offset always align at the very beginning of a clip. For more information, see Snap Offsets.


Envelope-Create-Volume

This command creates a volume envelope in the track you have right-clicked in. After you have created an envelope, you can create nodes and edit them to create changes in volume as the track plays. For more information, see Quick Automation Guide.


Envelope-Create-Pan

This command creates a pan envelope in the track you have right-clicked in. After you have created an envelope, you can create nodes and edit them to create changes in pan as the track plays. For more information, see Quick Automation Guide.


Jump

This command causes an automation envelope to make a 90 degree "jump" when it reaches the next node.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Linear

This command draws a straight line between two nodes.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Fast Curve

This command creates a curve between nodes which changes rapidly at first, and slower as it nears the second node.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Slow Curve

This command creates a curve between two nodes which changes slowly at first, then rapidly as it nears the second node.

See:

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Drag and Drop Options

The Drag and Drop Options command opens the Drag and Drop Options dialog.


Clip Properties

This command opens the Clip Properties dialog. For more information, see Clip Properties dialog--In Track and Clip Properties dialog--Groove-Clips.


Track Properties

This command opens the Track Properties dialog.


Layout

The Layout command, accessed by right clicking in the Staff pane, opens the Staff View Layout dialog.


Regenerate Tablature

The Regenerate Tablature command generates a new TAB staff in the Staff pane.


Export to ASCII TAB

This command opens the Save As dialog where you can set the name and location for an ASCII text file of a track's tablature.


Note Length-Whole

This command, also available on the Staff view's toolbar, changes selected notes to Whole notes or creates new notes as Whole notes.


Note Length-Half

This command, also available on the Staff view's toolbar, changes selected notes to Half notes or creates new notes as Half notes.


Note Length-Quarter

This command, also available on the Staff view's toolbar, changes selected notes to Quarter notes or creates new notes as Quarter notes.


Note Length-Eighth

This command, also available on the Staff view's toolbar, changes selected notes to Eighth notes or creates new notes as Eighth notes.


Note Length-Sixteenth

This command, also available on the Staff view's toolbar, changes selected notes to Sixteenth notes or creates new notes as Sixteenth notes.


Note Length-Thirty second

This command, also available on the Staff view's toolbar, changes selected notes to Thirty second notes or creates new notes as Thirty second notes.


Note Length-Dotted

This command, also available on the Staff view's toolbar, changes selected notes to dotted notes or creates new notes as dotted notes.


Note Length-Triplet

This command, also available on the Staff view's toolbar, changes selected notes to Triplets or creates new notes as Triplets.


Mirror Fretboard

This command displays the Staff view's fretboard with low strings at the top and high strings at the bottom.


Rosewood Hi

This command changes the fretboard to appear as if made of rosewood with high resolution.


Rosewood Lo

This command changes the fretboard to appear as if made of rosewood in low resolution.


Ebony Hi

This command changes the fretboard to appear as if made of ebony in high resolution.


Ebony Lo

This command changes the fretboard to appear as if made of ebony in low resolution.


Maple Hi

This command changes the fretboard to appear as if made of maple in high resolution.


Maple Lo

This command changes the fretboard to appear as if made of maple in low resolution.


Show Previous Track(s)

This command displays the previous track or group of tracks.

For information, see Pick Tracks button.


Show Next Track(s)

This command displays the next track or group of tracks.

For information, see Pick Tracks button.


Animate

This command, which you find by right-clicking in the Video view, enables or disables video playback. Disabling video playback frees your computer to process more audio data, if your project has too much data to process efficiently.

For more information about video, see Video Playback.


Insert

This command, which you find by right-clicking in the Video view, inserts a video file into a project.

See also:

Video Playback


Delete

This command, which you find by right-clicking in the Video view, deletes a video file from a project.

For more information about deleting video files, see To Delete the Video From the Project.

See also:

Video Playback


Original Size

This command, which you find by right-clicking in the Video view, displays the video in its original size.

For more information about video, see Video Playback.


Stretch to Window

This command, which you find by right-clicking in the Video view, stretches the video to fill the Video view.

For more information about video, see Video Playback.


Preserve Aspect Ratio

This command, which you find by right-clicking in the Video view, stretches the video as much as possible while preserving the original aspect ratio.

For more information about video, see Video Playback.


Integral Stretch

This command, which you find by right-clicking in the Video view, stretches the video as much as possible, but only enlarges it by whole-number multiples.

For more information about video, see Video Playback.


Full Screen

This command, which you find by right-clicking in the Video view, stretches the video to fill the screen.

For more information about video, see Video Playback.


Time Display Format-M:B:T

This command, which you find by right-clicking in the Video view, changes the video view's time display to MBT (measure:beat:tick).

For more information about video, see Video Playback.


Time Display Format-SMPTE

This command, which you find by right-clicking in the Video view, changes the video view's time display to SMPTE.

For more information about video, see Video Playback.


Time Display Format-Frames

This command, which you find by right-clicking in the Video view, changes the video view's time display to frame.

For more information about video, see Video Playback.


Time Display Format-None

This command, which you find by right-clicking in the Video view, hides the video view's time display.

For more information about video, see Video Playback.


Time Display Format-Font

This command, which you find by right-clicking in the Video view, lets you choose the font for the video view's time display.

For more information about video, see Video Playback.


Background Color-Black

This command, which you find by right-clicking in the Video view, changes the background color of the Video view to black.

For more information about video, see Video Playback.


Background Color-White

This command, which you find by right-clicking in the Video view, changes the background color of the Video view to white.

For more information about video, see Video Playback.


Video Properties

This command, which you find by right-clicking in the Video view, opens the Video Properties dialog, where you can set the trim-in and trim-out times, and read the video file's statistics.


Add Node

This command, which you find by right-clicking an envelope in the Track view, adds a node to the envelope that you clicked.

For more information about envelopes, see Using Automation.


Reset Node

This command returns a node to its default value. For example a pan node would return to 0% C.


Delete Node

This command deletes the node over which you have right-clicked.


Note

This command, which you find by right-clicking in the Event List view, hides all note events.

For more information about the Event List view, see Event List View.


Key Aftertouch

This command, which you find by right-clicking in the Event List view, hides all key aftertouch events.

For more information about the Event List view, see Event List View.


Controller

This command, which you find by right-clicking in the Event List view, hides all controller events.

For more information about the Event List view, see Event List View.


Patch Change

This command, which you find by right-clicking in the Event List view, hides all patch change events.

For more information about the Event List view, see Event List View.


Channel Aftertouch

This command, which you find by right-clicking in the Event List view, hides all channel aftertouch events.

For more information about the Event List view, see Event List View.


Pitch Wheel

This command, which you find by right-clicking in the Event List view, hides all pitch wheel events.

For more information about the Event List view, see Event List View.


RPN

This command, which you find by right-clicking in the Event List view, hides all RPN events.

For more information about the Event List view, see Event List View.


NRPN

This command, which you find by right-clicking in the Event List view, hides all NRPN events.

For more information about the Event List view, see Event List View.


Sysx Bank

This command, which you find by right-clicking in the Event List view, hides all Sysx banks.

For more information about the Event List view, see Event List View.


Sysx Data

This command, which you find by right-clicking in the Event List view, hides all Sysx data.

For more information about the Event List view, see Event List View.


Text

This command, which you find by right-clicking in the Event List view, hides all text events.

For more information about the Event List view, see Event List View.


Lyric

This command, which you find by right-clicking in the Event List view, hides all lyric events.

For more information about the Event List view, see Event List View.


MCI Command

This command, which you find by right-clicking in the Event List view, hides all MCI commands.

For more information about the Event List view, see Event List View.


Audio

This command, which you find by right-clicking in the Event List view, hides all audio clips.

For more information about the Event List view, see Event List View.


Expression

This command, which you find by right-clicking in the Event List view, hides all expression events.

For more information about the Event List view, see Event List View.


Hairpin

This command, which you find by right-clicking in the Event List view, hides all hairpin events.

For more information about the Event List view, see Event List View.


Chord

This command, which you find by right-clicking in the Event List view, hides all chord events.

For more information about the Event List view, see Event List View.


Event Manager

To open the Event Manager dialog:

  • Right-click in the Event List view and choose Event Manager from the popup menu.
OR
  • Click the Event Manager button in the Event List view

In the Event Manager you select which types of event to display in the Event List view. Check the events you want to see in the Events List view.

For more information about the Event List view, see Event List View.


Lock Contents

This command forces SONAR to open a new instance of the current view (the view you are locking) rather than using the current view. This allows you to keep multiple copies of the same view open at one time.

See:

Locking Views


Enable Floating

This command allows you to "float" a view (move it beyond the boundaries of SONAR. This is especially useful when using dual monitors.

See:

Floating Views


Show Entire Project

This command adjusts the vertical track heights to fit all tracks in your project in the Track view.

For more information about displaying tracks, see Configuring the Console and Track Views.


Zoom tool

This command enables the Zoom tool feature.

For more information about the Zoom tool feature, see Displaying Clips.

For more information about displaying tracks, see Configuring the Console and Track Views.


Previous Zoom

This command returns the Track view to the previous zoom level.

For more information about displaying tracks, see Configuring the Console and Track Views.


Show All Tracks

This command shows all tracks in the current project.

For more information about displaying tracks, see Configuring the Console and Track Views.


Track Manager

This command opens the Track Manager dialog.

For more information about the Track Manager dialog, see Track Manager dialog.

For more information about displaying tracks, see Configuring the Console and Track Views.


Record Meters

When selected with a checkmark record meters are displayed. When unchecked, record meters are not displayed.


Playback Meters

When selected with a checkmark playback meters are displayed. When unchecked, playback meters are not displayed.


Output Bus Meters

When selected with a checkmark output bus meters are displayed. When unchecked, output bus meters are not displayed.


Record Meter Options-Peak

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak.

For more information about Peak meter display, see Metering.


Record Meter Options-RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to RMS.

For more information about RMS meter display, see Metering.


Record Meter Options-Peak + RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak + RMS.

For more information about Peak + RMS meter display, see Metering.


Record Meter Options-Show Labels

This command toggles on/off the meter labels.


Record Meter Options-Hold Peaks

This command causes a meter to hold the most recent peak for a short time. The peak volume level recorded by the meter is marked by a small white line which remains for a moment if lock peaks is not checked or until the end of playback or recording if Lock Peaks is checked.


Record Meter Options-Lock Peaks

This command when checked and the Hold Peaks is also checked causes the peak to be locked at its highest point on the meter until the end of playback or recording.


Playback Meter Options-Peak

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to show peaks.

For more information about Peak meter display, see Metering.


Playback Meter Options-RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to RMS.

For more information about RMS meter display, see Metering.


Playback Meter Options-Peak + RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak + RMS.

For more information about Peak + RMS meter display, see Metering.


Playback Meter Options-Show Labels

This command toggles on/off the meter labels.


Playback Meter Options-Hold Peaks

This command causes a meter to hold the most recent peak for a short time. The peak volume level recorded by the meter is marked by a small white line which remains for a moment if lock peaks is not checked or until the end of playback or recording if Lock Peaks is checked.


Playback Meter Options-Lock Peaks

This command when checked and the Hold Peaks is also checked causes the peak to be locked at its highest point on the meter until the end of playback or recording.


Output Bus Meter Options-Peak

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to show peaks.

For more information about Peak meter display, see Metering.


Output Bus Meter Options-RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to RMS.

For more information about RMS meter display, see Metering.


Output Bus Meter Options-Peak + RMS

Available in the Playback Meter Options, Record Meter Options, and Mains Meter Options submenus, this command sets the meter to Peak + RMS.

For more information about Peak + RMS meter display, see Metering.


Output Bus Meter Options-Show Labels

This command toggles on/off the meter labels.


Output Bus Meter Options-Hold Peaks

This command causes a meter to hold the most recent peak for a short time. The peak volume level recorded by the meter is marked by a small white line which remains for a moment if lock peaks is not checked or until the end of playback or recording if Lock Peaks is checked.


Output Bus Meter Options-Lock Peaks

This command when checked and the Hold Peaks is also checked causes the peak to be locked at its highest point on the meter until the end of playback or recording.


Playback Meter Options-Pre Fader

This command sets the meter to measure the volume level in the signal path prior to entering the fader.


Output Bus Meter Options-Pre Fader

This command sets the meter to measure the volume level in the signal path prior to entering the fader.


Playback Meter Options-Post Fader

This command sets the meter to measure the volume level in the signal path after exiting the fader.


Output Bus Meter Options-Post Fader

This command sets the meter to measure the volume level in the signal path after exiting the fader.


Output Bus Meter Options-Pre Fader Post FX

This command sets the meter to measure the volume level in the signal path after the effects bin and prior to the fader.


Default Fade-In Curve-Linear

This command sets as a default a linear, or steady fade-in curve when dragging the beginning of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-In Curve-Fast Curve

This command sets as a default a fast fade-in curve when dragging the beginning of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-In Curve-Slow Curve

This command sets as a default a slow fade-in curve when dragging the beginning of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-Out Curve-Linear

This command sets as a default a linear, or steady fade-out curve when dragging the end of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-Out Curve-Fast Curve

This command sets as a default a fast fade-out curve when dragging the end of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Fade-Out Curve-Slow Curve

This command sets as a default a slow fade-out curve when dragging the end of a clip.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Linear Out - Linear In

This command sets as default a crossfade in which the first clip fades out at a steady rate and the second clip fades in at a steady rate.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Fast Out - Fast In

This command sets as default a crossfade in which the first clip fades out fast and the second clip fades in fast.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Slow Out - Slow In

This command sets as default a crossfade in which the first clip fades out slowly and the second clip fades in slowly.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Fast Out - Slow In

This command sets as default a crossfade in which the first clip fades out fast and the second clip fades in slowly.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Slow Out - Fast In

This command sets as default a crossfade in which the first clip fades out slowly and the second clip fades in fast.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Linear Out - Fast In

This command sets as default a crossfade in which the first clip fades out at a steady rate and the second clip fades in fast.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Linear Out - Slow In

This command sets as default a crossfade in which the first clip fades out at a steady rate and the second clip fades in slowly.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Fast Out - Linear In

This command sets as default a crossfade in which the first clip fades out fast and the second clip fades in at a steady rate.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Default Crossfade Curves-Slow Out - Linear In

This command sets as default a crossfade in which the first clip fades out slowly and the second clip fades in at a steady rate.

For more information about crossfades, see Using Fades and Crossfades in Real Time.


Percentage

This command sets the Audio Scaling ruler to display the percentage of the waveform being shown.


dB

This command sets the Audio Scaling ruler to display the dB level of the waveform being shown.


Zoom Factor

This command sets the Audio Scaling ruler to display the zoom factor (a multiple of the default zoom level, i.e. a zoom factor of 10 shows the waveform at 10 times the detail) of the waveform being shown.


Show and Fit Selection

This command zooms vertically and horizontally in the Track view to fit just the selected clips.


Fit Tracks to Window

This command resizes all shown tracks to fit into the Track view window.


Fit Project to Window

This command fits your entire project, or as many tracks as possible, into the Track view.


Show only Selected Tracks

Hides all tracks which are not selected.


Hide Selected Tracks

Hides all selected tracks.


Show All Tracks

Shows all tracks in your project.


Track Manager

Opens the Track Manager dialog.


Undo View Change

Reverts the following parameters to their previous state:

  • Individual track sizes
  • Height factors
  • Scaling

There are 16 levels of undo for this command.


Redo View Change

Negates the last Undo View Change command.


Show All Envelopes

Shows all track and clip envelopes in your project.


Hide All Envelopes

Hides all track and clip envelopes in your project.


Show Volume Envelopes

Shows all volume envelopes in your project.


Show Pan Envelopes

Shows all pan envelopes in your project.


Show Aux Send Envelopes

Shows all aux send envelopes in your project.


Show Plug-in Envelopes

Shows all effects envelopes in your project.


Show Automated Mute Envelopes

Shows all automated mute envelopes in your project.


Show MIDI Envelopes

Shows all MIDI envelopes in your project.


Create Track Envelopes Using Linear Shapes

This command, when checked, causes newly inserted envelopes to have a node at both the beginning and end of the track. If unchecked, an envelope appears as a dotted line with no active nodes.


Velocity

The Velocity command opens the Velocity dialog where you can set the default velocity value for each note entered using the Pattern Brush. If the Use Pattern Velocities command is checked, this value is not used. For more information about the Use Pattern Velocities command, see Use Pattern Velocities.


Use Pattern Velocities

When the Use Pattern Velocities command is checked, the Pattern Brush creates notes using the actual velocity values saved in the current pattern file. For more information about pattern files and the Pattern Brush, see The Pattern Brush Tool.


Use Pattern Polyphony

When the Use Pattern Polyphony command is checked, the Pattern Brush creates notes using the actual pitch values saved in the current pattern file, regardless of where the mouse is in the Drum Grid pane. For more information about pattern files and the Pattern Brush, see The Pattern Brush Tool.


Use Note Duration

When the Use Note Duration command is checked, the Pattern Brush uses the current note duration setting in the Piano Roll View toolbar as the interval between notes. For more information about pattern files and the Pattern Brush, see The Pattern Brush Tool.


Auto Erase

When the Auto Erase command is checked, the Draw tool can create new notes by clicking where there are no existing notes and can delete current notes by clicking on them.


Quarter Note

An option in the Show/Hide Grid button, the Quarter Note option creates grid lines in the Drum Grid pane at quarter note intervals.


Quarter Note Triplet

An option in the Show/Hide Grid button, the Quarter Note Triplet option creates grid lines in the Drum Grid pane at quarter note triplet intervals (three lines per half note).


Eighth Note

An option in the Show/Hide Grid button, the Eighth Note option creates grid lines in the Drum Grid pane at eighth note intervals.


Eighth Note Triplet

An option in the Show/Hide Grid button, the Eighth Note option creates grid lines in the Drum Grid pane at eighth note triplet intervals (three lines per quarter note).


Sixteenth Note

An option in the Show/Hide Grid button, the Sixteenth Note option creates grid lines in the Drum Grid pane at sixteenth note intervals.


Sixteenth Note Triplet

An option in the Show/Hide Grid button, the Sixteenth Note option creates grid lines in the Drum Grid pane at sixteenth note triplet intervals (three lines per eighth note).


32nd Note

An option in the Show/Hide Grid button, the 32nd Note option creates grid lines in the Drum Grid pane at 32nd note intervals.


32nd Note Triplet

An option in the Show/Hide Grid button, the 32nd Note option creates grid lines in the Drum Grid pane at 16th note triplet intervals (three lines per 32nd note).


64th Note

An option in the Show/Hide Grid button, the 64th Note option creates grid lines in the Drum Grid pane at 64th note intervals.


Follow Snap Resolution

An option in the Show/Hide Grid button, the Follow Snap Resolution command sets the grid lines to match the current Snap to Grid setting.


Edit Current Drum Map


Create New Drum Map


Pass Through Map


Drum Map Templates


View Reference

Track View

Console View

Loop Construction view

Loop Explorer View

Piano Roll View

Event List View

Staff View

Big Time View

Lyrics view

Video View

Tempo View

Meter/Key View

Markers View

SYSX View

Play List View

Synth Rack View


Track View

The Track view is always visible. It is the main window that you use to create, display, and work with a project. When you open a project file, the Track view is displayed for the project. Closing the Track view closes the project.

The Track view is divided into three sections: the Track pane, the Bus pane and the Clips pane. You can change the size of the three panes by dragging the vertical or horizontal splitter bars that separate the them.

You can automate most of the controls in the Track view by recording fader movements, drawing envelopes, and creating snapshots. For more information, see Using Automation.

Track View Toolbar

The Track view toolbar gives you quick access to Track view display options and allows you to move between the different editing modes. The following table gives a description of each of the Track view toolbar controls:

Control

Name

Description

Show/Hide Meters button

Click to show or hide all meters in the Track view. Click the down arrow to display a menu with options for showing or hiding specific meter types. Set options for the display of each meter type in the appropriate submenu. For more about these options, see Changing the Meters' Display.

Automatic Crossfades button

Click to turn on/off automatic crossfades. Click the down arrow to select crossfade options. For more information about automatic crossfades, see Using Fades and Crossfades in Real Time.

Snap to Grid button

Click to turn on/off the Snap to Grid option. Click the down arrow to open a menu of Snap to Grid options. For information on the Snap to Grid, see Defining and Using the Snap Grid. For more information on the Snap to Grid options, see Snap to Grid dialog.

Envelope/Offset Mode button

In the up position (envelope mode), this button causes any envelopes in a track to control the associated fader or knob. You can move the fader while the track plays, but when you let go of it, the fader snaps to whatever position the envelope dictates.
In the down position (offset mode), the names of the faders appear with a plus sign next to each name. If you drag a fader in this mode, the fader value becomes the sum of the fader position and the envelope position. When you release the fader, it stays where you leave it, and continues to add that value to the values that the envelope is sending.

Zoom tool

Use the Zoom tool to zoom in on a clip or clips in the Tracks pane. With the View tool selected, drag around the clip or clips you want to zoom in on.

Envelope tool

Disables non-envelope-related selections, making it easier to edit envelopes in the Clips pane. Click the down arrow on the right side of the Envelope combo button to see the display options menu for the envelopes.

Scrub tool

Enables scrubbing in the Clips pane. For more information on scrubbing, see Scrubbing.

Split tool

Enables you to split a clip into separate clips. You can click on a clip once to create a single split, or click and drag over a section of a clip to create two splits. The Split tool follows the current Snap to Grid settings. For more information on the Snap to Grid options, see Snap to Grid dialog.

Select tool

Enables clip editing, including slip editing and editing fades and crossfades. Click the down arrow to display an options menu for either selecting or not selecting track envelopes when you select clips.

Track Pane

The Track pane lets you see and change the settings for each track. Selected tracks always appear in a different color. To change the current track, move the highlight using the mouse or the keyboard as follows:

Key... | What it does...
Arrow Up and Arrow Down | Moves the selected track up or down
Arrow Left and Arrow Right | Moves to the previous or next control in the Track pane. The Right Arrow moves the selected control right until reaching the end of a line, and at the end of the line the selection moves to the left-most control of the line below. The Left Arrow moves the selected control to the left until it reaches the beginning of a line, and then moves to the end of the line above.
Page Down | Displays the next page of tracks
Page Up | Displays the previous page of tracks
Home | Moves the highlight to the first track in the project
End | Moves the highlight to the last track in the project

The Track pane contains meters for recording, playback, and bus levels. You can hide or show any or all of these meters, and choose many different options for the units and format of the data the meters display. See Metering.

Clips Pane

The Clips pane shows the clips in your project on a timeline that helps you visualize how your project is organized. Clips contain markings that indicate their contents. The Clips pane lets you select, move, and copy clips from place to place to change the arrangement of music and sound in your project.

The Track view makes it easy to select tracks, clips, and ranges of time in a project. These are the most common selection methods:

To... | Do this...
Select tracks | Click on the track number, or drag over several track numbers
Select clips | Click on the clip, or drag a rectangle around several clips
Select time ranges | Drag in the time ruler, or click between two markers

As with most other Windows programs, you can also use the Shift-click and Ctrl-click combinations when selecting tracks and clips. Holding the Shift key while you click adds tracks or clips to the current selection. Holding the Ctrl key while you click lets you toggle the selection status of tracks or clips.

For more information, see Arranging Tracks.

See also:

Controlling Playback

The Now Time and How to Use It

Recording

Arranging Tracks and Clips

Moving and Copying Clips

Using Automation

Mixing and Effects Patching

Bus Pane

The Bus pane contains the virtual main buses (main outputs) and the aux buses. You display the Bus pane by clicking the Show/Hide Mains and Aux Buses button [image] , which is located at the bottom of the Track view.

You use the buses in the Bus pane to patch in effects, control output volume and pan, and group tracks into subgroups.

By default, SONAR has one virtual main bus (main output) for each hardware output. You can change the number of virtual main buses in the Audio Options dialog for a total of 64. You use each virtual main bus like a subgroup--sending certain groups of tracks out through certain buses to gain more control over effects, balance, etc. Each virtual main bus contains a left channel and a right channel, but only one volume fader. You control the left/right balance of each virtual main bus with the balance slider that is on that bus.

For more information, see:

Virtual Main Buses

To Patch a Track Through an Aux Bus


Play List View

Open the Play List view by using the File-New command to open the New Project dialog box, and choosing Play List set from the list of files (it's near the top of the list). This view lets you set up a series of songs to play sequentially.

The Play List view lets you create, edit, and save a play list (or set) of up to 128 SONAR projects. Once you've created the list, you can play back the entire sequence automatically. You can even program the list to pause between songs for a fixed amount of time or to wait for a keystroke before proceeding.

Play lists can be saved for future use. Play list files have the extension .set.

See To Create and Edit a Play List and To Play Files from the Play List View.

See also:

Playing Files in Batch Mode


Cakewalk Empty View

To start working in Cakewalk, choose File-New (to start a new project) or File-Open (to open a project).

See To Create a New Project File.


Piano Roll View

You can open the Piano Roll view by any of three methods:

  • Selecting the track you want to edit and using the View-Piano Roll command
  • Selecting the track you want to edit and clicking the Piano Roll view button [image] in the Views toolbar
  • Double-clicking a MIDI clip in the Clips pane (you can change this option with the View Options command that's listed in the Clips pane popup menu, which appears when you right-click in the Clips pane)

The Piano Roll view displays all MIDI notes and events from one or more tracks in either the Drum Grid pane or the Note pane. The Note pane is a grid format that looks much like a player piano roll. The Drum Grid pane is also laid out in a grid, but the sound of these drum notes are determined by the settings in the Drum Map pane. In both the Drum Grid pane and the Notes pane, notes are displayed as horizontal bars.

In the Notes pane, pitch runs from bottom to top, with the left vertical margin indicating the pitches as piano keys or note names. Time is displayed running left to right with vertical measure and beat boundaries.

In the Drum Grid pane, the drum sounds are mapped according to the current drum map in the Note Map pane. Like the Notes pane, time is displayed running left to right with vertical measure and beat boundaries.

The Piano Roll view makes it easy to add, edit, and delete MIDI events from a track.

The Piano Roll view consists of the Piano Roll View Toolbar, the Note Pane, Note Map Pane, Drum Grid Pane, the Controllers Pane, and the Tracks List Pane.

For more information, see:

Selecting and Editing Events

To Add a Note

Selecting and Editing Notes

Using the Controllers Pane

Working with Multiple Tracks in the Piano Roll View

Piano Roll View Keyboard Shortcuts


Piano Roll View Toolbar

The following is a description of each of the tools and controls in the Piano Roll view toolbar:

Button... | What it does...
Select tool | Select a note or notes
Draw tool | Enter, edit and move notes
Draw Line tool | Draw changes in controller data in the Controllers pane. Acts the same as the Draw tool in the Notes pane.
Pattern Brush tool | Click and drag to "paint" notes in either the Drum Grid pane or Notes pane. The notes you enter using the Pattern Brush tool follow the parameters you set in the Pattern Brush dropdown menu, the snap resolution, and the Note Duration in the Piano Roll view toolbar.
Erase tool | Delete notes
Scrub tool | Plays all displayed tracks as you drag the cursor forward or backward
Controllers dropdown menus | Select a MIDI and its parameters if applicable. The Selected MIDI controller appears in the Controllers pane.
Whole note | Set the note duration for new notes to whole notes
Half note | Set the note duration for new notes to half notes
Quarter note | Set the note duration for new notes to quarter notes
Eighth note | Set the note duration for new notes to eighth notes
16th note | Set the note duration for new notes to Sixteenth notes
32nd note | Set the note duration for new notes to 32nd notes
Dotted note | Creates a dotted note of the note duration you have selected.
Triplet | Creates a triplet of the duration you have selected.
Snap button | When depressed, controls what size blocks of musical time you can select
Pick Tracks Combo | The left side of the Pick Tracks buttons Combo button opens the Pick Tracks dialog, and the dropdown arrow on the right side contains the Show Next Track and Show Previous Track commands
Show/Hide Controllers pane | Shows or hides the Controllers Pane at the bottom of the Piano Roll view.
Show/Hide Track List pane | Shows or hides the Tracks List Pane on the right side of the Piano Roll view.
Show All Tracks | Displays all the notes for every track currently listed in the Track List pane.
Show No Tracks | Shows no data in the Notes pane.
Invert Tracks | All hidden data is displayed and all displayed data is hidden.
Zoom Out | Zooms out by a fixed percentage, both horizontally and vertically
Zoom fader | Zooms in or out by the amount and direction that you drag it
Zoom In | Zooms in by a fixed percentage, both horizontally and vertically


Note Map Pane

The Note Map pane is where you map notes to specific drum sounds. The Note Map pane has the following columns:

  • Name--A user-assigned name for the note. The Name can be edited by clicking on it and entering a new name.
  • In Note--The recorded or original pitch of the note. The format can be either C0 through G10 or 0 through 127. There can be up to 128 entries in this column and each must be unique.
  • Out Note--The Out Note column specifies the mapped pitch. The format can be either C0 through G10 or 0 through 127. There can be up to 128 entries in this column and each must be unique.
  • Mute--Mutes the note.
  • Solo--Solos the note.


Drum Grid Pane

In this pane you can add, edit and delete drum notes in a track or tracks. Only MIDI tracks that are assigned to a drum map appear in the Drum Grid pane.

See:

Drum Maps and the Drum Grid Pane


Note Pane

In this pane you can add, edit, and delete notes of a track or tracks.

See also:

Selecting and Editing Notes


Controllers Pane

In this pane you can edit controllers, RPNs, NRPNs, automation, velocity, pitch wheel, and aftertouch data, during playback or recording, in real time.

Select the controller you want to edit from the Controller drop-down list at the top of the Piano Roll view. Controllers Pane for more information.


Tracks List Pane

Click the Show/hide track pane button [image] to display the Tracks List pane. The Tracks List pane is home to a list of all tracks currently displayed in the Piano Roll view. The track numbers and names appear in the Tracks List pane. Click the button again to hide the Tracks List pane.

For more information, see The Piano Roll View, and Selecting and Editing Notes.

See Also:

Selecting and Editing Events

Controllers Pane

Working with Multiple Tracks in the Piano Roll View


Piano Roll View Keyboard Shortcuts

The Piano Roll view has the following keyboard shortcuts:

Command | Shortcut
Select tool | S
Draw tool | D
Draw Line tool | L
Erase tool | E
Scrub tool | B
Snap enable/disable | N
Pick Track | T
Scroll up/down | arrow keys
Scroll left/right | arrow keys
Zoom in vertically | Ctrl+down arrow
Zoom out vertically | Ctrl+up arrow
Zoom in horizontally | Ctrl+right arrow
Zoom out horizontally | Ctrl+left arrow
Zoom tool | Z
Undo Zoom | U
Show/Hide Track Pane | H
All Tracks | A
No Tracks | K
Invert Tracks | V
Whole Note | 1
Half Note | 2
Quarter Note | 4
Eighth Note | 8
Sixteenth Note | 6
Thirtysecondth Note | 3
Dotted Note | .
Triplet | P


Event List View

Open the Event List view by:

  • Selecting one or more tracks and choosing View-Event List
  • Selecting one or more tracks and clicking [image] in the Views toolbar
  • Right-clicking a track in the Clips pane and choosing View-Event List

The Events List view hides or displays all the events in a project in a list. Clicking one of the buttons in the Event List toolbar hides the kind of event that the button represents. You can insert, delete, or change any kind of event, with the exception of Shape events which can only be deleted. Events are displayed in a list format. You can insert, delete, or modify any kind of event, including notes, pitch wheel data, velocity, MIDI controllers, patch changes, wave files, lyrics, text strings, MCI commands, System Exclusive meta-events, and more.

See:

The Event List View

Event List Buttons and Overview

Event Manager dialog

To Insert a New Event

To Delete an Event

To Delete Several Events


Staff View

Open the Staff view by any of three methods:

  • Use the View-Staff command
  • Click the Staff View button [image] in the Views toolbar
  • Select Staff from the Clips pane right-click popup menu

The Staff view displays MIDI note events as musical notation. For some musicians, this may be the most familiar and comfortable view in which to work. The Staff view provides many features that make it possible for you to compose, edit, and print music.

The Staff View Toolbar has all the buttons you need to enter and edit notes, and control the display of your notation.

The Staff view is composed of a Staff pane and a Fretboard. When you first open the Staff view, you may see only the Staff pane and not the Fretboard. Resize the Staff view by dragging its edges until you can see everything easily. When you save your file, whatever size the Staff view is will be the way it appears the next time you open the file.

The Staff pane displays MIDI note events as musical notation. For some musicians, this may be the most familiar and comfortable view in which to work. The Staff pane provides many features that make it easy for you to compose, edit, and print music. You can choose from a wide variety of clefs to display your music (see To Change the Staff Pane Layout).

For guitar players who are new to musical notation, the Fretboard represents the notes in the Staff pane as they would appear on a guitar or bass fretboard. All notes that appear in the Staff pane at the Now Time are shown in the Fretboard. Page through your track by pressing Ctrl-Right Arrow and watch the note names in the Fretboard appear. If you enter notes in the staff at the Now Time, they appear on the fretboard. Likewise, you can enter notes into the staff at the Now Time by clicking the guitar strings on the fretboard. Notes and chords shown in the fretboard can be easily edited by dragging them up and down the guitar strings.

For more information, see:

The Staff View

Basic Musical Editing

Chords and Marks

Staff Pane Layout

Inserting Notes on the Staff

To Audition with the Scrub Tool

Moving, Copying, and Deleting Notes on the Staff

Using Enharmonic Spellings

Adding Expression Marks

Adding Hairpin Symbols

The Fretboard

Tablature

Working with Lyrics

Beaming of Rests

Setting Up a Percussion Staff or Line

Staff View Keyboard Shortcuts


The Staff View Toolbar

The Staff view toolbar has all the controls you need to enter and edit notes and symbols, and control the display of your notation.

Here's what each button does:

Button... | What it does...
Select tool | Select a note or notes
Draw tool | Enter and move notes and/or symbols
Erase tool | Delete notes and/or symbols
Scrub tool | Plays all displayed tracks as you drag the cursor forward or backward
Zoom Out | Zooms out by a fixed percentage, both horizontally and vertically
Zoom fader | Zooms in or out by the amount and direction that you drag it
Zoom In | Zooms in by a fixed percentage, both horizontally and vertically
Snap button | When depressed, controls what size blocks of musical time you can select
Snap value | This field shows the current value of the Snap to Grid. When you click a note value in the Staff view toolbar, the Snap value copies that value, unless you override it by opening the Snap to Grid dialog and setting a value.
Fill Durations | Visually rounds up notes to the next note or beat, whichever comes first--useful for displaying recorded MIDI notes, but not for entering notes with the Draw tool
Trim Durations | Visually rounds down note durations if they extend a little past the start of the next note--useful for displaying recorded MIDI notes, but not for entering notes with the Draw tool
Display Resolution | Shows the value of the smallest note you can display--for example, if it's set to a quarter note, and you enter some eight notes, they will display as quarter notes until you set the display resolution to an eighth note
Staff view layout | The left side of this button opens the Staff View Layout dialog. The right side of this button opens a dropdown menu where you can select one of two commands: Quick TAB and Regenerate Tablature.
Pick Tracks Combo | The left side of the Pick Tracks buttons Combo button opens the Pick Tracks dialog, and the dropdown arrow on the right side contains the Show Next Track and Show Previous Track commands
Play Next | Clicking this button plays the next note from the Now time
l Play Previous | Clicking this button plays the previous note from the Now time
Fret View | Clicking this button displays the Fretboard view
l | Clicking this button exports tablature to an ASCII file for printing or distribution on the Web
Whole Note | Clicking this button chooses a whole note duration for any notes you insert--there are buttons for durations as small as a 32nd note
Dotted Note | Clicking this button causes any notes you insert to be dotted notes
Triplet | Clicking this button causes any notes you insert to be triplets
Note Duration | This window shows the currently selected note duration for inserting notes--you can edit it in the window, but make sure the value in the Display Resolution window is not too large to display the new value
Lyrics tool | Causes the Draw tool to become a lyrics-entering tool
Chord tool | Causes the Draw tool to become a chord-entering tool--after you enter a chord, right-click it to edit it
Expression tool | Causes the Draw tool to become a dynamics-entering tool--click below a staff to create a text box, type some dynamics, and press Enter
Hairpin tool | Causes the Draw tool to become a tool to enter crescendo or decrescendo markings
Pedal tool | Causes the Draw tool to become a tool to enter pedal markings--clicking this tool below a staff enters a pedal down marker and a pedal up marker; you can drag both markers to reposition them
Cursor position | Show's the cursor's current position in both project time and pitch level; the pitch level is listed in both letter and number formats


Synth Rack View

The Synth Rack view lets you view, insert, delete, and configure your DXi and Rewire soft synths. You can also mute and solo any or all of them from this view. Each time you insert a soft synth into your project, a new row appears in the Synth Rack view with the name of the soft synth and its current parameters. You can insert as many copies of the same DXi soft synth as you like; each new copy appears in a new row and has the same name, but has a higher number after the name. Rewire soft synths can only have one copy open. The new higher-numbered name also appears on the menus of audio track inputs and MIDI track outputs.

The following is a list of the tools and controls in the Synth Rack view, followed by a description. For step-by-step instructions, see the links below.

Insert Button

Clicking this button opens a popup menu of all the DXi's and Rewire soft synths that are installed on your computer. Clicking the one you want to insert opens the Insert DXi Synth Options dialog, which allows you to insert the soft synth into your project in the manner you choose.

Delete Button

If you want to delete a soft synth from your project, click the name of the soft synth in the Synth Rack view and then click the Delete button. Note: Always close any Rewire applications in their own interfaces before deleting them from SONAR.

Deleting a soft synth from the Synth Rack view does not delete the tracks associated with the soft synth, but does change the associated MIDI track's output to the next lower-numbered output.

Properties Button

To open the interface of a soft synth, click its name in the Synth Rack view and then click the Properties button. You can also open a soft synth's interface by double-clicking its name in the Synth Rack view.

Insert DXi Synth Options Button

The Insert DXi Synth Options dialog has an Ask This Every Time checkbox, which causes the dialog to appear every time you click the name of a soft synth from the popup menu of installed soft synths. If you uncheck this checkbox, the only way to open the dialog and choose your insertion preferences is to click the Insert DXi Synth Options button.

Patch-point Location Indicator

This indicator shows whether the particular soft synth is patched as an input for an audio track (first picture), or is patched into an Fx bin (second picture). DXi's that produce sound function the same way in either place. DXi's that are only effects processors must be patched into Fx bins.

Connection State Button

This button shows whether a particular soft synth is currently connected to the audio engine or not, which determines whether the soft synth will sound or not. You can click it to change the current state, which can be useful when you're auditioning other soft synths or troubleshooting. You can't use this button to disconnect a synth that's patched into an Fx bin. Some multi-port soft synths allow you to change the number of outputs after the soft synth has been inserted. While the soft synth is reconfiguring itself and informing SONAR about the new number of outputs, the Connection State button turns off. As soon as the soft synth finishes reconfiguring itself, the Connection State button turns on again.

If you open your project on a different computer that doesn't have the same soft synths that the project uses, the Synth Rack view still displays the names of the original soft synths, but with the Connection State buttons for each missing soft synth turned off.

Mute Button

You can mute a soft synth by clicking the M button that's next to the soft synth's name in the Synth Rack view. This action causes all tracks associated with this instance of the soft synth to stop sounding.

Solo Button

You can solo a soft synth by clicking the S button that's next to the soft synth's name in the Synth Rack view.

Presets Menu

Next to the name of each inserted soft synth in the Synth Rack view is a dropdown menu of that soft synth's presets. You can choose the one you want from the dropdown menu.

For step-by-step instructions, see:

Working with Software Synthesizers

Multi-port DXi's

Playing a DXi

Converting Your DXi Tracks to Audio

Muting and Soloing DXi Tracks

Converting Your DXi Tracks to Audio

Automating a DXi's Controls

Playing a Stand-alone Synth

ReWire Instruments


Lyrics view

Open the Lyrics view by any of three methods:

  • Using the View-Lyrics command
  • Clicking the Lyrics View button [image] in the View toolbar
  • Using the Lyrics command from the Clips pane right-click menu

The Lyric view lets you edit a track's lyrics. You can use it to cue yourself or your group with the lyrics during playback and recording.

For more information, see:

Working with Lyrics


Console View

The Console view contains all the controls you need to mix your project. To open the Console view click the Console view button [image] in the Views toolbar or choose View-Console.

Sound controls in the Console view are grouped in modules. There are four types of modules:

Key... | What it does...
MIDI track | Set the track's output, channel, bank, and patch; set the input source and monitor input levels; mute, solo, and arm the track; set channel volume, panning, chorus, and reverb levels.
Audio track | Set the track's output; set the input source and monitor input levels; mute, solo, and arm the track; set track volume and panning; apply real-time effects, send audio data to aux buses.
Aux bus | Receive input from one or more audio tracks, apply real-time effects, and send the results to an output.
Virtual main bus--a main output module contains both a left and right output, but only one volume control. The balance slider on each main output controls left and right balance. The first main output module is labeled A, and each virtual main bus output module (which is exactly the same as the first main output module) is labeled B, C, D, etc. You can have up to 32 main output modules, the number of which you select in the Audio Options dialog box in the Number of Virtual Mains field. | Apply real-time stereo master effects; monitor output levels using meters; control the stereo volume of audio output to an audio port.

One module is always outlined with a broken line. This corresponds to the track with the focus in the Track view. You can change the focus by clicking to the right of the module's volume fader.

The Console view contains buttons, sliders, and knobs. Knobs can be adjusted in four different ways:

  • Click along the outer edge of the knob to move the knob to that position
  • Drag the outer edge of the knob in a circular motion to set the desired position
  • Click on the center of the knob and drag the mouse up or down to adjust the knob
  • Double-click the center of the knob to return it to its snap-to position

Volume and pan faders also have snap-to positions; double-click a fader's knob to return the fader to its snap-to value.

You can automate many features of the Console view by recording fader movements and creating snapshots. For more information, see Using Automation.

The Console view contains meters for recording, playback, and main output levels. You can hide or show any or all of these meters, and choose many different options for the units and format of the data the meters display. See Metering.

The controls and effects patch points all have tooltips associated with them. To see a description of a particular control or effect, simply rest the cursor over the item for a few seconds.

You can show or hide any of the track and bus modules by clicking the Module Manager button (located in the Console view toolbar) and choosing options from the dialog box. You can also choose how many sets of main outputs, or virtual main buses you want to use. These function like subgroups, and you can learn more about them at Virtual Main Buses.

For more information, see:

Mixing MIDI

Routing and Mixing Digital Audio

Using Real-Time Effects

Using Control Groups

Using Remote Control

Automation Methods

Applying Audio Effects

Applying MIDI Effects

For step by step instructions:

To Choose the Tracks that are Displayed Using the Track Manager

To Hide a Module (Console view only)

Changing the Meters' Display

To Change the Number of Aux Buses

To Set the Snap-to Position of a Knob or Fader

To Insert a New Track

To Rename a Track, Aux Bus, or Virtual Main

Configuring the Console and Track Views


Video View

Open the Video view by using the View-Video command or by clicking the Video view button in the Views toolbar. Cakewalk's Insert-Video File command lets you include an AVI, MPEG, or QuickTime video in your project. This video is shown in real time as your project plays. The Video view displays the current time (as in the Big Time view) and the video itself. The display in the Video view is synchronized with the Now time, giving you convenient random access to the video stream. This makes it easy to align music and digitized sound to the video.

If the Video view is the active window, you can now use keyboard shortcuts to advance by a frame or a frame increment. The +/-, and left/right arrow keys move forward/backwards by a single frame. If the control key is pressed, then the frame increment value is used (default = 5 frames) Alternatively you can use the [ and ] keys to seek by the frame increment.

Commands in the Video view's pop-up menu let you set the time display format, the size and stretch options for the video display, the video start and trim times, and other options. Your project's video and digital audio data can be saved together in a new AVI file with Tools-Export Video to AVI. For more information, see Preparing Audio for Distribution.

Note: The project's video file is saved in the project by reference only; the actual video data remains in the original file.

Use these options in the Video File dialog box:

Look in-Use this field to find the folder that contains the video file you want to insert.

File name-Use this field to find the video file you want to insert. Clicking the name of the file in the window above this field causes it to appear in the File name field.

Files of Type-Use this field to select what type of video files to display.

Note: If your system has a basic Windows installation with DirectShow installed, you may not be able to insert QuickTime video files. You may need to install the latest video Codecs from Microsoft's web site in order to import different video formats. The problem can be solved by going to Microsoft's web site (http://www.microsoft.com) and downloading and installing the latest version of Media Player.

Show File Info-If you check this option, Cakewalk displays the video file's fomat tag, audio sample rate, and length in both audio samples and time.

Import Audio Stream-If you check this option, Cakewalk imports the video file's audio file along with the video. Select a blank track before you do this.

Stereo Split- If you check this option, Cakewalk imports the video file's audio file into two separate tracks, instead of one stereo track.

Open-After you decide what options you want, clicking the Open button imports the video and, optionally, the accompanying audio into your project.

For step by step instructions:

Video Playback

To Export Video and Audio to an AVI File

To Load a Video File Into the Project

To Delete the Video From the Project

To Enable or Disable Video Playback

To Set the Time Display Format

To Set the Background Color

To Set the Start and Trim Times (AVI files only)

See Also:

Optimizing Video Performance


Tempo View

Open the Tempo view by using the View-Tempo command, or by clicking the Tempo View button [image] in the Views toolbar.

The Tempo view shows the tempo of your project. You can use the mouse to draw tempo changes directly onto the graph.

The Tempo view provides both a graphic display of the tempo and a list of all tempo changes in your project. In the graphical display you can use your mouse to draw tempo changes directly onto the graph. In the tempo list, you can insert, edit, and delete individual tempo changes. Click the Tempo List button to display or hide the tempo list.

If an entire project has a single tempo, the Tempo view shows a straight horizontal line, and a single tempo in the list.

If you want audio clips to stretch with any tempo changes you introduce, you need to enable Groove clip looping on any audio clips that you want to follow the tempo changes. Do this by selecting one or more clips, right-clicking a selected clip, and choosing Groove-Clip Looping from the popup menu. Each clip that has Groove clip looping enabled has beveled edges instead of sharp corners. The same command disables Groove clip looping on any selected clip that has Groove clip looping enabled.

The graph has several tools you can use to add or modify tempo changes:

Tool... | Name... | What It's for...
 | Select | Drag the Select tool in either the graphic display or the tempo list to select tempos for editing.
 | Line | Draw a straight line indicating a steady increase or decrease in tempo.
 | Draw | Draw a custom curve indicating changes in tempo.
 | Erase | Eliminate tempo changes already in place for some portion of a project.
 | Snap | When the Snap button is depressed, any new tempo changes will only be entered as often as the duration value in the tempo view's Snap to Grid dialog box (open by Right-clicking the Snap button).

If you make a mistake using any of these tools, you can use Undo to correct the error. When you use the Draw tool, the speed with which you drag the mouse determines the density of tempo events. To insert a larger number of relatively small tempo changes, move the mouse slowly. To insert a smaller number of relatively large tempo changes, drag the mouse quickly.

The tempo list has its own tools for editing tempo changes:

Tool... | Name... | What It's for...
 | Insert | Insert a new tempo change
 | Delete | Delete a tempo change
 | Tempo Properties | Edit a tempo change

For more information, see Using the Tempo View. For step by step instructions:

To Insert a Tempo Change in the Tempo View

To Steadily Increase or Decrease the Tempo in the Tempo View

To Draw a Series of Tempo Changes in the Tempo View

To Erase Tempo Changes in the Tempo View

To Insert a Tempo Change in the Tempo List in the Tempo View

To Edit a Tempo Change in the Tempo View

To Delete a Tempo Change from the Tempo List in the Tempo View


Meter/Key View

Open the Meter/Key view by using the View-Meter/Key command, or by clicking the Meter/Key View button in the Views toolbar.

The Meter/Key view lets you enter meter and key changes on measure boundaries. Meter and key changes affect all tracks.

The Meter/Key view lets you set and change the meter and key signature for any project or part of a project, over all its tracks.

For more information, see The Meter/Key View.

See also:

What Is Meter?

To Add a Meter/Key Change

To Delete a Meter/Key Change

To Move a Meter/Key Change

To Edit a Meter/Key Change


AudioX Console View

To open the AudioX Console view, choose View-AudioX Console, and click the name of your AudioX-compatible sound card from the submenu.

The AudioX Console view is a virtual mixer for any AudioX-compatible sound card(s) you have installed in your computer. Your sound card manufacturer supplies this mixer, which is designed to take full advantage of your sound card's capabilities. AudioX mixers for various AudioX-compatible sound cards have similar controls, such as faders, an output patcher, buses, etc. Some sound cards don't support all possible functions, such as onboard effects. If your AudioX sound card doesn't support all the functions, some of the mixer controls will appear greyed-out or might not be there at all.

For more information, consult your AudioX-compatible sound card's documentation.


StudioWare View

Open the StudioWare view by using the View-StudioWare command, or by clicking the StudioWare view button in the Views toolbar. The StudioWare view, a dynamic console strip, lets you manipulate the controls on any external MIDI device from graphical controls on your screen.

For more information, see Working with StudioWare.


Markers View

Open the Markers view with the View-Markers command, or by clicking the Markers view button in the Views toolbar. The Markers view lets you add, move, rename, or delete marker (labels) for places in your song. The markers make it easier to move from one point to another.

See Creating and Using Markers.


SYSX View

Open the Sysx view by using the View-Sysx command, or by clicking the Sysx view button in the Views toolbar. System Exclusive messages (Sysx) are commands that are unique to each brand or model of sound module. Consult the manual of each particular machine to find out what Sysx commands it responds to. The Sysx view gives you 256 Sysx Banks to hold System Exclusive messages.

See Using the System Exclusive View.


StudioMix View

Open the StudioMix view with the View-StudioMix command or by clicking the StudioMix view button in the Views toolbar (this view is only available if you have a StudioMix controller hooked up to your computer). You can control the StudioMix view with the StudioMix hardware controller.

See Configuring StudioMix.


Big Time View

Open the Big Time view by using the View-Big Time command, or by clicking the Big Time view button in the Views toolbar. The Big Time view lets you see the Now time from a distance while recording. Clicking the time display changes the units of time that the time display uses--the choices are MBT time and SMPTE.


Loop Construction view

The following is a list of the tools and controls in the Loop Construction view, followed by a description. For step-by-step instructions, see the links below.

Save Loop to Wave File Button

Click the Save Loop to Wave file button [image] to open the Save As dialog. In the Save As dialog you can save the current loop (Groove clip) as a Riff Wave file, which are compatible with ACIDized loops. You can save Riff Wave files for use with another SONAR project or with ACID.

Enable Looping Button

Click the Enable Looping button [image] to loop clips in the Track view by dragging the right side of a clip with your mouse. When Enable Looping is not on, you are able to slip-edit the clip. For more information about slip editing, see Slip Editing (Non-Destructive Editing).

Beats in Clip Field

The number of beats (quarter notes) in the clip.

Enable Stretching Button

The Enable Stretching button [image] instructs SONAR to stretch or shrink the clip to fit the project's tempo. SONAR uses the Beats in Clip and Original BPM parameters are used to make the change.

Original BPM Field

The tempo at which the clip was recorded.

Follow Project Pitch Button

The Follow Project Pitch option [image] transposes the loop, if necessary, to the key of the project. A loop recorded in the key of A, used in a project in the key of C, would be transposed up three semitones if the Follow Project Pitch checkbox was checked.

Root Note Field

The Root Note represents the key in which the loop was recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's key.

Pitch Field (coarse)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (coarse) field. A positive number transposes the clip up by that number of semitones. A negative number transposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.

An example: The project key is C. The clip key is D. If the Follow Project Pitch option is checked, the clip is transposed down by two semitones. A value entered into the Pitch (semitone) field adjusts the pitch from C. If you enter "-1" the pitch would be transposed down by one additional semitone to B.

Another example: The clip pitch is E. The desired clip pitch is D. If the Follow Project Pitch option is not checked, and a value of "2" is entered in the Pitch (semitones) field, the clip is transposed down two semitones to D from the original pitch of E.

Pitch Field (fine)

The Pitch (fine) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semitone. A Pitch (fine) setting of "1" adjusts the pitch up one hundredth of a semitone. The Pitch (fine) option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.

Stop Preview Button

The Stop Preview button [image] stops loop playback.

Preview Loop Button

Plays the current loop repeatedly. Use the Stop Preview control [image] to stop playback.

Preview Bus Field

Select the virtual main output through which you want to listen to the clip.

Select Tool

Use the Select tool [image] to move markers in the Markers bar.

Erase Tool

Use the Erase tool [image] to delete markers in the Markers bar.

Default All Markers Tool

The Default All Markers tool [image] restores all automatically generated markers to the original position and enables all those that were disabled. Manually created markers remain as is.

Basic Slicing Slider

The Slicing slider sets the resolution for the creation of markers, or the "slicing" of the looped clip. The Basic Slider uses note lengths, so the settings are:

  • Whole notes
  • Half notes
  • Quarter notes
  • Eighth notes
  • Sixteenth notes
  • Thirty-second notes
  • Sixty-fourth notes

The automatic markers appear at the note resolutions according to the slider setting. At the eighth note setting, there are eight markers per measure.

The Basic Slicing slider works well for slicing audio that has more subtle changes in volume with few dramatic transients.

The markers in a loop clip preserve the timing of the audio at that moment. Too few or too many markers can cause unwanted "artifacts" when a loop clip is stretched.

Transient Detection Slider

The Transient Detection Slider senses transients in your audio clip and assigns a marker at the beginning and end of each one it finds. As the sensitivity is increased (moving the slider to the right) smaller transients are detected and the number of markers increases.

Slicing Markers

There are two types of slicing markers in the Loop Construction view: automatic and manual. Automatic markers appear in red and are automatically generated by SONAR when you loop enable a clip. The one exception to this is if you import an ACIDized wave file into SONAR. ACIDized files always appear with manual slicing markers. Manual markers appear in blue. If you add a marker or move an automatic marker, it turns blue to show you that it has been edited. For information on editing slicing markers, see To Edit the Slicing Markers in a Groove Clip.

Beat Markers

Beat Markers mark where the beats fall in your clip. There are as many beat markers as there are beats in a clip.

For more information, see:

Working with Loops

Working with Groove Clips

Creating and Editing Groove Clips

Using Pitch Markers in the Track View


Loop Explorer View

You can open the Loop Explorer view in any of the following methods:

  • Select View-Explorer from the menu.
  • Click the Explorer icon on the Views toolbar.

The Explorer view allows you to locate, view and preview your sound files.

The Explorer view toolbar has the following controls:

Tool...

Name...

What It Does...

Move Up

Opens the folder one level above the active folder.

Refresh

Refreshes the active folder.

Windows Explorer

Opens Windows Explorer at the same directory being viewed in the Loop Explorer view.

Play

Plays the selected media file.

Stop

Stops the playback of the selected file.

Auto Preview

Automatically preview files when you click on them in the Loop Explorer view. If the selected file is a Groove clip, it plays back in the project tempo and key.

Views

Allows you to change the way the files are viewed in the list view:
  • Tree view--displays all of the available drives and folders that you may choose from to find files.
  • Summary view--displays a short description of the selected media file at the bottom of the Loop Explorer view.
  • Details--displays the file size, date and when the file was created and last modified.
  • All Files--displays all file types in the active folder.

Preview Bus

Select the virtual main output through which you want to listen to the loop.


Tree View Pane

The Tree view pane lists all of the available files and folders in the selected drive.


Contents List Pane

The Contents List pane displays the folders and files contained in the active folder.


OP Panel View

The View-OP Panel-(name of the panel you want to open) command opens a Yamaha OP panel. If you have a certain kind of Yamaha module connected to your computer and have installed the Yamaha editing software, you can open these panels directly from SONAR to create and edit sounds for your module, and save the sounds as presets.


Dialog Reference

Use the Contents tab, Index or Search tab to find the dialog you are looking for.


About SONAR dialog

When you use the Help-About SONAR command, the Cakewalk logo appears, with the version number of your Cakewalk product listed below it.


Apply MIDI Effects dialog

When you click the Apply MIDI Effects button in the Console view, the Apply MIDI Effects dialog box appears. This dialog box lets you select options for applying MIDI effects to selected MIDI data. You can choose to delete the effect from the patch point after it is applied, so that it will not be reapplied on playback.

See also:

Applying MIDI Effects


Arm Fx Parameters dialog

When you right-click an effect that has automatable parameters, and choose Arm Parameter from the popup menu, a dialog box with a list of the effect's armable parameters appears. You can quickly choose which parameters you want to arm to record automation.

The dialog box has the following fields and controls:

Param Armed list

This is a list of the parameters that you can arm for this effect. The checkbox next to each parameter name allows you to arm or disarm the parameter. Whenever any control is armed for automation, the red Aut indicator lights up in the Status bar.

Arm All button

Click this button to arm all the parameters.

Disarm All button

Click this button to disarm all the parameters.

Choose Color button

Click this button to choose colors for any pre-existing envelopes for this effect's parameters. Highlight the name of the envelope in the Param Armed list; the current color of that envelope appears above the Choose Color button; click the Choose Color button and choose a new color for the highlighted envelope. If you want the same color for several different envelopes, you can highlight as many names at one time as you want by dragging through them, Shift-clicking them, or Ctrl-clicking them.


Assign Instruments dialog

The Options-Instruments command opens the Assign Instruments dialog box. This command lets you choose one or more output/channel configurations and assign an instrument to it or them.

SONAR lets you assign a MIDI instrument definition to each available MIDI output and channel. The assignments you make determine the MIDI bank names, patch names, note names, and controller names that you see during your SONAR session.

Suppose that you have a Roland GS compatible synthesizer attached to MIDI output 1. By assigning all 16 channels of MIDI output 1 to the Roland GS instrument definition, you ensure that the bank, patch, note and controller name lists you see displayed in SONAR are the ones that match your synthesizer.

Often, you want to assign a different instrument to channel 10, which is usually used for percussion. For example, you might assign the Roland GS instrument definition to channels 1 through 9 and 11 through 16, but you would most likely want to assign the Roland GS Drumsets instrument definition to channel 10. If you have several MIDI outputs, with a different instrument attached to each one, you would normally assign a different instrument to each MIDI output.

For convenience, you can assign a block of channels to one instrument, and then change the assignment of one or more of those channels without changing the others. For example, you can highlight all 16 channels of the first MIDI output and assign them to the Roland GS instrument definition. Then, you can highlight channel 10 of the first MIDI output and assign it to the Roland GS Drumset instrument definition. Channels 1 through 9 and 11 through 16 on the first MIDI output will stay assigned to Roland GS.

You might also want to split channels to different instruments if you have several instruments attached to a single MIDI output. For example, you might have a Roland synth receiving on MIDI channels 1-9, a Roland drum machine receiving on channel 10, and a basic GM-compatible synth receiving on channels 11 through 16. In this case, you'd use three different instrument definitions for your one and only MIDI output.

The Assign Instruments dialog box has the following fields:

Output/Channel

This field lists all your MIDI outputs and all the channels for each output. Highlight the output/channel combination you want to assign an instrument definition to. You can select several output/channel combinations at the same time (for example, all 16 channels of a output) by Ctrl-clicking or Shift-clicking.

Uses Instrument

This field lists all the instrument definitions that are currently stored by SONAR. Selecting one binds it to any output/channel combinations that are selected in the Output/Channel field.

Save Changes for Next Session

Click this checkbox if you want to reuse any new combinations you made the next time you open SONAR.

Define button

Clicking this button opens the Define Instruments and Names dialog box, which allows you to define your own MIDI instruments, if they are not MIDI standard.

For step by step instructions:

To Assign Instrument Definitions to MIDI Outputs and Channels

To Clear Instrument Assignments

To Create a New Instrument


Audio Mixdown Options

Clicking the Mixdown Options button in the Video to Avi dialog opens the Audio Mixdown options dialog. This dialog lets you control the characteristics of the audio file you export when you export an AVI video from SONAR.

This dialog has the following fields:

  • Format--choose Mix To Stereo Stream or Mix To Mono Stream, depending on whether you want to export a stereo or mono audio file.
  • Source Bus(es)--choose the sound card driver you want to use to export your audio file.
  • Mix Enables--choose all the different audio components you want to include in your exported audio file. You usually include everything. If you include either Track FX or Master FX, it's a good idea to add an extra measure to the end of your project to contain any reverb tails that your effects produce.


Audio Options dialog--General

The Options-Audio command opens the Audio Options dialog box. Choose the General tab to control the following options:

Playback Timing Master and Record Timing Master

These two options determine which sound cards should control timing for the song, if you're using multiple wave drivers for playback or recording. Note that if you've got two wave drivers, but all audio tracks are playing on only one wave driver, then that driver will be the timing master no matter what you choose.

Every sound card's clock crystal is slightly different, which causes minor differences in the actual playback rate on each card. These differences may lead to slight synchronization problems if you use one card for recording and a different one for playback. Multiple wave drivers on the same card will not have sync problems.

Number of Aux Buses

This determines how many auxiliary mixes can be created. These are useful mainly for effects sends. Specify only the number of aux buses you intend to use.

Number of Virtual Mains

This option sets the number of Virtual Mains in the project. Virtual Mains are extra sets of main outputs that you can patch a a track or tracks through. Virtual Mains function like sub-groups. See Virtual Main Buses.

Audio Driver Bit Depth

Determines the number of bits per sample used for communicating with the audio hardware for playback or recording. Your audio hardware must be capable of supporting the setting you supply here. In SONARTM, choose between 16, 18, 20, 22 and 24. In most cases, even if your hardware is "advertised" as being 18 or 20 bit, you will want to set this value to 24 for optimum performance.

Note: Using an audio driver bit depth that is greater than 16 means you also need to choose a preferred setting in the Stream >16 Bit Data As field on the Driver Profiles tab of this dialog box.

Default Settings for New Projects

  • The Sampling Rate drop-down list allows you to specify the audio sampling rate for a new .cwp file. Once any audio has been added to a .cwp file -- either by recording audio or by using Insert-Audio File -- you can't change the sampling rate for that .cwp file. Therefore, you should choose the sampling rate immediately after choosing File-New to start a new song.
You can choose one of five sampling rates: 11025 Hz, 22050 Hz, 44100 Hz, 48000 Hz, and 96000 Hz. The default used by SONAR is 44100 Hz, the same rate as audio CDs. However, you may choose a lower rate if your PC is slow or has a slow hard disk.
Note: For most sound cards, all digital audio in the same song must be at the same sampling rate. Some dedicated audio systems let you mix different sampling rates in the same song; SONAR only lets you do this if the audio system supports it. This feature is meant primarily for sound cards that use different Windows drivers for input and output; SONAR treats such cards as two different programs.
  • The File Bit Depth field allows you to choose the number of bits per sample SONAR uses to store recorded (or imported) audio data to disk. In SONAR, the choices are 16 (the default value) or 24. Also, you do not need to have 24-bit capable audio hardware to use this setting, but be forewarned that 24-bit files require 50% more overhead for streaming.

Mixing Latency (MME and WDM drivers only)

  • The Buffers in Playback Queue values determine the buffer characteristics for transfers to and from the audio drivers. Lowering this value improves audio latency, though making it too low makes your system more susceptible to stuttering or dropouts
  • The Buffer Size Slider enables you to set mixing latency manually, overriding the value set by the Wave Device Profiler. Lower numbers increase the risk of audio problems. WDM sound card drivers offer lower latency than the older MME type. If you use an MME sound card driver and your project uses an audio driver bit depth of 16, you should enable WavePipeTM Acceleration in the Audio Options dialog box, in the Driver Profiles tab.

Wave Profiler (MME and WDM drivers only)

Wave Profiler attempts to detect the make and model of your sound card, which determine the card's DMA (Direct Memory Access) settings. Once Wave Profiler identifies the card, it displays the results and asks whether you want to use the default settings for that card or to override them:

If Wave Profiler has identified your card correctly, you may accept the default settings. Otherwise, Wave Profiler will run a series of tests to attempt to determine the correct DMA settings. Usually this process is successful; however, if it is not, you will need to enter the correct settings in the Device Profiles tab of the Audio Options dialog box.

To determine the correct settings, consult your sound card documentation. Our web site, at www.cakewalk.com, contains the latest DMA settings for commonly used sound cards.

The Wave Profiler utility runs automatically the first time you run SONAR. You need not run it again unless you install a new sound card or an updated driver for your current sound card.

Wave Profiler will not analyze the card at the 48 kHz sampling rate. It assumes that 48 kHz settings are the same as 44 kHz settings. If your sound card doesn't sync to 48kHz, you may need to enter the settings manually.

ASIO Panel (ASIO drivers only)

This button opens a dialog where you can set the buffer size for your ASIO driver and change the driver configuration. See your sound card's documentation for more information.

For more information, see:

Improving Audio Performance


Audio Options dialog--Advanced

The Options-Audio command opens the Audio Options dialog box. Choose the Advanced tab to control the following options:

File System

  • Data Directory--This item specifies the directory in which SONAR stores audio data files. You may want to keep your audio files in a separate data directory or on a different drive; just be sure to enter that data directory's path here.
Warning: Do not change the data directory! Any .cwp files that contain digital audio will be unable to locate their audio files if you enter the wrong directory.
  • Picture Directory-- This item specifies the directory in which SONAR stores waveform picture files. You may want to keep your picture files in a separate data directory or on a different drive; just be sure to enter that data directory's path here.
  • Enable Read Caching and Enable Write Caching--Choosing either of these options lets SONAR use the Windows disk cache while reading or writing audio data. SONAR will usually perform best with all caching disabled, which is the default setting. If your computer has an older IDE disk controller, or a disk controller that does not use DMA transfers, enabling caching may improve SONAR's audio performance. Note: Changes to these settings only take effect when you restart SONAR .
  • I/O Buffer Size--This value determines the buffer characteristics for transfers to and from the disk. Changing this value does not affect audio latency, but will affect the disk throughput for audio tracks. The default setting is 64. If you have audio problems, try 32 and then 16. If audio problems persist, try 128, 256, 512, or reset to 64 and try a different remedy.

Playback and Recording

  • Always Use MME Interface, Even When WDM Drivers Are Available--Enable this option if you want to use a sound card that only has an MME driver together with a sound card that has a WDM driver. This will force the WDM driver to go through the slower MME interface. If you use only WDM driver devices, leave this option unchecked for optimum performance.
  • Apply Dither--SONAR uses this kind of dithering to slightly improve the sound after SONARconverts the floating point numbers in the audio data to integers that the sound card can process.This effect is not usually heard by most people, and it adds processing time. You can disable it during mixing and enable it during mastering. Disabling this option may provide a slight improvement in real-time effects performance.
  • Share Drivers With Other Programs--This option allows other software to access device drivers. When this option is checked, other software can access device drivers when SONAR is not the focus of Windows.
  • Play Effect Tails After Stopping--When checked, this option causes any effect with a "tail" (reverb, delay, etc.) to finish playing when playback is stopped.

Synchronization

SONAR gives you two choices for synchronizing your audio tracks to SMPTE or MIDI Time Code:

  • Trigger and Freewheel--With this option audio playback starts (or triggers) at the exact timecode, but then the audio plays at its own internal rate. The audio can gradually drift away from SMPTE time due to variations in the timecode signal.
  • Full Chase Lock--With this option the speed of audio playback is continuously adjusted to stay with the timecode.
  • Timing Offset (msec)--With this option, used for making very fine adjustments to the audio/MIDI synchronization of your project, you can offset the audio in your project by a number of milliseconds. A positive value delays audio by that amount. A negative value delays MIDI by that amount.

For more information, see:

Improving Audio Performance


Audio Options dialog--Input Monitoring

The Options-Audio command opens the Audio Options dialog box. Choose the Input Monitoring tab to enable or disable input monitoring for each sound card in your system. Input monitoring allows you to hear your audio instrument in real time the way it's being played or recorded, complete with any plug-in effects you've patched in. After you enable input monitoring, you can turn it off and on by clicking the Audio Engine button [image] in the Transport toolbar.

All drivers selected in this tab are enabled for input monitoring.

Warning: Input monitoring can lead to feedback loops. Input monitoring is off by default. When you enable input monitoring, make sure your monitor speakers are turned all the way down. Slowly raise the volume until you are sure there is no danger of a feedback loop. If there is, then you must change the way you have patched your mixer.

For more information, see Input Monitoring.


Audio Options dialog--Drivers

The Options-Audio command opens the Audio Options dialog box. Choose the Drivers tab to display a list of available drivers and selectively enable them:

Input Drivers

These control recording.

Output Drivers

These control playback.

For more information, see:

Improving Audio Performance


Audio Options dialog--Driver Profiles

The Options-Audio command opens the Audio Options dialog box. Choose the Driver Profiles tab to view the sound card buffer settings that the Wave Profiler has come up with. The various fields show the following data: This tab only appears when in MME or WDM/KS driver mode.

Show Profile for

This field shows the name of the sound card driver that the displayed settings are for.

Access Driver in Mono

Choosing this option causes SONAR to send the sound card only mono data.

WavePipeTM Acceleration

If you use an MME sound card driver and your project uses an audio driver bit depth of 16, you should enable WavePipeTM Acceleration.. If you experience audio problems, see if disabling this options helps. If not, leave it enabled.

Stream > 16 bit data as

Sound cards that handle audio formats greater than 16 bits have a preferred format for the data, the variations of which you can see by clicking the dropdown arrow in this field. Consult your sound card's documentation to choose the optimum setting.

DMA Buffer Sizes

These fields list the buffer characteristics for each sound card that the Wave Device profiler has come up with. In general, it is better not to change these settings without consulting SONAR technical support.

For more information, see:

Improving Audio Performance


Auto-Send Sysx dialog

The Auto-Send Sysx dialog box appears when you open a project that contains Sysx data. The dialog box lets you choose whether to send the System Exclusive data to your MIDI instrument at that time. If you don't want to, click Cancel. You can send the data later, if you choose to, by using the Sysx view.

See also:

Using the System Exclusive View


Bank Name dialog

When you select a bank in the Sysx view and click the Name button, the Bank Name dialog box appears. This dialog box lets you specify the name of the bank you selected. A bank must contain some Sysx data before you can name it.

See also:

Using the System Exclusive View


Bank Output dialog

When you select a bank in the Sysx view and click the Output button, the Bank Output dialog box appears. This dialog box lets you specify which MIDI output you want the bank transmitted to. This is useful when you have MIDI playback modules connected to several different ports of your MIDI interface and you want to control which module receives a particular Sysx message.

See also:

Using the System Exclusive View


Bank/Patch Change dialog

Select Insert-Bank/Patch Change to open the Bank Patch Change dialog box.

The output and channel of the selected track appear in the upper left corner.

Bank Select Method:

Choose from one of the following MIDI standard protocols:

  • Normal
  • Controller 0
  • Controller 32
  • Patch 100...127

For more information see Assigning the Bank Select Method.

Bank:

Select the Bank you want to use.

Patch:

Select the Patch you want to use.

If you want to use the Patch Browser dialog, click the Patch Browser icon.

See also:

To Insert a Bank/Patch Change

Choosing the Instrument Sound (Bank and Patch)


Bounce to Track(s) dialog

Select Edit-Bounce to Track(s) to open the Bounce to Track(s) dialog box.

This command lets you mix tracks down to one or two tracks in order to free up more tracks and/or lighten the load on your computer.

Note: If you select any data in your project, only that data is included when you choose to bounce tracks. Alternatively, you can mute tracks you don't want to include in the mixdown, and then check Track Mute/Solo in the Mix Enables field so that SONAR uses that information as a guide when picking what tracks to include in the mix.

The dialog box has the following fields:

Destination

Assign the track to which you want to mixdown. If you are creating two tracks of audio, the destination track must be the first of two consecutive blank or unwanted tracks.

Select from one of the following options:

  • Mix to Single Track Stereo Event(s)--All bounced tracks are mixed down to a single stereo track.
  • Mix to Separate Left and Right Tracks--All bounced tracks are mixed down to two mono tracks, left and right.
  • Mix to Mono Track(s)--All bounced tracks are mixed to a single mono track.

Source Bus(es)

Choose which soundcard or soundcards you want to use to process your mixdown. You can select one or more from the list.

Each Source to Separate Mix

Check this to create a separate file(s) for each device selected in the Source Bus(es) field.

Mix Enables

As default, each of the Mix Enables options is checked, meaning that your mixdown will sound the same as playback. You can check or uncheck each of the following settings to include or exclude them from the mix:

  • Track Mute/Solo--If you check this option, tracks that are currently muted are not mixed down. Also with this option checked. if any tracks are soloed, only those tracks are included in the mixdown.
  • Track Automation--If you don't check this option, any volume and pan automation, including initial volume and pan settings, is ignored when creating the new track(s). The amplitude of the raw data in the tracks is used, and the pan is C, or centered.
  • Clip Automation--If you don't check this option, any clip automation, including any trim settings, is ignored when creating the new track(s).
  • Aux Automation
  • FX Automation
  • Master Automation--If you don't check this option, any master bus automation, including the current master volume and balance settings, is ignored when creating the new track(s).
  • Track FX--If you don't check this option, any effects patched into various tracks' patch points, including any plug-in synthesizers patched into track fx patch points, are ignored when creating the new track(s).
  • Aux Returns--If you don't check this option, any effects patched into aux buses, including any plug-in synthesizers patched into aux buses, are ignored when creating the new track(s).
  • Master FX--If you don't check this option, any master effects, including any plug-in synthesizers patched into main buses, are ignored when creating the new track(s).

Note

The Edit-Bounce to Track(s) command affects only the current time selection. If a project is using any effects that add a "tail" to the end of the audio, such as reverb or delay, then you should make sure that you select extra silence (duration needed to hear the tail) at the end of the current selection before using the Edit-Bounce to Track(s) command. This ensures that the "tail" is included in the audio mixdown.

For more information, see:

To Mix Down Audio Tracks

To Convert Your DXi Tracks to New Audio Tracks


Change Audio Format dialog

Use the Tools-Change Audio Format command if you want to change the audio bit depth of a project from 16 to 24 or vice versa. Your sound card must be capable of playing the project at the new bit depth,

Note: If you change the audio format from 16 to 24, make sure that the file bit depth in the Audio Options dialog box (General tab) is set to 24, so that SONAR will allocate big enough blocks of memory to store the project.

The Change Audio Format dialog box has the following fields:

New Bit Depth

Choose 16 or 24, depending on what audio format you want for this project.

Dither

This choice is unavailable unless you choose 16 as the new bit depth. Dithering means to add a certain audio signal to 16 bit audio to make it sound more like it did as a 24 bit signal. Most people can't hear the difference, and dithering adds a larger load onto your computer's processor. You can wait to add the dither signal until just before mastering.

For more information, see Improving Audio Performance.


Chord Fret Number dialog

When you right-click a chord symbol in the Staff view, the Chord Properties dialog box appears. If there is a grid in the dialog box and you click to the right of it, the Chord Fret Number dialog box appears. This dialog box lets you enter a fret number to label the fret where the index finger goes (Finger 1). Create your grid and finger positions first, then label the index finger fret.

See also:

Adding Chord Symbols


Chord Properties dialog

In the Staff view, right-click a guitar chord or chord symbol to open the Chord Properties dialog box. This dialog box lets you edit the guitar chord.

See also:

Adding Chord Symbols


Choose Track Type dialog

Using the Insert key in the Track view inserts a new track of the same type as the current track, unless you use it in an empty project that has no tracks yet. In that case, the Choose Track Type dialog box appears, offering you the choice to insert either an audio or MIDI track.

See also:

Arranging Tracks and Clips


Chromatic Tuner

The Tuner view helps you to tune your instrument by analyzing any input signal from the sound card and displaying the pitch on a meter.

Note: The tuner only works with audio hardware that supports 16-bit audio and 44.1 sample rate.

See:

Tuning an Instrument


Clean Audio Folder dialog

The Tools-Clean Audio Fodler command opens the Clean Audio Folder dialog box. Use this command to delete digital audio files from an audio data folder that are no longer used by any of your projects. You should use this command from time to time to free up disk space.

Important: Make sure that all of your important project (.cwp and .wrk) files are stored in your local hard disk(s) before using this command. If your project files are stored elsewhere, such as a floppy drive, removeable drive, or network drive, you risk accidentally deleting important audio files that are associated with your projects.

Note: The Cakewalk Audio Finder (CWAFTool) is a more advanced utility for finding and removing unused projects and audio files. This utility can be installed from the AutoRun menu of the SONAR CD. If you have an older version of Cakewalk, you can download the Cakewalk Audio Finder from the Cakewalk Website.

Under Windows, deleted files are normally placed in the Recycle Bin. As a result, you should empty the Recycle Bin after using the Clean Audio Folder command, or the unused files will still physically remain on your hard disk.

If you are using another utility program that protects you from accidentally deleting important files (such as Norton Protect), you may need to disable that program. Otherwise, the next time you use the Clean Audio Folder command you may once again find these not-quite deleted files.

The Clean Audio Folder dialog box has the following fields:

File window

The file window lists all the unused audio files that SONAR finds.

Find button

Click this button to find all unused audio files and list them in the file window.

Play button

Click this button to play the audio file that is highlighted in the file window.

Delete button

Click this button to delete the audio file that is highlighted in the file window.

Delete All button

Click this button to delete all the audio files that are listed in the file window.

For more information, see:

To Delete Unused Audio Files


Clip Properties dialog--In Track

In the Clips pane, when you right-click a clip and choose Properties from the popup menu, the Clip Properties dialog box appears, which you use to set and view the properties of the clip you clicked.

The Clip Properties dialog box has the following fields:

Name

Use this field to type a new name for the selected clip, if you want to.

Start

Use this field to move the selected clip forward or backward in the track by setting a new start time.

Length

This field displays the length of the selected clip.

Snap Offset (for audio clips only)

The value of this field is the snap offset of the selected clip, in samples. When you set a snap offset value for a clip, and then drag the clip, the left edge of the clip does not snap to the current snap resolution--the clip snaps to a point on the clip that is the distance from the left edge of the clip to the snap offset value. For example, if you set the snap resolution to move to a measure, and the snap offset of a clip to 1500 samples, when you drag the clip, instead of the left edge of the clip moving to a measure line, the spot on the clip that's 1500 samples right of the beginning of the clip moves to the measure line.

Clips Linked to this Clip

This field tells you how many clips are linked to this clip.

Display Color

This field (which is greyed out if the Use Default Clip Color checkbox below it is checked) displays the current color of the selected clip, which you can change by clicking the Choose Color button, which opens the Color dialog box.

Use Default Clip Color checkbox

Checking this option leaves the selected clip's color the same as it was before you selected it.

See also:

Arranging Clips


Clip Properties dialog--Groove-Clips

The Action tab in the Loop Construction view allows you to enable looping (which enables slip editing), and set how the loop responds to the project's pitch and tempo.

Enable Looping

Checking the Enable Looping checkbox allows you to loop clips in the Track view by dragging the right side of a clip with your mouse. When Enable Looping is not checked, you are able to slip edit the clip. For more information about slip editing, see Slip Editing (Non-Destructive Editing).

Stretch to Project Tempo

the Stretch to Project Tempo checkbox instructs SONAR to stretch or shrink the clip to fit the project's tempo. SONAR uses the Beats in Clip and Original Tempo parameters are used to make the change.

Beats in Clip

The number of beats (quarter notes) in the clip.

Original Tempo

The tempo at which the clip was recorded.

Follow Project Pitch

The Follow Project Pitch option transposes the loop, if necessary, to the key of the project. A loop recorded in the key of A, used in a project in the key of C, would be transposed up three semitones if the Follow Project Pitch checkbox was checked.

Root Note

The Root Note represents the key in which the loop was recorded. The Follow Project Pitch feature uses this information, when checked, to transpose the loop to match the project's key.

Pitch (semitones)

You can set the transposition of a clip, independent from the project pitch, using the Pitch (semitones) field. A positive number transposes the clip up by that number of semitones. A negative number tansposes the clip down by that number of semitones. Remember that, if the Follow Project Pitch option is checked, the clip follows the project's pitch, so any transposition changes you make using this option are changes to the project pitch, not the clip pitch.

An example: The project key is C. The clip key is D. If the Follow Project Pitch option is checked, the clip is transposed down by two semitones. A value entered into the Pitch (semitone) field adjusts the pitch from C. If you enter "-1" the pitch would be transposed down by one additional semitone to B.

Another example: The clip pitch is E. The desired clip pitch is D. If the Follow Project Pitch option is not checked, and a value of "-2" is entered in the Pitch (semitones) field, the clip is transposed down two semitones to D from the original pitch of E.

Fine Pitch (cents)

The Fine Pitch (cents) field allows you to make tuning adjustments or to transpose the pitch of a clip up to 50 cents. There are 100 cents in one semitone. A Fine Pitch setting of "1" adjusts the pitch up one hundredth of a semitone. The Fine Pitch option can "fine tune" a slightly out of tune clip so that it is in pitch with the remaining clips in a project.

For more information, see:

Working with Loops

Working with Groove Clips

Creating and Editing Groove Clips


Clip Properties dialog--Audio Files

The Audio Files tab of the Clip Properties dialog lists the audio file(s) that make up the selected clip and the pathname(s) they are stored.


Clone dialog

The Track-Clone command opens the Clone dialog box. Use this command to copy a track to a new track. The Clone dialog box has the following fields:

Events

Check this checkbox if you want to copy the MIDI and audio clips in the highlighted track.

Link to Original Clip(s)

Check this checkbox if you want the clips in the new track to become linked clips with the identical clips in the original track.

Clone Properties

Check this checkbox if you want to copy the properties of the highlighted track, such as the name, output, channel, etc.

Clone Effects

Check this checkbox if you want the new track to use the same real-time effects that are patched into the original track.

Repititions

The number of tracks you want to create from the selected track.

Starting Track

The track at which your cloned track(s) appear. Existing tracks are moved down to make room, not overwritten.

See also:

Copying Tracks


Colors dialog

The Options-Colors command opens the Colors dialog box, which allows you to choose colors for most items that SONAR displays.

The Colors dialog box has the following fields:

Screen Element

This list shows all the items in SONAR you can set the color of. Highlight the one you want to change.

Follow System Color

This field lets you choose the same color for a highlighted item in the Screen Element list that Microsoft Windows uses for certain screen elements. For example, because Windows usually uses black for button text, if you highlight Window Background in the Screen Element list and then click Button Text in the Follow System Color field, all the window backgrounds in SONAR turn black (or whatever color you have set up for button text in your Windows preferences).

Use Specific Color

Choosing this option instead of the Follow System Color option allows you to pick a specific color for the highlighted item in the Screen Element list. Click the Choose Color button to open the Color dialog box, click the color you want, and click OK. The highlighted item in the Screen Element list changes to the color you chose.

Save Changes for Next Session

Check this checkbox if you want SONAR to use any new color assignments the next time you open SONAR.

Wallpaper

The options in this field allow you to set the color and design of SONAR's background area. The options are:

  • Default--Choosing this option causes SONAR to use its original color and design for the background.
  • None--Choosing this option causes SONAR to use a flat, grey color for the background.
  • Custom--Choosing this option opens the Wallpaper Bitmap dialog box, which allows you to choose a graphics file (bitmap) to use as the background.

The table below identifies each of the screen elements in SONAR:

Screen element... | Explanation...
Window background | Background color for the entire program window
Window text | Text color
Rules | Vertical lines used to mark values or time
Major rules | Major lines used to mark larger intervals of values or time
Values | Color of selected events and tempo changes in the Tempo view
Drawing | Colors used to show your drawing in the Piano Roll and Tempo views
Erasing | Color used to show your erasing in the Piano Roll and Tempo views
Event List Note | Color of note events in the Event List view
Event List KeyAft | Color of key aftertouch events in the Event List view
Event List Control | Color of controller events in the Event List view
Event List Patch | Color of patch events in the Event List view
Event List ChanAft | Color of channel aftertouch events in the Event List view
Event List Wheel | Color of pitch wheel events in the Event List view
Event List Sysx | Color of System Exclusive events in the Event List view
Event List Special | Color of other, special events in the Event List view
Note that is on | Color of currently playing notes
Events | Color of selected events in the Piano Roll view
Clips playing on MIDI outputs | Default color of clips on tracks assigned to MIDI outputs in Track view
Clips playing on Audio outputs | Default color of clips on tracks assigned to Audio outputs in Track view
Markers | Color of markers in time rulers
Pitch markers | Color of pitch markers in the Time Ruler
Loop points | Color of loop point markers
Punch points | Color of punch recording markers
Loop Construction View Samples | Sets the color of the wave forms in the Loop Construction view, which you can also configure from the Clips pane right-click menu by using the Clip Properties command
Anchor Points | When you set a snap offset in an audio clip, the anchor point marks where you set it; you can choose the color of the anchor jpoint
Tracks 1, 11, 21... | Color of all tracks that end in the number "1" (1, 11, 21, etc.)
Tracks 2, 12, 22... | Color of all tracks that end in the number "2" (2, 12, 22, etc.)
Tracks 3, 13, 23... | Color of all tracks that end in the number "3" (3, 13, 23, etc.)
Tracks 4, 14, 24... | Color of all tracks that end in the number "4" (4, 14, 24, etc.)
Tracks 5, 15, 25... | Color of all tracks that end in the number "5" (5, 15, 25, etc.)
Tracks 6, 16, 26... | Color of all tracks that end in the number "6" (6, 16, 26, etc.)
Tracks 7, 17, 27... | Color of all tracks that end in the number "7" (7, 17, 27, etc.)
Tracks 8, 18, 28... | Color of all tracks that end in the number "8" (8, 18, 28, etc.)
Tracks 9, 19, 29... | Color of all tracks that end in the number "9" (9, 19, 29, etc.)
Tracks 10, 20, 30... | Color of all tracks that end in the number "0" (10, 20, 30, etc.)
Track View Background | Color of the Track view's background.
Track View Volume Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Pan Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Trim Control Color | Sets the color of this parameter's automation envelope
Track View Aux Send 1, 9 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 2, 10 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 3, 11 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 4, 12 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 5, 13 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 6, 14 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 7, 15 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Send 8, 16 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 1, 9 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 2, 10 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 3, 11 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 4, 12 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 5, 13 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 6, 14 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 7, 15 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Aux Pan 8, 16 Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Mute Envelope Color | Sets the color of this parameter's automation envelope
Active Track Color | Sets the color of the track that has the focus
Selected Track Color | Sets the color of any selected tracks
Track View MIDI Chorus Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View MIDI Reverb Control / Envelope Color | Sets the color of this parameter's automation envelope
Track View Control Border | Sets the color of the outline border of all the Track view's controls

Note that if you set any other screen element to the same color as Window background, you'll make that screen element invisible!

Defaults button

Clicking this button restores all of SONAR's color settings to their original values.

For more information, see:

Screen Colors and Wallpaper


Control Surface Settings dialog

The Control Surface Settings dialog opens when you click the Add button [image] in the Control Surfaces dialog. The Control Surface Settings dialog also opens when you select a control surface from the Connected Surfaces list in the Control Surfaces dialog, and then click the Property Page button that's in the Control Surfaces dialog.

The Control Surface Settings dialog has the following fields:

  • Control Surface--use this field to select the control surface that you want to add to the Connected Surfaces list (this option is greyed-out if you open the dialog with the Property Page button).
  • Input Port--use this field to select the MIDI port that the control surface will use to send MIDI control data to SONAR.
  • Output Port--use this field to select the MIDI port that the control surface will use to receive MIDI control data from SONAR.

For more information, see:

Control Surfaces dialog

Working with External Devices


Control Surfaces dialog

Using the Options-Control Surfaces command opens the Control Surfaces dialog. This dialog allows you to enable as many control surfaces as you want to control SONAR with, and configure the control surfaces' interfaces.

The Control Surfaces dialog has the following fields and buttons:

  • Connected Surfaces list--This is a list of all the control surfaces that are currently active and enabled in your project. The list also displays the In Port and Out Port that the control surface will use to communicate with SONAR. You can double-click the name of one to change the ports. You can also change these ports in the Control Surface Settings dialog, which opens when you select a control surface from the list and then click the Property Page button that's in the Control Surfaces dialog.
  • Add button [image] --Clicking this button lets you to add another control surface to the list.
  • Delete button--Clicking this button deletes and disables the selected control surface from the list. You can re-enable it by clicking the Add button and selecting it from the drop-down menu.
  • Property Page button--Clicking this button opens the Control Surface Settings dialog.

For more information, see:

Working with External Devices

Control Surface Settings dialog


Convert MIDI To Shapes dialog

Using the Edit-Convert MIDI To Shapes command opens the Convert MIDI To Shapesf dialog box. This command lets you convert a controller envelope created in the Piano Roll view to a Track view envelope, or shape.

Note: If two clips overlap, the command converts the controller envelopes in both clips, in whatever parts of the clips lie in the selected time range.

See:

To Convert MIDI Controller Envelopes to Shapes

For more information, see:

Drawing MIDI Envelopes in the Track View


Copy dialog

The Edit-Copy command opens the Copy dialog box. which lets you put on the clipboard any selected objects. You can paste the contents of the clipboard elsewhere. See Paste dialog.

To remove rather than copy objects, see Cut dialog.

To make copies of linked clips, see Splitting and Combining Clips.

The Copy dialog box has the following fields:

Events in Tracks

If you check this checkbox, SONAR copies all events in the selected object.

Clip Automation

If you check this checkbox, SONAR removes all clip automation in the selection.

Track/Bus Automation

If you check this checkbox, SONAR removes all Track and Bus automation from the selection.

Tempo Changes

If you check this checkbox, SONAR copies all tempo changes in the selected object.

Meter/Key Changes

If you check this checkbox, SONAR copies all meter and key changes in the selected object.

Markers

If you check this checkbox, SONAR copies all markers in the selected object.

See also:

Moving and Copying Clips

Working with Partial Clips

Importing Material from Another SONAR Project

Importing MIDI Files


Create Fx Envelopes dialog

If you have already patched an automatable effect into a track, you can right-click in the Clips pane and choose Envelopes-Create-(name of the effect you patched) to open a dialog box containing a list of the effect's automatable parameters. You can create or delete an envelope for each parameter by checking or unchecking its checkbox.

If you patched the effect into an aux or virtual main bus, you can open the same dialog box by clicking in the Bus pane and choosing Create-(name of the effect you patched).

The dialog box has the following fields:

Envelope Exists list

This is a list of all the automatable parameters for this effect--the ones with checkmarks already have envelopes. You can create new envelopes by checking more checkboxes, or delete existing ones by unchecking checkboxes.

Choose Color button

Click this button to choose colors for any envelopes whose names are highlighted and checked in the list. When you highlight the name of a checked envelope in the Envelope Exists list, the current color of that envelope appears above the Choose Color button; click the Choose Color button and choose a new color for the highlighted envelope. If you want the same color for several different envelopes, you can highlight as many names at one time as you want by dragging through them, Shift-clicking them, or Ctrl-clicking them.

For more information, see:

Automating Effects


Crossfade dialog

The Process-Audio-Crossfade command lets you specify accurately the shape of a crossfade for a selection, clip, or track. This is a destructive edit--it permanenty alters the data that you apply it to. To apply a nondestructive volume change to selected data, see Drawing Envelopes on Clips, and Drawing Audio Envelopes in the Track View.

The Process-Audio-Fade/Envelope command opens the Crossfade dialog box, which has the following fields:

Name

This field contains a dropdown menu of different graphical shapes for the crossfade volume. The options are:

  • Exponential Crossfade--This option causes the selected audio to change volume rapidly at first, but much slower toward the end of the crossfade.
  • Inverse Exponential Crossfade--This option causes the selected audio to change volume slowly at first, but much faster toward the end of the crossfade.
  • Linear Crossfade--This option causes the selected audio to change volume at a constant rate throughout the crossfade.

Crossfade graph

The crossfade graph illustrates any type of crossfade you choose in the Name field, but you can also drag points on the graph to create any shape you want.

Reset button

Click this button to reset the crossfade graph to the shape that is selected in the Name field.

For step by step directions, see Fades and Crossfades.


Ctrl Surface Settings dialog

The Ctrl Surface Settings dialog appears when you click the Property Page button in the Control Surfaces dialog. This dialog allows you to choose inputs and outputs for the selected control surface.

The Ctrl Surface Settings dialog has the following fields:

  • Control Surface--This field lists the control surface you are choosing inputs and outputs for.
  • Input Port--Click the name of the input port you want to use.
  • Output Port--Click the name of the output port you want to use.

For more information, see:

Working with External Devices


Cut dialog

The Edit-Cut command opens the Cut dialog box, which lets you remove from the project and put on the clipboard any selected objects. You can paste the contents of the clipboard elsewhere. See Paste dialog.

The Cut dialog box has the following fields:

Events in Tracks

If you check this checkbox, SONAR removes every event in the selected object.

Clip Automation

If you check this checkbox, SONAR removes all clip automation in the selection.

Track/Bus Automation

If you check this checkbox, SONAR removes all Track and Bus automation from the selection.

Tempo Changes

If you check this checkbox, SONAR removes all tempo changes in the selected object.

Meter/Key Changes

If you check this checkbox, SONAR removes all meter and key changes in the selected object.

Markers

If you check this checkbox, SONAR removes all markers in the selected object.

Delete Hole

If you check this checkbox, SONAR removes the space in the track where the object was. SONAR moves all objects after the deleted object forward in time by the length of the deleted object. Checking the Shift By Whole Measures option causes SONAR to move the following clips forward, but only as far as the nearest whole measure.

For more information, see Moving and Copying Clips.

See also:

Erasing Tracks


Define Groove dialog

When you use the Process-Groove Quantize command, the Groove Quantize dialog box appears, which contains the Define Button. Clicking the Define button opens the Define Groove dialog box. which you use to save new groove patterns.

The Define Groove dialog box has the following fields:

Groove Source

This field lists the file that contains the currently loaded groove, along with the attributes.

Groove Library File

  • File--Use this field to select or type a filename, so you can save the current groove in a certain file.
  • Pattern--Use this field to select or type a pattern name, so you can save the current groove with a name you choose. If you try to save to a preexisting pattern name, SONAR asks if you want to overwrite (erase) that pattern.

Delete button

Click this button if you want to delete the groove pattern that is listed in the Pattern field.

See also:

To Save a Groove Pattern

Changing the Timing of a Recording


Define Instruments and Names dialog

When you use the Options-Instruments command, the Assign Instruments dialog box appears, which contains the Define button. Clicking this button opens the Define Instruments and Names dialog box,which has the following fields.:

The Define Instruments and Names dialog box contains two trees:

The Instruments Tree

The Instruments tree occupies the left side of the dialog box and lists all defined instruments and their characteristics

The Names Tree

The Names tree shows all the resources you use to define an instrument.

To define an instrument, you drag resources from the Names tree to the appropriate branches on the Instruments tree. Each resource is color-coded--for example, you can only drag a Names list to an Instrument tree branch of the same color.

See also:

Creating Instrument Definitions

Assigning Instruments

Importing Instrument Definitions


Deglitch dialog

The Process-Deglitch command opens the Deglitch dialog box. When recording MIDI guitar, even the best players occasionally play unintended notes. The Deglitch feature allows you to filter out many of these unintended notes.

There are three filters in the Deglitch dialog:

Pitch

With the Pitch filter you can set the maximum pitch allowed in the track. If a MIDI event has a higher pitch than the maximum you set, it is removed.

Velocity

With the Velocity filter you can set a minimum velocity allowed in the track. If a MIDI event has a lower velocity than the one you set, it is removed.

Duration

With the Duration filter you can set a minimum note duration for the track in either ticks or milliseconds. If a MIDI event has a shorter duration than the one you set, it is removed.

For step by step instructions, see To Use the Deglitch Filter.


Delay dialog

Using the File-Open command to open a Play List opens the Play List view, which has a Delay button.

Clicking the Delay button opens the Delay dialog box, which lets you specify a different kind of delay before the start of each song.

The Delay dialog box has these fields:

No Delay

Click this option to cause the song to start immediately following the previous song.

Wait for Key Press

Click this option to cause the song to start only after you press a key on your computer.

Wait for "N" Seconds

Click this option to cause the song to start only after a period of seconds, the number of which you fill in in this field.

See To Create and Edit a Play List, and To Play Files from the Play List View.


Delete dialog

The Edit-Delete command opens the Delete dialog box, which allows you to remove selected objects from the project. It doesn't put them on the clipboard, so they can not be subsequently pasted. You can specify the following objects to remove:

Events in Tracks

Removes all events in the selected clip(s).

Clip Automation

Removes any clip envelopes in the selected clip(s).

Track/Bus Automation

Removes any track or bus automation from the selected clip(s).

Tempo Changes

Removes all tempo changes in the selected clip(s).

Meter/Key Changes

Removes all meter and key changes in the selected clip(s).

Markers

Removes all markers in the selected clip(s).

You have the following options in the Delete dialog:

Delete Hole

If selected, the Delete Hole option removes the space in the track where the clip(s) had been. All clips after the deleted clip(s) are moved forward in time by the length of the deleted clip(s). Checking the Align to Measures option causes SONAR to move the following clips forward, but only as far as the nearest whole measure.

For more information, see To Delete Clips.


Delete dialog (with multiple selection)

If you have both a track and an effect selected, the Delete dialog appears with the following options:

Current Selection

Check this box if you want to delete the current track or clip selection.

Current Effect

Check this box if you want to delete the selected effect.


Drag and Drop Options dialog

If you right-click in the Clips pane and choose Drag and Drop Options from the popup menu, the Drag and Drop dialog box appears, which you use to control how clips behave when you drag them.

The Drag and Drop dialog box has the following fields:

Copy Entire Clips as Linked Clips

Choosing this option means that when you copy an entire clip and paste it, the new clip is a linked clip with the clip that you copied it from.

What to do with existing material

The fields in this section deal with the situation that occurs when you try to drag some data to a place in a track that already has some data.

  • Blend Old and New--Choosing this option tells SONAR to mix the new data with the old, with the following option:
  • Replace Old with New--Choosing this option tells SONAR to delete the old data, with the following option:
    • Delete Whole Measures--Choosing this option tells SONAR to delete the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.
  • Slide Over Old to Make Room--Choosing this option tells SONAR to slide the old data either forward or backward in the track to make room for the new data. with the following option:
    • Align to Measures--Choosing this option tells SONAR to slide the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.

Ask This Every Time

Choosing this option causes the Drag and Drop Options dialog box to open every time you drag some data.

See also:

Moving and Copying Clips

Splitting and Combining Clips


Drum Map Manager dialog

In the Drum Map Manager dialog you can create and save drum maps for use with hardware or software samplers. You can customize drum maps to select specific sounds on any of your samplers.

Drum Maps Used in Current Project

This field displays all the currently available drum maps. click the New buton to create a new drum map and Delete to delete a drum map. Select a drum map to display the drum mappings in the Drum Map Manager. All drum maps in this field are saved with the current project.

Presets

Presets can be used to populate the fields in the Drum Map Manager. This field is also used to save new drum maps by entering a name in the field and clicking the save button.

Source/Destination

The Source/Destination section is where you map the following for each In Note (source):

  • In Note--The source MIDI note value.
  • Out Note--The MIDI note value that plays on the destination sampler.
  • Name--The user-defined name for the row.
  • Channel--The channel on which the note is transmitted. There is an option to follow the track's Channel setting.
  • Out Port--The hardware output port or software virtual output port to which you are sending the note.
  • Vel+--Apply a velocity offset setting to an individual mapped pitch.
  • V Scale--The V Scale value sets a level of compression or expansion. A value below 100% is compression. A value above 100% is expansion.

Port/Channel Pairs

This section lists each unique Port and Channel pairing. This allows you to make quick global changes that Port and Channel pairing's bank and patch settings.


Dump Request Macro needs your input--Channel/Unit Number

When you click the Receive button in the Sysx view, and choose to receive sysx data from a synthesizer your system has trouble identifying, the Dump Request Macro needs your input dialog box appears. This dialog box, which appears if the system needs more information and you have two or more of the same synthesizer, lets you specify which channel or unit number you want dumped.

See also:

Using the System Exclusive View


Dump Request Macro needs your input--Patch/Voice/Config Number

When you click the Receive button in the Sysx view, and choose to receive sysx data from a synthesizer your system has trouble identifying, the Dump Request Macro needs your input dialog box appears. This dialog box, which appears if the system needs more information, lets you specify which patch, voice, or config number you want dumped.

See also:

Using the System Exclusive View


Duration dialog

When you use the Transport-Step Record command, the Step Record dialog box appears, which contains two Other buttons. Clicking the one on the Duration side of the dialog box opens the Duration dialog box. In the Duration field, enter the acrtual duration of the note you want to enter in ticks.

See also:

Step Recording


Edit Node dialog

Open the Edit Node dialog by right-clicking on a node and selecting Properties from the menu that appears.

Level

The node's value (% left or right pan, for example). Change the level by using the + or - keys to the left of the Level field or by clicking and dragging up or down.

Time

The node's time location in the track.

Select from the following time measurement options:

  • M:B:T
  • Samples
  • H:M:S:F
  • Seconds
Then change the value in the Time field as desired. Change the level by using the + or - keys to the left of the Level field or by clicking and dragging up or down.


Edit System Exclusive Bytes dialog

When you select a bank in the Sysx view and click the Edit button, the Edit System Exclusive Bytes dialog box appears. This dialog box lets you edit your bytes in hex.

See also:

Using the System Exclusive View


Event Filter dialog

If you want information about the Event Filter - Search dialog box, see Event Filter Select Some/Search/Replace dialog.

See Also:

Searching for Events

Event Filters

Selecting Events


Event Filter Select Some/Search/Replace dialog

  • Edit-Select-By Filter opens the Event Filter-Select Some dialog box. Use this command to select events of a specific nature that you specify in the dialog box. You can then edit all the events with any editing command.
  • Process-Interpolate opens the Event Filter-Search dialog box, which opens the Event Filter-Replace dialog box when you click OK. Use this command to select and replace events of a specific nature with events of a different nature that you specify in the Event Filter-Replace dialog box.
  • Go-Search opens the Event Filter-Search dialog box. Use this command to find the first instance of an event. Pressing F3 finds the next instance of the event. Pressing F3 repeatedly continues finding the next event until you reach the last one.

The Event Filter dialog box contains these fields:

The Save Presets Dropdown List

After you choose all your selection criteria, type a name for them in the text box and click the disk icon to save them. You can reuse each set of selection criteria by choosing the appropriate name from the dropdown list. Use the X button next to the disk icon to remove selected items from the list.

Include

Click the Include checkbox for each row of data types you want to include in your selection.

Note

Click the Note checkbox to search for notes of a specific type. You can specify pitch, velocity and duration data to narrow your search. Click any of the exc checkboxes to exclude data from your search. For example, if you click the exc checkbox under Key, you can exclude notes within the pitch range specified in the Min and Max fields.

KeyAft

Click KeyAft to include key aftertouch data in your selection. Choose the ranges of keys and pressure values you want to include (or exclude, by checking either of the exc checkboxes).

Control

Click the Control checkbox to include any or all of the standard controllers. Set ranges for which controllers and values you want to include or exclude.

RPN

Click RPN to include registered parameter controllers in your selection. Consult your sound module's documentation to see what RPN's it responds to.

NRPN

Click NRPN to include non-registered parameter controllers in your selection. Consult your sound module's documentation to see what NRPN's it responds to.

Patch

Click Patch to include bank and patch data in your selection. You can set a range of banks and/or patches to include or exclude.

ChanAft

Click ChanAft to include channel aftertouch (aftertouch that applies to a whole MIDI channel, not just individual keys) in your selection. Set a range of pressure values to include or exclude.

Wheel

Click Wheel to include pitch wheel data in your selection. Set a range of values to include or exclude.

All Non-Special Events

Set ranges in these fields to limit your selection to specific MIDI channels, beats, or ticks.

"Special Events"

Click any of the checkboxes in these fields to include instances of the following kinds of data in your selection (no ranges can be set for these events):

  • Audio-include audio data in your selection.
  • Text--include text boxes in the event list in your selection.
  • Expression--include expression marks in your selection.
  • SysxBank-include sysytem exclusive bank events.
  • Lyric-include lyrics in your selection.
  • Chord-include chord symbols in your selection.
  • SysxData- include sysytem exclusive data events.
  • MCI-include Media Control Interface commands

Hairpin-include crescendo or decrescendo marks in your selection.

All

Clicking the All button places a checkmark into all checkboxes in the dialog box.

None

Clicking the None button clears the checkmark from all checkboxes in the dialog box.

See Also:

Searching for Events


Event Manager dialog

You can open the Event Manager dialog box in two ways:

  • Right-click in the Event List view and choose Event Manager from the popup menu.
  • Click the Event Manager button in the Event List view

Use the Event Manager dialog box to select which types of events to display in the Event List view. The Event Manager dialog box has the following fields:

MIDI

Check the different kinds of MIDI events you want to display.

Special

Check the different kinds of special events you want to display.

Notation

Check the different kinds of notation events you want to display.

All/None buttons

Click an All/None button under the column of event types that you want to display all of or none of. Clicking the button toggles the display between each extreme.

See also:

Event Filters

Selecting Events

The Event List View


Export Audio dialog

Select File-Export-Audio to open the Export Audio dialog box.

This command lets you save and export your projects as Wave, MP3 files, and other types of formats. The dialog box has the following fields:

Look in

Shows the folder to which you are exporting your audio. Browse your available drives to choose a different directory.

Below the Look in field is a list of the selected folder's contents.

File name

Enter a name for the file you are creating.

File of type

Select from one of the following export formats:

  • Wave--The standard digital audio format used under Windows and for CD's, with a file extension of .wav.
  • Broadcast Wave--A wave file with the following embedded information:
    • Description--A brief description of the contents of the Broadcast wave. Limited to 256 characters.
    • Originator--The author of the Broadcast wave. This information is taken from the Author field in the File Info dialog.
    • Originator Reference--A unique reference identifier created by SONAR.
    • Origination Date--The date the file was created.
    • Origination Time--The time the file was created.
    • Time Reference--The SMPTE time stamp for the beginning of broadcast wave.
  • Real Audio--Digital audio compressed for streaming over the internet, with the file extension of .ra. When exporting to Real Audio format you will be prompted for more information about the file by the Real Audio Settings dialog box. For more information, see RealAudio Settings and RealAudio Formats.
  • Windows Media Advanced Streaming Format--The Microsoft Corporation's compressed audio format, with the file extension of .wma. If you choose Windows Media Advanced Streaming Format you will be prompted for more information about the file by the Microsoft Audio Encode Options dialog.
  • MP3--The mpeg-3 format, with the file extension .mp3.

Format

Select from one of the following options:

  • Mix to Stereo File(s) --All exported tracks are mixed down to a single stereo file.
  • Mix to Separate Left and Right Files--All exported tracks are mixed down to two mono files, left and right.
  • Mix to Mono File(s)--All exported tracks are mixed down to a single mono file.

Source Bus(es)

Choose which soundcard or soundcards you want to use to process your mixdown. You can select one or more from the list.

Each Source to Separate Mix

Check this if you want to create separate files for each device selected in the Source Bus(es) field.

Mix Enables

As default, each of the Mix Enables options is checked, meaning that your mixdown will sound the same as playback. You can check or uncheck each of the following:

  • Track Mute/Solo--If you check this option, tracks that are currently muted are not mixed down. Also with this option checked. if any tracks are soloed, only those tracks are included in the mixdown.
  • Track Automation--If you don't check this option, any volume and pan automation, including initial volume and pan settings, is ignored when creating the new file(s). The amplitude of the raw data in the tracks is used, and the pan is C, or centered.
  • Clip Automation--If you don't check this option, any clip automation, including any trim settings, is ignored when creating the new file(s).
  • Aux Automation
  • FX Automation
  • Master Automation--If you don't check this option, any master bus automation, including the current master volume and balance settings, is ignored when creating the new file(s).
  • Track FX--If you don't check this option, any effects patched into various tracks' patch points, including any plug-in synthesizers patched into track fx patch points, are ignored when creating the new file(s).
  • Aux Returns--If you don't check this option, any effects patched into aux buses, including any plug-in synthesizers patched into aux buses, are ignored when creating the new file(s).
  • Master FX--If you don't check this option, any master effects, including any plug-in synthesizers patched into main buses, are ignored when creating the new file(s).

Note

The File-Export-Audio command affects only the current time selection. If a project is using any effects that add a "tail" to the end of the audio, such as reverb or delay, then you should make sure that you select extra silence (duration needed to hear the tail) at the end of the current selection before using the File-Export-Audio command. This ensures that the "tail" is included in the audio mixdown.

For more information, see:

Mixing and Effects Patching

To Mix Down Audio Tracks

Converting Your DXi Tracks to Audio


Export OMF dialog

Select File-Export-OMF to open the Export OMF dialog.

This command lets you save and export your projects OMF files. The dialog box has the following fields:

Save in

Shows the folder to which you are exporting your project. Browse your available drives to choose a different directory.

Below the Save in field is a list of the selected folder's contents.

File name

Enter a name for the file you are creating.

File of type

Select from one of the following OMF file formats:

  • OMF version 1--Compatible with older applications.
  • OMF version 2--Compatible with newer applications.

Audio Packaging

  • Embed Audio Within OMF--Saves all audio in the OMF file.
  • Reference Audio Externally--Saves all audio in a subdirectory of the directory where you save the OMF file.

Audio Format

  • Write RIFF Wave--Export audio as WAV files.
  • Write AIFC--Export audio as AIF files.

Split Stereo Tracks to Dual Mono

Check this option to save stereo tracks as a pair of mono tracks.

Include Archived Tracks

Check this option to export tracks in the project that are currently archived.

Mix Each Groove Clip as a Separate Clip

Check this option to save each Groove clip as a separate clip. This option may increase the length of time it takes to export the project as an OMF file if there are many Groove clips in the project.


Expression Text Properties dialog

In the Staff view, when you right-click on a text expression, such as a ff marking, the Expression Text Properties dialog box appears.

This dialog box lets you edit the text and location of your expression text.

See also:

Adding Expression Marks


Extract Timing dialog

When you use the Process-Audio-Extract Timing command, the Extract Timing dialog box appears. This command lets you create MIDI notes and tempo changes from audio tracks. Use the Extract Timing dialog box to specify the characteristics of the selected audio SONAR uses to derive the time signature.

The Extract Timing dialog box has the following fields:

Preset field

Use this field to choose and enter presets. Click the Save button to save any group of new settings after you enter a name in the Preset field. Click the Delete button to delete any selected group from the Preset field.

Pulse Analysis

The parameters in this section determine how SONAR scans the audio data for percussive attacks. Set these parameters:

  • Trigger Level (db)--The value in this field determines the loudness of audio needed to trigger a new pulse.
  • Minimum Length (ms)--The value in this field determines the minimum allowable amount of time between pulses. If you are working with dynamic source material, and Extract Timing seems to generate clusters of pulses that seem incorrect, experiment with larger values for this parameter.
  • Find a Steady Rhythm--The value in this field tells SONAR to look for a steady rhythm among all the pulses it finds. For example, if you're analyzing a drum track that consists of a steady beat on the snare and kick-drum, but which also has some syncopated accents, you can use this option to ignore the syncopation and retain only the backbeat.

Timing Synthesis

The parameters in this section determine how SONAR converts the pulses into musically meaningful data. The Timing Synthesis parameters are as follows:

  • Insert Tempo Changes--Checking this checkbox tells SONAR to insert tempo changes in the appropriate places in your song to ensure that the sequence plays in time with the rhythm track. Remember to also set the Expected Pulse Duration, because it defines the metronome markings for all tempo changes.
    • Expected Pulse Duration--Choose a musical time value for the pulses that SONAR found. For example, if you're analyzing a drum beat that has steady eighth notes on the high-hat, set this value to Eighth for the correct tempo changes to be inserted.
  • Convert Each Pulse to MIDI Note--Checking this checkbox tells SONAR to create a MIDI note event for each pulse that was found, and the pitch window to the right of it lets you choose the pitch. The Note Velocities parameter lets you select which velocity is used.
    • Note Velocities--The two options in this field let you choose how SONAR assigns velocities to generated MIDI notes. You can either select Vary With Pulse Level to adjust velocity to the dynamic structure of the original source material, or select Set All To Same Value to assign each inserted MIDI note a specified velocity.

The Audition Button

The Audition button in the Extract Timing dialog draws note heads in the Track view, below the Time Ruler. You can use the Audition command to adjust the Extract Timing dialog's parameters before creating a MIDI timing track.


Fade/Envelope dialog

The Process-Audio-Fade/Envelope command lets you specify accurately the shape of a fade for a selection, clip, or track. This is a destructive edit--it permanenty alters the data that you apply it to. To apply a nondestructive volume change to selected data, see Drawing Envelopes on Clips.

The Process-Audio-Fade/Envelope command opens the Fade/Envelope dialog box, which has the following fields:

Name--Use this field to choose the kind of fade you want to apply to the selected data, from the following choices:

  • Exponential Fade In
  • Exponential Fade Out
  • Inverse Exponential Fade In
  • Inverse Exponential Fade Out
  • Linear Fade In
  • Linear Fade Out

Fade graph--This graph shows a visual representation of the type of fade you choose in the Name field. The graph changes as you drag the line or curve in different directions.

Reset button--Click this button to restore the graph to the shape of the fade that's listed in the Name field.

For step by step directions, see Fades and Crossfades.


File Info dialog

The File-Info command opens the File Info dialog box. In the File Info dialog box, you can document the following information for your project:

Title

Your song's title.

Subtitle

Your song's subtitle.

Instructions

Specific instructions about for playing your song.

Author

The author of the song.

Copyright

Applicable copyright information.

Keywords

Put keywords describing the song here for future reference.

Project Description Text Box

Project description or other information.

See also: File Statistics dialog.


File Statistics dialog

The File Statistics dialog box displays the following information about the contents of the project file:

Statistic... | What it means...
Created | The date the project was first saved.
Editing time | The total time you've had the project open, from the time it was created to the last time it was saved. This does not include time spent editing the project since you last saved it. If you want to update this value, save the project.
Revision | Each time you save a file that has been changed, this number is incremented. If you open a project, make no changes, then save it, the revision number is not changed.
Events | The total number of events in the project.
Sample rate | The sample rate for digital audio.
Bit depth | The bit depth of digital audio.
File version | The SONAR version number.


File Options dialog

The Options button in the Save As dialog opens the File Options dialog.

Check the Mark for Microsoft Media Player checkbox if you plan to use your MIDI files for use with the Microsoft Media Player.


Find Missing Audio File dialog

Use the Locate Missing Audio File dialog to find missing audio in your project. The following is a brief description of the options you have in this dialog:

Open--Click this button once you have searched for and found the missing audio file.

Skip--Click this button to move to the next missing file. When you skip and audio file your project opens without that piece of missing audio.

Skip All--Click this button to skip all missing audio files. When you skip all missing audio files, you project opens without those pieces of missing audio.

Search--Click this button to begin a search of all available hard drives for your missing audio file.

After locating the file Options--You can choose to either move an audio file to the project's audio data folder, copy an audio file to the project's audio data folder, or leave an audio file in its current fold.


Fit to Time dialog

The Process-Fit to Time command opens the Fit to Time dialog box, which you can use to stretch or shrink a selection so that it ends at a specific time, expressed in either measure:beat:tick (MBT) or hours:minutes:seconds:frames (SMPTE) format. This command gives you a choice of modifying the events or modifying the underlying tempo. This is useful when you want to alter a portion of a project to have an exact length. The start time of the selection does not change, but the end time is altered as necessary to fit the required time interval.

Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).

The Fit to Time dialog box has the following fields:

Original Time Span

This field lists the beginning location of the selection (the From value), and the ending location of the selection (the Thru value). You can toggle between MBT format and SMPTE format by clicking the Format button.

Adjust to End at New Time

Enter a value into the New Thru field of the new location where you want the selection to end.

Modify by Changing

Choose how you want to change the selection to change its duration. Usually, you change the Tempo Map; this method preserves the note durations and bar lines of your project. Choose from these options:

  • Tempo Map--Choose this option to change only the tempo(s) of the selection, leaving note durations and their relationships to bar lines unchanged.
  • Event Times--Choose this option to change the starting and ending times of all events in the selection, leaving the tempo(s) unchanged. This option is not available if any selected data contains a Groove clip.
  • Stretch Audio--Choose this option to cause any audio data in the selection to stretch or shrink to fit the new end time. This option has no effect on Groove clips.

See also:

To Stretch or Shrink to a Specific Length

Stretching and Shrinking Events

Working with Groove Clips


Global Options dialog--General

Using the Options-Global command opens the Global Options dialog box. Clicking the General tab gives you access to options you might want to set for all your projects.

Fill in or check the following fields:

Show Tooltips

Checking this option causes SONAR to show tooltips. Tooltips are small text names or explanations that appear when you hold the mouse over a tool.

Show Status Bar

Checking this option causes SONAR to show the Status bar, which displays whether any tracks are muted, soloed, or armed for recording or automation, and also contains the CPU and Disk meters.

Show MIDI Activity on Windows Taskbar

Check this option to display the MIDI Input/Output Activity icon on the Windows taskbar.

Display All Times as SMPTE

This option, when checked, forces all time displays to appear in SMPTE time regardless of the setting you have in the Time Ruler.

Display Left on Top for MIDI Pan Envelopes

When checked left is at the top of a clip for MIDI pan envelopes.

Display Envelopes on a Percentage Scale

This option, when checked, causes new envelopes to be placed in the clip based on a range where 0 dB is in the middle of the clip. If the current volume is other than 0 dB, a new envelope is created at that location. For example a new envelope created at 6 dB would appear at the very top of the clip where a new envelope created at -20 dB would appear near the bottom of the clip.

Load Non-SONAR Files in Offset Mode

This option causes smf, mid, rmi, wrk and bun files to open in Offset mode.

For more information about Offset mode, see Envelope Mode and Offset Mode.

Allow Only One Open Project at a Time

If you check this checkbox, when you open a new project SONAR will close any project that is already open and ask if you want to save any changes.

Allow MIDI Recording without an Armed Track

By default, SONAR requires you to arm a track before recording.

Ask before Sending System Exclusive (When Opening Projects)

If you check this option and then open a project that contains sysx data, SONAR asks you before sending the sysx data.

Always use Sysx Banks for MIDI Files (Instead of Sysx Data)

If you check this option, SONAR puts any sysx data contained in imported MIDI files into sysx banks instead of a stream of sysxdata events (except for auto-send data, which is sent before playback). These banks show up in the Event list as bank events. If you don't check this option, imported sysx data remains as sysx data events if it is up to 255 bytes, and is put into banks if it is 256 or more bytes.

Write Cable Meta Events to MIDI Files (Output Select)

If you select this option, SONAR can change the default output that a following (upcoming) sysx bank is sent to. The output select number is also inserted into the front of each track of a format 1 MIDI file to specify the output number.

Auto-save Every "N" Minutes or "N" Changes

Choose how many minutes or edits between automatic saves.

Base Octave for Pitches

There is no industry standard for numbering octaves. By default, SONAR calls MIDI note 0 (the lowest possible note) C0. The Yamaha FB-01, for example, shows MIDI note 0 as C-2 (C negative 2). To match SONAR to that standard, set Base Octave to -2.

Audition Audio Commands for "N" Seconds

When you apply an edit or effect to an audio clip, SONAR lets you audition that edit for "N" seconds: the value you fill into this field.

Enable Studiomix controller

If you check this option, SONAR accepts commands from your Studiomix controller.


Global Options dialog--Timecode

Using the Options-Global command opens the Global Options dialog box. Clicking the General tab gives you access to options you might want to set for all your projects.

Fill in or check the following fields:

When SMPTE/MTC timecode is detected

This option tells SONAR what to do when it detects SMPTE/MTC timecode. Choose from the following:

    • Ask first, then switch to clock source and start--this option prompts SONAR to alert you when it detects a SMPTE/MTC signal, asks if you want to sync to the incoming signal, and if you respond that you do, switches the clock source and starts to receive the signal.
    • Always switch the clock source and start--SONAR automatically switches to the clock source of the incoming signal and begins to receive the signal.
    • Do not switch clock source, but start if in SMPTE/MTC mode--this option automatically syncs to the incoming signal if SONAR is in SMPTE/MTC mode.
    • Never switch clock source, never start--SONAR does nothing when incoming SMPTE/MTC timecode is detected.
    Note: The final option, Never switch clock source, never start, should never be used if you are attempting to sync to an external clock source.

When clock source is set to SMPTE/MTC or MIDI Sync, pressing play in SONAR will:

This option tells SONAR what to do when you press play in SMPTE/MTC or MIDI Sync mode:

    • Switch current clock source and start playback--Switch the clock to Audio (from SMPTE or Sync), and start playback. This cancels SMPTE (or Sync) mode.
    • Maintain current clock source and wait for timecode--Do not switch the clock (Stay in SMPTE or Sync mode), but wait for SMPTE or Sync. The playback button remains depressed.

For more information, see:

Using the System Exclusive View

Recording

Mixing and Effects Patching


Global Options dialog--MIDI

Using the Options-Global command opens the Global Options dialog box. Clicking the MIDI tab gives you access to options you might want to set for all your projects.

The MIDI tab has the following sections:

Record

Use the fields in this section to choose what MIDI events you want to record. Choose any or all of these options:

  • Notes
  • Key Aftertouch
  • Controller events
  • Patch Changes
  • Channel Aftertouch
  • Pitch Wheel
  • System Exclusive data
    • Buffers--Choose how many MIDI buffers you want SONAR to use. The default value of 64 works well most of the time. If you experience frequent MIDI overflow from using MIDI plug-ins or lots of Sysx data, try a larger number, such as 128.
    • Echo System Exclusive--Choose this if you want to echo Sysx data to the MIDI channels shown in the Options-Project dialog box on the MIDI Input tab.

Playback

Prepare Using N Millisecond Buffers--This option lets you specify how far in advance SONAR prepares MIDI data during playback. The default is 500 milliseconds.

If playback stops prematurely, you may try larger values (although you should also check the buffer options in Options-Audio, Advanced tab).

If you are using MIDI effects, you may want to try smaller values--for example, 100 milliseconds. Doing so means that, if you change a property for a MIDI effect, there will be less delay before you hear the new value take effect.

For more information, see:

MIDI Track Parameters

MIDI Input and Echo Controls

Recording Music from a MIDI Instrument


Global Options dialog--Folders

Using the Options-Global command opens the Global Options dialog box. Clicking the Folders tab gives you access to options you might want to set for all your projects.

This tab lets you specify folders for all your different kinds of SONAR files. The default locations for all of these file types usually work well. However, if you find that this folder gets cluttered, changing the locations of the file types listed on this tab won't hurt anything, as long as you remember where you put things.

Note: The only folder location you have to be careful with (and it isn't listed on the Folders tab) is the Audio Data folder, which SONAR creates in the main application folder when you install it. SONAR stores all audio data that is associated with project files in this folder. If you move this folder, SONAR can not find the audio data for projects you have already recorded. To tell SONAR where you moved the folder, fill in the location in the Global Audio Folder field on the Audio Data tab of the Global Options dialog.

You can change the folder for a file type by typing a new path name in the particular file type's window on the Folders tab, or by clicking the browse button that's located at the end of the file type's window and navigating to the folder that you want to store that file type in. You can set different locations for the following filetypes:

Songs (.CWP, .MID, CWB)

.cwp and .cwb files are your standard SONAR project files. The default directory for your project files is Cakewalk Projects, located located in the root directory. .mid files are Standard MIDI Files and can be put anywhere you like.

Templates (.cwt)

These files store your favorite setups for window arrangement and instrument combinations. The default directory for template files is the Sample Content folder located in the main SONAR application folder. They have the file extension .cwt.

CAL Files

These are small programs written in Cakewalk Application Language, that perform specialized MIDI editing. The default directory for CAL files is the Sample Content folder located in the main SONAR application folder. They have the file extension .cal.

Window Layouts

You can save or apply (load) various arrangements of views that you create by using the View-Layouts command. Naming and saving a layout creates a file called (file name)CakewalkWindowLayout, where you supply a file name. The file has the extension .cak, but the extension is only visible if you look at the file's Properties. The default directory is the Sample Content folder located in the main SONAR application folder, but you can choose a different location.

Wave Files

These files are the standard Windows audio files that you can import into and export out of SONAR. They have the file extension .wav. The default directory for wave files is the Sample Content folder located in the main SONAR application folder, but you can choose a different location.

Video Files

You can import .avi, ,mpg, and QuickTime video files into SONAR. The default directory for video files is the Sample Content folder located in the main SONAR application folder, but you can choose a different location.

Sysx Files (.SYX)

When you create and save a .syx file. The default directory for sysx files is the Sample Content folder located in the main SONAR application folder, but you can choose a different location.

Play List (.SET)

When you create and save a .set file. The default directory for play list files is the Sample Content folder located in the main SONAR application folder, but you can choose a different location.

Groove Quantize (.GRV)

When you create and save a .grv file. The default directory for groove quantize files is the Sample Content folder located in the main SONAR application folder, but you can choose a different location.

StudioWare

When you create and save a StudioWare file. The default directory for StudioWare files is the Sample Content folder located in the main SONAR application folder, but you can choose a different location. The file name for a a StudioWare file is (file name) CakewalkStudioWare. The file name has the extension .cak, but the extension is only visible if you look at the file's Properties.

Patterns

Used by the Pattern Brush tool in the Piano Roll view, patterns can be painted into the drum map grid and can include rhythm, pitch and velocity data. The default directory for pattern files is the Pattern Brush Patterns folder located in the main SONAR application folder.

For more information about the Pattern Brush, see The Pattern Brush Tool.

Drum Maps

You can create drum maps to redirect any number of MIDI drum tracks to internal (software)and external (hardware) synthesizers or samplers. The default directory for drum map files is the Drum Maps folder located in the main SONAR application folder.

For more information about drum maps, see Drum Maps and the Drum Grid Pane.


Global Options dialog--Editing

Using the Options-Global command and clicking the Editing tab gives you access to editing options you might want to set for all your projects.

This tab lets you specify two things:

  • How you want drag and drop to work (see drag and drop options below)
  • Whether you want SONAR to automatically add a crossfade between two audio clips that overlap (see general options below)

Drag and Drop options:

Choose from the following drag and drop options:

Copy Entire Clips as Linked Clips--When you copy an entire clip, choosing this option causes the new clip and the clip that you copied it from to be linked clips.

What to do with existing material--The fields in this section deal with the situation that occurs when you try to drag some data to a place in a track that already has some data.

  • Blend Old and New--Choosing this option tells SONAR to mix the new data with the old, with the following option:
  • Replace Old with New--Choosing this option tells SONAR to delete the old data, with the following option:
    • Delete Whole Measures--Choosing this option tells SONAR to delete the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.
  • Slide Over Old to Make Room--Choosing this option tells SONAR to slide the old data either forward or backward in the track to make room for the new data. with the following option:
    • Align to Measures--Choosing this option tells SONAR to slide the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.

Ask This Every Time

Choosing this option causes the Drag and Drop Options dialog box to appear every time you drag some data.

General options

Choose from these general editing options:

Crossfade Audio clips upon overlap--Choosing this option tells SONAR to automatically smooth out any volume differences between overlapping audio clips, nondestructively. If you choose this option to drag clips, and then disable it to drag some other clips, the clips with the crossfades retain their crossfades.

See Also:

Moving and Copying Clips

Fades and Crossfades


Global Options dialog--Audio Data

Using the Options-Global command and clicking the Audio Data tab gives you access to the following options.

Global Audio Folder

The Global Audio Folder is where audio files are stored for all projects when per-project audio is not turned on. It is also used to store audio for older, non-per-project audio projects, as well as a temporary folder for unpacked bundle files and to store audio for as yet unnamed projects.

Picture Folder

This folder contains the waveform images for all audio files in all your projects.

All Projects--Always copy imported audio files

When checked this option forces SONAR to always copy all imported audio files to your audio data directory. If you want to keep all your audio files in one location, always keep this option checked.

All Projects--Always Import Broadcast Waves at Their Timestamp

Forces SONAR to ignore the Now Time when importing Broadcast Wave files. When this option is checked, Broadcast Waves begin at their SMPTE timestamp in your project.

All Projects--Export Broadcast Waves By Default

Check this option if you want the Broadcast Waves option to apear by default in the Export Audio dialog.

Per-Project Audio--Use Per Project Audio Folders

When checked this option allows you to use a different audio data folder for each project. This option is unchecked by default.


Go dialog

The Go-Time command opens the Go dialog box, which allows you to jump to a new Now Time.

The Go dialog box has only the following field:

To Time

In this field, fill in the time you want to move to according to the table below. You can click the spin controls (plus-minus buttons) to move forward or backward one tick at a time. When you click OK, the Now time becomes the time in the To Time field.

When you enter a time in MBT format, the beat and tick value are optional. You can use a colon, period, space, or vertical bar to separate the parts of the Now time:

You enter... | The Now time is set to...
2 | 2:00:000
2 1 | 2:01:000
4 2 0 | 4:02:000
9:1 | 9:01:000
5.1.30 | 5:01:030

If you click in the time ruler while the snap grid is enabled, the Now time snaps to the nearest point in the grid. By setting the grid size to a whole note or quarter note you can easily set the Now time to a measure or beat boundary.

You can also use the buttons and the scroll bar in the Transport toolbar toolbar to adjust the time.

See also:

The Now Time and How to Use It


Graphic EQ dialog

When you use the Process-Audio-Graphic EQ command, the Graphic EQ dialog box appears. This command lets you equalize your audio over ten frequency bands, that is, ten octaves.

The Graphic EQ dialog box has the following fields:

Preset field

Use this field to choose and enter presets. Click the Save button to save any group of new settings after you enter a name in the Preset field. Click the Delete button to delete any selected group from the Preset field.

Frequency/Volume sliders

This dialog box has ten frequency/volume sliders, each of which has a specific frequency associated with it, that is listed at the top of each slider. Drag a slider up or down to boost or cut the frequency that is associated with it.

Audition button

Click this button to hear the results of your effect on the first three seconds of the selected audio.

See also:

Audio Effects (Audio Plug-ins)

Equalizing Audio Data


Groove Quantize dialog

The Process-Groove Quantize command opens the Groove Quantize dialog box. Groove Quantizing is a way to edit a track so that its rhythmic feeling and, optionally, controller data are similar to some other piece of music. The other piece of music forms a groove pattern that you store in a groove file, which has an extension of .grv.

The Groove Quantize dialog box has the following fields:

Presets

Use this field to save or apply a group of settings, which include all the fields in the Groove Quantize dialog box except Groove File and Groove Pattern. Clicking the disk icon saves the current group of settings under the name you type into the presets window. Choosing a setting from the window's dropdown list applies it to the dialog box. Clicking the X icon deletes the current preset from the list.

Groove File

Use this field to choose what groove file you want to choose a groove pattern from. Groove files have the extension .grv.

Groove Pattern

Use this field to choose the pattern you want to apply to the selected data.

Resolution

Set the note resolution. The smaller the note value, the more precise the quantization. See Resolution.

Window

This field determines what SONAR does to notes that are far from the quantization points. See Window. The Window fields include the following:

  • Sensitivity--This value determines how far from the quantization grid SONAR looks to find notes to quantize. A value of 100 percent quantizes every note. See Window.
  • If Outside Window--This field offers the following choices:
    • Do not change--Choosing this option means that SONAR leaves notes alone that lie outside the window.
    • Quantize to Resolution--Choosing this option means that SONAR quantizes out-of-window notes according to the resolution value instead of the groove pattern.
    • Move to Nearest--Choosing this option means that SONAR moves out-of-window notes to the nearest groove event.
    • Scale Time--Choosing this option means that SONAR moves out-of-window notes so that they are equally spaced.

Only Notes, Lyrics and Audio

Check this box to prevent MIDI controller, aftertouch, and xRPN data from changing.

Strength

The values in the Strength section determine how closely SONAR changes the selected notes to match the groove's values.

The Strength section has these fields:

  • Time--Drag the slider in this field to set how closely SONAR moves the start time of the selected notes to the groove's start times.
  • Duration--Drag the slider in this field to set how closely SONAR moves the durations of the selected notes to the groove's durations.
  • Velocity--Drag the slider in this field to set how closely SONAR moves the velocities of the selected notes to the groove's velocities.

Define button

Click this button to define a new groove pattern. See Defining a Groove.

See also:

To Use the Groove Quantize Command

Groove Quantize Tips

Changing the Timing of a Recording


Group X Properties dialog

When you right-click a control in the Console view and choose Group Properties from the popup menu, the Group X Properties dialog box appears, where X is the letter of the group that the control belongs to.

This dialog box lets you specify the relations of controls in a group, and has the following fields:

Absolute button

Click this radio button to cause the grouped controls to move in the same direction at the same speed. See Absolute.

Relative button

Click this radio button to cause the grouped controls to move in the same direction but not at the same speed. See Relative.

Custom button

Click this radio button to custom-design the way the grouped controls move. See Custom.

Name column

This column is not active unless the group is a custom group. The Name column lists all the controls in the group of the control you right-clicked.

Start Value column

This column is not active unless the group is a custom group. The Start Value column lists the beginning values of all the controls in the selected group.

End Value column

This column is not active unless the group is a custom group. The End Value column lists the ending values of all the controls in the selected group.

Start Value number field

This field is not active unless the group is a custom group. Edit the Start Value of the control that is highlighted in the Name column by typing a new number into the Start Value number field.

End Value number field

This field is not active unless the group is a custom group. Edit the End Value of the control that is highlighted in the Name column by typing a new number into the End Value number field.

Swap button

Click the Swap button to exchange the Start Value with the End for the control that is highlighted in the Name column

See also:

Using Control Groups


Hairpin Properties dialog

In the Staff view, right-click on a hairpin (crescendo or decrescendo) to open the Hairpin Properties dialog box.

Use these fields to edit the hairpin that you right-clicked:

  • Time--Type the location you want the hairpin to move to.
  • < Crescendo--Click this option to change the hairpin to a crescendo.
  • > Diminuendo--Click this option to change the hairpin to a decrescendo.
  • Duration--Type the length you want the hairpin to last.

See also:

Adding Hairpin Symbols


Import Instrument Definitions dialog

When you use the Options-Instruments command, the Assign Instruments dialog box appears, which contains the Define button. Clicking this button opens the Define Instruments and Names dialog box, which contains the Import button. Clicking the Import button opens the Import Instruments Definitions dialog box, which lets you choose instrument definitions from the manufacturer of your instrument, and which has the following fields.:

Look in

Use this field to navigate to the folder that contains the instrument definitions you want to import,

File name

You can type the name of the file that you want to import, or click the file name in the window that's just above the File name field. Instrument Definiton files have the extension .ins.

Files of type

The only choice in this field is Instrument Files ( *. ins).

See also:

Importing Instrument Definitions

Assigning Instruments

Creating Instrument Definitions


Import Video File dialog

SONAR's Import Video File dialog lets you include an AVI, MPEG, or QuickTime video in your project. This video is shown in real time as your project plays.

The Video view displays the current time (as in the Big Time view) and the video itself. The display in the Video view is synchronized with the Now time, giving you convenient random access to the video stream. This makes it easy to align music and digitized sound to the video.

If the Video view is the active window, you can now use keyboard shortcuts to advance by a frame or a frame increment. The +/-, and left/right arrow keys move forward/backwards by a single frame. If the control key is pressed, then the frame increment value is used (the default is 5 frames) Alternatively you can use the [ and ] keys to seek by the frame increment. See Changing the Frame Increment.

Commands in the Video view's pop-up menu let you set the time display format, the size and stretch options for the video display, the video start and trim times, and other options. Your project's video and digital audio data can be saved together in a new AVI file with File-Export Video to AVI command. For more information, see Preparing Audio for Distribution.

Note:

The project's video file is saved in the project by reference only; the actual video data remains in the original file.

Use these options in the Video File dialog box:

Option... | What it means...
Look in | Use this field to find the folder that contains the video file you want to insert.
File name | Use this field to find the video file you want to insert. Clicking the name of the file in the window above this field causes it to appear in the File name field.
Files of Type | Use this field to select what type of video files to display. Note: If your system has a basic Windows installation with DirectShow installed, you may not be able to insert QuickTime video files. You may need to install the latest video Codecs from Microsoft's web site in order to import different video formats. The problem can be solved by going to Microsoft's web site(http://www.microsoft.com) and downloading and installing the latest version of Media Player.
Show File Info | If you check this option, SONAR displays the video file's fomat tag, audio sample rate, and length in both audio samples and time.
mport Audio Stream | If you check this option, SONAR imports the video file's audio file along with the video. Select a blank track before you do this.
Stereo Split | If you check this option, SONAR imports the video file's audio file into two separate tracks, instead of one stereo track.
Open | After you decide what options you want, clicking the Open button imports the video and, optionally, the accompanying audio into your project.

For more information, see:

Video Playback

To Export Video and Audio to an AVI File

To Load a Video File Into the Project

To Delete the Video From the Project

To Enable or Disable Video Playback

To Set the Time Display Format


Initialization File Settings dialog

The Options-Initialization File command opens the Initialization File Settings dialog box, which allows you to store information about your preferences and configuration. You can edit these three initialization files, which are stored in the SONAR program folder:

  • CAKEWALK.INI
  • TTSSEQ.INI
  • AUD.INI

To view and edit the cakewalk.ini file, choose Options-Initialization File.

To edit the other two files, or the cakewalk.ini file, use the Windows Notepad.

There are several other .ini files in the SONAR folder, but you should not attempt to edit or modify these files in any way. Changes to these other files could cause SONAR to stop operating properly.

Before making any changes to any of the .ini files, you should make a backup copy in case you make a mistake. After you have made your changes, save the file and close Notepad. SONAR reads the settings in these files only when it first starts up. Therefore, if you change any settings while SONAR is running, you should exit and restart SONAR in order for the changes to take effect.

The Initialization File Settings dialog box has the following fields:

Variable list

The large window in the Initialization File Settings dialog box lists variables that are already assigned to values. Next to the variables, after the equal sign, are the values that each variable is currently assigned to.

Option

Type the variable into this field that you want to set a value for, for example, DrawPlayingAudio. Spelling is critical, but case doesn't matter.

Value

Type the number or value that you want to assign to the variable that is in the Option field.

Set button

Click this button to finish assigning the number in the Value field to the variable in the Option field.

Delete button

Click this button to delete the variable assignment that's highlighted in the Variable list.

See also:

Initialization Files

Initialization File Format

Variables in the [MIDI Input Devices] Section

Variables in the [MIDI Output Devices] Section

Variables in AUD.INI

CAKEWALK.INI

TTSSEQ.INI

AUD.INI


Insert Pitch Change dialog

Right-clicking in the time ruler and choosing Insert Pitch Change from the popup menu opens the Insert Pitch Change dialog box.

This command changes the pitch of a Groove clip at the Now time at which you insert the command.

For more information, see:

Creating and Editing Groove Clips

Using Pitch Markers in the Track View


Insert Series of Controllers dialog

Select Insert-Series of Controllers from the menu to open the Insert Series of Controllers dialog box.

This command lets you change controller event values smoothly over a specified time range.

Choose from the following options:

Insert

this field let you choose what kind of data to insert:

  • Pitch Wheel
  • Controller
  • RPN
  • NRPN
  • Number-this field is not available if you click the Pitch Wheel checkbox above. If you clicked the Controller checkbox, choose a value from the dropdown list . If you checked RPN or NRPN, consult the manual of your sound module to see what values it will accept.

Value Range

Enter a Begin value and an End value for your controller data.

Time Range

Enter From and Thru values to create a time boundary for your new controller data.

See Also:

Using the Controllers Pane


Insert Series of Tempos dialog

This command lets you change tempo smoothly over a specified time range by inserting a series of tempo changes.

Tempo Range

  • Begin-enter the tempo you want to start the tempo range at.
  • End- enter the tempo you want to end the tempo range at.
  • Step-enter a value in beats and clock ticks for how often you want SONAR to insert a tempo change into your tempo range.

Time Range

  • From-enter the time location in your project where you want the tempo range to start.
  • Thru- enter the time location in your project where you want the tempo range to end.

See Also:

To Insert a Series of Controllers

Using the Tempo Commands

Controllers, RPNs, NRPNs, and Automation Data


Insert Time/Measures dialog

Select Insert-Time/Measures to open the Insert Time Measures dialog box.

This dialog lets you insert the amount of time you specify at the point you indicate in the music. You can specify what events to slide over to make room for the new amount of time.

At Time:

The time at which you want to insert time, seconds, ticks or frames.

Insert:

Set the number of one of the following to insert at the At Time:

  • Measures
  • Seconds
  • Ticks
  • Frames

Slide:

Select whether you want to slide (move down the track by exactly the amount of time you are adding) any of the following:

  • Events in Tracks
  • Markers
  • Meter/Key Changes
  • Tempo Changes

See also:

Inserting Time or Measures into a Project


Insert DXi Synth Options dialog

This dialog appears when you use the Insert-DXi Synth-(name of the synth you want to insert) command, the Insert-ReWire Device-(name of the synth you want to insert) command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu.

This dialog inserts the soft synth whose name you clicked into your project. Inserting it means that the synth's name is added to the audio tracks' In menus and the MIDI tracks' Out and Ch menus. Besides inserting the synth, the dialog has some options:

Create These Tracks:

  • MIDI Source Track--if you choose this option, a new MIDI track appears that lists the particular soft synth you chose in the MIDI track's Out field. You still need to choose values in the MIDI track's Pch and possibly Ch menus.
  • First Synth Output (Audio)--if you check this option, a new audio track appears that uses the synth's first output as an audio input.
  • All Synth Outputs (Audio)--if you check this option, new audio tracks appear for each output that the synth you chose has. Each of the new tracks uses a different one of the synth's outputs as an audio input.

Open These Windows:

  • Synth Property Page--if you choose this option, the interface (property page) of the synth you're inserting appears when you insert it.
  • Synth Rack view--if you choose this option, the Synth Rack view appears each time you insert another synth (or another instance of a DXi you've already inserted).

Ask This Every Time

If you check this option, this dialog appears every time you use the Insert-DXi Synth-(name of the synth you want to insert) command, the Insert-ReWire Device-(name of the synth you want to insert) command, or click the Insert button in the Synth Rack view and choose a synth from the popup menu. If you always insert soft synths in the same way, you can uncheck this option so you don't have to deal with the dialog box each time. To open the dialog when the option is unchecked, click the Insert DXi Synth Options button in the Synth Rack view toolbar.

For step-by-step instructions, see:

Inserting a DXi

Working with Software Synthesizers

ReWire Instruments


Interpolate and Event Filter dialog

The Process-Interpolate command is a search-and-replace command that uses two dialog boxes. The command itself opens the Event Filter-Search dialog box. In this dialog box, you fill in the kinds of events you want SONAR to find and select. When you click OK, the Event Filter-Replace dialog box appears. In this dialog box, you fill in the kind of events you want to replace the selected events with.

To see some examples of how to fill in the dialog boxes, see Process-Interpolate.

For an explanation of all the fields in the Event Filter dialog box, see Event Filter Select Some/Search/Replace dialog.


Key Bindings dialog

Key bindings let you associate SONAR commands with keys on your MIDI or computer keyboard. This makes it easy for you to access specific features more quickly and efficiently.

The Options-Key Bindings command opens the Key Bindings dialog box, which lets you specify which keys and key combinations to use for specific SONAR commands.

The Key Bindings dialog box has the following fields:

Type of Keys

Use these options to choose what kind of keys will trigger selected SONAR commands:

  • Computer--links computer keyboard commands to specific SONAR commands.
  • MIDI--links MIDI keyboard commands to specific SONAR commands. The Enabled checkbox must be checked for MIDI keys to function.

MIDI `Shift' Options

You can designate a MIDI Key or Controller (usually a pedal) to act as the Shift key. That way you can require that the Shift key be depressed before any command is triggered, so you only lose one note or pedal from its regular function.

Use these options to choose what acts as the Shift key:

  • Key--Clicking this option makes a key on your MIDI keyboard act as the Shift key. Choose which key by clicking the + or - buttons in the window that's just to the right of the Key button.
  • Controller--Clicking this option makes a controller on your MIDI keyboard act as the Shift key. Choose which controller (usually the sustain pedal) by choosing one from the dropdown list that's just to the right of the Controller button.

Bindings

The Bindings field has two windows in it:

  • Key--Use this window to highlight a key that you want to bind to a command in the Function window.
  • Function--Use this window to choose a command to bind to a highlighted key in the Key window.

Save Changes for Next Session

Check this checkbox to save any changes.

Bind button

Click this button to bind a highlighted key to a highlighted function.

Unbind

Click this button to unbind a highlighted key from a highlighted function.

Zap All

Click this button to remove all key bindings.

See Also:

Key Bindings


Kind of Event dialog

In the Event List view, double-clicking the name of any event that's listed in the Kind column opens the Kind of Event dialog box.

After you double-click the name of an event, you can change that event into another kind of event by choosing the new kind of event in the Kind of Event dialog box.

See also:

Event List View


Length dialog

The Process-Length command, which opens the Length dialog box, can be used to stretch or shrink MIDI and/or audio clips, and/or to move their start times. Process-Length lets you stretch or shrink the selection by a fixed percentage and makes the adjustment by altering the individual events. A value of 200 percent, for example, stretches the selection to twice its original length, while a value of 50 percent shrinks the selection to half its original length.

This command offers the option to stretch audio clips along with the MIDI information. Sometimes you don't want to adjust the speed of your audio. Audio can be stretched or condensed up to a factor of 4 (e.g., it can be shrunk to as little as 25 percent of its original length, or expanded to as much as 400 percent of its original length).

You can also use the Process-Length command to alter only the start times or the durations of notes. For example, changing the durations of notes to 50 percent of their original length can create a staccato effect.

The Length dialog box has the following fields:

Change

Use the fields in this section to tell SONAR what to change, including:

  • Start Times--Choose this option if you want the start times of the selected events to shift by a percentage of their distance from the beginning of the selection. For example, if a note starts on beat 3 of a selection and you enter a value of 50 percent, SONAR shifts the start of the note one beat to the left, or half of 2 beats.
  • Durations--Choose this option if you want the durations of the selected events to shrink by a percentage.
    • Stretch Audio--Choose this option if you want duration of any selected audio to change.

By "N" Percent

Fill in the percentage number that you want the selected events to change by, which can be positive or negative.

See also:

Stretching and Shrinking Events


Loop/Auto Shuttle dialog

The Transport-Loop and Auto Shuttle command opens the Loop/Auto Shuttle dialog box. This dialog box lets you specify start and stop times for looping and whether you want the loop to start over again.

The Loop/Auto Shuttle dialog box has the following fields:

Start Time

Enter a time where you want the loop to start.

End Time

Enter a time where you want the loop to end

Rewind to Start Time on Stop

If you check this option, whenever you stop playback, SONAR rewinds immediately to start of the loop (this option is off by default).

Stop at the End Time

Playback does not proceed beyond the end of the loop.

Loop Continuously

When playback reaches the end of the loop and rewinds to the start, playback continues automatically.

See also:

Looping


Lyric Properties dialog

In the Staff view, when you right-click on a word or syllable in the lyrics, the Lyric Properties dialog box opens. Use this dialog box to change a syllable's timing or text.

See also:

Working with Lyrics


Map Properties dialog

The Map Properties dialog lets you change all the settings for an individual mapped note in your drum map.

You can edit the following settings in the Map Properties dialog:

Name

A descriptive, user-assigned name for the current drum sound.

In Note

The recorded pitch as it appears in the Event List view. The range is from C0 to G10 or 0 to 127. Raise or lower values one half-step at a time using the +/- keys or by an octave at a time by using the open and close braket keys ([ and ]).

Out Note

The specific note to which the In Note is mapped. The range is from C0 to G10 or 0 to 127. Raise or lower values one half-step at a time using the +/- keys or by an octave at a time by using the open and close braket keys ([ and ]).

Output Port

The output port to which the Out Note is sent. You can assign a note to any port selected in the MIDI Devices dialog. Also, any DXi synths in your project show up as an option. You can use the +/- keys to scroll up or down in the Output Port list.

Channel

Sets the channel in which the mapped drum note plays. You can choose to follow the track's channel setting or set the note to a specific channel (1 through 16).

Vel+

Set a velocity offset to a mapped drum note. Values range from -127 through 127. Use the +/- keys to increase or decrease the value.

V el%

Bank

The bank number on which the mapped note is transmitted.

BSM

Set the how Bank changes are transmitted. The Bank setting has the following options:

  • Normal
  • Controller 0
  • Controller 32
  • Patch 100...

Patch

Set the Patch number the mapped drum note is transmitted on. You can either use the dropdown arrow to select an option or enter a patch number (0 through 127). You can use the +/- keys to change the patch number.

Map Manager button

Opens the Map Manager dialog.


Marker dialog

Use the Insert-Marker command to open the Marker dialog box.

This dialog lets you add a marker where you specify in the music.

Name:

Enter the name you want to give the marker.

Lock to SMPTE time

Check this if you want to use SMPTE time code.

Time:

Enter the time at which you want to place the marker.

See also:

Creating and Using Markers


Markers dialog

This dialog box lets you choose any marker. Closing the box and the associated Go dialog box moves the Now time to the specified marker.

See also:

Creating and Using Markers


Meter/Key Signature dialog

Select Insert-Meter/Key Change to open the Meter/Key Signature dialog box.

This dialog box lets you set the meter and key signature of a project or any part of a project.

At Measure:

Select the measure you from where you want the changes to take effect.

Beats per Measure:

Select the number of beats per measure.

Beat Value:

Select the value of each beat (i.e. 1 = whole note, 2 = half note, etc.)

Key Signature:

Select the key signature.

For step by step instructions, see Setting the Meter and Key Signatures.


Microsoft Audio Encode Options dialog

You can create settings and a description for your Windows Media Advanced Streaming Format file in the Microsoft Audio Encode Options dialog box.

Title:

Enter the title of the file.

Author:

Enter the name of the author responsible for creating the file.

Rating:

This field only relates to exporting video, which you can't do from this dialog box.

Copyright:

Enter any copyright information for the file.

Description:

Enter a note about the file.

Stereo:

Check the Stereo checkbox if you want to create a stereo file. To create a mono file, uncheck the Stereo checkbox.

Sample Rate:

Set the sample rate. CD quality is 44 kHz. Higher sample rates create larger files.

Bit Rate:

This field tells the encoder to optimize the encoded file to be downloaded (streamed) at a certain bit rate. Choose your data transmission speed in units of thousands of bits per second (Kbps). Radio quality is 32 Kbps, audiophile quality is 128 or higher. Files optimized for faster downloads (128 and higher) sound better, but take up more storage space and take longer to download.

For more information, see:

Mixing Down and Distributing Audio


MIDI Devices dialog

The Options-MIDI Devices command opens the MIDI Devices dialog box, which lets you choose the MIDI outputs you want to use. The input setting for a track determines which piece of hardware will be used to produce the sound stored in your project.

The MIDI Devices dialog box has the following fields:

Inputs

Select devices from the list (you may have only one). SONAR accepts input from these devices for recording MIDI data.

Outputs

Select devices from the list. If your computer or MIDI interface has several MIDI outputs, you choose the ones you want to use and put them in a particular order. From then on, MIDI output 1 refers to the first selected MIDI output, MIDI output 2 to the second selected MIDI output, and so on. The output number is based solely on the order in which the selected outputs appear in the MIDI Devices dialog box. As a result, the output numbers used in SONAR may not match the output numbers that appear on your external multiport MIDI interface.

Move Selected Devices to Top button

Click this button to move a highlighted device farther up in the list, directly behind any other highlighted devices. If you want a particular device to become MIDI output 1, deselect all other devices, select the device you want to be number 1, and click the Move Selected Devices to Top button.

See Also:

To Choose MIDI Devices

Setting Up Output Devices


MIDI Envelope dialog

When you use the Envelopes-Create-MIDI command from the Clips pane right-click menu, the MIDI Envelope dialog box appears.

  • In the Type field, choose what kind of MIDI event you want to control with your envelope.
  • In the Value field, choose the name of the controller you want to edit.
  • In the Channel field, choose the MIDI channel that you want the envelope to send data on, and click OK.

SONAR creates the envelope you chose.

For more information, see:

Drawing MIDI Envelopes in the Track View


Migrate Cakewalk Preferences dialog

This dialog box lets you transfer a variety of configuration preferences from earlier Cakewalk installations.

The first time you run SONAR, it asks if you want it to search for an older version of Cakewalk and transfer (or "migrate") the preferences you established in that version to Cakewalk. SONAR searches all hard disks in your system for older versions, and if you have more than one older version of Cakewalk installed, SONAR presents a list of them, in the Retain Cakewalk Preferences dialog dialog box.

See also:

Migrating Preferences


Missing Plug-ins dialog

This dialog appears if you open a project that references plug-ins that are not installed on your machine. If you save the project after you have opened it with missing plug-ins, all references to missing plug-ins are lost. To retain the missing plug-ins in your project, exit SONAR without saving, reinstall the missing plug-ins and then re-open the project.


New Global Layout dialog

The View-Layouts command opens the Window Layouts dialog box, which contains the Add button. Clicking the Add button opens the New Global Layout dialog box, which allows you to name and save the current layout.

See also:

Layouts


New Project File dialog

Open the New Project File dialog by selecting File-New from the menu.

In the New Project File dialog you choose the name of your project, where the project's data is stored and which template you want to use to create the file.

Name

Enter a file name for your project. This option is only available if you have Per-Project Audio Data option selected in the Global Option dialog.

Location

Select a folder in which your project file is saved. This option is only available if you have Per-Project Audio Data option selected in the Global Option dialog.

Audio Path

Select a folder in which your project's audio data is stored. This option is only available if you have Per-Project Audio Data option selected in the Global Option dialog.

Template

Select the template you want to use for your new project. Select a template from the list and click OK to create a new project.

See also:

Templates


No MIDI Inputs--SONAR dialog

The No MIDI Inputs - SONAR dialog box appears the first time you run SONAR, or when Options-MIDI Devices MIDI Devices dialog box has nothing selected on the Inputs side, or when another program is using your system's MIDI outputs. This dialog box lets you choose, or decide not to choose, an input.

For more information, see To Choose MIDI Devices


No MIDI Outputs--SONAR dialog

The No MIDI Outputs - SONAR dialog box appears the first time you run SONAR, or when Options-MIDI Devices MIDI Devices dialog box has nothing selected on the Outputs side, or when another program is using your system's MIDI outputs. This dialog box lets you choose, or decide not to choose, an output.

For more information, see To Choose MIDI Devices


Note Names Dialog dialog

The Note Names dialog box appears when you right-click the piano keyboard that's located on the left side of the Piano Roll view. This dialog box lets you specify whether to use the settings assigned in the Assign Instruments dialog box or different settings you specify, or drum mode.

Clicking the Configure button opens the Assign Instruments dialig box.

See also:

Assigning Instruments

Assigning Note Names


Note Properties dialog

In the Staff view or Piano Roll view, when you right-click on a note, the Note Properties dialog box appears.

This dialog box lets you edit the note's time, pitch, velocity, and other MIDI properties.

See also:

Selecting and Editing Notes


Online Registration dialog

The Online Registration dialog appears when you start SONAR. You have three options in this dialog:

  • Register Now--This option opens your default Internet browser on Cakewalk's registration page.
  • Please Remind Me Later--This options closes the dialog. The dialog appears again, periodically, to prompt you to register.
  • Don't Ask Me Again--This option closes the dialog permanently.


Open dialog

The File-Open command opens the Open dialog box. Use the Open dialog box to open an existing project.

Look in

Select the directory in which SONAR stores the file that you want to open.

File name

Type or select the filename you want to open.

Files of type

Select the type of file you want to open.

Go to Folder

Go to one of the predefined SONAR folders. See Global Options dialog--Folders.

See also:

File type...


Open Groove File dialog

The Open Groove File dialog box appears when you click the open button that's at the right end of the Groove File field in the Groove Quantize dialog box.

The Open Groove File dialog has the following fields:

  • Look In--This field lists the name of the folder whose contents are displayed in the window below it. Use this field to navigate to a folder that contains the groove file you need.
  • File Name--This field lists the name of the currently selected file from the folder that's listed in the Look In field.
  • Groove File Directory--The Set Default button allows you to choose a default directory for storing groove files. The Go To Default button closes the Open Groove File dialog box--when you reopen it, it opens to the default directory.

See also:

To Use the Groove Quantize Command

Groove Quantize Tips

Changing the Timing of a Recording


Parametric EQ dialog

When you use the Process-Audio-Parametric EQ command, the Parametric EQ dialog box appears. This command lets you choose first which frequencies should be affected by equalization, then how much to cut or boost each frequency.

The Parametric EQ dialog box has the following fields:

Preset field

Use this field to choose and enter presets. Click the Save button to save any group of new settings after you enter a name in the Preset field. Click the Delete button to delete any selected group from the Preset field.

Filter Type

The options in this section let you choose what kind of EQ filter you want to use. The options are;

  • High-pass--This kind of filter only allows higher frequencies to pass through the filter, cutting out all frequencies below a number that you choose.
  • Low-pass--This kind of filter only allows lower frequencies to pass through the filter, cutting out all frequencies above a number that you choose.
  • Band-pass (Peak)--A band-pass or peak filter boosts only the frequencies that lie between the boundaries you choose.
  • Band-stop (Notch)--A band-stop or notch filter cuts only the frequencies that lie between the boundaries you choose.

Filter Parameters

The options in this section let you adjust the details of the type of filter you chose. The options are:

  • F1 (Hz)--Enter the frequency in Hertz (cycles per second) of the boundary for your High-pass or Low-pass filter. or if you choose Peak or Notch filtering, enter one of the two boundary frequencies necessary for either of those types of filters.
  • F2 (Hz)--If you choose Peak or Notch filtering, enter one of the two boundary frequencies necessary for either of those types of filters.
  • Quality--Also called Q. this number determines the width of the filter. A low value gives a narrow peak and a high value gives a broader one.
  • Cut (dB)--The maximum amount of gain reduction to apply to stopped frequencies.
  • Gain (dB)--The overall level for filtered audio. Setting the gain to high may result in clipping or distortion.

Audition button

Click this button to hear the results of your effect on the first three seconds of the selected audio.

See also:

Audio Effects (Audio Plug-ins)

Parametric Equalization


Paste dialog

The Edit-Paste command opens the Paste dialog box, which lets you put the contents of the clipboard into any appropriate place in your project. To put data on the clipboard, see Cut dialog, Copy dialog.

The Paste dialog box has the following fields:

Starting at Time

Fill in the Now time where you want the beginning of the pasted data to go.

Repetitions

Fill in how many copies of the pasted data you want to paste into the track end to end.

Starting at Track

Fill in the number of the track where you want SONAR to begin pasting the data.

Paste to One Track

This option is greyed out unless you copy data from more than one track at a time. Checking this checkbox causes SONAR to paste multiple tracks' data into a single track.

Advanced button

Clicking this button expands the Paste dialog box to include the following fields:

Align to Measures

This option is greyed out unless you choose at least two repetitions in the Repetitions field. Choosing this option tells SONAR to slide the old data up to the next measure line, regardless of whether the new data fills the space up to the next measure.

The Align to Measures field has two options;

  • Filling in the Interval checkbox with a certain number of measures causes SONAR to paste each repetition of the new data at the interval in this field. Usually, you choose an interval at least as long as the object you copied.
  • Checking the Link Repetitions checkbox causes all the new clips to be linked clips with the clip you copied.

What to do with existing material

The fields in this section deal with the situation that occurs when you try to paste some data to a place in a track that already has some data.

  • Blend Old and New--Choosing this option tells SONAR to mix the new data with the old, with the following options:
  • Replace Old with New--Choosing this option tells SONAR to delete the old data.
  • Slide Over Old to Make Room--Choosing this option tells SONAR to slide the old data either forward or backward in the track to make room for the new data, with the following option:

What to Paste

The fields in this section tell SONAR what elements of the copied data to paste into the track, including:

  • Events/Clips--Check this option if you want SONAR to paste MIDI events or audio data from the copied data, with these two options:
    • Paste as New Clips--Check this option if you want the new data to become separate, discrete. clips.
    • Paste into Existing Clips--Check this option if you want to include the new data inside any clips that already exist in the area you want to paste into.
  • Tempo Changes--If you check this checkbox, SONAR pastes all tempo changes from the copied data.
  • Meter/Key Changes--If you check this checkbox, SONAR pastes all meter and key changes from the copied data.
  • Markers--If you check this checkbox, SONAR pastes all markers from the copied data.

See also:

Moving and Copying Clips

Importing Material from Another SONAR Project

Importing MIDI Files


Patch Browser dialog

Right-clicking a MIDI track and choosing Track Properties from the popup menu opens the Track Properties dialog box. Inside the Track Properties dialog box is the Patch Browser button, which opens the Patch Browser dialog box. The Patch Browser button is also available from the Insert-Bank/Patch Change dialog box.

The Patch Browser dialog box has the following fields:

Show Patches Containing the Text

Use this field to search for patches by filling in pieces of the patch name. You can select previous search patterns from the drop-down list. Pressing the Delete key redisplays the whole list, but doesn't actually delete the search text.

Name column

This column lists all the patch names of all the Instruments you have assigned to MIDI outputs. Clicking the heading of the Name column sorts the list in alphabetical order.

Bank column

This column lists the bank of the patch that's next to it in the Name column.

Patch column

This column lists the patch number of each patch in the Name column. Sorting the lists--You can sort your patch names by name, bank, or patch number simply by clicking the appropriate column heading in the Patch Browser dialog box.

See Also:

To Choose Patches with the Patch Browser

Choosing the Instrument Sound (Bank and Patch)


Pedal Properties dialog

In the Staff view, when you right-click on a pedal mark, the Pedal Properties dialog box appears. Use these fields to edit the sustain pedal mark that you clicked:

Time

Use this field to change the location of your pedal mark.

Channel

Use this field to set the MIDI channel of your pedal mark.

Value

Enter 0 to turn off the pedal (no sustain), or 127 to turn on the pedal (sustain).

See also:

Adding Pedal Marks


Percent Done dialog

SONAR has done the indicated percent of the task you requested. Be patient.


Percussion Notation Key dialog

The Staff View Layout dialog box contains the Percussion Settings button, which opens the Percussion Notation Key dialog box. The Percussion Settings button is not available unless the track that is highlighted in the Staff View dialog box uses a percussion clef.

Use the following fields to configure your percussion settings:

Preset

Use the preset field to apply, save, or delete a set of percussion settings.

MIDI Note

Use this field to select the MIDI pitches in your track that you want to appear as different pitches (to make the notes fit onto the staff neatly). You can set MIDI notes that would normally appear with several or lots of ledger lines to appear somewhere in the staff.

Display As

Use this field to select the notes that you want to appear on the staff when particular MIDI pitches play.

Default

This tiny window displays the default note--the note that all unbound MIDI notes display as.

Recommended for window

When you click a note in the MIDI Note field, the Recommended for window displays some standard display pitches for that MIDI note.

Notehead Type

When you click a note in the MIDI Note field, you can select a type of notehead for it, For example, cymbals usually use an X for a notehead. The Notehead Circled field allows you to add a circle around any MIDI note's notehead.

Articulation Symbol

This field allows you to add an articulation symbol to every instance of the selected pitch. For instance, hi-hat patterns often have a + over the closed hi-hat note and a circle over the open note.

Bind button

Click this button to connect a selected MIDI note to a selected note in the Display As field.

Unbind button

Click this button to disconnect a selected MIDI note from a selected note in the Display As field.

Default note button

Click this button to apply and save any changes you make to the default note, including display pitch, notehead type, and articulation symbol.

See also:

Setting Up a Percussion Staff or Line


Pick Track(s) dialog

Clicking the Pick Tracks button in the Piano Roll, Event List, Staff, or Lyrics views opens the Pick Tracks dialog box, which allows you to choose which tracks' data you want to display in any of the above views. To choose tracks to display, simply highlight the names of the ones you want to display. You can select nonadjacent track names by Ctrl-clicking, and you can select adjacent track names by Shift-clicking or dragging.


Print dialog

The Print dialog specifies the parameters of your print job, including the printer destination, the number of copies and properties.

The following is a description of the Print dialog:

Printer

This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Print Range

Specify the pages you want to print:

All

Prints the entire document.

Pages

Prints the range of pages you specify in the From and To boxes.

Copies

Specify the number of copies you want to print for the above page range.

Collate

Prints copies in page number order, instead of separated multiple copies of each page.

Properties button

Opens a dialog box that lets you specify whatever your printer allows.


Print Preview dialog

The Print Preview dialog lets you see what the Staff view, Event List view, or Lyrics view will look like when printed.

Print

The Print button in the Print Preview dialog opens your systems Print dialog box. For more information, see Print dialog.

Configure

For the Staff view, the Configure button in the Print Preview dialog box lets you choose from a number of standard staff sizes. You can see which fits your needs best.

Next Page

The Next Page button displays the next page of the print preview.

Prev Page

The Prev Page button displays the previous page of the print preview.

Two Page/One Page

The Two Page button displays two pages at a time in the print preview. When you display two pages, the One Page button appears. The One Page button

Zoom In

The Zoom In button zooms the page display in the Print Preview dialog box. If two pages are displayed, zooming may reduce the preview to just one page.

Zoom Out

The Zoom Out button zooms out the page display in the Print Preview dialog box.

Close

The Close button closes the Print Preview dialog box.


Print Setup dialog

The Print Setup dialog specifies the parameters of your print job, including the printer destination, the number of copies and properties.

The following is a description of the Print Setup dialog:

Printer

This is the active printer and printer connection. Choose the Setup option to change the printer and printer connection.

Print Range

Specify the pages you want to print:

All

Prints the entire document.

Pages

Prints the range of pages you specify in the From and To boxes.

Copies

Specify the number of copies you want to print for the above page range.

Collate

Prints copies in page number order, instead of separated multiple copies of each page.

Properties button

Opens a dialog box that lets you specify whatever your printer allows.


Project Files dialog

Open the Project Files dialog by selecting File-Project Audio Files from the menu.

File Name

File name of the individual wave file your project file references.

Path

The directory in which the file is stored.

File Size

The size of the wave file.

Status

The following status entries are possible in the Status column of the Project Files dialog:

  • Global--The file is stored in the Global Audio Data directory. The Global Audio Data directory can be changed in the Audio Data tab of the Global Options dialog.
  • Local--The file is stored in the local wave data directory, a per-project data directory which is a subdirectory in the directory where the project file is stored.
  • External--The file is stored in a directory other than the Global Audio Data directory or in a Local audio data directory.
  • Missing--The file is not to be found.

Sorting Files

You can quickly sort files by clicking on the column headers, for instance, to see all Missing audio files, click on the Status column header and the missing files appear at the top of the column.

For more information, see:

Locating Missing Audio


Project Options dialog--Clock tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. The Clock tab controls synchronization and the number of subdivisions of the beat (parts per quarter note). The Clock tab has the following sections:

Source

This section lets you choose what device SONAR uses as a timing source, and has the following options:

  • Internal--Choose this option to use the clock on the computer's motherboard.
  • MIDI Sync--Choose this option to sync SONAR to an external MIDI device.
  • SMPTE/MTC--Choose this option to sync SONAR to an external device that generates either SMPTE time code or MIDI time code.
  • Audio--Choose this option to use the clock on the computer's sound card.

Ticks per quarter-note

This section lets you choose the number of subdivisions of the beat (parts per quarter note), from fifteen choices.

SMPTE/MTC format

This section lets you choose a SMPTE frame rate from among four choices.

SMPTE/MTC Offset

This section allows you to start SONAR playing after it starts receiving time code by an amount you choose in this field of the dialog box. Choose an amount in hours/minutes/seconds/frames format.

For more information, see;

Synchronization Overview


Project Options dialog--Metronome tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. The Metronome tab lets you set the following metronome options:

General

  • Playback--Choosing this option cause the metronome to sound during playback.
  • Recording--Choosing this option cause the metronome to sound during recording.
  • Accent First Beat--Choosing this option causes the metronome to accent the first beat of each measure.
  • Use PC Speaker--Choosing this option causes the metronome to sound through the PC speaker.
  • Use MIDI Note--Choosing this option causes the metronome to sound by playing a MIDI note.
  • Count In--Specifies the number of count-in in measures or beats.
    • Measures--Choosing this option sets the Count-In units to measures.
    • Beats--Choosing this option sets the Count-In units to beats.

MIDI Note

If you checked Use MIDI Note in the above section, then choose options for these three parameters:

  • Output--Choose the output that the MIDI note plays through.
  • Channel--Choose the MIDI channel your metronome plays on.
  • Duration--Choose how many ticks you want the metronome sound to last.

First Beat

Choose a Key (a note) and a Velocity for the first metronome attack in the measure.

Other Beats

Choose a Key (a note) and a Velocity for the other metronome attacks in the measure.

For more information, see:

To Change Your Metronome Settings


Project Options dialog--MIDI Input tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. The MIDI Input tab lets you control which MIDI instrument sounds when you play your master keyboard or controller. This is called Play Through, or MIDI Echo--the echo (or routing) of MIDI data from your MIDI inputs back out to your MIDI sound modules.

SONAR's default behavior is to send incoming MIDI notes to the output of the track that has the focus--the current track. You can change this behavior by choosing from the following options:

Record and Echo MIDI Channels

This section lets you choose which MIDI channels are sent to output devices for playback and recording. Normally, you choose all of them.

Echo Mode

This section lets you control how SONAR routes MIDI data from your input device(s) to your output modules, and also whether SONAR sends the data at all.

Choose from the following options:

  • None--Clicking this option stops MIDI echo completely.
  • Manual--Clicking this option allows you to force all MIDI input back out to the same instrument (see the Echo Mapping section, below).
  • Auto--Clicking this option, which is the default, causes SONAR to route incoming MIDI data to whatever the output in the current track is. This option allows you to use the Track view as a list of selectable MIDI echo deatinations.

Echo Mapping

If you choose the Manual option in the Echo Mode section, choose what instrument you want to sound when you play your master controller:

  • Output--Choose what Output your preferred instrument is on.
  • Channel--Choose the MIDI channel that you want your preferred instrument to play on.
  • Key+--If you want your preferred instrument to transpose the MIDI notes it receives, enter the number of half-steps. positive or negative (raise the pitch or lower it), that you want to transpose by.
  • Velocity+--If you want your preferred instrument to play back louder or softer than it currently does, enter a positive or negative velocity number.
  • Local On Port--If you can't turn off the Local On setting on your master keyboard, and you keep getting doubled notes every time you press a key on it, then enter the port number of your master keyboard into this field, and SONAR will stop echoing MIDI data back to it. If you don't have this problem, leave this field set to zero.

For more information, see:

MIDI Echo


Project Options dialog--MIDI Out tab

The Options-Projects command opens the Project Options dialog box, which has four tabs. This tab lets you configure MIDI sync, MIDI Machine Control, and two global controller options.

Choose from the following options:

Send MIDI Sync

When SONAR is the timing master in a master/slave synchronized setup, use this section to set sync options:

  • Transmit MIDI Start/Continue/Stop/Clock--Choosing this option causes SONAR to tell the slave when to start, when to continue, when to stop, and what timing data to go by (SONAR's).
  • Use Start, Never Continue--Choosing this option causes SONAR to only transmit MIDI Start messages every time it restarts, even in the middile of a song. If you have a drum machine slaved to SONAR, and the drum machine is playing looped patterns, you probably want it to start at the beginning of its loop whenever SONAR restarts, even if SONAR restarts from the middle of a song.
  • Transmit MIDI Song Position Pointer (SPP)--Choosing this option causes SONAR to send an SPP message before starting or continuing playback. If you are using a drum machine as described above, you might want to disable this option.
    • Locate Delay for SPP Recipient--Some older MIDI devices take a small amount of time to respond to SPP messages. This option causes SONAR to delay briefly after sending an SPP message, in order to give the slave device time to respond. The delay is in 1/18ths of a second. Enter 1 for a 1/18th second delay, 2 for 2/18ths of a second, or 18 for a full second delay.
  • MIDI Output--Choose the output that your slave is connected to.

MIDI Machine Control (MMC)

This section allows you to control MMC devices from SONAR, and has the following options;

  • Transmit MMC--Choosing this option causes SONAR to send standard MMC commands such as start, stop, rewind, etc., to any MMC devices that are connected to your computer.
    • Timecode Master's Unit ID--If you have several MMC devices connected to your computer, for example three ADAT machines, one of them will be the timing master, and SONAR and the other MMC devices will slave to its timing. Fill in the ID number of the master MMC device, so that SONAR's MMC commands go to the right device.

Other Options:

  • Zero Controllers When Play Stops--If you choose this option, SONARsets the controller values of the pitch wheel, the sustain pedal, and the modulation wheel on all 16 MIDI channels to zero. It also sends a "zero all continuous controllers" MIDI message which turns off other continuous controllers on newer synthesizers. If you experience frequent stuck notes when playback stops, try checking this option.
  • Patch/Controller Searchback Before Play Starts--If you choose this option, SONAR finds and sends the most recent patch changes, wheel events, and pedal events before starting playback. This way, all settings are correct even if you start playback at an arbitrary point in the project.

See also:

MIDI Synchronization.

MIDI Machine Control (MMC).

Setting the MIDI Timing Resolution

Synchronizing Your Gear

Setting the Metronome and Tempo Settings

MIDI Echo


Quantize dialog

When you use the Process-Quantize command, the Quantize dialog box appears. Quantize has two different forms.

  • Process-Quantize--This is the standard quantizing command that adjusts the start time and duration of selected notes so that they line up with a fixed size grid.
  • Process-Groove Quantize--This command extracts a grid or "groove" from an existing piece of music (the "groove pattern"), and then applies it to another piece of music to produce a similar rhythmic feel.

Use the following fields in the Quantize dialog box to control standard quantizing:

Preset menu

Save or select settings that you use often in the drop-down menu. To save a new group of settings, type a name into the menu, and click the Save button. To delete a group, select it and click the Delete button.

Resolution

Set the note resolution. The smaller the note value, the more precise the quantization. See Resolution.

Change

  • Start Times--Select this option if you want the start times of the selected data to move.
  • Note Durations--Select this option if you want the length of notes to be edited to fit into the size you chose in the Resolution field.
  • Only Notes, Lyrics, and Audio--If you select this option, SONAR will not modify other events, like controllers.

Options:

  • Strength--This value determines how closely SONAR moves the selected notes to the resolution value, or "grid." See Strength.
  • Swing--Use this value to make groups of even eighth notes (or whatever note you want to enter in the Resolution field) "swing," instead of playing with exact eighth note rhythm. A value of 50 percent, or "50-50," produces equal durations for both notes--no swing. A larger value makes the first note longer, and vice versa. See Swing.
  • Window--This value determines whether SONAR quantizes notes that are far from the quantization points, or leaves them alone. A value of 100 percent quantizes every note. See Window.
  • Offset--This value moves the quantization grid forward or backward in the track, away from the beat boundaries. See Offset.

Audition button

Click this button to hear your edit before you actually apply it to the selected data.

For step by step instructions:

To Use the Quantize Command

Defining a Groove

To Save a Groove Pattern

To Copy an Existing Groove

To Delete a Groove

Groove Quantize Tips

See also:

Changing the Timing of a Recording


RealAudio Settings dialog--Settings tab

The Settings tab has the following parameters for RealAudioTM encoding:

File Name--The directory and file name of the file being created.

Title--The name of the song or project.

Author--The name of the person who created the file.

Copyright--Copyright information.

Options:

Enable Perfect Play--Lets people with low-bandwidth connections download a higher resolution version of the audio, at the expense of download time.

Enable Mobile Play--Lets people download your project to a stand-alone RealAudio player.

Enable Selective Record--Lets people save the file to their hard drive for later lis tening off-line.


RealAudio Settings dialog--Formats tab

Target Connection Rate(s)

Choose as many different connection rates as your listeners might need. Then your listeners can choose the rate that's best for them when they play your project.

Include a RA 5.0 Compatible Stream

Check this option if you want users of RealAudio's older 5.0 format to be able to play your project.

Content Type

Choose the type of content your file contains. SONAR defaults to the Stereo Music choice, but your project's content is the deciding factor.


Reassign Envelopes dialog

When you use the Envelope Editing menu's Assign Envelope command on an automatable effect's envelope, the Reassign Envelopes dialog box appears.

Click the parameter in the list of parameters that you want to reassign the envelope to, and click OK. SONAR changes the envelope to control the parameter you clicked.

To Reassign an Envelope

Automating Individual Effects Parameters

Drawing Audio Envelopes in the Track View

Drawing MIDI Envelopes in the Track View


Receive System Exclusive dialog

Clicking the Receive Bank button in the Sysx view opens the Receive System Exclusive dialog box. Use this dialog box to tell a synthesizer to start sending system exclusive data.

See also:

Using the System Exclusive View


Record Options dialog

The Transport-Record Options command opens the Record Options dialog box. This command specifies how SONAR records clips into tracks already holding other clips. If you use loop recording, the command also lets you specify whether to record takes in sequential tracks or stacked in a single track.

Note: SONAR saves the recording options you choose with each project, so you can save a different recording mode with each of your projects.

The Record Options dialog box has the following fields;

Recording Mode

Choose one of the following options:

  • Sound on Sound (Blend)--Choose this option to add sound to any pre-existing sound in the track.
  • Overwrite (Replace)--Choose this option to overwrite any pre-exixting sound in the part of the track you are recording into.
  • Auto Punch (Replace)--Choose this option to punch record, and then set the following options:
    • Punch In Time--Enter the time where you want the new recording activity to begin.
    • Punch Out Time--Enter the time where you want the new recording activity to end.

Loop Recording

Choose one of the following loop recording options:

  • Store Takes in a Single Track--Choosing this option causes SONAR to merge every new take with the previous takes, unless you choose Overwrite mode, which causes each new take to erase the previous one.
  • Store Takes in Separate Tracks--Choosing this option causes SONAR to place each new take in the next available track. This method can quickly overwhelm your computer if you are recording audio data.

See Also:

Punch Recording

To Choose a Recording Mode

Loop Recording


Regenerate Tablature dialog

In the Staff view toolbar, click the dropdown arrow on the Staff View Layout button to display the tablature dropdown list. Click Regenerate-TAB to open the Regenerate Tablature dialog box.

The Regenerate TAB command works on selected regions in a track to modify the fingering according to the method you choose. The TAB display by default uses the `floating' algorithm which analyzes all events in a track and attempts to optimize tablature with reference to open position. By choosing the "fixed" algorithm instead, you can designate a specific finger span and lowest fret which causes the TAB of a selected region to be displayed within this range. This usually creates a more compact fingering system.

The Regenerate Tablature dialog box has the following fields:

Track

This window displays the names of all selected tracks. Highlight the one you want to regenerate TAB for.

Method

Choose what TAB style you want SONAR to use, from these options:

  • Fixed--This style specifies where on the neck these notes should be played. When Fixed is selected the Finger span and Lowest fret fields are used together to define the "box" where the notes are displayed. The Finger span parameter determines how many consecutive frets will be used to display the note. For example, if Finger span is set to 4, then SONAR will attempt to place all the notes within those 4 frets. The Lowest Fret then determines where on the fretboard will the notes be displayed within the Finger span. The red box in the fretboard display above the parameters changes to reflect the settings in these two parameters.
  • Floating--This style analyzes all events in a track and attempts to optimize tablature with reference to open position
  • MIDI Channel--This style uses the event's MIDI channel to determine which string the note should be displayed on. When MIDI Channel is selected, the user chooses which series of MIDI Channels SONAR receives on. This is useful for MIDI Guitarists who record parts in MONO mode, where each string transmits on a different MIDI channel. (Values: 1 - 11). Selecting "1" will cause it to use MIDI channels 1 - 6, selecting 2 , 2 - 7, and so on.

Finger Span

The value in this field determines the finger or fret span the new TAB covers. Usually, you set this value to 4.

Lowest Fret

The value in this field determines the lowest fret the TAB can use for the selected notes.

1st Channel

The value in this field determines the first MIDI channel of six consecutive channels that SONAR assigns notes to, depending on which strings you play the notes on.

Number of Frets

This value is determined in the Staff View Layout dialog box, and governs how many frets SONAR's Fretboard can display.

Skip Channel 10 (G50)

This checkbox is greyed out unless you choose MIDI Channel in the Method field. If you use a MIDI converter like the G50, Channel 10 is reserved for percussion instruments, so if you use a MIDI guitar to transmit on six consecutive MIDI channels, check this checkbox to avoid using Channel 10 for your guitar.

See Also:

Regenerate TAB

Tablature

The Staff View

Tablature Settings


Remote Control dialog

When you right-click a control in the Console or Track views and choose Remote Control from the popup menu, the Remote Control dialog box appears. This dialog box lets you use a MIDI device as a remote control for knobs, buttons, and sliders in SONAR, and has the following fields:

Channel Messages

The buttons in this section control command that are specific to indivual MIDI channels. The options are:

  • None--Click this button to disable remote control for the control you right-clicked (selected).
  • Note On--With this button enabled, the selected control's value alternates between its minimum and maximum values every time you play the note that's listed in the Note On field. If the selected control is a button, it toggles between on and off position.
  • Note On/Off--With this button enabled, the selected control's value is maximized when the note that's listed in this field is depressed, and minimized when the note is released. If the selected control is a button, it toggles between on and off position.
  • Controller--With this button enabled and a Controller number entered in the number field, SONAR "listens" for a controller message that your MIDI controller is sending, and the selected control moves up or down as the controller message's value gets larger or smaller. For examle, if your MIDI controller can send MIDI volume data from one of its faders or controls, and you set a fader in SONAR to respond to Controller #7, the selected fader in SONAR will move up or down as the value of Controller #7 that your MIDI controller sends rises or falls.
  • Wheel--With this button enabled, the selected control moves as the pitch wheel on your MIDI controller moves.
  • RPN--If your MIDI controller can send RPN data, enabling this button causes the selected control to move as the RPN data that your MIDI controller changes.
  • NRPN--If your MIDI controller can send NRPN data, enabling this button causes the selected control to move as the NRPN data that your MIDI controller changes.
  • MIDI Channel--Use this field to tell SONAR which MIDI channel the controller data comes in on.

Learn button

If you don't know what controller number a slider or knob on your MIDI controller sends, just click the Learn button and then move the knob in question. SONAR reads the incoming MIDI data and automatically configures the Remote Control settings so that the controller you moved now controls the SONAR control that you are configuring.

Sysx

You can use this option to control SONAR's Console from an external controller that sends sysx, such as the Tascam 428, or any device that sends sysx data. You can set the selected control in SONAR to respond to sysx data by using these fields:

  • Single Byte--Checking this option tells SONAR that the significant data (the variable, or parameter value) in the incomimg sysx message is in the form of a single byte.
  • High byte first--Checking this option tells SONAR that the significant data in the incomimg sysx message is in the form of two bytes, with the high byte first.
  • Low byte first--Checking this option tells SONAR that the significant data in the incomimg sysx message is in the form of two bytes, with the low byte first.
  • Starts with--Fill in the string that your device sends in sysx messages that precedes the significant data.
  • Ends with--Fill in the string that your device sends in sysx messages that follows the significant data.

Note: If you set up remote control for a grouped control, the remote control works all controls in the group.

For step by step instructions:

To Set Up Remote Control for a Knob, Button, or Fader

See also:

Using Control Groups


Remove Silence dialog

When you use the Process-Audio-Remove Silence command, the Remove Silence dialog box appears. This command creates absolute silence during silent passages, eliminating extraneous noise.

The Remove Silence dialog box has the following fields:

Preset field

Use this field to choose and enter presets. Click the Save button to save any group of new settings after you enter a name in the Preset field. Click the Delete button to delete any selected group from the Preset field.

Open Level (db)

The value in this field is how loud the sound must get (the loudness threshold) before SONAR stops silencing the sound. The gate "officially" opens when loudness rises above this level, although it can open earlier because of the Attack Time (see below).

Close Level (db)

The value in this field is how soft the sound must get (the softness threshold) before SONAR starts silencing the sound. The gate "officially" closes when loudness falls below this level, although it can stay open later because of the Release Time (see below).

Attack Time (ms)

The value in this field is the interval of time after the volume reaches the Open Level for the gate to fully open. Opening the gate gradually produces a fade-in effect instead of an instant on-off sound.

Hold Time (ms)

The value in this field is the minimum time for the gate to stay open. Hold Time is useful when you've set high open and close levels--for example, when your source signal is very loud. Noise gates set this way tend to react to repeated percussive passages (such as drum rolls) by repeatedly opening and closing; this can sound unpleasant. By setting a hold time, you can ensure that the gate stays open long enough during percussive passages.

Look Ahead (ms)

The value in this field causes the gate to open slightly before the sound reaches the Open Level so you don't lose the sound's attack.

Release Time (ms)

The value in this field is the interval of time after the volume reaches the Close Level before the gate actually closes. This lets the tail end of sounds pass through without being clipped.

Split Clips

Check the Split Clips box to delete the silent sections of audio.

Audition button

Click this button to hear the results of your effect on the first three seconds of the selected audio.

For more information, see:

Removing Silence


Rename Existing Layout dialog

The View-Layouts command opens the Window Layouts dialog box, which contains the Rename button. Clicking the Rename button opens the Rename Existing Layout dialog box, which allows you to rename whatever layout is highlighted in the Global window.

See also:

Layouts


Retain Cakewalk Preferences dialog

If you choose to retain or migrate your preferences from a previous version of Cakewalk, the SONAR installer finds the existing cakewalk.ini files on your system. The list of cakewalk.ini files appears in the Retain Cakewalk Preferences dialog box. You may choose one from this list. The preferences and settings stored in the older version's cakewalk.ini and ttsseq.ini files are then transferred to the identically named configuration files for Cakewalk. Cakewalk migrates certain preferences to the Windows Registry rather than to the cakewalk.ini file.

When you migrate your preferences, SONAR will:

  1. Locate the Data directory (WaveData folder) used by your previous Cakewalk installations and direct SONAR to use that folder for its audio storage and retrieval as well.
NOTE: Migrating Prefrences will leave the Data directory in its current location - it does not move your audio recordings to a new location. It simply points SONAR to the audio you have saved during previous recording sessions. This means that your previously recorded songs that contain audio tracks should continue to open and playback as expected. It will also write new audio data to this same location. You are free to manually change your Data directory at a later time in SONAR's Options, Audio, Advanced tab. Advanced users may want to manually adjust this Data directory location.
  2. Automatically import any custom Instrument Definitions you used in your previous Cakewalk version.
  3. Automatically import other custom settings you have made in various Cakewalk menus and INI files.

See also:

Migrating Preferences


Save As dialog

The File-Save As command opens the Save As dialog box, which lets you save a project with the name, directory, and format you specify. The Save As dialog can also be used to save Groove clips as Riff Wave files from the Loop Construction view. Use the following fields to control your options:

Save in

Select the directory in which you want to store the file.

File name

Type or select the filename you want to open.

Save as type

Select the type of file you want to save your project as. If you are saving a project, you have the following options:

  • Normal--Saving as type Normal saves your MIDI data, all project settings, and references to your audio data, with the extension .cwp. SONAR saves no audio data in a .cwp file, only references to where the data is on the hard disk. Saving your project as a bundle file (see below) saves all your project data in one place, including a new copy of your audio data; this method uses a lot more disk space than saving as a .cwp file.
  • Template--Template file with the extension .cwt. Use Template files to save commonly used project settings for quickly setting up a new project.
  • Cakewalk Bundle--Bundle file with the extension .cwb. Bundle files contain everything that a Normal file type contains with the addition of all your project's audio. Bundle files are great for backing up projects, and are also useful for moving SONAR projects from one computer to another.
  • MIDI Format 0--Save in this format to create a Standard MIDI File that has all channels merged into one track.
  • MIDI Format 1--Save in this format to create a Standard MIDI File that keeps each channel on a separate track.
  • Riff MIDI Format 0--Save in this format if you need a Riff MIDI File of Format 0.
  • Riff MIDI Format 1--Save in this format if you need a Riff MIDI File of Format 1.

Riff Wave files--If you are saving in the Loop Construction view, you must save the wave file as a Riff Wave file. Riff Wave files are ACID-compatible files which can be used in SONAR or any application that supports ACIDized files.

Go to Folder (Project saves only)

The Go to folder dropdown lets you quickly go to the default save location for different types of projects.

Copy all audio with project (Project saves only)

When selected, this checkbox creates a copy of every audio file your project references, regardless of where they are located, and stores them in a folder called Audio Data. The Audio Data folder is created in the folder where you save your project. For example, if you save your project to the following folder:

C:\My Project

Your project's audio is saved in the following folder:

C:\My Project\Audio Data

If you want to give the Audio Data folder a different name, you can do so using the Audio path option. See below.

Create one file per clip (Project saves only)

This option is only available if the Copy all audio with project option is selected. When selected, the Create one file per clip option forces SONAR to create a new wave file for each unique clip. To conserve disk space, SONAR does not duplicate audio referenced by multiple copies of a clip, unless you have checked the Export Broadcast Waves By Default option in the Audio Data tab of the Global Options dialog.

Audio path (Project saves only)

If you want to customize the name of the folder in which you store your audio files, specify it in this field. You can use the Browse button to specify where the folder is saved.

See also:

Saving Your Work


Save StudioWare dialog

The Save StudioWare dialog box opens when you click the Save button on a StudioWare panel. This dialog box lets you name a Studioware panel and, if you wish, assign it a password to prevent anyone else from saving any changes to it.

See also:

Creating a New Panel


Scale Velocity dialog

The Process-Scale Velocity command opens the Scale Velocity dialog box, which lets you edit MIDI clips to create crescendos (volume swells) and decrescendos on those instruments that respond to MIDI velocity. Most MIDI instruments map changes in velocity to changes in note loudness. Many synthesizer patches alter the timbre of the sound as well, so that higher velocities produce brighter, as well as louder, sounds.

This command lets you set a starting and ending velocity for the entire time range of the selection. SONAR scales the velocity of each event to create a smooth linear change in velocity. As an option, you can enter a starting and ending percentage; SONAR modifies existing velocity values by the designated percentage.

You can also edit note velocities in the controllers pane of the Piano Roll view, which lets you draw shapes other than straight line changes. For more information, see Using the Controllers Pane.

The Scale Velocity dialog box has the following fields:

Begin

Enter a velocity value between 0 and 127 for the first event of the selection, unless you want to use percentages. If you use percentages, enter a number between 0 and the approximate percentage that would create a velocity of 127, when multiplied by the existing velocity of the first event. SONAR rounds off any values you create above 127 to 127.

End

Enter a velocity value between 0 and 127 for the last event of the selection, unless you want to use percentages. If you use percentages, enter a number between 0 and the approximate percentage that would create a velocity of 127, when multiplied by the existing velocity of the last event. SONAR rounds off any values you create above 127 to 127.

Percentages

Check this checkbox if you want to modify existing velocities by a percentage.

See also:

To Scale Velocities.


Search for Missing Audio dialog

Open the Search for Missing Audio dialog by clicking the Search button in the Find Missing Audio dialog.

The Search for Missing Audio dialog searches your entire computer for a file that has the same name as the missing file in your project. If the file is found, select it and click OK. If multiple copies of the same file name are found, you may select only one. If no files are found, manually search your Recycle Bin. If you find the missing file in the Recycle Bin, right-click on it and select Restore to return the file to your project's audio data directory.


Select By Time dialog

The Edit-Select-By Time command opens the Select by Time dialog box.

Choose the starting and ending times for the time selection you want to make by entering numbers into the following fields:

  • From--Enter the number of the measure, beat, and tick of the location where you want the selection to start.
Note: You can enter a whole number with no punctuation if your selection boundary is the beginning of a measure. You can separate measure, beat, and tick numbers with spaces, periods, or colons.
  • Thru--Enter the number of the measure, beat, and tick of the location where you want the selection to end.

The From and Thru times you select appear in the Select toolbar in the From and Thru fields. If you select a whole measure, the Thru time is the start of the next measure, which actually makes it a "to" time and not a "through" time.

For more information, see:

To Select Partial Clips Using Time Ranges and Tracks


Select Fretboard Track dialog

Open the Pick Fretboard Track dialog box by right-clicking in the Fretboard pane and selecting Select Track from the Fretboard Popup menu.

From the Pick Fretboard Track dialog box you select the track you want to see displayed in the fretboard pane if multiple tracks are displayed in the Staff pane.

To select a track, click the track in the Pick Fretboard Track dialog and click OK.

See Also:

The Fretboard


Slide dialog

The Process-Slide command opens the Slide dialog box, which allows you to move track data forward or backward in the track.

The Slide dialog box has the following fields;

Slide

Choose what kinds of track data you want to move:

    • Events in Tracks--Events include notes and controller data but not markers.
    • Markers--If you select any locked markers, SONAR asks whether you want to slide them too.

By

Enter a number in the By field to control how many units (see below) your selected data moves. Negative numbers move the data to earlier positions in the track, but data can not move earlier than beat 1 of the first measure. Choose from the following units:

    • Measures--If you choose Measures, the selected data moves by a number of whole measures.
    • Ticks--If you choose Ticks, the selected data moves by a number of ticks, which are portions of a beat.
    • Seconds--If you choose Seconds, the selected data moves by a number of whole seconds.
    • Frames--If you choose Frames, the selected data moves by a number of frames, which are the smallest units of SMPTE time.

See also:

Shifting Events in Time


Snap to Grid dialog

To open the Snap to Grid dialog box, right-click the Snap To Grid button.

This dialog box lets you specify the resolution of the snap to grid feature and specify the resolution you want to "snap to."

The resolution determines how precisely event selections, movements, and changes to the Now Time can be. For example, when the Snap to Grid resolution is set to Musical Time with a duration of Whole, a mouse click in the Time Ruler automatically "snaps" the Now Time to the nearest whole measure.

The following actions can be affected by the Snap to Grid dialog:

  • Selecting the Now Time
  • Making a time selection in the Time Ruler
  • Dragging and dropping a clip
  • Selecting partial clips
  • Slip editing

The snap grid in each view is independent. For example, you can enable the snap grid in the Track view without enabling it in the Piano Roll view, or Staff view. You can also enable the grid in several different views, with different grid intervals in each one.

Musical Time

The Musical Time option sets the Snap to Grid dialog to a note duration. If the Mode is set to Move To, all commands that use the Snap to Grid resolution snap to the nearest selected duration.

In addition to choosing a standard note duration for the snap interval, you can also enter a number of clock ticks. For example, at the default timebase of 960 ticks per quarter note, a sixteenth note snap interval represents 240 ticks. If you change the timebase, the grid interval is updated automatically. In the preceding example, if you update the timebase to 480 PPQ, the snap interval becomes 120.

If the Mode is set to Move By, you move all events in time by the selected duration.

This option also applies to the Now Time and time selections in the Time Ruler.

Events

The Events option sets the Snap to Grid dialog to the events.

Markers

The Markers option sets the Snap to Grid to markers. All edits and time selections that use the Snap to Grid resolution snap to the nearest marker.

This option also applies to the Now Time and time selections in the Time Ruler.

Clip Boundaries

The Clip Boundaries option sets the Snap to Grid to Clip Boundaries. All edits that use the Snap to Grid resolution snap to the nearest start or end of a clip.

Absolute Time

The Absolute Time option sets the Snap to Grid to an exact number of frames, seconds or samples.

If the Mode is set to Move To, all edits that use the Snap to Grid resolution snap to the nearest selected time, number of frames, or number of samples. If the Mode is set to Move By, you move in time all events by the selected time, number of frames, or number of samples.

Snap to Audio Zero Crossings

This option automatically snaps edited audio clips to the nearest zero crossing of the waveform, the point at which there is no volume, to minimize the glitches that can happen when waveforms are spliced together.

Mode:

The two modes apply to the Musical Time and Absolute Time options.

The following is a description of the two Snap to Grid modes:

  • Move To--Snaps an event to the nearest selected note, number of frames, number of seconds or number of samples, depending on which option is currently selected.
  • Move By--Moves an event by a note duration, number of frames, number of seconds or number of samples, depending on which option is currently selected.

Defining and Using the Snap Grid


SONAR Quick Start dialog

The SONAR Quick Start dialog box appears when you launch SONAR (unless you disable this option, see below). It allows you to open any of a long list of templates, and open recent projects and introductory help topics. You can open this dialog box whenever you want by using the Help-Quick Start command.

The SONAR Quick Start dialog box has the following fields:

Open a Project button

Clicking this button is the same as using the File-Open command. The Open dialog box appears, displaying the contents of your SONAR project folder. Select the project you want to open, and click OK.

Open a Recent Project button and dropdown menu

Click the arrow at the end of the dropdown menu to display a list of projects you opened recently. Choose the one you want to open, and click the button (it has a folder icon on it) to open it.

Create a New Project button

Clicking this button opens the New Project File dialog box, which displays a list of templates for new projects. Select the one you want to open, and click OK.

Getting Started button

Clicking this button opens the Getting Started help topic, which contains links that open tutorials and introductory help topics.

Show this at Startup checkbox

If you uncheck this checkbox, the SONAR Quick Start dialog box appears only when you use the Help-Quick Start command.

For more information, see:

Creating a New Project File


Sort Tracks dialog

The Track-Sort command opens the Sort Tracks dialog box. This command lets you arrange tracks in order according to any of several criteria. You can sort in ascending or descending order.

There are several ways you can change the order of tracks in the Track view:

  • Drag a track to a new position in the Track view (see below).
  • Insert new, blank tracks between existing tracks (see below).
  • Use the Track-Sort command to rearrange the tracks in order based on the track name, status, or other setting.

The Sort Tracks dialog box has the following fields:

Sort by

This field lets you choose what characteristic of the tracks you want to use to sort them by. Choose from these options:

  • Name--Choosing this option causes SONAR to sort the tracks in alphabetical order, either A to Z, or Z to A, depending on whether you choose Ascending or Descending in the Order field.
  • Muted--Choosing this option causes SONAR to put the muted tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Archived--Choosing this option causes SONAR to put the archived tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Selected--Choosing this option causes SONAR to put the selected tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Size--Choosing this option causes SONAR to put the biggest tracks either first or last, depending on whether you choose Ascending or Descending in the Order field.
  • Output--Choosing this option causes SONAR sort the tracks by output.
  • Channel--Choosing this option causes SONAR to sort the tracks by their MIDI channels, in either Ascending or Descending order.

Order

This field determines whether SONAR sorts the tracks by putting the tracks with higher numbered characteristics at the top or bottom of the Track window.

See:

To Sort the Tracks

See also:

To Drag a Track to a New Position

To Insert a Blank Track


SoundFont Banks dialog

The Options-SoundFonts command opens the SoundFont Banks dialog box, which you use to load banks of SoundFonts patches into a SONAR project. SoundFonts are banks of sounds produced by Creative Labs that you can load into SONAR or other SoundFont-compatible sequencers, and control by using MIDI program change commands. To use SoundFonts in SONAR, you must have three things:

  1. A Creative Labs SoundFont-compatible soundcard installed, such as the AWE 32 or 64, or SB Live
  2. The SoundFont Manager software and sounds
  3. Your SoundFont-compatible soundcard chosen as an Output in SONAR's MIDI Devices dialog box (Options-MIDI Devices)
OR
  • You can use SoundFonts without a SoundFont-compatible soundcard if you install the LiveSynth Pro software synthesizer that comes with SONAR.

When SONAR opens a .cwp or .MID file, it looks in the same folder for a .SF2 file with the same base name (the base name is the same as the project name. but without the extension on the end). If one exists, SONAR loads that .SF2 file into the project, and the sounds in that .SF2 file become available in that project as MIDI patches. Saving the project as a .cwp file (but not as a .MID file) also saves the attachments you make between the project and .SF2 files.

You can also manually attach a .SF2 file to a project by clicking the Attach button in the SoundFont Banks dialog box, and browsing to the .SF2 file you want to attach to the project. Manual attachment overrides base name attachment.

Note that bank 0 is reserved for the Standard GM bank and cannot be assigned.

The SoundFonts Banks dialog box has these fields

Banks window

This window lists all the SoundFont banks that are currently loaded into this project.

Attach button

Clicking this button opens the Soundfont File dialog box. Use this dialog box to browse to a .SF2 file that you want to attach to this project.

Warning: After you attach a .SF2 file to a project, do not move that file without detaching it from the project first.

Detach button

Use this button to detach a highlighted .SF2 file from a project.

Locations button

Use this button to tell SONAR where to look for a base name .SF2 file, if there isn't one in the project folder. This dialog box lets you type in one or more directories (multiple directories separated by semicolons).


Split Clips dialog

When you right-click one or more selected clips and choose Split from the popup menu, the Split Clips dialog box appears. Use this command to split one or more clips into smaller clips.

The Split Clips dialog box has the following fields:

Split At Time

Choosing this option splits the clip(s) at the location you fill in. By default, this filed lists the Now time, but you can choose any time you want.

Time Format--If you choose Split At Time, you can also select a time format for the Split At Time field from the four choices.

Split Repeatedly/Starting at Measure/And Again Every "N" Measures

Choosing this option creates split boundaries in the selected clip(s) starting at the location you choose in the Starting at Measure field, and again at every interval of measures that you choose in the And Again Every "N" Measures field.

Split at Each Marker Time

Choosing this option creates split boundaries in the selected clip(s) at each marker time.

Split When Silent For At Least "N" Measures

Choosing this option separates the selected clip(s) and removes empty space whenever the clips contain empty space that lasts a certain number of measures, the number of which you specify in the "N" field.

Use Nondestructive Cropping When Splitting MIDI Clips

If you check this option, SONAR hides any MIDI data (such as note durations) that overlap the clip boundary, without deleting any data. If you slip edit the new clip to expand the original boundary, SONAR uncovers the original data. If you don't check this option, SONAR deletes overlapping data when you split clips.

Note that the Undo and Redo commands work with all of these editing commands.

See also:

Splitting and Combining Clips

For step by step instructions:

To Split Clips into Smaller Clips

To Combine Clips


Staff View Layout dialog

The Staff View Layout dialog box appears when you click the Staff View Layout button in the Staff view toolbar or choose Layout from either the Staff pane or Fretboard right-click menus.

Use these fields in the Staff View Layout dialog box to control staff layout options:

Track

This field lists the tracks that the Staff view currently displays. Highlight the name of the track that you want to set display options for.

Display

The Display fields in the Staff View dialog box enable you to choose a variety of display options for the Staff view:

  • Whether you want rests to be beamed together with the notes that occur on the same beat (Beam Rests checkbox)
  • Whether the staff view will display sustain pedal events (Show Pedal Events checkbox)
  • Whether you want chord grids displayed above chord symbols (Show Chord Grids checkbox)
  • What fonts you want for any text, track names, or numbers in the Staff view (Set Font popup menu)

Staff properties (clef, split point)

In the Staff properties section of the Staff View Layout dialog box, you can select the type of clef you want to disply in the Staff view. If you select Treble/Bass the Split option becomes active, allowing you to set the boundary note between the treble and bass clefs

Tablature settings

The Staff View Layout dialog box creates tablature settings for a whole track at a time. To modify tablature for selected parts of a track, select part of a track and use the Regenerate TAB command.

In the Staff View Layout dialog box you can choose a preset style of tablature by choosing from the Preset popup menu, or you can define your own style by clicking the Define button in the Staff View Layout dialog box to open the Tablature Settings dialog box.

See also:

Staff View Layout dialog

The Staff View

Basic Musical Editing

Chords and Marks

Tablature Settings


Staff View Print Configure dialog

When you use the File-Print Preview command, the Print Preview window appears. In the Print Preview window is the Configure button. Click the Configure button to open the Staff View Print Configure dialog box, which has the Rastral Size field that you control rastral size with.

Rastral size is the vertical distance between the lines of each staff. Each rastral size has a number and is used by publishers for a specific genre of musical composition

To change the rastral size, pick a new rastral size from the drop-down menu and click OK.

For more information, see:

Printing


Step Record dialog

The Transport-Step Record command opens the Step Record dialog box. Step recording lets you specify step size and note duration so you can record difficult passages a step at a time. Step Record always uses the Sound on Sound (blend) record mode, regardless of the current record mode.

The Step Record dialog box the following fields:

Track

The track number and name of the selected track appear in the top left corner

Step Size

  • Choose a step size for the next note or rest you want to enter.
  • Choose Other to create a new step size.
  • Click the (Dotted) checkbox to add a dot to any step size.

Duration

  • Choose a duration for the step size you entered; the duration value controls how much of a note's step size the note actually lasts.
  • Click Other to create a new duration.
  • Click Follow Step Size to keep the duration values the same as the step size.

Delete

Click the Delete button to delete a note right after you enter it.

Advance

Click the Advance button to advance the Now Time after you enter a note or chord, or to create a rest the length of the current Step Size.

Auto Advance

Click the Auto Advance checkbox to automatically advance the Now Time after you enter a note or chord.

Scroll Bar

The scroll bar provides a visual representation of the Now Time's location. Click the arrows at either end to move forward or back one beat at a time.

Now Time field

Enter a time in the Now Time field to move the Now Time to a precise bar or beat.

Pattern

See Step Pattern Recording.

Keep button

If you are satisfied with the notes you entered, click the Keep button to add them to the selected track. Otherwise, click the Close button to throw away the notes.

See Also:

To Use Step Recording

Step Recording


Step Size dialog

When you use the Transport-Step Record command, the Step Record dialog box appears, which contains two Other buttons. Clicking the one on the Step Size side of the dialog box opens the Step Size dialog box. In the Step Size field, enter the size of the note you want to enter in ticks.

See also:

Step Recording


StudioMix Settings dialog

Configure StudioMix in this dialog box.

In the StudioMix Configuration Dialog Box you configure the Cakewalk software and the StudioMix mixer. Each button, fader, rotary and control corresponds to a drop-down list.


StudioWare Password dialog

The StudioWare Password dialog box opens when you click the Save button on a password-protected StudioWare panel. You must type the correct password into the Password field and click OK before you can save any changes you make to the panel.

See also:

Creating a New Panel


Sysx Bank Name

This dialog box lets you specify the the name of the bank you want.


Receive System Exclusive dialog

In the Sysx view, clicking the Receive button opens the Receive System Exclusive dialog box--clicking the OK button in this dialog box opens the Sysx Receive dialog box.

This dialog box displays how many bytes have been received. When the number stops increasing, click Done.

See also:

Using the System Exclusive View


Tablature Settings dialog

In the Staff View Layout dialog box you can choose a preset style of tablature by choosing from the Preset popup menu, or you can define your own style by clicking the Define button in the Staff View Layout dialog box to open the Tablature Settings dialog box.

Use the following fields in the Tablature Settings dialog box to configure TAB for a selected track:

Preset

Save your settings by typing a name into the Preset field at the top of the dialog box and clicking the disk icon next to it. You can remove presets from the list by clicking the X button next to the disk icon.

The next time you want to use these settings for a track, choose your Preset in the Staff View Layout dialog box from the Presets dropdown list.

Tablature

The Tablature tab has these fields:

  • Method--choose a tablature method from the Method dropdown list. There are three methods to determine how the TAB is displayed:
    • Floating--Analyzes all events in a track and attempts to optimize tablature with reference to open position
    • Fixed--This specifies where on the neck these notes should be played. When Fixed is selected, the Finger span and Lowest fret fields are used together to define the "box" where the notes are displayed. The Finger span parameter determines how many consecutive frets will be used to display the note. For example, if Finger span is set to 4, then SONAR will attempt to place all the notes within those 4 frets. The Lowest Fret then determines where on the fretboard will the notes be displayed within the Finger span. The red box in the fretboard display above the parameters changes to reflect the settings in these two parameters.
    • MIDI Channel--This uses the event's MIDI channel to determine which string the note should be displayed on. This is useful for MIDI Guitarists who record parts in MONO mode, where each string transmits on a different MIDI channel. . When MIDI Channel is selected, the user chooses which series of MIDI Channels SONAR receives on by typing a number into the 1st Channel field (use values between 1 - 11). Selecting "1" will cause it to use MIDI channels 1 - 6, selecting 2 , 2 - 7, and so on. Checking the Skip Channel 10 (G50) checkbox tells SONAR that your guitar is not transmitting on channe l 0, so SONAR has to use other channels to display your data.
    • Number of Frets--The number in this field determines how many frets the instrument has that you want to generate a TAB for.
  • String Tuning--choose the instrument from the dropdown list and number of strings from the Number of Strings field.
The open string pitches for the instrument you choose automatically appear in the string number fields at the bottom of the dialog box.
Customize any of the open string pitches by using the "+" or "-" buttons on the string number fields.

Fretboard

The Fretboard tab has these fields:

  • Texture--choose a texture from the dropdown list.
  • Orientation--If you want to reverse the standard string orientation, click Low String on Top (Mirror).

Both the Staff View Layout dialog box and the Tablature Settings dialog box create tablature settings for a whole track at a time. To modify tablature for selected parts of a track, select part of a track and use the Regenerate TAB command.

See Also:

The Fretboard

Quick TAB

Staff Pane Layout

The Staff View

Basic Musical Editing

Chords and Marks

Tablature


Tempo dialog

The Insert-Tempo Change command opens the Tempo dialog box. In the Tempo dialog box you can set a new tempo at a specified point.

Use the following fields to insert a tempo change:

Tempo--Type a new tempo or use the Click here to tap tempo button to tap out a tempo. The Tempo field changes as the tapped tempo varies.

Change the Most Recent Tempo--Applies the tempo changes in the Tempo field to the most recent tempo.

Insert a New Tempo Starting at Time--This option applies the tempo from the Tempo field to a specific starting time

See also:

Using the Tempo Commands

Changing Tempos


Tip of the Day dialog

The Tip of the Day dialog box appears when you launch SONAR, unless you disable this option (see below). This dialog box displays a different tip for getting the most out of SONAR each time you launch SONAR.

The Tip of the Day dialog box has the following fields;

Tip window

The tip window displays the tip of the day; each time you open SONAR, the tip window displays a different tip.

Next Tip button

Click this button (or press Enter if the button is highlighted) as many times as you like to display the next tip.

Show Tips on Startup

If you uncheck this checkbox, the Tip of the Day dialog box appears only when you use the Help-Tip of the Day command.


Toolbars dialog

The Views-Toolbars command lets you select which toolbars are displayed and also the style of display for the toolbars.

To display a toolbar, click the checkbox next to its name.

To display toolbars with an upraised appearance similar to a button in the up position, make sure the Flat Style box is unchecked.


Track Bank dialog

The Track-Property-Bank command opens the Track Bank dialog box, which allows you to choose a bank of MIDI patches for the highlighted track. The Track Bank dialog box has only the following field:

Bank

Fill in the number of the bank that you want SONAR to assign to the highlighted track.

See also:

Choosing the Instrument Sound (Bank and Patch)


Track Channel dialog

The Track-Property-Channel command opens the Track Channel dialog box. This command lets you specify a MIDI channel for the highlighted track. The Track Channel dialog box has only the following field:

Channel

Fill in the number of the MIDI channel you want the highlighted track to play back on.

See also:

Assigning a MIDI Channel (Chn)


Track Inputs dialog

The Track-Property-Inputs command opens the Track Inputs dialog box. This command lets you specify inputs for all of your project's tracks for recording purposes. Use these fields in the dialog box to choose inputs for your tracks:

Inputs Control

Use the Track column to choose which track or tracks you want to choose an input for. Click the name of a track to select it or Control-click to select several at once. The Input control lists the currently assigned inputs for each track.

Inputs field

Choose from the following options in the Inputs field to assign the input for the track that is currently selected in the Track Inputs dialog box:

  • None--Choosing None removes the input assignment for the selected track from the list. The track input then defaults to MIDI Omni.
  • MIDI Omni--When you choose MIDI Omni as the input for a track, SONAR merges together material from all MIDI outputs and instruments.
  • Audio--When you choose Audio as the input, you must also choose which sound card driver to use as the audio input. Choose the sound card driver from the drop-down menu that is next to the Audio checkbox.
  • MIDI Channels--Choose a MIDI Channel if you want your selected track(s) to record only a specific MIDI channel.

When you finish choosing inputs for all your tracks, click OK to close the dialog box and change the inputs you specified.

See also:

Choosing an Input

Changing Track Settings


Track Key+ dialog

The Track-Property-Key+ command opens the Track Key+ dialog box, which allows you to set the transposition value for the highlighted track. The Track Key+ dialog box has only the following field:

Amount

Fill in the number of half-steps that you want SONAR to transpose the track. Positive numbers transpose the track up; negative numbers do the opposite.

See also:

Adjusting the Key/Transposing a Track (Key+)


Track Manager dialog

Clicking the Track Manager button or pressing m in the Track view or Console view opens the Track Manager dialog box. Use this dialog box to hide or display the various track modules and buses in the view that you opened it from.

The Track Manager dialog box has the following fields and buttons:

  • Display window--This window lists all the track modules, aux buses, and main buses. A checkmark next to a module means it is visible.
  • Toggle buttons--These buttons select all of the type of module that is listed on the button. You can check or uncheck all selected modules by pressing the Spacebar.

See also:

To Choose the Tracks that are Displayed Using the Track Manager


Track Name dialog

The Track-Property-Name command opens the Track Name dialog box, which you use to give a highlighted track a name.

The Track Name dialog box has only the following field:

Name

Type the name that you want to give to the highlighted track, and click OK.


Track Outputs dialog

The Track-Property-Outputs command opens the Track Output dialog box, which you use to assign a highlighted track to a MIDI or audio output.

The Track Output dialog box has only the following fields:

MIDI Outputs

Choose the MIDI output that you want this track's data to be sent to. The MIDI Outputs field is grayed out if the selected track is an audio track.

Audio Outputs

Choose the audio output that you want this track's data to be sent to. The Audio Outputs field is grayed out if the selected track is a MIDI track.

See also:

Setting Up Output Devices


Track Pan dialog

The Track-Property-Pan command opens the Track Pan dialog box.

Use this command to set the pan for the highlighted track(s).

Note: Panning a stereo track away from the center has the effect of progressively cutting the volume of events in the track whose initial pan position is opposite of the direction the stereo track is being panned.

The Track Pan dialog box has only the following field:

Pan

Enter a number between 0 (hard left) and 127 (hard right).

See also:

Adjusting Volume and Pan


Track Patch dialog

The Track-Property-Patch command opens the Track Patch dialog box, which allows you to choose a MIDI patch for the highlighted track. The Track Patch dialog box has only the following field:

Patch

Fill in the number of the patch that you want SONAR to assign to the highlighted track.

See also:

Choosing the Instrument Sound (Bank and Patch)

To Choose Patches with the Patch Browser

Importing Instrument Definitions

Creating Instrument Definitions


Track Properties dialog

Right-clicking a track and choosing Track Properties from the popup menu opens the Track Properties dialog box. The Track Properties dialog box has the following fields:

Input

The Input for the track, used in recording

Output

This field lists the output device through which this track is played.

Channel (MIDI tracks only)

This field lists the MIDI channel through which the notes will be played.

Bank (MIDI tracks only)

This field lists the bank that the track's patch belongs to.

Bank Select Method (MIDI tracks only)

This field lists what controller format the bank change method for this track uses.

Patch (MIDI tracks only)

This field lists what patch this track uses.

Patch Browser button (MIDI tracks only)

This button opens the Patch Browser dialog dialog box.

Key +

This field lists the number of half-steps (up or down) that SONAR transposes the track as it plays.

Time +

This field lists the number of ticks that the track's playback timing is offset from the other tracks.

Pan

This field lists the stereo placement of the track--64 is center, 0 is hard left, 127 is hard right.

Volume

This field lists the initial volume of the track, on a scale of -1 to 127.

Description

This field provides a place that you can enter a text descripton of the track, for future reference.

Instruments button

This button opens the Assign Instruments dialog dialog box.

See also:

Changing Track Settings

Choosing an Input


Track Time+ dialog

The Track-Property-Time+ command opens the Track Time+ dialog box, which allows you to set the amount that SONAR advances or delays the start time for all events in the highlighted track. The Track Time+ dialog box has only the following field:

Amount

Fill in the number of ticks you want SONAR to add to or subtract from the start time of all events in the highlighted track.

See also:

Adjusting the Time Alignment of a MIDI Track (Time+)


Track Vel+ dialog

The Track-Property-Vel+ command opens the Track Vel+ dialog box, which allows you to set the amount that SONAR adjusts the velocity for all events in the highlighted track. The Track Vel+ dialog box has only the following field:

Amount

Fill in the number of velocity units that you want SONAR to add to or subtract from all events in the highlighted track. Use numbers between -127 and 127.

See also:

Adjusting the Note Velocity (Vel+)


Track View Options dialog

If you right-click in the Clips pane and choose View Options from the popup menu, the Track View Options dialog box appears, which you use to control the appearance and behavior of the Clips pane.

The Track View Options dialog box has the following fields:

Display Vertical Rules

Enabling this option causes SONAR to display vertical lines in the Clips pane that are one measure apart.

Display Clip Names

If you name any of your clips, enabling this option causes SONAR to display the names.

Display Clip Contents

Enabling this option causes SONAR to display a graphical depiction of the audio or MIDI data that the track contains, including automation data.

Left Clik Sets Now

Enabling this option allows you to set the Now Time by left-clicking a location in the Clips pane.

Right Click Sets Now

Enabling this option allows you to set the Now Time by right-clicking a location in the Clips pane.

Double-click to Open View

Double-clicking a clip in the Clips pane automatically opens another view to edit the clip in, You can choose what view you want to open for both MIDI and audio clips in these two menus:

  • MIDI Clips--Choose what view opens when you double-click a MIDI clip.
  • Audio Clips--Choose what view opens when you double-click an audio clip.

Show Audio Scale

Check this option to display the Audio Scale Ruler in the splitter bar between the Clips pane and the Track pane.

See Also:

Displaying Clips


Track Volume dialog

The Track-Property-Volume command opens the Track Volume dialog box. This command lets you specify the starting volume level for the track, ranging from 0 (silent) to 127 (maximum volume). For more information, see To Display Clip Names and Contents

The Volume setting controls the initial volume of a track during playback. Every time you start playback, SONAR sets the volume to this initial level.

In some projects you want the volume of a track to change while playback is in progress. You can accomplish this using the Console, Piano Roll, Event List or StudioWare views.

Note: Not all keyboards and synthesizers respond to volume change messages. Check the manual that came with your keyboard or synthesizer for more information.

See Also:

Adjusting Volume and Pan


Transpose dialog

The Process-Transpose command opens the Transpose dialog box, which allows you to transpose the pitches of MIDI and audio clips up or down by a fixed number of half-steps. It does so by changing the MIDI key numbers of note events and by pitch-shifting audio clips. Simply enter the number of half-steps in the Amount field of the Transpose dialog box--a negative number to transpose down, a positive number to transpose up. See To Transpose Selected Events.

SONAR can also perform diatonic transposition, which shifts all the notes up and down the major scale of the current signature by the designated number of steps. For instance, if you specify an amount of +1 and the key signature is C-major, a C becomes a D (up a whole step), an E becomes an F (up a half step), and so on. Diatonic transposition assures you that the transposed notes fit with the original key signature.

As an option, you can choose to transpose selected audio clips along with any selected MIDI clips. SONAR uses pitch-shifting to perform the transposition. You can transpose audio only a single octave in either direction (-12 to +12), and you cannot transpose audio when you are using diatonic transposition.

The Transpose dialog box contains the following fields:

Amount

The number in this field tells SONAR how many half-steps, up or down (depending on whether you enter a positive or negative number), to transpose the selected data, unless you check the Diatonic Math checkbox (see below). If you check Diatonic Math, the number in this field tells SONAR how many scale steps to transpose the selected data.

Diatonic Math

If you check this checkbox. SONAR transposes the selected data up or down, but only within the current key signature.

Transpose Audio

If you check this checkbox. SONAR transposes any selected audio data up or down, but only by half-steps, not diatonically.

See also:

To Transpose Selected Events


Video to AVI dialog

This command lets you export the video and digital audio in your project to an .AVI file.

SONAR can combine an inserted video file with the audio tracks you record in a project to form a new .avi file. Choosing the File-Export-Video to AVI command opens the Video to AVI dialog box, which offers the following options:

  • Save in--choose the folder you want to store your new .avi file in.
  • File name--fill in a name for your new file.
  • Save as type--there's only one choice.
  • Video Codec--choose a compression format, but note the following:
    • Not all compression codecs listed may necessarily be compatible while re-compressing video through "Export to AVI". If an incompatible compression codec is selected an error message may be displayed during the export.
    • If No Compression is selected, the video retains its original compression.
    • The following video compression codecs have been found to be compatible. Different codecs provide varying degrees of compression performance.
    * Indeo Video 5.04
    * Intel I.263
    * Cinepak Codec by Radius
    * Microsoft Video 1
    * Microsoft RLE
    • Video compression cannot be used if the Start Time, Trim-in Time, or Trim-out Time settings have been changed in the Video Properties dialog. If any of these settings have been changed and you need to use video compression, you can 1) export the video file to a new AVI file, 2) then insert the new AVI file, and finally 3) export the video to a new AVI file.
  • Audio--the following audio compression codecs have been found to be compatible (you may see different codecs installed on your system):
    • CCITT - A Law
    • CCITT - U Law
    • DSP Group TrueSpeech
    • PCM (this is the standard uncompressed format for wav files)
    • GSM 6.10
    • IMA ADPCM
  • Keyframe Rate--(this field is greyed-out if you choose the Default Codec in the Video field) note the following:
    • If you intend to do a lot of seeking around or looping and editing while a video file is loaded, make sure that your video file has sufficient keyframes. Since each frame has to be computed from the last keyframe encountered, if you have very few keyframes in the video, performance may be slow. To change the number of keyframes, you may recompress the file using File-Export-Video to AVI and specify more frequent keyframes. Choose a suitable video compressor such as "Indeo Video 5.04" and change the KeyFrame Rate parameter to a number between 1-5. A value of 1 makes every frame a keyframe, and higher numbers insert a keyframe after that many frames.
  • Data Rate--(this field is greyed-out if you choose the Default Codec in the Video field) if you are compressing a file to be played over the Internet, use a data rate that doesn't exceed the capacity of the media players you expect will be used to play your file.
  • Quality--lower quality values provide faster transmission and vice versa.
  • Change AVI settings--Checking this box causes another dialog box to appear after you click the Save button. This is the Properties dialog box that allows you finer control over the configuration of the AVI file you are creating. The available parameters are Microsoft Direct Show settings.
  • Mix Options button--clicking this button opens the Audio Mixdown Options dialog, which allows you to choose mono or stereo export, what sound card driver you're using to export, and all the audio components from your project that you want to include in the exported mix.


U-8 EZ Recording Wizard - Start

Use U-8's right or left Cursor button to choose one of the following options, and then press U-8's Enter button to activate your choice:

  • Create a New Project--This choice opens SONAR's New Project File dialog box. Use U-8's right or left Cursor button to choose the type of template you want to open, and press U-8's Enter button to activate your choice. Use the Roland U-8 template for best results.
  • Open an Existing Project--This choice opens SONAR's Open dialog box. Use U-8's right or left Cursor button to choose the project you want to open, and press U-8's Enter button to activate your choice.
  • Open Your Most Recent Project--This choice opens the last project you worked on.


U-8 EZ Mixdown Wizard

The EZ Mixdown Wizard handles choosing a mixdown destination for your audio tracks, choosing a destination track, and adding an effect. You can move U-8's Track Volume faders to control track level during mixdown. You can also automate track volume changes in SONAR's Console view (see SONAR's online help for this procedure).

Caution: Do not move the U-8 fader of any track you have set up automation for. The U-8 Track Volume faders and SONAR's Console view faders have equal priority, and produce chaotic volume changes if used simultaneously.

To Mix Audio with the EZ Mixdown Wizard...

  1. Mute or archive any audio tracks you don't want to include in your mix.
  2. Rewind SONAR to the beginning.
  3. Press the Mix Down button.
The EZ Mixdown Wizard Mixdown Destination page appears.
  4. Use U-8's right or left Cursor button to choose either:
    • Mix down to an audio track--Choose this option if you want to mix your audio tracks to a single stereo track in SONAR.
    • Mix down to an external recording device--Choose this option if you are mixing to a DAT machine or other external device.
Press the Next/Marker button to move to the next page.
  5. On the Mixdown Audio page, use U-8's right or left Cursor button to choose the destination track you want your mix to end up on. Press the Next/Marker button to move to the next page. Pressing the Prev/Marker button takes you back to the previous page.
  6. On the Effect Selection page, use U-8's right or left Cursor buttons to choose either:
    • No Effect--Choose this if you don't want to apply effects during mixdown. Choosing this option causes the Wizard to skip over the next page.
    • Apply System Effect--Choose this if you want to apply an effect to your whole mix; you'll choose the effect on the next page.
    • Apply Insertion Effect--Choose this if you want to apply an effect to a specific input. Then use the down Cursor button to move the cursor into the Input for Insertion Effects field. Use the left or right Cursor buttons to choose either the Guitar/Mic/Instrument Input (INST) or AUX/Digital Input (AUX). Choosing Wave Input (WAVE 2 EFFECTS) adds an effect to the prerecorded tracks coming from your computer.
Press the Next/Marker button to move to the next page.
  7. On the next Effect Selection page (which does not appear if you chose No Effect on the previous page), scroll through the list of effects with the Time/Value wheel. All System Effects in the list are labeled with the (sys) suffix. When you find the effect you want, select it by pressing U-8's Enter button.
Press the Next/Marker button to move to the next page.
  8. Press the Next/Marker button to close the Mixdown Wizard.
  9. Do one of the following:
    • If you're mixing down to a track, press U-8's Record button.
    • If you're mixing down to an external device, press U-8's Play button.
SONAR begins to play.
  10. Move any U-8 Track Volume faders you need to move during mixdown.
  11. Press the Stop button to stop recording.
  12. To verify your mix, rewind and then solo the track you mixed down to. When you play the track, you should hear the complete mix of all the tracks you mixed down.
Listen to your mix and mix again, if necessary. You can change the record mode from Sound-on Sound to Overwrite or vice versa by using SONAR's Realtime-Record Options command.
Note: If you apply a System Effect during mixdown, it stays applied even when you finish mixing. To turn it off, open the Mixer and deselect the System button.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Input Setting (Instruments)

Select one of the following options:

  • Guitar--Select this option if you are inputing a guitar signal. There are two possible connection options with a guitar:
    • If you are using a standard (mono) guitar cord, connect to the U-8 using the Guitar (Hi-Z) input.
    • If are using a TRS cable (stereo), after passing through an effects processor for example, use the B input.
  • Mono Instrument--Select this option if you are connecting a mono instrument. Use the B input for mono instruments.
  • Stereo Instrument--Select this option if you are connecting a stereo instrument. Use the A and B inputs for stereo instruments.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Input Setting (Microphones)

Select one of the following options:

  • One Mic--Select this option if you are using only one microphone.
  • Two Mics--Select this option if you are using two microphones, each going to a separate channel.
  • Two Mics Mixed--Select this option if you are using two microphones and you want the signal to blend together.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Record Track

In the Record Track dialog you set the track you are recording on in SONAR.

Caution: a track that contains recorded material can be overwritten if you select it in this dialog. Be sure you are selecting a track which is not being used or one which you are sure you do not need.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Input Volume Setting

Follow this instructions in this dialog for setting the input volume.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Effect Setting

In the Select an Effect field, choose an effect you want to use. Check the Apply Insert Effect checkbox if you want the effect you hear while recording to be applied to the recorded material.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Recording Volume Setting

Follow the instructions in the Recording Volume Setting dialog to set your recording level.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Finish and Get Ready to Record

Follow the instructions in the Finish and Get Ready to Record dialog to begin recording.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Mixdown Destination

Select one of the following options:

  • Mixdown to an audio track--Select this option if you want to mixdown to another track in SONAR.
  • Mixdown to an external recording device--Select this option if you want to mixdown to an external device. For instructions on how to connect a DAT or other external recording device to the U-8, see the printed documentation that came with your U-8.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Track Selection

In the Track Selection dialog you set the track you are mixing down to in SONAR.

Caution: a track that contains recorded material can be overwritten if you select it in this dialog. Be sure you are selecting a track which is not being used or one which you are sure you do not need.

See also:

Working with the Roland U-8


U-8 Recording Wizard - Effect Selection

Select one of the following options:

  • No Effect--
  • Apply System Effect--
  • Apply Insertion Effect--Use this option when you want to apply an external effect to a mixdown. Select the inputs your external effect is connected to:
    • Guitar/Mic/Instrument Input (INST)
    • AUX/Digital Input (AUX)
    • Wave Input (WAVE2 EFFECTS)

See also:

Working with the Roland U-8


Undo History dialog

The Edit-History command opens the Undo History dialog box, which displays a history of your editing actions (the command is greyed-out if you made no edits). You can set how many editing actions you want the Undo History dialog box to store by changing the number in the Maximum Undo Steps field. The default value is 128.

Use the Undo History dialog box to jump to a previous time in the history of the project. Then you can continue from that point, causing all the edits you did after that action to disappear.

The Undo History dialog box has the following fields:

History list

The History list displays a list of all the editing actions you did to this project, up to the number of actions in the Maximum Undo Steps field.

To revert to an earlier version of a project, highlight the entry in the History list that represents the point to which you'd like to return, and click OK. SONAR performs the necessary undo or redo actions to take you to that point. Once you make any new edits, SONAR clears the History list of all the edits you made after the edit you jumped back to. Then, as you do further work, the History list grows again. Any edits that happened after the edit you jumped back to remain on the list.

Clear button

You can click the Clear button in the History dialog box to erase the undo history for the current project and free up some memory. If SONAR is low on memory, it may offer to erase the History list.

Maximum Undo Levels

This field lists the number of previous edits that SONAR stores. The default value is 128. You can enter a smaller number to reduce the memory required.

See also:

Undo, Redo, and the Undo History


Unlink Clips dialog

When you right-click a selected group of two or more linked clips and choose Unlink from the popup menu, the Unlink Clips dialog box appears.

This command lets you specify when unlinking selected linked clips whether to form a new, different linked group or to make the clips completely independent.

See also:

Splitting and Combining Clips

Moving and Copying Clips


Unpack Bundle dialog

The Unpack Bundle dialog allows you specify the folder where you want to store the unpacked project and the folder where you want to store the project's audio data. This dialog only appears if you have the Use per-project audio folders option selected in the Global Options dialog.

Project Name

Enter a file name for your project. The default name is the same as the bundle filename but with the .cwp extension.

Location

Select a folder in which your project file is saved.

Audio Path

Select a folder in which your project's audio data is stored.

Store Project Audio in its own Folder

Check this option to use per-project audio. If you uncheck this option, the project audio is stored in the default audio data folder.

Create One File per Clip

Check this option to create a separate wave file for each clip in your project. If you uncheck this option, all audio is stored in two wave files, a mono file with all the project's mono audio, and a stereo file with all the projects stereo audio.


Unpack OMF dialog

The Unpack OMF dialog appears when you open an OMF file. Select from the following unpack options:

Sample Rate

This is a non-editable file attribute.

Bit Depth

This is a non-editable file attribute.

Initial Tempo

Set the initial tempo of the file.

Store Project Audio in its own Folder

If you want to use a unique folder for this project's audio data, check this option and fill out the Project Name, Location and Audio Path fields. If you deselect this option, the project is saved with the same file name to the default directory using the default audio directory. The file's new extension is .cwp.

Project Name

The Project filename. This field is only active if you have checked the Store Project Audio in its own Folder option. This field is only active if you have checked the Store Project Audio in its own Folder option.

Location

The directory where you want to save the project. This field is only active if you have checked the Store Project Audio in its own Folder option.

Audio Path

The audio directory where you want to store the audio for the project. This field is only active if you have checked the Store Project Audio in its own Folder option.


Unreadable Files dialog

This dialog may appear when using the Clean Audio Folder command. This dialog lists any files on your system which have a Cakewalk file extension (.cwp, .cwt, .wrk, and .tpl), but cannot be read by SONAR. These files may be corrupt or they may not be SONAR files at all, if for instance you have another application on your system which saves files with the same extension.

Important: If any of your projects appears in this dialog, do not proceed to delete any audio in the Clean Audio Folder dialog without first restoring these projects from a backup source such as a Bundle file (.cwb). If SONAR cannot read a project file, any audio associated with it will be listed in the Clean Audio Folder dialog.


Video Properties dialog

Right-clicking a video in the Video view and choosing Video Properties from the popup menu opens the Video Properties dialog box. This dialog box has two tabs--the Video Settings tab, and the Info tab.

Video Settings tab

The Video Settings tab lets you set playback time options, and has the following fields:

  • Start Time--If you don't want the video to start playing until some later time in the audio project, fill in the time that you do want the video to start. For example, if you want the beginning of your video to start playing at measure 3 of your audio project, enter 3 in the Start Time field.
  • Trim-in Time--If you don't want your video to start playing right at the beginning of the video file, enter the time in the video file (in SMPTE format) where you want the video to start playing. For example, if your video has 10 seconds of blank video at the front of the file, you can enter 00:00:10:00 into the Trim-in Time field, and SONAR skips the first 10 seconds of the video file and starts playing your video file at the 10 second mark in the video.
  • Trim-out Time--If you have blank or unwanted video at the end of your video file, enter the time (in SMPTE format) where you want to stop playing the video.

Info tab

The Info tab displays various attributes of the inserted video, and also contains the More button, which displays a more extensive set of attributes.


Video Properties--Render Quality tab

The Render Quality tab lets you control how your video looks in SONAR. It doesn't affect the video that you eventually export, although you can experiment with different settings to get an idea of how your video looks at different sizes and with different frame rates.

The Render Quality tab has the following controls:

  • Preview checkbox--check this checkbox to cause the video in SONAR to display at a slightly lower quality: "preview" quality. This can cause slightly smoother playback.
  • Frame Rate (FPS)--use this field to change the frame rate. Lower frame rates free some of your computer's resources for playing back music and other tasks.
  • Video Size, X and Y--the X field sets the video's width, in pixels; the Y field sets height.
  • Restore Defaults--click this button to set the three previous fields (including Preview) back to their default values.

See also:

Video Playback


Window Layouts dialog

SONAR stores the the layout of all of a project's views in the project file when you save the project. By default, SONAR restores the layout of all the views when you open the file.

In addition, you can save the current layout in a separate list--the global layout list. Once you have saved the layout in this list, you can apply it to any open project. The global layout list can contain as many layouts as you want. Layouts in the list can be updated, renamed, and deleted.

The View-Layouts command opens the Window Layouts dialog box. Use the following fields to control your layouts:

Global window

This large window lists all your saved layouts.

Close Old Windows Before Loading New Ones

If you check this option, SONAR closes all the views of the current project before applying the layout. If you leave this option unchecked, existing views remain open, and additional views appear according to the settings in the layout.

Per-Song-File--When Opening a File, Load its Layout

In additon to global layouts, SONAR stores each project's layout. If you check the When Opening a File, Load its Layout option, SONAR arranges the project's views according to the stored layout when the project file opens. If you don't check this option, only the Track view (and File Info view, if applicable) appear when the project file opens.

Load button

Click this button to apply whatever layout is highlighted in the Global window to the current project.

Add button

Click this button to name and save the current layout.

Delete button

Click this button to delete whatever layout is highlighted in the Global window.

Rename button

Click this button to rename whatever layout is highlighted in the Global window.

See also:

Layouts


Glossary

aftertouch

AIFF

archive

arm

digital audio

audio clip

audio track

audition

automation

bank

bundle file

Cakewalk Application Language (CAL)

channel

channel aftertouch (ChanAft)

chord

chord symbol

clip

clone

controls

crescendo

crossfade

controllers

dB

decibel

decrescendo

DMA

DRM (Dump Request Macro)

duration

DXi

echo

effects (audio effects)

envelopes

event

expression

expression marks

fade

fade-in

fade-out

frame rate

from time

full-duplex

global layout

Groove clip

groove pattern

groove quantize

group

guitar chord grid

hairpin symbol

H:M:S:F

input

input monitoring

inspector menu (same as context menu)

instrument definitions

key aftertouch (KeyAft)

key offset

key signature

kill

latency

layout

linked clips

live mode

locked (SMPTE) time

looping

loops

lyrics

marker

MBT

MCI command (Media Control Interface command)

meter

MIDI

mixdown

MME

MMC (MIDI Machine Code)

MTC Sync

mute

normal template

Now time

NRPN

offline

offset

overload

PPQ

pan

patch

pedal mark

pitch bend

pitch marker

pitch wheel

phase

port

project pitch

property

quantize

record

resolution

RMS

RPN

sampling rate

scrub

sensitivity (window)

size

slip editing

shape

SMPTE

snapshot

solo

split point

staff

strength

strength

stripping

submix

swing

Sysx

Sysx Bank

take

template

tempo

thru time

ticks

time

timebase

TPQ

track

transients

vector

velocity

velocity offset

virtual main bus

volume

WDM

widget

wipe

xRPN

aftertouch

MIDI property controlling how much pressure is applied. See key aftertouch (KeyAft), channel aftertouch (ChanAft).

AIFF

Short for Audio Interchange File Format, the audio file format on the Macintosh platform. Files in this format have the extension .aif or .aiff.

archive

Silence and suppress the processing of a track. Archived tracks are not loaded into RAM, so they can't be unmuted in real time. Use the archive command to reduce the demand on your CPU. See mute.

arm

Enable a track for recording.

See Choosing an Input.

audio clip

Clip containing digital audio.

audio track

Track recorded digitally.

audition

Listen to audio effects to determine if they are acceptable.

See Basic Audio Processing.

automation

Cakewalk snapshot or dynamic recording of the positions of all the controls through a portion of sound or music.

See Quick Automation Guide.

bank

Up to 128 patches. Storage for sounds.

bit depth

Size of memory locations used to store particular kinds of data. For example, if you have an audio driver that uses 24 bit chunks of data, and you store that data by using a file bit depth of 16 bits, you lose lose 8 bits of data out of every 24, because there is no room for the other 8 bits.

bundle file

A file that incorporates all project information and audio data. Bundle files are useful for creating backups of your work or for moving projects from on computer to another.

Cakewalk Application Language (CAL)

An event-processing language that extends Cakewalk with custom editing commands.

See Creating and Running CAL Programs.

channel

Path through which MIDI transmits information.

chord

What appears in a guitar chord grid.

See Adding Chord Symbols.

channel aftertouch (ChanAft)

MIDI property regulating the pressure applied to all the notes of the instrument on the specified channel.

chord symbol

The c among the expression marks on the staff. Put one above the notes where you want to define a guitar chord grid.

See Chords and Marks.

clip

Piece of sound and music. Your project consists of clips. You can link clips.

clone

A command that allows you to copy a track along with its properties, the clips or events or both. You can choose the destination track for the copy.

controls

Sliders, faders, knobs, and buttons on the console or your on-line equivalent of controllers.

See Mixing and Effects Patching.

crescendo

A fade-in. A gradual increase in volume.

crossfade

One clip fading in while another fades out. You can create destructive or non-destructive crossfades. For more information, see Fades and Crossfades.

controllers

Pedals, knobs, and wheels on your electronic instrument that you can use to change the sound while you're playing.

See Controllers, RPNs, NRPNs, and Automation Data .

dB

Measure of loudness; abbreviation for decibel.

See The Decibel Scale.

decibel

Measure of loudness; abbreviated dB.

See The Decibel Scale.

decrescendo

A fade out. A gradual decrease in volume.

digital audio

Music or sound recorded digitally, as on a compact disk, and not recorded by means of MIDI.

DMA

Direct Memory Access. DMA settings determine how your computer's sound card communicates with Cakewalk.

See The Wave Profiler for information about how to change DMA settings.

DRM (Dump Request Macro)

Utility for getting synthesizer data into a bank.

duration

In SONAR's Step Record dialog box, duration means the actual length of time that a note sounds, as opposed to the notated value of the note, which could be different. If you check the Follow Step Size option in the dialog box, the notated value and the duration are the same.

DXi

A plug-in software synthesizer that supports the DirectX audio format.

echo

Sending a MIDI input signal back out to a particular device during real-time recording. Sometimes referred to as through, or play-through, echoing determines what instrument sounds while you play a MIDI instrument and record it.

effects (audio effects)

Systematic changes you can make to parts or all of the music, like reverb, chorus, and delay.

See Audio Effects (Audio Plug-ins), Using Real-Time Effects.

envelopes

Reflects the changes in value for a parameter (volume, for example) over a period of time. Also refers to the graph of the change--same as vector.

event

Note, MIDI action, or audio clip.

expression

Chord symbol, text of any sort (like ff or con amore), hairpin, or pedal marks.

expression marks

Dynamic markings and other musical instructions (like decrescendo, con amore, etc.) in the Staff view.

See Adding Expression Marks.

fade

Gradual increase (crescendo) or decrease (decrescendo) in volume.

See Fades and Crossfades and Using Automation.

fade-in

Gradual increase (crescendo) in volume.

See Fades and Crossfades and Using Automation.

fade-out

Gradual decrease (decrescendo) in volume.

See Fades and Crossfades and Using Automation.

frame

Smallest units for SMPTE synchronization. Frame rate indicates the number of frames per second.

See SMPTE/MIDI Time Code Synchronization.

frame rate

Speed of playback.

from time

The beginning of a selection. Set it in theSelect toolbar.

See Now time.

full-duplex

A type of soundcard which allows simulaneous recording and playback of audio.

See Recording Audio.

global layout

The arrangement of your views as the appear in Cakewalk. You can save layouts to use with other projects.

See Layouts.

Groove clip

Audio clip that contains pitch and tempo information that allows SONAR to automatically adjust the pitch and tempo of the clip to that of the project you insert it into.

groove pattern

Piece of music used as a template for the groove quantize command.

See To Use the Groove Quantize Command

groove quantize

Lets you lay a grid over your groove pattern, then adjust time, duration, and velocity of selected notes so they line up with the grid.

See To Use the Groove Quantize Command

group

An entity consisting of multiple controls or buttons and specifying relationships between or among them.

guitar chord grid

Grid for notating guitar chords.

See Chords and Marks

hairpin symbol

Crescendo or decrescendo mark.

See Chords and Marks

H:M:S:F

Short for Hours, Minutes, Seconds, and Frames, which is the time format used for SMPTE time.

input

Input for music or sound to be recorded into a track.

See Choosing an Input

input monitoring

A series of settings which allows you to hear real-time DirectX effect plug-ins during recording or when a track is armed. You can activate drivers for input monitoring in the Input Monitoring tab of the Audio Options dialog. For more information about input monitoring, see Input Monitoring.

inspector menu (same as context menu)

Menu appropriate for a particular location or item. Display a context menu by right-clicking on the location or item.

instrument definitions

A file that contains information about banks, patches, controllers, and other features of an instrument.

See Creating Instrument Definitions, Using Instrument Definitions

key aftertouch (KeyAft)

MIDI property regulating the pressure applied to an individual note.

key offset

The number of half-steps by which to transpose the track. A value of 12 raises the notes an octave. You can transpose all note in a track on playback by setting this value (Key+) in the Tracks pane.

key signature

Key of the piece, how many sharps or flats it has, and how the music displays in the various views.

kill

Delete an entire track, including all its properties, clips, and events. You can undo a kill, but not paste it.

latency

How fast a piece of audio hardware or software responds to real-time commands, such as to mute a track, to add an effect, or to play some audio data.

layout

Current arrangement of all views in a particular project.

See Layouts, Templates and Key Bindings.

linked clips

Clips so specified that any change made to one applies to all.

See Splitting and Combining Clips.

locked (SMPTE) time

Locks a marker to a specified time from the start of the music. Not affected by changes in tempo or time signature.

See Creating and Using Markers.

looping

Repetition of a part or of the whole of a piece of music, especially multiple repetitions.

loops

Small pieces of audio data, suitable for being repeated back to back, such as a single drum beat or measure.

live mode

Temporary condition of a project with all automation turned off. You can toggle back and forth between live mode and regular mode by clicking the Live Mode button.

lyrics

Words to go along with music.

See Working with Lyrics.

marker

Flag marking a specific time in the music.

MBT

Measure, Beat and Tick number.

9:04:0060 is the 60th tick of the fourth beat of the ninth measure.

MCI command (Media Control Interface command)

Special event in the Event List view that lets you control other multimedia hardware and software.

meter

The meter, or time signature, divides time into rhythmic pulses. Specifies the number of beats per measure and the note value of each beat.

See Setting the Meter and Key Signatures.

MIDI

Musical Instrument Digital Interface. The means by which computers communicate with most sound cards, keyboards, and other electronic instruments.

mixdown

Combination of two or more audio tracks into a stereo submix. See Mixing Down and Distributing Audio.

MMC (MIDI Machine Code)

A protocol that controls an MMC-equipped remote device through MIDI.

See MIDI Machine Control (MMC).

MME

Multi Media Extensions--the name of Windows' built-in audio and multmedia software that was originally developed for Windows 3.0, and is still used by many sound card drivers. WDM drivers offer much better performance.

MTC Sync

MIDI Time Code sync. Messages are received in SMPTE/MTC format from an external MIDI device and generate MTC.

See SMPTE.

mute

Set a track to be silent during play.

normal template

Project template for all projects.

Now time

The current time in a project. Where you are in the music.

See The Now Time and How to Use It

NRPN

Non-Registered Parameter Numbers.

See Controllers, RPNs, NRPNs, and Automation Data.

offline

Not in real time. When you apply an effect to a track offline, you permanently alter the data in that track; then you play the track to hear the effect. When you add an effect to a track in real time, you start the track playing, and you add the effect while the track plays. The data in the track does not change, but the sound of it coming through the effect does.

offset

Shift (time, key, velocity) by a specified number of units. For example, you could offset the start of a track by two measures.

overload

Loss of audio information caused by the audio level exceeding 0 db.

PPQ

Abbreviation for Parts per Quarter Note. MIDI sequencers divide each beat into fractions of a beat (called ticks) for timing and editing purposes. You can place events in precise timing locations, up to the sequencer's current PPQ. PPQ is adjustable on most sequencers, up to about 960 PPQ. PPQ's of 96, 120. and 480 are common.

pan

Degree to which a sound or piece of music comes from the left or right speaker.

patch

Particular sound in an electronic device. Patches are stored in banks, in groups of 128.

pedal mark

Expression mark indicating when the player should hold down the pedal and release it.

pitch bend

Controller that changes the pitch of a MIDI note.

pitch marker

A marker in the Time Ruler which transposes the root note pitch of all Groove clips and ACIDized loops in a project.

pitch wheel

Controller that changes the pitch of a MIDI note.

phase

The relative timing or polarity of two identical sounds. If their identical amplitudes are 180 degrees apart, they cancel each other, and are perfectly out of phase.

port

Computer connector for sending or receiving data.

project pitch

Also known as the default project pitch. The project pitch is the pitch that all Groove clips and ACIDized loops in your project follow if there are no pitch markers in the project. You can set the project pitch in the Markers toolbar.

property

Any attribute or value belonging to an object. Often you can see these by right-clicking on the object. For example, right-clicking on a clip and choosing Properties from the resulting menu, displays the Clip Properties dialog box, which lists its properties as its name, start time, length, and color.

quantize

Correct human imperfection in start and duration of selected notes so they line up with a specified time grid.

record

Capture audio or MIDI sound in a reproducible fashion.

resolution

Smallest note or number of ticks you want effective in a piece for quantizing purposes.

RMS

Short for Root Mean Square. A method of measuring an average of the amplitudes that occur in a complete cycle of a frequency. RMS is a little over seventy per cent of peak level.

RPN

Registered Parameter Numbers.

See Controllers, RPNs, NRPNs, and Automation Data.

ruler

Bar showing evenly-spaced measure intervals. It appears in the Track, Staff, and Piano Roll views.

sampling rate

Level of accuracy with which audio data is stored. The higher the better the sound quality, but the more costly in computer time and memory.

scrub

Drag a vertical bar over the view, so you can hear the notes in the track. You can scrub forward or backward at any speed.

sensitivity (window)

Distance from a timing grid a note has to be to be unaffected, or affected less, by quantizing.

size

The number of events in a track, listed in the Size column of the Tracks window. This number changes every time you add or delete events to or from that track.

slip editing

Non-destructive editing process that allows the start and/or end time of an audio or MIDI clip to be trimmed by simply dragging the front or back end of the clip.

shape

An automation envelope created in the Track view or Console view.

SMPTE

Society of Motion Picture and Television Engineers. SMPTE format measures time in hours, minutes, seconds, and frames.

snapshot

Collection of automation settings that become active at a specific time. When the Now Time reaches that time, all of those particular settings take effect.

solo

Set a track to be audible during play.

split point

In the Staff view, the point at which you split a track into treble and bass staves. Notes at or above the split point go into the treble staff, those below into the bass staff.

staff

A set of horizontal lines on which you write music.

strength

Measure of how much an adjustment should approach perfection.

See To Use the Groove Quantize Command

stripping

Recording an analog time code signal onto a track.

submix

A stereo air track containing the stereo mixture of the original tracks, preserving the volume, pan and effects for each track.

See Mixing Down and Distributing Audio.

swing

Systematic uneven spacing of notes on a timing grid, to give music a swing feel.

Sysx

Cakewalk's System Exclusive library, which can store, record, and display for viewing or editing 256 banks, each holding any number of patches.

See Using System Exclusive Data.

Sysx Bank

A Sysx bank is a storage area plus some associated parameters such as a destination output and an optional description. Each bank can hold any number of messages; the amount of data it can hold is limited only by available memory. The banks are saved in the Cakewalk song file. Each bank can also be saved as a .syx file in the format used by the public domain MIDIEX utility.

take

Single instance of recording the same thing. You might want to record several takes, then choose the best to keep.

template

Special file used as a pattern to creat other, similar projects.

See Layouts, Templates and Key Bindings.

tempo

Number of beats per minute.

thru time

Time up to which the music is to be played back or recorded. Set it in the Select toolbar.

ticks

Subdivisions of quarter notes. MIDI projects often use a resoution of 480 parts per quarter note (PPQ); each part is also called a tick.

time

In Cakewalk, Now time, from time, or thru time. When an event takes place in the music.

Time Ruler

Bar showing evenly-spaced measure intervals. It appears in the Track, Staff, and Piano Roll views. You can use the Time Ruler to change the Now Time, make a time selection, and insert markers. For more about the Time Ruler, see Time Ruler.

timebase

Same as PPQ. Timing resolution, measured in pulses (ticks) per quarter note. Determines how finely you can specify notes.

See Setting the MIDI Timing Resolution.

TPQ

Same as timebase or PPQ. Short for Ticks Per Quarter note.

track

Cakewalk's representation of one or more lines of music with shared properties, for example, music played by one instrument.

transients

Peaks of loudness in an audio clip. Used to determine where the beats lie in audio clips.

vector

The graph of the change of a parameter's value. In audio programs, some parameters can be changed by drawing vectors; means the same as drawing envelopes.

velocity

How fast or how hard a key is struck when a track is recorded.

velocity offset

Adjustment of all track events by a specified amount of time.

See Adjusting the Time Alignment of a MIDI Track (Time+).

virtual main bus

The output point of SONAR that passes the processed audio data to your audio interface's driver. Analogous to a hardware mixer's main output, but only has one volume fader and a balance control.

volume

Loudness of a sound or piece of music.

widget

A graphical element of a StudioWare panel (such as a knob or slider) that controls a parameter on a MIDI instrument or runs a CAL program.

WDM

Windows Driver Model--low-latency audio driver that bypasses the operating system's audio streaming software so that the driver can communicate directly with the sound card and the audio application.

wipe

Deletes a track'sclips and events, but leaves its properties. You can undo a wipe, but not paste it.

xRPN

RPN and NRPN.


CAL Reference

Cakewalk Application Language (CAL) is an event-processing language that you use to extend SONARTM with custom editing commands.

You can write your own CAL program and use or edit CAL programs that other people have written. You also can create CAL programs by recording a series of commands, keystrokes, and mouse actions. SONAR translates and saves these actions as CAL programs, which you can use or edit. CAL files are stored on disk in files with an extension of .cal.

See Also:

CAL Function Reference


CAL Function Reference

General CAL functions:

  • CAL Data Types
  • Math functions
  • Relational functions
  • Boolean functions
  • Assignment functions
  • (forEachEvent)
  • Event parameter variables
  • Marker variables
  • Buffer functions
  • Musical time functions
  • Output functions
  • Input functions
  • Control flow functions
  • (include)
  • (DLL)
  • (sendMIDI)
  • (delay)

CAL functions corresponding to Cakewalk user commands:

File menu CAL functions

Edit and Process Menu CAL Functions

GoTo Menu CAL Functions

Track Menu CAL Functions

Settings Menu CAL Functions


CAL Data Types

int

An int is a 16-bit signed integer. Values range from --32678 to 32767. (Just like an int in C or an integer in PASCAL.)

word

A word is a 16-bit unsigned integer. Values range from 0 to 65535. (Just like an unsigned short int in C.)

long

A long is a 32-bit signed integer. Values range from about negative 2 billion to positive 2 billion. (Just like a long int in C.)

dword

A dword is a 32-bit unsigned integer. Values range from 0 to over 4 billion. (Just like an unsigned long int in C.)

string

A string is text enclosed in quotes.

Variable declarations

Variables must be declared before they are used. Variables are declared in the form

(<type> <name> [<initial-value>])

Examples:

(int <variable-name> [initial-value])
(word <variable-name> [initial-value])
(long <variable-name> [initial-value])
(dword <variable-name> [initial-value])
(string <variable-name> [initial-value])
(undef <variable-name>) ; un-defines a variable of any type

The optional initial-value part lets you initialize a variable. For example, this declares an int variable named "i" and initializes it to zero:

(int i 0)

If you don't initialize a variable, its value cannot be predicted.

Because of the LISP-like syntax, all CAL needs to delimit variable names is a space. So, variable names may be any sequence of printable ASCII characters.

See Also:

CAL Function Reference


Math functions

(+ <op1> <op2>) ; add
(- <op1> <op2>) ; subtract
(* <op1> <op2>) ; multiply
(/ <op1> <op2>) ; divide
(% <op1> <op2>) ; modulo (remainder after division)

(++ <variable>) ; increment (add 1 to variable)
(-- <variable>) ; decrement (subtract 1 from variable)

(random <min> <max>) ; returns pseudo-random # min..max inclusive

See Also:

CAL Function Reference


Relational functions

(< <op1> <op2>) ; less than
(> <op1> <op2>) ; greater than
(<= <op1> <op2>) ; less than or equal to
(>= <op1> <op2>) ; greater than or equal to
(== <op1> <op2>) ; equal
(!= <op1> <op2>) ; not equal

Relational functions compare two values. The result is either zero (false) or non-zero (true). For example:

(< 11 12)

is true. Eleven is less than twelve, and the function returns a non-zero number. On the other hand,

(> 11 12)

is not true. Eleven is not less than twelve, and the function returns zero.

See Also:

CAL Function Reference


Boolean functions

(&& <op1> <op2>) ; logical AND. If both operands are non-zero, returns non-zero.
(|| <op1> <op2>) ; logical OR. If either or both operands are non-zero, returns non-zero

See Also:

CAL Function Reference


Assignment functions

(= <variable> <expr>)

This is how you give a variable a value. For example, to assign a variable named "foobar" the value 12:

(= foobar 12) ; foobar is now 12

To assign "foobar" the value of (+ 10 10):

(= foobar (+ 10 10)) ; foobar is now 20

The following assignment operators let you perform an arithmetic operation and an assignment in one fell swoop:

(+= <variable> <value>) ; (= <variable> (+ <variable> <value>))
(-= <variable> <value>) ; (= <variable> (- <variable> <value>))
(*= <variable> <value>) ; (= <variable> (* <variable> <value>))
(/= <variable> <value>) ; (= <variable> (/ <variable> <value>))
(%= <variable> <value>) ; (= <variable> (% <variable> <value>))

Example:

(+= foobar 1)

is the same as:

(= foobar (+ foobar 1))

See Also:

CAL Function Reference


(forEachEvent)

(forEachEvent
<action>
)

The action is evaluated for (applied to) each selected event. In other words, the action expression is inside of an implicit loop cycling through each of the selected events. The Event parameter variables hold the values for the current event.

Example: Ask the user for an amount, then add that amount to the velocity of all selected events which are Note events.

(do
(int amt 0)
(getInt amt "Amount to add?" -127 127)
(forEachEvent
(if (== Event.Kind NOTE)
(+= Note.Vel amt)
)
)
)

See Also:

CAL Function Reference


Event parameter variables

CAL has some predefined "magic" variables that let you access events in Cakewalk's track buffers. These variables work only in the (forEachEvent) expression, where they're automagically set to the value of the current event's parameters. This is how you get and set event parameters. You can use them in expressions to find out about the current event. If you assign them a new value, they automagically change the current event.

Variables for all kinds of events

Event.Chan

The MIDI channel of the event (0..15).

Event.Time

The starting time of the event. The type of this variable is dword. See Musical time functions for more information.

Event.Kind

The kind of event it is. One of the following:

NOTE, PATCH, CONTROL, CHANAFT, KEYAFT, WHEEL, SYSX

Variables for particular kinds of events

The preceding variables apply to all kinds of events.

The following variables let you get or set an event parameter that a particular kind of event has. So, you should test the value of Event.Kind, then use only the variables that are meaningful for an event of that kind.
Variable | Event.Kind | Meaning | Allowed Values
Note.Key | NOTE | Key numer (pitch) | 0 to 127
Note.Vel | NOTE | Velocity | 0 to 127
Note.Dur | NOTE | Duration | 0 to 65535
Patch.Num | PATCH | Patch number | 0 to 127
Patch.Bank | PATCH | Bank number | -1 to 14383
Control.Num | CONTROL | Controller number | 0 to 127
Control.Val | CONTROL | Controller value | 0 to 127
KeyAft.Key | KEYAFT | Key number | 0 to 127
KeyAft.Val | KEYAFT | Value (pressure amount) | 0 to 127
ChanAft.Val | CHANAFT | Value (pressure amount) | 0 to 127
Wheel.Val | WHEEL | Wheel value | -8192 to 8191

Example: Make sure the event is a note event. If it is, add two to the key number (raise the pitch two half-steps):

(if (== Event.Kind NOTE) ; Is it a NOTE event?
(= Note.Key (+ Note.Key 2)) ; Yes: change it!
)

See Also:

CAL Function Reference


Marker variables

There are some other "automagical" variables that equate to Cakewalk From, Now, and Thru markers, and one for the time of the latest event in the song.

From ; From marker
Now ; Now marker
Thru ; Thru marker
End ; the time of the latest event among all tracks

You can use them for their values anywhere in the CAL program, but you may not assign new values to them in a (forEachEvent) expressions. (You can never assign a value to End; it is read-only.)

(getTime From "Change From marker time:")

or, to save, change, and restore:

(dword oldFrom From)
(getTime From "Change From marker time:")
(forEachEvent
; ... do some stuff ....
)
(= From oldFrom)

Note: Cakewalk never allows (> From Thru) or (< Thru From). Neither does CAL. When one marker is changed, the other one is automatically adjusted, if necessary, to prevent this.

Note: Changing the Now marker has no effect on what events the (forEachEvent) operates on. Changing the From and Thru markers will.

See Also:

CAL Function Reference


Buffer functions

index

(index)

Returns the index of the event in the track buffer. Events are numbered starting from zero.

delete

(delete)

Deletes the current event. Indexes for subsequent events are automatically decremented.

insert

(insert <time> <chan> <kind> [ ...data parameters... ])

Inserts a copy of the event at the specified index. This function takes a variable number of arguments, depending on the <kind> argument:

(insert <time> <MIDI channel> NOTE <key> <velocity> <duration>)
(insert <time> <MIDI channel> KEYAFT <key> <amount>)
(insert <time> <MIDI channel> CONTROL <controller number> <value>)
(insert <time> <MIDI channel> CHANAFT <amount>)
(insert <time> <MIDI channel> PATCH <patch number> [<bank number>])
(insert <time> <MIDI channel> WHEEL <value>)

Example:

(insert (makeTime 1 1 0) 10 NOTE 60 64 TIMEBASE)

This inserts at time 1:1:0 for MIDI channel 10 a note event with a key number of 60, a velocity of 64, and a duration of TIMEBASE.

Hint: The TIMEBASE constant is described in the Musical time functions section.

The track that the event is inserted on depends on whether you use it in forEachEvent expression or not. If you use it in a forEachEvent expression, then the event is inserted in the track which that expression is currently evaluating. Otherwise, it is inserted in the current track (the track which the cursor is on in the Track/Measure view).

In other words, use (insert) in the forEachEvent for inserting events in any and all selected tracks. For example, you might want to add a controller event wherever you find a certain note event.

For commands where you want the user to be able to add events to a single track--the track the highlight is on in the Track/Measure view -- use (insert) outside a forEachEvent.

Note: The inserted events do not become visible to the CAL program while forEachEvent is evaluated. It is evaluated only for events existing in tracks before the forEachEvent started.

Note: Because this command adds events, it is possible for it to exhaust free memory. If that happens, a CAL "out of memory" error message is displayed and the CAL program is terminated.

Note: The <bank number> argument when inserting a PATCH event is optional, to provide compatibility with previous versions of Cakewalk and CAL. If you do not supply it, the value -1 will be used, which means "none" and appears to the user as "----".

See Also:

CAL Function Reference


Musical time functions

Converting between Measure:Beat:Tick and "raw" times

(meas <time>)
(beat <time>)
(tick <time>)
(makeTime <measure> <beat> <tick>)

These are conversion functions for dealing with Cakewalk times.

Although Cakewalk displays times to the user in Measure:Beat:Tick format, internally they are stored as a single dword. CAL variables like Event.Time deal with these "raw" dwords too.

These functions let you convert between the two forms. (meas <time>), (beat <time>), and (tick <time>) return the measure, beat, and tick for a given raw dword time. (make time <meas> <beat> <tick>) makes up a dword time from a measure, beat, and tick. This conversion depends on the current meter, of course, as well as the timebase.

Important: Measures and beats are numbered from 1, not 0. You will get a "value out of range" error if you pass (make time) a 0 for the measure or beat arguments.

TIMEBASE constant

TIMEBASE is a variable that is equal to the current timebase as set by the Timebase command. Remember that the timebase is the number of ticks per quarter-note.

See Also:

CAL Function Reference


Output functions

message

(message <value> [ [value] ... ])

Takes a variable number of arguments, which can be int, word, dword, or string expressions. Prints the result on Cakewalk's message line (the bottom line of the screen).

Example:

(do
(int foobar 10)
(message "Foobar is " foobar " and the timebase is " TIMEBASE)
)

Assuming that Cakewalk's timebase is set to 120, the preceding CAL code would display the following on the message line:

Foobar is 10 and the timebase is 120

pause

(pause <value> [ [value] ... ])

Works just like (message) but also pauses for a user keypress or mouse click. If the user presses escape, the CAL program will terminate. If the user presses any other key, the CAL program resumes.

Tip: This is handy for debugging CAL programs. Use (pause) to display a variable value; that way you can press Cancel to break out of long loops.

format

(format <value> [ [value] ... ])

Works just like (message) and (pause) but simply returns a string, which you may pass to a function like (TrackName).

See Also:

CAL Function Reference


Input functions

These functions let you prompt the user for input. They display a standard Cakewalk dialog box. After the user presses OK, the function returns the value. (If the user presses Cancel then the CAL program aborts with the error, "User pressed Cancel.")

(getInt <int-variable> <prompt> <minimum> <maximum>)

Returns the int value that the user input.

int-variable is an int variable that will receive the input value. Its value is displayed as the default value in the dialog box.

prompt is a string item that will be displayed in the dialog box.

minimum and maximum are int values; CAL will not let the user input a number less than or greater than these values.

Example: Ask the user to input "A number from 0 through 100", suggesting a default of 50, and assign the result to a variable "i":

(do
(int i 50)
(getInt i "A number from 0 thru 100" 0 100)
)

(getWord <word-variable> <prompt> <minimum> <maximum>)

Returns the word value that the user input.

word-variable is an word variable that will receive the input value. Its value is displayed as the default value in the dialog box.

prompt is a string item that will be displayed in the dialog box.

minimum and maximum are word values; CAL will not let the user input a number less than or greater than these values.

(getTime <dword-variable> <prompt>)

Returns the dword value that the user input.

dword-variable is a dword variable that will receive the input value. Its value will be displayed as the default value in the dialog box.

prompt is a string item that will be displayed in the dialog box.

Example: Ask the user to input a "Starting time", suggesting as a default the time of the current event, and assign the result to a variable "t".

(do
(dword t Event.Time)
(getTime t "Starting time:")
)

See Also:

CAL Function Reference


Control flow functions

do

(do
<expr1>
[ <expr2>
...
<exprN> ]
)

Evaluates each expression in sequence, once and only once.

Tip: Use this whenever CAL expects a single expression but you want to use two or more.

if

(if <condition>
<true-expression>
[<false-expression>]
)

If condition is non-zero, evaluates the true-expression, else evaluates the false-expression. The false-expression is optional.

while

(while <condition>
<action>
)

So long as condition is non-zero, action is evaluated. If condition is zero the first time, action is never evaluated.

Example: Count-down from 100 to 1:

(do
(int count 100)
(while (!= count 0)
(do
(message "Count-down is now " count)
(-- count)
)
)
)


switch

(switch <index>
<case1> <case1result>
[ <case2> <case2result>
<case3> <case3result>
...
<caseN> <caseNresult> ]
)

Evaluates index, then compares it to the first of each of the following pairs of expressions. When it finds the first match, if any, it executes the second half of the pair and returns the result.

CAL doesn't have an explicit "default" or "else" case statement. But you can achieve the same thing by making index itself the very last of the case pairs. This works because switch matches the first pair it finds, then quits. If nothing matches before the index case, why then, index always equals itself--so its consequent will be evaluated if and only if no other pairs matched. For instance:

(switch TIMEBASE
120 (pause "120") ; Is it 120?
96 (pause "96") ; Is it 96?
TIMEBASE (pause TIMEBASE) ; It is anything else not already matched above
)

See Also:

CAL Function Reference


(include)

(include <szPathName>)

Runs another CAL program as if the content of that file were inserted in the program at the point where the (include) function is placed.

Example: Include the file NEED20.CAL, which is one of the supplied example files. The purpose of NEED20.CAL is to check that CAL version 2.0 or higher is being used, and if not, warn the user and stop the CAL program.

(do
(include "NEED20.CAL") ; require VERSION >= 20
; ... proceed with CAL program
)

See Also:

CAL Function Reference


(sendMIDI)

(sendMIDI <nPort> <nChan> <kind> <data1> [<data2>])

This function lets you transmit a MIDI event.

nPort is 0..15, or -1 for "all ports".

nChan is 0..15, or -1 for "all channels".

kind is one of the constants like NOTE, PATCH, and so on.

nData1 is 0..127.

nData2 is 0..127, and is ignored unless kind is NOTE, CONTROL, or KEYAFT.

(sendMIDI <nPort> <nChan> SYSX <data bytes>) ; System Exclusive form

If kind is SYSX, then up to a couple hundred data bytes may be supplied. You may not include any bytes whose value is outside the range 0..127. In particular, do not include the starting F0 or ending F7 bytes: CAL will supply them for you. Include only the bytes in between the F0 and the F7.

nChan is ignored.

Note: This new form of the sendMIDI function is available on in CAL version 31 and higher. You can test

(>= VERSION 31)

to determine if this form of the function may be used. If the version is <= 30, you should issue a polite error message to the user.

See Also:

CAL Function Reference


(delay)

(delay <dwMilliseconds)

dwMilliseconds is the number of milliseconds (1000th of a second) that delay will wait before returning.

See Also:

CAL Function Reference


(DLL)

(DLL <szLibName> <szProcedureName> [ <arguments> ])

This function lets you make calls to functions in 32-bit Windows DLLs (Dynamic Link Libraries).

The return value is of type dword, but may be assigned to any other type.

CAL string literals may be passed for LPCSTR arguments.

WARNING: Use of this powerful function requires great care. If you call a DLL function with the wrong number of arguments, you will corrupt the stack and subsequent operation of CAL and Cakewalk will be unpredictable. There is no error-checking or other protection against this.

Example:

(do
; Call the Windows USER32 library function MessageBeep( UINT uBeep ).
(DLL "USER32" "MessageBeep" 0)

; Call the Windows USER32 library function
; MessageBoxA( HWND hWnd, LPCSTR lpcszTest, LPCSTR lpcsz Caption, UINT uFlags )
; with a NULL HWND argument and 0x40 == 64 decimal for MB_OK flag.
(DLL "USER32" "MessageBoxA" 0 "This is a message" "Caption" 64)
)

See Also:

CAL Function Reference


File menu CAL functions

  • (FileNew)
  • (FileOpen)
  • (FileSave)
  • (FileSaveAs)
  • (FileMerge)
  • (FileExtract)

These correspond to commands available on the File menu.

See Also:

CAL Function Reference


(FileNew)

(FileNew [<szTemplate>])

If szTemplate argument is omitted, then the user is prompted for the name of a template. The szTemplate argument is a string and should contain only the base name of the template, without an extension. For example "Normal" is correct but "NORMAL.TPL" is not.

Returns: FALSE if the template was not found and loaded. This could be either because of an error reading the file or because the user pressed Cancel in the dialog. The "Normal" template always works: if no NORMAL.TPL file is found, a blank work is created with the normal program defaults.

See Also:

CAL Function Reference

To Create a New CAL Program


(FileOpen)

(FileOpen [<szPathname>])

If szPathname argument is omitted, then the user is prompted for the name.

Returns: FALSE if file was not loaded. This could be either because of an error reading the file or because the user pressed Cancel in the dialog.

See Also:

CAL Function Reference

To Open a CAL Program


(FileMerge)

(FileMerge [<szPathname>])

If szPathname argument is omitted, then the user is prompted for the name.

Returns: FALSE if file was not loaded. This could be either because of an error reading the file or because the user pressed Cancel in the dialog.

See Also:

CAL Function Reference


(FileSaveAs)

(FileSaveAs [<szPathname>])

If szPathname argument is omitted, then the user is prompted for the name.

If szPathname already exists, then user is warned and given the ability to enter a different name.

Returns: FALSE if file was not saved. This could be either because of an error writing the file or because the user pressed Cancel in the dialog.

See Also:

CAL Function Reference


(FileSave)

(FileSave)

Returns: FALSE if file was not saved due to an error writing the file.

See Also:

CAL Function Reference


(FileExtract)

(FileExtract [<szPathname>])

If szPathname argument is omitted, then the user is prompted for the name.

If szPathname already exists, then user is warned and given the ability to enter a different name.

Returns: FALSE if file was not saved. This could be either because of an error writing the file or because the user pressed Cancel in the dialog.

See Also:

CAL Function Reference


Edit and Process Menu CAL Functions
Function | 3.0 Compatible Equivalent
(EditCopy40) | (EditCopy)
(EditCut40) | (EditCut)
(EditPaste40) | (EditPaste) (EditPasteToTrack)
(EditQuantize40) | (EditQuantize)
(EditGrooveQuantize40) | (EditGrooveQuantize)
(EditSlide40) | (EditSlide)
(EditTranspose40) | (EditTranspose)
(EditLength40) | (EditLength)
(EditRetrograde40) | (EditRetrograde)
(EditControlFill) |
(EditVelocityScale40) | (EditVelocityScale)
(EditFitImprov) |
(EditFitToTime) |
(EditInterpolate) |
(ResetFilter) |
(SetFilterKind) |
(SetFilterRange) |

These correspond to commands available on the Edit or Process menus.

Each argument to a command function corresponds to items in the command's dialog box.

The old forms of the functions hardcode "From", "Thru" and "use event filter" values as arguments to the functions. This is incompatible with operating on a more-complex selection created by the user. For example, the user may now select any combination of discontiguous notes in the Piano Roll and Staff views. In addition, there is no longer a single global selection: Each view has its own selection. Whichever view is active determines which selection is used by commands.

The old functions are still supported by means of a selection object private to CAL. This works much like the time-select mode in the Track view. (TrackSelect) function modifies the CAL selection object only, and thus only affects the old 3.0 compatible versions of these functions.

See Also:

CAL Function Reference


(EditCopy)

(EditCopy [<tFrom> <tThru> <bEvents> <bEvtFilt> <bTempos> <bMeters> <bMarkers>])

This is the CAL 3.0 compatible function corresponding to the Copy command.

See Also:

CAL Function Reference

Contrast with the (EditCopy40) command.


(EditCopy40)

(EditCopy40 [<bEvents> <bTempos> <bMeters> <bMarkers>])

This is the new CAL 4.0 function corresponding to the Copy command.

See Also:

CAL Function Reference

Contrast with the (EditCopy) command.


(EditCut)

(EditCut [<tFrom> <tThru> <bEvents> <bEvtFilt> <bTempos> <bMeters> <bMarkers> <bDelHole>])

This is the CAL 3.0 compatible function corresponding to the Cut command.

See Also:

CAL Function Reference

Contrast with the (EditCut40) command.


(EditCut40)

(EditCut40 [<bEvents> <bTempos> <bMeters> <bMarkers> <bDelHole>])

This is the new CAL 4.0 function corresponding to the Cut command.

See Also:

CAL Function Reference

Contrast with the (EditCut) command.


(EditPaste)

(EditPaste [<tTo> <wReps> <nHoleKind> <bEvents> <bTempos> <bMeters> <bMarkers>])

This is the CAL 3.0 compatible function corresponding to the Paste command.

nHoleKind is ignored.

See Also:

CAL Function Reference

Contrast with the (EditPaste40) command.


(EditPasteToTrack)

(EditPasteToTrack [<tTo> <wReps> <nHoleKind> <bEvents> <bTempos> <bMeters> <bMarkers> <nTrack>])

This is the CAL 3.0 compatible function corresponding to the Paste command.

nHoleKind is ignored.

Material is pasted into tracks beginning with nTrack

See Also:

CAL Function Reference

Contrast with the (EditPaste40) command.


(EditPaste40)

(EditPaste40 [<tToTime> <nToTrack> <bOneTrack> <nReps> <tRepLen> <bAsNewClips> <bEvents> <bTempos> <bMeters> <bMarkers>])

This is the new CAL 4.0 function corresponding to the Paste command.

See Also:

CAL Function Reference

Contrast with the (EditPaste) and (EditPasteToTrack) command.


(EditQuantize)

(EditQuantize [<tFrom> <tThru> <bEvtFilt> <wRes> <nPct> <bTimes> <bDurs>])

This is the CAL 3.0 compatible function corresponding to the Quantize command.

See Also:

CAL Function Reference

Contrast with the (EditQuantize40) command.


(EditQuantize40)

(EditQuantize40 [<wResolution> <nPercent> <bTimes> <bDurations> <nSwingPct> <nWindow> <nOffset> <bNoteLyricAudioOnly>])

This is the new CAL 4.0 function corresponding to the Quantize command.

See Also:

CAL Function Reference

Contrast with the (EditQuantize) command.


(EditGrooveQuantize)

(EditGrooveQuantize [<tFrom> <tThru> <bEvtFilt> <wRes> <nWindow> <nTimePct> <nDurPct> <nVelPct> <OutOfWindowMode> <szFilePattern>])

This is the CAL 3.0 compatible function corresponding to the Groove Quantize command.

See Also:

See Also:

CAL Function Reference

Contrast with the (EditGrooveQuantize40) command.


(EditGrooveQuantize40)

(EditGrooveQuantize40 [<wRes> <nWindow> <nTimePct> <nDurPct> <nVelPct> <OutOfWindowMode> <szFile> <szPattern> <bNoteLyricAudioOnly>]

This is the new CAL 4.0 function corresponding to the Groove Quantize command.

See Also:

CAL Function Reference

Contrast with the (EditGrooveQuantize) command.


(EditSlide)

(EditSlide [<tFrom> <tThru> <bEvtFilt> <nAmount> <bUnitTicks>])

This is the CAL 3.0 compatible function corresponding to the Slide command.

If bUnitTicks is TRUE, then nAmount is treated as ticks; otherwise it is treated as measures.

See Also:

CAL Function Reference

Contrast with the (EditSlide40) command.


(EditSlide40)

(EditSlide40 [<nAmount> <bUnitTicks>])

This is the new CAL 4.0 function corresponding to the Slide command.

If bUnitTicks is TRUE, then nAmount is treated as ticks; otherwise it is treated as measures.

See Also:

CAL Function Reference

Contrast with the (EditSlide) command.


(EditTranspose)

(EditTranspose [<tFrom> <tThru> <bEvtFilt> <nAmount> <bDiatonic>)

This is the CAL 3.0 compatible function corresponding to the Transpose command.

See Also:

CAL Function Reference

Contrast with the (EditTranspose40) command.


(EditTranspose40)

(EditTranspose40 [<nAmount> <bDiatonic>)

This is the new CAL 4.0 function corresponding to the Transpose command.

See Also:

CAL Function Reference

Contrast with the (EditTranspose) command.


(EditLength)

(EditLength [<tFrom> <tThru> <bEvtFilt> <nPercent> <bStartTimes> <bDurations>])

This is the CAL 3.0 compatible function corresponding to the Length command.

See Also:

CAL Function Reference

Contrast with the (EditLength40) command.


(EditLength40)

(EditLength40 [<nPercent> <bStartTimes> <bDurations>])

This is the new CAL 4.0 function corresponding to the Length command.

See Also:

CAL Function Reference

Contrast with the (EditLength) command.


(EditRetrograde)

(EditRetrograde [<tFrom> <tThru> <bEvtFilt>])

This is the CAL 3.0 compatible function corresponding to the Retrograde command.

See Also:

CAL Function Reference

Contrast with the (EditRetrograde40) command.


(EditRetrograde40)

This is the new CAL 4.0 compatible function corresponding to the Retrograde command.

See Also:

CAL Function Reference

Contrast with the (EditRetrograde) command.


(EditControlFill)

(EditControlFill [<tFrom> <tThru> <nCtrl> <nChan> <nBeg> <nEnd>])

nChan is from 1..16.

nBeg and nEnd must be 0..127.

See Also:

CAL Function Reference


(EditVelocityScale)

(EditVelocityScale [<tFrom> <tThru> <bEvtFilter> <nBeg> <nEnd> <bUnitsPercent])

bUnitsPercent if TRUE indicates that nBeg and nEnd are percentages, otherwise if FALSE that they are velocity values.

See Also:

CAL Function Reference

Contrast with the (EditVelocityScale40) command.


(EditVelocityScale40)

(EditVelocityScale40 [<nBeg> <nEnd> <bUnitsPercent])

bUnitsPercent if TRUE indicates that nBeg and nEnd are percentages, otherwise if FALSE that they are velocity values.

See Also:

CAL Function Reference

Contrast with the (EditVelocityScale) command.


(EditFitImprov)

(EditFitImprov [<nReferenceTrack>])

See Also:

CAL Function Reference


(EditFitToTime)

(EditFitToTime [<tFrom> <tThru> <tNewThru> <nMethod>])

See Also:

CAL Function Reference


(EditInterpolate)

(EditInterpolate)

This never presents dialog boxes to the user. It presumes the search (1) and replace (2) filters have already been set as desired.

See Also:

CAL Function Reference


(ResetFilter)

(ResetFilter <nFilter> <bEverything>)

nFilter is one of the following:
0 | Used in all Edit and Process menu commands except Interpolate
1 | Interpolate's Search filter
2 | Interpolate's Replace filter

See Also:

CAL Function Reference


(SetFilterKind)

(SetFilterKind <nFilter> <nKind> <bInclude>)

nFilter is one of the following:
0 | Used in all Edit and Process menu commands except Interpolate
1 | Interpolate's Search filter
2 | Interpolate's Replace filter

nKind is one of the following kind-of-event constants:

  • NOTE
  • KEYAFT
  • CONTROL
  • PATCH
  • CHANAFT
  • WHEEL
  • SYSX [new in 3.0]
  • TEXT [new in 3.0]
  • LYRIC [new in 3.0]
  • WAVE [new in 3.0]
  • MCI [new in 3.0]

bInclude says whether to include this kind of event.

See Also:

CAL Function Reference


(SetFilterRange)

(SetFilterRange <nFilter> <nRange> <bInRange> <wMin> <wMax>)

nFilter is one of the following:
0 | Used in all Edit and Process menu commands except Interpolate
1 | Interpolate's Search filter
2 | Interpolate's Replace filter

nRange is one of the following:
0 | Note - Key
1 | Note - Velocity
2 | Note - Duration
3 | KeyAft - Key
4 | KeyAft - Amount
5 | Control - Controller Number
6 | Control - Value
7 | Patch - Patch Number
8 | ChanAft - Amount
9 | Wheel - Value
0 | Channel
11 | Beat
12 | Tick
13 | Patch - Bank Number

bInRange is the opposite of the Not checkbox: FALSE means Not is checked, TRUE means it's not checked.

wMin, wMax are the minimum and maximum values for the range.

See Also:

CAL Function Reference


GoTo Menu CAL Functions
0 | Used in all Edit and Process menu commands except Interpolate
1 | Interpolate's Search filter
2 | Interpolate's Replace filter

(GotoSearch)

(GotoSearchNext)

Most GoTo menu commands change the current position, which is the Now marker. CAL expresses these simply as changes to the value of its corresponding Now variable. For example:

(=Now 0)

is the same thing as the GoTo Beginning command, since this command sets the Now marker to the earliest time, 0.

See Also:

CAL Function Reference


(GotoSearch)

(GotoSearch [<NoPrompt>])

The NoPrompt argument is simply a syntactic placeholder. It can be anything. If there is any argument, the user will not be prompted with the Search dialog. Instead, Cakewalk will perform the search using the Search Event Filter as-is.

When Cakewalk records this command for you into the CAL notepad, it first uses one or more calls to the (ResetFilter), (SetFilterKind), and (SetFilterRange) functions, all using the filter number 1. Then it adds:

(GotoSearch 1)

The dummy argument "1" means not to prompt the user.

If you are writing a CAL program where you want the user to complete the Search dialog, then call GotoSearch with no arguments:

(GotoSearch)

See Also:

CAL Function Reference


(GotoSearchNext)

(GotoSearchNext)

Repeats the last search.

See Also:

CAL Function Reference


Track Menu CAL Functions

  • (TrackName)
  • (TrackLoop)
  • (TrackActive)
  • (TrackArchive)
  • (TrackKey+)
  • (TrackVel+)
  • (TrackTime+)
  • (TrackPort)
  • (TrackChan)
  • (TrackBank)
  • (TrackPatch)
  • (TrackVolume)
  • (TrackPan)
  • (TrackSelect)

These generally correspond to commands available on the Track menu which are related to specific track parameters.

nTrack, which is optional. If omitted, then all selected, non-blank tracks are affected -- just as the Track menu commands work. If a specific track number argument is supplied, then only that track is affected, and if the track is blank, it is created prior to applying the setting.

Note: Track numbers are 0 through 255 when you're writing a CAL program, not 1 through 256.

(TrackKey+ -10)

Example 2: Set the Key+ parameter of track 0 only to -10.

(TrackKey+ -10 0)

See Also:

CAL Function Reference


(TrackName)

(TrackName [<szName> [<nTrack>]])

szName is either a string literal or a string created by the (format) function.

nTrack is a number from 0 to 255.

Example: Set the name of a track to something including its number in the name:

(int nTrack 1)
(getInt nTrack "Number of track to name?" 1 256)
; Give the track the name "Track N", where N is the track number.
; Note that (TrackName) expects a number in the range 0..255, not 1..256.
(TrackName (format "Track " nTrack) (- nTrack 1))

See Also:

CAL Function Reference


(TrackLoop)

(TrackLoop [<nReps> [<nTrack>]])

This function is obsolete in CAL VERSION 40.

See Also:

CAL Function Reference


(TrackActive)

(TrackActive [<nActive> [<nTrack>]])

nActive must be be one of the following:
1 | Playing
0 | Mute
-1 | Toggle

See Also:

CAL Function Reference


(TrackArchive)

(TrackArchive [<nArchive> [<nTrack>]])

nArchive must be be one of the following:
1 | Archive
0 | Unarchive
-1 | Toggle

See Also:

CAL Function Reference


(TrackKey+)

(TrackKey+ [<nAmount> [<nTrack>]])

nAmount must be -127..127.

See Also:

CAL Function Reference


(TrackVel+)

(TrackVel+ [<nAmount> [<nTrack>]])

nAmount must be -127..127.

See Also:

CAL Function Reference


(TrackTime+)

(TrackTime+ [<lAmt> [<nTrack>]])

See Also:

CAL Function Reference


(TrackPort)

(TrackPort [<nPort> [<nTrack>]])

nPort must be 0..15.

See Also:

CAL Function Reference


(TrackChan)

(TrackChan [<nChan> [<nTrack>]])

nChan must be 0..15.

See Also:

CAL Function Reference


(TrackBank)

(TrackBank [<nBank> [<nTrack>]])

nBank must be -1..16384.

See Also:

CAL Function Reference


(TrackPatch)

(TrackPatch [<nPatch> [<nTrack>]])

nPatch must be -1..127.

See Also:

CAL Function Reference


(TrackVolume)

(TrackVolume [<nVolume> [<nTrack>]])

nVolume must be -1..127.

See Also:

CAL Function Reference


(TrackPan)

(TrackPan [<nPan> [<nTrack>]])

nPan must be -1..127.

See Also:

CAL Function Reference


(TrackSelect)

(TrackSelect <nState> <nTrack>)

nState must be one of the following:
1 | Select
0 | Deselect
-1 | Toggle

nTrack may be -1 to mean "all tracks", otherwise it must be from 0 to 255.

Note: This only has an effect on old Cakewalk 3.0 compatible CAL functions. For example, this will change which tracks (EditCut) operates on, but not (EditCopy40). The latter strictly follows what the user has selected.

See Also:

CAL Function Reference


Settings Menu CAL Functions

(SettingsMetronome)

(SettingsMidiIn)

(SettingsMidiThru)

(SettingsMidiOut)

(SettingsRecordFilter)

(SettingsChannelTable)

See Also:

CAL Function Reference


(SettingsMetronome)

(SettingsMetronome [<bPlay> <bRec> <bAcc> <nCount> <nPort> <nChan> <nKey> <nVel> <wDur> <bBeep>])

See Also:

CAL Function Reference


(SettingsMidiIn)

(SettingsMidiIn [<n1> <n2> <n3> <n4> <n5> <n6> <n7> <n8> <n9> <n10> <n11> <n12> <n13> <n14> <n15> <n16>])

n1 through n16 are MIDI channels. A value of zero means the channel is not recorded or echoed. A value of one means that it is.

See Also:

CAL Function Reference


(SettingsMidiThru)

(SettingsMidiThru [<nMode> <nPort> <nChan> <nKey> <nVel> <nLocalOnPort>])

These arguments correspond to the similarly-named items in the MIDI Thru dialog box.

See Also:

CAL Function Reference


(SettingsMidiOut)

(SettingsMidiOut [<bTxMidiRt> <bSendCont> <bSendSPP> <nSPPDelay> <bCtrlZero> <bCtrlChase>])

These arguments correspond to the similarly-named items in the MIDI Out dialog box.

See Also:

CAL Function Reference


(SettingsRecordFilter)

(SettingsRecordFilter [<bNote> <bKeyAft> <bControl> <bPatch> <bChanAft> <bWheel>])

These arguments correspond to the similarly-named items in the Record Filter dialog box.

See Also:

CAL Function Reference


(SettingsChannelTable)

(SettingsChannelTable [<bOn> <n1> <n2> <n3> <n4> <n5> <n6> <n7> <n8> <n9> <n10> <n11> <n12> <n13> <n14> <n15> <n16>])

n1 through n16 are track numbers, 0..255.

See Also:

CAL Function Reference


(semi-colon)

Use the semi-colon character to place comments in your CAL program. CAL ignores the semi-colon and everything following it on the same line.

See Also:

CAL Function Reference


NIL

This is a CAL expression that does nothing and has no value. It may be used as a "place-holder" where CAL syntax requires some expression but you have none that you want to supply.

See Also:

CAL Function Reference


Arranging.html


AudioPerformance.html


Automation.html


CAL.html


Dialogs.html


DrumEditor.html


EditingAudio.html


EditingMIDI.html


ExternalDevices.html


FileManagement.html


Glossary.html


GrooveSampler.html


HardwareSetup.html


INI_Files.html


Instrument_Defs.html


Introduction.html


Layouts_Templates.html


Looping.html


Menus.html


MIDI_Files.html


Mixing.html


NewFeatures.html


Notation.html


Playback.html


Programming_CAL.html


Recording.html


SessionDrummer.html


SoftSynths.html


Synchronizing.html


SYSX.html


Toolbars.html


Troubleshooting.html


Tutorials.html


Views.html